#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComboBox
      switch(to) {
        case 4: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigBase
      switch(to) {
        case 6: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigDialog
      switch(to) {
        case 7: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 6: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KConfigSkeleton
      switch(to) {
        case 11: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 163: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 9: return (void*)(KConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KConfigSkeletonItem
      switch(to) {
        case 10: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 11:   //KCoreConfigSkeleton
      switch(to) {
        case 163: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 12:   //KIcon
      switch(to) {
        case 151: return (void*)(QIcon*)(KIcon*)xptr;
        case 12: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 13:   //KIntSpinBox
      switch(to) {
        case 13: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 14:   //KJob
      switch(to) {
        case 163: return (void*)(QObject*)(KJob*)xptr;
        case 14: return (void*)(KJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 15:   //KLineEdit
      switch(to) {
        case 15: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KPluginInfo
      switch(to) {
        case 17: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 18:   //KPushButton
      switch(to) {
        case 18: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 19:   //KServiceAction
      switch(to) {
        case 19: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 20:   //KShortcut
      switch(to) {
        case 20: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 22:   //KTabBar
      switch(to) {
        case 199: return (void*)(QWidget*)(KTabBar*)xptr;
        case 163: return (void*)(QObject*)(KTabBar*)xptr;
        case 22: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 23:   //KTextBrowser
      switch(to) {
        case 23: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEdit
      switch(to) {
        case 24: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 25:   //KUrl
      switch(to) {
        case 194: return (void*)(QUrl*)(KUrl*)xptr;
        case 25: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::AudioOutput
      switch(to) {
        case 26: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::MediaObject
      switch(to) {
        case 27: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractDialogManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AbstractRunner
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AbstractToolBox
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::AccessAppletJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AccessManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animation
      switch(to) {
        case 110: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 35: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::AnimationDriver
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::Animator
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 37: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::Applet
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 38: return (void*)(Plasma::Applet*)xptr;
        case 48: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AppletScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationInterface
      switch(to) {
        case 40: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::AuthorizationManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::AuthorizationRule
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::BusyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::CheckBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ClientPinRequest
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::ComboBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::ConfigLoader
      switch(to) {
        case 9: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::Containment
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 48: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::Containment::StyleOption
      switch(to) {
        case 186: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 185: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::ContainmentActions
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 51: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::Context
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 52: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::Corona
      switch(to) {
        case 137: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 53: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataContainer
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::DataEngineManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::DataEngineScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Delegate
      switch(to) {
        case 111: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::Dialog
      switch(to) {
        case 199: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 59: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::Extender
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 60: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::ExtenderGroup
      switch(to) {
        case 62: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::ExtenderItem
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FlashingLabel
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::Frame
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 64: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::FrameSvg
      switch(to) {
        case 95: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::GLApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::GroupBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::IconWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::ItemBackground
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Label
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 70: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::LineEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::Meter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 72: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::Package
      switch(to) {
        case 73: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PackageMetadata
      switch(to) {
        case 74: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PackageStructure
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 179: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PlotColor
      switch(to) {
        case 76: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::PopupApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::PushButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 78: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::QueryMatch
      switch(to) {
        case 79: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RadioButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerContext
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::RunnerScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::RunnerSyntax
      switch(to) {
        case 84: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScriptEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::ScrollBar
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::ScrollWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::Separator
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 88: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::Service
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 89: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::ServiceAccessJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::ServiceJob
      switch(to) {
        case 91: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SignalPlotter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Slider
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 93: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SpinBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::Svg
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 95: return (void*)(Plasma::Svg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::SvgWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TabBar
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 97: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::TextBrowser
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::TextEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::Theme
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 100: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::ToolTipContent
      switch(to) {
        case 102: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::ToolTipManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::TreeView
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 104: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::VideoWidget
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::View
      switch(to) {
        case 146: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 132: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 199: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 163: return (void*)(QObject*)(Plasma::View*)xptr;
        case 106: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::Wallpaper
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 108:   //Plasma::WallpaperScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 109:   //Plasma::WebView
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 109: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractAnimation
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 110: return (void*)(QAbstractAnimation*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractItemDelegate
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 111: return (void*)(QAbstractItemDelegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 112:   //QAbstractItemModel
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 112: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 113:   //QAbstractScrollArea
      switch(to) {
        case 132: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 199: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 163: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)xptr;
        case 106: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 114:   //QAction
      switch(to) {
        case 114: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 115:   //QActionEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 115: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QBool
      switch(to) {
        case 116: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 117:   //QByteArray
      switch(to) {
        case 117: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 118:   //QCheckBox
      switch(to) {
        case 118: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 119:   //QChildEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 119: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QCloseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 120: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QColor
      switch(to) {
        case 121: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 122:   //QContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 122: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragEnterEvent
      switch(to) {
        case 125: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 123: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDragLeaveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 124: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QDragMoveEvent
      switch(to) {
        case 126: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 125: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 126:   //QDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 126: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QEasingCurve
      switch(to) {
        case 127: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 128:   //QEvent
      switch(to) {
        case 128: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 129:   //QFocusEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 129: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QFont
      switch(to) {
        case 130: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 131:   //QFontMetrics
      switch(to) {
        case 131: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 132:   //QFrame
      switch(to) {
        case 199: return (void*)(QWidget*)(QFrame*)xptr;
        case 163: return (void*)(QObject*)(QFrame*)xptr;
        case 132: return (void*)(QFrame*)xptr;
        case 106: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsItem
      switch(to) {
        case 134: return (void*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsLayoutItem
      switch(to) {
        case 135: return (void*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsProxyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 136: return (void*)(QGraphicsProxyWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsScene
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 137: return (void*)(QGraphicsScene*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 138: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 145: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsView
      switch(to) {
        case 113: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 132: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 199: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 146: return (void*)(QGraphicsView*)xptr;
        case 106: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 147:   //QGraphicsWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 148:   //QGroupBox
      switch(to) {
        case 148: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 149:   //QHideEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 149: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QIODevice
      switch(to) {
        case 163: return (void*)(QObject*)(QIODevice*)xptr;
        case 150: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 151:   //QIcon
      switch(to) {
        case 151: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 152:   //QImage
      switch(to) {
        case 152: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 153:   //QInputMethodEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 153: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QKeyEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 154: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QLabel
      switch(to) {
        case 155: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 156:   //QMenu
      switch(to) {
        case 156: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 157:   //QMetaObject
      switch(to) {
        case 157: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 158:   //QMimeData
      switch(to) {
        case 163: return (void*)(QObject*)(QMimeData*)xptr;
        case 158: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 159:   //QModelIndex
      switch(to) {
        case 159: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 160:   //QMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 160: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 161: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QMutex
      switch(to) {
        case 162: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 163:   //QObject
      switch(to) {
        case 163: return (void*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 95: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 52: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 89: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 37: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 100: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 106: return (void*)(Plasma::View*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 164:   //QPaintEngine
      switch(to) {
        case 164: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 165:   //QPaintEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 165: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QPainter
      switch(to) {
        case 166: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 167:   //QPainterPath
      switch(to) {
        case 167: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 168:   //QPalette
      switch(to) {
        case 168: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 169:   //QPixmap
      switch(to) {
        case 169: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 170:   //QPoint
      switch(to) {
        case 170: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 171:   //QPointF
      switch(to) {
        case 171: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 172:   //QRadioButton
      switch(to) {
        case 172: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 173:   //QRect
      switch(to) {
        case 173: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 174:   //QRectF
      switch(to) {
        case 174: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 175:   //QRegExp
      switch(to) {
        case 175: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 176:   //QRegion
      switch(to) {
        case 176: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 177:   //QResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 177: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 178:   //QScrollBar
      switch(to) {
        case 199: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 163: return (void*)(QObject*)(QScrollBar*)xptr;
        case 178: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 179:   //QSharedData
      switch(to) {
        case 179: return (void*)(QSharedData*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 180:   //QShowEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 180: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QSize
      switch(to) {
        case 181: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 182:   //QSizeF
      switch(to) {
        case 182: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 183:   //QSlider
      switch(to) {
        case 199: return (void*)(QWidget*)(QSlider*)xptr;
        case 163: return (void*)(QObject*)(QSlider*)xptr;
        case 183: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 184:   //QStyle
      switch(to) {
        case 163: return (void*)(QObject*)(QStyle*)xptr;
        case 184: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 185:   //QStyleOption
      switch(to) {
        case 185: return (void*)(QStyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOptionGraphicsItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 186: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 187:   //QStyleOptionViewItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 187: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 188:   //QTabletEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 188: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QTextDocument
      switch(to) {
        case 189: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 190:   //QTextOption
      switch(to) {
        case 190: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 191:   //QTimerEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 191: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 192:   //QToolButton
      switch(to) {
        case 192: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 193:   //QTreeView
      switch(to) {
        case 193: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 194:   //QUrl
      switch(to) {
        case 194: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 195:   //QVariant
      switch(to) {
        case 195: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 196:   //QWebFrame
      switch(to) {
        case 196: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 197:   //QWebPage
      switch(to) {
        case 197: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 198:   //QWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 198: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 199:   //QWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QWidget*)xptr;
        case 199: return (void*)(QWidget*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 106: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    163, 0,	// 1: QObject
    147, 0,	// 3: QGraphicsWidget
    14, 0,	// 5: KJob
    110, 0,	// 7: QAbstractAnimation
    85, 0,	// 9: Plasma::ScriptEngine
    136, 0,	// 11: QGraphicsProxyWidget
    9, 0,	// 13: KConfigSkeleton
    38, 0,	// 15: Plasma::Applet
    186, 0,	// 17: QStyleOptionGraphicsItem
    137, 0,	// 19: QGraphicsScene
    111, 0,	// 21: QAbstractItemDelegate
    199, 0,	// 23: QWidget
    62, 0,	// 25: Plasma::ExtenderItem
    95, 0,	// 27: Plasma::Svg
    163, 179, 0,	// 29: QObject, QSharedData
    146, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//10
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//11
    { "KIcon", true, 0, 0, 0, 0, 0 },	//12
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//13
    { "KJob", true, 0, 0, 0, 0, 0 },	//14
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//17
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//18
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//19
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//22
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//24
    { "KUrl", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//26
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//27
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//28
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//29
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//30
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//31
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//32
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//33
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//34
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//35
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//36
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//37
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//38
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//39
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//40
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//41
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//42
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//43
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//44
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//45
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//46
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//47
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//48
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//49
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//50
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//51
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//52
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//53
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//54
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//55
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//56
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//57
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//58
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//59
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//60
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//61
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//62
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//63
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//64
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//65
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//66
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//67
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//68
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//69
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//70
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//71
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//72
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Package) },	//73
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//74
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//75
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//76
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//77
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//78
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//79
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//80
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//81
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//82
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//83
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//84
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//85
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//86
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//87
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//88
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//89
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//90
    { "Plasma::ServiceJob", true, 0, 0, 0, 0, 0 },	//91
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//92
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//93
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//94
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//95
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//96
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//97
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//98
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//99
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//100
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//101
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//102
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//103
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//104
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//105
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//106
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//107
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//108
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//109
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//111
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//112
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//113
    { "QAction", true, 0, 0, 0, 0, 0 },	//114
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QBool", true, 0, 0, 0, 0, 0 },	//116
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//117
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//118
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QColor", true, 0, 0, 0, 0, 0 },	//121
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//125
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//127
    { "QEvent", true, 0, 0, 0, 0, 0 },	//128
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QFont", true, 0, 0, 0, 0, 0 },	//130
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//131
    { "QFrame", true, 0, 0, 0, 0, 0 },	//132
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//133
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//146
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//147
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//148
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//150
    { "QIcon", true, 0, 0, 0, 0, 0 },	//151
    { "QImage", true, 0, 0, 0, 0, 0 },	//152
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QLabel", true, 0, 0, 0, 0, 0 },	//155
    { "QMenu", true, 0, 0, 0, 0, 0 },	//156
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//157
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//158
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//159
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QMutex", true, 0, 0, 0, 0, 0 },	//162
    { "QObject", true, 0, 0, 0, 0, 0 },	//163
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//164
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QPainter", true, 0, 0, 0, 0, 0 },	//166
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//167
    { "QPalette", true, 0, 0, 0, 0, 0 },	//168
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//169
    { "QPoint", true, 0, 0, 0, 0, 0 },	//170
    { "QPointF", true, 0, 0, 0, 0, 0 },	//171
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//172
    { "QRect", true, 0, 0, 0, 0, 0 },	//173
    { "QRectF", true, 0, 0, 0, 0, 0 },	//174
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//175
    { "QRegion", true, 0, 0, 0, 0, 0 },	//176
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//177
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//178
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//179
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QSize", true, 0, 0, 0, 0, 0 },	//181
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//182
    { "QSlider", true, 0, 0, 0, 0, 0 },	//183
    { "QStyle", true, 0, 0, 0, 0, 0 },	//184
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//186
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//187
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//189
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//190
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//191
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//192
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//193
    { "QUrl", true, 0, 0, 0, 0, 0 },	//194
    { "QVariant", true, 0, 0, 0, 0, 0 },	//195
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//196
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//197
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//198
    { "QWidget", true, 0, 0, 0, 0, 0 },	//199
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComboBox*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KConfigGroup", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//9
    { "KConfigSkeletonItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KIntSpinBox*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KLineEdit*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KPluginInfo", 17, Smoke::t_class|Smoke::tf_stack },	//15
    { "KPushButton*", 18, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KServiceAction", 19, Smoke::t_class|Smoke::tf_stack },	//17
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KShortcut", 20, Smoke::t_class|Smoke::tf_stack },	//21
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KSycocaFactoryId", 133, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KSycocaType", 133, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KTabBar*", 22, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextBrowser*", 23, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEdit*", 24, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KUrl", 25, Smoke::t_class|Smoke::tf_stack },	//28
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "Phonon::AudioOutput*", 26, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Plasma::AbstractDialogManager*", 30, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Plasma::AbstractRunner*", 31, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Plasma::AbstractRunner::Priority", 31, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Plasma::AbstractRunner::Speed", 31, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Plasma::AbstractToolBox*", 32, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Plasma::AbstractToolBox::ToolType", 32, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::AccessAppletJob*", 33, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Plasma::AccessManager*", 34, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Plasma::Animation*", 35, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::Animation::MovementDirectionFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Plasma::Animation::ReferenceFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Plasma::AnimationDriver*", 36, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Plasma::Animator*", 37, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Plasma::Animator::Animation", 37, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Plasma::Animator::CurveShape", 37, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Plasma::Animator::Movement", 37, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::AnnouncementMethod", 29, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "Plasma::Applet*", 38, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Plasma::Applet::BackgroundHint", 38, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Plasma::AppletScript*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Plasma::AspectRatioMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Plasma::AuthorizationInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AuthorizationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 41, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Plasma::AuthorizationRule&", 42, Smoke::t_class|Smoke::tf_ref },	//58
    { "Plasma::AuthorizationRule*", 42, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Plasma::AuthorizationRule::Persistence", 42, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Plasma::AuthorizationRule::Policy", 42, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Plasma::AuthorizationRule::Target", 42, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Plasma::BusyWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Plasma::CheckBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Plasma::ClientPinRequest&", 45, Smoke::t_class|Smoke::tf_ref },	//65
    { "Plasma::ClientPinRequest*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Plasma::ComboBox*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Plasma::ComponentType", 29, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Plasma::ConfigLoader*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Plasma::Constraint", 29, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::Containment*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Plasma::Containment::StyleOption*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Plasma::Containment::StyleOption::StyleOptionType", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Plasma::ContainmentActions*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Plasma::ContainmentActionsPluginsConfig", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "Plasma::ContainmentActionsPluginsConfig*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Plasma::Context*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Plasma::Corona*", 53, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::DataContainer*", 54, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::DataEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::DataEngineManager*", 56, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Plasma::DataEngineScript*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Plasma::Delegate*", 58, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Plasma::Delegate::ColumnType", 58, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Plasma::Delegate::SpecificRoles", 58, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Plasma::Dialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Plasma::Dialog::ResizeCorner", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Plasma::Direction", 29, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Plasma::Extender*", 60, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Plasma::Extender::Appearance", 60, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Plasma::ExtenderGroup*", 61, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Plasma::ExtenderItem*", 62, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Plasma::FlashingLabel*", 63, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Plasma::FlipDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Plasma::FormFactor", 29, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Plasma::Frame*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Plasma::Frame::Shadow", 64, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Plasma::FrameSvg*", 65, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Plasma::FrameSvg::EnabledBorder", 65, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Plasma::GLApplet*", 66, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Plasma::GroupBox*", 67, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Plasma::IconWidget*", 68, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Plasma::IntervalAlignment", 29, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Plasma::ItemBackground*", 69, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Plasma::ItemTypes", 29, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::Label*", 70, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Plasma::LineEdit*", 71, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Plasma::Location", 29, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Plasma::Meter*", 72, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Plasma::Meter::MeterType", 72, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref },	//118
    { "Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Plasma::PackageMetadata", 74, Smoke::t_class|Smoke::tf_stack },	//120
    { "Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref },	//121
    { "Plasma::PackageMetadata*", 74, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref },	//123
    { "Plasma::PackageStructure*", 75, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Plasma::PlotColor*", 76, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PopupApplet*", 77, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Plasma::PopupPlacement", 29, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Plasma::Position", 29, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Plasma::PushButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Plasma::QueryMatch", 79, Smoke::t_class|Smoke::tf_stack },	//130
    { "Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref },	//131
    { "Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Plasma::QueryMatch::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Plasma::RadioButton*", 80, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref },	//135
    { "Plasma::RunnerContext*", 81, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Plasma::RunnerContext::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Plasma::RunnerManager*", 82, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Plasma::RunnerScript*", 83, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref },	//140
    { "Plasma::RunnerSyntax*", 84, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Plasma::ScriptEngine*", 85, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::ScrollBar*", 86, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Plasma::ScrollWidget*", 87, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::Separator*", 88, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::Service*", 89, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::ServiceAccessJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::ServiceJob*", 91, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::SignalPlotter*", 92, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::Slider*", 93, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::SpinBox*", 94, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::Svg*", 95, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::SvgWidget*", 96, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::TabBar*", 97, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::TextBrowser*", 98, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::TextEdit*", 99, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::Theme*", 100, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Plasma::Theme::ColorRole", 100, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Plasma::Theme::FontRole", 100, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Plasma::ToolButton*", 101, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref },	//161
    { "Plasma::ToolTipContent*", 102, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Plasma::ToolTipContent::ResourceType", 102, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Plasma::ToolTipManager*", 103, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Plasma::ToolTipManager::State", 103, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Plasma::TreeView*", 104, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Plasma::TrustLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Plasma::VideoWidget*", 105, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Plasma::VideoWidget::Control", 105, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Plasma::View*", 106, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Plasma::Wallpaper*", 107, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Plasma::Wallpaper::ResizeMethod", 107, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Plasma::WallpaperScript*", 108, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Plasma::WebView*", 109, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Plasma::ZoomDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Plasma::ZoomLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QAbstractAnimation::Direction", 110, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QAbstractAnimation::State", 110, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QAbstractItemModel*", 112, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QAction*", 114, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QActionEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QBool", 116, Smoke::t_class|Smoke::tf_stack },	//183
    { "QCheckBox*", 118, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QChildEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QCloseEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QColor", 121, Smoke::t_class|Smoke::tf_stack },	//187
    { "QColor&", 121, Smoke::t_class|Smoke::tf_ref },	//188
    { "QContextMenuEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QDragEnterEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QDragLeaveEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QDragMoveEvent*", 125, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QDropEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QEasingCurve", 127, Smoke::t_class|Smoke::tf_stack },	//195
    { "QEvent*", 128, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//198
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//207
    { "QFocusEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QFont", 130, Smoke::t_class|Smoke::tf_stack },	//209
    { "QFontMetrics", 131, Smoke::t_class|Smoke::tf_stack },	//210
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QGraphicsItem**", 134, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QGraphicsItem::Extension", 134, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QGraphicsItem::GraphicsItemChange", 134, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QGraphicsLayoutItem*", 135, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QGraphicsSceneContextMenuEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QGraphicsSceneDragDropEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QGraphicsSceneHelpEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneHoverEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneMouseEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneMoveEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneResizeEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsSceneWheelEvent*", 145, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGraphicsWidget*", 147, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QGroupBox*", 148, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//228
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//230
    { "QHideEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QIODevice*", 150, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QIcon", 151, Smoke::t_class|Smoke::tf_stack },	//233
    { "QImage&", 152, Smoke::t_class|Smoke::tf_ref },	//234
    { "QInputMethodEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QKeyEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QLabel*", 155, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//238
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//239
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//248
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//252
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//253
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//259
    { "QMenu*", 156, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QMetaObject::Call", 157, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QMimeData*", 158, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMouseEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QMoveEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QMutex*", 162, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QObject*", 163, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QPaintEngine*", 164, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QPaintEngine::Type", 164, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QPaintEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QPainter*", 166, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QPainterPath", 167, Smoke::t_class|Smoke::tf_stack },	//272
    { "QPixmap", 169, Smoke::t_class|Smoke::tf_stack },	//273
    { "QPixmap&", 169, Smoke::t_class|Smoke::tf_ref },	//274
    { "QPoint", 170, Smoke::t_class|Smoke::tf_stack },	//275
    { "QPointF", 171, Smoke::t_class|Smoke::tf_stack },	//276
    { "QRadioButton*", 172, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QRect", 173, Smoke::t_class|Smoke::tf_stack },	//278
    { "QRectF", 174, Smoke::t_class|Smoke::tf_stack },	//279
    { "QRectF&", 174, Smoke::t_class|Smoke::tf_ref },	//280
    { "QRegExp&", 175, Smoke::t_class|Smoke::tf_ref },	//281
    { "QRegion", 176, Smoke::t_class|Smoke::tf_stack },	//282
    { "QResizeEvent*", 177, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QScrollBar*", 178, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QShowEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QSize", 181, Smoke::t_class|Smoke::tf_stack },	//286
    { "QSizeF", 182, Smoke::t_class|Smoke::tf_stack },	//287
    { "QSlider*", 183, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//290
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//291
    { "QStyle&", 184, Smoke::t_class|Smoke::tf_ref },	//292
    { "QStyleOption*", 185, Smoke::t_class|Smoke::tf_ptr },	//293
    { "QTabletEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//294
    { "QTextDocument*", 189, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QTimerEvent*", 191, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QToolButton*", 192, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTreeView*", 193, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QVariant", 195, Smoke::t_class|Smoke::tf_stack },	//299
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "QWebFrame*", 196, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QWebPage*", 197, Smoke::t_class|Smoke::tf_ptr },	//302
    { "QWheelEvent*", 198, Smoke::t_class|Smoke::tf_ptr },	//303
    { "QWidget*", 199, Smoke::t_class|Smoke::tf_ptr },	//304
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//344
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//350
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtMsgType", 133, Smoke::t_enum|Smoke::tf_stack },	//378
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//379
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//380
    { "__codecvt_result", 133, Smoke::t_enum|Smoke::tf_stack },	//381
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//382
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const KConfigBase&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//385
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const KConfigGroup*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const KIcon&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const KPluginInfo&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//390
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//391
    { "const KShortcut&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const KUrl&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Plasma::AuthorizationInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Plasma::Containment::StyleOption&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//397
    { "const Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//399
    { "const Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//400
    { "const Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//401
    { "const Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//402
    { "const Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const Plasma::PlotColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QByteArray&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QColor&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QEasingCurve&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//420
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//421
    { "const QFont&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//425
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QIcon&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QImage&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QMetaObject&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QMetaObject*", 157, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QModelIndex&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//440
    { "const QPainterPath&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QPalette&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPixmap&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QPoint", 170, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const QPoint&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QPointF&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QRect&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QRectF&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QRegExp&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QRegion&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QSize&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QSizeF&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//453
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//455
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//457
    { "const QStyleOptionGraphicsItem&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QStyleOptionGraphicsItem*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//459
    { "const QStyleOptionViewItem&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QTextOption&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QUrl&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QVariant&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//466
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//467
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//468
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//469
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//470
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//471
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//472
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//473
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//474
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//475
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//476
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//477
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//478
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//479
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//480
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//481
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//482
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//483
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    466, 0,	//1  const char*
    261, 473, 482, 0,	//3  QMetaObject::Call, int, void**
    382, 0,	//7  bool
    113, 0,	//9  Plasma::Location
    423, 0,	//11  const QGraphicsItem*
    454, 34, 0,	//13  const QString&, Plasma::AbstractRunner*
    454, 68, 0,	//16  const QString&, Plasma::ComponentType
    177, 0,	//19  Plasma::ZoomLevel
    454, 171, 0,	//21  const QString&, Plasma::Wallpaper*
    260, 454, 266, 0,	//24  QMenu*, const QString&, QObject*
    260, 0,	//28  QMenu*
    260, 454, 0,	//30  QMenu*, const QString&
    454, 83, 0,	//33  const QString&, Plasma::DataEngine*
    479, 0,	//36  unsigned int
    199, 0,	//38  QFlags<Plasma::ComponentType>
    454, 51, 0,	//40  const QString&, Plasma::Applet*
    466, 466, 0,	//43  const char*, const char*
    466, 466, 473, 0,	//46  const char*, const char*, int
    81, 0,	//50  Plasma::Corona*
    304, 51, 0,	//52  QWidget*, Plasma::Applet*
    135, 0,	//55  Plasma::RunnerContext&
    304, 0,	//57  QWidget*
    411, 409, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    203, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    266, 454, 0,	//64  QObject*, const QString&
    390, 266, 0,	//67  const KSharedPtr<KService>, QObject*
    266, 433, 0,	//70  QObject*, const QList<QVariant>&
    36, 0,	//73  Plasma::AbstractRunner::Speed
    35, 0,	//75  Plasma::AbstractRunner::Priority
    454, 454, 0,	//77  const QString&, const QString&
    409, 0,	//80  const Plasma::QueryMatch&
    454, 427, 454, 0,	//82  const QString&, const QIcon&, const QString&
    454, 181, 0,	//86  const QString&, QAction*
    454, 0,	//89  const QString&
    412, 0,	//91  const Plasma::RunnerSyntax&
    430, 0,	//93  const QList<Plasma::RunnerSyntax>&
    410, 0,	//95  const Plasma::QueryMatch*
    266, 0,	//97  QObject*
    390, 0,	//99  const KSharedPtr<KService>
    71, 0,	//101  Plasma::Containment*
    454, 433, 71, 0,	//103  const QString&, const QList<QVariant>&, Plasma::Containment*
    181, 0,	//107  QAction*
    465, 0,	//109  const bool
    386, 0,	//111  const KConfigGroup&
    454, 433, 0,	//113  const QString&, const QList<QVariant>&
    393, 266, 0,	//116  const KUrl&, QObject*
    393, 0,	//119  const KUrl&
    39, 0,	//121  Plasma::AccessAppletJob*
    120, 0,	//123  Plasma::PackageMetadata
    226, 0,	//125  QGraphicsWidget*
    416, 0,	//127  const QEasingCurve&
    473, 0,	//129  int
    46, 0,	//131  Plasma::Animator::Animation
    48, 0,	//133  Plasma::Animator::Movement
    470, 443, 0,	//135  double, const QPixmap&
    470, 212, 0,	//138  double, QGraphicsItem*
    470, 212, 445, 445, 0,	//141  double, QGraphicsItem*, const QPoint&, const QPoint&
    46, 266, 0,	//146  Plasma::Animator::Animation, QObject*
    454, 266, 0,	//149  const QString&, QObject*
    47, 0,	//152  Plasma::Animator::CurveShape
    212, 48, 445, 0,	//154  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    473, 473, 47, 266, 466, 0,	//158  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    473, 443, 0,	//164  int, const QPixmap&
    212, 46, 0,	//167  QGraphicsItem*, Plasma::Animator::Animation
    212, 0,	//170  QGraphicsItem*
    226, 179, 179, 0,	//172  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    296, 0,	//176  QTimerEvent*
    9, 0,	//178  KConfigGroup&
    424, 447, 0,	//180  const QGraphicsView*, const QRect&
    424, 448, 0,	//183  const QGraphicsView*, const QRectF&
    451, 0,	//186  const QSize&
    451, 305, 0,	//188  const QSize&, Qt::AlignmentFlag
    200, 0,	//191  QFlags<Plasma::Constraint>
    54, 0,	//193  Plasma::AspectRatioMode
    462, 0,	//195  const QUrl&
    454, 382, 0,	//197  const QString&, bool
    456, 0,	//200  const QStringList&
    454, 479, 433, 0,	//202  const QString&, unsigned int, const QList<QVariant>&
    389, 479, 433, 0,	//206  const KPluginInfo&, unsigned int, const QList<QVariant>&
    389, 0,	//210  const KPluginInfo&
    271, 459, 447, 0,	//212  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    271, 459, 304, 0,	//216  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    289, 0,	//220  QString
    289, 181, 0,	//222  QString, QAction*
    417, 0,	//225  const QFlags<Plasma::Applet::BackgroundHint>
    392, 0,	//227  const KShortcut&
    95, 0,	//229  Plasma::ExtenderItem*
    212, 454, 479, 0,	//231  QGraphicsItem*, const QString&, unsigned int
    389, 212, 479, 0,	//235  const KPluginInfo&, QGraphicsItem*, unsigned int
    212, 454, 479, 433, 0,	//239  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    7, 0,	//244  KConfigDialog*
    394, 0,	//246  const KUrl::List&
    358, 0,	//248  Qt::SizeHint
    403, 0,	//250  const Plasma::MessageButton
    51, 0,	//252  Plasma::Applet*
    109, 0,	//254  Plasma::ItemStatus
    106, 0,	//256  Plasma::ImmutabilityType
    400, 0,	//258  const Plasma::ImmutabilityType
    401, 0,	//260  const Plasma::ItemStatus
    50, 454, 0,	//262  Plasma::AnnouncementMethods, const QString&
    382, 454, 0,	//265  bool, const QString&
    427, 454, 419, 0,	//268  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    266, 196, 0,	//272  QObject*, QEvent*
    212, 196, 0,	//275  QGraphicsItem*, QEvent*
    221, 0,	//278  QGraphicsSceneMouseEvent*
    208, 0,	//280  QFocusEvent*
    223, 0,	//282  QGraphicsSceneResizeEvent*
    215, 463, 0,	//284  QGraphicsItem::GraphicsItemChange, const QVariant&
    358, 452, 0,	//287  Qt::SizeHint, const QSizeF&
    220, 0,	//290  QGraphicsSceneHoverEvent*
    454, 479, 0,	//292  const QString&, unsigned int
    389, 479, 0,	//295  const KPluginInfo&, unsigned int
    212, 454, 0,	//298  QGraphicsItem*, const QString&
    389, 212, 0,	//301  const KPluginInfo&, QGraphicsItem*
    58, 0,	//304  Plasma::AuthorizationRule&
    65, 0,	//306  Plasma::ClientPinRequest&
    395, 0,	//308  const Plasma::AuthorizationInterface&
    57, 0,	//310  Plasma::AuthorizationManager::AuthorizationPolicy
    55, 0,	//312  Plasma::AuthorizationInterface*
    61, 0,	//314  Plasma::AuthorizationRule::Policy
    60, 0,	//316  Plasma::AuthorizationRule::Persistence
    198, 0,	//318  QFlags<Plasma::AuthorizationRule::Target>
    59, 0,	//320  Plasma::AuthorizationRule*
    285, 0,	//322  QShowEvent*
    231, 0,	//324  QHideEvent*
    271, 459, 0,	//326  QPainter*, const QStyleOptionGraphicsItem*
    196, 0,	//329  QEvent*
    66, 0,	//331  Plasma::ClientPinRequest*
    4, 0,	//333  KComboBox*
    454, 232, 266, 0,	//335  const QString&, QIODevice*, QObject*
    19, 232, 266, 0,	//339  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    387, 232, 266, 0,	//343  const KConfigGroup*, QIODevice*, QObject*
    454, 232, 0,	//347  const QString&, QIODevice*
    19, 232, 0,	//350  KSharedPtr<KSharedConfig>, QIODevice*
    387, 232, 0,	//353  const KConfigGroup*, QIODevice*
    454, 454, 454, 0,	//356  const QString&, const QString&, const QString&
    454, 433, 448, 0,	//360  const QString&, const QList<QVariant>&, const QRectF&
    51, 446, 382, 0,	//364  Plasma::Applet*, const QPointF&, bool
    473, 473, 0,	//368  int, int
    446, 445, 0,	//371  const QPointF&, const QPoint&
    444, 0,	//374  const QPoint
    51, 446, 0,	//376  Plasma::Applet*, const QPointF&
    71, 176, 0,	//379  Plasma::Containment*, Plasma::ZoomDirection
    446, 0,	//382  const QPointF&
    473, 473, 71, 0,	//384  int, int, Plasma::Containment*
    80, 0,	//388  Plasma::Context*
    98, 0,	//390  Plasma::FormFactor
    75, 0,	//392  Plasma::Containment::Type
    217, 0,	//394  QGraphicsSceneContextMenuEvent*
    236, 0,	//396  QKeyEvent*
    224, 0,	//398  QGraphicsSceneWheelEvent*
    218, 0,	//400  QGraphicsSceneDragDropEvent*
    37, 0,	//402  Plasma::AbstractToolBox*
    396, 0,	//404  const Plasma::Containment::StyleOption&
    458, 0,	//406  const QStyleOptionGraphicsItem&
    170, 0,	//408  Plasma::View*
    71, 454, 433, 0,	//410  Plasma::Containment*, const QString&, const QList<QVariant>&
    71, 389, 433, 0,	//414  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    451, 196, 0,	//418  const QSize&, QEvent*
    276, 275, 0,	//421  QPointF, QPoint
    71, 454, 0,	//424  Plasma::Containment*, const QString&
    71, 389, 0,	//427  Plasma::Containment*, const KPluginInfo&
    398, 0,	//430  const Plasma::ContainmentActionsPluginsConfig&
    196, 454, 0,	//432  QEvent*, const QString&
    206, 349, 454, 0,	//435  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    206, 352, 454, 0,	//439  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    473, 473, 454, 433, 0,	//443  int, int, const QString&, const QList<QVariant>&
    423, 451, 0,	//448  const QGraphicsItem*, const QSize&
    423, 451, 305, 0,	//451  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    2, 0,	//455  KActionCollection*
    75, 398, 0,	//457  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    33, 0,	//460  Plasma::AbstractDialogManager*
    384, 0,	//462  const KConfigBase&
    397, 0,	//464  const Plasma::Containment::Type
    9, 243, 0,	//466  KConfigGroup&, QList<Plasma::Containment*>
    46, 46, 0,	//469  Plasma::Animator::Animation, Plasma::Animator::Animation
    46, 454, 0,	//472  Plasma::Animator::Animation, const QString&
    397, 454, 0,	//475  const Plasma::Containment::Type, const QString&
    473, 473, 454, 0,	//478  int, int, const QString&
    454, 463, 0,	//482  const QString&, const QVariant&
    266, 479, 107, 0,	//485  QObject*, unsigned int, Plasma::IntervalAlignment
    454, 399, 0,	//489  const QString&, const Plasma::DataEngine::Data&
    82, 0,	//492  Plasma::DataContainer*
    266, 18, 0,	//494  QObject*, KSharedPtr<KService>
    454, 266, 479, 107, 0,	//497  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    454, 454, 463, 0,	//502  const QString&, const QString&, const QVariant&
    454, 426, 0,	//506  const QString&, const QHash<QString,QVariant>&
    454, 266, 479, 0,	//509  const QString&, QObject*, unsigned int
    266, 479, 0,	//513  QObject*, unsigned int
    83, 0,	//516  Plasma::DataEngine*
    88, 473, 0,	//518  Plasma::Delegate::SpecificRoles, int
    88, 0,	//521  Plasma::Delegate::SpecificRoles
    271, 460, 439, 0,	//523  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    460, 439, 0,	//527  const QStyleOptionViewItem&, const QModelIndex&
    304, 207, 0,	//530  QWidget*, QFlags<Qt::WindowType>
    201, 0,	//533  QFlags<Plasma::Dialog::ResizeCorner>
    91, 0,	//535  Plasma::Direction
    270, 0,	//537  QPaintEvent*
    283, 0,	//539  QResizeEvent*
    263, 0,	//541  QMouseEvent*
    264, 0,	//543  QMoveEvent*
    445, 0,	//545  const QPoint&
    93, 0,	//547  Plasma::Extender::Appearance
    95, 446, 0,	//549  Plasma::ExtenderItem*, const QPointF&
    92, 479, 0,	//552  Plasma::Extender*, unsigned int
    92, 0,	//555  Plasma::Extender*
    427, 0,	//557  const QIcon&
    92, 446, 0,	//559  Plasma::Extender*, const QPointF&
    94, 0,	//562  Plasma::ExtenderGroup*
    94, 446, 0,	//564  Plasma::ExtenderGroup*, const QPointF&
    222, 0,	//567  QGraphicsSceneMoveEvent*
    422, 0,	//569  const QFont&
    415, 0,	//571  const QColor&
    454, 473, 461, 0,	//573  const QString&, int, const QTextOption&
    443, 473, 205, 0,	//577  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    454, 473, 0,	//581  const QString&, int
    443, 0,	//584  const QPixmap&
    443, 473, 0,	//586  const QPixmap&, int
    100, 0,	//589  Plasma::Frame::Shadow
    418, 0,	//591  const QFlags<Plasma::FrameSvg::EnabledBorder>
    452, 0,	//593  const QSizeF&
    402, 0,	//595  const Plasma::MarginEdge
    471, 471, 471, 471, 0,	//597  double&, double&, double&, double&
    271, 448, 448, 0,	//602  QPainter*, const QRectF&, const QRectF&
    271, 446, 0,	//606  QPainter*, const QPointF&
    271, 448, 0,	//609  QPainter*, const QRectF&
    271, 0,	//612  QPainter*
    212, 454, 473, 0,	//614  QGraphicsItem*, const QString&, int
    428, 479, 0,	//618  const QImage&, unsigned int
    428, 0,	//621  const QImage&
    454, 212, 0,	//623  const QString&, QGraphicsItem*
    427, 454, 212, 0,	//626  const QIcon&, const QString&, QGraphicsItem*
    352, 0,	//630  Qt::Orientation
    467, 0,	//632  const double
    271, 451, 473, 0,	//634  QPainter*, const QSize&, int
    427, 454, 0,	//638  const QIcon&, const QString&
    448, 0,	//641  const QRectF&
    477, 0,	//643  qreal
    279, 0,	//645  QRectF
    205, 0,	//647  QFlags<Qt::AlignmentFlag>
    13, 0,	//649  KLineEdit*
    117, 0,	//651  Plasma::Meter::MeterType
    473, 454, 0,	//653  int, const QString&
    473, 415, 0,	//656  int, const QColor&
    473, 422, 0,	//659  int, const QFont&
    473, 421, 0,	//662  int, const QFlags<Qt::AlignmentFlag>
    454, 454, 20, 0,	//665  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    454, 20, 0,	//669  const QString&, KSharedPtr<Plasma::PackageStructure>
    404, 0,	//672  const Plasma::Package&
    466, 454, 0,	//674  const char*, const QString&
    406, 454, 0,	//677  const Plasma::PackageMetadata&, const QString&
    406, 454, 454, 454, 0,	//680  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    406, 454, 454, 0,	//685  const Plasma::PackageMetadata&, const QString&, const QString&
    406, 0,	//689  const Plasma::PackageMetadata&
    407, 0,	//691  const Plasma::PackageStructure&
    466, 454, 454, 0,	//693  const char*, const QString&, const QString&
    466, 382, 0,	//697  const char*, bool
    290, 0,	//700  QStringList
    466, 290, 0,	//702  const char*, QStringList
    385, 0,	//705  const KConfigBase*
    6, 0,	//707  KConfigBase*
    408, 0,	//709  const Plasma::PlotColor&
    305, 0,	//711  Qt::AlignmentFlag
    478, 0,	//713  uint
    388, 0,	//715  const KIcon&
    34, 0,	//717  Plasma::AbstractRunner*
    133, 0,	//719  Plasma::QueryMatch::Type
    470, 0,	//721  double
    411, 0,	//723  const Plasma::RunnerContext&
    463, 0,	//725  const QVariant&
    135, 266, 0,	//727  Plasma::RunnerContext&, QObject*
    454, 429, 0,	//730  const QString&, const QList<Plasma::QueryMatch>&
    454, 409, 0,	//733  const QString&, const Plasma::QueryMatch&
    453, 0,	//736  const QString
    455, 0,	//738  const QStringList
    9, 266, 0,	//740  KConfigGroup&, QObject*
    429, 0,	//743  const QList<Plasma::QueryMatch>&
    409, 253, 0,	//745  const Plasma::QueryMatch&, QList<QAction*>*
    468, 0,	//748  const int
    464, 0,	//750  const Qt::ScrollBarPolicy
    179, 179, 0,	//752  QAbstractAnimation::State, QAbstractAnimation::State
    212, 207, 0,	//755  QGraphicsItem*, QFlags<Qt::WindowType>
    454, 433, 266, 0,	//758  const QString&, const QList<QVariant>&, QObject*
    386, 266, 0,	//762  const KConfigGroup&, QObject*
    304, 454, 0,	//765  QWidget*, const QString&
    226, 454, 0,	//768  QGraphicsWidget*, const QString&
    148, 0,	//771  Plasma::ServiceJob*
    146, 0,	//773  Plasma::Service*
    454, 259, 0,	//775  const QString&, QMap<QString,QVariant>&
    232, 0,	//778  QIODevice*
    28, 266, 0,	//780  KUrl, QObject*
    28, 0,	//783  KUrl
    434, 0,	//785  const QList<double>&
    435, 0,	//787  const QList<unsigned int>&
    470, 470, 0,	//789  double, double
    479, 479, 0,	//792  unsigned int, unsigned int
    271, 479, 479, 473, 0,	//795  QPainter*, unsigned int, unsigned int, int
    271, 473, 473, 0,	//800  QPainter*, int, int
    271, 473, 473, 473, 0,	//804  QPainter*, int, int, int
    271, 473, 473, 473, 473, 0,	//809  QPainter*, int, int, int, int
    271, 446, 454, 0,	//815  QPainter*, const QPointF&, const QString&
    271, 473, 473, 454, 0,	//819  QPainter*, int, int, const QString&
    271, 448, 454, 0,	//824  QPainter*, const QRectF&, const QString&
    271, 473, 473, 473, 473, 454, 0,	//828  QPainter*, int, int, int, int, const QString&
    157, 0,	//835  Plasma::Theme*
    152, 454, 212, 207, 0,	//837  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    152, 0,	//842  Plasma::Svg*
    349, 0,	//844  Qt::MouseButton
    152, 454, 0,	//846  Plasma::Svg*, const QString&
    152, 454, 212, 0,	//849  Plasma::Svg*, const QString&, QGraphicsItem*
    473, 427, 454, 216, 0,	//853  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    473, 454, 216, 0,	//858  int, const QString&, QGraphicsLayoutItem*
    427, 454, 216, 0,	//862  const QIcon&, const QString&, QGraphicsLayoutItem*
    454, 216, 0,	//866  const QString&, QGraphicsLayoutItem*
    473, 427, 0,	//869  int, const QIcon&
    473, 427, 454, 0,	//872  int, const QIcon&, const QString&
    356, 0,	//876  Qt::ScrollBarPolicy
    27, 0,	//878  KTextEdit*
    158, 0,	//880  Plasma::Theme::ColorRole
    422, 159, 0,	//882  const QFont&, Plasma::Theme::FontRole
    159, 0,	//885  Plasma::Theme::FontRole
    454, 274, 0,	//887  const QString&, QPixmap&
    454, 274, 479, 0,	//890  const QString&, QPixmap&, unsigned int
    454, 443, 0,	//894  const QString&, const QPixmap&
    454, 443, 454, 0,	//897  const QString&, const QPixmap&, const QString&
    454, 454, 280, 0,	//901  const QString&, const QString&, QRectF&
    454, 454, 448, 0,	//905  const QString&, const QString&, const QRectF&
    413, 0,	//909  const Plasma::ToolTipContent&
    454, 454, 443, 0,	//911  const QString&, const QString&, const QPixmap&
    454, 454, 427, 0,	//915  const QString&, const QString&, const QIcon&
    480, 0,	//919  unsigned long
    436, 0,	//921  const QList<unsigned long>&
    163, 462, 463, 0,	//923  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    295, 0,	//927  QTextDocument*
    226, 413, 0,	//929  QGraphicsWidget*, const Plasma::ToolTipContent&
    165, 0,	//932  Plasma::ToolTipManager::State
    379, 350, 344, 445, 0,	//934  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    454, 350, 344, 445, 0,	//939  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    180, 0,	//944  QAbstractItemModel*
    420, 0,	//946  const QFlags<Plasma::VideoWidget::Control>
    476, 0,	//948  qint64
    71, 304, 0,	//950  Plasma::Containment*, QWidget*
    71, 473, 304, 0,	//953  Plasma::Containment*, int, QWidget*
    71, 473, 0,	//957  Plasma::Containment*, int
    389, 433, 0,	//960  const KPluginInfo&, const QList<QVariant>&
    171, 0,	//963  Plasma::Wallpaper*
    172, 0,	//965  Plasma::Wallpaper::ResizeMethod
    454, 451, 172, 415, 0,	//967  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    454, 234, 479, 0,	//972  const QString&, QImage&, unsigned int
    454, 428, 0,	//976  const QString&, const QImage&
    431, 0,	//979  const QList<QAction*>&
    454, 451, 0,	//981  const QString&, const QSize&
    454, 451, 172, 0,	//984  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    454, 234, 0,	//988  const QString&, QImage&
    414, 393, 0,	//991  const QByteArray&, const KUrl&
    454, 393, 0,	//994  const QString&, const KUrl&
    302, 0,	//997  QWebPage*
    414, 0,	//999  const QByteArray&
    178, 0,	//1001  QAbstractAnimation::Direction
    304, 460, 439, 0,	//1003  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    304, 439, 0,	//1007  QWidget*, const QModelIndex&
    304, 180, 439, 0,	//1010  QWidget*, QAbstractItemModel*, const QModelIndex&
    196, 180, 460, 439, 0,	//1014  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    423, 341, 0,	//1019  const QGraphicsItem*, Qt::ItemSelectionMode
    441, 341, 0,	//1022  const QPainterPath&, Qt::ItemSelectionMode
    235, 0,	//1025  QInputMethodEvent*
    338, 0,	//1027  Qt::InputMethodQuery
    214, 0,	//1029  QGraphicsItem::Extension
    214, 463, 0,	//1031  QGraphicsItem::Extension, const QVariant&
    219, 0,	//1034  QGraphicsSceneHelpEvent*
    271, 473, 213, 459, 304, 0,	//1036  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    189, 0,	//1042  QContextMenuEvent*
    190, 0,	//1044  QDragEnterEvent*
    191, 0,	//1046  QDragLeaveEvent*
    192, 0,	//1048  QDragMoveEvent*
    194, 0,	//1050  QDropEvent*
    303, 0,	//1052  QWheelEvent*
    271, 473, 213, 459, 0,	//1054  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    472, 472, 472, 472, 0,	//1059  double*, double*, double*, double*
    293, 0,	//1064  QStyleOption*
    186, 0,	//1066  QCloseEvent*
    185, 0,	//1068  QChildEvent*
    294, 0,	//1070  QTabletEvent*
    182, 0,	//1072  QActionEvent*
    380, 0,	//1074  _XEvent*
    267, 0,	//1076  QPaintDevice::PaintDeviceMetric
    292, 0,	//1078  QStyle&
    442, 0,	//1080  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AbstractToolBox#?",	//11
    "AcceptingInputStatus",	//12
    "AccessAppletJob",	//13
    "AccessAppletJob#",	//14
    "AccessAppletJob##",	//15
    "ActivateAnimation",	//16
    "Activated",	//17
    "ActiveStatus",	//18
    "AddTool",	//19
    "AlignToHour",	//20
    "AlignToMinute",	//21
    "All",	//22
    "AllBorders",	//23
    "AllConstraints",	//24
    "AllLayers",	//25
    "AllServices",	//26
    "AllUsers",	//27
    "Allow",	//28
    "AnalogMeter",	//29
    "AnchorUnderMouse",	//30
    "AnchorViewCenter",	//31
    "Animation",	//32
    "Animation#",	//33
    "AnimationDriver",	//34
    "AnimationDriver#",	//35
    "AnimatorComponent",	//36
    "AppearAnimation",	//37
    "Applet",	//38
    "Applet#",	//39
    "Applet##",	//40
    "Applet##$",	//41
    "Applet#$",	//42
    "Applet#$$",	//43
    "Applet#$$?",	//44
    "Applet#?",	//45
    "AppletComponent",	//46
    "AppletScript",	//47
    "AppletScript#",	//48
    "AppletType",	//49
    "AuthorizationInterface",	//50
    "AuthorizationInterface#",	//51
    "BackgroundColor",	//52
    "BackgroundLayer",	//53
    "Backward",	//54
    "BarMeterHorizontal",	//55
    "BarMeterVertical",	//56
    "BottomBorder",	//57
    "BottomEdge",	//58
    "BottomMargin",	//59
    "BottomPosedLeftAlignedPopup",	//60
    "BottomPosedRightAlignedPopup",	//61
    "BottomPositioned",	//62
    "BottomUpStacked",	//63
    "BoundingRectViewportUpdate",	//64
    "Box",	//65
    "BspTreeIndex",	//66
    "BusyWidget",	//67
    "BusyWidget#",	//68
    "ButtonBackgroundColor",	//69
    "ButtonCancel",	//70
    "ButtonFocusColor",	//71
    "ButtonHoverColor",	//72
    "ButtonNo",	//73
    "ButtonNone",	//74
    "ButtonOk",	//75
    "ButtonTextColor",	//76
    "ButtonYes",	//77
    "Bytes",	//78
    "CacheBackground",	//79
    "CacheNone",	//80
    "Center",	//81
    "CenterPositioned",	//82
    "CenterTiledResize",	//83
    "CenteredResize",	//84
    "CheckBox",	//85
    "CheckBox#",	//86
    "ColumnTypeRole",	//87
    "ComboBox",	//88
    "ComboBox#",	//89
    "CompletionMatch",	//90
    "ConfigLoader",	//91
    "ConfigLoader##",	//92
    "ConfigLoader###",	//93
    "ConfigLoader$#",	//94
    "ConfigLoader$##",	//95
    "ConfigLoader?#",	//96
    "ConfigLoader?##",	//97
    "ConfigureTool",	//98
    "ConstrainedSquare",	//99
    "Containment",	//100
    "Containment#",	//101
    "Containment#$",	//102
    "Containment#$$",	//103
    "Containment#?",	//104
    "ContainmentActions",	//105
    "ContainmentActions#",	//106
    "ContainmentActions#?",	//107
    "ContainmentActionsPluginsConfig",	//108
    "ContainmentActionsPluginsConfig#",	//109
    "ContainmentComponent",	//110
    "Context",	//111
    "Context#",	//112
    "ContextConstraint",	//113
    "ControlTool",	//114
    "Corona",	//115
    "Corona#",	//116
    "CssResource",	//117
    "Custom",	//118
    "CustomContainment",	//119
    "CustomPanelContainment",	//120
    "DataContainer",	//121
    "DataContainer#",	//122
    "DataEngine",	//123
    "DataEngine#",	//124
    "DataEngine#?",	//125
    "DataEngineComponent",	//126
    "DataEngineScript",	//127
    "DataEngineScript#",	//128
    "Deactivated",	//129
    "Default",	//130
    "DefaultBackground",	//131
    "DefaultControls",	//132
    "DefaultFont",	//133
    "Delegate",	//134
    "Delegate#",	//135
    "DeleteWhenStopped",	//136
    "Deny",	//137
    "DenyAll",	//138
    "Desktop",	//139
    "DesktopContainment",	//140
    "DesktopFont",	//141
    "DesktopZoom",	//142
    "DestructiveTool",	//143
    "DeviceCoordinateCache",	//144
    "Dialog",	//145
    "Dialog#",	//146
    "Dialog#$",	//147
    "Directories",	//148
    "Directory",	//149
    "DisappearAnimation",	//150
    "DontAdjustForAntialiasing",	//151
    "DontClipPainter",	//152
    "DontSavePainterState",	//153
    "Down",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "EaseInCurve",	//157
    "EaseInOutCurve",	//158
    "EaseOutCurve",	//159
    "EditNextItem",	//160
    "EditPreviousItem",	//161
    "EmitResult",	//162
    "ExactMatch",	//163
    "Executable",	//164
    "Extender",	//165
    "Extender#",	//166
    "ExtenderGroup",	//167
    "ExtenderGroup#",	//168
    "ExtenderGroup#$",	//169
    "ExtenderItem",	//170
    "ExtenderItem#",	//171
    "ExtenderItem#$",	//172
    "FadeAnimation",	//173
    "FastSlideInMovement",	//174
    "FastSlideOutMovement",	//175
    "File",	//176
    "FileSystem",	//177
    "Files",	//178
    "FixedSize",	//179
    "FlashingLabel",	//180
    "FlashingLabel#",	//181
    "Floating",	//182
    "FloatingPopup",	//183
    "ForegroundLayer",	//184
    "FormFactorConstraint",	//185
    "Forward",	//186
    "Frame",	//187
    "Frame#",	//188
    "FrameSvg",	//189
    "FrameSvg#",	//190
    "FullScreen",	//191
    "FullViewportUpdate",	//192
    "GLApplet",	//193
    "GLApplet#$$",	//194
    "GLApplet#?",	//195
    "GeometryAnimation",	//196
    "GroupBox",	//197
    "GroupBox#",	//198
    "GroupZoom",	//199
    "GrowAnimation",	//200
    "HLine",	//201
    "Help",	//202
    "HelperMatch",	//203
    "HighPriority",	//204
    "HighestPriority",	//205
    "HighlightColor",	//206
    "Horizontal",	//207
    "HorizontalFlip",	//208
    "HtmlResource",	//209
    "IconWidget",	//210
    "IconWidget#",	//211
    "IconWidget#$",	//212
    "IconWidget#$#",	//213
    "IconWidget$",	//214
    "IconWidget$#",	//215
    "IgnoreAspectRatio",	//216
    "IgnoreMask",	//217
    "ImageResource",	//218
    "ImmutableConstraint",	//219
    "IndirectPainting",	//220
    "InformationalMatch",	//221
    "Inhibited",	//222
    "InvalidAspectRatioMode",	//223
    "InvalidCredentials",	//224
    "ItemAcceptsInputMethod",	//225
    "ItemBackground",	//226
    "ItemBackground#",	//227
    "ItemChildAddedChange",	//228
    "ItemChildRemovedChange",	//229
    "ItemClipsChildrenToShape",	//230
    "ItemClipsToShape",	//231
    "ItemCoordinateCache",	//232
    "ItemCursorChange",	//233
    "ItemCursorHasChanged",	//234
    "ItemDoesntPropagateOpacityToChildren",	//235
    "ItemEnabledChange",	//236
    "ItemEnabledHasChanged",	//237
    "ItemFlagsChange",	//238
    "ItemFlagsHaveChanged",	//239
    "ItemHasNoContents",	//240
    "ItemIgnoresParentOpacity",	//241
    "ItemIgnoresTransformations",	//242
    "ItemIsFocusScope",	//243
    "ItemIsFocusable",	//244
    "ItemIsMovable",	//245
    "ItemIsPanel",	//246
    "ItemIsSelectable",	//247
    "ItemLayer",	//248
    "ItemMatrixChange",	//249
    "ItemNegativeZStacksBehindParent",	//250
    "ItemOpacityChange",	//251
    "ItemOpacityHasChanged",	//252
    "ItemParentChange",	//253
    "ItemParentHasChanged",	//254
    "ItemPositionChange",	//255
    "ItemPositionHasChanged",	//256
    "ItemRotationChange",	//257
    "ItemRotationHasChanged",	//258
    "ItemScaleChange",	//259
    "ItemScaleHasChanged",	//260
    "ItemSceneChange",	//261
    "ItemSceneHasChanged",	//262
    "ItemScenePositionHasChanged",	//263
    "ItemSelectedChange",	//264
    "ItemSelectedHasChanged",	//265
    "ItemSendsGeometryChanges",	//266
    "ItemSendsScenePositionChanges",	//267
    "ItemStacksBehindParent",	//268
    "ItemStopsClickFocusPropagation",	//269
    "ItemStopsFocusHandling",	//270
    "ItemToolTipChange",	//271
    "ItemToolTipHasChanged",	//272
    "ItemTransformChange",	//273
    "ItemTransformHasChanged",	//274
    "ItemTransformOriginPointChange",	//275
    "ItemTransformOriginPointHasChanged",	//276
    "ItemUsesExtendedStyleOption",	//277
    "ItemVisibleChange",	//278
    "ItemVisibleHasChanged",	//279
    "ItemZValueChange",	//280
    "ItemZValueHasChanged",	//281
    "KST_CTimeInfo",	//282
    "KST_KCustom",	//283
    "KST_KDEDesktopMimeType",	//284
    "KST_KFolderMimeType",	//285
    "KST_KImageIO",	//286
    "KST_KImageIOFormat",	//287
    "KST_KMimeType",	//288
    "KST_KMimeTypeEntry",	//289
    "KST_KMimeTypeFactory",	//290
    "KST_KProtocolInfo",	//291
    "KST_KProtocolInfoFactory",	//292
    "KST_KService",	//293
    "KST_KServiceFactory",	//294
    "KST_KServiceGroup",	//295
    "KST_KServiceGroupFactory",	//296
    "KST_KServiceSeparator",	//297
    "KST_KServiceType",	//298
    "KST_KServiceTypeFactory",	//299
    "KST_KSycocaEntry",	//300
    "KeepAspectRatio",	//301
    "KeepWhenStopped",	//302
    "Killable",	//303
    "KilledJobError",	//304
    "Label",	//305
    "Label#",	//306
    "LastAnimation",	//307
    "Left",	//308
    "LeftBorder",	//309
    "LeftEdge",	//310
    "LeftMargin",	//311
    "LeftPosedBottomAlignedPopup",	//312
    "LeftPosedTopAlignedPopup",	//313
    "LeftPositioned",	//314
    "LineEdit",	//315
    "LineEdit#",	//316
    "LineEditType",	//317
    "LinearCurve",	//318
    "LinkColor",	//319
    "LocationConstraint",	//320
    "LowPriority",	//321
    "LowestPriority",	//322
    "MainColumn",	//323
    "MaxpectResize",	//324
    "MediaCenter",	//325
    "Meter",	//326
    "Meter#",	//327
    "MinimalViewportUpdate",	//328
    "MiscTool",	//329
    "MoveAny",	//330
    "MoveDown",	//331
    "MoveLeft",	//332
    "MoveRight",	//333
    "MoveUp",	//334
    "Mutable",	//335
    "NeedsAttentionStatus",	//336
    "NetworkLocation",	//337
    "Next",	//338
    "NoAlignment",	//339
    "NoAnchor",	//340
    "NoAnnouncement",	//341
    "NoBackground",	//342
    "NoBorder",	//343
    "NoBorders",	//344
    "NoCache",	//345
    "NoCapabilities",	//346
    "NoConstraint",	//347
    "NoContainmentType",	//348
    "NoControls",	//349
    "NoCorner",	//350
    "NoDrag",	//351
    "NoError",	//352
    "NoFlip",	//353
    "NoFrame",	//354
    "NoHint",	//355
    "NoIndex",	//356
    "NoMatch",	//357
    "NoViewportUpdate",	//358
    "NonModal",	//359
    "None",	//360
    "NormalPriority",	//361
    "NormalSpeed",	//362
    "NorthEast",	//363
    "NorthWest",	//364
    "OpenFile",	//365
    "OverviewZoom",	//366
    "Package",	//367
    "Package#",	//368
    "Package$$?",	//369
    "Package$?",	//370
    "PackageMetadata",	//371
    "PackageMetadata#",	//372
    "PackageMetadata$",	//373
    "PackageStructure",	//374
    "PackageStructure#",	//375
    "PackageStructure#$",	//376
    "Panel",	//377
    "PanelContainment",	//378
    "PanelModal",	//379
    "PassiveStatus",	//380
    "Pause",	//381
    "Paused",	//382
    "PendularCurve",	//383
    "Persistent",	//384
    "PinPairing",	//385
    "PinRequired",	//386
    "PixmapTransitionAnimation",	//387
    "Plain",	//388
    "Planar",	//389
    "Play",	//390
    "PlayPause",	//391
    "PlotColor",	//392
    "PlotColor#",	//393
    "PopupApplet",	//394
    "PopupApplet#?",	//395
    "PopupConstraint",	//396
    "PossibleMatch",	//397
    "Previous",	//398
    "Progress",	//399
    "PulseAnimation",	//400
    "PushButton",	//401
    "PushButton#",	//402
    "Q_COMPLEX_TYPE",	//403
    "Q_DUMMY_TYPE",	//404
    "Q_MOVABLE_TYPE",	//405
    "Q_PRIMITIVE_TYPE",	//406
    "Q_STATIC_TYPE",	//407
    "QtCriticalMsg",	//408
    "QtDebugMsg",	//409
    "QtFatalMsg",	//410
    "QtSystemMsg",	//411
    "QtWarningMsg",	//412
    "QueryMatch",	//413
    "QueryMatch#",	//414
    "Quietly",	//415
    "RadioButton",	//416
    "RadioButton#",	//417
    "Raised",	//418
    "RevertModelCache",	//419
    "Right",	//420
    "RightBorder",	//421
    "RightEdge",	//422
    "RightMargin",	//423
    "RightPosedBottomAlignedPopup",	//424
    "RightPosedTopAlignedPopup",	//425
    "RightPositioned",	//426
    "RotationAnimation",	//427
    "RotationStackedAnimation",	//428
    "RubberBandDrag",	//429
    "RunnerComponent",	//430
    "RunnerContext",	//431
    "RunnerContext#",	//432
    "RunnerContext##",	//433
    "RunnerManager",	//434
    "RunnerManager#",	//435
    "RunnerManager##",	//436
    "RunnerScript",	//437
    "RunnerScript#",	//438
    "RunnerSyntax",	//439
    "RunnerSyntax#",	//440
    "RunnerSyntax$$",	//441
    "Running",	//442
    "ScaledAndCroppedResize",	//443
    "ScaledResize",	//444
    "SceneModal",	//445
    "ScreenConstraint",	//446
    "ScriptEngine",	//447
    "ScriptEngine#",	//448
    "ScrollBar",	//449
    "ScrollBar#",	//450
    "ScrollHandDrag",	//451
    "ScrollWidget",	//452
    "ScrollWidget#",	//453
    "SecondaryActionColumn",	//454
    "Separator",	//455
    "Separator#",	//456
    "Separator#$",	//457
    "Service",	//458
    "Service#",	//459
    "Service#?",	//460
    "ServiceAccessJob",	//461
    "ServiceAccessJob#",	//462
    "ServiceAccessJob##",	//463
    "Shadow_Mask",	//464
    "Shape_Mask",	//465
    "ShellCommand",	//466
    "SignalPlotter",	//467
    "SignalPlotter#",	//468
    "SizeConstraint",	//469
    "SlideAnimation",	//470
    "SlideInMovement",	//471
    "SlideOutMovement",	//472
    "Slider",	//473
    "Slider#",	//474
    "SlowSpeed",	//475
    "SmartViewportUpdate",	//476
    "SouthEast",	//477
    "SouthWest",	//478
    "SpinBox",	//479
    "SpinBox#",	//480
    "Square",	//481
    "StandardBackground",	//482
    "StartupCompletedConstraint",	//483
    "Stop",	//484
    "Stopped",	//485
    "StyleOption",	//486
    "StyleOption#",	//487
    "StyledPanel",	//488
    "SubTitleMandatoryRole",	//489
    "SubTitleRole",	//490
    "SubmitModelCache",	//491
    "Sunken",	//492
    "Suspendable",	//493
    "Svg",	//494
    "Svg#",	//495
    "SvgWidget",	//496
    "SvgWidget#",	//497
    "SvgWidget#$",	//498
    "SvgWidget#$#",	//499
    "SvgWidget#$#$",	//500
    "SystemImmutable",	//501
    "TabBar",	//502
    "TabBar#",	//503
    "TextBrowser",	//504
    "TextBrowser#",	//505
    "TextColor",	//506
    "TextEdit",	//507
    "TextEdit#",	//508
    "Theme",	//509
    "Theme#",	//510
    "Theme$",	//511
    "Theme$#",	//512
    "TiledResize",	//513
    "ToolButton",	//514
    "ToolButton#",	//515
    "ToolTipContent",	//516
    "ToolTipContent#",	//517
    "ToolTipContent$$",	//518
    "ToolTipContent$$#",	//519
    "TopBorder",	//520
    "TopDownStacked",	//521
    "TopEdge",	//522
    "TopMargin",	//523
    "TopPosedLeftAlignedPopup",	//524
    "TopPosedRightAlignedPopup",	//525
    "TopPositioned",	//526
    "Transient",	//527
    "TranslucentBackground",	//528
    "TreeView",	//529
    "TreeView#",	//530
    "TrustedCredentials",	//531
    "TrustedOnly",	//532
    "Type",	//533
    "UltimateCredentials",	//534
    "UnknownCredentials",	//535
    "UnknownStatus",	//536
    "UnknownType",	//537
    "Up",	//538
    "UserDefinedError",	//539
    "UserExtension",	//540
    "UserImmutable",	//541
    "UserToolType",	//542
    "UserType",	//543
    "VLine",	//544
    "ValidCredentials",	//545
    "Version",	//546
    "Vertical",	//547
    "VerticalFlip",	//548
    "VideoWidget",	//549
    "VideoWidget#",	//550
    "View",	//551
    "View#",	//552
    "View##",	//553
    "View#$",	//554
    "View#$#",	//555
    "ViewBackgroundColor",	//556
    "ViewFocusColor",	//557
    "ViewHoverColor",	//558
    "ViewTextColor",	//559
    "VisitedLinkColor",	//560
    "Volume",	//561
    "Wallpaper",	//562
    "Wallpaper#",	//563
    "Wallpaper#?",	//564
    "WallpaperComponent",	//565
    "WallpaperScript",	//566
    "WallpaperScript#",	//567
    "WaterAnimation",	//568
    "WebView",	//569
    "WebView#",	//570
    "WinPanel",	//571
    "ZeroconfAnnouncement",	//572
    "ZoomAnimation",	//573
    "ZoomIn",	//574
    "ZoomOut",	//575
    "__codecvt_error",	//576
    "__codecvt_noconv",	//577
    "__codecvt_ok",	//578
    "__codecvt_partial",	//579
    "aboutToFinish",	//580
    "access",	//581
    "access#",	//582
    "access##",	//583
    "accessRemoteApplet",	//584
    "accessRemoteApplet#",	//585
    "action",	//586
    "action$",	//587
    "actionEvent",	//588
    "actions",	//589
    "actionsForMatch",	//590
    "actionsForMatch#",	//591
    "actionsForMatch#?",	//592
    "actionsFromMenu",	//593
    "actionsFromMenu#",	//594
    "actionsFromMenu#$",	//595
    "actionsFromMenu#$#",	//596
    "activate",	//597
    "activated",	//598
    "activated$",	//599
    "activity",	//600
    "activityChanged",	//601
    "activityChanged#",	//602
    "addAction",	//603
    "addAction$",	//604
    "addAction$#",	//605
    "addAction$#$",	//606
    "addApplet",	//607
    "addApplet#",	//608
    "addApplet##",	//609
    "addApplet##$",	//610
    "addApplet$",	//611
    "addApplet$?",	//612
    "addApplet$?#",	//613
    "addAssociatedWidget",	//614
    "addAssociatedWidget#",	//615
    "addContainment",	//616
    "addContainment$",	//617
    "addContainment$?",	//618
    "addContainmentDelayed",	//619
    "addContainmentDelayed$",	//620
    "addContainmentDelayed$?",	//621
    "addDirectoryDefinition",	//622
    "addDirectoryDefinition$$$",	//623
    "addExampleQuery",	//624
    "addExampleQuery$",	//625
    "addFileDefinition",	//626
    "addFileDefinition$$$",	//627
    "addIconAction",	//628
    "addIconAction#",	//629
    "addItem",	//630
    "addItem$",	//631
    "addMatch",	//632
    "addMatch$#",	//633
    "addMatches",	//634
    "addMatches$?",	//635
    "addOffscreenWidget",	//636
    "addOffscreenWidget#",	//637
    "addPlot",	//638
    "addPlot#",	//639
    "addPlugin",	//640
    "addPlugin#$",	//641
    "addPlugin$$$",	//642
    "addResource",	//643
    "addResource$##",	//644
    "addSample",	//645
    "addSample?",	//646
    "addShortcuts",	//647
    "addShortcuts#",	//648
    "addSiblingContainment",	//649
    "addSiblingContainment#",	//650
    "addSource",	//651
    "addSource#",	//652
    "addStandardConfigurationPages",	//653
    "addStandardConfigurationPages#",	//654
    "addSyntax",	//655
    "addSyntax#",	//656
    "addTab",	//657
    "addTab#$",	//658
    "addTab#$#",	//659
    "addTab$",	//660
    "addTab$#",	//661
    "addTool",	//662
    "addTool#",	//663
    "addToolBoxAction",	//664
    "addToolBoxAction#",	//665
    "advance",	//666
    "alignment",	//667
    "allowExternalPaths",	//668
    "allowedRunners",	//669
    "alphaMask",	//670
    "animatedHide",	//671
    "animatedHide$",	//672
    "animatedShow",	//673
    "animatedShow$",	//674
    "animationCurve",	//675
    "animationCurve$",	//676
    "animationDuration",	//677
    "animationDuration$",	//678
    "animationFinished",	//679
    "animationFinished#$",	//680
    "animationFps",	//681
    "animationFps$",	//682
    "animationPath",	//683
    "animationPath$",	//684
    "animationStep",	//685
    "animationStep$",	//686
    "appearance",	//687
    "appearanceChanged",	//688
    "append",	//689
    "append$",	//690
    "applet",	//691
    "appletAdded",	//692
    "appletAdded##",	//693
    "appletDestroyed",	//694
    "appletDestroyed#",	//695
    "appletMimeType",	//696
    "appletRemoved",	//697
    "appletRemoved#",	//698
    "appletTransformedByUser",	//699
    "appletTransformedItself",	//700
    "applets",	//701
    "application",	//702
    "aspectRatioMode",	//703
    "associateWidget",	//704
    "associateWidget#$",	//705
    "associatedApplication",	//706
    "associatedApplicationUrls",	//707
    "attachedItems",	//708
    "audioOutput",	//709
    "author",	//710
    "authorizationRequest",	//711
    "authorizationRequest#",	//712
    "autoExpireDelay",	//713
    "autoHide",	//714
    "autoRaise",	//715
    "autohide",	//716
    "availableScreenRegion",	//717
    "availableScreenRegion$",	//718
    "availableScreenRegionChanged",	//719
    "back",	//720
    "backgroundColor",	//721
    "backgroundHints",	//722
    "becameUnused",	//723
    "becameUnused$",	//724
    "bigLock",	//725
    "bindTexture",	//726
    "bindTexture#",	//727
    "bindTexture#$",	//728
    "boundingRect",	//729
    "cacheAllRenderedFrames",	//730
    "calculateNiceRange",	//731
    "category",	//732
    "category#",	//733
    "category$",	//734
    "changeEvent",	//735
    "changeEvent#",	//736
    "changed",	//737
    "changed#",	//738
    "checkForUpdate",	//739
    "checkUsage",	//740
    "childEvent",	//741
    "clear",	//742
    "clearActions",	//743
    "clearApplets",	//744
    "clearCache",	//745
    "clearContainments",	//746
    "clearContent",	//747
    "clearContent#",	//748
    "click",	//749
    "clickMessage",	//750
    "clicked",	//751
    "clicked$",	//752
    "clientPinRequest",	//753
    "clientPinRequest#",	//754
    "closeEvent",	//755
    "closeToolBox",	//756
    "collapseGroup",	//757
    "collidesWithItem",	//758
    "collidesWithPath",	//759
    "color",	//760
    "color$",	//761
    "colorScheme",	//762
    "config",	//763
    "config$",	//764
    "configChanged",	//765
    "configNeedsSaving",	//766
    "configScheme",	//767
    "configSynced",	//768
    "configurationAccepted",	//769
    "configurationRequired",	//770
    "configurationRequired$",	//771
    "configureRequested",	//772
    "configureRequested#",	//773
    "connectAllSources",	//774
    "connectAllSources#",	//775
    "connectAllSources#$",	//776
    "connectAllSources#$$",	//777
    "connectNotify",	//778
    "connectSource",	//779
    "connectSource$#",	//780
    "connectSource$#$",	//781
    "connectSource$#$$",	//782
    "connectVisualization",	//783
    "connectVisualization#$$",	//784
    "constraintsEvent",	//785
    "constraintsEvent$",	//786
    "containerDict",	//787
    "containerForSource",	//788
    "containerForSource$",	//789
    "containment",	//790
    "containmentActions",	//791
    "containmentActions$",	//792
    "containmentActionsConfig",	//793
    "containmentActionsDefaults",	//794
    "containmentActionsDefaults$",	//795
    "containmentActionsTriggers",	//796
    "containmentAdded",	//797
    "containmentAdded#",	//798
    "containmentForScreen",	//799
    "containmentForScreen$",	//800
    "containmentForScreen$$",	//801
    "containmentForScreen$$$",	//802
    "containmentForScreen$$$?",	//803
    "containmentType",	//804
    "containments",	//805
    "contains",	//806
    "containsMultipleImages",	//807
    "contentsHash",	//808
    "contentsPrefix",	//809
    "contentsPrefixPaths",	//810
    "contentsRect",	//811
    "contentsSize",	//812
    "context",	//813
    "contextActions",	//814
    "contextChanged",	//815
    "contextChanged#",	//816
    "contextEvent",	//817
    "contextEvent#",	//818
    "contextMenuEvent",	//819
    "contextMenuEvent#",	//820
    "contextualActions",	//821
    "controlsVisible",	//822
    "corona",	//823
    "count",	//824
    "create",	//825
    "create$",	//826
    "create$#",	//827
    "createActivity",	//828
    "createActivity$",	//829
    "createConfigurationInterface",	//830
    "createConfigurationInterface#",	//831
    "createDefaultService",	//832
    "createDefaultService#",	//833
    "createEditor",	//834
    "createJob",	//835
    "createJob$?",	//836
    "createNewWidgetBrowser",	//837
    "createNewWidgetBrowser#",	//838
    "createPackage",	//839
    "createPackage#$$",	//840
    "createPackage#$$$",	//841
    "createRunOptions",	//842
    "createRunOptions#",	//843
    "currentActivity",	//844
    "currentActivityId",	//845
    "currentChanged",	//846
    "currentChanged$",	//847
    "currentIndex",	//848
    "currentIndexChanged",	//849
    "currentIndexChanged$",	//850
    "currentPixmap",	//851
    "currentPixmap$",	//852
    "currentThemeHasImage",	//853
    "currentThemeHasImage$",	//854
    "currentTime",	//855
    "customAnimation",	//856
    "customAnimation$$$#$",	//857
    "customAnimationFinished",	//858
    "customAnimationFinished$",	//859
    "customCategories",	//860
    "customEvent",	//861
    "darkColor",	//862
    "data",	//863
    "dataEngine",	//864
    "dataEngine$",	//865
    "dataUpdated",	//866
    "dataUpdated$?",	//867
    "defaultPackageRoot",	//868
    "defaultSyntax",	//869
    "defaultTheme",	//870
    "deleteTexture",	//871
    "deleteTexture$",	//872
    "description",	//873
    "desktop",	//874
    "destination",	//875
    "destroy",	//876
    "destroy$",	//877
    "destroyed",	//878
    "destroyed#",	//879
    "detachedItems",	//880
    "devType",	//881
    "dialogManager",	//882
    "dialogResized",	//883
    "dialogVisible",	//884
    "dialogVisible$",	//885
    "directories",	//886
    "disassociateWidget",	//887
    "disassociateWidget#",	//888
    "disconnectNotify",	//889
    "disconnectSource",	//890
    "disconnectSource$#",	//891
    "disconnectVisualization",	//892
    "disconnectVisualization#",	//893
    "doKill",	//894
    "doResume",	//895
    "doSuspend",	//896
    "doubleClicked",	//897
    "dragEnterEvent",	//898
    "dragEnterEvent#",	//899
    "dragLeaveEvent",	//900
    "dragLeaveEvent#",	//901
    "dragMoveEvent",	//902
    "dragMoveEvent#",	//903
    "dragToScroll",	//904
    "drawActionButtonBase",	//905
    "drawActionButtonBase##$",	//906
    "drawAxisText",	//907
    "drawAxisText#$$",	//908
    "drawBackground",	//909
    "drawBackground#$$",	//910
    "drawForeground",	//911
    "drawHorizontalLines",	//912
    "drawHorizontalLines#$$$",	//913
    "drawItems",	//914
    "drawPlots",	//915
    "drawPlots#$$$$",	//916
    "drawThinFrame",	//917
    "drawThinFrame#$$",	//918
    "drawTopBarContents",	//919
    "drawTopBarContents#$$$",	//920
    "drawTopBarFrame",	//921
    "drawTopBarFrame#$$",	//922
    "drawVerticalLines",	//923
    "drawVerticalLines#$$$",	//924
    "drawWallpaper",	//925
    "drawWidget",	//926
    "drawWidget#$$$",	//927
    "dropEvent",	//928
    "dropEvent#",	//929
    "duration",	//930
    "easingCurve",	//931
    "editingFinished",	//932
    "editorEvent",	//933
    "effectiveDesktop",	//934
    "elementAnimationCurve",	//935
    "elementAnimationCurve$",	//936
    "elementAnimationDuration",	//937
    "elementAnimationDuration$",	//938
    "elementAnimationFinished",	//939
    "elementAnimationFinished$",	//940
    "elementAnimationFps",	//941
    "elementAnimationFps$",	//942
    "elementAppear",	//943
    "elementAppear$#",	//944
    "elementAtPoint",	//945
    "elementAtPoint#",	//946
    "elementDisappear",	//947
    "elementDisappear$#",	//948
    "elementID",	//949
    "elementRect",	//950
    "elementRect$",	//951
    "elementSize",	//952
    "elementSize$",	//953
    "email",	//954
    "emptyExtenderMessage",	//955
    "emptyRect",	//956
    "emptyRect##",	//957
    "enableAction",	//958
    "enableAction$$",	//959
    "enabledBorders",	//960
    "enabledBordersForItem",	//961
    "enabledBordersForItem#",	//962
    "enabledChange",	//963
    "engine",	//964
    "engine$",	//965
    "ensureItemVisible",	//966
    "ensureItemVisible#",	//967
    "ensureRectVisible",	//968
    "ensureRectVisible#",	//969
    "enterEvent",	//970
    "entryList",	//971
    "entryList$",	//972
    "errorString",	//973
    "event",	//974
    "event#",	//975
    "eventFilter",	//976
    "eventFilter##",	//977
    "eventToString",	//978
    "eventToString#",	//979
    "exampleQueries",	//980
    "exampleQueriesWithTermDescription",	//981
    "execQuery",	//982
    "execQuery$",	//983
    "execQuery$$",	//984
    "expandGroup",	//985
    "exportLayout",	//986
    "exportLayout#?",	//987
    "extender",	//988
    "extenderItemRestored",	//989
    "extenderItemRestored#",	//990
    "extension",	//991
    "fadeIn",	//992
    "fadeOut",	//993
    "filePath",	//994
    "filePath$",	//995
    "filePath$$",	//996
    "files",	//997
    "findInCache",	//998
    "findInCache$#",	//999
    "findInCache$#$",	//1000
    "findInRectsCache",	//1001
    "findInRectsCache$$#",	//1002
    "findItem",	//1003
    "findItem$$",	//1004
    "findItemByName",	//1005
    "findItemByName$",	//1006
    "finished",	//1007
    "finished#",	//1008
    "firstPositionWidget",	//1009
    "flash",	//1010
    "flash#",	//1011
    "flash#$",	//1012
    "flash#$$",	//1013
    "flash$",	//1014
    "flash$$",	//1015
    "flash$$#",	//1016
    "flushPendingConstraintsEvents",	//1017
    "focusInEvent",	//1018
    "focusInEvent#",	//1019
    "focusNextApplet",	//1020
    "focusNextPrevChild",	//1021
    "focusOutEvent",	//1022
    "focusOutEvent#",	//1023
    "focusPreviousApplet",	//1024
    "font",	//1025
    "font$",	//1026
    "fontChange",	//1027
    "fontColor",	//1028
    "fontMetrics",	//1029
    "forceImmediateUpdate",	//1030
    "forceImmediateUpdateOfAllVisualizations",	//1031
    "formFactor",	//1032
    "forward",	//1033
    "framePixmap",	//1034
    "frameShadow",	//1035
    "frameSize",	//1036
    "freeEdges",	//1037
    "freeEdges$",	//1038
    "geometry",	//1039
    "geometryChanged",	//1040
    "getContentsMargins",	//1041
    "getDataEngine",	//1042
    "getMargins",	//1043
    "getMargins$$$$",	//1044
    "getSnapshotImage",	//1045
    "getSnapshotImage$$",	//1046
    "globalConfig",	//1047
    "globalShortcut",	//1048
    "grabKeyboardEvent",	//1049
    "grabMouseEvent",	//1050
    "graphicsWidget",	//1051
    "group",	//1052
    "group$",	//1053
    "groupList",	//1054
    "groups",	//1055
    "hasAuthorization",	//1056
    "hasAuthorization$",	//1057
    "hasConfigurationInterface",	//1058
    "hasElement",	//1059
    "hasElement$",	//1060
    "hasElementPrefix",	//1061
    "hasElementPrefix$",	//1062
    "hasFailedToLaunch",	//1063
    "hasGroup",	//1064
    "hasGroup$",	//1065
    "hasItem",	//1066
    "hasItem$",	//1067
    "hasOverShoot",	//1068
    "hasRunOptions",	//1069
    "hasScaledContents",	//1070
    "hasValidAssociatedApplication",	//1071
    "heightForWidth",	//1072
    "helpEvent",	//1073
    "hide",	//1074
    "hide#",	//1075
    "hideCloseButton",	//1076
    "hideEvent",	//1077
    "hideEvent#",	//1078
    "hidePopup",	//1079
    "highlightWindows",	//1080
    "horizontalLinesColor",	//1081
    "horizontalLinesCount",	//1082
    "horizontalScale",	//1083
    "horizontalScrollBarPolicy",	//1084
    "hoverEnterEvent",	//1085
    "hoverEnterEvent#",	//1086
    "hoverLeaveEvent",	//1087
    "hoverLeaveEvent#",	//1088
    "hoverMoveEvent",	//1089
    "hoverMoveEvent#",	//1090
    "html",	//1091
    "icon",	//1092
    "iconSize",	//1093
    "id",	//1094
    "ignoredTypes",	//1095
    "image",	//1096
    "imagePath",	//1097
    "imagePath$",	//1098
    "immutability",	//1099
    "immutabilityChanged",	//1100
    "immutabilityChanged$",	//1101
    "implementationApi",	//1102
    "importLayout",	//1103
    "importLayout#",	//1104
    "inControlArea",	//1105
    "inControlArea#",	//1106
    "infoText",	//1107
    "init",	//1108
    "init#",	//1109
    "initExtenderItem",	//1110
    "initExtenderItem#",	//1111
    "initStyleOption",	//1112
    "initWallpaper",	//1113
    "initWallpaper#",	//1114
    "initializeLayout",	//1115
    "initializeLayout$",	//1116
    "inputMethodEvent",	//1117
    "inputMethodQuery",	//1118
    "insertIntoCache",	//1119
    "insertIntoCache$#",	//1120
    "insertIntoCache$#$",	//1121
    "insertIntoRectsCache",	//1122
    "insertIntoRectsCache$$#",	//1123
    "insertTab",	//1124
    "insertTab$#$",	//1125
    "insertTab$#$#",	//1126
    "insertTab$$",	//1127
    "insertTab$$#",	//1128
    "installPackage",	//1129
    "installPackage$$",	//1130
    "installPackage$$$",	//1131
    "invalidateRectsCache",	//1132
    "invalidateRectsCache$",	//1133
    "invertLayout",	//1134
    "invertLayout$",	//1135
    "invertedLayout",	//1136
    "isAnimating",	//1137
    "isAutoCollapse",	//1138
    "isBusy",	//1139
    "isCheckable",	//1140
    "isChecked",	//1141
    "isClearButtonShown",	//1142
    "isClickable",	//1143
    "isCollapsed",	//1144
    "isContainment",	//1145
    "isDetached",	//1146
    "isDown",	//1147
    "isEmpty",	//1148
    "isEnabled",	//1149
    "isGroup",	//1150
    "isGroupCollapsed",	//1151
    "isIconified",	//1152
    "isInitialized",	//1153
    "isMatchingSuspended",	//1154
    "isObscuredBy",	//1155
    "isOperationEnabled",	//1156
    "isOperationEnabled$",	//1157
    "isPassivePopup",	//1158
    "isPluginVersionCompatible",	//1159
    "isPluginVersionCompatible$",	//1160
    "isPopupShowing",	//1161
    "isPreviewing",	//1162
    "isPublished",	//1163
    "isReadOnly",	//1164
    "isRegisteredAsDragHandle",	//1165
    "isRegisteredAsDragHandle#",	//1166
    "isRequired",	//1167
    "isRequired$",	//1168
    "isRunning",	//1169
    "isShowing",	//1170
    "isStorageEnabled",	//1171
    "isTabBarShown",	//1172
    "isToolBoxOpen",	//1173
    "isTransient",	//1174
    "isUserConfiguring",	//1175
    "isUsingRenderingCache",	//1176
    "isValid",	//1177
    "isVisible",	//1178
    "isVisible#",	//1179
    "isWallpaperEnabled",	//1180
    "item",	//1181
    "item$",	//1182
    "itemActivated",	//1183
    "itemActivated$#",	//1184
    "itemAddedEvent",	//1185
    "itemAddedEvent#",	//1186
    "itemAddedEvent##",	//1187
    "itemAppear",	//1188
    "itemAppear$#",	//1189
    "itemAttached",	//1190
    "itemAttached#",	//1191
    "itemChange",	//1192
    "itemChange$#",	//1193
    "itemDetached",	//1194
    "itemDetached#",	//1195
    "itemDisappear",	//1196
    "itemDisappear$#",	//1197
    "itemHoverEnterEvent",	//1198
    "itemHoverEnterEvent#",	//1199
    "itemHoverLeaveEvent",	//1200
    "itemHoverLeaveEvent#",	//1201
    "itemHoverMoveEvent",	//1202
    "itemHoverMoveEvent##",	//1203
    "itemRemovedEvent",	//1204
    "itemRemovedEvent#",	//1205
    "itemSlideIn",	//1206
    "itemSlideIn$###",	//1207
    "itemSlideOut",	//1208
    "itemSlideOut$###",	//1209
    "items",	//1210
    "keyPressEvent",	//1211
    "keyPressEvent#",	//1212
    "keyReleaseEvent",	//1213
    "keyReleaseEvent#",	//1214
    "keywords",	//1215
    "kill",	//1216
    "knownLanguages",	//1217
    "knownLanguages$",	//1218
    "label",	//1219
    "label$",	//1220
    "labelAlignment",	//1221
    "labelAlignment$",	//1222
    "labelColor",	//1223
    "labelColor$",	//1224
    "labelFont",	//1225
    "labelFont$",	//1226
    "labelRect",	//1227
    "labelRect$",	//1228
    "languageChange",	//1229
    "lastDesktop",	//1230
    "lastPositionWidget",	//1231
    "lastScreen",	//1232
    "lastValue",	//1233
    "lastValue$",	//1234
    "lastValueAsString",	//1235
    "lastValueAsString$",	//1236
    "launchQuery",	//1237
    "launchQuery$",	//1238
    "launchQuery$$",	//1239
    "layoutContainments",	//1240
    "leaveEvent",	//1241
    "license",	//1242
    "linkActivated",	//1243
    "linkActivated$",	//1244
    "linkActivated$$$#",	//1245
    "linkHovered",	//1246
    "linkHovered$",	//1247
    "listActivities",	//1248
    "listAllEngines",	//1249
    "listAllEngines$",	//1250
    "listAppletInfo",	//1251
    "listAppletInfo$",	//1252
    "listAppletInfo$$",	//1253
    "listAppletInfoForMimetype",	//1254
    "listAppletInfoForMimetype$",	//1255
    "listAppletInfoForUrl",	//1256
    "listAppletInfoForUrl#",	//1257
    "listCachedRectKeys",	//1258
    "listCachedRectKeys$",	//1259
    "listCategories",	//1260
    "listCategories$",	//1261
    "listCategories$$",	//1262
    "listContainmentActionsInfo",	//1263
    "listContainmentTypes",	//1264
    "listContainments",	//1265
    "listContainments$",	//1266
    "listContainments$$",	//1267
    "listContainmentsForMimetype",	//1268
    "listContainmentsForMimetype$",	//1269
    "listContainmentsOfType",	//1270
    "listContainmentsOfType$",	//1271
    "listContainmentsOfType$$",	//1272
    "listContainmentsOfType$$$",	//1273
    "listEngineInfo",	//1274
    "listEngineInfo$",	//1275
    "listEngineInfoByCategory",	//1276
    "listEngineInfoByCategory$",	//1277
    "listEngineInfoByCategory$$",	//1278
    "listInstalled",	//1279
    "listInstalled$",	//1280
    "listInstalledPaths",	//1281
    "listInstalledPaths$",	//1282
    "listRenderingModes",	//1283
    "listRunnerInfo",	//1284
    "listRunnerInfo$",	//1285
    "listThemeInfo",	//1286
    "listToolBoxInfo",	//1287
    "listToolBoxInfo$",	//1288
    "listWallpaperInfo",	//1289
    "listWallpaperInfo$",	//1290
    "listWallpaperInfoForMimetype",	//1291
    "listWallpaperInfoForMimetype$",	//1292
    "listWallpaperInfoForMimetype$$",	//1293
    "load",	//1294
    "load#",	//1295
    "load##",	//1296
    "load##?",	//1297
    "load#$",	//1298
    "load#$?",	//1299
    "load#?",	//1300
    "load$",	//1301
    "load$#",	//1302
    "load$$",	//1303
    "load$$?",	//1304
    "load$?",	//1305
    "load$?#",	//1306
    "loadAnimationFromPackage",	//1307
    "loadAnimationFromPackage$#",	//1308
    "loadDefaultLayout",	//1309
    "loadEngine",	//1310
    "loadEngine$",	//1311
    "loadFinished",	//1312
    "loadFinished$",	//1313
    "loadLayout",	//1314
    "loadLayout$",	//1315
    "loadPlasmoid",	//1316
    "loadPlasmoid$",	//1317
    "loadPlasmoid$$",	//1318
    "loadPlasmoid$$?",	//1319
    "loadProgress",	//1320
    "loadProgress$",	//1321
    "loadRunner",	//1322
    "loadRunner$",	//1323
    "loadRunner?",	//1324
    "loadScriptEngine",	//1325
    "loadScriptEngine$#",	//1326
    "location",	//1327
    "locationChanged",	//1328
    "locationChanged#",	//1329
    "locationToDirection",	//1330
    "locationToDirection$",	//1331
    "locationToInverseDirection",	//1332
    "locationToInverseDirection$",	//1333
    "lostContainment",	//1334
    "lower",	//1335
    "mainFrame",	//1336
    "mainScript",	//1337
    "mainText",	//1338
    "makeCurrent",	//1339
    "mapAnimation",	//1340
    "mapAnimation$$",	//1341
    "mapFromView",	//1342
    "mapFromView##",	//1343
    "mapToView",	//1344
    "mapToView##",	//1345
    "marginSize",	//1346
    "marginSize$",	//1347
    "mask",	//1348
    "match",	//1349
    "match#",	//1350
    "match$",	//1351
    "matchSessionComplete",	//1352
    "matches",	//1353
    "matchesChanged",	//1354
    "matchesChanged?",	//1355
    "matchingSuspended",	//1356
    "matchingSuspended$",	//1357
    "maxSourceCount",	//1358
    "maximum",	//1359
    "maximumIconSize",	//1360
    "mediaObject",	//1361
    "messageButtonPressed",	//1362
    "messageButtonPressed$",	//1363
    "metaObject",	//1364
    "metadata",	//1365
    "meterType",	//1366
    "metric",	//1367
    "mimeDataForMatch",	//1368
    "mimeDataForMatch#",	//1369
    "mimeDataForMatch$",	//1370
    "mimeType",	//1371
    "mimetypes",	//1372
    "mimetypes$",	//1373
    "minimum",	//1374
    "minimumIconSize",	//1375
    "minimumPollingInterval",	//1376
    "minimumSizeHint",	//1377
    "model",	//1378
    "mouseDoubleClickEvent",	//1379
    "mouseDoubleClickEvent#",	//1380
    "mouseMoveEvent",	//1381
    "mouseMoveEvent#",	//1382
    "mousePressEvent",	//1383
    "mousePressEvent#",	//1384
    "mouseReleaseEvent",	//1385
    "mouseReleaseEvent#",	//1386
    "moveEvent",	//1387
    "moveEvent#",	//1388
    "moveItem",	//1389
    "moveItem#$#",	//1390
    "movementAnimationCurve",	//1391
    "movementAnimationCurve$",	//1392
    "movementAnimationDuration",	//1393
    "movementAnimationDuration$",	//1394
    "movementAnimationFps",	//1395
    "movementAnimationFps$",	//1396
    "movementFinished",	//1397
    "movementFinished#",	//1398
    "name",	//1399
    "name$",	//1400
    "nativeWidget",	//1401
    "needsPreviewDuringConfiguration",	//1402
    "needsToBeStored",	//1403
    "newStatus",	//1404
    "newStatus$",	//1405
    "newWidgetBrowserFinished",	//1406
    "nextRequested",	//1407
    "numDisplayLines",	//1408
    "numScreens",	//1409
    "offscreenWidgets",	//1410
    "opaqueArea",	//1411
    "openToolBox",	//1412
    "operationDescription",	//1413
    "operationDescription$",	//1414
    "operationNames",	//1415
    "operationsChanged",	//1416
    "operator<",	//1417
    "operator<#",	//1418
    "operator=",	//1419
    "operator=#",	//1420
    "operator==",	//1421
    "operator==#",	//1422
    "orientation",	//1423
    "overflowBordersVisible",	//1424
    "package",	//1425
    "packageStructure",	//1426
    "packageStructure#",	//1427
    "packageStructure$$",	//1428
    "page",	//1429
    "pageStep",	//1430
    "paint",	//1431
    "paint##",	//1432
    "paint###",	//1433
    "paint##$",	//1434
    "paint#$$",	//1435
    "paint#$$$",	//1436
    "paint#$$$$",	//1437
    "paint#$$$$$",	//1438
    "paintEngine",	//1439
    "paintEvent",	//1440
    "paintEvent#",	//1441
    "paintFrame",	//1442
    "paintFrame#",	//1443
    "paintFrame##",	//1444
    "paintFrame###",	//1445
    "paintGLInterface",	//1446
    "paintGLInterface##",	//1447
    "paintInterface",	//1448
    "paintInterface###",	//1449
    "paintWindowFrame",	//1450
    "paintWindowFrame###",	//1451
    "paletteChange",	//1452
    "parametersFromDescription",	//1453
    "parametersFromDescription#",	//1454
    "paste",	//1455
    "paste##",	//1456
    "path",	//1457
    "path$",	//1458
    "pathChanged",	//1459
    "pause",	//1460
    "performMatch",	//1461
    "performMatch#",	//1462
    "persistence",	//1463
    "pin",	//1464
    "pixmap",	//1465
    "pixmap$",	//1466
    "play",	//1467
    "plotColors",	//1468
    "pluginName",	//1469
    "policy",	//1470
    "polishEvent",	//1471
    "popupAlignment",	//1472
    "popupEvent",	//1473
    "popupEvent$",	//1474
    "popupIcon",	//1475
    "popupPlacement",	//1476
    "popupPosition",	//1477
    "popupPosition#",	//1478
    "popupPosition##",	//1479
    "popupPosition##$",	//1480
    "popupPosition#$",	//1481
    "preferredIconSize",	//1482
    "preferredToolBoxPlugin",	//1483
    "preferredToolBoxPlugin$",	//1484
    "prefix",	//1485
    "prepare",	//1486
    "pressed",	//1487
    "pressed$",	//1488
    "previousRequested",	//1489
    "priority",	//1490
    "property",	//1491
    "property$",	//1492
    "propertyChange",	//1493
    "publish",	//1494
    "publish$$",	//1495
    "qt_metacall",	//1496
    "qt_metacall$$?",	//1497
    "qt_metacast",	//1498
    "qt_metacast$",	//1499
    "query",	//1500
    "query$",	//1501
    "queryFinished",	//1502
    "raise",	//1503
    "read",	//1504
    "read#",	//1505
    "read$",	//1506
    "readConfig",	//1507
    "readyForRemoteAccess",	//1508
    "rectAfterSubTitle",	//1509
    "rectAfterSubTitle##",	//1510
    "rectAfterTitle",	//1511
    "rectAfterTitle##",	//1512
    "registerAsDragHandle",	//1513
    "registerAsDragHandle#",	//1514
    "registerOperationsScheme",	//1515
    "registerPackage",	//1516
    "registerPackage#$",	//1517
    "registerResources",	//1518
    "registerResources#",	//1519
    "registerScrollingManager",	//1520
    "registerScrollingManager#",	//1521
    "registerWidget",	//1522
    "registerWidget#",	//1523
    "releaseRectsCache",	//1524
    "releaseRectsCache$",	//1525
    "releaseVisualFocus",	//1526
    "released",	//1527
    "relevance",	//1528
    "reload",	//1529
    "reloadConfiguration",	//1530
    "remainingTime",	//1531
    "remoteAppletAnnounced",	//1532
    "remoteAppletAnnounced#",	//1533
    "remoteAppletUnannounced",	//1534
    "remoteAppletUnannounced#",	//1535
    "remoteApplets",	//1536
    "remoteLocation",	//1537
    "remove",	//1538
    "remove#",	//1539
    "removeAction",	//1540
    "removeAction$",	//1541
    "removeAllData",	//1542
    "removeAllData$",	//1543
    "removeAllSources",	//1544
    "removeAssociatedWidget",	//1545
    "removeAssociatedWidget#",	//1546
    "removeData",	//1547
    "removeData$$",	//1548
    "removeDefinition",	//1549
    "removeDefinition$",	//1550
    "removeIconAction",	//1551
    "removeIconAction#",	//1552
    "removeMatch",	//1553
    "removeMatch$",	//1554
    "removeMatches",	//1555
    "removeMatches?",	//1556
    "removeOffscreenWidget",	//1557
    "removeOffscreenWidget#",	//1558
    "removePlot",	//1559
    "removePlot$",	//1560
    "removeSource",	//1561
    "removeSource$",	//1562
    "removeTab",	//1563
    "removeTab$",	//1564
    "removeTool",	//1565
    "removeTool#",	//1566
    "removeToolBoxAction",	//1567
    "removeToolBoxAction#",	//1568
    "render",	//1569
    "render$#",	//1570
    "render$#$",	//1571
    "render$#$#",	//1572
    "renderCompleted",	//1573
    "renderCompleted#",	//1574
    "renderHintsChanged",	//1575
    "renderingMode",	//1576
    "reorderPlots",	//1577
    "reorderPlots?",	//1578
    "repaintNeeded",	//1579
    "reposition",	//1580
    "requestConfigSync",	//1581
    "requireConfigSync",	//1582
    "requiredDirectories",	//1583
    "requiredFiles",	//1584
    "requiredVersion",	//1585
    "reset",	//1586
    "resize",	//1587
    "resize#",	//1588
    "resize$$",	//1589
    "resizeCorners",	//1590
    "resizeEvent",	//1591
    "resizeEvent#",	//1592
    "resizeFrame",	//1593
    "resizeFrame#",	//1594
    "restore",	//1595
    "restore#",	//1596
    "restoreContents",	//1597
    "restoreContents#",	//1598
    "returnPressed",	//1599
    "returnToSource",	//1600
    "roleMapping",	//1601
    "roleMapping$",	//1602
    "run",	//1603
    "run#",	//1604
    "run##",	//1605
    "run$",	//1606
    "runAssociatedApplication",	//1607
    "runner",	//1608
    "runner$",	//1609
    "runnerName",	//1610
    "runnerName$",	//1611
    "runners",	//1612
    "save",	//1613
    "save#",	//1614
    "saveContents",	//1615
    "saveContents#",	//1616
    "saveLayout",	//1617
    "saveLayout$",	//1618
    "saveState",	//1619
    "saveState#",	//1620
    "scale",	//1621
    "scale$",	//1622
    "scaledBy",	//1623
    "scalingFactor",	//1624
    "scalingFactor$",	//1625
    "sceneEvent",	//1626
    "sceneEventFilter",	//1627
    "sceneEventFilter##",	//1628
    "sceneRectAboutToChange",	//1629
    "sceneRectChanged",	//1630
    "scheduleSourcesUpdated",	//1631
    "screen",	//1632
    "screenChanged",	//1633
    "screenChanged$$#",	//1634
    "screenGeometry",	//1635
    "screenGeometry$",	//1636
    "screenOwnerChanged",	//1637
    "screenOwnerChanged$$#",	//1638
    "screenRect",	//1639
    "scrollContentsBy",	//1640
    "scrollPosition",	//1641
    "scrollStateChanged",	//1642
    "scrollStateChanged#$$",	//1643
    "scrollStateChanged$$",	//1644
    "searchContext",	//1645
    "searchPath",	//1646
    "searchPath$",	//1647
    "searchTermDescription",	//1648
    "seek",	//1649
    "seek$",	//1650
    "selectedAction",	//1651
    "self",	//1652
    "service",	//1653
    "serviceForSource",	//1654
    "serviceForSource$",	//1655
    "serviceName",	//1656
    "servicePrefix",	//1657
    "serviceQuery",	//1658
    "serviceQuery$",	//1659
    "serviceQuery$$",	//1660
    "serviceReady",	//1661
    "serviceReady#",	//1662
    "serviceType",	//1663
    "setAction",	//1664
    "setAction#",	//1665
    "setActivity",	//1666
    "setActivity$",	//1667
    "setAlignment",	//1668
    "setAlignment$",	//1669
    "setAllowExternalPaths",	//1670
    "setAllowExternalPaths$",	//1671
    "setAllowedRunners",	//1672
    "setAllowedRunners?",	//1673
    "setAppearance",	//1674
    "setAppearance$",	//1675
    "setApplet",	//1676
    "setApplet#",	//1677
    "setAppletMimeType",	//1678
    "setAppletMimeType$",	//1679
    "setApplication",	//1680
    "setApplication$",	//1681
    "setAspectRatioMode",	//1682
    "setAspectRatioMode$",	//1683
    "setAssociatedApplication",	//1684
    "setAssociatedApplication$",	//1685
    "setAssociatedApplicationUrls",	//1686
    "setAssociatedApplicationUrls?",	//1687
    "setAuthor",	//1688
    "setAuthor$",	//1689
    "setAuthorizationInterface",	//1690
    "setAuthorizationInterface#",	//1691
    "setAuthorizationPolicy",	//1692
    "setAuthorizationPolicy$",	//1693
    "setAutoCollapse",	//1694
    "setAutoCollapse$",	//1695
    "setAutoExpireDelay",	//1696
    "setAutoExpireDelay$",	//1697
    "setAutoHide",	//1698
    "setAutoHide$",	//1699
    "setAutoRaise",	//1700
    "setAutoRaise$",	//1701
    "setAutohide",	//1702
    "setAutohide$",	//1703
    "setBackgroundColor",	//1704
    "setBackgroundColor#",	//1705
    "setBackgroundHints",	//1706
    "setBackgroundHints$",	//1707
    "setBoundingRect",	//1708
    "setBoundingRect#",	//1709
    "setBusy",	//1710
    "setBusy$",	//1711
    "setCacheAllRenderedFrames",	//1712
    "setCacheAllRenderedFrames$",	//1713
    "setCacheLimit",	//1714
    "setCacheLimit$",	//1715
    "setCategory",	//1716
    "setCategory$",	//1717
    "setCheckable",	//1718
    "setCheckable$",	//1719
    "setChecked",	//1720
    "setChecked$",	//1721
    "setClearButtonShown",	//1722
    "setClearButtonShown$",	//1723
    "setClickMessage",	//1724
    "setClickMessage$",	//1725
    "setClickable",	//1726
    "setClickable$",	//1727
    "setCollapsed",	//1728
    "setCollapsed$",	//1729
    "setColor",	//1730
    "setColor#",	//1731
    "setConfigurationRequired",	//1732
    "setConfigurationRequired$",	//1733
    "setConfigurationRequired$$",	//1734
    "setContainment",	//1735
    "setContainment#",	//1736
    "setContainmentActions",	//1737
    "setContainmentActions$$",	//1738
    "setContainmentActionsDefaults",	//1739
    "setContainmentActionsDefaults$#",	//1740
    "setContainmentType",	//1741
    "setContainmentType$",	//1742
    "setContainsMultipleImages",	//1743
    "setContainsMultipleImages$",	//1744
    "setContent",	//1745
    "setContent##",	//1746
    "setContentsPrefix",	//1747
    "setContentsPrefix$",	//1748
    "setContentsPrefixPaths",	//1749
    "setContentsPrefixPaths?",	//1750
    "setContextActions",	//1751
    "setContextActions?",	//1752
    "setContextualActions",	//1753
    "setContextualActions?",	//1754
    "setControlsVisible",	//1755
    "setControlsVisible$",	//1756
    "setCurrentActivity",	//1757
    "setCurrentActivity$",	//1758
    "setCurrentActivityId",	//1759
    "setCurrentActivityId$",	//1760
    "setCurrentIndex",	//1761
    "setCurrentIndex$",	//1762
    "setCustomCategories",	//1763
    "setCustomCategories?",	//1764
    "setDarkColor",	//1765
    "setDarkColor#",	//1766
    "setData",	//1767
    "setData#",	//1768
    "setData$#",	//1769
    "setData$$#",	//1770
    "setData$?",	//1771
    "setDataEngine",	//1772
    "setDataEngine#",	//1773
    "setDefaultMimetypes",	//1774
    "setDefaultMimetypes?",	//1775
    "setDefaultPackageRoot",	//1776
    "setDefaultPackageRoot$",	//1777
    "setDefaultService",	//1778
    "setDefaultService$",	//1779
    "setDefaultSyntax",	//1780
    "setDefaultSyntax#",	//1781
    "setDefaults",	//1782
    "setDescription",	//1783
    "setDescription$",	//1784
    "setDestination",	//1785
    "setDestination$",	//1786
    "setDialogManager",	//1787
    "setDialogManager#",	//1788
    "setDown",	//1789
    "setDown$",	//1790
    "setDragToScroll",	//1791
    "setDragToScroll$",	//1792
    "setDrawBackground",	//1793
    "setDrawBackground$",	//1794
    "setDrawWallpaper",	//1795
    "setDrawWallpaper$",	//1796
    "setDuration",	//1797
    "setDuration$",	//1798
    "setEasingCurve",	//1799
    "setEasingCurve#",	//1800
    "setEditorData",	//1801
    "setElementID",	//1802
    "setElementID$",	//1803
    "setElementPrefix",	//1804
    "setElementPrefix$",	//1805
    "setEmail",	//1806
    "setEmail$",	//1807
    "setEmptyExtenderMessage",	//1808
    "setEmptyExtenderMessage$",	//1809
    "setEnabled",	//1810
    "setEnabled$",	//1811
    "setEnabledBorders",	//1812
    "setEnabledBorders$",	//1813
    "setExtender",	//1814
    "setExtender#",	//1815
    "setExtender##",	//1816
    "setExtension",	//1817
    "setFailedToLaunch",	//1818
    "setFailedToLaunch$",	//1819
    "setFailedToLaunch$$",	//1820
    "setFirstPositionWidget",	//1821
    "setFirstPositionWidget#",	//1822
    "setFont",	//1823
    "setFont#",	//1824
    "setFont#$",	//1825
    "setFontColor",	//1826
    "setFontColor#",	//1827
    "setFormFactor",	//1828
    "setFormFactor$",	//1829
    "setFrameShadow",	//1830
    "setFrameShadow$",	//1831
    "setGeometry",	//1832
    "setGeometry#",	//1833
    "setGlobalShortcut",	//1834
    "setGlobalShortcut#",	//1835
    "setGraphicsWidget",	//1836
    "setGraphicsWidget#",	//1837
    "setGroup",	//1838
    "setGroup#",	//1839
    "setGroup##",	//1840
    "setGroupCollapsed",	//1841
    "setGroupCollapsed$",	//1842
    "setHasConfigurationInterface",	//1843
    "setHasConfigurationInterface$",	//1844
    "setHasRunOptions",	//1845
    "setHasRunOptions$",	//1846
    "setHighlightWindows",	//1847
    "setHighlightWindows$",	//1848
    "setHorizontalLinesColor",	//1849
    "setHorizontalLinesColor#",	//1850
    "setHorizontalLinesCount",	//1851
    "setHorizontalLinesCount$",	//1852
    "setHorizontalScale",	//1853
    "setHorizontalScale$",	//1854
    "setHorizontalScrollBarPolicy",	//1855
    "setHorizontalScrollBarPolicy$",	//1856
    "setHtml",	//1857
    "setHtml#",	//1858
    "setHtml##",	//1859
    "setHtml$",	//1860
    "setHtml$#",	//1861
    "setIcon",	//1862
    "setIcon#",	//1863
    "setIcon$",	//1864
    "setId",	//1865
    "setId$",	//1866
    "setIgnoredTypes",	//1867
    "setIgnoredTypes$",	//1868
    "setImage",	//1869
    "setImage#",	//1870
    "setImage$",	//1871
    "setImage$$",	//1872
    "setImagePath",	//1873
    "setImagePath$",	//1874
    "setImmutability",	//1875
    "setImmutability$",	//1876
    "setImplementationApi",	//1877
    "setImplementationApi$",	//1878
    "setInfoText",	//1879
    "setInfoText$",	//1880
    "setInitialPixmap",	//1881
    "setInitialPixmap$#",	//1882
    "setKeywords",	//1883
    "setKeywords?",	//1884
    "setLabel",	//1885
    "setLabel$",	//1886
    "setLabel$$",	//1887
    "setLabelAlignment",	//1888
    "setLabelAlignment$$",	//1889
    "setLabelColor",	//1890
    "setLabelColor$#",	//1891
    "setLabelFont",	//1892
    "setLabelFont$#",	//1893
    "setLastPositionWidget",	//1894
    "setLastPositionWidget#",	//1895
    "setLicense",	//1896
    "setLicense$",	//1897
    "setLocation",	//1898
    "setLocation$",	//1899
    "setMainText",	//1900
    "setMainText$",	//1901
    "setMaxSourceCount",	//1902
    "setMaxSourceCount$",	//1903
    "setMaximum",	//1904
    "setMaximum$",	//1905
    "setMaximumIconSize",	//1906
    "setMaximumIconSize#",	//1907
    "setMeterType",	//1908
    "setMeterType$",	//1909
    "setMimetypes",	//1910
    "setMimetypes$?",	//1911
    "setMinimum",	//1912
    "setMinimum$",	//1913
    "setMinimumIconSize",	//1914
    "setMinimumIconSize#",	//1915
    "setMinimumPollingInterval",	//1916
    "setMinimumPollingInterval$",	//1917
    "setModel",	//1918
    "setModel#",	//1919
    "setModelData",	//1920
    "setName",	//1921
    "setName$",	//1922
    "setNativeWidget",	//1923
    "setNativeWidget#",	//1924
    "setNeedsToBeStored",	//1925
    "setNeedsToBeStored$",	//1926
    "setNeedsUpdate",	//1927
    "setNeedsUpdate$",	//1928
    "setNumDisplayLines",	//1929
    "setNumDisplayLines$",	//1930
    "setOperationEnabled",	//1931
    "setOperationEnabled$$",	//1932
    "setOperationsScheme",	//1933
    "setOperationsScheme#",	//1934
    "setOrientation",	//1935
    "setOrientation$",	//1936
    "setOverShoot",	//1937
    "setOverShoot$",	//1938
    "setOverflowBordersVisible",	//1939
    "setOverflowBordersVisible$",	//1940
    "setPage",	//1941
    "setPage#",	//1942
    "setPageStep",	//1943
    "setPageStep$",	//1944
    "setPassivePopup",	//1945
    "setPassivePopup$",	//1946
    "setPath",	//1947
    "setPath$",	//1948
    "setPersistence",	//1949
    "setPersistence$",	//1950
    "setPin",	//1951
    "setPin$",	//1952
    "setPluginName",	//1953
    "setPluginName$",	//1954
    "setPolicy",	//1955
    "setPolicy$",	//1956
    "setPollingInterval",	//1957
    "setPollingInterval$",	//1958
    "setPopupAlignment",	//1959
    "setPopupAlignment$",	//1960
    "setPopupIcon",	//1961
    "setPopupIcon#",	//1962
    "setPopupIcon$",	//1963
    "setPreferredIconSize",	//1964
    "setPreferredIconSize#",	//1965
    "setPreferredToolBoxPlugin",	//1966
    "setPreferredToolBoxPlugin$$",	//1967
    "setPressed",	//1968
    "setPressed$",	//1969
    "setPreviewDuringConfiguration",	//1970
    "setPreviewDuringConfiguration$",	//1971
    "setPreviewing",	//1972
    "setPreviewing$",	//1973
    "setPriority",	//1974
    "setPriority$",	//1975
    "setQuery",	//1976
    "setQuery$",	//1977
    "setRange",	//1978
    "setRange$$",	//1979
    "setReadOnly",	//1980
    "setReadOnly$",	//1981
    "setRelevance",	//1982
    "setRelevance$",	//1983
    "setRemoteLocation",	//1984
    "setRemoteLocation#",	//1985
    "setRenderingMode",	//1986
    "setRenderingMode$",	//1987
    "setRequired",	//1988
    "setRequired$$",	//1989
    "setRequiredVersion",	//1990
    "setRequiredVersion$",	//1991
    "setResizeHandleCorners",	//1992
    "setResizeHandleCorners$",	//1993
    "setResizeMethodHint",	//1994
    "setResizeMethodHint$",	//1995
    "setRoleMapping",	//1996
    "setRoleMapping$$",	//1997
    "setRunner",	//1998
    "setRunner#",	//1999
    "setRunning",	//2000
    "setRunning$",	//2001
    "setScaledContents",	//2002
    "setScaledContents$",	//2003
    "setScreen",	//2004
    "setScreen$",	//2005
    "setScreen$$",	//2006
    "setScrollPosition",	//2007
    "setScrollPosition#",	//2008
    "setSearchTermDescription",	//2009
    "setSearchTermDescription$",	//2010
    "setSelectedAction",	//2011
    "setSelectedAction#",	//2012
    "setServicePrefix",	//2013
    "setServicePrefix$",	//2014
    "setServiceType",	//2015
    "setServiceType$",	//2016
    "setShowHorizontalLines",	//2017
    "setShowHorizontalLines$",	//2018
    "setShowLabels",	//2019
    "setShowLabels$",	//2020
    "setShowTopBar",	//2021
    "setShowTopBar$",	//2022
    "setShowVerticalLines",	//2023
    "setShowVerticalLines$",	//2024
    "setShowing",	//2025
    "setShowing$",	//2026
    "setSingleMode",	//2027
    "setSingleMode$",	//2028
    "setSingleModeRunnerId",	//2029
    "setSingleModeRunnerId$",	//2030
    "setSingleRunnerQueryMode",	//2031
    "setSingleRunnerQueryMode$",	//2032
    "setSingleStep",	//2033
    "setSingleStep$",	//2034
    "setSnapSize",	//2035
    "setSnapSize#",	//2036
    "setSpeed",	//2037
    "setSpeed$",	//2038
    "setStackPlots",	//2039
    "setStackPlots$",	//2040
    "setState",	//2041
    "setState$",	//2042
    "setStatus",	//2043
    "setStatus$",	//2044
    "setStorageEnabled",	//2045
    "setStorageEnabled$",	//2046
    "setStorageEnabled$$",	//2047
    "setStyleSheet",	//2048
    "setStyleSheet$",	//2049
    "setSubText",	//2050
    "setSubText$",	//2051
    "setSubtext",	//2052
    "setSubtext$",	//2053
    "setSvg",	//2054
    "setSvg#",	//2055
    "setSvg$",	//2056
    "setSvg$$",	//2057
    "setSvgBackground",	//2058
    "setSvgBackground$",	//2059
    "setSyntaxes",	//2060
    "setSyntaxes?",	//2061
    "setTabBarShown",	//2062
    "setTabBarShown$",	//2063
    "setTabIcon",	//2064
    "setTabIcon$#",	//2065
    "setTabText",	//2066
    "setTabText$$",	//2067
    "setTarget",	//2068
    "setTarget#",	//2069
    "setTargetItem",	//2070
    "setTargetItem#",	//2071
    "setTargetSizeHint",	//2072
    "setTargetSizeHint#",	//2073
    "setTargetWidget",	//2074
    "setTargetWidget#",	//2075
    "setTargets",	//2076
    "setTargets$",	//2077
    "setText",	//2078
    "setText$",	//2079
    "setTextBackgroundColor",	//2080
    "setTextBackgroundColor#",	//2081
    "setTextSelectable",	//2082
    "setTextSelectable$",	//2083
    "setTheme",	//2084
    "setTheme#",	//2085
    "setThemeName",	//2086
    "setThemeName$",	//2087
    "setThinFrame",	//2088
    "setThinFrame$",	//2089
    "setTitle",	//2090
    "setTitle$",	//2091
    "setToolBox",	//2092
    "setToolBox#",	//2093
    "setToolBoxOpen",	//2094
    "setToolBoxOpen$",	//2095
    "setTrackContainmentChanges",	//2096
    "setTrackContainmentChanges$",	//2097
    "setTransient",	//2098
    "setTransient$",	//2099
    "setType",	//2100
    "setType$",	//2101
    "setUnit",	//2102
    "setUnit$",	//2103
    "setUnpressed",	//2104
    "setUrl",	//2105
    "setUrl#",	//2106
    "setUrl$",	//2107
    "setUseAutoRange",	//2108
    "setUseAutoRange$",	//2109
    "setUseGlobalSettings",	//2110
    "setUseGlobalSettings$",	//2111
    "setUsedControls",	//2112
    "setUsedControls$",	//2113
    "setUsingRenderingCache",	//2114
    "setUsingRenderingCache$",	//2115
    "setValid",	//2116
    "setValid$",	//2117
    "setValue",	//2118
    "setValue$",	//2119
    "setVersion",	//2120
    "setVersion$",	//2121
    "setVerticalLinesColor",	//2122
    "setVerticalLinesColor#",	//2123
    "setVerticalLinesDistance",	//2124
    "setVerticalLinesDistance$",	//2125
    "setVerticalLinesScroll",	//2126
    "setVerticalLinesScroll$",	//2127
    "setVerticalRange",	//2128
    "setVerticalRange$$",	//2129
    "setVerticalScrollBarPolicy",	//2130
    "setVerticalScrollBarPolicy$",	//2131
    "setView",	//2132
    "setView#",	//2133
    "setVisible",	//2134
    "setWallpaper",	//2135
    "setWallpaper#",	//2136
    "setWallpaper$",	//2137
    "setWallpaper$$",	//2138
    "setWallpaperEnabled",	//2139
    "setWallpaperEnabled$",	//2140
    "setWebsite",	//2141
    "setWebsite$",	//2142
    "setWidget",	//2143
    "setWidget#",	//2144
    "setWindowToPreview",	//2145
    "setWindowToPreview$",	//2146
    "setWindowsToPreview",	//2147
    "setWindowsToPreview?",	//2148
    "setWordWrap",	//2149
    "setWordWrap$",	//2150
    "setZoomFactor",	//2151
    "setZoomFactor$",	//2152
    "settingsChanged",	//2153
    "setupMatchSession",	//2154
    "shape",	//2155
    "shortcutsChanged",	//2156
    "shouldConserveResources",	//2157
    "show",	//2158
    "show#",	//2159
    "showAddWidgetsInterface",	//2160
    "showAddWidgetsInterface#",	//2161
    "showCloseButton",	//2162
    "showConfigurationInterface",	//2163
    "showConfigurationInterface#",	//2164
    "showContextMenu",	//2165
    "showContextMenu##",	//2166
    "showDialog",	//2167
    "showDialog##",	//2168
    "showDropZone",	//2169
    "showDropZone#",	//2170
    "showEvent",	//2171
    "showEvent#",	//2172
    "showHorizontalLines",	//2173
    "showLabels",	//2174
    "showMessage",	//2175
    "showMessage#$$",	//2176
    "showPopup",	//2177
    "showPopup$",	//2178
    "showToolTip",	//2179
    "showTopBar",	//2180
    "showVerticalLines",	//2181
    "singleMode",	//2182
    "singleModeAdvertisedRunnerIds",	//2183
    "singleModeRunner",	//2184
    "singleModeRunnerId",	//2185
    "singleRunnerQueryMode",	//2186
    "singleStep",	//2187
    "size",	//2188
    "sizeChanged",	//2189
    "sizeFromIconSize",	//2190
    "sizeFromIconSize$",	//2191
    "sizeHint",	//2192
    "sizeHint##",	//2193
    "sizeHint$",	//2194
    "sizeHint$#",	//2195
    "sizeHintChanged",	//2196
    "sizeHintChanged$",	//2197
    "sliderMoved",	//2198
    "sliderMoved$",	//2199
    "snapSize",	//2200
    "sourceAdded",	//2201
    "sourceAdded$",	//2202
    "sourceRemoved",	//2203
    "sourceRemoved$",	//2204
    "sourceRequestEvent",	//2205
    "sourceRequestEvent$",	//2206
    "sources",	//2207
    "speed",	//2208
    "stackPlots",	//2209
    "standardConfigurationDialog",	//2210
    "start",	//2211
    "startOperationCall",	//2212
    "startOperationCall#",	//2213
    "startOperationCall##",	//2214
    "startupArguments",	//2215
    "state",	//2216
    "staticMetaObject",	//2217
    "status",	//2218
    "stop",	//2219
    "stopCustomAnimation",	//2220
    "stopCustomAnimation$",	//2221
    "stopElementAnimation",	//2222
    "stopElementAnimation$",	//2223
    "stopItemAnimation",	//2224
    "stopItemAnimation$",	//2225
    "stopItemMovement",	//2226
    "stopItemMovement$",	//2227
    "structure",	//2228
    "styleChange",	//2229
    "styleSheet",	//2230
    "styleSheet$",	//2231
    "subText",	//2232
    "subtext",	//2233
    "supportedProtocols",	//2234
    "supportsExtension",	//2235
    "suspendMatching",	//2236
    "suspendMatching$",	//2237
    "svg",	//2238
    "svgBackground",	//2239
    "swapContainment",	//2240
    "swapContainment#$",	//2241
    "swapContainment#$?",	//2242
    "swapContainment$",	//2243
    "swapContainment$?",	//2244
    "syncToGraphicsWidget",	//2245
    "syntaxes",	//2246
    "tabAt",	//2247
    "tabAt$",	//2248
    "tabIcon",	//2249
    "tabIcon$",	//2250
    "tabText",	//2251
    "tabText$",	//2252
    "tabletEvent",	//2253
    "takeTab",	//2254
    "takeTab$",	//2255
    "target",	//2256
    "targetItem",	//2257
    "targetItemReached",	//2258
    "targetItemReached#",	//2259
    "targetReached",	//2260
    "targetReached#",	//2261
    "targetWidget",	//2262
    "targets",	//2263
    "teardown",	//2264
    "text",	//2265
    "textBackgroundColor",	//2266
    "textChanged",	//2267
    "textChanged$",	//2268
    "textEdited",	//2269
    "textEdited$",	//2270
    "textSelectable",	//2271
    "theme",	//2272
    "themeChanged",	//2273
    "themeName",	//2274
    "thinFrame",	//2275
    "tick",	//2276
    "tick$",	//2277
    "timeSinceLastUpdate",	//2278
    "timerEvent",	//2279
    "timerEvent#",	//2280
    "title",	//2281
    "togglePopup",	//2282
    "toggled",	//2283
    "toggled$",	//2284
    "toolBox",	//2285
    "toolBoxItem",	//2286
    "toolBoxToggled",	//2287
    "toolBoxVisibilityChanged",	//2288
    "toolBoxVisibilityChanged$",	//2289
    "topLevelViewAt",	//2290
    "topLevelViewAt#",	//2291
    "totalTime",	//2292
    "tr",	//2293
    "tr$",	//2294
    "tr$$",	//2295
    "tr$$$",	//2296
    "trUtf8",	//2297
    "trUtf8$",	//2298
    "trUtf8$$",	//2299
    "trUtf8$$$",	//2300
    "trackContainmentChanges",	//2301
    "type",	//2302
    "ungrabKeyboardEvent",	//2303
    "ungrabMouseEvent",	//2304
    "uninstallPackage",	//2305
    "uninstallPackage$$",	//2306
    "uninstallPackage$$$",	//2307
    "unit",	//2308
    "unloadEngine",	//2309
    "unloadEngine$",	//2310
    "unpublish",	//2311
    "unregisterAsDragHandle",	//2312
    "unregisterAsDragHandle#",	//2313
    "unregisterScrollingManager",	//2314
    "unregisterScrollingManager#",	//2315
    "unregisterWidget",	//2316
    "unregisterWidget#",	//2317
    "update",	//2318
    "update#",	//2319
    "updateAllSources",	//2320
    "updateConstraints",	//2321
    "updateConstraints$",	//2322
    "updateCurrentTime",	//2323
    "updateCurrentTime$",	//2324
    "updateDataBuffers",	//2325
    "updateDirection",	//2326
    "updateEditorGeometry",	//2327
    "updateGeometry",	//2328
    "updateRequested",	//2329
    "updateRequested#",	//2330
    "updateShortcuts",	//2331
    "updateSourceEvent",	//2332
    "updateSourceEvent$",	//2333
    "updateState",	//2334
    "url",	//2335
    "urlChanged",	//2336
    "urlChanged#",	//2337
    "urlDropped",	//2338
    "urlDropped#",	//2339
    "useAutoRange",	//2340
    "useDefaults",	//2341
    "useGlobalSettings",	//2342
    "useNativeWidgetStyle",	//2343
    "usedControls",	//2344
    "usrReadConfig",	//2345
    "usrSetDefaults",	//2346
    "usrUseDefaults",	//2347
    "usrWriteConfig",	//2348
    "value",	//2349
    "valueChanged",	//2350
    "valueChanged$",	//2351
    "version",	//2352
    "versionMajor",	//2353
    "versionMinor",	//2354
    "versionRelease",	//2355
    "versionString",	//2356
    "verticalLinesColor",	//2357
    "verticalLinesDistance",	//2358
    "verticalLinesScroll",	//2359
    "verticalMaxValue",	//2360
    "verticalMinValue",	//2361
    "verticalScrollBarPolicy",	//2362
    "view",	//2363
    "viewFor",	//2364
    "viewFor#",	//2365
    "viewportEvent",	//2366
    "viewportGeometry",	//2367
    "viewportGeometryChanged",	//2368
    "viewportGeometryChanged#",	//2369
    "visibilityChanged",	//2370
    "visibilityChanged$",	//2371
    "visualizationIsConnected",	//2372
    "visualizationIsConnected#",	//2373
    "wallpaper",	//2374
    "wallpaperPath",	//2375
    "wallpaperPath#",	//2376
    "website",	//2377
    "wheelEvent",	//2378
    "wheelEvent#",	//2379
    "widget",	//2380
    "windowActivationChange",	//2381
    "windowFrameEvent",	//2382
    "windowFrameSectionAt",	//2383
    "windowPreviewActivated",	//2384
    "windowPreviewActivated$$$#",	//2385
    "windowToPreview",	//2386
    "windowTranslucencyEnabled",	//2387
    "windowsToPreview",	//2388
    "wordWrap",	//2389
    "write",	//2390
    "write#",	//2391
    "write$",	//2392
    "writeConfig",	//2393
    "x11Event",	//2394
    "zoomFactor",	//2395
    "zoomRequested",	//2396
    "zoomRequested#$",	//2397
    "~AbstractDialogManager",	//2398
    "~AbstractRunner",	//2399
    "~AbstractToolBox",	//2400
    "~AccessAppletJob",	//2401
    "~Animation",	//2402
    "~AnimationDriver",	//2403
    "~Applet",	//2404
    "~AppletScript",	//2405
    "~AuthorizationInterface",	//2406
    "~AuthorizationRule",	//2407
    "~BusyWidget",	//2408
    "~CheckBox",	//2409
    "~ComboBox",	//2410
    "~ConfigLoader",	//2411
    "~Containment",	//2412
    "~ContainmentActions",	//2413
    "~ContainmentActionsPluginsConfig",	//2414
    "~Context",	//2415
    "~Corona",	//2416
    "~DataContainer",	//2417
    "~DataEngine",	//2418
    "~DataEngineScript",	//2419
    "~Delegate",	//2420
    "~Dialog",	//2421
    "~Extender",	//2422
    "~ExtenderGroup",	//2423
    "~ExtenderItem",	//2424
    "~FlashingLabel",	//2425
    "~Frame",	//2426
    "~FrameSvg",	//2427
    "~GLApplet",	//2428
    "~GroupBox",	//2429
    "~IconWidget",	//2430
    "~ItemBackground",	//2431
    "~Label",	//2432
    "~LineEdit",	//2433
    "~Meter",	//2434
    "~Package",	//2435
    "~PackageMetadata",	//2436
    "~PackageStructure",	//2437
    "~PlotColor",	//2438
    "~PopupApplet",	//2439
    "~PushButton",	//2440
    "~QueryMatch",	//2441
    "~RadioButton",	//2442
    "~RunnerContext",	//2443
    "~RunnerManager",	//2444
    "~RunnerScript",	//2445
    "~RunnerSyntax",	//2446
    "~ScriptEngine",	//2447
    "~ScrollBar",	//2448
    "~ScrollWidget",	//2449
    "~Separator",	//2450
    "~Service",	//2451
    "~ServiceAccessJob",	//2452
    "~SignalPlotter",	//2453
    "~Slider",	//2454
    "~SpinBox",	//2455
    "~StyleOption",	//2456
    "~Svg",	//2457
    "~SvgWidget",	//2458
    "~TabBar",	//2459
    "~TextBrowser",	//2460
    "~TextEdit",	//2461
    "~Theme",	//2462
    "~ToolButton",	//2463
    "~ToolTipContent",	//2464
    "~TreeView",	//2465
    "~VideoWidget",	//2466
    "~View",	//2467
    "~Wallpaper",	//2468
    "~WallpaperScript",	//2469
    "~WebView",	//2470
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 0},	//1 KConfigSkeleton::metaObject() const
    {9, 1498, 1, 1, Smoke::mf_virtual, 481, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {9, 1496, 3, 3, Smoke::mf_virtual, 473, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1782, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {11, 1507, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {11, 2393, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {11, 2341, 7, 1, Smoke::mf_virtual, 382, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {11, 2347, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {11, 2346, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {11, 2345, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {14, 894, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//11 KJob::doKill()
    {14, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//12 KJob::doSuspend()
    {14, 895, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//13 KJob::doResume()
    {14, 973, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//14 KJob::errorString() const
    {14, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 5},	//15 KJob::NoError (enum)
    {14, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 6},	//16 KJob::KilledJobError (enum)
    {14, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 7},	//17 KJob::UserDefinedError (enum)
    {29, 1330, 9, 1, Smoke::mf_static, 91, 1},	//18 Plasma::locationToDirection(Plasma::Location)
    {29, 2356, 0, 0, Smoke::mf_static, 466, 2},	//19 Plasma::versionString()
    {29, 2353, 0, 0, Smoke::mf_static, 479, 3},	//20 Plasma::versionMajor()
    {29, 2364, 11, 1, Smoke::mf_static, 225, 4},	//21 Plasma::viewFor(const QGraphicsItem*)
    {29, 2352, 0, 0, Smoke::mf_static, 479, 5},	//22 Plasma::version()
    {29, 1332, 9, 1, Smoke::mf_static, 91, 6},	//23 Plasma::locationToInverseDirection(Plasma::Location)
    {29, 1325, 13, 2, Smoke::mf_static, 139, 7},	//24 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {29, 2354, 0, 0, Smoke::mf_static, 479, 8},	//25 Plasma::versionMinor()
    {29, 1426, 16, 2, Smoke::mf_static, 20, 9},	//26 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {29, 1624, 19, 1, Smoke::mf_static, 470, 10},	//27 Plasma::scalingFactor(Plasma::ZoomLevel)
    {29, 1325, 21, 2, Smoke::mf_static, 173, 11},	//28 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {29, 593, 24, 3, Smoke::mf_static, 251, 12},	//29 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {29, 593, 28, 1, Smoke::mf_static, 251, 13},	//30 Plasma::actionsFromMenu(QMenu*)
    {29, 593, 30, 2, Smoke::mf_static, 251, 14},	//31 Plasma::actionsFromMenu(QMenu*, const QString&)
    {29, 1325, 33, 2, Smoke::mf_static, 85, 15},	//32 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {29, 1159, 36, 1, Smoke::mf_static, 382, 16},	//33 Plasma::isPluginVersionCompatible(unsigned int)
    {29, 1217, 38, 1, Smoke::mf_static, 290, 17},	//34 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {29, 1325, 40, 2, Smoke::mf_static, 53, 18},	//35 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {29, 2355, 0, 0, Smoke::mf_static, 479, 19},	//36 Plasma::versionRelease()
    {29, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 20},	//37 Plasma::ZoomIn (enum)
    {29, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 21},	//38 Plasma::ZoomOut (enum)
    {29, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//39 Plasma::Planar (enum)
    {29, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//40 Plasma::MediaCenter (enum)
    {29, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//41 Plasma::Horizontal (enum)
    {29, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//42 Plasma::Vertical (enum)
    {29, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 26},	//43 Plasma::ButtonNone (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 27},	//44 Plasma::ButtonOk (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//45 Plasma::ButtonYes (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//46 Plasma::ButtonNo (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 30},	//47 Plasma::ButtonCancel (enum)
    {29, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 31},	//48 Plasma::NoAlignment (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 32},	//49 Plasma::AlignToMinute (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 33},	//50 Plasma::AlignToHour (enum)
    {29, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 34},	//51 Plasma::TopMargin (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 35},	//52 Plasma::BottomMargin (enum)
    {29, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 36},	//53 Plasma::LeftMargin (enum)
    {29, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 37},	//54 Plasma::RightMargin (enum)
    {29, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//55 Plasma::InvalidAspectRatioMode (enum)
    {29, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//56 Plasma::IgnoreAspectRatio (enum)
    {29, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//57 Plasma::KeepAspectRatio (enum)
    {29, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//58 Plasma::Square (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//59 Plasma::ConstrainedSquare (enum)
    {29, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//60 Plasma::FixedSize (enum)
    {29, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 44},	//61 Plasma::LeftPositioned (enum)
    {29, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 45},	//62 Plasma::RightPositioned (enum)
    {29, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 46},	//63 Plasma::TopPositioned (enum)
    {29, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 47},	//64 Plasma::BottomPositioned (enum)
    {29, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 48},	//65 Plasma::CenterPositioned (enum)
    {29, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 49},	//66 Plasma::Down (enum)
    {29, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 50},	//67 Plasma::Up (enum)
    {29, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 51},	//68 Plasma::Left (enum)
    {29, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 52},	//69 Plasma::Right (enum)
    {29, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 53},	//70 Plasma::NoAnnouncement (enum)
    {29, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 54},	//71 Plasma::ZeroconfAnnouncement (enum)
    {29, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 55},	//72 Plasma::InvalidCredentials (enum)
    {29, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 56},	//73 Plasma::UnknownCredentials (enum)
    {29, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 57},	//74 Plasma::ValidCredentials (enum)
    {29, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 58},	//75 Plasma::TrustedCredentials (enum)
    {29, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 59},	//76 Plasma::UltimateCredentials (enum)
    {29, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 60},	//77 Plasma::Mutable (enum)
    {29, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 61},	//78 Plasma::UserImmutable (enum)
    {29, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 62},	//79 Plasma::SystemImmutable (enum)
    {29, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 63},	//80 Plasma::FloatingPopup (enum)
    {29, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 64},	//81 Plasma::TopPosedLeftAlignedPopup (enum)
    {29, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 65},	//82 Plasma::TopPosedRightAlignedPopup (enum)
    {29, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 66},	//83 Plasma::LeftPosedTopAlignedPopup (enum)
    {29, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 67},	//84 Plasma::LeftPosedBottomAlignedPopup (enum)
    {29, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 68},	//85 Plasma::BottomPosedLeftAlignedPopup (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 69},	//86 Plasma::BottomPosedRightAlignedPopup (enum)
    {29, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 70},	//87 Plasma::RightPosedTopAlignedPopup (enum)
    {29, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 71},	//88 Plasma::RightPosedBottomAlignedPopup (enum)
    {29, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 72},	//89 Plasma::AppletType (enum)
    {29, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 73},	//90 Plasma::LineEditType (enum)
    {29, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 74},	//91 Plasma::NoConstraint (enum)
    {29, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 75},	//92 Plasma::FormFactorConstraint (enum)
    {29, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 76},	//93 Plasma::LocationConstraint (enum)
    {29, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 77},	//94 Plasma::ScreenConstraint (enum)
    {29, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 78},	//95 Plasma::SizeConstraint (enum)
    {29, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 79},	//96 Plasma::ImmutableConstraint (enum)
    {29, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 80},	//97 Plasma::StartupCompletedConstraint (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 81},	//98 Plasma::ContextConstraint (enum)
    {29, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//99 Plasma::PopupConstraint (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//100 Plasma::AllConstraints (enum)
    {29, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 84},	//101 Plasma::NoFlip (enum)
    {29, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 85},	//102 Plasma::HorizontalFlip (enum)
    {29, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 86},	//103 Plasma::VerticalFlip (enum)
    {29, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 87},	//104 Plasma::UnknownStatus (enum)
    {29, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 88},	//105 Plasma::PassiveStatus (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 89},	//106 Plasma::ActiveStatus (enum)
    {29, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 90},	//107 Plasma::NeedsAttentionStatus (enum)
    {29, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 91},	//108 Plasma::AcceptingInputStatus (enum)
    {29, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 92},	//109 Plasma::DesktopZoom (enum)
    {29, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 93},	//110 Plasma::GroupZoom (enum)
    {29, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 94},	//111 Plasma::OverviewZoom (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 95},	//112 Plasma::AppletComponent (enum)
    {29, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 96},	//113 Plasma::DataEngineComponent (enum)
    {29, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 97},	//114 Plasma::RunnerComponent (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 98},	//115 Plasma::AnimatorComponent (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 99},	//116 Plasma::ContainmentComponent (enum)
    {29, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 100},	//117 Plasma::WallpaperComponent (enum)
    {29, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//118 Plasma::Floating (enum)
    {29, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//119 Plasma::Desktop (enum)
    {29, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//120 Plasma::FullScreen (enum)
    {29, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//121 Plasma::TopEdge (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//122 Plasma::BottomEdge (enum)
    {29, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//123 Plasma::LeftEdge (enum)
    {29, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 107},	//124 Plasma::RightEdge (enum)
    {30, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//125 Plasma::AbstractDialogManager::metaObject() const
    {30, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//126 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {30, 2293, 43, 2, Smoke::mf_static, 289, 3},	//127 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {30, 2297, 43, 2, Smoke::mf_static, 289, 4},	//128 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {30, 2293, 46, 3, Smoke::mf_static, 289, 5},	//129 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {30, 2297, 46, 3, Smoke::mf_static, 289, 6},	//130 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {30, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//131 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {30, 1, 50, 1, Smoke::mf_ctor, 33, 8},	//132 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {30, 2167, 52, 2, Smoke::mf_slot, 0, 9},	//133 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {30, 2293, 1, 1, Smoke::mf_static, 289, 10},	//134 Plasma::AbstractDialogManager::tr(const char*)
    {30, 2297, 1, 1, Smoke::mf_static, 289, 11},	//135 Plasma::AbstractDialogManager::trUtf8(const char*)
    {30, 1, 0, 0, Smoke::mf_ctor, 33, 12},	//136 Plasma::AbstractDialogManager::AbstractDialogManager()
    {30, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 13},	//137 Plasma::AbstractDialogManager::staticMetaObject() const
    {30, 2398, 0, 0, Smoke::mf_dtor, 0, 14 },	//138 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {31, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//139 Plasma::AbstractRunner::metaObject() const
    {31, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//140 Plasma::AbstractRunner::qt_metacast(const char*)
    {31, 2293, 43, 2, Smoke::mf_static, 289, 3},	//141 Plasma::AbstractRunner::tr(const char*, const char*)
    {31, 2297, 43, 2, Smoke::mf_static, 289, 4},	//142 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {31, 2293, 46, 3, Smoke::mf_static, 289, 5},	//143 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {31, 2297, 46, 3, Smoke::mf_static, 289, 6},	//144 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {31, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//145 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {31, 1349, 55, 1, Smoke::mf_virtual, 0, 8},	//146 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {31, 1461, 55, 1, 0, 0, 9},	//147 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {31, 1069, 0, 0, 0, 382, 10},	//148 Plasma::AbstractRunner::hasRunOptions()
    {31, 842, 57, 1, Smoke::mf_virtual, 0, 11},	//149 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {31, 1603, 59, 2, Smoke::mf_virtual, 0, 12},	//150 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {31, 2208, 0, 0, Smoke::mf_const, 36, 13},	//151 Plasma::AbstractRunner::speed() const
    {31, 1490, 0, 0, Smoke::mf_const, 35, 14},	//152 Plasma::AbstractRunner::priority() const
    {31, 1095, 0, 0, Smoke::mf_const, 203, 15},	//153 Plasma::AbstractRunner::ignoredTypes() const
    {31, 1867, 62, 1, 0, 0, 16},	//154 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {31, 1399, 0, 0, Smoke::mf_const, 289, 17},	//155 Plasma::AbstractRunner::name() const
    {31, 1094, 0, 0, Smoke::mf_const, 289, 18},	//156 Plasma::AbstractRunner::id() const
    {31, 873, 0, 0, Smoke::mf_const, 289, 19},	//157 Plasma::AbstractRunner::description() const
    {31, 1092, 0, 0, Smoke::mf_const, 233, 20},	//158 Plasma::AbstractRunner::icon() const
    {31, 1425, 0, 0, Smoke::mf_const, 405, 21},	//159 Plasma::AbstractRunner::package() const
    {31, 1530, 0, 0, Smoke::mf_virtual, 0, 22},	//160 Plasma::AbstractRunner::reloadConfiguration()
    {31, 2246, 0, 0, Smoke::mf_const, 250, 23},	//161 Plasma::AbstractRunner::syntaxes() const
    {31, 725, 0, 0, Smoke::mf_static, 265, 24},	//162 Plasma::AbstractRunner::bigLock()
    {31, 869, 0, 0, Smoke::mf_const, 141, 25},	//163 Plasma::AbstractRunner::defaultSyntax() const
    {31, 1154, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 26},	//164 Plasma::AbstractRunner::isMatchingSuspended() const
    {31, 1486, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//165 Plasma::AbstractRunner::prepare()
    {31, 2264, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//166 Plasma::AbstractRunner::teardown()
    {31, 1356, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//167 Plasma::AbstractRunner::matchingSuspended(bool)
    {31, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 30},	//168 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {31, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 31},	//169 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {31, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 32},	//170 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {31, 2236, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 33},	//171 Plasma::AbstractRunner::suspendMatching(bool)
    {31, 763, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 34},	//172 Plasma::AbstractRunner::config() const
    {31, 1845, 7, 1, Smoke::mf_protected, 0, 35},	//173 Plasma::AbstractRunner::setHasRunOptions(bool)
    {31, 2037, 73, 1, Smoke::mf_protected, 0, 36},	//174 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {31, 1974, 75, 1, Smoke::mf_protected, 0, 37},	//175 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {31, 1658, 77, 2, Smoke::mf_const|Smoke::mf_protected, 240, 38},	//176 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {31, 590, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 251, 39},	//177 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {31, 603, 82, 3, Smoke::mf_protected, 181, 40},	//178 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {31, 603, 86, 2, Smoke::mf_protected, 0, 41},	//179 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {31, 1540, 89, 1, Smoke::mf_protected, 0, 42},	//180 Plasma::AbstractRunner::removeAction(const QString&)
    {31, 586, 89, 1, Smoke::mf_const|Smoke::mf_protected, 181, 43},	//181 Plasma::AbstractRunner::action(const QString&) const
    {31, 589, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 44},	//182 Plasma::AbstractRunner::actions() const
    {31, 743, 0, 0, Smoke::mf_protected, 0, 45},	//183 Plasma::AbstractRunner::clearActions()
    {31, 655, 91, 1, Smoke::mf_protected, 0, 46},	//184 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {31, 1780, 91, 1, Smoke::mf_protected, 0, 47},	//185 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {31, 2060, 93, 1, Smoke::mf_protected, 0, 48},	//186 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {31, 864, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 49},	//187 Plasma::AbstractRunner::dataEngine(const QString&) const
    {31, 1108, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//188 Plasma::AbstractRunner::init()
    {31, 1368, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 262, 51},	//189 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {31, 2293, 1, 1, Smoke::mf_static, 289, 52},	//190 Plasma::AbstractRunner::tr(const char*)
    {31, 2297, 1, 1, Smoke::mf_static, 289, 53},	//191 Plasma::AbstractRunner::trUtf8(const char*)
    {31, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 34, 54},	//192 Plasma::AbstractRunner::AbstractRunner()
    {31, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 55},	//193 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {31, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 56},	//194 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {31, 1658, 89, 1, Smoke::mf_const|Smoke::mf_protected, 240, 57},	//195 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {31, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 58},	//196 Plasma::AbstractRunner::staticMetaObject() const
    {31, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 59},	//197 Plasma::AbstractRunner::SlowSpeed (enum)
    {31, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 60},	//198 Plasma::AbstractRunner::NormalSpeed (enum)
    {31, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 61},	//199 Plasma::AbstractRunner::LowestPriority (enum)
    {31, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 62},	//200 Plasma::AbstractRunner::LowPriority (enum)
    {31, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 63},	//201 Plasma::AbstractRunner::NormalPriority (enum)
    {31, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 64},	//202 Plasma::AbstractRunner::HighPriority (enum)
    {31, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 65},	//203 Plasma::AbstractRunner::HighestPriority (enum)
    {31, 2399, 0, 0, Smoke::mf_dtor, 0, 66 },	//204 Plasma::AbstractRunner::~AbstractRunner()
    {32, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//205 Plasma::AbstractToolBox::metaObject() const
    {32, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//206 Plasma::AbstractToolBox::qt_metacast(const char*)
    {32, 2293, 43, 2, Smoke::mf_static, 289, 3},	//207 Plasma::AbstractToolBox::tr(const char*, const char*)
    {32, 2297, 43, 2, Smoke::mf_static, 289, 4},	//208 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {32, 2293, 46, 3, Smoke::mf_static, 289, 5},	//209 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {32, 2297, 46, 3, Smoke::mf_static, 289, 6},	//210 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {32, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//211 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {32, 9, 101, 1, Smoke::mf_ctor, 37, 8},	//212 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {32, 9, 70, 2, Smoke::mf_ctor, 37, 9},	//213 Plasma::AbstractToolBox::AbstractToolBox(QObject*, const QList<QVariant>&)
    {32, 1294, 103, 3, Smoke::mf_static, 37, 10},	//214 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&, Plasma::Containment*)
    {32, 1287, 89, 1, Smoke::mf_static, 238, 11},	//215 Plasma::AbstractToolBox::listToolBoxInfo(const QString&)
    {32, 662, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//216 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {32, 1565, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//217 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {32, 1170, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 382, 14},	//218 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {32, 2025, 109, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//219 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {32, 1595, 111, 1, Smoke::mf_slot, 0, 16},	//220 Plasma::AbstractToolBox::restore(const KConfigGroup&)
    {32, 1613, 111, 1, Smoke::mf_slot, 0, 17},	//221 Plasma::AbstractToolBox::save(const KConfigGroup&)
    {32, 1580, 0, 0, Smoke::mf_slot, 0, 18},	//222 Plasma::AbstractToolBox::reposition()
    {32, 2283, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//223 Plasma::AbstractToolBox::toggled()
    {32, 2370, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//224 Plasma::AbstractToolBox::visibilityChanged(bool)
    {32, 790, 0, 0, Smoke::mf_const|Smoke::mf_protected, 71, 21},	//225 Plasma::AbstractToolBox::containment() const
    {32, 2293, 1, 1, Smoke::mf_static, 289, 22},	//226 Plasma::AbstractToolBox::tr(const char*)
    {32, 2297, 1, 1, Smoke::mf_static, 289, 23},	//227 Plasma::AbstractToolBox::trUtf8(const char*)
    {32, 9, 0, 0, Smoke::mf_ctor, 37, 24},	//228 Plasma::AbstractToolBox::AbstractToolBox()
    {32, 9, 97, 1, Smoke::mf_ctor, 37, 25},	//229 Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    {32, 1294, 89, 1, Smoke::mf_static, 37, 26},	//230 Plasma::AbstractToolBox::load(const QString&)
    {32, 1294, 113, 2, Smoke::mf_static, 37, 27},	//231 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&)
    {32, 1287, 0, 0, Smoke::mf_static, 238, 28},	//232 Plasma::AbstractToolBox::listToolBoxInfo()
    {32, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 29},	//233 Plasma::AbstractToolBox::staticMetaObject() const
    {32, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//234 Plasma::AbstractToolBox::AddTool (enum)
    {32, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//235 Plasma::AbstractToolBox::ConfigureTool (enum)
    {32, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//236 Plasma::AbstractToolBox::ControlTool (enum)
    {32, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//237 Plasma::AbstractToolBox::MiscTool (enum)
    {32, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 34},	//238 Plasma::AbstractToolBox::DestructiveTool (enum)
    {32, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//239 Plasma::AbstractToolBox::UserToolType (enum)
    {32, 2400, 0, 0, Smoke::mf_dtor, 0, 36 },	//240 Plasma::AbstractToolBox::~AbstractToolBox()
    {33, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//241 Plasma::AccessAppletJob::metaObject() const
    {33, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//242 Plasma::AccessAppletJob::qt_metacast(const char*)
    {33, 2293, 43, 2, Smoke::mf_static, 289, 3},	//243 Plasma::AccessAppletJob::tr(const char*, const char*)
    {33, 2297, 43, 2, Smoke::mf_static, 289, 4},	//244 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {33, 2293, 46, 3, Smoke::mf_static, 289, 5},	//245 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {33, 2297, 46, 3, Smoke::mf_static, 289, 6},	//246 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {33, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//247 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {33, 691, 0, 0, Smoke::mf_const, 51, 8},	//248 Plasma::AccessAppletJob::applet() const
    {33, 13, 116, 2, Smoke::mf_ctor|Smoke::mf_protected, 39, 9},	//249 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {33, 2211, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//250 Plasma::AccessAppletJob::start()
    {33, 2293, 1, 1, Smoke::mf_static, 289, 11},	//251 Plasma::AccessAppletJob::tr(const char*)
    {33, 2297, 1, 1, Smoke::mf_static, 289, 12},	//252 Plasma::AccessAppletJob::trUtf8(const char*)
    {33, 13, 119, 1, Smoke::mf_ctor|Smoke::mf_protected, 39, 13},	//253 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {33, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 14},	//254 Plasma::AccessAppletJob::staticMetaObject() const
    {33, 2401, 0, 0, Smoke::mf_dtor, 0, 15 },	//255 Plasma::AccessAppletJob::~AccessAppletJob()
    {34, 1364, 0, 0, Smoke::mf_const, 438, 1},	//256 Plasma::AccessManager::metaObject() const
    {34, 1498, 1, 1, 0, 481, 2},	//257 Plasma::AccessManager::qt_metacast(const char*)
    {34, 2293, 43, 2, Smoke::mf_static, 289, 3},	//258 Plasma::AccessManager::tr(const char*, const char*)
    {34, 2297, 43, 2, Smoke::mf_static, 289, 4},	//259 Plasma::AccessManager::trUtf8(const char*, const char*)
    {34, 2293, 46, 3, Smoke::mf_static, 289, 5},	//260 Plasma::AccessManager::tr(const char*, const char*, int)
    {34, 2297, 46, 3, Smoke::mf_static, 289, 6},	//261 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {34, 1496, 3, 3, 0, 473, 7},	//262 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {34, 1652, 0, 0, Smoke::mf_static, 40, 8},	//263 Plasma::AccessManager::self()
    {34, 584, 119, 1, Smoke::mf_const, 39, 9},	//264 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {34, 1536, 0, 0, Smoke::mf_const, 247, 10},	//265 Plasma::AccessManager::remoteApplets() const
    {34, 2234, 0, 0, Smoke::mf_static, 290, 11},	//266 Plasma::AccessManager::supportedProtocols()
    {34, 1007, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//267 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {34, 1532, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//268 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {34, 1534, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//269 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {34, 2293, 1, 1, Smoke::mf_static, 289, 15},	//270 Plasma::AccessManager::tr(const char*)
    {34, 2297, 1, 1, Smoke::mf_static, 289, 16},	//271 Plasma::AccessManager::trUtf8(const char*)
    {34, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 17},	//272 Plasma::AccessManager::staticMetaObject() const
    {35, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//273 Plasma::Animation::metaObject() const
    {35, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//274 Plasma::Animation::qt_metacast(const char*)
    {35, 2293, 43, 2, Smoke::mf_static, 289, 3},	//275 Plasma::Animation::tr(const char*, const char*)
    {35, 2297, 43, 2, Smoke::mf_static, 289, 4},	//276 Plasma::Animation::trUtf8(const char*, const char*)
    {35, 2293, 46, 3, Smoke::mf_static, 289, 5},	//277 Plasma::Animation::tr(const char*, const char*, int)
    {35, 2297, 46, 3, Smoke::mf_static, 289, 6},	//278 Plasma::Animation::trUtf8(const char*, const char*, int)
    {35, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//279 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {35, 930, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 473, 8},	//280 Plasma::Animation::duration() const
    {35, 32, 97, 1, Smoke::mf_ctor, 41, 9},	//281 Plasma::Animation::Animation(QObject*)
    {35, 2074, 125, 1, 0, 0, 10},	//282 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {35, 2262, 0, 0, Smoke::mf_const, 226, 11},	//283 Plasma::Animation::targetWidget() const
    {35, 1799, 127, 1, Smoke::mf_property, 0, 12},	//284 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {35, 931, 0, 0, Smoke::mf_const|Smoke::mf_property, 195, 13},	//285 Plasma::Animation::easingCurve() const
    {35, 1797, 129, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//286 Plasma::Animation::setDuration(int)
    {35, 2323, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//287 Plasma::Animation::updateCurrentTime(int)
    {35, 2293, 1, 1, Smoke::mf_static, 289, 16},	//288 Plasma::Animation::tr(const char*)
    {35, 2297, 1, 1, Smoke::mf_static, 289, 17},	//289 Plasma::Animation::trUtf8(const char*)
    {35, 32, 0, 0, Smoke::mf_ctor, 41, 18},	//290 Plasma::Animation::Animation()
    {35, 1797, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//291 Plasma::Animation::setDuration()
    {35, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 20},	//292 Plasma::Animation::staticMetaObject() const
    {35, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//293 Plasma::Animation::Center (enum)
    {35, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//294 Plasma::Animation::Up (enum)
    {35, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 23},	//295 Plasma::Animation::Down (enum)
    {35, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 24},	//296 Plasma::Animation::Left (enum)
    {35, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 25},	//297 Plasma::Animation::Right (enum)
    {35, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 26},	//298 Plasma::Animation::MoveAny (enum)
    {35, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 27},	//299 Plasma::Animation::MoveUp (enum)
    {35, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 28},	//300 Plasma::Animation::MoveRight (enum)
    {35, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 29},	//301 Plasma::Animation::MoveDown (enum)
    {35, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 30},	//302 Plasma::Animation::MoveLeft (enum)
    {35, 2402, 0, 0, Smoke::mf_dtor, 0, 31 },	//303 Plasma::Animation::~Animation()
    {36, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//304 Plasma::AnimationDriver::metaObject() const
    {36, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//305 Plasma::AnimationDriver::qt_metacast(const char*)
    {36, 2293, 43, 2, Smoke::mf_static, 289, 3},	//306 Plasma::AnimationDriver::tr(const char*, const char*)
    {36, 2297, 43, 2, Smoke::mf_static, 289, 4},	//307 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {36, 2293, 46, 3, Smoke::mf_static, 289, 5},	//308 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {36, 2297, 46, 3, Smoke::mf_static, 289, 6},	//309 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {36, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//310 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {36, 34, 97, 1, Smoke::mf_ctor, 44, 8},	//311 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {36, 681, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 9},	//312 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {36, 1395, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 10},	//313 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {36, 941, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 11},	//314 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {36, 677, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 12},	//315 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {36, 1393, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 13},	//316 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {36, 937, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 14},	//317 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {36, 675, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 15},	//318 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {36, 1391, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 16},	//319 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {36, 935, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 17},	//320 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {36, 943, 135, 2, Smoke::mf_virtual, 273, 18},	//321 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {36, 947, 135, 2, Smoke::mf_virtual, 273, 19},	//322 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {36, 1188, 138, 2, Smoke::mf_virtual, 0, 20},	//323 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {36, 1196, 138, 2, Smoke::mf_virtual, 0, 21},	//324 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {36, 1183, 138, 2, Smoke::mf_virtual, 0, 22},	//325 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {36, 1206, 141, 4, Smoke::mf_virtual, 0, 23},	//326 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 1208, 141, 4, Smoke::mf_virtual, 0, 24},	//327 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 2293, 1, 1, Smoke::mf_static, 289, 25},	//328 Plasma::AnimationDriver::tr(const char*)
    {36, 2297, 1, 1, Smoke::mf_static, 289, 26},	//329 Plasma::AnimationDriver::trUtf8(const char*)
    {36, 34, 0, 0, Smoke::mf_ctor, 44, 27},	//330 Plasma::AnimationDriver::AnimationDriver()
    {36, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 28},	//331 Plasma::AnimationDriver::staticMetaObject() const
    {36, 2403, 0, 0, Smoke::mf_dtor, 0, 29 },	//332 Plasma::AnimationDriver::~AnimationDriver()
    {37, 1364, 0, 0, Smoke::mf_const, 438, 1},	//333 Plasma::Animator::metaObject() const
    {37, 1498, 1, 1, 0, 481, 2},	//334 Plasma::Animator::qt_metacast(const char*)
    {37, 2293, 43, 2, Smoke::mf_static, 289, 3},	//335 Plasma::Animator::tr(const char*, const char*)
    {37, 2297, 43, 2, Smoke::mf_static, 289, 4},	//336 Plasma::Animator::trUtf8(const char*, const char*)
    {37, 2293, 46, 3, Smoke::mf_static, 289, 5},	//337 Plasma::Animator::tr(const char*, const char*, int)
    {37, 2297, 46, 3, Smoke::mf_static, 289, 6},	//338 Plasma::Animator::trUtf8(const char*, const char*, int)
    {37, 1496, 3, 3, 0, 473, 7},	//339 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {37, 1652, 0, 0, Smoke::mf_static, 45, 8},	//340 Plasma::Animator::self()
    {37, 825, 146, 2, Smoke::mf_static, 41, 9},	//341 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {37, 825, 149, 2, Smoke::mf_static, 41, 10},	//342 Plasma::Animator::create(const QString&, QObject*)
    {37, 825, 152, 1, Smoke::mf_static, 195, 11},	//343 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {37, 2224, 129, 1, 0, 0, 12},	//344 Plasma::Animator::stopItemAnimation(int)
    {37, 1389, 154, 3, 0, 473, 13},	//345 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {37, 2226, 129, 1, 0, 0, 14},	//346 Plasma::Animator::stopItemMovement(int)
    {37, 856, 158, 5, 0, 473, 15},	//347 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {37, 2220, 129, 1, 0, 0, 16},	//348 Plasma::Animator::stopCustomAnimation(int)
    {37, 2222, 129, 1, 0, 0, 17},	//349 Plasma::Animator::stopElementAnimation(int)
    {37, 1881, 164, 2, 0, 0, 18},	//350 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {37, 851, 129, 1, 0, 273, 19},	//351 Plasma::Animator::currentPixmap(int)
    {37, 1137, 0, 0, Smoke::mf_const, 382, 20},	//352 Plasma::Animator::isAnimating() const
    {37, 1520, 125, 1, 0, 0, 21},	//353 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {37, 2314, 125, 1, 0, 0, 22},	//354 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {37, 679, 167, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//355 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {37, 1397, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//356 Plasma::Animator::movementFinished(QGraphicsItem*)
    {37, 939, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//357 Plasma::Animator::elementAnimationFinished(int)
    {37, 858, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//358 Plasma::Animator::customAnimationFinished(int)
    {37, 1642, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//359 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {37, 2279, 176, 1, Smoke::mf_protected, 0, 28},	//360 Plasma::Animator::timerEvent(QTimerEvent*)
    {37, 2293, 1, 1, Smoke::mf_static, 289, 29},	//361 Plasma::Animator::tr(const char*)
    {37, 2297, 1, 1, Smoke::mf_static, 289, 30},	//362 Plasma::Animator::trUtf8(const char*)
    {37, 825, 131, 1, Smoke::mf_static, 41, 31},	//363 Plasma::Animator::create(Plasma::Animator::Animation)
    {37, 825, 89, 1, Smoke::mf_static, 41, 32},	//364 Plasma::Animator::create(const QString&)
    {37, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 33},	//365 Plasma::Animator::staticMetaObject() const
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//366 Plasma::Animator::AppearAnimation (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//367 Plasma::Animator::DisappearAnimation (enum)
    {37, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 36},	//368 Plasma::Animator::ActivateAnimation (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 37},	//369 Plasma::Animator::FadeAnimation (enum)
    {37, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 38},	//370 Plasma::Animator::GrowAnimation (enum)
    {37, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 39},	//371 Plasma::Animator::PulseAnimation (enum)
    {37, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 40},	//372 Plasma::Animator::RotationAnimation (enum)
    {37, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 41},	//373 Plasma::Animator::RotationStackedAnimation (enum)
    {37, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 42},	//374 Plasma::Animator::SlideAnimation (enum)
    {37, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 43},	//375 Plasma::Animator::GeometryAnimation (enum)
    {37, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 44},	//376 Plasma::Animator::ZoomAnimation (enum)
    {37, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 45},	//377 Plasma::Animator::PixmapTransitionAnimation (enum)
    {37, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 46},	//378 Plasma::Animator::WaterAnimation (enum)
    {37, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 47},	//379 Plasma::Animator::LastAnimation (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 48},	//380 Plasma::Animator::EaseInCurve (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 49},	//381 Plasma::Animator::EaseOutCurve (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 50},	//382 Plasma::Animator::EaseInOutCurve (enum)
    {37, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 51},	//383 Plasma::Animator::LinearCurve (enum)
    {37, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 52},	//384 Plasma::Animator::PendularCurve (enum)
    {37, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 53},	//385 Plasma::Animator::SlideInMovement (enum)
    {37, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 54},	//386 Plasma::Animator::SlideOutMovement (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 55},	//387 Plasma::Animator::FastSlideInMovement (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 56},	//388 Plasma::Animator::FastSlideOutMovement (enum)
    {38, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//389 Plasma::Applet::metaObject() const
    {38, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//390 Plasma::Applet::qt_metacast(const char*)
    {38, 2293, 43, 2, Smoke::mf_static, 289, 3},	//391 Plasma::Applet::tr(const char*, const char*)
    {38, 2297, 43, 2, Smoke::mf_static, 289, 4},	//392 Plasma::Applet::trUtf8(const char*, const char*)
    {38, 2293, 46, 3, Smoke::mf_static, 289, 5},	//393 Plasma::Applet::tr(const char*, const char*, int)
    {38, 2297, 46, 3, Smoke::mf_static, 289, 6},	//394 Plasma::Applet::trUtf8(const char*, const char*, int)
    {38, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//395 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {38, 1426, 0, 0, Smoke::mf_static, 20, 8},	//396 Plasma::Applet::packageStructure()
    {38, 1094, 0, 0, Smoke::mf_const, 479, 9},	//397 Plasma::Applet::id() const
    {38, 763, 0, 0, Smoke::mf_const, 8, 10},	//398 Plasma::Applet::config() const
    {38, 763, 89, 1, Smoke::mf_const, 8, 11},	//399 Plasma::Applet::config(const QString&) const
    {38, 1613, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//400 Plasma::Applet::save(KConfigGroup&) const
    {38, 1595, 178, 1, Smoke::mf_virtual, 0, 13},	//401 Plasma::Applet::restore(KConfigGroup&)
    {38, 1047, 0, 0, Smoke::mf_const, 8, 14},	//402 Plasma::Applet::globalConfig() const
    {38, 767, 0, 0, Smoke::mf_const, 69, 15},	//403 Plasma::Applet::configScheme() const
    {38, 864, 89, 1, Smoke::mf_const, 83, 16},	//404 Plasma::Applet::dataEngine(const QString&) const
    {38, 1425, 0, 0, Smoke::mf_const, 405, 17},	//405 Plasma::Applet::package() const
    {38, 2363, 0, 0, Smoke::mf_const, 225, 18},	//406 Plasma::Applet::view() const
    {38, 1342, 180, 2, Smoke::mf_const, 279, 19},	//407 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {38, 1344, 183, 2, Smoke::mf_const, 278, 20},	//408 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {38, 1477, 186, 1, Smoke::mf_const, 275, 21},	//409 Plasma::Applet::popupPosition(const QSize&) const
    {38, 1477, 188, 2, Smoke::mf_const, 275, 22},	//410 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {38, 2321, 191, 1, 0, 0, 23},	//411 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {38, 1032, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 24},	//412 Plasma::Applet::formFactor() const
    {38, 1327, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 25},	//413 Plasma::Applet::location() const
    {38, 813, 0, 0, Smoke::mf_const, 80, 26},	//414 Plasma::Applet::context() const
    {38, 703, 0, 0, Smoke::mf_const, 54, 27},	//415 Plasma::Applet::aspectRatioMode() const
    {38, 1682, 193, 1, 0, 0, 28},	//416 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {38, 1251, 77, 2, Smoke::mf_static, 238, 29},	//417 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {38, 1254, 89, 1, Smoke::mf_static, 238, 30},	//418 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {38, 1256, 195, 1, Smoke::mf_static, 238, 31},	//419 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {38, 1260, 197, 2, Smoke::mf_static, 290, 32},	//420 Plasma::Applet::listCategories(const QString&, bool)
    {38, 1763, 200, 1, 0, 0, 33},	//421 Plasma::Applet::setCustomCategories(const QStringList&)
    {38, 860, 0, 0, 0, 290, 34},	//422 Plasma::Applet::customCategories()
    {38, 1316, 202, 3, Smoke::mf_static, 51, 35},	//423 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1294, 202, 3, Smoke::mf_static, 51, 36},	//424 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1294, 206, 3, Smoke::mf_static, 51, 37},	//425 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {38, 732, 210, 1, Smoke::mf_static, 289, 38},	//426 Plasma::Applet::category(const KPluginInfo&)
    {38, 732, 89, 1, Smoke::mf_static, 289, 39},	//427 Plasma::Applet::category(const QString&)
    {38, 1448, 212, 3, Smoke::mf_virtual, 0, 40},	//428 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {38, 1399, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 41},	//429 Plasma::Applet::name() const
    {38, 1025, 0, 0, Smoke::mf_const, 209, 42},	//430 Plasma::Applet::font() const
    {38, 1469, 0, 0, Smoke::mf_const, 289, 43},	//431 Plasma::Applet::pluginName() const
    {38, 2157, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 44},	//432 Plasma::Applet::shouldConserveResources() const
    {38, 1092, 0, 0, Smoke::mf_const, 289, 45},	//433 Plasma::Applet::icon() const
    {38, 732, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 46},	//434 Plasma::Applet::category() const
    {38, 1099, 0, 0, Smoke::mf_const|Smoke::mf_property, 106, 47},	//435 Plasma::Applet::immutability() const
    {38, 1450, 216, 3, Smoke::mf_virtual, 0, 48},	//436 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {38, 1063, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 49},	//437 Plasma::Applet::hasFailedToLaunch() const
    {38, 1139, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 50},	//438 Plasma::Applet::isBusy() const
    {38, 770, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 51},	//439 Plasma::Applet::configurationRequired() const
    {38, 1058, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 52},	//440 Plasma::Applet::hasConfigurationInterface() const
    {38, 821, 0, 0, Smoke::mf_virtual, 251, 53},	//441 Plasma::Applet::contextualActions()
    {38, 586, 220, 1, Smoke::mf_const, 181, 54},	//442 Plasma::Applet::action(QString) const
    {38, 603, 222, 2, 0, 0, 55},	//443 Plasma::Applet::addAction(QString, QAction*)
    {38, 1706, 225, 1, 0, 0, 56},	//444 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {38, 722, 0, 0, Smoke::mf_const, 197, 57},	//445 Plasma::Applet::backgroundHints() const
    {38, 1145, 0, 0, Smoke::mf_const, 382, 58},	//446 Plasma::Applet::isContainment() const
    {38, 1639, 0, 0, Smoke::mf_const, 278, 59},	//447 Plasma::Applet::screenRect() const
    {38, 2302, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 473, 60},	//448 Plasma::Applet::type() const
    {38, 790, 0, 0, Smoke::mf_const, 71, 61},	//449 Plasma::Applet::containment() const
    {38, 1834, 227, 1, 0, 0, 62},	//450 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {38, 1048, 0, 0, Smoke::mf_const, 21, 63},	//451 Plasma::Applet::globalShortcut() const
    {38, 1161, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 382, 64},	//452 Plasma::Applet::isPopupShowing() const
    {38, 614, 57, 1, Smoke::mf_virtual, 0, 65},	//453 Plasma::Applet::addAssociatedWidget(QWidget*)
    {38, 1545, 57, 1, Smoke::mf_virtual, 0, 66},	//454 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {38, 1110, 229, 1, Smoke::mf_virtual, 0, 67},	//455 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {38, 38, 231, 3, Smoke::mf_ctor, 51, 68},	//456 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {38, 38, 235, 3, Smoke::mf_ctor, 51, 69},	//457 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*, unsigned int)
    {38, 38, 239, 4, Smoke::mf_ctor, 51, 70},	//458 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {38, 878, 0, 0, Smoke::mf_const, 382, 71},	//459 Plasma::Applet::destroyed() const
    {38, 830, 244, 1, Smoke::mf_virtual, 0, 72},	//460 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {38, 1056, 89, 1, Smoke::mf_const, 382, 73},	//461 Plasma::Applet::hasAuthorization(const QString&) const
    {38, 1684, 89, 1, 0, 0, 74},	//462 Plasma::Applet::setAssociatedApplication(const QString&)
    {38, 1686, 246, 1, 0, 0, 75},	//463 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {38, 706, 0, 0, Smoke::mf_const, 289, 76},	//464 Plasma::Applet::associatedApplication() const
    {38, 707, 0, 0, Smoke::mf_const, 29, 77},	//465 Plasma::Applet::associatedApplicationUrls() const
    {38, 1071, 0, 0, Smoke::mf_const, 382, 78},	//466 Plasma::Applet::hasValidAssociatedApplication() const
    {38, 1526, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//467 Plasma::Applet::releaseVisualFocus()
    {38, 1040, 0, 0, Smoke::mf_protected, 0, 80},	//468 Plasma::Applet::geometryChanged()
    {38, 699, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//469 Plasma::Applet::appletTransformedByUser()
    {38, 700, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//470 Plasma::Applet::appletTransformedItself()
    {38, 2196, 248, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//471 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {38, 766, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//472 Plasma::Applet::configNeedsSaving()
    {38, 597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//473 Plasma::Applet::activate()
    {38, 1362, 250, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//474 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {38, 694, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//475 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {38, 1404, 254, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//476 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {38, 989, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//477 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {38, 1100, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//478 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {38, 1875, 258, 1, Smoke::mf_property|Smoke::mf_slot, 0, 91},	//479 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {38, 876, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//480 Plasma::Applet::destroy()
    {38, 2163, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 93},	//481 Plasma::Applet::showConfigurationInterface()
    {38, 2163, 57, 1, Smoke::mf_slot, 0, 94},	//482 Plasma::Applet::showConfigurationInterface(QWidget*)
    {38, 1175, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 382, 95},	//483 Plasma::Applet::isUserConfiguring() const
    {38, 1503, 0, 0, Smoke::mf_slot, 0, 96},	//484 Plasma::Applet::raise()
    {38, 1335, 0, 0, Smoke::mf_slot, 0, 97},	//485 Plasma::Applet::lower()
    {38, 1017, 0, 0, Smoke::mf_slot, 0, 98},	//486 Plasma::Applet::flushPendingConstraintsEvents()
    {38, 1108, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//487 Plasma::Applet::init()
    {38, 765, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 100},	//488 Plasma::Applet::configChanged()
    {38, 1710, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 101},	//489 Plasma::Applet::setBusy(bool)
    {38, 2215, 0, 0, Smoke::mf_const|Smoke::mf_slot, 300, 102},	//490 Plasma::Applet::startupArguments() const
    {38, 2218, 0, 0, Smoke::mf_const|Smoke::mf_slot, 109, 103},	//491 Plasma::Applet::status() const
    {38, 2043, 260, 1, Smoke::mf_slot, 0, 104},	//492 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {38, 1494, 262, 2, Smoke::mf_slot, 0, 105},	//493 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {38, 2311, 0, 0, Smoke::mf_slot, 0, 106},	//494 Plasma::Applet::unpublish()
    {38, 1163, 0, 0, Smoke::mf_const|Smoke::mf_slot, 382, 107},	//495 Plasma::Applet::isPublished() const
    {38, 1607, 0, 0, Smoke::mf_slot, 0, 108},	//496 Plasma::Applet::runAssociatedApplication()
    {38, 38, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 109},	//497 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {38, 1818, 265, 2, Smoke::mf_protected, 0, 110},	//498 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {38, 1619, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 111},	//499 Plasma::Applet::saveState(KConfigGroup&) const
    {38, 1843, 7, 1, Smoke::mf_protected, 0, 112},	//500 Plasma::Applet::setHasConfigurationInterface(bool)
    {38, 1732, 265, 2, Smoke::mf_protected, 0, 113},	//501 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {38, 2175, 268, 3, Smoke::mf_protected, 0, 114},	//502 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {38, 785, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 115},	//503 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {38, 1513, 170, 1, Smoke::mf_protected, 0, 116},	//504 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {38, 2312, 170, 1, Smoke::mf_protected, 0, 117},	//505 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {38, 1165, 170, 1, Smoke::mf_protected, 382, 118},	//506 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {38, 988, 0, 0, Smoke::mf_const|Smoke::mf_protected, 92, 119},	//507 Plasma::Applet::extender() const
    {38, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 120},	//508 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {38, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 121},	//509 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {38, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//510 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {38, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//511 Plasma::Applet::focusInEvent(QFocusEvent*)
    {38, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 124},	//512 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {38, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 125},	//513 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {38, 2155, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 272, 126},	//514 Plasma::Applet::shape() const
    {38, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 127},	//515 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {38, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//516 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {38, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//517 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {38, 2279, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//518 Plasma::Applet::timerEvent(QTimerEvent*)
    {38, 2293, 1, 1, Smoke::mf_static, 289, 131},	//519 Plasma::Applet::tr(const char*)
    {38, 2297, 1, 1, Smoke::mf_static, 289, 132},	//520 Plasma::Applet::trUtf8(const char*)
    {38, 2321, 0, 0, 0, 0, 133},	//521 Plasma::Applet::updateConstraints()
    {38, 1251, 0, 0, Smoke::mf_static, 238, 134},	//522 Plasma::Applet::listAppletInfo()
    {38, 1251, 89, 1, Smoke::mf_static, 238, 135},	//523 Plasma::Applet::listAppletInfo(const QString&)
    {38, 1260, 0, 0, Smoke::mf_static, 290, 136},	//524 Plasma::Applet::listCategories()
    {38, 1260, 89, 1, Smoke::mf_static, 290, 137},	//525 Plasma::Applet::listCategories(const QString&)
    {38, 1316, 89, 1, Smoke::mf_static, 51, 138},	//526 Plasma::Applet::loadPlasmoid(const QString&)
    {38, 1316, 292, 2, Smoke::mf_static, 51, 139},	//527 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {38, 1294, 89, 1, Smoke::mf_static, 51, 140},	//528 Plasma::Applet::load(const QString&)
    {38, 1294, 292, 2, Smoke::mf_static, 51, 141},	//529 Plasma::Applet::load(const QString&, unsigned int)
    {38, 1294, 210, 1, Smoke::mf_static, 51, 142},	//530 Plasma::Applet::load(const KPluginInfo&)
    {38, 1294, 295, 2, Smoke::mf_static, 51, 143},	//531 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {38, 38, 0, 0, Smoke::mf_ctor, 51, 144},	//532 Plasma::Applet::Applet()
    {38, 38, 170, 1, Smoke::mf_ctor, 51, 145},	//533 Plasma::Applet::Applet(QGraphicsItem*)
    {38, 38, 298, 2, Smoke::mf_ctor, 51, 146},	//534 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {38, 38, 210, 1, Smoke::mf_ctor, 51, 147},	//535 Plasma::Applet::Applet(const KPluginInfo&)
    {38, 38, 301, 2, Smoke::mf_ctor, 51, 148},	//536 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*)
    {38, 1818, 7, 1, Smoke::mf_protected, 0, 149},	//537 Plasma::Applet::setFailedToLaunch(bool)
    {38, 1732, 7, 1, Smoke::mf_protected, 0, 150},	//538 Plasma::Applet::setConfigurationRequired(bool)
    {38, 2192, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 151},	//539 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {38, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 152},	//540 Plasma::Applet::staticMetaObject() const
    {38, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 153},	//541 Plasma::Applet::NoBackground (enum)
    {38, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 154},	//542 Plasma::Applet::StandardBackground (enum)
    {38, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 155},	//543 Plasma::Applet::TranslucentBackground (enum)
    {38, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 156},	//544 Plasma::Applet::DefaultBackground (enum)
    {38, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 157},	//545 Plasma::Applet::Type (enum)
    {38, 2404, 0, 0, Smoke::mf_dtor, 0, 158 },	//546 Plasma::Applet::~Applet()
    {39, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//547 Plasma::AppletScript::metaObject() const
    {39, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//548 Plasma::AppletScript::qt_metacast(const char*)
    {39, 2293, 43, 2, Smoke::mf_static, 289, 3},	//549 Plasma::AppletScript::tr(const char*, const char*)
    {39, 2297, 43, 2, Smoke::mf_static, 289, 4},	//550 Plasma::AppletScript::trUtf8(const char*, const char*)
    {39, 2293, 46, 3, Smoke::mf_static, 289, 5},	//551 Plasma::AppletScript::tr(const char*, const char*, int)
    {39, 2297, 46, 3, Smoke::mf_static, 289, 6},	//552 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {39, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//553 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {39, 47, 97, 1, Smoke::mf_ctor, 53, 8},	//554 Plasma::AppletScript::AppletScript(QObject*)
    {39, 1676, 252, 1, 0, 0, 9},	//555 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {39, 691, 0, 0, Smoke::mf_const, 51, 10},	//556 Plasma::AppletScript::applet() const
    {39, 1448, 212, 3, Smoke::mf_virtual, 0, 11},	//557 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {39, 2188, 0, 0, Smoke::mf_const, 287, 12},	//558 Plasma::AppletScript::size() const
    {39, 785, 191, 1, Smoke::mf_virtual, 0, 13},	//559 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {39, 821, 0, 0, Smoke::mf_virtual, 251, 14},	//560 Plasma::AppletScript::contextualActions()
    {39, 2155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 15},	//561 Plasma::AppletScript::shape() const
    {39, 1843, 7, 1, 0, 0, 16},	//562 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {39, 1732, 265, 2, 0, 0, 17},	//563 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {39, 1818, 265, 2, 0, 0, 18},	//564 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {39, 766, 0, 0, Smoke::mf_const, 0, 19},	//565 Plasma::AppletScript::configNeedsSaving() const
    {39, 988, 0, 0, Smoke::mf_const, 92, 20},	//566 Plasma::AppletScript::extender() const
    {39, 1619, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//567 Plasma::AppletScript::saveState(KConfigGroup&) const
    {39, 1473, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//568 Plasma::AppletScript::popupEvent(bool) const
    {39, 2163, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//569 Plasma::AppletScript::showConfigurationInterface()
    {39, 765, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//570 Plasma::AppletScript::configChanged()
    {39, 864, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 25},	//571 Plasma::AppletScript::dataEngine(const QString&) const
    {39, 1337, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 26},	//572 Plasma::AppletScript::mainScript() const
    {39, 1425, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 405, 27},	//573 Plasma::AppletScript::package() const
    {39, 873, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 28},	//574 Plasma::AppletScript::description() const
    {39, 2210, 0, 0, Smoke::mf_protected, 7, 29},	//575 Plasma::AppletScript::standardConfigurationDialog()
    {39, 653, 244, 1, Smoke::mf_protected, 0, 30},	//576 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {39, 2175, 268, 3, Smoke::mf_protected, 0, 31},	//577 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {39, 1513, 170, 1, Smoke::mf_protected, 0, 32},	//578 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {39, 2312, 170, 1, Smoke::mf_protected, 0, 33},	//579 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {39, 1165, 170, 1, Smoke::mf_protected, 382, 34},	//580 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {39, 1307, 149, 2, Smoke::mf_protected, 41, 35},	//581 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {39, 2293, 1, 1, Smoke::mf_static, 289, 36},	//582 Plasma::AppletScript::tr(const char*)
    {39, 2297, 1, 1, Smoke::mf_static, 289, 37},	//583 Plasma::AppletScript::trUtf8(const char*)
    {39, 47, 0, 0, Smoke::mf_ctor, 53, 38},	//584 Plasma::AppletScript::AppletScript()
    {39, 1732, 7, 1, 0, 0, 39},	//585 Plasma::AppletScript::setConfigurationRequired(bool)
    {39, 1818, 7, 1, 0, 0, 40},	//586 Plasma::AppletScript::setFailedToLaunch(bool)
    {39, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 41},	//587 Plasma::AppletScript::staticMetaObject() const
    {39, 2405, 0, 0, Smoke::mf_dtor, 0, 42 },	//588 Plasma::AppletScript::~AppletScript()
    {40, 711, 304, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//589 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {40, 753, 306, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//590 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {40, 50, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 55, 3},	//591 Plasma::AuthorizationInterface::AuthorizationInterface()
    {40, 50, 308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 4},	//592 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {40, 2406, 0, 0, Smoke::mf_dtor, 0, 5 },	//593 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {41, 1364, 0, 0, Smoke::mf_const, 438, 1},	//594 Plasma::AuthorizationManager::metaObject() const
    {41, 1498, 1, 1, 0, 481, 2},	//595 Plasma::AuthorizationManager::qt_metacast(const char*)
    {41, 2293, 43, 2, Smoke::mf_static, 289, 3},	//596 Plasma::AuthorizationManager::tr(const char*, const char*)
    {41, 2297, 43, 2, Smoke::mf_static, 289, 4},	//597 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {41, 2293, 46, 3, Smoke::mf_static, 289, 5},	//598 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {41, 2297, 46, 3, Smoke::mf_static, 289, 6},	//599 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {41, 1496, 3, 3, 0, 473, 7},	//600 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 1652, 0, 0, Smoke::mf_static, 56, 8},	//601 Plasma::AuthorizationManager::self()
    {41, 1692, 310, 1, 0, 0, 9},	//602 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {41, 1690, 312, 1, 0, 0, 10},	//603 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {41, 1508, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//604 Plasma::AuthorizationManager::readyForRemoteAccess()
    {41, 2293, 1, 1, Smoke::mf_static, 289, 12},	//605 Plasma::AuthorizationManager::tr(const char*)
    {41, 2297, 1, 1, Smoke::mf_static, 289, 13},	//606 Plasma::AuthorizationManager::trUtf8(const char*)
    {41, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 14},	//607 Plasma::AuthorizationManager::staticMetaObject() const
    {41, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//608 Plasma::AuthorizationManager::DenyAll (enum)
    {41, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//609 Plasma::AuthorizationManager::TrustedOnly (enum)
    {41, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 17},	//610 Plasma::AuthorizationManager::PinPairing (enum)
    {41, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 18},	//611 Plasma::AuthorizationManager::Custom (enum)
    {42, 1364, 0, 0, Smoke::mf_const, 438, 1},	//612 Plasma::AuthorizationRule::metaObject() const
    {42, 1498, 1, 1, 0, 481, 2},	//613 Plasma::AuthorizationRule::qt_metacast(const char*)
    {42, 2293, 43, 2, Smoke::mf_static, 289, 3},	//614 Plasma::AuthorizationRule::tr(const char*, const char*)
    {42, 2297, 43, 2, Smoke::mf_static, 289, 4},	//615 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {42, 2293, 46, 3, Smoke::mf_static, 289, 5},	//616 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {42, 2297, 46, 3, Smoke::mf_static, 289, 6},	//617 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {42, 1496, 3, 3, 0, 473, 7},	//618 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {42, 873, 0, 0, Smoke::mf_const, 289, 8},	//619 Plasma::AuthorizationRule::description() const
    {42, 1955, 314, 1, 0, 0, 9},	//620 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {42, 1470, 0, 0, 0, 61, 10},	//621 Plasma::AuthorizationRule::policy()
    {42, 1949, 316, 1, 0, 0, 11},	//622 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {42, 1463, 0, 0, 0, 60, 12},	//623 Plasma::AuthorizationRule::persistence()
    {42, 2076, 318, 1, 0, 0, 13},	//624 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {42, 2263, 0, 0, 0, 198, 14},	//625 Plasma::AuthorizationRule::targets()
    {42, 1951, 89, 1, 0, 0, 15},	//626 Plasma::AuthorizationRule::setPin(const QString&)
    {42, 1464, 0, 0, Smoke::mf_const, 289, 16},	//627 Plasma::AuthorizationRule::pin() const
    {42, 1656, 0, 0, Smoke::mf_const, 289, 17},	//628 Plasma::AuthorizationRule::serviceName() const
    {42, 737, 320, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//629 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {42, 2293, 1, 1, Smoke::mf_static, 289, 19},	//630 Plasma::AuthorizationRule::tr(const char*)
    {42, 2297, 1, 1, Smoke::mf_static, 289, 20},	//631 Plasma::AuthorizationRule::trUtf8(const char*)
    {42, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 21},	//632 Plasma::AuthorizationRule::staticMetaObject() const
    {42, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//633 Plasma::AuthorizationRule::Deny (enum)
    {42, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//634 Plasma::AuthorizationRule::Allow (enum)
    {42, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//635 Plasma::AuthorizationRule::PinRequired (enum)
    {42, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 25},	//636 Plasma::AuthorizationRule::Transient (enum)
    {42, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 26},	//637 Plasma::AuthorizationRule::Persistent (enum)
    {42, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 27},	//638 Plasma::AuthorizationRule::Default (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 28},	//639 Plasma::AuthorizationRule::AllUsers (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 29},	//640 Plasma::AuthorizationRule::AllServices (enum)
    {42, 2407, 0, 0, Smoke::mf_dtor, 0, 30 },	//641 Plasma::AuthorizationRule::~AuthorizationRule()
    {43, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//642 Plasma::BusyWidget::metaObject() const
    {43, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//643 Plasma::BusyWidget::qt_metacast(const char*)
    {43, 2293, 43, 2, Smoke::mf_static, 289, 3},	//644 Plasma::BusyWidget::tr(const char*, const char*)
    {43, 2297, 43, 2, Smoke::mf_static, 289, 4},	//645 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {43, 2293, 46, 3, Smoke::mf_static, 289, 5},	//646 Plasma::BusyWidget::tr(const char*, const char*, int)
    {43, 2297, 46, 3, Smoke::mf_static, 289, 6},	//647 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {43, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//648 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {43, 67, 125, 1, Smoke::mf_ctor, 63, 8},	//649 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {43, 2000, 7, 1, Smoke::mf_property, 0, 9},	//650 Plasma::BusyWidget::setRunning(bool)
    {43, 1169, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 10},	//651 Plasma::BusyWidget::isRunning() const
    {43, 1885, 89, 1, Smoke::mf_property, 0, 11},	//652 Plasma::BusyWidget::setLabel(const QString&)
    {43, 1219, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//653 Plasma::BusyWidget::label() const
    {43, 751, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//654 Plasma::BusyWidget::clicked()
    {43, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//655 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {43, 2171, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//656 Plasma::BusyWidget::showEvent(QShowEvent*)
    {43, 1077, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//657 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {43, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//658 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {43, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//659 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {43, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//660 Plasma::BusyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {43, 2279, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//661 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {43, 2293, 1, 1, Smoke::mf_static, 289, 21},	//662 Plasma::BusyWidget::tr(const char*)
    {43, 2297, 1, 1, Smoke::mf_static, 289, 22},	//663 Plasma::BusyWidget::trUtf8(const char*)
    {43, 67, 0, 0, Smoke::mf_ctor, 63, 23},	//664 Plasma::BusyWidget::BusyWidget()
    {43, 1431, 326, 2, Smoke::mf_protected, 0, 24},	//665 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {43, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 25},	//666 Plasma::BusyWidget::staticMetaObject() const
    {43, 2408, 0, 0, Smoke::mf_dtor, 0, 26 },	//667 Plasma::BusyWidget::~BusyWidget()
    {44, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//668 Plasma::CheckBox::metaObject() const
    {44, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//669 Plasma::CheckBox::qt_metacast(const char*)
    {44, 2293, 43, 2, Smoke::mf_static, 289, 3},	//670 Plasma::CheckBox::tr(const char*, const char*)
    {44, 2297, 43, 2, Smoke::mf_static, 289, 4},	//671 Plasma::CheckBox::trUtf8(const char*, const char*)
    {44, 2293, 46, 3, Smoke::mf_static, 289, 5},	//672 Plasma::CheckBox::tr(const char*, const char*, int)
    {44, 2297, 46, 3, Smoke::mf_static, 289, 6},	//673 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {44, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//674 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 85, 125, 1, Smoke::mf_ctor, 64, 8},	//675 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {44, 2078, 89, 1, Smoke::mf_property, 0, 9},	//676 Plasma::CheckBox::setText(const QString&)
    {44, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//677 Plasma::CheckBox::text() const
    {44, 1869, 89, 1, Smoke::mf_property, 0, 11},	//678 Plasma::CheckBox::setImage(const QString&)
    {44, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//679 Plasma::CheckBox::image() const
    {44, 2048, 89, 1, Smoke::mf_property, 0, 13},	//680 Plasma::CheckBox::setStyleSheet(const QString&)
    {44, 2230, 0, 0, Smoke::mf_property, 289, 14},	//681 Plasma::CheckBox::styleSheet()
    {44, 1401, 0, 0, Smoke::mf_const, 184, 15},	//682 Plasma::CheckBox::nativeWidget() const
    {44, 1720, 7, 1, Smoke::mf_property, 0, 16},	//683 Plasma::CheckBox::setChecked(bool)
    {44, 1141, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//684 Plasma::CheckBox::isChecked() const
    {44, 2283, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//685 Plasma::CheckBox::toggled(bool)
    {44, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//686 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//687 Plasma::CheckBox::changeEvent(QEvent*)
    {44, 2293, 1, 1, Smoke::mf_static, 289, 21},	//688 Plasma::CheckBox::tr(const char*)
    {44, 2297, 1, 1, Smoke::mf_static, 289, 22},	//689 Plasma::CheckBox::trUtf8(const char*)
    {44, 85, 0, 0, Smoke::mf_ctor, 64, 23},	//690 Plasma::CheckBox::CheckBox()
    {44, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 24},	//691 Plasma::CheckBox::staticMetaObject() const
    {44, 2409, 0, 0, Smoke::mf_dtor, 0, 25 },	//692 Plasma::CheckBox::~CheckBox()
    {45, 1364, 0, 0, Smoke::mf_const, 438, 1},	//693 Plasma::ClientPinRequest::metaObject() const
    {45, 1498, 1, 1, 0, 481, 2},	//694 Plasma::ClientPinRequest::qt_metacast(const char*)
    {45, 2293, 43, 2, Smoke::mf_static, 289, 3},	//695 Plasma::ClientPinRequest::tr(const char*, const char*)
    {45, 2297, 43, 2, Smoke::mf_static, 289, 4},	//696 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {45, 2293, 46, 3, Smoke::mf_static, 289, 5},	//697 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {45, 2297, 46, 3, Smoke::mf_static, 289, 6},	//698 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {45, 1496, 3, 3, 0, 473, 7},	//699 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {45, 873, 0, 0, Smoke::mf_const, 289, 8},	//700 Plasma::ClientPinRequest::description() const
    {45, 1951, 89, 1, 0, 0, 9},	//701 Plasma::ClientPinRequest::setPin(const QString&)
    {45, 1464, 0, 0, Smoke::mf_const, 289, 10},	//702 Plasma::ClientPinRequest::pin() const
    {45, 737, 331, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//703 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {45, 2293, 1, 1, Smoke::mf_static, 289, 12},	//704 Plasma::ClientPinRequest::tr(const char*)
    {45, 2297, 1, 1, Smoke::mf_static, 289, 13},	//705 Plasma::ClientPinRequest::trUtf8(const char*)
    {45, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 14},	//706 Plasma::ClientPinRequest::staticMetaObject() const
    {46, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//707 Plasma::ComboBox::metaObject() const
    {46, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//708 Plasma::ComboBox::qt_metacast(const char*)
    {46, 2293, 43, 2, Smoke::mf_static, 289, 3},	//709 Plasma::ComboBox::tr(const char*, const char*)
    {46, 2297, 43, 2, Smoke::mf_static, 289, 4},	//710 Plasma::ComboBox::trUtf8(const char*, const char*)
    {46, 2293, 46, 3, Smoke::mf_static, 289, 5},	//711 Plasma::ComboBox::tr(const char*, const char*, int)
    {46, 2297, 46, 3, Smoke::mf_static, 289, 6},	//712 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {46, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//713 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {46, 88, 125, 1, Smoke::mf_ctor, 67, 8},	//714 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {46, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 9},	//715 Plasma::ComboBox::text() const
    {46, 2048, 89, 1, Smoke::mf_property, 0, 10},	//716 Plasma::ComboBox::setStyleSheet(const QString&)
    {46, 2230, 0, 0, Smoke::mf_property, 289, 11},	//717 Plasma::ComboBox::styleSheet()
    {46, 1923, 333, 1, 0, 0, 12},	//718 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {46, 1401, 0, 0, Smoke::mf_const, 4, 13},	//719 Plasma::ComboBox::nativeWidget() const
    {46, 630, 89, 1, 0, 0, 14},	//720 Plasma::ComboBox::addItem(const QString&)
    {46, 824, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 15},	//721 Plasma::ComboBox::count() const
    {46, 848, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 16},	//722 Plasma::ComboBox::currentIndex() const
    {46, 1761, 129, 1, Smoke::mf_property, 0, 17},	//723 Plasma::ComboBox::setCurrentIndex(int)
    {46, 742, 0, 0, Smoke::mf_slot, 0, 18},	//724 Plasma::ComboBox::clear()
    {46, 598, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//725 Plasma::ComboBox::activated(const QString&)
    {46, 2267, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//726 Plasma::ComboBox::textChanged(const QString&)
    {46, 849, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//727 Plasma::ComboBox::currentIndexChanged(int)
    {46, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//728 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//729 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {46, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//730 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {46, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//731 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {46, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//732 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {46, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//733 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {46, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//734 Plasma::ComboBox::changeEvent(QEvent*)
    {46, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//735 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 2293, 1, 1, Smoke::mf_static, 289, 30},	//736 Plasma::ComboBox::tr(const char*)
    {46, 2297, 1, 1, Smoke::mf_static, 289, 31},	//737 Plasma::ComboBox::trUtf8(const char*)
    {46, 88, 0, 0, Smoke::mf_ctor, 67, 32},	//738 Plasma::ComboBox::ComboBox()
    {46, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 33},	//739 Plasma::ComboBox::staticMetaObject() const
    {46, 2410, 0, 0, Smoke::mf_dtor, 0, 34 },	//740 Plasma::ComboBox::~ComboBox()
    {47, 91, 335, 3, Smoke::mf_ctor, 69, 1},	//741 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {47, 91, 339, 3, Smoke::mf_ctor, 69, 2},	//742 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {47, 91, 343, 3, Smoke::mf_ctor, 69, 3},	//743 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {47, 1003, 77, 2, 0, 10, 4},	//744 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {47, 1005, 89, 1, 0, 10, 5},	//745 Plasma::ConfigLoader::findItemByName(const QString&)
    {47, 1491, 89, 1, 0, 299, 6},	//746 Plasma::ConfigLoader::property(const QString&)
    {47, 1064, 89, 1, Smoke::mf_const, 382, 7},	//747 Plasma::ConfigLoader::hasGroup(const QString&) const
    {47, 1054, 0, 0, Smoke::mf_const, 290, 8},	//748 Plasma::ConfigLoader::groupList() const
    {47, 2348, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//749 Plasma::ConfigLoader::usrWriteConfig()
    {47, 91, 347, 2, Smoke::mf_ctor, 69, 10},	//750 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {47, 91, 350, 2, Smoke::mf_ctor, 69, 11},	//751 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {47, 91, 353, 2, Smoke::mf_ctor, 69, 12},	//752 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {47, 2411, 0, 0, Smoke::mf_dtor, 0, 13 },	//753 Plasma::ConfigLoader::~ConfigLoader()
    {48, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//754 Plasma::Containment::metaObject() const
    {48, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//755 Plasma::Containment::qt_metacast(const char*)
    {48, 2293, 43, 2, Smoke::mf_static, 289, 3},	//756 Plasma::Containment::tr(const char*, const char*)
    {48, 2297, 43, 2, Smoke::mf_static, 289, 4},	//757 Plasma::Containment::trUtf8(const char*, const char*)
    {48, 2293, 46, 3, Smoke::mf_static, 289, 5},	//758 Plasma::Containment::tr(const char*, const char*, int)
    {48, 2297, 46, 3, Smoke::mf_static, 289, 6},	//759 Plasma::Containment::trUtf8(const char*, const char*, int)
    {48, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//760 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {48, 100, 231, 3, Smoke::mf_ctor, 71, 8},	//761 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {48, 100, 70, 2, Smoke::mf_ctor, 71, 9},	//762 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {48, 1108, 0, 0, Smoke::mf_virtual, 0, 10},	//763 Plasma::Containment::init()
    {48, 804, 0, 0, Smoke::mf_const, 75, 11},	//764 Plasma::Containment::containmentType() const
    {48, 823, 0, 0, Smoke::mf_const, 81, 12},	//765 Plasma::Containment::corona() const
    {48, 1265, 77, 2, Smoke::mf_static, 238, 13},	//766 Plasma::Containment::listContainments(const QString&, const QString&)
    {48, 1270, 356, 3, Smoke::mf_static, 238, 14},	//767 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {48, 1264, 0, 0, Smoke::mf_static, 290, 15},	//768 Plasma::Containment::listContainmentTypes()
    {48, 1268, 89, 1, Smoke::mf_static, 238, 16},	//769 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {48, 607, 360, 3, 0, 51, 17},	//770 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {48, 607, 364, 3, 0, 0, 18},	//771 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {48, 701, 0, 0, Smoke::mf_const, 242, 19},	//772 Plasma::Containment::applets() const
    {48, 744, 0, 0, 0, 0, 20},	//773 Plasma::Containment::clearApplets()
    {48, 2004, 368, 2, 0, 0, 21},	//774 Plasma::Containment::setScreen(int, int)
    {48, 1632, 0, 0, Smoke::mf_const, 473, 22},	//775 Plasma::Containment::screen() const
    {48, 1232, 0, 0, Smoke::mf_const, 473, 23},	//776 Plasma::Containment::lastScreen() const
    {48, 874, 0, 0, Smoke::mf_const, 473, 24},	//777 Plasma::Containment::desktop() const
    {48, 1230, 0, 0, Smoke::mf_const, 473, 25},	//778 Plasma::Containment::lastDesktop() const
    {48, 1613, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//779 Plasma::Containment::save(KConfigGroup&) const
    {48, 1595, 178, 1, Smoke::mf_virtual, 0, 27},	//780 Plasma::Containment::restore(KConfigGroup&)
    {48, 958, 197, 2, 0, 0, 28},	//781 Plasma::Containment::enableAction(const QString&, bool)
    {48, 664, 107, 1, 0, 0, 29},	//782 Plasma::Containment::addToolBoxAction(QAction*)
    {48, 1567, 107, 1, 0, 0, 30},	//783 Plasma::Containment::removeToolBoxAction(QAction*)
    {48, 2094, 7, 1, 0, 0, 31},	//784 Plasma::Containment::setToolBoxOpen(bool)
    {48, 1173, 0, 0, Smoke::mf_const, 382, 32},	//785 Plasma::Containment::isToolBoxOpen() const
    {48, 1412, 0, 0, 0, 0, 33},	//786 Plasma::Containment::openToolBox()
    {48, 756, 0, 0, 0, 0, 34},	//787 Plasma::Containment::closeToolBox()
    {48, 614, 57, 1, Smoke::mf_virtual, 0, 35},	//788 Plasma::Containment::addAssociatedWidget(QWidget*)
    {48, 1545, 57, 1, Smoke::mf_virtual, 0, 36},	//789 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {48, 925, 0, 0, 0, 382, 37},	//790 Plasma::Containment::drawWallpaper()
    {48, 2135, 77, 2, 0, 0, 38},	//791 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {48, 2374, 0, 0, Smoke::mf_const, 171, 39},	//792 Plasma::Containment::wallpaper() const
    {48, 1666, 89, 1, 0, 0, 40},	//793 Plasma::Containment::setActivity(const QString&)
    {48, 600, 0, 0, Smoke::mf_const, 289, 41},	//794 Plasma::Containment::activity() const
    {48, 813, 0, 0, Smoke::mf_const, 80, 42},	//795 Plasma::Containment::context() const
    {48, 2165, 371, 2, 0, 0, 43},	//796 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {48, 2169, 374, 1, Smoke::mf_virtual, 0, 44},	//797 Plasma::Containment::showDropZone(const QPoint)
    {48, 1737, 77, 2, 0, 0, 45},	//798 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {48, 796, 0, 0, 0, 290, 46},	//799 Plasma::Containment::containmentActionsTriggers()
    {48, 791, 89, 1, 0, 289, 47},	//800 Plasma::Containment::containmentActions(const QString&)
    {48, 793, 0, 0, 0, 8, 48},	//801 Plasma::Containment::containmentActionsConfig()
    {48, 692, 376, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//802 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {48, 697, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//803 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {48, 2396, 379, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//804 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {48, 2287, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//805 Plasma::Containment::toolBoxToggled()
    {48, 2288, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//806 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {48, 649, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//807 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {48, 2160, 382, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//808 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {48, 1633, 384, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//809 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {48, 772, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//810 Plasma::Containment::configureRequested(Plasma::Containment*)
    {48, 815, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//811 Plasma::Containment::contextChanged(Plasma::Context*)
    {48, 1898, 9, 1, Smoke::mf_slot, 0, 59},	//812 Plasma::Containment::setLocation(Plasma::Location)
    {48, 1828, 390, 1, Smoke::mf_slot, 0, 60},	//813 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {48, 649, 0, 0, Smoke::mf_slot, 0, 61},	//814 Plasma::Containment::addSiblingContainment()
    {48, 1020, 0, 0, Smoke::mf_slot, 0, 62},	//815 Plasma::Containment::focusNextApplet()
    {48, 1024, 0, 0, Smoke::mf_slot, 0, 63},	//816 Plasma::Containment::focusPreviousApplet()
    {48, 876, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 64},	//817 Plasma::Containment::destroy()
    {48, 876, 7, 1, Smoke::mf_slot, 0, 65},	//818 Plasma::Containment::destroy(bool)
    {48, 2163, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 66},	//819 Plasma::Containment::showConfigurationInterface()
    {48, 765, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 67},	//820 Plasma::Containment::configChanged()
    {48, 1741, 392, 1, Smoke::mf_protected, 0, 68},	//821 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {48, 1795, 7, 1, Smoke::mf_protected, 0, 69},	//822 Plasma::Containment::setDrawWallpaper(bool)
    {48, 1615, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//823 Plasma::Containment::saveContents(KConfigGroup&) const
    {48, 1597, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//824 Plasma::Containment::restoreContents(KConfigGroup&)
    {48, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//825 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {48, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//826 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {48, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//827 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {48, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//828 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {48, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//829 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {48, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//830 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {48, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 78},	//831 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {48, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 79},	//832 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {48, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//833 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {48, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//834 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {48, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//835 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {48, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//836 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {48, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 84},	//837 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {48, 2286, 0, 0, Smoke::mf_const|Smoke::mf_protected, 423, 85},	//838 Plasma::Containment::toolBoxItem() const
    {48, 2092, 402, 1, Smoke::mf_protected, 0, 86},	//839 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {48, 2285, 0, 0, Smoke::mf_const|Smoke::mf_protected, 37, 87},	//840 Plasma::Containment::toolBox() const
    {48, 2293, 1, 1, Smoke::mf_static, 289, 88},	//841 Plasma::Containment::tr(const char*)
    {48, 2297, 1, 1, Smoke::mf_static, 289, 89},	//842 Plasma::Containment::trUtf8(const char*)
    {48, 100, 0, 0, Smoke::mf_ctor, 71, 90},	//843 Plasma::Containment::Containment()
    {48, 100, 170, 1, Smoke::mf_ctor, 71, 91},	//844 Plasma::Containment::Containment(QGraphicsItem*)
    {48, 100, 298, 2, Smoke::mf_ctor, 71, 92},	//845 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {48, 1265, 0, 0, Smoke::mf_static, 238, 93},	//846 Plasma::Containment::listContainments()
    {48, 1265, 89, 1, Smoke::mf_static, 238, 94},	//847 Plasma::Containment::listContainments(const QString&)
    {48, 1270, 89, 1, Smoke::mf_static, 238, 95},	//848 Plasma::Containment::listContainmentsOfType(const QString&)
    {48, 1270, 77, 2, Smoke::mf_static, 238, 96},	//849 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {48, 607, 89, 1, 0, 51, 97},	//850 Plasma::Containment::addApplet(const QString&)
    {48, 607, 113, 2, 0, 51, 98},	//851 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {48, 607, 252, 1, 0, 0, 99},	//852 Plasma::Containment::addApplet(Plasma::Applet*)
    {48, 607, 376, 2, 0, 0, 100},	//853 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {48, 2004, 129, 1, 0, 0, 101},	//854 Plasma::Containment::setScreen(int)
    {48, 2135, 89, 1, 0, 0, 102},	//855 Plasma::Containment::setWallpaper(const QString&)
    {48, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 103},	//856 Plasma::Containment::staticMetaObject() const
    {48, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 104},	//857 Plasma::Containment::NoContainmentType (enum)
    {48, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 105},	//858 Plasma::Containment::DesktopContainment (enum)
    {48, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 106},	//859 Plasma::Containment::PanelContainment (enum)
    {48, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 107},	//860 Plasma::Containment::CustomContainment (enum)
    {48, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 108},	//861 Plasma::Containment::CustomPanelContainment (enum)
    {48, 2412, 0, 0, Smoke::mf_dtor, 0, 109 },	//862 Plasma::Containment::~Containment()
    {49, 486, 0, 0, Smoke::mf_ctor, 72, 1},	//863 Plasma::Containment::StyleOption::StyleOption()
    {49, 486, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//864 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {49, 486, 406, 1, Smoke::mf_ctor, 72, 3},	//865 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {49, 2363, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 170, 4},	//866 Plasma::Containment::StyleOption::view() const
    {49, 2132, 408, 1, Smoke::mf_attribute, 0, 5},	//867 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {49, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//868 Plasma::Containment::StyleOption::Type (enum)
    {49, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 7},	//869 Plasma::Containment::StyleOption::Version (enum)
    {49, 2456, 0, 0, Smoke::mf_dtor, 0, 8 },	//870 Plasma::Containment::StyleOption::~StyleOption()
    {50, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//871 Plasma::ContainmentActions::metaObject() const
    {50, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//872 Plasma::ContainmentActions::qt_metacast(const char*)
    {50, 2293, 43, 2, Smoke::mf_static, 289, 3},	//873 Plasma::ContainmentActions::tr(const char*, const char*)
    {50, 2297, 43, 2, Smoke::mf_static, 289, 4},	//874 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {50, 2293, 46, 3, Smoke::mf_static, 289, 5},	//875 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {50, 2297, 46, 3, Smoke::mf_static, 289, 6},	//876 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {50, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//877 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {50, 105, 97, 1, Smoke::mf_ctor, 76, 8},	//878 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {50, 1263, 0, 0, Smoke::mf_static, 238, 9},	//879 Plasma::ContainmentActions::listContainmentActionsInfo()
    {50, 1294, 410, 3, Smoke::mf_static, 76, 10},	//880 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {50, 1294, 414, 3, Smoke::mf_static, 76, 11},	//881 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {50, 1426, 0, 0, Smoke::mf_static, 20, 12},	//882 Plasma::ContainmentActions::packageStructure()
    {50, 1399, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//883 Plasma::ContainmentActions::name() const
    {50, 1469, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//884 Plasma::ContainmentActions::pluginName() const
    {50, 1092, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//885 Plasma::ContainmentActions::icon() const
    {50, 1153, 0, 0, Smoke::mf_const, 382, 16},	//886 Plasma::ContainmentActions::isInitialized() const
    {50, 1595, 111, 1, 0, 0, 17},	//887 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {50, 1613, 178, 1, Smoke::mf_virtual, 0, 18},	//888 Plasma::ContainmentActions::save(KConfigGroup&)
    {50, 830, 57, 1, Smoke::mf_virtual, 304, 19},	//889 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {50, 769, 0, 0, Smoke::mf_virtual, 0, 20},	//890 Plasma::ContainmentActions::configurationAccepted()
    {50, 817, 329, 1, Smoke::mf_virtual, 0, 21},	//891 Plasma::ContainmentActions::contextEvent(QEvent*)
    {50, 821, 0, 0, Smoke::mf_virtual, 251, 22},	//892 Plasma::ContainmentActions::contextualActions()
    {50, 864, 89, 1, Smoke::mf_const, 83, 23},	//893 Plasma::ContainmentActions::dataEngine(const QString&) const
    {50, 770, 0, 0, Smoke::mf_const, 382, 24},	//894 Plasma::ContainmentActions::configurationRequired() const
    {50, 978, 329, 1, Smoke::mf_static, 289, 25},	//895 Plasma::ContainmentActions::eventToString(QEvent*)
    {50, 1477, 418, 2, 0, 275, 26},	//896 Plasma::ContainmentActions::popupPosition(const QSize&, QEvent*)
    {50, 974, 329, 1, Smoke::mf_virtual, 382, 27},	//897 Plasma::ContainmentActions::event(QEvent*)
    {50, 1735, 101, 1, 0, 0, 28},	//898 Plasma::ContainmentActions::setContainment(Plasma::Containment*)
    {50, 105, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 76, 29},	//899 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {50, 1108, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//900 Plasma::ContainmentActions::init(const KConfigGroup&)
    {50, 1732, 7, 1, Smoke::mf_protected, 0, 31},	//901 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {50, 790, 0, 0, Smoke::mf_protected, 71, 32},	//902 Plasma::ContainmentActions::containment()
    {50, 1455, 421, 2, Smoke::mf_protected, 0, 33},	//903 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {50, 2293, 1, 1, Smoke::mf_static, 289, 34},	//904 Plasma::ContainmentActions::tr(const char*)
    {50, 2297, 1, 1, Smoke::mf_static, 289, 35},	//905 Plasma::ContainmentActions::trUtf8(const char*)
    {50, 105, 0, 0, Smoke::mf_ctor, 76, 36},	//906 Plasma::ContainmentActions::ContainmentActions()
    {50, 1294, 424, 2, Smoke::mf_static, 76, 37},	//907 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {50, 1294, 427, 2, Smoke::mf_static, 76, 38},	//908 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {50, 1732, 0, 0, Smoke::mf_protected, 0, 39},	//909 Plasma::ContainmentActions::setConfigurationRequired()
    {50, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 40},	//910 Plasma::ContainmentActions::staticMetaObject() const
    {50, 2413, 0, 0, Smoke::mf_dtor, 0, 41 },	//911 Plasma::ContainmentActions::~ContainmentActions()
    {51, 108, 0, 0, Smoke::mf_ctor, 79, 1},	//912 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {51, 108, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//913 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 1419, 430, 1, 0, 78, 3},	//914 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 742, 0, 0, 0, 0, 4},	//915 Plasma::ContainmentActionsPluginsConfig::clear()
    {51, 1538, 329, 1, 0, 0, 5},	//916 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {51, 640, 432, 2, 0, 0, 6},	//917 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {51, 640, 435, 3, 0, 0, 7},	//918 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {51, 640, 439, 3, 0, 0, 8},	//919 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {51, 2414, 0, 0, Smoke::mf_dtor, 0, 9 },	//920 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {52, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//921 Plasma::Context::metaObject() const
    {52, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//922 Plasma::Context::qt_metacast(const char*)
    {52, 2293, 43, 2, Smoke::mf_static, 289, 3},	//923 Plasma::Context::tr(const char*, const char*)
    {52, 2297, 43, 2, Smoke::mf_static, 289, 4},	//924 Plasma::Context::trUtf8(const char*, const char*)
    {52, 2293, 46, 3, Smoke::mf_static, 289, 5},	//925 Plasma::Context::tr(const char*, const char*, int)
    {52, 2297, 46, 3, Smoke::mf_static, 289, 6},	//926 Plasma::Context::trUtf8(const char*, const char*, int)
    {52, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//927 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {52, 111, 97, 1, Smoke::mf_ctor, 80, 8},	//928 Plasma::Context::Context(QObject*)
    {52, 828, 89, 1, 0, 0, 9},	//929 Plasma::Context::createActivity(const QString&)
    {52, 1248, 0, 0, Smoke::mf_const, 290, 10},	//930 Plasma::Context::listActivities() const
    {52, 1757, 89, 1, 0, 0, 11},	//931 Plasma::Context::setCurrentActivity(const QString&)
    {52, 844, 0, 0, Smoke::mf_const, 289, 12},	//932 Plasma::Context::currentActivity() const
    {52, 1759, 89, 1, 0, 0, 13},	//933 Plasma::Context::setCurrentActivityId(const QString&)
    {52, 845, 0, 0, Smoke::mf_const, 289, 14},	//934 Plasma::Context::currentActivityId() const
    {52, 737, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//935 Plasma::Context::changed(Plasma::Context*)
    {52, 601, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//936 Plasma::Context::activityChanged(Plasma::Context*)
    {52, 1328, 388, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//937 Plasma::Context::locationChanged(Plasma::Context*)
    {52, 2293, 1, 1, Smoke::mf_static, 289, 18},	//938 Plasma::Context::tr(const char*)
    {52, 2297, 1, 1, Smoke::mf_static, 289, 19},	//939 Plasma::Context::trUtf8(const char*)
    {52, 111, 0, 0, Smoke::mf_ctor, 80, 20},	//940 Plasma::Context::Context()
    {52, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 21},	//941 Plasma::Context::staticMetaObject() const
    {52, 2415, 0, 0, Smoke::mf_dtor, 0, 22 },	//942 Plasma::Context::~Context()
    {53, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//943 Plasma::Corona::metaObject() const
    {53, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//944 Plasma::Corona::qt_metacast(const char*)
    {53, 2293, 43, 2, Smoke::mf_static, 289, 3},	//945 Plasma::Corona::tr(const char*, const char*)
    {53, 2297, 43, 2, Smoke::mf_static, 289, 4},	//946 Plasma::Corona::trUtf8(const char*, const char*)
    {53, 2293, 46, 3, Smoke::mf_static, 289, 5},	//947 Plasma::Corona::tr(const char*, const char*, int)
    {53, 2297, 46, 3, Smoke::mf_static, 289, 6},	//948 Plasma::Corona::trUtf8(const char*, const char*, int)
    {53, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//949 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {53, 115, 97, 1, Smoke::mf_ctor, 81, 8},	//950 Plasma::Corona::Corona(QObject*)
    {53, 1678, 89, 1, 0, 0, 9},	//951 Plasma::Corona::setAppletMimeType(const QString&)
    {53, 696, 0, 0, 0, 289, 10},	//952 Plasma::Corona::appletMimeType()
    {53, 805, 0, 0, Smoke::mf_const, 243, 11},	//953 Plasma::Corona::containments() const
    {53, 746, 0, 0, 0, 0, 12},	//954 Plasma::Corona::clearContainments()
    {53, 763, 0, 0, Smoke::mf_const, 19, 13},	//955 Plasma::Corona::config() const
    {53, 616, 113, 2, 0, 71, 14},	//956 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {53, 799, 368, 2, Smoke::mf_const, 71, 15},	//957 Plasma::Corona::containmentForScreen(int, int) const
    {53, 799, 443, 4, 0, 71, 16},	//958 Plasma::Corona::containmentForScreen(int, int, const QString&, const QList<QVariant>&)
    {53, 636, 125, 1, 0, 0, 17},	//959 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {53, 1557, 125, 1, 0, 0, 18},	//960 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {53, 1410, 0, 0, Smoke::mf_const, 254, 19},	//961 Plasma::Corona::offscreenWidgets() const
    {53, 1409, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 473, 20},	//962 Plasma::Corona::numScreens() const
    {53, 1635, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 21},	//963 Plasma::Corona::screenGeometry(int) const
    {53, 717, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 22},	//964 Plasma::Corona::availableScreenRegion(int) const
    {53, 1477, 448, 2, 0, 275, 23},	//965 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {53, 1477, 451, 3, 0, 275, 24},	//966 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {53, 1037, 129, 1, Smoke::mf_const, 246, 25},	//967 Plasma::Corona::freeEdges(int) const
    {53, 586, 220, 1, Smoke::mf_const, 181, 26},	//968 Plasma::Corona::action(QString) const
    {53, 603, 222, 2, 0, 0, 27},	//969 Plasma::Corona::addAction(QString, QAction*)
    {53, 589, 0, 0, Smoke::mf_const, 251, 28},	//970 Plasma::Corona::actions() const
    {53, 958, 197, 2, 0, 0, 29},	//971 Plasma::Corona::enableAction(const QString&, bool)
    {53, 2331, 0, 0, 0, 0, 30},	//972 Plasma::Corona::updateShortcuts()
    {53, 647, 455, 1, 0, 0, 31},	//973 Plasma::Corona::addShortcuts(KActionCollection*)
    {53, 603, 220, 1, 0, 1, 32},	//974 Plasma::Corona::addAction(QString)
    {53, 1739, 457, 2, 0, 0, 33},	//975 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {53, 794, 392, 1, 0, 77, 34},	//976 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {53, 1787, 460, 1, 0, 0, 35},	//977 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {53, 882, 0, 0, 0, 33, 36},	//978 Plasma::Corona::dialogManager()
    {53, 1103, 462, 1, 0, 243, 37},	//979 Plasma::Corona::importLayout(const KConfigBase&)
    {53, 1483, 464, 1, Smoke::mf_const, 289, 38},	//980 Plasma::Corona::preferredToolBoxPlugin(const Plasma::Containment::Type) const
    {53, 1103, 111, 1, 0, 243, 39},	//981 Plasma::Corona::importLayout(const KConfigGroup&)
    {53, 986, 466, 2, 0, 0, 40},	//982 Plasma::Corona::exportLayout(KConfigGroup&, QList<Plasma::Containment*>)
    {53, 1115, 89, 1, Smoke::mf_slot, 0, 41},	//983 Plasma::Corona::initializeLayout(const QString&)
    {53, 1314, 89, 1, Smoke::mf_slot, 0, 42},	//984 Plasma::Corona::loadLayout(const QString&)
    {53, 1617, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 43},	//985 Plasma::Corona::saveLayout(const QString&) const
    {53, 1099, 0, 0, Smoke::mf_const|Smoke::mf_slot, 106, 44},	//986 Plasma::Corona::immutability() const
    {53, 1875, 258, 1, Smoke::mf_slot, 0, 45},	//987 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {53, 1581, 0, 0, Smoke::mf_slot, 0, 46},	//988 Plasma::Corona::requestConfigSync()
    {53, 1582, 0, 0, Smoke::mf_slot, 0, 47},	//989 Plasma::Corona::requireConfigSync()
    {53, 1240, 0, 0, Smoke::mf_slot, 0, 48},	//990 Plasma::Corona::layoutContainments()
    {53, 797, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//991 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {53, 1637, 384, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//992 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {53, 1526, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//993 Plasma::Corona::releaseVisualFocus()
    {53, 768, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//994 Plasma::Corona::configSynced()
    {53, 719, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//995 Plasma::Corona::availableScreenRegionChanged()
    {53, 1100, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//996 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {53, 2156, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//997 Plasma::Corona::shortcutsChanged()
    {53, 1309, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//998 Plasma::Corona::loadDefaultLayout()
    {53, 619, 113, 2, Smoke::mf_protected, 71, 57},	//999 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {53, 1340, 469, 2, Smoke::mf_protected, 0, 58},	//1000 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {53, 1340, 472, 2, Smoke::mf_protected, 0, 59},	//1001 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {53, 1966, 475, 2, Smoke::mf_protected, 0, 60},	//1002 Plasma::Corona::setPreferredToolBoxPlugin(const Plasma::Containment::Type, const QString&)
    {53, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1003 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {53, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1004 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {53, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1005 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {53, 2293, 1, 1, Smoke::mf_static, 289, 64},	//1006 Plasma::Corona::tr(const char*)
    {53, 2297, 1, 1, Smoke::mf_static, 289, 65},	//1007 Plasma::Corona::trUtf8(const char*)
    {53, 115, 0, 0, Smoke::mf_ctor, 81, 66},	//1008 Plasma::Corona::Corona()
    {53, 616, 89, 1, 0, 71, 67},	//1009 Plasma::Corona::addContainment(const QString&)
    {53, 799, 129, 1, Smoke::mf_const, 71, 68},	//1010 Plasma::Corona::containmentForScreen(int) const
    {53, 799, 478, 3, 0, 71, 69},	//1011 Plasma::Corona::containmentForScreen(int, int, const QString&)
    {53, 1115, 0, 0, Smoke::mf_slot, 0, 70},	//1012 Plasma::Corona::initializeLayout()
    {53, 1314, 0, 0, Smoke::mf_slot, 0, 71},	//1013 Plasma::Corona::loadLayout()
    {53, 1617, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 72},	//1014 Plasma::Corona::saveLayout() const
    {53, 619, 89, 1, Smoke::mf_protected, 71, 73},	//1015 Plasma::Corona::addContainmentDelayed(const QString&)
    {53, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 74},	//1016 Plasma::Corona::staticMetaObject() const
    {53, 2416, 0, 0, Smoke::mf_dtor, 0, 75 },	//1017 Plasma::Corona::~Corona()
    {54, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1018 Plasma::DataContainer::metaObject() const
    {54, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1019 Plasma::DataContainer::qt_metacast(const char*)
    {54, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1020 Plasma::DataContainer::tr(const char*, const char*)
    {54, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1021 Plasma::DataContainer::trUtf8(const char*, const char*)
    {54, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1022 Plasma::DataContainer::tr(const char*, const char*, int)
    {54, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1023 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {54, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1024 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 121, 97, 1, Smoke::mf_ctor, 82, 8},	//1025 Plasma::DataContainer::DataContainer(QObject*)
    {54, 863, 0, 0, Smoke::mf_const, 425, 9},	//1026 Plasma::DataContainer::data() const
    {54, 1767, 482, 2, 0, 0, 10},	//1027 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {54, 1542, 0, 0, 0, 0, 11},	//1028 Plasma::DataContainer::removeAllData()
    {54, 2372, 97, 1, Smoke::mf_const, 382, 12},	//1029 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {54, 783, 485, 3, 0, 0, 13},	//1030 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {54, 2045, 7, 1, 0, 0, 14},	//1031 Plasma::DataContainer::setStorageEnabled(bool)
    {54, 1171, 0, 0, Smoke::mf_const, 382, 15},	//1032 Plasma::DataContainer::isStorageEnabled() const
    {54, 1403, 0, 0, Smoke::mf_const, 382, 16},	//1033 Plasma::DataContainer::needsToBeStored() const
    {54, 1925, 7, 1, 0, 0, 17},	//1034 Plasma::DataContainer::setNeedsToBeStored(bool)
    {54, 1042, 0, 0, 0, 83, 18},	//1035 Plasma::DataContainer::getDataEngine()
    {54, 892, 97, 1, Smoke::mf_slot, 0, 19},	//1036 Plasma::DataContainer::disconnectVisualization(QObject*)
    {54, 1030, 0, 0, Smoke::mf_slot, 0, 20},	//1037 Plasma::DataContainer::forceImmediateUpdate()
    {54, 866, 489, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1038 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {54, 723, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1039 Plasma::DataContainer::becameUnused(const QString&)
    {54, 2329, 492, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1040 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {54, 739, 0, 0, Smoke::mf_protected, 0, 24},	//1041 Plasma::DataContainer::checkForUpdate()
    {54, 2278, 0, 0, Smoke::mf_const|Smoke::mf_protected, 479, 25},	//1042 Plasma::DataContainer::timeSinceLastUpdate() const
    {54, 1927, 7, 1, Smoke::mf_protected, 0, 26},	//1043 Plasma::DataContainer::setNeedsUpdate(bool)
    {54, 740, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 27},	//1044 Plasma::DataContainer::checkUsage()
    {54, 2293, 1, 1, Smoke::mf_static, 289, 28},	//1045 Plasma::DataContainer::tr(const char*)
    {54, 2297, 1, 1, Smoke::mf_static, 289, 29},	//1046 Plasma::DataContainer::trUtf8(const char*)
    {54, 121, 0, 0, Smoke::mf_ctor, 82, 30},	//1047 Plasma::DataContainer::DataContainer()
    {54, 1927, 0, 0, Smoke::mf_protected, 0, 31},	//1048 Plasma::DataContainer::setNeedsUpdate()
    {54, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 32},	//1049 Plasma::DataContainer::staticMetaObject() const
    {54, 2417, 0, 0, Smoke::mf_dtor, 0, 33 },	//1050 Plasma::DataContainer::~DataContainer()
    {55, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1051 Plasma::DataEngine::metaObject() const
    {55, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1052 Plasma::DataEngine::qt_metacast(const char*)
    {55, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1053 Plasma::DataEngine::tr(const char*, const char*)
    {55, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1054 Plasma::DataEngine::trUtf8(const char*, const char*)
    {55, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1055 Plasma::DataEngine::tr(const char*, const char*, int)
    {55, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1056 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {55, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1057 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {55, 123, 494, 2, Smoke::mf_ctor, 83, 8},	//1058 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {55, 123, 70, 2, Smoke::mf_ctor, 83, 9},	//1059 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {55, 1108, 0, 0, Smoke::mf_virtual, 0, 10},	//1060 Plasma::DataEngine::init()
    {55, 2207, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 11},	//1061 Plasma::DataEngine::sources() const
    {55, 1654, 89, 1, Smoke::mf_virtual, 146, 12},	//1062 Plasma::DataEngine::serviceForSource(const QString&)
    {55, 1399, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1063 Plasma::DataEngine::name() const
    {55, 779, 497, 4, Smoke::mf_const, 0, 14},	//1064 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 774, 485, 3, Smoke::mf_const, 0, 15},	//1065 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 890, 149, 2, Smoke::mf_const, 0, 16},	//1066 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {55, 788, 89, 1, 0, 82, 17},	//1067 Plasma::DataEngine::containerForSource(const QString&)
    {55, 1500, 89, 1, Smoke::mf_const, 230, 18},	//1068 Plasma::DataEngine::query(const QString&) const
    {55, 1177, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 19},	//1069 Plasma::DataEngine::isValid() const
    {55, 1148, 0, 0, Smoke::mf_const, 382, 20},	//1070 Plasma::DataEngine::isEmpty() const
    {55, 1358, 0, 0, Smoke::mf_const, 479, 21},	//1071 Plasma::DataEngine::maxSourceCount() const
    {55, 1092, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 22},	//1072 Plasma::DataEngine::icon() const
    {55, 1425, 0, 0, Smoke::mf_const, 405, 23},	//1073 Plasma::DataEngine::package() const
    {55, 1469, 0, 0, Smoke::mf_const, 289, 24},	//1074 Plasma::DataEngine::pluginName() const
    {55, 832, 97, 1, 0, 146, 25},	//1075 Plasma::DataEngine::createDefaultService(QObject*)
    {55, 2201, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1076 Plasma::DataEngine::sourceAdded(const QString&)
    {55, 2203, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1077 Plasma::DataEngine::sourceRemoved(const QString&)
    {55, 2205, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 28},	//1078 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {55, 2332, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 29},	//1079 Plasma::DataEngine::updateSourceEvent(const QString&)
    {55, 1767, 482, 2, Smoke::mf_protected, 0, 30},	//1080 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {55, 1767, 502, 3, Smoke::mf_protected, 0, 31},	//1081 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {55, 1767, 506, 2, Smoke::mf_protected, 0, 32},	//1082 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1542, 89, 1, Smoke::mf_protected, 0, 33},	//1083 Plasma::DataEngine::removeAllData(const QString&)
    {55, 1547, 77, 2, Smoke::mf_protected, 0, 34},	//1084 Plasma::DataEngine::removeData(const QString&, const QString&)
    {55, 651, 492, 1, Smoke::mf_protected, 0, 35},	//1085 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {55, 1902, 36, 1, Smoke::mf_protected, 0, 36},	//1086 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {55, 1916, 129, 1, Smoke::mf_protected, 0, 37},	//1087 Plasma::DataEngine::setMinimumPollingInterval(int)
    {55, 1376, 0, 0, Smoke::mf_const|Smoke::mf_protected, 473, 38},	//1088 Plasma::DataEngine::minimumPollingInterval() const
    {55, 1957, 36, 1, Smoke::mf_protected, 0, 39},	//1089 Plasma::DataEngine::setPollingInterval(unsigned int)
    {55, 1544, 0, 0, Smoke::mf_protected, 0, 40},	//1090 Plasma::DataEngine::removeAllSources()
    {55, 2116, 7, 1, Smoke::mf_protected, 0, 41},	//1091 Plasma::DataEngine::setValid(bool)
    {55, 787, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 42},	//1092 Plasma::DataEngine::containerDict() const
    {55, 2279, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1093 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {55, 1921, 89, 1, Smoke::mf_protected, 0, 44},	//1094 Plasma::DataEngine::setName(const QString&)
    {55, 1862, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1095 Plasma::DataEngine::setIcon(const QString&)
    {55, 1778, 89, 1, Smoke::mf_protected, 0, 46},	//1096 Plasma::DataEngine::setDefaultService(const QString&)
    {55, 2045, 197, 2, Smoke::mf_protected, 0, 47},	//1097 Plasma::DataEngine::setStorageEnabled(const QString&, bool)
    {55, 1631, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1098 Plasma::DataEngine::scheduleSourcesUpdated()
    {55, 1561, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1099 Plasma::DataEngine::removeSource(const QString&)
    {55, 2320, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1100 Plasma::DataEngine::updateAllSources()
    {55, 1031, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 51},	//1101 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {55, 2293, 1, 1, Smoke::mf_static, 289, 52},	//1102 Plasma::DataEngine::tr(const char*)
    {55, 2297, 1, 1, Smoke::mf_static, 289, 53},	//1103 Plasma::DataEngine::trUtf8(const char*)
    {55, 123, 0, 0, Smoke::mf_ctor, 83, 54},	//1104 Plasma::DataEngine::DataEngine()
    {55, 123, 97, 1, Smoke::mf_ctor, 83, 55},	//1105 Plasma::DataEngine::DataEngine(QObject*)
    {55, 779, 149, 2, Smoke::mf_const, 0, 56},	//1106 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {55, 779, 509, 3, Smoke::mf_const, 0, 57},	//1107 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {55, 774, 97, 1, Smoke::mf_const, 0, 58},	//1108 Plasma::DataEngine::connectAllSources(QObject*) const
    {55, 774, 513, 2, Smoke::mf_const, 0, 59},	//1109 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {55, 832, 0, 0, 0, 146, 60},	//1110 Plasma::DataEngine::createDefaultService()
    {55, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 61},	//1111 Plasma::DataEngine::staticMetaObject() const
    {55, 2418, 0, 0, Smoke::mf_dtor, 0, 62 },	//1112 Plasma::DataEngine::~DataEngine()
    {56, 1364, 0, 0, Smoke::mf_const, 438, 1},	//1113 Plasma::DataEngineManager::metaObject() const
    {56, 1498, 1, 1, 0, 481, 2},	//1114 Plasma::DataEngineManager::qt_metacast(const char*)
    {56, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1115 Plasma::DataEngineManager::tr(const char*, const char*)
    {56, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1116 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {56, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1117 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {56, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1118 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {56, 1496, 3, 3, 0, 473, 7},	//1119 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {56, 1652, 0, 0, Smoke::mf_static, 84, 8},	//1120 Plasma::DataEngineManager::self()
    {56, 964, 89, 1, Smoke::mf_const, 83, 9},	//1121 Plasma::DataEngineManager::engine(const QString&) const
    {56, 1310, 89, 1, 0, 83, 10},	//1122 Plasma::DataEngineManager::loadEngine(const QString&)
    {56, 2309, 89, 1, 0, 0, 11},	//1123 Plasma::DataEngineManager::unloadEngine(const QString&)
    {56, 1249, 89, 1, Smoke::mf_static, 290, 12},	//1124 Plasma::DataEngineManager::listAllEngines(const QString&)
    {56, 1274, 89, 1, Smoke::mf_static, 238, 13},	//1125 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {56, 1276, 77, 2, Smoke::mf_static, 238, 14},	//1126 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {56, 2279, 176, 1, Smoke::mf_protected, 0, 15},	//1127 Plasma::DataEngineManager::timerEvent(QTimerEvent*)
    {56, 2293, 1, 1, Smoke::mf_static, 289, 16},	//1128 Plasma::DataEngineManager::tr(const char*)
    {56, 2297, 1, 1, Smoke::mf_static, 289, 17},	//1129 Plasma::DataEngineManager::trUtf8(const char*)
    {56, 1249, 0, 0, Smoke::mf_static, 290, 18},	//1130 Plasma::DataEngineManager::listAllEngines()
    {56, 1274, 0, 0, Smoke::mf_static, 238, 19},	//1131 Plasma::DataEngineManager::listEngineInfo()
    {56, 1276, 89, 1, Smoke::mf_static, 238, 20},	//1132 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {56, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 21},	//1133 Plasma::DataEngineManager::staticMetaObject() const
    {57, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1134 Plasma::DataEngineScript::metaObject() const
    {57, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1135 Plasma::DataEngineScript::qt_metacast(const char*)
    {57, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1136 Plasma::DataEngineScript::tr(const char*, const char*)
    {57, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1137 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {57, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1138 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {57, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1139 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {57, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1140 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {57, 127, 97, 1, Smoke::mf_ctor, 85, 8},	//1141 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {57, 1772, 516, 1, 0, 0, 9},	//1142 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {57, 864, 0, 0, Smoke::mf_const, 83, 10},	//1143 Plasma::DataEngineScript::dataEngine() const
    {57, 2207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 11},	//1144 Plasma::DataEngineScript::sources() const
    {57, 2205, 89, 1, Smoke::mf_virtual, 382, 12},	//1145 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {57, 2332, 89, 1, Smoke::mf_virtual, 382, 13},	//1146 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {57, 1654, 89, 1, Smoke::mf_virtual, 146, 14},	//1147 Plasma::DataEngineScript::serviceForSource(const QString&)
    {57, 1337, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 15},	//1148 Plasma::DataEngineScript::mainScript() const
    {57, 1425, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 405, 16},	//1149 Plasma::DataEngineScript::package() const
    {57, 873, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 17},	//1150 Plasma::DataEngineScript::description() const
    {57, 1767, 502, 3, Smoke::mf_protected, 0, 18},	//1151 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {57, 1767, 482, 2, Smoke::mf_protected, 0, 19},	//1152 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {57, 1767, 506, 2, Smoke::mf_protected, 0, 20},	//1153 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {57, 1542, 89, 1, Smoke::mf_protected, 0, 21},	//1154 Plasma::DataEngineScript::removeAllData(const QString&)
    {57, 1547, 77, 2, Smoke::mf_protected, 0, 22},	//1155 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {57, 1902, 36, 1, Smoke::mf_protected, 0, 23},	//1156 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {57, 1916, 129, 1, Smoke::mf_protected, 0, 24},	//1157 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {57, 1376, 0, 0, Smoke::mf_const|Smoke::mf_protected, 473, 25},	//1158 Plasma::DataEngineScript::minimumPollingInterval() const
    {57, 1957, 36, 1, Smoke::mf_protected, 0, 26},	//1159 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {57, 1544, 0, 0, Smoke::mf_protected, 0, 27},	//1160 Plasma::DataEngineScript::removeAllSources()
    {57, 651, 492, 1, Smoke::mf_protected, 0, 28},	//1161 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {57, 787, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 29},	//1162 Plasma::DataEngineScript::containerDict() const
    {57, 1921, 89, 1, Smoke::mf_protected, 0, 30},	//1163 Plasma::DataEngineScript::setName(const QString&)
    {57, 1862, 89, 1, Smoke::mf_protected, 0, 31},	//1164 Plasma::DataEngineScript::setIcon(const QString&)
    {57, 1631, 0, 0, Smoke::mf_protected, 0, 32},	//1165 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {57, 1561, 89, 1, Smoke::mf_protected, 0, 33},	//1166 Plasma::DataEngineScript::removeSource(const QString&)
    {57, 2320, 0, 0, Smoke::mf_protected, 0, 34},	//1167 Plasma::DataEngineScript::updateAllSources()
    {57, 1031, 0, 0, Smoke::mf_protected, 0, 35},	//1168 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {57, 2293, 1, 1, Smoke::mf_static, 289, 36},	//1169 Plasma::DataEngineScript::tr(const char*)
    {57, 2297, 1, 1, Smoke::mf_static, 289, 37},	//1170 Plasma::DataEngineScript::trUtf8(const char*)
    {57, 127, 0, 0, Smoke::mf_ctor, 85, 38},	//1171 Plasma::DataEngineScript::DataEngineScript()
    {57, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 39},	//1172 Plasma::DataEngineScript::staticMetaObject() const
    {57, 2419, 0, 0, Smoke::mf_dtor, 0, 40 },	//1173 Plasma::DataEngineScript::~DataEngineScript()
    {58, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1174 Plasma::Delegate::metaObject() const
    {58, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1175 Plasma::Delegate::qt_metacast(const char*)
    {58, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1176 Plasma::Delegate::tr(const char*, const char*)
    {58, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1177 Plasma::Delegate::trUtf8(const char*, const char*)
    {58, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1178 Plasma::Delegate::tr(const char*, const char*, int)
    {58, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1179 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {58, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1180 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {58, 134, 97, 1, Smoke::mf_ctor, 86, 8},	//1181 Plasma::Delegate::Delegate(QObject*)
    {58, 1996, 518, 2, 0, 0, 9},	//1182 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {58, 1601, 521, 1, Smoke::mf_const, 473, 10},	//1183 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {58, 1431, 523, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1184 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2179, 0, 0, Smoke::mf_const, 382, 12},	//1185 Plasma::Delegate::showToolTip() const
    {58, 1511, 527, 2, Smoke::mf_const|Smoke::mf_protected, 278, 13},	//1186 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 1509, 527, 2, Smoke::mf_const|Smoke::mf_protected, 278, 14},	//1187 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 956, 527, 2, Smoke::mf_const|Smoke::mf_protected, 278, 15},	//1188 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2192, 527, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 16},	//1189 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2293, 1, 1, Smoke::mf_static, 289, 17},	//1190 Plasma::Delegate::tr(const char*)
    {58, 2297, 1, 1, Smoke::mf_static, 289, 18},	//1191 Plasma::Delegate::trUtf8(const char*)
    {58, 134, 0, 0, Smoke::mf_ctor, 86, 19},	//1192 Plasma::Delegate::Delegate()
    {58, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 20},	//1193 Plasma::Delegate::staticMetaObject() const
    {58, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 21},	//1194 Plasma::Delegate::SubTitleRole (enum)
    {58, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 22},	//1195 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 23},	//1196 Plasma::Delegate::ColumnTypeRole (enum)
    {58, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 24},	//1197 Plasma::Delegate::MainColumn (enum)
    {58, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 25},	//1198 Plasma::Delegate::SecondaryActionColumn (enum)
    {58, 2420, 0, 0, Smoke::mf_dtor, 0, 26 },	//1199 Plasma::Delegate::~Delegate()
    {59, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1200 Plasma::Dialog::metaObject() const
    {59, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1201 Plasma::Dialog::qt_metacast(const char*)
    {59, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1202 Plasma::Dialog::tr(const char*, const char*)
    {59, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1203 Plasma::Dialog::trUtf8(const char*, const char*)
    {59, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1204 Plasma::Dialog::tr(const char*, const char*, int)
    {59, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1205 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {59, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1206 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 145, 530, 2, Smoke::mf_ctor, 89, 8},	//1207 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {59, 1836, 125, 1, 0, 0, 9},	//1208 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {59, 1051, 0, 0, 0, 226, 10},	//1209 Plasma::Dialog::graphicsWidget()
    {59, 1992, 533, 1, 0, 0, 11},	//1210 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {59, 1590, 0, 0, Smoke::mf_const, 201, 12},	//1211 Plasma::Dialog::resizeCorners() const
    {59, 671, 535, 1, 0, 0, 13},	//1212 Plasma::Dialog::animatedHide(Plasma::Direction)
    {59, 673, 535, 1, 0, 0, 14},	//1213 Plasma::Dialog::animatedShow(Plasma::Direction)
    {59, 703, 0, 0, Smoke::mf_const, 54, 15},	//1214 Plasma::Dialog::aspectRatioMode() const
    {59, 1682, 193, 1, 0, 0, 16},	//1215 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {59, 883, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1216 Plasma::Dialog::dialogResized()
    {59, 884, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1217 Plasma::Dialog::dialogVisible(bool)
    {59, 2245, 0, 0, Smoke::mf_slot, 0, 19},	//1218 Plasma::Dialog::syncToGraphicsWidget()
    {59, 1440, 537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1219 Plasma::Dialog::paintEvent(QPaintEvent*)
    {59, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 21},	//1220 Plasma::Dialog::event(QEvent*)
    {59, 1591, 539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1221 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {59, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 23},	//1222 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {59, 1077, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1223 Plasma::Dialog::hideEvent(QHideEvent*)
    {59, 2171, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1224 Plasma::Dialog::showEvent(QShowEvent*)
    {59, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1225 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {59, 1381, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1226 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {59, 1383, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1227 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {59, 1385, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1228 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {59, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1229 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {59, 1387, 543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1230 Plasma::Dialog::moveEvent(QMoveEvent*)
    {59, 1105, 545, 1, Smoke::mf_protected, 382, 32},	//1231 Plasma::Dialog::inControlArea(const QPoint&)
    {59, 2293, 1, 1, Smoke::mf_static, 289, 33},	//1232 Plasma::Dialog::tr(const char*)
    {59, 2297, 1, 1, Smoke::mf_static, 289, 34},	//1233 Plasma::Dialog::trUtf8(const char*)
    {59, 145, 0, 0, Smoke::mf_ctor, 89, 35},	//1234 Plasma::Dialog::Dialog()
    {59, 145, 57, 1, Smoke::mf_ctor, 89, 36},	//1235 Plasma::Dialog::Dialog(QWidget*)
    {59, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 37},	//1236 Plasma::Dialog::staticMetaObject() const
    {59, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 38},	//1237 Plasma::Dialog::NoCorner (enum)
    {59, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 39},	//1238 Plasma::Dialog::NorthEast (enum)
    {59, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 40},	//1239 Plasma::Dialog::SouthEast (enum)
    {59, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 41},	//1240 Plasma::Dialog::NorthWest (enum)
    {59, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 42},	//1241 Plasma::Dialog::SouthWest (enum)
    {59, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 43},	//1242 Plasma::Dialog::All (enum)
    {59, 2421, 0, 0, Smoke::mf_dtor, 0, 44 },	//1243 Plasma::Dialog::~Dialog()
    {60, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1244 Plasma::Extender::metaObject() const
    {60, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1245 Plasma::Extender::qt_metacast(const char*)
    {60, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1246 Plasma::Extender::tr(const char*, const char*)
    {60, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1247 Plasma::Extender::trUtf8(const char*, const char*)
    {60, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1248 Plasma::Extender::tr(const char*, const char*, int)
    {60, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1249 Plasma::Extender::trUtf8(const char*, const char*, int)
    {60, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1250 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {60, 165, 252, 1, Smoke::mf_ctor, 92, 8},	//1251 Plasma::Extender::Extender(Plasma::Applet*)
    {60, 1808, 89, 1, Smoke::mf_property, 0, 9},	//1252 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {60, 955, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1253 Plasma::Extender::emptyExtenderMessage() const
    {60, 1210, 0, 0, Smoke::mf_const, 245, 11},	//1254 Plasma::Extender::items() const
    {60, 708, 0, 0, Smoke::mf_const, 245, 12},	//1255 Plasma::Extender::attachedItems() const
    {60, 880, 0, 0, Smoke::mf_const, 245, 13},	//1256 Plasma::Extender::detachedItems() const
    {60, 1181, 89, 1, Smoke::mf_const, 95, 14},	//1257 Plasma::Extender::item(const QString&) const
    {60, 1052, 89, 1, Smoke::mf_const, 94, 15},	//1258 Plasma::Extender::group(const QString&) const
    {60, 1066, 89, 1, Smoke::mf_const, 382, 16},	//1259 Plasma::Extender::hasItem(const QString&) const
    {60, 1148, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//1260 Plasma::Extender::isEmpty() const
    {60, 1674, 547, 1, 0, 0, 18},	//1261 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {60, 687, 0, 0, Smoke::mf_const, 93, 19},	//1262 Plasma::Extender::appearance() const
    {60, 1055, 0, 0, Smoke::mf_const, 244, 20},	//1263 Plasma::Extender::groups() const
    {60, 691, 0, 0, Smoke::mf_const, 51, 21},	//1264 Plasma::Extender::applet() const
    {60, 1185, 549, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1265 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1204, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1266 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {60, 1198, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1267 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {60, 1202, 549, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1268 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1200, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1269 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {60, 1619, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1270 Plasma::Extender::saveState()
    {60, 961, 229, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 202, 28},	//1271 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {60, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 29},	//1272 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {60, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1273 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1274 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1275 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {60, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1276 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {60, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1277 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {60, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1278 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {60, 1190, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1279 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {60, 1194, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1280 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {60, 1040, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1281 Plasma::Extender::geometryChanged()
    {60, 2293, 1, 1, Smoke::mf_static, 289, 39},	//1282 Plasma::Extender::tr(const char*)
    {60, 2297, 1, 1, Smoke::mf_static, 289, 40},	//1283 Plasma::Extender::trUtf8(const char*)
    {60, 1185, 229, 1, Smoke::mf_protected, 0, 41},	//1284 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {60, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 42},	//1285 Plasma::Extender::staticMetaObject() const
    {60, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 43},	//1286 Plasma::Extender::NoBorders (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 44},	//1287 Plasma::Extender::BottomUpStacked (enum)
    {60, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 45},	//1288 Plasma::Extender::TopDownStacked (enum)
    {60, 2422, 0, 0, Smoke::mf_dtor, 0, 46 },	//1289 Plasma::Extender::~Extender()
    {61, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1290 Plasma::ExtenderGroup::metaObject() const
    {61, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1291 Plasma::ExtenderGroup::qt_metacast(const char*)
    {61, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1292 Plasma::ExtenderGroup::tr(const char*, const char*)
    {61, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1293 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {61, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1294 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {61, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1295 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {61, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1296 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {61, 167, 552, 2, Smoke::mf_ctor, 94, 8},	//1297 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {61, 1210, 0, 0, Smoke::mf_const, 245, 9},	//1298 Plasma::ExtenderGroup::items() const
    {61, 714, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 10},	//1299 Plasma::ExtenderGroup::autoHide() const
    {61, 1698, 7, 1, Smoke::mf_property, 0, 11},	//1300 Plasma::ExtenderGroup::setAutoHide(bool)
    {61, 1151, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 12},	//1301 Plasma::ExtenderGroup::isGroupCollapsed() const
    {61, 1138, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 13},	//1302 Plasma::ExtenderGroup::isAutoCollapse() const
    {61, 1694, 7, 1, Smoke::mf_property, 0, 14},	//1303 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {61, 1841, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1304 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {61, 985, 0, 0, Smoke::mf_slot, 0, 16},	//1305 Plasma::ExtenderGroup::expandGroup()
    {61, 757, 0, 0, Smoke::mf_slot, 0, 17},	//1306 Plasma::ExtenderGroup::collapseGroup()
    {61, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1307 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {61, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 19},	//1308 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {61, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1309 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {61, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1310 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {61, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1311 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {61, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1312 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {61, 2293, 1, 1, Smoke::mf_static, 289, 24},	//1313 Plasma::ExtenderGroup::tr(const char*)
    {61, 2297, 1, 1, Smoke::mf_static, 289, 25},	//1314 Plasma::ExtenderGroup::trUtf8(const char*)
    {61, 167, 555, 1, Smoke::mf_ctor, 94, 26},	//1315 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {61, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 27},	//1316 Plasma::ExtenderGroup::staticMetaObject() const
    {61, 2423, 0, 0, Smoke::mf_dtor, 0, 28 },	//1317 Plasma::ExtenderGroup::~ExtenderGroup()
    {62, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1318 Plasma::ExtenderItem::metaObject() const
    {62, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1319 Plasma::ExtenderItem::qt_metacast(const char*)
    {62, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1320 Plasma::ExtenderItem::tr(const char*, const char*)
    {62, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1321 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {62, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1322 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {62, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1323 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {62, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1324 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {62, 170, 552, 2, Smoke::mf_ctor, 95, 8},	//1325 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {62, 763, 0, 0, Smoke::mf_const, 8, 9},	//1326 Plasma::ExtenderItem::config() const
    {62, 2143, 170, 1, 0, 0, 10},	//1327 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {62, 2380, 0, 0, Smoke::mf_const, 212, 11},	//1328 Plasma::ExtenderItem::widget() const
    {62, 2090, 89, 1, Smoke::mf_property, 0, 12},	//1329 Plasma::ExtenderItem::setTitle(const QString&)
    {62, 2281, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1330 Plasma::ExtenderItem::title() const
    {62, 1921, 89, 1, Smoke::mf_property, 0, 14},	//1331 Plasma::ExtenderItem::setName(const QString&)
    {62, 1399, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//1332 Plasma::ExtenderItem::name() const
    {62, 1862, 89, 1, 0, 0, 16},	//1333 Plasma::ExtenderItem::setIcon(const QString&)
    {62, 1862, 557, 1, Smoke::mf_property, 0, 17},	//1334 Plasma::ExtenderItem::setIcon(const QIcon&)
    {62, 1092, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 18},	//1335 Plasma::ExtenderItem::icon() const
    {62, 1814, 559, 2, 0, 0, 19},	//1336 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {62, 988, 0, 0, Smoke::mf_const, 92, 20},	//1337 Plasma::ExtenderItem::extender() const
    {62, 1838, 562, 1, 0, 0, 21},	//1338 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {62, 1838, 564, 2, 0, 0, 22},	//1339 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {62, 1052, 0, 0, Smoke::mf_const, 94, 23},	//1340 Plasma::ExtenderItem::group() const
    {62, 1150, 0, 0, Smoke::mf_const, 382, 24},	//1341 Plasma::ExtenderItem::isGroup() const
    {62, 1696, 36, 1, 0, 0, 25},	//1342 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {62, 713, 0, 0, Smoke::mf_const, 479, 26},	//1343 Plasma::ExtenderItem::autoExpireDelay() const
    {62, 1146, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 27},	//1344 Plasma::ExtenderItem::isDetached() const
    {62, 1144, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 28},	//1345 Plasma::ExtenderItem::isCollapsed() const
    {62, 603, 86, 2, 0, 0, 29},	//1346 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {62, 586, 89, 1, Smoke::mf_const, 181, 30},	//1347 Plasma::ExtenderItem::action(const QString&) const
    {62, 2098, 109, 1, 0, 0, 31},	//1348 Plasma::ExtenderItem::setTransient(const bool)
    {62, 1174, 0, 0, Smoke::mf_const, 382, 32},	//1349 Plasma::ExtenderItem::isTransient() const
    {62, 876, 0, 0, Smoke::mf_slot, 0, 33},	//1350 Plasma::ExtenderItem::destroy()
    {62, 1728, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//1351 Plasma::ExtenderItem::setCollapsed(bool)
    {62, 1600, 0, 0, Smoke::mf_slot, 0, 35},	//1352 Plasma::ExtenderItem::returnToSource()
    {62, 2162, 0, 0, Smoke::mf_slot, 0, 36},	//1353 Plasma::ExtenderItem::showCloseButton()
    {62, 1076, 0, 0, Smoke::mf_slot, 0, 37},	//1354 Plasma::ExtenderItem::hideCloseButton()
    {62, 878, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1355 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {62, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1356 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1387, 567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1357 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {62, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1358 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1359 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {62, 1379, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1360 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {62, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1361 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {62, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1362 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {62, 1089, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1363 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {62, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1364 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {62, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 48},	//1365 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {62, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 49},	//1366 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 2293, 1, 1, Smoke::mf_static, 289, 50},	//1367 Plasma::ExtenderItem::tr(const char*)
    {62, 2297, 1, 1, Smoke::mf_static, 289, 51},	//1368 Plasma::ExtenderItem::trUtf8(const char*)
    {62, 170, 555, 1, Smoke::mf_ctor, 95, 52},	//1369 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {62, 1814, 555, 1, 0, 0, 53},	//1370 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {62, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 54},	//1371 Plasma::ExtenderItem::staticMetaObject() const
    {62, 2424, 0, 0, Smoke::mf_dtor, 0, 55 },	//1372 Plasma::ExtenderItem::~ExtenderItem()
    {63, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1373 Plasma::FlashingLabel::metaObject() const
    {63, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1374 Plasma::FlashingLabel::qt_metacast(const char*)
    {63, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1375 Plasma::FlashingLabel::tr(const char*, const char*)
    {63, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1376 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {63, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1377 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {63, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1378 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {63, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1379 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {63, 180, 170, 1, Smoke::mf_ctor, 96, 8},	//1380 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {63, 1431, 216, 3, Smoke::mf_virtual, 0, 9},	//1381 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {63, 1025, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 10},	//1382 Plasma::FlashingLabel::font() const
    {63, 1823, 569, 1, Smoke::mf_property, 0, 11},	//1383 Plasma::FlashingLabel::setFont(const QFont&)
    {63, 760, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 12},	//1384 Plasma::FlashingLabel::color() const
    {63, 1730, 571, 1, Smoke::mf_property, 0, 13},	//1385 Plasma::FlashingLabel::setColor(const QColor&)
    {63, 930, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 14},	//1386 Plasma::FlashingLabel::duration() const
    {63, 1797, 129, 1, Smoke::mf_property, 0, 15},	//1387 Plasma::FlashingLabel::setDuration(int)
    {63, 1010, 573, 3, 0, 0, 16},	//1388 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {63, 1010, 577, 3, 0, 0, 17},	//1389 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {63, 1702, 7, 1, Smoke::mf_property, 0, 18},	//1390 Plasma::FlashingLabel::setAutohide(bool)
    {63, 716, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 19},	//1391 Plasma::FlashingLabel::autohide() const
    {63, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 20},	//1392 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {63, 1216, 0, 0, Smoke::mf_slot, 0, 21},	//1393 Plasma::FlashingLabel::kill()
    {63, 992, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1394 Plasma::FlashingLabel::fadeIn()
    {63, 993, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1395 Plasma::FlashingLabel::fadeOut()
    {63, 2293, 1, 1, Smoke::mf_static, 289, 24},	//1396 Plasma::FlashingLabel::tr(const char*)
    {63, 2297, 1, 1, Smoke::mf_static, 289, 25},	//1397 Plasma::FlashingLabel::trUtf8(const char*)
    {63, 180, 0, 0, Smoke::mf_ctor, 96, 26},	//1398 Plasma::FlashingLabel::FlashingLabel()
    {63, 1431, 326, 2, 0, 0, 27},	//1399 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {63, 1010, 89, 1, 0, 0, 28},	//1400 Plasma::FlashingLabel::flash(const QString&)
    {63, 1010, 581, 2, 0, 0, 29},	//1401 Plasma::FlashingLabel::flash(const QString&, int)
    {63, 1010, 584, 1, 0, 0, 30},	//1402 Plasma::FlashingLabel::flash(const QPixmap&)
    {63, 1010, 586, 2, 0, 0, 31},	//1403 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {63, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 32},	//1404 Plasma::FlashingLabel::staticMetaObject() const
    {63, 2425, 0, 0, Smoke::mf_dtor, 0, 33 },	//1405 Plasma::FlashingLabel::~FlashingLabel()
    {64, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1406 Plasma::Frame::metaObject() const
    {64, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1407 Plasma::Frame::qt_metacast(const char*)
    {64, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1408 Plasma::Frame::tr(const char*, const char*)
    {64, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1409 Plasma::Frame::trUtf8(const char*, const char*)
    {64, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1410 Plasma::Frame::tr(const char*, const char*, int)
    {64, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1411 Plasma::Frame::trUtf8(const char*, const char*, int)
    {64, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1412 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {64, 187, 125, 1, Smoke::mf_ctor, 99, 8},	//1413 Plasma::Frame::Frame(QGraphicsWidget*)
    {64, 1830, 589, 1, Smoke::mf_property, 0, 9},	//1414 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {64, 1035, 0, 0, Smoke::mf_const|Smoke::mf_property, 100, 10},	//1415 Plasma::Frame::frameShadow() const
    {64, 1812, 591, 1, 0, 0, 11},	//1416 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {64, 960, 0, 0, Smoke::mf_const, 202, 12},	//1417 Plasma::Frame::enabledBorders() const
    {64, 2078, 220, 1, Smoke::mf_property, 0, 13},	//1418 Plasma::Frame::setText(QString)
    {64, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1419 Plasma::Frame::text() const
    {64, 1869, 89, 1, Smoke::mf_property, 0, 15},	//1420 Plasma::Frame::setImage(const QString&)
    {64, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 16},	//1421 Plasma::Frame::image() const
    {64, 2048, 89, 1, Smoke::mf_property, 0, 17},	//1422 Plasma::Frame::setStyleSheet(const QString&)
    {64, 2230, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 18},	//1423 Plasma::Frame::styleSheet() const
    {64, 1401, 0, 0, Smoke::mf_const, 304, 19},	//1424 Plasma::Frame::nativeWidget() const
    {64, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1425 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {64, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1426 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {64, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 22},	//1427 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {64, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1428 Plasma::Frame::changeEvent(QEvent*)
    {64, 2293, 1, 1, Smoke::mf_static, 289, 24},	//1429 Plasma::Frame::tr(const char*)
    {64, 2297, 1, 1, Smoke::mf_static, 289, 25},	//1430 Plasma::Frame::trUtf8(const char*)
    {64, 187, 0, 0, Smoke::mf_ctor, 99, 26},	//1431 Plasma::Frame::Frame()
    {64, 1431, 326, 2, Smoke::mf_protected, 0, 27},	//1432 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 28},	//1433 Plasma::Frame::staticMetaObject() const
    {64, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//1434 Plasma::Frame::Plain (enum)
    {64, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1435 Plasma::Frame::Raised (enum)
    {64, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1436 Plasma::Frame::Sunken (enum)
    {64, 2426, 0, 0, Smoke::mf_dtor, 0, 32 },	//1437 Plasma::Frame::~Frame()
    {65, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1438 Plasma::FrameSvg::metaObject() const
    {65, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1439 Plasma::FrameSvg::qt_metacast(const char*)
    {65, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1440 Plasma::FrameSvg::tr(const char*, const char*)
    {65, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1441 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {65, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1442 Plasma::FrameSvg::tr(const char*, const char*, int)
    {65, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1443 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {65, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1444 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {65, 189, 97, 1, Smoke::mf_ctor, 101, 8},	//1445 Plasma::FrameSvg::FrameSvg(QObject*)
    {65, 1873, 89, 1, 0, 0, 9},	//1446 Plasma::FrameSvg::setImagePath(const QString&)
    {65, 1812, 591, 1, 0, 0, 10},	//1447 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {65, 960, 0, 0, Smoke::mf_const, 202, 11},	//1448 Plasma::FrameSvg::enabledBorders() const
    {65, 1593, 593, 1, 0, 0, 12},	//1449 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {65, 1036, 0, 0, Smoke::mf_const, 287, 13},	//1450 Plasma::FrameSvg::frameSize() const
    {65, 1346, 595, 1, Smoke::mf_const, 470, 14},	//1451 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {65, 1043, 597, 4, Smoke::mf_const, 0, 15},	//1452 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {65, 811, 0, 0, Smoke::mf_const, 279, 16},	//1453 Plasma::FrameSvg::contentsRect() const
    {65, 1804, 9, 1, 0, 0, 17},	//1454 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {65, 1804, 89, 1, 0, 0, 18},	//1455 Plasma::FrameSvg::setElementPrefix(const QString&)
    {65, 1061, 89, 1, Smoke::mf_const, 382, 19},	//1456 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {65, 1061, 9, 1, Smoke::mf_const, 382, 20},	//1457 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {65, 1485, 0, 0, 0, 289, 21},	//1458 Plasma::FrameSvg::prefix()
    {65, 1348, 0, 0, Smoke::mf_const, 282, 22},	//1459 Plasma::FrameSvg::mask() const
    {65, 670, 0, 0, Smoke::mf_const, 273, 23},	//1460 Plasma::FrameSvg::alphaMask() const
    {65, 1712, 7, 1, 0, 0, 24},	//1461 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {65, 730, 0, 0, Smoke::mf_const, 382, 25},	//1462 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {65, 745, 0, 0, 0, 0, 26},	//1463 Plasma::FrameSvg::clearCache()
    {65, 1034, 0, 0, 0, 273, 27},	//1464 Plasma::FrameSvg::framePixmap()
    {65, 1442, 602, 3, 0, 0, 28},	//1465 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {65, 1442, 606, 2, 0, 0, 29},	//1466 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {65, 2293, 1, 1, Smoke::mf_static, 289, 30},	//1467 Plasma::FrameSvg::tr(const char*)
    {65, 2297, 1, 1, Smoke::mf_static, 289, 31},	//1468 Plasma::FrameSvg::trUtf8(const char*)
    {65, 189, 0, 0, Smoke::mf_ctor, 101, 32},	//1469 Plasma::FrameSvg::FrameSvg()
    {65, 1442, 609, 2, 0, 0, 33},	//1470 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {65, 1442, 612, 1, 0, 0, 34},	//1471 Plasma::FrameSvg::paintFrame(QPainter*)
    {65, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 35},	//1472 Plasma::FrameSvg::staticMetaObject() const
    {65, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 36},	//1473 Plasma::FrameSvg::NoBorder (enum)
    {65, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 37},	//1474 Plasma::FrameSvg::TopBorder (enum)
    {65, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 38},	//1475 Plasma::FrameSvg::BottomBorder (enum)
    {65, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 39},	//1476 Plasma::FrameSvg::LeftBorder (enum)
    {65, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 40},	//1477 Plasma::FrameSvg::RightBorder (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 41},	//1478 Plasma::FrameSvg::AllBorders (enum)
    {65, 2427, 0, 0, Smoke::mf_dtor, 0, 42 },	//1479 Plasma::FrameSvg::~FrameSvg()
    {66, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1480 Plasma::GLApplet::metaObject() const
    {66, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1481 Plasma::GLApplet::qt_metacast(const char*)
    {66, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1482 Plasma::GLApplet::tr(const char*, const char*)
    {66, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1483 Plasma::GLApplet::trUtf8(const char*, const char*)
    {66, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1484 Plasma::GLApplet::tr(const char*, const char*, int)
    {66, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1485 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {66, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1486 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {66, 193, 614, 3, Smoke::mf_ctor, 103, 8},	//1487 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {66, 193, 70, 2, Smoke::mf_ctor, 103, 9},	//1488 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {66, 726, 618, 2, 0, 479, 10},	//1489 Plasma::GLApplet::bindTexture(const QImage&, unsigned int)
    {66, 871, 36, 1, 0, 0, 11},	//1490 Plasma::GLApplet::deleteTexture(unsigned int)
    {66, 1446, 326, 2, Smoke::mf_virtual, 0, 12},	//1491 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 1339, 0, 0, 0, 0, 13},	//1492 Plasma::GLApplet::makeCurrent()
    {66, 2293, 1, 1, Smoke::mf_static, 289, 14},	//1493 Plasma::GLApplet::tr(const char*)
    {66, 2297, 1, 1, Smoke::mf_static, 289, 15},	//1494 Plasma::GLApplet::trUtf8(const char*)
    {66, 726, 621, 1, 0, 479, 16},	//1495 Plasma::GLApplet::bindTexture(const QImage&)
    {66, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 17},	//1496 Plasma::GLApplet::staticMetaObject() const
    {66, 2428, 0, 0, Smoke::mf_dtor, 0, 18 },	//1497 Plasma::GLApplet::~GLApplet()
    {67, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1498 Plasma::GroupBox::metaObject() const
    {67, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1499 Plasma::GroupBox::qt_metacast(const char*)
    {67, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1500 Plasma::GroupBox::tr(const char*, const char*)
    {67, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1501 Plasma::GroupBox::trUtf8(const char*, const char*)
    {67, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1502 Plasma::GroupBox::tr(const char*, const char*, int)
    {67, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1503 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {67, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1504 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {67, 197, 125, 1, Smoke::mf_ctor, 104, 8},	//1505 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {67, 2078, 89, 1, Smoke::mf_property, 0, 9},	//1506 Plasma::GroupBox::setText(const QString&)
    {67, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1507 Plasma::GroupBox::text() const
    {67, 2048, 89, 1, Smoke::mf_property, 0, 11},	//1508 Plasma::GroupBox::setStyleSheet(const QString&)
    {67, 2230, 0, 0, Smoke::mf_property, 289, 12},	//1509 Plasma::GroupBox::styleSheet()
    {67, 1401, 0, 0, Smoke::mf_const, 227, 13},	//1510 Plasma::GroupBox::nativeWidget() const
    {67, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1511 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1512 Plasma::GroupBox::changeEvent(QEvent*)
    {67, 2293, 1, 1, Smoke::mf_static, 289, 16},	//1513 Plasma::GroupBox::tr(const char*)
    {67, 2297, 1, 1, Smoke::mf_static, 289, 17},	//1514 Plasma::GroupBox::trUtf8(const char*)
    {67, 197, 0, 0, Smoke::mf_ctor, 104, 18},	//1515 Plasma::GroupBox::GroupBox()
    {67, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 19},	//1516 Plasma::GroupBox::staticMetaObject() const
    {67, 2429, 0, 0, Smoke::mf_dtor, 0, 20 },	//1517 Plasma::GroupBox::~GroupBox()
    {68, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1518 Plasma::IconWidget::metaObject() const
    {68, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1519 Plasma::IconWidget::qt_metacast(const char*)
    {68, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1520 Plasma::IconWidget::tr(const char*, const char*)
    {68, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1521 Plasma::IconWidget::trUtf8(const char*, const char*)
    {68, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1522 Plasma::IconWidget::tr(const char*, const char*, int)
    {68, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1523 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {68, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1524 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {68, 210, 170, 1, Smoke::mf_ctor, 105, 8},	//1525 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {68, 210, 623, 2, Smoke::mf_ctor, 105, 9},	//1526 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {68, 210, 626, 3, Smoke::mf_ctor, 105, 10},	//1527 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {68, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 11},	//1528 Plasma::IconWidget::text() const
    {68, 2078, 89, 1, Smoke::mf_property, 0, 12},	//1529 Plasma::IconWidget::setText(const QString&)
    {68, 2054, 77, 2, 0, 0, 13},	//1530 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {68, 2238, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1531 Plasma::IconWidget::svg() const
    {68, 1107, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//1532 Plasma::IconWidget::infoText() const
    {68, 1879, 89, 1, Smoke::mf_property, 0, 16},	//1533 Plasma::IconWidget::setInfoText(const QString&)
    {68, 1092, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 17},	//1534 Plasma::IconWidget::icon() const
    {68, 1862, 557, 1, Smoke::mf_property, 0, 18},	//1535 Plasma::IconWidget::setIcon(const QIcon&)
    {68, 2266, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 19},	//1536 Plasma::IconWidget::textBackgroundColor() const
    {68, 2080, 571, 1, Smoke::mf_property, 0, 20},	//1537 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {68, 1862, 89, 1, 0, 0, 21},	//1538 Plasma::IconWidget::setIcon(const QString&)
    {68, 1093, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 22},	//1539 Plasma::IconWidget::iconSize() const
    {68, 1964, 593, 1, Smoke::mf_property, 0, 23},	//1540 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {68, 1482, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 24},	//1541 Plasma::IconWidget::preferredIconSize() const
    {68, 1914, 593, 1, Smoke::mf_property, 0, 25},	//1542 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {68, 1375, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 26},	//1543 Plasma::IconWidget::minimumIconSize() const
    {68, 1906, 593, 1, Smoke::mf_property, 0, 27},	//1544 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {68, 1360, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 28},	//1545 Plasma::IconWidget::maximumIconSize() const
    {68, 628, 107, 1, 0, 0, 29},	//1546 Plasma::IconWidget::addIconAction(QAction*)
    {68, 1551, 107, 1, 0, 0, 30},	//1547 Plasma::IconWidget::removeIconAction(QAction*)
    {68, 1664, 107, 1, 0, 0, 31},	//1548 Plasma::IconWidget::setAction(QAction*)
    {68, 586, 0, 0, Smoke::mf_const, 181, 32},	//1549 Plasma::IconWidget::action() const
    {68, 1935, 630, 1, Smoke::mf_property, 0, 33},	//1550 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {68, 1423, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 34},	//1551 Plasma::IconWidget::orientation() const
    {68, 1134, 7, 1, 0, 0, 35},	//1552 Plasma::IconWidget::invertLayout(bool)
    {68, 1136, 0, 0, Smoke::mf_const, 382, 36},	//1553 Plasma::IconWidget::invertedLayout() const
    {68, 2190, 632, 1, Smoke::mf_const, 287, 37},	//1554 Plasma::IconWidget::sizeFromIconSize(const double) const
    {68, 1408, 0, 0, Smoke::mf_property, 473, 38},	//1555 Plasma::IconWidget::numDisplayLines()
    {68, 1929, 129, 1, Smoke::mf_property, 0, 39},	//1556 Plasma::IconWidget::setNumDisplayLines(int)
    {68, 1793, 7, 1, Smoke::mf_property, 0, 40},	//1557 Plasma::IconWidget::setDrawBackground(bool)
    {68, 909, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 41},	//1558 Plasma::IconWidget::drawBackground() const
    {68, 2155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 42},	//1559 Plasma::IconWidget::shape() const
    {68, 1968, 7, 1, Smoke::mf_slot, 0, 43},	//1560 Plasma::IconWidget::setPressed(bool)
    {68, 2104, 0, 0, Smoke::mf_slot, 0, 44},	//1561 Plasma::IconWidget::setUnpressed()
    {68, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1562 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 46},	//1563 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 1487, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1564 Plasma::IconWidget::pressed(bool)
    {68, 751, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1565 Plasma::IconWidget::clicked()
    {68, 897, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1566 Plasma::IconWidget::doubleClicked()
    {68, 598, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1567 Plasma::IconWidget::activated()
    {68, 737, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1568 Plasma::IconWidget::changed()
    {68, 1147, 0, 0, Smoke::mf_protected, 382, 52},	//1569 Plasma::IconWidget::isDown()
    {68, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1570 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1571 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1572 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {68, 1379, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1573 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {68, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1574 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {68, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1575 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {68, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 59},	//1576 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {68, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1577 Plasma::IconWidget::changeEvent(QEvent*)
    {68, 905, 634, 3, 0, 0, 61},	//1578 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {68, 2293, 1, 1, Smoke::mf_static, 289, 62},	//1579 Plasma::IconWidget::tr(const char*)
    {68, 2297, 1, 1, Smoke::mf_static, 289, 63},	//1580 Plasma::IconWidget::trUtf8(const char*)
    {68, 210, 0, 0, Smoke::mf_ctor, 105, 64},	//1581 Plasma::IconWidget::IconWidget()
    {68, 210, 89, 1, Smoke::mf_ctor, 105, 65},	//1582 Plasma::IconWidget::IconWidget(const QString&)
    {68, 210, 638, 2, Smoke::mf_ctor, 105, 66},	//1583 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {68, 2054, 89, 1, 0, 0, 67},	//1584 Plasma::IconWidget::setSvg(const QString&)
    {68, 1968, 0, 0, Smoke::mf_slot, 0, 68},	//1585 Plasma::IconWidget::setPressed()
    {68, 1431, 326, 2, Smoke::mf_protected, 0, 69},	//1586 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {68, 2192, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 70},	//1587 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {68, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 71},	//1588 Plasma::IconWidget::staticMetaObject() const
    {68, 2430, 0, 0, Smoke::mf_dtor, 0, 72 },	//1589 Plasma::IconWidget::~IconWidget()
    {69, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1590 Plasma::ItemBackground::metaObject() const
    {69, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1591 Plasma::ItemBackground::qt_metacast(const char*)
    {69, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1592 Plasma::ItemBackground::tr(const char*, const char*)
    {69, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1593 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {69, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1594 Plasma::ItemBackground::tr(const char*, const char*, int)
    {69, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1595 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {69, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1596 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {69, 226, 125, 1, Smoke::mf_ctor, 108, 8},	//1597 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {69, 2068, 641, 1, Smoke::mf_property, 0, 9},	//1598 Plasma::ItemBackground::setTarget(const QRectF&)
    {69, 2256, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 10},	//1599 Plasma::ItemBackground::target() const
    {69, 2070, 170, 1, Smoke::mf_property, 0, 11},	//1600 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {69, 2257, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 12},	//1601 Plasma::ItemBackground::targetItem() const
    {69, 1431, 216, 3, Smoke::mf_virtual, 0, 13},	//1602 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 688, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1603 Plasma::ItemBackground::appearanceChanged()
    {69, 685, 643, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1604 Plasma::ItemBackground::animationStep(qreal)
    {69, 2260, 645, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1605 Plasma::ItemBackground::targetReached(QRectF)
    {69, 2258, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1606 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {69, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 18},	//1607 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {69, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 19},	//1608 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {69, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 20},	//1609 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {69, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1610 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {69, 2293, 1, 1, Smoke::mf_static, 289, 22},	//1611 Plasma::ItemBackground::tr(const char*)
    {69, 2297, 1, 1, Smoke::mf_static, 289, 23},	//1612 Plasma::ItemBackground::trUtf8(const char*)
    {69, 226, 0, 0, Smoke::mf_ctor, 108, 24},	//1613 Plasma::ItemBackground::ItemBackground()
    {69, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 25},	//1614 Plasma::ItemBackground::staticMetaObject() const
    {69, 2431, 0, 0, Smoke::mf_dtor, 0, 26 },	//1615 Plasma::ItemBackground::~ItemBackground()
    {70, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1616 Plasma::Label::metaObject() const
    {70, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1617 Plasma::Label::qt_metacast(const char*)
    {70, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1618 Plasma::Label::tr(const char*, const char*)
    {70, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1619 Plasma::Label::trUtf8(const char*, const char*)
    {70, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1620 Plasma::Label::tr(const char*, const char*, int)
    {70, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1621 Plasma::Label::trUtf8(const char*, const char*, int)
    {70, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1622 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {70, 305, 125, 1, Smoke::mf_ctor, 111, 8},	//1623 Plasma::Label::Label(QGraphicsWidget*)
    {70, 2078, 89, 1, Smoke::mf_property, 0, 9},	//1624 Plasma::Label::setText(const QString&)
    {70, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1625 Plasma::Label::text() const
    {70, 1869, 89, 1, Smoke::mf_property, 0, 11},	//1626 Plasma::Label::setImage(const QString&)
    {70, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//1627 Plasma::Label::image() const
    {70, 1668, 647, 1, 0, 0, 13},	//1628 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {70, 667, 0, 0, Smoke::mf_const, 205, 14},	//1629 Plasma::Label::alignment() const
    {70, 2002, 7, 1, Smoke::mf_property, 0, 15},	//1630 Plasma::Label::setScaledContents(bool)
    {70, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 16},	//1631 Plasma::Label::hasScaledContents() const
    {70, 2082, 7, 1, Smoke::mf_property, 0, 17},	//1632 Plasma::Label::setTextSelectable(bool)
    {70, 2271, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 18},	//1633 Plasma::Label::textSelectable() const
    {70, 2149, 7, 1, Smoke::mf_property, 0, 19},	//1634 Plasma::Label::setWordWrap(bool)
    {70, 2389, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 20},	//1635 Plasma::Label::wordWrap() const
    {70, 2048, 89, 1, Smoke::mf_property, 0, 21},	//1636 Plasma::Label::setStyleSheet(const QString&)
    {70, 2230, 0, 0, Smoke::mf_property, 289, 22},	//1637 Plasma::Label::styleSheet()
    {70, 1401, 0, 0, Smoke::mf_const, 237, 23},	//1638 Plasma::Label::nativeWidget() const
    {70, 1243, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1639 Plasma::Label::linkActivated(const QString&)
    {70, 1246, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1640 Plasma::Label::linkHovered(const QString&)
    {70, 866, 489, 2, Smoke::mf_slot, 0, 26},	//1641 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1642 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {70, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1643 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {70, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1644 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {70, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1645 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1646 Plasma::Label::changeEvent(QEvent*)
    {70, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 32},	//1647 Plasma::Label::event(QEvent*)
    {70, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 33},	//1648 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {70, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1649 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {70, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 35},	//1650 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2293, 1, 1, Smoke::mf_static, 289, 36},	//1651 Plasma::Label::tr(const char*)
    {70, 2297, 1, 1, Smoke::mf_static, 289, 37},	//1652 Plasma::Label::trUtf8(const char*)
    {70, 305, 0, 0, Smoke::mf_ctor, 111, 38},	//1653 Plasma::Label::Label()
    {70, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 39},	//1654 Plasma::Label::staticMetaObject() const
    {70, 2432, 0, 0, Smoke::mf_dtor, 0, 40 },	//1655 Plasma::Label::~Label()
    {71, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1656 Plasma::LineEdit::metaObject() const
    {71, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1657 Plasma::LineEdit::qt_metacast(const char*)
    {71, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1658 Plasma::LineEdit::tr(const char*, const char*)
    {71, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1659 Plasma::LineEdit::trUtf8(const char*, const char*)
    {71, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1660 Plasma::LineEdit::tr(const char*, const char*, int)
    {71, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1661 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {71, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1662 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {71, 315, 125, 1, Smoke::mf_ctor, 112, 8},	//1663 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {71, 2078, 89, 1, Smoke::mf_property, 0, 9},	//1664 Plasma::LineEdit::setText(const QString&)
    {71, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1665 Plasma::LineEdit::text() const
    {71, 1722, 7, 1, Smoke::mf_property, 0, 11},	//1666 Plasma::LineEdit::setClearButtonShown(bool)
    {71, 1142, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 12},	//1667 Plasma::LineEdit::isClearButtonShown() const
    {71, 1724, 89, 1, Smoke::mf_property, 0, 13},	//1668 Plasma::LineEdit::setClickMessage(const QString&)
    {71, 750, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1669 Plasma::LineEdit::clickMessage() const
    {71, 2048, 89, 1, Smoke::mf_property, 0, 15},	//1670 Plasma::LineEdit::setStyleSheet(const QString&)
    {71, 2230, 0, 0, Smoke::mf_property, 289, 16},	//1671 Plasma::LineEdit::styleSheet()
    {71, 1923, 649, 1, 0, 0, 17},	//1672 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {71, 1401, 0, 0, Smoke::mf_const, 13, 18},	//1673 Plasma::LineEdit::nativeWidget() const
    {71, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1674 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {71, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1675 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {71, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1676 Plasma::LineEdit::changeEvent(QEvent*)
    {71, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1677 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {71, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1678 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {71, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1679 Plasma::LineEdit::focusInEvent(QFocusEvent*)
    {71, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1680 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {71, 932, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1681 Plasma::LineEdit::editingFinished()
    {71, 1599, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1682 Plasma::LineEdit::returnPressed()
    {71, 2269, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1683 Plasma::LineEdit::textEdited(const QString&)
    {71, 2267, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1684 Plasma::LineEdit::textChanged(const QString&)
    {71, 2293, 1, 1, Smoke::mf_static, 289, 30},	//1685 Plasma::LineEdit::tr(const char*)
    {71, 2297, 1, 1, Smoke::mf_static, 289, 31},	//1686 Plasma::LineEdit::trUtf8(const char*)
    {71, 315, 0, 0, Smoke::mf_ctor, 112, 32},	//1687 Plasma::LineEdit::LineEdit()
    {71, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 33},	//1688 Plasma::LineEdit::staticMetaObject() const
    {71, 2433, 0, 0, Smoke::mf_dtor, 0, 34 },	//1689 Plasma::LineEdit::~LineEdit()
    {72, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1690 Plasma::Meter::metaObject() const
    {72, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1691 Plasma::Meter::qt_metacast(const char*)
    {72, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1692 Plasma::Meter::tr(const char*, const char*)
    {72, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1693 Plasma::Meter::trUtf8(const char*, const char*)
    {72, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1694 Plasma::Meter::tr(const char*, const char*, int)
    {72, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1695 Plasma::Meter::trUtf8(const char*, const char*, int)
    {72, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1696 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {72, 326, 170, 1, Smoke::mf_ctor, 116, 8},	//1697 Plasma::Meter::Meter(QGraphicsItem*)
    {72, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 9},	//1698 Plasma::Meter::maximum() const
    {72, 1374, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 10},	//1699 Plasma::Meter::minimum() const
    {72, 2349, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 11},	//1700 Plasma::Meter::value() const
    {72, 2054, 89, 1, Smoke::mf_property, 0, 12},	//1701 Plasma::Meter::setSvg(const QString&)
    {72, 2238, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1702 Plasma::Meter::svg() const
    {72, 1908, 651, 1, Smoke::mf_property, 0, 14},	//1703 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {72, 1366, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 15},	//1704 Plasma::Meter::meterType() const
    {72, 1885, 653, 2, 0, 0, 16},	//1705 Plasma::Meter::setLabel(int, const QString&)
    {72, 1219, 129, 1, Smoke::mf_const, 289, 17},	//1706 Plasma::Meter::label(int) const
    {72, 1890, 656, 2, 0, 0, 18},	//1707 Plasma::Meter::setLabelColor(int, const QColor&)
    {72, 1223, 129, 1, Smoke::mf_const, 187, 19},	//1708 Plasma::Meter::labelColor(int) const
    {72, 1892, 659, 2, 0, 0, 20},	//1709 Plasma::Meter::setLabelFont(int, const QFont&)
    {72, 1225, 129, 1, Smoke::mf_const, 209, 21},	//1710 Plasma::Meter::labelFont(int) const
    {72, 1888, 662, 2, 0, 0, 22},	//1711 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {72, 1221, 129, 1, Smoke::mf_const, 205, 23},	//1712 Plasma::Meter::labelAlignment(int) const
    {72, 1227, 129, 1, Smoke::mf_const, 279, 24},	//1713 Plasma::Meter::labelRect(int) const
    {72, 866, 489, 2, Smoke::mf_slot, 0, 25},	//1714 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {72, 1904, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1715 Plasma::Meter::setMaximum(int)
    {72, 1912, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1716 Plasma::Meter::setMinimum(int)
    {72, 2118, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1717 Plasma::Meter::setValue(int)
    {72, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1718 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {72, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 30},	//1719 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {72, 2293, 1, 1, Smoke::mf_static, 289, 31},	//1720 Plasma::Meter::tr(const char*)
    {72, 2297, 1, 1, Smoke::mf_static, 289, 32},	//1721 Plasma::Meter::trUtf8(const char*)
    {72, 326, 0, 0, Smoke::mf_ctor, 116, 33},	//1722 Plasma::Meter::Meter()
    {72, 1431, 326, 2, Smoke::mf_protected, 0, 34},	//1723 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {72, 2192, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 35},	//1724 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {72, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 36},	//1725 Plasma::Meter::staticMetaObject() const
    {72, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 37},	//1726 Plasma::Meter::BarMeterHorizontal (enum)
    {72, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 38},	//1727 Plasma::Meter::BarMeterVertical (enum)
    {72, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 39},	//1728 Plasma::Meter::AnalogMeter (enum)
    {72, 2434, 0, 0, Smoke::mf_dtor, 0, 40 },	//1729 Plasma::Meter::~Meter()
    {73, 367, 0, 0, Smoke::mf_ctor, 119, 1},	//1730 Plasma::Package::Package()
    {73, 367, 665, 3, Smoke::mf_ctor, 119, 2},	//1731 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 367, 669, 2, Smoke::mf_ctor, 119, 3},	//1732 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 367, 672, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//1733 Plasma::Package::Package(const Plasma::Package&)
    {73, 1419, 672, 1, 0, 118, 5},	//1734 Plasma::Package::operator=(const Plasma::Package&)
    {73, 1177, 0, 0, Smoke::mf_const, 382, 6},	//1735 Plasma::Package::isValid() const
    {73, 994, 674, 2, Smoke::mf_const, 289, 7},	//1736 Plasma::Package::filePath(const char*, const QString&) const
    {73, 994, 1, 1, Smoke::mf_const, 289, 8},	//1737 Plasma::Package::filePath(const char*) const
    {73, 971, 1, 1, Smoke::mf_const, 290, 9},	//1738 Plasma::Package::entryList(const char*) const
    {73, 1365, 0, 0, Smoke::mf_const, 120, 10},	//1739 Plasma::Package::metadata() const
    {73, 1947, 89, 1, 0, 0, 11},	//1740 Plasma::Package::setPath(const QString&)
    {73, 1457, 0, 0, Smoke::mf_const, 453, 12},	//1741 Plasma::Package::path() const
    {73, 2228, 0, 0, Smoke::mf_const, 391, 13},	//1742 Plasma::Package::structure() const
    {73, 808, 0, 0, Smoke::mf_const, 289, 14},	//1743 Plasma::Package::contentsHash() const
    {73, 1279, 89, 1, Smoke::mf_static, 290, 15},	//1744 Plasma::Package::listInstalled(const QString&)
    {73, 1281, 89, 1, Smoke::mf_static, 290, 16},	//1745 Plasma::Package::listInstalledPaths(const QString&)
    {73, 1129, 356, 3, Smoke::mf_static, 382, 17},	//1746 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {73, 2305, 356, 3, Smoke::mf_static, 382, 18},	//1747 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {73, 1516, 677, 2, Smoke::mf_static, 382, 19},	//1748 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {73, 839, 680, 4, Smoke::mf_static, 382, 20},	//1749 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {73, 839, 685, 3, Smoke::mf_static, 382, 21},	//1750 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {73, 2435, 0, 0, Smoke::mf_dtor, 0, 22 },	//1751 Plasma::Package::~Package()
    {74, 371, 89, 1, Smoke::mf_ctor, 122, 1},	//1752 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {74, 371, 689, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 2},	//1753 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {74, 1419, 689, 1, 0, 121, 3},	//1754 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {74, 1177, 0, 0, Smoke::mf_const, 382, 4},	//1755 Plasma::PackageMetadata::isValid() const
    {74, 2390, 89, 1, Smoke::mf_const, 0, 5},	//1756 Plasma::PackageMetadata::write(const QString&) const
    {74, 1504, 89, 1, 0, 0, 6},	//1757 Plasma::PackageMetadata::read(const QString&)
    {74, 1399, 0, 0, Smoke::mf_const, 289, 7},	//1758 Plasma::PackageMetadata::name() const
    {74, 873, 0, 0, Smoke::mf_const, 289, 8},	//1759 Plasma::PackageMetadata::description() const
    {74, 1215, 0, 0, Smoke::mf_const, 290, 9},	//1760 Plasma::PackageMetadata::keywords() const
    {74, 1663, 0, 0, Smoke::mf_const, 289, 10},	//1761 Plasma::PackageMetadata::serviceType() const
    {74, 710, 0, 0, Smoke::mf_const, 289, 11},	//1762 Plasma::PackageMetadata::author() const
    {74, 954, 0, 0, Smoke::mf_const, 289, 12},	//1763 Plasma::PackageMetadata::email() const
    {74, 2352, 0, 0, Smoke::mf_const, 289, 13},	//1764 Plasma::PackageMetadata::version() const
    {74, 2377, 0, 0, Smoke::mf_const, 289, 14},	//1765 Plasma::PackageMetadata::website() const
    {74, 1242, 0, 0, Smoke::mf_const, 289, 15},	//1766 Plasma::PackageMetadata::license() const
    {74, 702, 0, 0, Smoke::mf_const, 289, 16},	//1767 Plasma::PackageMetadata::application() const
    {74, 732, 0, 0, Smoke::mf_const, 289, 17},	//1768 Plasma::PackageMetadata::category() const
    {74, 1585, 0, 0, Smoke::mf_const, 289, 18},	//1769 Plasma::PackageMetadata::requiredVersion() const
    {74, 1469, 0, 0, Smoke::mf_const, 289, 19},	//1770 Plasma::PackageMetadata::pluginName() const
    {74, 1102, 0, 0, Smoke::mf_const, 289, 20},	//1771 Plasma::PackageMetadata::implementationApi() const
    {74, 1537, 0, 0, Smoke::mf_const, 28, 21},	//1772 Plasma::PackageMetadata::remoteLocation() const
    {74, 2302, 0, 0, Smoke::mf_const, 289, 22},	//1773 Plasma::PackageMetadata::type() const
    {74, 1921, 89, 1, 0, 0, 23},	//1774 Plasma::PackageMetadata::setName(const QString&)
    {74, 1783, 89, 1, 0, 0, 24},	//1775 Plasma::PackageMetadata::setDescription(const QString&)
    {74, 1092, 0, 0, Smoke::mf_const, 289, 25},	//1776 Plasma::PackageMetadata::icon() const
    {74, 1862, 89, 1, 0, 0, 26},	//1777 Plasma::PackageMetadata::setIcon(const QString&)
    {74, 1883, 200, 1, 0, 0, 27},	//1778 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {74, 2015, 89, 1, 0, 0, 28},	//1779 Plasma::PackageMetadata::setServiceType(const QString&)
    {74, 1688, 89, 1, 0, 0, 29},	//1780 Plasma::PackageMetadata::setAuthor(const QString&)
    {74, 1806, 89, 1, 0, 0, 30},	//1781 Plasma::PackageMetadata::setEmail(const QString&)
    {74, 2120, 89, 1, 0, 0, 31},	//1782 Plasma::PackageMetadata::setVersion(const QString&)
    {74, 2141, 89, 1, 0, 0, 32},	//1783 Plasma::PackageMetadata::setWebsite(const QString&)
    {74, 1896, 89, 1, 0, 0, 33},	//1784 Plasma::PackageMetadata::setLicense(const QString&)
    {74, 1680, 89, 1, 0, 0, 34},	//1785 Plasma::PackageMetadata::setApplication(const QString&)
    {74, 1716, 89, 1, 0, 0, 35},	//1786 Plasma::PackageMetadata::setCategory(const QString&)
    {74, 1990, 89, 1, 0, 0, 36},	//1787 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {74, 1984, 119, 1, 0, 0, 37},	//1788 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {74, 2100, 89, 1, 0, 0, 38},	//1789 Plasma::PackageMetadata::setType(const QString&)
    {74, 1953, 89, 1, 0, 0, 39},	//1790 Plasma::PackageMetadata::setPluginName(const QString&)
    {74, 1877, 89, 1, 0, 0, 40},	//1791 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {74, 371, 0, 0, Smoke::mf_ctor, 122, 41},	//1792 Plasma::PackageMetadata::PackageMetadata()
    {74, 2436, 0, 0, Smoke::mf_dtor, 0, 42 },	//1793 Plasma::PackageMetadata::~PackageMetadata()
    {75, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1794 Plasma::PackageStructure::metaObject() const
    {75, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1795 Plasma::PackageStructure::qt_metacast(const char*)
    {75, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1796 Plasma::PackageStructure::tr(const char*, const char*)
    {75, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1797 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {75, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1798 Plasma::PackageStructure::tr(const char*, const char*, int)
    {75, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1799 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {75, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1800 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {75, 374, 64, 2, Smoke::mf_ctor, 124, 8},	//1801 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {75, 1419, 691, 1, 0, 123, 9},	//1802 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {75, 1294, 89, 1, Smoke::mf_static, 20, 10},	//1803 Plasma::PackageStructure::load(const QString&)
    {75, 2302, 0, 0, Smoke::mf_const, 289, 11},	//1804 Plasma::PackageStructure::type() const
    {75, 886, 0, 0, Smoke::mf_const, 256, 12},	//1805 Plasma::PackageStructure::directories() const
    {75, 1583, 0, 0, Smoke::mf_const, 256, 13},	//1806 Plasma::PackageStructure::requiredDirectories() const
    {75, 997, 0, 0, Smoke::mf_const, 256, 14},	//1807 Plasma::PackageStructure::files() const
    {75, 1584, 0, 0, Smoke::mf_const, 256, 15},	//1808 Plasma::PackageStructure::requiredFiles() const
    {75, 622, 693, 3, 0, 0, 16},	//1809 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {75, 626, 693, 3, 0, 0, 17},	//1810 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {75, 1549, 1, 1, 0, 0, 18},	//1811 Plasma::PackageStructure::removeDefinition(const char*)
    {75, 1457, 1, 1, Smoke::mf_const, 289, 19},	//1812 Plasma::PackageStructure::path(const char*) const
    {75, 1646, 1, 1, Smoke::mf_const, 290, 20},	//1813 Plasma::PackageStructure::searchPath(const char*) const
    {75, 971, 1, 1, 0, 290, 21},	//1814 Plasma::PackageStructure::entryList(const char*)
    {75, 1399, 1, 1, Smoke::mf_const, 289, 22},	//1815 Plasma::PackageStructure::name(const char*) const
    {75, 1988, 697, 2, 0, 0, 23},	//1816 Plasma::PackageStructure::setRequired(const char*, bool)
    {75, 1167, 1, 1, Smoke::mf_const, 382, 24},	//1817 Plasma::PackageStructure::isRequired(const char*) const
    {75, 1774, 700, 1, 0, 0, 25},	//1818 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {75, 1910, 702, 2, 0, 0, 26},	//1819 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {75, 1372, 1, 1, Smoke::mf_const, 290, 27},	//1820 Plasma::PackageStructure::mimetypes(const char*) const
    {75, 1947, 89, 1, 0, 0, 28},	//1821 Plasma::PackageStructure::setPath(const QString&)
    {75, 1457, 0, 0, Smoke::mf_const, 289, 29},	//1822 Plasma::PackageStructure::path() const
    {75, 1504, 705, 1, 0, 0, 30},	//1823 Plasma::PackageStructure::read(const KConfigBase*)
    {75, 2390, 707, 1, Smoke::mf_const, 0, 31},	//1824 Plasma::PackageStructure::write(KConfigBase*) const
    {75, 1129, 77, 2, Smoke::mf_virtual, 382, 32},	//1825 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {75, 2305, 77, 2, Smoke::mf_virtual, 382, 33},	//1826 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {75, 837, 57, 1, Smoke::mf_virtual, 0, 34},	//1827 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {75, 809, 0, 0, Smoke::mf_const, 289, 35},	//1828 Plasma::PackageStructure::contentsPrefix() const
    {75, 810, 0, 0, Smoke::mf_const, 290, 36},	//1829 Plasma::PackageStructure::contentsPrefixPaths() const
    {75, 868, 0, 0, Smoke::mf_const, 289, 37},	//1830 Plasma::PackageStructure::defaultPackageRoot() const
    {75, 1657, 0, 0, Smoke::mf_const, 289, 38},	//1831 Plasma::PackageStructure::servicePrefix() const
    {75, 2013, 89, 1, 0, 0, 39},	//1832 Plasma::PackageStructure::setServicePrefix(const QString&)
    {75, 1365, 0, 0, Smoke::mf_virtual, 120, 40},	//1833 Plasma::PackageStructure::metadata()
    {75, 668, 0, 0, Smoke::mf_const, 382, 41},	//1834 Plasma::PackageStructure::allowExternalPaths() const
    {75, 1406, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1835 Plasma::PackageStructure::newWidgetBrowserFinished()
    {75, 1670, 7, 1, Smoke::mf_protected, 0, 43},	//1836 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {75, 1747, 89, 1, Smoke::mf_protected, 0, 44},	//1837 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {75, 1749, 200, 1, Smoke::mf_protected, 0, 45},	//1838 Plasma::PackageStructure::setContentsPrefixPaths(const QStringList&)
    {75, 1776, 89, 1, Smoke::mf_protected, 0, 46},	//1839 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {75, 1459, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1840 Plasma::PackageStructure::pathChanged()
    {75, 2293, 1, 1, Smoke::mf_static, 289, 48},	//1841 Plasma::PackageStructure::tr(const char*)
    {75, 2297, 1, 1, Smoke::mf_static, 289, 49},	//1842 Plasma::PackageStructure::trUtf8(const char*)
    {75, 374, 0, 0, Smoke::mf_ctor, 124, 50},	//1843 Plasma::PackageStructure::PackageStructure()
    {75, 374, 97, 1, Smoke::mf_ctor, 124, 51},	//1844 Plasma::PackageStructure::PackageStructure(QObject*)
    {75, 837, 0, 0, 0, 0, 52},	//1845 Plasma::PackageStructure::createNewWidgetBrowser()
    {75, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 53},	//1846 Plasma::PackageStructure::staticMetaObject() const
    {75, 2437, 0, 0, Smoke::mf_dtor, 0, 54 },	//1847 Plasma::PackageStructure::~PackageStructure()
    {76, 392, 0, 0, Smoke::mf_ctor, 125, 1},	//1848 Plasma::PlotColor::PlotColor()
    {76, 392, 709, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 2},	//1849 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {76, 760, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 188, 3},	//1850 Plasma::PlotColor::color() const
    {76, 1730, 571, 1, Smoke::mf_attribute, 0, 4},	//1851 Plasma::PlotColor::setColor(const QColor&)
    {76, 862, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 188, 5},	//1852 Plasma::PlotColor::darkColor() const
    {76, 1765, 571, 1, Smoke::mf_attribute, 0, 6},	//1853 Plasma::PlotColor::setDarkColor(const QColor&)
    {76, 2438, 0, 0, Smoke::mf_dtor, 0, 7 },	//1854 Plasma::PlotColor::~PlotColor()
    {77, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1855 Plasma::PopupApplet::metaObject() const
    {77, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1856 Plasma::PopupApplet::qt_metacast(const char*)
    {77, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1857 Plasma::PopupApplet::tr(const char*, const char*)
    {77, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1858 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {77, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1859 Plasma::PopupApplet::tr(const char*, const char*, int)
    {77, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1860 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {77, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1861 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {77, 394, 70, 2, Smoke::mf_ctor, 126, 8},	//1862 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {77, 1961, 557, 1, 0, 0, 9},	//1863 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {77, 1961, 89, 1, 0, 0, 10},	//1864 Plasma::PopupApplet::setPopupIcon(const QString&)
    {77, 1475, 0, 0, Smoke::mf_const, 233, 11},	//1865 Plasma::PopupApplet::popupIcon() const
    {77, 2380, 0, 0, Smoke::mf_virtual, 304, 12},	//1866 Plasma::PopupApplet::widget()
    {77, 2143, 57, 1, 0, 0, 13},	//1867 Plasma::PopupApplet::setWidget(QWidget*)
    {77, 1051, 0, 0, Smoke::mf_virtual, 226, 14},	//1868 Plasma::PopupApplet::graphicsWidget()
    {77, 1836, 125, 1, 0, 0, 15},	//1869 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {77, 1476, 0, 0, Smoke::mf_const, 127, 16},	//1870 Plasma::PopupApplet::popupPlacement() const
    {77, 1959, 711, 1, Smoke::mf_property, 0, 17},	//1871 Plasma::PopupApplet::setPopupAlignment(Qt::AlignmentFlag)
    {77, 1472, 0, 0, Smoke::mf_const|Smoke::mf_property, 305, 18},	//1872 Plasma::PopupApplet::popupAlignment() const
    {77, 1945, 7, 1, 0, 0, 19},	//1873 Plasma::PopupApplet::setPassivePopup(bool)
    {77, 1158, 0, 0, Smoke::mf_const, 382, 20},	//1874 Plasma::PopupApplet::isPassivePopup() const
    {77, 1161, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 382, 21},	//1875 Plasma::PopupApplet::isPopupShowing() const
    {77, 1152, 0, 0, Smoke::mf_const, 382, 22},	//1876 Plasma::PopupApplet::isIconified() const
    {77, 1079, 0, 0, Smoke::mf_slot, 0, 23},	//1877 Plasma::PopupApplet::hidePopup()
    {77, 2177, 713, 1, Smoke::mf_slot, 0, 24},	//1878 Plasma::PopupApplet::showPopup(uint)
    {77, 2282, 0, 0, Smoke::mf_slot, 0, 25},	//1879 Plasma::PopupApplet::togglePopup()
    {77, 1473, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1880 Plasma::PopupApplet::popupEvent(bool)
    {77, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 27},	//1881 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {77, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1882 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {77, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1883 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {77, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 30},	//1884 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {77, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1885 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {77, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1886 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {77, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1887 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {77, 2279, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1888 Plasma::PopupApplet::timerEvent(QTimerEvent*)
    {77, 2293, 1, 1, Smoke::mf_static, 289, 35},	//1889 Plasma::PopupApplet::tr(const char*)
    {77, 2297, 1, 1, Smoke::mf_static, 289, 36},	//1890 Plasma::PopupApplet::trUtf8(const char*)
    {77, 2177, 0, 0, Smoke::mf_slot, 0, 37},	//1891 Plasma::PopupApplet::showPopup()
    {77, 2192, 248, 1, Smoke::mf_const|Smoke::mf_protected, 287, 38},	//1892 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {77, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 39},	//1893 Plasma::PopupApplet::staticMetaObject() const
    {77, 2439, 0, 0, Smoke::mf_dtor, 0, 40 },	//1894 Plasma::PopupApplet::~PopupApplet()
    {78, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1895 Plasma::PushButton::metaObject() const
    {78, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1896 Plasma::PushButton::qt_metacast(const char*)
    {78, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1897 Plasma::PushButton::tr(const char*, const char*)
    {78, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1898 Plasma::PushButton::trUtf8(const char*, const char*)
    {78, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1899 Plasma::PushButton::tr(const char*, const char*, int)
    {78, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1900 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {78, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1901 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 401, 125, 1, Smoke::mf_ctor, 129, 8},	//1902 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {78, 2078, 89, 1, Smoke::mf_property, 0, 9},	//1903 Plasma::PushButton::setText(const QString&)
    {78, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1904 Plasma::PushButton::text() const
    {78, 1869, 89, 1, Smoke::mf_property, 0, 11},	//1905 Plasma::PushButton::setImage(const QString&)
    {78, 1869, 77, 2, 0, 0, 12},	//1906 Plasma::PushButton::setImage(const QString&, const QString&)
    {78, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1907 Plasma::PushButton::image() const
    {78, 2048, 89, 1, Smoke::mf_property, 0, 14},	//1908 Plasma::PushButton::setStyleSheet(const QString&)
    {78, 2230, 0, 0, Smoke::mf_property, 289, 15},	//1909 Plasma::PushButton::styleSheet()
    {78, 1664, 107, 1, 0, 0, 16},	//1910 Plasma::PushButton::setAction(QAction*)
    {78, 586, 0, 0, Smoke::mf_const, 181, 17},	//1911 Plasma::PushButton::action() const
    {78, 1862, 557, 1, Smoke::mf_property, 0, 18},	//1912 Plasma::PushButton::setIcon(const QIcon&)
    {78, 1862, 715, 1, 0, 0, 19},	//1913 Plasma::PushButton::setIcon(const KIcon&)
    {78, 1092, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 20},	//1914 Plasma::PushButton::icon() const
    {78, 1718, 7, 1, Smoke::mf_property, 0, 21},	//1915 Plasma::PushButton::setCheckable(bool)
    {78, 1140, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 22},	//1916 Plasma::PushButton::isCheckable() const
    {78, 1141, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 23},	//1917 Plasma::PushButton::isChecked() const
    {78, 1147, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 24},	//1918 Plasma::PushButton::isDown() const
    {78, 1401, 0, 0, Smoke::mf_const, 16, 25},	//1919 Plasma::PushButton::nativeWidget() const
    {78, 1487, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1920 Plasma::PushButton::pressed()
    {78, 1527, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1921 Plasma::PushButton::released()
    {78, 751, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1922 Plasma::PushButton::clicked()
    {78, 2283, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1923 Plasma::PushButton::toggled(bool)
    {78, 749, 0, 0, Smoke::mf_slot, 0, 30},	//1924 Plasma::PushButton::click()
    {78, 1720, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//1925 Plasma::PushButton::setChecked(bool)
    {78, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1926 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {78, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1927 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1928 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {78, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1929 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {78, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1930 Plasma::PushButton::changeEvent(QEvent*)
    {78, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 37},	//1931 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {78, 2293, 1, 1, Smoke::mf_static, 289, 38},	//1932 Plasma::PushButton::tr(const char*)
    {78, 2297, 1, 1, Smoke::mf_static, 289, 39},	//1933 Plasma::PushButton::trUtf8(const char*)
    {78, 401, 0, 0, Smoke::mf_ctor, 129, 40},	//1934 Plasma::PushButton::PushButton()
    {78, 1431, 326, 2, Smoke::mf_protected, 0, 41},	//1935 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {78, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 42},	//1936 Plasma::PushButton::staticMetaObject() const
    {78, 2440, 0, 0, Smoke::mf_dtor, 0, 43 },	//1937 Plasma::PushButton::~PushButton()
    {79, 413, 717, 1, Smoke::mf_ctor, 132, 1},	//1938 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {79, 413, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1939 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {79, 1419, 80, 1, 0, 131, 3},	//1940 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {79, 1421, 80, 1, Smoke::mf_const, 382, 4},	//1941 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {79, 1417, 80, 1, Smoke::mf_const, 382, 5},	//1942 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {79, 1608, 0, 0, Smoke::mf_const, 34, 6},	//1943 Plasma::QueryMatch::runner() const
    {79, 1177, 0, 0, Smoke::mf_const, 382, 7},	//1944 Plasma::QueryMatch::isValid() const
    {79, 2100, 719, 1, 0, 0, 8},	//1945 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {79, 2302, 0, 0, Smoke::mf_const, 133, 9},	//1946 Plasma::QueryMatch::type() const
    {79, 1982, 721, 1, 0, 0, 10},	//1947 Plasma::QueryMatch::setRelevance(double)
    {79, 1528, 0, 0, Smoke::mf_const, 470, 11},	//1948 Plasma::QueryMatch::relevance() const
    {79, 1603, 723, 1, Smoke::mf_const, 0, 12},	//1949 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {79, 1767, 725, 1, 0, 0, 13},	//1950 Plasma::QueryMatch::setData(const QVariant&)
    {79, 863, 0, 0, Smoke::mf_const, 299, 14},	//1951 Plasma::QueryMatch::data() const
    {79, 1865, 89, 1, 0, 0, 15},	//1952 Plasma::QueryMatch::setId(const QString&)
    {79, 1094, 0, 0, Smoke::mf_const, 289, 16},	//1953 Plasma::QueryMatch::id() const
    {79, 2078, 89, 1, 0, 0, 17},	//1954 Plasma::QueryMatch::setText(const QString&)
    {79, 2265, 0, 0, Smoke::mf_const, 289, 18},	//1955 Plasma::QueryMatch::text() const
    {79, 2052, 89, 1, 0, 0, 19},	//1956 Plasma::QueryMatch::setSubtext(const QString&)
    {79, 2233, 0, 0, Smoke::mf_const, 289, 20},	//1957 Plasma::QueryMatch::subtext() const
    {79, 1862, 557, 1, 0, 0, 21},	//1958 Plasma::QueryMatch::setIcon(const QIcon&)
    {79, 1092, 0, 0, Smoke::mf_const, 233, 22},	//1959 Plasma::QueryMatch::icon() const
    {79, 1810, 7, 1, 0, 0, 23},	//1960 Plasma::QueryMatch::setEnabled(bool)
    {79, 1149, 0, 0, Smoke::mf_const, 382, 24},	//1961 Plasma::QueryMatch::isEnabled() const
    {79, 1651, 0, 0, Smoke::mf_const, 181, 25},	//1962 Plasma::QueryMatch::selectedAction() const
    {79, 2011, 107, 1, 0, 0, 26},	//1963 Plasma::QueryMatch::setSelectedAction(QAction*)
    {79, 1058, 0, 0, Smoke::mf_const, 382, 27},	//1964 Plasma::QueryMatch::hasConfigurationInterface() const
    {79, 830, 57, 1, 0, 0, 28},	//1965 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {79, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 29},	//1966 Plasma::QueryMatch::NoMatch (enum)
    {79, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 30},	//1967 Plasma::QueryMatch::CompletionMatch (enum)
    {79, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 31},	//1968 Plasma::QueryMatch::PossibleMatch (enum)
    {79, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 32},	//1969 Plasma::QueryMatch::InformationalMatch (enum)
    {79, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//1970 Plasma::QueryMatch::HelperMatch (enum)
    {79, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//1971 Plasma::QueryMatch::ExactMatch (enum)
    {79, 2441, 0, 0, Smoke::mf_dtor, 0, 35 },	//1972 Plasma::QueryMatch::~QueryMatch()
    {80, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1973 Plasma::RadioButton::metaObject() const
    {80, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1974 Plasma::RadioButton::qt_metacast(const char*)
    {80, 2293, 43, 2, Smoke::mf_static, 289, 3},	//1975 Plasma::RadioButton::tr(const char*, const char*)
    {80, 2297, 43, 2, Smoke::mf_static, 289, 4},	//1976 Plasma::RadioButton::trUtf8(const char*, const char*)
    {80, 2293, 46, 3, Smoke::mf_static, 289, 5},	//1977 Plasma::RadioButton::tr(const char*, const char*, int)
    {80, 2297, 46, 3, Smoke::mf_static, 289, 6},	//1978 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {80, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//1979 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {80, 416, 125, 1, Smoke::mf_ctor, 134, 8},	//1980 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {80, 2078, 89, 1, Smoke::mf_property, 0, 9},	//1981 Plasma::RadioButton::setText(const QString&)
    {80, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1982 Plasma::RadioButton::text() const
    {80, 1869, 89, 1, Smoke::mf_property, 0, 11},	//1983 Plasma::RadioButton::setImage(const QString&)
    {80, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//1984 Plasma::RadioButton::image() const
    {80, 2048, 89, 1, Smoke::mf_property, 0, 13},	//1985 Plasma::RadioButton::setStyleSheet(const QString&)
    {80, 2230, 0, 0, Smoke::mf_property, 289, 14},	//1986 Plasma::RadioButton::styleSheet()
    {80, 1401, 0, 0, Smoke::mf_const, 277, 15},	//1987 Plasma::RadioButton::nativeWidget() const
    {80, 1720, 7, 1, Smoke::mf_property, 0, 16},	//1988 Plasma::RadioButton::setChecked(bool)
    {80, 1141, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//1989 Plasma::RadioButton::isChecked() const
    {80, 2283, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1990 Plasma::RadioButton::toggled(bool)
    {80, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1991 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {80, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1992 Plasma::RadioButton::changeEvent(QEvent*)
    {80, 2293, 1, 1, Smoke::mf_static, 289, 21},	//1993 Plasma::RadioButton::tr(const char*)
    {80, 2297, 1, 1, Smoke::mf_static, 289, 22},	//1994 Plasma::RadioButton::trUtf8(const char*)
    {80, 416, 0, 0, Smoke::mf_ctor, 134, 23},	//1995 Plasma::RadioButton::RadioButton()
    {80, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 24},	//1996 Plasma::RadioButton::staticMetaObject() const
    {80, 2442, 0, 0, Smoke::mf_dtor, 0, 25 },	//1997 Plasma::RadioButton::~RadioButton()
    {81, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//1998 Plasma::RunnerContext::metaObject() const
    {81, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//1999 Plasma::RunnerContext::qt_metacast(const char*)
    {81, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2000 Plasma::RunnerContext::tr(const char*, const char*)
    {81, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2001 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {81, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2002 Plasma::RunnerContext::tr(const char*, const char*, int)
    {81, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2003 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {81, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2004 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {81, 431, 97, 1, Smoke::mf_ctor, 136, 8},	//2005 Plasma::RunnerContext::RunnerContext(QObject*)
    {81, 431, 727, 2, Smoke::mf_ctor, 136, 9},	//2006 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {81, 1419, 723, 1, 0, 135, 10},	//2007 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {81, 1586, 0, 0, 0, 0, 11},	//2008 Plasma::RunnerContext::reset()
    {81, 1976, 89, 1, 0, 0, 12},	//2009 Plasma::RunnerContext::setQuery(const QString&)
    {81, 1500, 0, 0, Smoke::mf_const, 289, 13},	//2010 Plasma::RunnerContext::query() const
    {81, 2302, 0, 0, Smoke::mf_const, 137, 14},	//2011 Plasma::RunnerContext::type() const
    {81, 1371, 0, 0, Smoke::mf_const, 289, 15},	//2012 Plasma::RunnerContext::mimeType() const
    {81, 1177, 0, 0, Smoke::mf_const, 382, 16},	//2013 Plasma::RunnerContext::isValid() const
    {81, 634, 730, 2, 0, 382, 17},	//2014 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {81, 632, 733, 2, 0, 382, 18},	//2015 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {81, 1553, 736, 1, 0, 382, 19},	//2016 Plasma::RunnerContext::removeMatch(const QString)
    {81, 1555, 738, 1, 0, 382, 20},	//2017 Plasma::RunnerContext::removeMatches(const QStringList)
    {81, 1353, 0, 0, Smoke::mf_const, 249, 21},	//2018 Plasma::RunnerContext::matches() const
    {81, 1349, 89, 1, Smoke::mf_const, 130, 22},	//2019 Plasma::RunnerContext::match(const QString&) const
    {81, 2031, 7, 1, 0, 0, 23},	//2020 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {81, 2186, 0, 0, Smoke::mf_const, 382, 24},	//2021 Plasma::RunnerContext::singleRunnerQueryMode() const
    {81, 1595, 111, 1, 0, 0, 25},	//2022 Plasma::RunnerContext::restore(const KConfigGroup&)
    {81, 1613, 178, 1, 0, 0, 26},	//2023 Plasma::RunnerContext::save(KConfigGroup&)
    {81, 1603, 80, 1, 0, 0, 27},	//2024 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {81, 1354, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2025 Plasma::RunnerContext::matchesChanged()
    {81, 2293, 1, 1, Smoke::mf_static, 289, 29},	//2026 Plasma::RunnerContext::tr(const char*)
    {81, 2297, 1, 1, Smoke::mf_static, 289, 30},	//2027 Plasma::RunnerContext::trUtf8(const char*)
    {81, 431, 0, 0, Smoke::mf_ctor, 136, 31},	//2028 Plasma::RunnerContext::RunnerContext()
    {81, 431, 55, 1, Smoke::mf_ctor, 136, 32},	//2029 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {81, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 33},	//2030 Plasma::RunnerContext::staticMetaObject() const
    {81, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 34},	//2031 Plasma::RunnerContext::None (enum)
    {81, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 35},	//2032 Plasma::RunnerContext::UnknownType (enum)
    {81, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 36},	//2033 Plasma::RunnerContext::Directory (enum)
    {81, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 37},	//2034 Plasma::RunnerContext::File (enum)
    {81, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 38},	//2035 Plasma::RunnerContext::NetworkLocation (enum)
    {81, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 39},	//2036 Plasma::RunnerContext::Executable (enum)
    {81, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 40},	//2037 Plasma::RunnerContext::ShellCommand (enum)
    {81, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 41},	//2038 Plasma::RunnerContext::Help (enum)
    {81, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 42},	//2039 Plasma::RunnerContext::FileSystem (enum)
    {81, 2443, 0, 0, Smoke::mf_dtor, 0, 43 },	//2040 Plasma::RunnerContext::~RunnerContext()
    {82, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2041 Plasma::RunnerManager::metaObject() const
    {82, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2042 Plasma::RunnerManager::qt_metacast(const char*)
    {82, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2043 Plasma::RunnerManager::tr(const char*, const char*)
    {82, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2044 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {82, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2045 Plasma::RunnerManager::tr(const char*, const char*, int)
    {82, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2046 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {82, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2047 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {82, 434, 97, 1, Smoke::mf_ctor, 138, 8},	//2048 Plasma::RunnerManager::RunnerManager(QObject*)
    {82, 434, 740, 2, Smoke::mf_ctor, 138, 9},	//2049 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {82, 1608, 89, 1, Smoke::mf_const, 34, 10},	//2050 Plasma::RunnerManager::runner(const QString&) const
    {82, 2184, 0, 0, Smoke::mf_const, 34, 11},	//2051 Plasma::RunnerManager::singleModeRunner() const
    {82, 2029, 89, 1, 0, 0, 12},	//2052 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {82, 2185, 0, 0, Smoke::mf_const, 289, 13},	//2053 Plasma::RunnerManager::singleModeRunnerId() const
    {82, 2182, 0, 0, Smoke::mf_const, 382, 14},	//2054 Plasma::RunnerManager::singleMode() const
    {82, 2027, 7, 1, 0, 0, 15},	//2055 Plasma::RunnerManager::setSingleMode(bool)
    {82, 1610, 89, 1, Smoke::mf_const, 289, 16},	//2056 Plasma::RunnerManager::runnerName(const QString&) const
    {82, 1612, 0, 0, Smoke::mf_const, 241, 17},	//2057 Plasma::RunnerManager::runners() const
    {82, 2183, 0, 0, Smoke::mf_const, 290, 18},	//2058 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {82, 1645, 0, 0, Smoke::mf_const, 136, 19},	//2059 Plasma::RunnerManager::searchContext() const
    {82, 1353, 0, 0, Smoke::mf_const, 249, 20},	//2060 Plasma::RunnerManager::matches() const
    {82, 1603, 80, 1, 0, 0, 21},	//2061 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {82, 1603, 89, 1, 0, 0, 22},	//2062 Plasma::RunnerManager::run(const QString&)
    {82, 590, 80, 1, 0, 251, 23},	//2063 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {82, 1500, 0, 0, Smoke::mf_const, 289, 24},	//2064 Plasma::RunnerManager::query() const
    {82, 1530, 0, 0, 0, 0, 25},	//2065 Plasma::RunnerManager::reloadConfiguration()
    {82, 1672, 200, 1, 0, 0, 26},	//2066 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {82, 1322, 99, 1, 0, 0, 27},	//2067 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {82, 1322, 89, 1, 0, 0, 28},	//2068 Plasma::RunnerManager::loadRunner(const QString&)
    {82, 669, 0, 0, Smoke::mf_const, 290, 29},	//2069 Plasma::RunnerManager::allowedRunners() const
    {82, 1368, 80, 1, Smoke::mf_const, 262, 30},	//2070 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {82, 1368, 89, 1, Smoke::mf_const, 262, 31},	//2071 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {82, 1284, 89, 1, Smoke::mf_static, 238, 32},	//2072 Plasma::RunnerManager::listRunnerInfo(const QString&)
    {82, 2154, 0, 0, Smoke::mf_slot, 0, 33},	//2073 Plasma::RunnerManager::setupMatchSession()
    {82, 1352, 0, 0, Smoke::mf_slot, 0, 34},	//2074 Plasma::RunnerManager::matchSessionComplete()
    {82, 1237, 77, 2, Smoke::mf_slot, 0, 35},	//2075 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {82, 1237, 89, 1, Smoke::mf_slot, 0, 36},	//2076 Plasma::RunnerManager::launchQuery(const QString&)
    {82, 982, 77, 2, Smoke::mf_slot, 382, 37},	//2077 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {82, 982, 89, 1, Smoke::mf_slot, 382, 38},	//2078 Plasma::RunnerManager::execQuery(const QString&)
    {82, 1586, 0, 0, Smoke::mf_slot, 0, 39},	//2079 Plasma::RunnerManager::reset()
    {82, 1354, 743, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2080 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {82, 1502, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2081 Plasma::RunnerManager::queryFinished()
    {82, 2293, 1, 1, Smoke::mf_static, 289, 42},	//2082 Plasma::RunnerManager::tr(const char*)
    {82, 2297, 1, 1, Smoke::mf_static, 289, 43},	//2083 Plasma::RunnerManager::trUtf8(const char*)
    {82, 434, 0, 0, Smoke::mf_ctor, 138, 44},	//2084 Plasma::RunnerManager::RunnerManager()
    {82, 434, 178, 1, Smoke::mf_ctor, 138, 45},	//2085 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {82, 1284, 0, 0, Smoke::mf_static, 238, 46},	//2086 Plasma::RunnerManager::listRunnerInfo()
    {82, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 47},	//2087 Plasma::RunnerManager::staticMetaObject() const
    {82, 2444, 0, 0, Smoke::mf_dtor, 0, 48 },	//2088 Plasma::RunnerManager::~RunnerManager()
    {83, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2089 Plasma::RunnerScript::metaObject() const
    {83, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2090 Plasma::RunnerScript::qt_metacast(const char*)
    {83, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2091 Plasma::RunnerScript::tr(const char*, const char*)
    {83, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2092 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {83, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2093 Plasma::RunnerScript::tr(const char*, const char*, int)
    {83, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2094 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {83, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2095 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {83, 437, 97, 1, Smoke::mf_ctor, 139, 8},	//2096 Plasma::RunnerScript::RunnerScript(QObject*)
    {83, 1998, 717, 1, 0, 0, 9},	//2097 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {83, 1608, 0, 0, Smoke::mf_const, 34, 10},	//2098 Plasma::RunnerScript::runner() const
    {83, 1349, 55, 1, Smoke::mf_virtual, 0, 11},	//2099 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {83, 1603, 59, 2, Smoke::mf_virtual, 0, 12},	//2100 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {83, 1486, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2101 Plasma::RunnerScript::prepare()
    {83, 2264, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2102 Plasma::RunnerScript::teardown()
    {83, 842, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2103 Plasma::RunnerScript::createRunOptions(QWidget*)
    {83, 1530, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2104 Plasma::RunnerScript::reloadConfiguration()
    {83, 590, 745, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2105 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {83, 1337, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 18},	//2106 Plasma::RunnerScript::mainScript() const
    {83, 1425, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 405, 19},	//2107 Plasma::RunnerScript::package() const
    {83, 873, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 20},	//2108 Plasma::RunnerScript::description() const
    {83, 864, 89, 1, Smoke::mf_protected, 83, 21},	//2109 Plasma::RunnerScript::dataEngine(const QString&)
    {83, 763, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 22},	//2110 Plasma::RunnerScript::config() const
    {83, 1867, 62, 1, Smoke::mf_protected, 0, 23},	//2111 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {83, 1845, 7, 1, Smoke::mf_protected, 0, 24},	//2112 Plasma::RunnerScript::setHasRunOptions(bool)
    {83, 2037, 73, 1, Smoke::mf_protected, 0, 25},	//2113 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {83, 1974, 75, 1, Smoke::mf_protected, 0, 26},	//2114 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {83, 1658, 77, 2, Smoke::mf_const|Smoke::mf_protected, 240, 27},	//2115 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {83, 603, 82, 3, Smoke::mf_protected, 181, 28},	//2116 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {83, 603, 86, 2, Smoke::mf_protected, 0, 29},	//2117 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {83, 1540, 89, 1, Smoke::mf_protected, 0, 30},	//2118 Plasma::RunnerScript::removeAction(const QString&)
    {83, 586, 89, 1, Smoke::mf_const|Smoke::mf_protected, 181, 31},	//2119 Plasma::RunnerScript::action(const QString&) const
    {83, 589, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 32},	//2120 Plasma::RunnerScript::actions() const
    {83, 743, 0, 0, Smoke::mf_protected, 0, 33},	//2121 Plasma::RunnerScript::clearActions()
    {83, 655, 91, 1, Smoke::mf_protected, 0, 34},	//2122 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {83, 2060, 93, 1, Smoke::mf_protected, 0, 35},	//2123 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {83, 2293, 1, 1, Smoke::mf_static, 289, 36},	//2124 Plasma::RunnerScript::tr(const char*)
    {83, 2297, 1, 1, Smoke::mf_static, 289, 37},	//2125 Plasma::RunnerScript::trUtf8(const char*)
    {83, 437, 0, 0, Smoke::mf_ctor, 139, 38},	//2126 Plasma::RunnerScript::RunnerScript()
    {83, 1658, 89, 1, Smoke::mf_const|Smoke::mf_protected, 240, 39},	//2127 Plasma::RunnerScript::serviceQuery(const QString&) const
    {83, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 40},	//2128 Plasma::RunnerScript::staticMetaObject() const
    {83, 2445, 0, 0, Smoke::mf_dtor, 0, 41 },	//2129 Plasma::RunnerScript::~RunnerScript()
    {84, 439, 77, 2, Smoke::mf_ctor, 141, 1},	//2130 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {84, 439, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//2131 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {84, 1419, 91, 1, 0, 140, 3},	//2132 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {84, 624, 89, 1, 0, 0, 4},	//2133 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {84, 980, 0, 0, Smoke::mf_const, 290, 5},	//2134 Plasma::RunnerSyntax::exampleQueries() const
    {84, 981, 0, 0, Smoke::mf_const, 290, 6},	//2135 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {84, 1783, 89, 1, 0, 0, 7},	//2136 Plasma::RunnerSyntax::setDescription(const QString&)
    {84, 873, 0, 0, Smoke::mf_const, 289, 8},	//2137 Plasma::RunnerSyntax::description() const
    {84, 2009, 89, 1, 0, 0, 9},	//2138 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {84, 1648, 0, 0, Smoke::mf_const, 289, 10},	//2139 Plasma::RunnerSyntax::searchTermDescription() const
    {84, 2446, 0, 0, Smoke::mf_dtor, 0, 11 },	//2140 Plasma::RunnerSyntax::~RunnerSyntax()
    {85, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2141 Plasma::ScriptEngine::metaObject() const
    {85, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2142 Plasma::ScriptEngine::qt_metacast(const char*)
    {85, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2143 Plasma::ScriptEngine::tr(const char*, const char*)
    {85, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2144 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {85, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2145 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {85, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2146 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {85, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2147 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {85, 1108, 0, 0, Smoke::mf_virtual, 382, 8},	//2148 Plasma::ScriptEngine::init()
    {85, 447, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 142, 9},	//2149 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {85, 1337, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 10},	//2150 Plasma::ScriptEngine::mainScript() const
    {85, 1425, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 405, 11},	//2151 Plasma::ScriptEngine::package() const
    {85, 2293, 1, 1, Smoke::mf_static, 289, 12},	//2152 Plasma::ScriptEngine::tr(const char*)
    {85, 2297, 1, 1, Smoke::mf_static, 289, 13},	//2153 Plasma::ScriptEngine::trUtf8(const char*)
    {85, 447, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 142, 14},	//2154 Plasma::ScriptEngine::ScriptEngine()
    {85, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 15},	//2155 Plasma::ScriptEngine::staticMetaObject() const
    {85, 2447, 0, 0, Smoke::mf_dtor, 0, 16 },	//2156 Plasma::ScriptEngine::~ScriptEngine()
    {86, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2157 Plasma::ScrollBar::metaObject() const
    {86, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2158 Plasma::ScrollBar::qt_metacast(const char*)
    {86, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2159 Plasma::ScrollBar::tr(const char*, const char*)
    {86, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2160 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {86, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2161 Plasma::ScrollBar::tr(const char*, const char*, int)
    {86, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2162 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {86, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2163 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {86, 449, 125, 1, Smoke::mf_ctor, 143, 8},	//2164 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {86, 1978, 368, 2, 0, 0, 9},	//2165 Plasma::ScrollBar::setRange(int, int)
    {86, 2033, 129, 1, Smoke::mf_property, 0, 10},	//2166 Plasma::ScrollBar::setSingleStep(int)
    {86, 2187, 0, 0, Smoke::mf_property, 473, 11},	//2167 Plasma::ScrollBar::singleStep()
    {86, 1943, 129, 1, Smoke::mf_property, 0, 12},	//2168 Plasma::ScrollBar::setPageStep(int)
    {86, 1430, 0, 0, Smoke::mf_property, 473, 13},	//2169 Plasma::ScrollBar::pageStep()
    {86, 2349, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 14},	//2170 Plasma::ScrollBar::value() const
    {86, 1374, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 15},	//2171 Plasma::ScrollBar::minimum() const
    {86, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 16},	//2172 Plasma::ScrollBar::maximum() const
    {86, 1912, 748, 1, Smoke::mf_const|Smoke::mf_property, 0, 17},	//2173 Plasma::ScrollBar::setMinimum(const int) const
    {86, 1904, 748, 1, Smoke::mf_const|Smoke::mf_property, 0, 18},	//2174 Plasma::ScrollBar::setMaximum(const int) const
    {86, 2048, 89, 1, Smoke::mf_property, 0, 19},	//2175 Plasma::ScrollBar::setStyleSheet(const QString&)
    {86, 2230, 0, 0, Smoke::mf_property, 289, 20},	//2176 Plasma::ScrollBar::styleSheet()
    {86, 1401, 0, 0, Smoke::mf_const, 284, 21},	//2177 Plasma::ScrollBar::nativeWidget() const
    {86, 1423, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 22},	//2178 Plasma::ScrollBar::orientation() const
    {86, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2179 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {86, 2118, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//2180 Plasma::ScrollBar::setValue(int)
    {86, 1935, 630, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2181 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {86, 2350, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2182 Plasma::ScrollBar::valueChanged(int)
    {86, 2198, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2183 Plasma::ScrollBar::sliderMoved(int)
    {86, 2293, 1, 1, Smoke::mf_static, 289, 28},	//2184 Plasma::ScrollBar::tr(const char*)
    {86, 2297, 1, 1, Smoke::mf_static, 289, 29},	//2185 Plasma::ScrollBar::trUtf8(const char*)
    {86, 449, 0, 0, Smoke::mf_ctor, 143, 30},	//2186 Plasma::ScrollBar::ScrollBar()
    {86, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 31},	//2187 Plasma::ScrollBar::staticMetaObject() const
    {86, 2448, 0, 0, Smoke::mf_dtor, 0, 32 },	//2188 Plasma::ScrollBar::~ScrollBar()
    {87, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2189 Plasma::ScrollWidget::metaObject() const
    {87, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2190 Plasma::ScrollWidget::qt_metacast(const char*)
    {87, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2191 Plasma::ScrollWidget::tr(const char*, const char*)
    {87, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2192 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {87, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2193 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {87, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2194 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {87, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2195 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {87, 452, 125, 1, Smoke::mf_ctor, 144, 8},	//2196 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {87, 452, 170, 1, Smoke::mf_ctor, 144, 9},	//2197 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {87, 2143, 125, 1, 0, 0, 10},	//2198 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {87, 2380, 0, 0, Smoke::mf_const, 226, 11},	//2199 Plasma::ScrollWidget::widget() const
    {87, 1668, 647, 1, 0, 0, 12},	//2200 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {87, 667, 0, 0, Smoke::mf_const, 205, 13},	//2201 Plasma::ScrollWidget::alignment() const
    {87, 1937, 7, 1, Smoke::mf_property, 0, 14},	//2202 Plasma::ScrollWidget::setOverShoot(bool)
    {87, 1068, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 15},	//2203 Plasma::ScrollWidget::hasOverShoot() const
    {87, 1855, 750, 1, Smoke::mf_property, 0, 16},	//2204 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 17},	//2205 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {87, 2130, 750, 1, Smoke::mf_property, 0, 18},	//2206 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 2362, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 19},	//2207 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {87, 1424, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 20},	//2208 Plasma::ScrollWidget::overflowBordersVisible() const
    {87, 1939, 109, 1, Smoke::mf_property, 0, 21},	//2209 Plasma::ScrollWidget::setOverflowBordersVisible(const bool)
    {87, 968, 641, 1, 0, 0, 22},	//2210 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {87, 966, 170, 1, 0, 0, 23},	//2211 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {87, 1513, 125, 1, 0, 0, 24},	//2212 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {87, 2312, 125, 1, 0, 0, 25},	//2213 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {87, 2367, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 26},	//2214 Plasma::ScrollWidget::viewportGeometry() const
    {87, 812, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 27},	//2215 Plasma::ScrollWidget::contentsSize() const
    {87, 2007, 382, 1, Smoke::mf_property, 0, 28},	//2216 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {87, 1641, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 29},	//2217 Plasma::ScrollWidget::scrollPosition() const
    {87, 2035, 593, 1, Smoke::mf_property, 0, 30},	//2218 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {87, 2200, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 31},	//2219 Plasma::ScrollWidget::snapSize() const
    {87, 2048, 89, 1, Smoke::mf_property, 0, 32},	//2220 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {87, 2230, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 33},	//2221 Plasma::ScrollWidget::styleSheet() const
    {87, 1401, 0, 0, Smoke::mf_const, 304, 34},	//2222 Plasma::ScrollWidget::nativeWidget() const
    {87, 1642, 752, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2223 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {87, 2368, 641, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2224 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {87, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2225 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {87, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2226 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {87, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2227 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {87, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2228 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {87, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2229 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {87, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2230 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {87, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 43},	//2231 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {87, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2232 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {87, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 45},	//2233 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {87, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 46},	//2234 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {87, 2293, 1, 1, Smoke::mf_static, 289, 47},	//2235 Plasma::ScrollWidget::tr(const char*)
    {87, 2297, 1, 1, Smoke::mf_static, 289, 48},	//2236 Plasma::ScrollWidget::trUtf8(const char*)
    {87, 452, 0, 0, Smoke::mf_ctor, 144, 49},	//2237 Plasma::ScrollWidget::ScrollWidget()
    {87, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 50},	//2238 Plasma::ScrollWidget::staticMetaObject() const
    {87, 2449, 0, 0, Smoke::mf_dtor, 0, 51 },	//2239 Plasma::ScrollWidget::~ScrollWidget()
    {88, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2240 Plasma::Separator::metaObject() const
    {88, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2241 Plasma::Separator::qt_metacast(const char*)
    {88, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2242 Plasma::Separator::tr(const char*, const char*)
    {88, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2243 Plasma::Separator::trUtf8(const char*, const char*)
    {88, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2244 Plasma::Separator::tr(const char*, const char*, int)
    {88, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2245 Plasma::Separator::trUtf8(const char*, const char*, int)
    {88, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2246 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {88, 455, 755, 2, Smoke::mf_ctor, 145, 8},	//2247 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {88, 1935, 630, 1, Smoke::mf_property, 0, 9},	//2248 Plasma::Separator::setOrientation(Qt::Orientation)
    {88, 1423, 0, 0, Smoke::mf_property, 352, 10},	//2249 Plasma::Separator::orientation()
    {88, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2250 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {88, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 12},	//2251 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {88, 2293, 1, 1, Smoke::mf_static, 289, 13},	//2252 Plasma::Separator::tr(const char*)
    {88, 2297, 1, 1, Smoke::mf_static, 289, 14},	//2253 Plasma::Separator::trUtf8(const char*)
    {88, 455, 0, 0, Smoke::mf_ctor, 145, 15},	//2254 Plasma::Separator::Separator()
    {88, 455, 170, 1, Smoke::mf_ctor, 145, 16},	//2255 Plasma::Separator::Separator(QGraphicsItem*)
    {88, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 17},	//2256 Plasma::Separator::staticMetaObject() const
    {88, 2450, 0, 0, Smoke::mf_dtor, 0, 18 },	//2257 Plasma::Separator::~Separator()
    {89, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2258 Plasma::Service::metaObject() const
    {89, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2259 Plasma::Service::qt_metacast(const char*)
    {89, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2260 Plasma::Service::tr(const char*, const char*)
    {89, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2261 Plasma::Service::trUtf8(const char*, const char*)
    {89, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2262 Plasma::Service::tr(const char*, const char*, int)
    {89, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2263 Plasma::Service::trUtf8(const char*, const char*, int)
    {89, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2264 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {89, 1294, 758, 3, Smoke::mf_static, 146, 8},	//2265 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {89, 1294, 149, 2, Smoke::mf_static, 146, 9},	//2266 Plasma::Service::load(const QString&, QObject*)
    {89, 581, 116, 2, Smoke::mf_static, 146, 10},	//2267 Plasma::Service::access(const KUrl&, QObject*)
    {89, 1785, 89, 1, Smoke::mf_property, 0, 11},	//2268 Plasma::Service::setDestination(const QString&)
    {89, 875, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//2269 Plasma::Service::destination() const
    {89, 1415, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 13},	//2270 Plasma::Service::operationNames() const
    {89, 1413, 89, 1, 0, 8, 14},	//2271 Plasma::Service::operationDescription(const QString&)
    {89, 2212, 762, 2, 0, 148, 15},	//2272 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {89, 1156, 89, 1, Smoke::mf_const, 382, 16},	//2273 Plasma::Service::isOperationEnabled(const QString&) const
    {89, 1399, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2274 Plasma::Service::name() const
    {89, 704, 765, 2, 0, 0, 18},	//2275 Plasma::Service::associateWidget(QWidget*, const QString&)
    {89, 887, 57, 1, 0, 0, 19},	//2276 Plasma::Service::disassociateWidget(QWidget*)
    {89, 704, 768, 2, 0, 0, 20},	//2277 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {89, 887, 125, 1, 0, 0, 21},	//2278 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {89, 1453, 111, 1, 0, 258, 22},	//2279 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {89, 1007, 771, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2280 Plasma::Service::finished(Plasma::ServiceJob*)
    {89, 1416, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2281 Plasma::Service::operationsChanged()
    {89, 1661, 773, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2282 Plasma::Service::serviceReady(Plasma::Service*)
    {89, 458, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 26},	//2283 Plasma::Service::Service(QObject*)
    {89, 458, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 146, 27},	//2284 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {89, 835, 775, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 28},	//2285 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {89, 1515, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2286 Plasma::Service::registerOperationsScheme()
    {89, 1933, 778, 1, Smoke::mf_protected, 0, 30},	//2287 Plasma::Service::setOperationsScheme(QIODevice*)
    {89, 1921, 89, 1, Smoke::mf_protected, 0, 31},	//2288 Plasma::Service::setName(const QString&)
    {89, 1931, 197, 2, Smoke::mf_protected, 0, 32},	//2289 Plasma::Service::setOperationEnabled(const QString&, bool)
    {89, 2293, 1, 1, Smoke::mf_static, 289, 33},	//2290 Plasma::Service::tr(const char*)
    {89, 2297, 1, 1, Smoke::mf_static, 289, 34},	//2291 Plasma::Service::trUtf8(const char*)
    {89, 1294, 113, 2, Smoke::mf_static, 146, 35},	//2292 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {89, 1294, 89, 1, Smoke::mf_static, 146, 36},	//2293 Plasma::Service::load(const QString&)
    {89, 581, 119, 1, Smoke::mf_static, 146, 37},	//2294 Plasma::Service::access(const KUrl&)
    {89, 2212, 111, 1, 0, 148, 38},	//2295 Plasma::Service::startOperationCall(const KConfigGroup&)
    {89, 458, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 146, 39},	//2296 Plasma::Service::Service()
    {89, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 40},	//2297 Plasma::Service::staticMetaObject() const
    {89, 2451, 0, 0, Smoke::mf_dtor, 0, 41 },	//2298 Plasma::Service::~Service()
    {90, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2299 Plasma::ServiceAccessJob::metaObject() const
    {90, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2300 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {90, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2301 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {90, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2302 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {90, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2303 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {90, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2304 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {90, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2305 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 1653, 0, 0, Smoke::mf_const, 146, 8},	//2306 Plasma::ServiceAccessJob::service() const
    {90, 461, 780, 2, Smoke::mf_ctor|Smoke::mf_protected, 147, 9},	//2307 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {90, 2211, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2308 Plasma::ServiceAccessJob::start()
    {90, 2293, 1, 1, Smoke::mf_static, 289, 11},	//2309 Plasma::ServiceAccessJob::tr(const char*)
    {90, 2297, 1, 1, Smoke::mf_static, 289, 12},	//2310 Plasma::ServiceAccessJob::trUtf8(const char*)
    {90, 461, 783, 1, Smoke::mf_ctor|Smoke::mf_protected, 147, 13},	//2311 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {90, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 14},	//2312 Plasma::ServiceAccessJob::staticMetaObject() const
    {90, 2452, 0, 0, Smoke::mf_dtor, 0, 15 },	//2313 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {92, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2314 Plasma::SignalPlotter::metaObject() const
    {92, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2315 Plasma::SignalPlotter::qt_metacast(const char*)
    {92, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2316 Plasma::SignalPlotter::tr(const char*, const char*)
    {92, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2317 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {92, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2318 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {92, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2319 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {92, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2320 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {92, 467, 170, 1, Smoke::mf_ctor, 149, 8},	//2321 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {92, 638, 571, 1, 0, 0, 9},	//2322 Plasma::SignalPlotter::addPlot(const QColor&)
    {92, 645, 785, 1, 0, 0, 10},	//2323 Plasma::SignalPlotter::addSample(const QList<double>&)
    {92, 1577, 787, 1, 0, 0, 11},	//2324 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {92, 1559, 36, 1, 0, 0, 12},	//2325 Plasma::SignalPlotter::removePlot(unsigned int)
    {92, 1468, 0, 0, 0, 248, 13},	//2326 Plasma::SignalPlotter::plotColors()
    {92, 2090, 89, 1, Smoke::mf_property, 0, 14},	//2327 Plasma::SignalPlotter::setTitle(const QString&)
    {92, 2281, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//2328 Plasma::SignalPlotter::title() const
    {92, 2102, 89, 1, Smoke::mf_property, 0, 16},	//2329 Plasma::SignalPlotter::setUnit(const QString&)
    {92, 2308, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2330 Plasma::SignalPlotter::unit() const
    {92, 1621, 721, 1, 0, 0, 18},	//2331 Plasma::SignalPlotter::scale(double)
    {92, 1623, 0, 0, Smoke::mf_const, 470, 19},	//2332 Plasma::SignalPlotter::scaledBy() const
    {92, 2108, 7, 1, Smoke::mf_property, 0, 20},	//2333 Plasma::SignalPlotter::setUseAutoRange(bool)
    {92, 2340, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 21},	//2334 Plasma::SignalPlotter::useAutoRange() const
    {92, 2128, 789, 2, 0, 0, 22},	//2335 Plasma::SignalPlotter::setVerticalRange(double, double)
    {92, 2361, 0, 0, Smoke::mf_const, 470, 23},	//2336 Plasma::SignalPlotter::verticalMinValue() const
    {92, 2360, 0, 0, Smoke::mf_const, 470, 24},	//2337 Plasma::SignalPlotter::verticalMaxValue() const
    {92, 1853, 36, 1, 0, 0, 25},	//2338 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {92, 1083, 0, 0, Smoke::mf_const, 479, 26},	//2339 Plasma::SignalPlotter::horizontalScale() const
    {92, 2023, 7, 1, Smoke::mf_property, 0, 27},	//2340 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {92, 2181, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 28},	//2341 Plasma::SignalPlotter::showVerticalLines() const
    {92, 2122, 571, 1, Smoke::mf_property, 0, 29},	//2342 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {92, 2357, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 30},	//2343 Plasma::SignalPlotter::verticalLinesColor() const
    {92, 2124, 36, 1, 0, 0, 31},	//2344 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {92, 2358, 0, 0, Smoke::mf_const, 479, 32},	//2345 Plasma::SignalPlotter::verticalLinesDistance() const
    {92, 2126, 7, 1, Smoke::mf_property, 0, 33},	//2346 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {92, 2359, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 34},	//2347 Plasma::SignalPlotter::verticalLinesScroll() const
    {92, 2017, 7, 1, Smoke::mf_property, 0, 35},	//2348 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {92, 2173, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 36},	//2349 Plasma::SignalPlotter::showHorizontalLines() const
    {92, 1849, 571, 1, Smoke::mf_property, 0, 37},	//2350 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {92, 1081, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 38},	//2351 Plasma::SignalPlotter::horizontalLinesColor() const
    {92, 1826, 571, 1, Smoke::mf_property, 0, 39},	//2352 Plasma::SignalPlotter::setFontColor(const QColor&)
    {92, 1028, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 40},	//2353 Plasma::SignalPlotter::fontColor() const
    {92, 1823, 569, 1, Smoke::mf_property, 0, 41},	//2354 Plasma::SignalPlotter::setFont(const QFont&)
    {92, 1025, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 42},	//2355 Plasma::SignalPlotter::font() const
    {92, 1851, 36, 1, 0, 0, 43},	//2356 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {92, 1082, 0, 0, Smoke::mf_const, 479, 44},	//2357 Plasma::SignalPlotter::horizontalLinesCount() const
    {92, 2019, 7, 1, Smoke::mf_property, 0, 45},	//2358 Plasma::SignalPlotter::setShowLabels(bool)
    {92, 2174, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 46},	//2359 Plasma::SignalPlotter::showLabels() const
    {92, 2021, 7, 1, Smoke::mf_property, 0, 47},	//2360 Plasma::SignalPlotter::setShowTopBar(bool)
    {92, 2180, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 48},	//2361 Plasma::SignalPlotter::showTopBar() const
    {92, 1704, 571, 1, Smoke::mf_property, 0, 49},	//2362 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {92, 721, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 50},	//2363 Plasma::SignalPlotter::backgroundColor() const
    {92, 2058, 89, 1, Smoke::mf_property, 0, 51},	//2364 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {92, 2239, 0, 0, Smoke::mf_property, 289, 52},	//2365 Plasma::SignalPlotter::svgBackground()
    {92, 1233, 36, 1, Smoke::mf_const, 470, 53},	//2366 Plasma::SignalPlotter::lastValue(unsigned int) const
    {92, 1235, 36, 1, Smoke::mf_const, 289, 54},	//2367 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {92, 2088, 7, 1, Smoke::mf_property, 0, 55},	//2368 Plasma::SignalPlotter::setThinFrame(bool)
    {92, 2275, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 56},	//2369 Plasma::SignalPlotter::thinFrame() const
    {92, 2039, 7, 1, Smoke::mf_property, 0, 57},	//2370 Plasma::SignalPlotter::setStackPlots(bool)
    {92, 2209, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 58},	//2371 Plasma::SignalPlotter::stackPlots() const
    {92, 1045, 792, 2, 0, 273, 59},	//2372 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {92, 1832, 641, 1, Smoke::mf_virtual, 0, 60},	//2373 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {92, 2325, 0, 0, Smoke::mf_protected, 0, 61},	//2374 Plasma::SignalPlotter::updateDataBuffers()
    {92, 731, 0, 0, Smoke::mf_protected, 0, 62},	//2375 Plasma::SignalPlotter::calculateNiceRange()
    {92, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2376 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 926, 795, 4, Smoke::mf_protected, 0, 64},	//2377 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {92, 909, 800, 3, Smoke::mf_protected, 0, 65},	//2378 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {92, 917, 800, 3, Smoke::mf_protected, 0, 66},	//2379 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {92, 921, 800, 3, Smoke::mf_protected, 0, 67},	//2380 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {92, 919, 804, 4, Smoke::mf_protected, 0, 68},	//2381 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {92, 923, 804, 4, Smoke::mf_protected, 0, 69},	//2382 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {92, 915, 809, 5, Smoke::mf_protected, 0, 70},	//2383 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {92, 907, 800, 3, Smoke::mf_protected, 0, 71},	//2384 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {92, 912, 804, 4, Smoke::mf_protected, 0, 72},	//2385 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {92, 2293, 1, 1, Smoke::mf_static, 289, 73},	//2386 Plasma::SignalPlotter::tr(const char*)
    {92, 2297, 1, 1, Smoke::mf_static, 289, 74},	//2387 Plasma::SignalPlotter::trUtf8(const char*)
    {92, 467, 0, 0, Smoke::mf_ctor, 149, 75},	//2388 Plasma::SignalPlotter::SignalPlotter()
    {92, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 76},	//2389 Plasma::SignalPlotter::staticMetaObject() const
    {92, 2453, 0, 0, Smoke::mf_dtor, 0, 77 },	//2390 Plasma::SignalPlotter::~SignalPlotter()
    {93, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2391 Plasma::Slider::metaObject() const
    {93, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2392 Plasma::Slider::qt_metacast(const char*)
    {93, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2393 Plasma::Slider::tr(const char*, const char*)
    {93, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2394 Plasma::Slider::trUtf8(const char*, const char*)
    {93, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2395 Plasma::Slider::tr(const char*, const char*, int)
    {93, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2396 Plasma::Slider::trUtf8(const char*, const char*, int)
    {93, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2397 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {93, 473, 125, 1, Smoke::mf_ctor, 150, 8},	//2398 Plasma::Slider::Slider(QGraphicsWidget*)
    {93, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 9},	//2399 Plasma::Slider::maximum() const
    {93, 1374, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 10},	//2400 Plasma::Slider::minimum() const
    {93, 2349, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 11},	//2401 Plasma::Slider::value() const
    {93, 1423, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 12},	//2402 Plasma::Slider::orientation() const
    {93, 2048, 89, 1, Smoke::mf_property, 0, 13},	//2403 Plasma::Slider::setStyleSheet(const QString&)
    {93, 2230, 0, 0, Smoke::mf_property, 289, 14},	//2404 Plasma::Slider::styleSheet()
    {93, 1401, 0, 0, Smoke::mf_const, 288, 15},	//2405 Plasma::Slider::nativeWidget() const
    {93, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2406 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {93, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2407 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {93, 1904, 129, 1, Smoke::mf_slot, 0, 18},	//2408 Plasma::Slider::setMaximum(int)
    {93, 1912, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2409 Plasma::Slider::setMinimum(int)
    {93, 1978, 368, 2, Smoke::mf_slot, 0, 20},	//2410 Plasma::Slider::setRange(int, int)
    {93, 2118, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2411 Plasma::Slider::setValue(int)
    {93, 1935, 630, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2412 Plasma::Slider::setOrientation(Qt::Orientation)
    {93, 2198, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2413 Plasma::Slider::sliderMoved(int)
    {93, 2350, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2414 Plasma::Slider::valueChanged(int)
    {93, 2293, 1, 1, Smoke::mf_static, 289, 25},	//2415 Plasma::Slider::tr(const char*)
    {93, 2297, 1, 1, Smoke::mf_static, 289, 26},	//2416 Plasma::Slider::trUtf8(const char*)
    {93, 473, 0, 0, Smoke::mf_ctor, 150, 27},	//2417 Plasma::Slider::Slider()
    {93, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 28},	//2418 Plasma::Slider::staticMetaObject() const
    {93, 2454, 0, 0, Smoke::mf_dtor, 0, 29 },	//2419 Plasma::Slider::~Slider()
    {94, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2420 Plasma::SpinBox::metaObject() const
    {94, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2421 Plasma::SpinBox::qt_metacast(const char*)
    {94, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2422 Plasma::SpinBox::tr(const char*, const char*)
    {94, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2423 Plasma::SpinBox::trUtf8(const char*, const char*)
    {94, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2424 Plasma::SpinBox::tr(const char*, const char*, int)
    {94, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2425 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {94, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2426 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {94, 479, 125, 1, Smoke::mf_ctor, 151, 8},	//2427 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {94, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 9},	//2428 Plasma::SpinBox::maximum() const
    {94, 1374, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 10},	//2429 Plasma::SpinBox::minimum() const
    {94, 2349, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 11},	//2430 Plasma::SpinBox::value() const
    {94, 2048, 89, 1, Smoke::mf_property, 0, 12},	//2431 Plasma::SpinBox::setStyleSheet(const QString&)
    {94, 2230, 0, 0, Smoke::mf_property, 289, 13},	//2432 Plasma::SpinBox::styleSheet()
    {94, 1401, 0, 0, Smoke::mf_const, 12, 14},	//2433 Plasma::SpinBox::nativeWidget() const
    {94, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2434 Plasma::SpinBox::changeEvent(QEvent*)
    {94, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2435 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {94, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2436 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {94, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2437 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {94, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2438 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2439 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2440 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {94, 1904, 129, 1, Smoke::mf_slot, 0, 22},	//2441 Plasma::SpinBox::setMaximum(int)
    {94, 1912, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2442 Plasma::SpinBox::setMinimum(int)
    {94, 1978, 368, 2, Smoke::mf_slot, 0, 24},	//2443 Plasma::SpinBox::setRange(int, int)
    {94, 2118, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2444 Plasma::SpinBox::setValue(int)
    {94, 2198, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2445 Plasma::SpinBox::sliderMoved(int)
    {94, 2350, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2446 Plasma::SpinBox::valueChanged(int)
    {94, 932, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2447 Plasma::SpinBox::editingFinished()
    {94, 2293, 1, 1, Smoke::mf_static, 289, 29},	//2448 Plasma::SpinBox::tr(const char*)
    {94, 2297, 1, 1, Smoke::mf_static, 289, 30},	//2449 Plasma::SpinBox::trUtf8(const char*)
    {94, 479, 0, 0, Smoke::mf_ctor, 151, 31},	//2450 Plasma::SpinBox::SpinBox()
    {94, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 32},	//2451 Plasma::SpinBox::staticMetaObject() const
    {94, 2455, 0, 0, Smoke::mf_dtor, 0, 33 },	//2452 Plasma::SpinBox::~SpinBox()
    {95, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2453 Plasma::Svg::metaObject() const
    {95, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2454 Plasma::Svg::qt_metacast(const char*)
    {95, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2455 Plasma::Svg::tr(const char*, const char*)
    {95, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2456 Plasma::Svg::trUtf8(const char*, const char*)
    {95, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2457 Plasma::Svg::tr(const char*, const char*, int)
    {95, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2458 Plasma::Svg::trUtf8(const char*, const char*, int)
    {95, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2459 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {95, 494, 97, 1, Smoke::mf_ctor, 152, 8},	//2460 Plasma::Svg::Svg(QObject*)
    {95, 1465, 89, 1, 0, 273, 9},	//2461 Plasma::Svg::pixmap(const QString&)
    {95, 1431, 815, 3, 0, 0, 10},	//2462 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {95, 1431, 819, 4, 0, 0, 11},	//2463 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {95, 1431, 824, 3, 0, 0, 12},	//2464 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {95, 1431, 828, 6, 0, 0, 13},	//2465 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {95, 2188, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 14},	//2466 Plasma::Svg::size() const
    {95, 1587, 789, 2, 0, 0, 15},	//2467 Plasma::Svg::resize(double, double)
    {95, 1587, 593, 1, 0, 0, 16},	//2468 Plasma::Svg::resize(const QSizeF&)
    {95, 1587, 0, 0, 0, 0, 17},	//2469 Plasma::Svg::resize()
    {95, 952, 89, 1, Smoke::mf_const, 286, 18},	//2470 Plasma::Svg::elementSize(const QString&) const
    {95, 950, 89, 1, Smoke::mf_const, 279, 19},	//2471 Plasma::Svg::elementRect(const QString&) const
    {95, 1059, 89, 1, Smoke::mf_const, 382, 20},	//2472 Plasma::Svg::hasElement(const QString&) const
    {95, 945, 545, 1, Smoke::mf_const, 289, 21},	//2473 Plasma::Svg::elementAtPoint(const QPoint&) const
    {95, 1177, 0, 0, Smoke::mf_const, 382, 22},	//2474 Plasma::Svg::isValid() const
    {95, 1743, 7, 1, Smoke::mf_property, 0, 23},	//2475 Plasma::Svg::setContainsMultipleImages(bool)
    {95, 807, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 24},	//2476 Plasma::Svg::containsMultipleImages() const
    {95, 1873, 89, 1, Smoke::mf_property, 0, 25},	//2477 Plasma::Svg::setImagePath(const QString&)
    {95, 1097, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 26},	//2478 Plasma::Svg::imagePath() const
    {95, 2114, 7, 1, Smoke::mf_property, 0, 27},	//2479 Plasma::Svg::setUsingRenderingCache(bool)
    {95, 1176, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 28},	//2480 Plasma::Svg::isUsingRenderingCache() const
    {95, 2084, 835, 1, 0, 0, 29},	//2481 Plasma::Svg::setTheme(Plasma::Theme*)
    {95, 2272, 0, 0, Smoke::mf_const, 157, 30},	//2482 Plasma::Svg::theme() const
    {95, 1579, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2483 Plasma::Svg::repaintNeeded()
    {95, 2189, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2484 Plasma::Svg::sizeChanged()
    {95, 2293, 1, 1, Smoke::mf_static, 289, 33},	//2485 Plasma::Svg::tr(const char*)
    {95, 2297, 1, 1, Smoke::mf_static, 289, 34},	//2486 Plasma::Svg::trUtf8(const char*)
    {95, 494, 0, 0, Smoke::mf_ctor, 152, 35},	//2487 Plasma::Svg::Svg()
    {95, 1465, 0, 0, 0, 273, 36},	//2488 Plasma::Svg::pixmap()
    {95, 1431, 606, 2, 0, 0, 37},	//2489 Plasma::Svg::paint(QPainter*, const QPointF&)
    {95, 1431, 800, 3, 0, 0, 38},	//2490 Plasma::Svg::paint(QPainter*, int, int)
    {95, 1431, 609, 2, 0, 0, 39},	//2491 Plasma::Svg::paint(QPainter*, const QRectF&)
    {95, 1431, 809, 5, 0, 0, 40},	//2492 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {95, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 41},	//2493 Plasma::Svg::staticMetaObject() const
    {95, 2457, 0, 0, Smoke::mf_dtor, 0, 42 },	//2494 Plasma::Svg::~Svg()
    {96, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2495 Plasma::SvgWidget::metaObject() const
    {96, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2496 Plasma::SvgWidget::qt_metacast(const char*)
    {96, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2497 Plasma::SvgWidget::tr(const char*, const char*)
    {96, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2498 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {96, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2499 Plasma::SvgWidget::tr(const char*, const char*, int)
    {96, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2500 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {96, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2501 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {96, 496, 755, 2, Smoke::mf_ctor, 153, 8},	//2502 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 496, 837, 4, Smoke::mf_ctor, 153, 9},	//2503 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 2054, 842, 1, 0, 0, 10},	//2504 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {96, 2238, 0, 0, Smoke::mf_const, 152, 11},	//2505 Plasma::SvgWidget::svg() const
    {96, 1802, 89, 1, Smoke::mf_property, 0, 12},	//2506 Plasma::SvgWidget::setElementID(const QString&)
    {96, 949, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//2507 Plasma::SvgWidget::elementID() const
    {96, 1385, 278, 1, Smoke::mf_virtual, 0, 14},	//2508 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {96, 751, 844, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2509 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {96, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2510 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {96, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 17},	//2511 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {96, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2512 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {96, 2293, 1, 1, Smoke::mf_static, 289, 19},	//2513 Plasma::SvgWidget::tr(const char*)
    {96, 2297, 1, 1, Smoke::mf_static, 289, 20},	//2514 Plasma::SvgWidget::trUtf8(const char*)
    {96, 496, 0, 0, Smoke::mf_ctor, 153, 21},	//2515 Plasma::SvgWidget::SvgWidget()
    {96, 496, 170, 1, Smoke::mf_ctor, 153, 22},	//2516 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {96, 496, 842, 1, Smoke::mf_ctor, 153, 23},	//2517 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {96, 496, 846, 2, Smoke::mf_ctor, 153, 24},	//2518 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {96, 496, 849, 3, Smoke::mf_ctor, 153, 25},	//2519 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {96, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 26},	//2520 Plasma::SvgWidget::staticMetaObject() const
    {96, 2458, 0, 0, Smoke::mf_dtor, 0, 27 },	//2521 Plasma::SvgWidget::~SvgWidget()
    {97, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2522 Plasma::TabBar::metaObject() const
    {97, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2523 Plasma::TabBar::qt_metacast(const char*)
    {97, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2524 Plasma::TabBar::tr(const char*, const char*)
    {97, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2525 Plasma::TabBar::trUtf8(const char*, const char*)
    {97, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2526 Plasma::TabBar::tr(const char*, const char*, int)
    {97, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2527 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {97, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2528 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {97, 502, 125, 1, Smoke::mf_ctor, 154, 8},	//2529 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {97, 1124, 853, 4, 0, 473, 9},	//2530 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 1124, 858, 3, 0, 473, 10},	//2531 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {97, 657, 862, 3, 0, 473, 11},	//2532 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 657, 866, 2, 0, 473, 12},	//2533 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {97, 1563, 129, 1, 0, 0, 13},	//2534 Plasma::TabBar::removeTab(int)
    {97, 2254, 129, 1, 0, 216, 14},	//2535 Plasma::TabBar::takeTab(int)
    {97, 2247, 129, 1, 0, 216, 15},	//2536 Plasma::TabBar::tabAt(int)
    {97, 848, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 16},	//2537 Plasma::TabBar::currentIndex() const
    {97, 824, 0, 0, Smoke::mf_const|Smoke::mf_property, 473, 17},	//2538 Plasma::TabBar::count() const
    {97, 2066, 653, 2, 0, 0, 18},	//2539 Plasma::TabBar::setTabText(int, const QString&)
    {97, 2251, 129, 1, Smoke::mf_const, 289, 19},	//2540 Plasma::TabBar::tabText(int) const
    {97, 2064, 869, 2, 0, 0, 20},	//2541 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {97, 2249, 129, 1, Smoke::mf_const, 233, 21},	//2542 Plasma::TabBar::tabIcon(int) const
    {97, 2062, 7, 1, Smoke::mf_property, 0, 22},	//2543 Plasma::TabBar::setTabBarShown(bool)
    {97, 1172, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 23},	//2544 Plasma::TabBar::isTabBarShown() const
    {97, 2048, 89, 1, Smoke::mf_property, 0, 24},	//2545 Plasma::TabBar::setStyleSheet(const QString&)
    {97, 2230, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 25},	//2546 Plasma::TabBar::styleSheet() const
    {97, 1401, 0, 0, Smoke::mf_const, 25, 26},	//2547 Plasma::TabBar::nativeWidget() const
    {97, 1821, 125, 1, 0, 0, 27},	//2548 Plasma::TabBar::setFirstPositionWidget(QGraphicsWidget*)
    {97, 1009, 0, 0, Smoke::mf_const, 226, 28},	//2549 Plasma::TabBar::firstPositionWidget() const
    {97, 1894, 125, 1, 0, 0, 29},	//2550 Plasma::TabBar::setLastPositionWidget(QGraphicsWidget*)
    {97, 1231, 0, 0, Smoke::mf_const, 226, 30},	//2551 Plasma::TabBar::lastPositionWidget() const
    {97, 1761, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//2552 Plasma::TabBar::setCurrentIndex(int)
    {97, 846, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2553 Plasma::TabBar::currentChanged(int)
    {97, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2554 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {97, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2555 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2556 Plasma::TabBar::changeEvent(QEvent*)
    {97, 2293, 1, 1, Smoke::mf_static, 289, 36},	//2557 Plasma::TabBar::tr(const char*)
    {97, 2297, 1, 1, Smoke::mf_static, 289, 37},	//2558 Plasma::TabBar::trUtf8(const char*)
    {97, 502, 0, 0, Smoke::mf_ctor, 154, 38},	//2559 Plasma::TabBar::TabBar()
    {97, 1124, 872, 3, 0, 473, 39},	//2560 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {97, 1124, 653, 2, 0, 473, 40},	//2561 Plasma::TabBar::insertTab(int, const QString&)
    {97, 657, 638, 2, 0, 473, 41},	//2562 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {97, 657, 89, 1, 0, 473, 42},	//2563 Plasma::TabBar::addTab(const QString&)
    {97, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 43},	//2564 Plasma::TabBar::staticMetaObject() const
    {97, 2459, 0, 0, Smoke::mf_dtor, 0, 44 },	//2565 Plasma::TabBar::~TabBar()
    {98, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2566 Plasma::TextBrowser::metaObject() const
    {98, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2567 Plasma::TextBrowser::qt_metacast(const char*)
    {98, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2568 Plasma::TextBrowser::tr(const char*, const char*)
    {98, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2569 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {98, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2570 Plasma::TextBrowser::tr(const char*, const char*, int)
    {98, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2571 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {98, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2572 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {98, 504, 125, 1, Smoke::mf_ctor, 155, 8},	//2573 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {98, 2078, 89, 1, Smoke::mf_property, 0, 9},	//2574 Plasma::TextBrowser::setText(const QString&)
    {98, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2575 Plasma::TextBrowser::text() const
    {98, 1855, 876, 1, 0, 0, 11},	//2576 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2130, 876, 1, 0, 0, 12},	//2577 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2048, 89, 1, Smoke::mf_property, 0, 13},	//2578 Plasma::TextBrowser::setStyleSheet(const QString&)
    {98, 2230, 0, 0, Smoke::mf_property, 289, 14},	//2579 Plasma::TextBrowser::styleSheet()
    {98, 1401, 0, 0, Smoke::mf_const, 26, 15},	//2580 Plasma::TextBrowser::nativeWidget() const
    {98, 689, 89, 1, Smoke::mf_slot, 0, 16},	//2581 Plasma::TextBrowser::append(const QString&)
    {98, 866, 489, 2, Smoke::mf_slot, 0, 17},	//2582 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {98, 2267, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2583 Plasma::TextBrowser::textChanged()
    {98, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2584 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {98, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2585 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {98, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2586 Plasma::TextBrowser::changeEvent(QEvent*)
    {98, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2587 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {98, 2293, 1, 1, Smoke::mf_static, 289, 23},	//2588 Plasma::TextBrowser::tr(const char*)
    {98, 2297, 1, 1, Smoke::mf_static, 289, 24},	//2589 Plasma::TextBrowser::trUtf8(const char*)
    {98, 504, 0, 0, Smoke::mf_ctor, 155, 25},	//2590 Plasma::TextBrowser::TextBrowser()
    {98, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 26},	//2591 Plasma::TextBrowser::staticMetaObject() const
    {98, 2460, 0, 0, Smoke::mf_dtor, 0, 27 },	//2592 Plasma::TextBrowser::~TextBrowser()
    {99, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2593 Plasma::TextEdit::metaObject() const
    {99, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2594 Plasma::TextEdit::qt_metacast(const char*)
    {99, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2595 Plasma::TextEdit::tr(const char*, const char*)
    {99, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2596 Plasma::TextEdit::trUtf8(const char*, const char*)
    {99, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2597 Plasma::TextEdit::tr(const char*, const char*, int)
    {99, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2598 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {99, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2599 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {99, 507, 125, 1, Smoke::mf_ctor, 156, 8},	//2600 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {99, 2078, 89, 1, Smoke::mf_property, 0, 9},	//2601 Plasma::TextEdit::setText(const QString&)
    {99, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2602 Plasma::TextEdit::text() const
    {99, 1980, 7, 1, Smoke::mf_property, 0, 11},	//2603 Plasma::TextEdit::setReadOnly(bool)
    {99, 1164, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 12},	//2604 Plasma::TextEdit::isReadOnly() const
    {99, 2048, 89, 1, Smoke::mf_property, 0, 13},	//2605 Plasma::TextEdit::setStyleSheet(const QString&)
    {99, 2230, 0, 0, Smoke::mf_property, 289, 14},	//2606 Plasma::TextEdit::styleSheet()
    {99, 1923, 878, 1, 0, 0, 15},	//2607 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {99, 1401, 0, 0, Smoke::mf_const, 27, 16},	//2608 Plasma::TextEdit::nativeWidget() const
    {99, 689, 89, 1, Smoke::mf_slot, 0, 17},	//2609 Plasma::TextEdit::append(const QString&)
    {99, 866, 489, 2, Smoke::mf_slot, 0, 18},	//2610 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {99, 2267, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2611 Plasma::TextEdit::textChanged()
    {99, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2612 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2613 Plasma::TextEdit::changeEvent(QEvent*)
    {99, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2614 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {99, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2615 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {99, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2616 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {99, 2293, 1, 1, Smoke::mf_static, 289, 25},	//2617 Plasma::TextEdit::tr(const char*)
    {99, 2297, 1, 1, Smoke::mf_static, 289, 26},	//2618 Plasma::TextEdit::trUtf8(const char*)
    {99, 507, 0, 0, Smoke::mf_ctor, 156, 27},	//2619 Plasma::TextEdit::TextEdit()
    {99, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 28},	//2620 Plasma::TextEdit::staticMetaObject() const
    {99, 2461, 0, 0, Smoke::mf_dtor, 0, 29 },	//2621 Plasma::TextEdit::~TextEdit()
    {100, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2622 Plasma::Theme::metaObject() const
    {100, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2623 Plasma::Theme::qt_metacast(const char*)
    {100, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2624 Plasma::Theme::tr(const char*, const char*)
    {100, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2625 Plasma::Theme::trUtf8(const char*, const char*)
    {100, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2626 Plasma::Theme::tr(const char*, const char*, int)
    {100, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2627 Plasma::Theme::trUtf8(const char*, const char*, int)
    {100, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2628 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {100, 870, 0, 0, Smoke::mf_static, 157, 8},	//2629 Plasma::Theme::defaultTheme()
    {100, 509, 97, 1, Smoke::mf_ctor, 157, 9},	//2630 Plasma::Theme::Theme(QObject*)
    {100, 509, 149, 2, Smoke::mf_ctor, 157, 10},	//2631 Plasma::Theme::Theme(const QString&, QObject*)
    {100, 1426, 0, 0, Smoke::mf_static, 20, 11},	//2632 Plasma::Theme::packageStructure()
    {100, 1286, 0, 0, Smoke::mf_static, 238, 12},	//2633 Plasma::Theme::listThemeInfo()
    {100, 2086, 89, 1, 0, 0, 13},	//2634 Plasma::Theme::setThemeName(const QString&)
    {100, 2274, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2635 Plasma::Theme::themeName() const
    {100, 1097, 89, 1, Smoke::mf_const, 289, 15},	//2636 Plasma::Theme::imagePath(const QString&) const
    {100, 683, 89, 1, Smoke::mf_const, 289, 16},	//2637 Plasma::Theme::animationPath(const QString&) const
    {100, 2375, 186, 1, Smoke::mf_const, 289, 17},	//2638 Plasma::Theme::wallpaperPath(const QSize&) const
    {100, 853, 89, 1, Smoke::mf_const, 382, 18},	//2639 Plasma::Theme::currentThemeHasImage(const QString&) const
    {100, 762, 0, 0, Smoke::mf_const, 19, 19},	//2640 Plasma::Theme::colorScheme() const
    {100, 760, 880, 1, Smoke::mf_const, 187, 20},	//2641 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {100, 1823, 882, 2, 0, 0, 21},	//2642 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {100, 1025, 885, 1, Smoke::mf_const, 209, 22},	//2643 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {100, 1029, 0, 0, Smoke::mf_const, 210, 23},	//2644 Plasma::Theme::fontMetrics() const
    {100, 2387, 0, 0, Smoke::mf_const, 382, 24},	//2645 Plasma::Theme::windowTranslucencyEnabled() const
    {100, 2110, 7, 1, 0, 0, 25},	//2646 Plasma::Theme::setUseGlobalSettings(bool)
    {100, 2342, 0, 0, Smoke::mf_const, 382, 26},	//2647 Plasma::Theme::useGlobalSettings() const
    {100, 2343, 0, 0, Smoke::mf_const, 382, 27},	//2648 Plasma::Theme::useNativeWidgetStyle() const
    {100, 2230, 89, 1, Smoke::mf_const, 289, 28},	//2649 Plasma::Theme::styleSheet(const QString&) const
    {100, 998, 887, 2, 0, 382, 29},	//2650 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {100, 998, 890, 3, 0, 382, 30},	//2651 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {100, 1119, 894, 2, 0, 0, 31},	//2652 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {100, 1119, 897, 3, 0, 0, 32},	//2653 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {100, 1714, 129, 1, 0, 0, 33},	//2654 Plasma::Theme::setCacheLimit(int)
    {100, 1001, 901, 3, Smoke::mf_const, 382, 34},	//2655 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {100, 1258, 89, 1, Smoke::mf_const, 290, 35},	//2656 Plasma::Theme::listCachedRectKeys(const QString&) const
    {100, 1122, 905, 3, 0, 0, 36},	//2657 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {100, 1132, 89, 1, 0, 0, 37},	//2658 Plasma::Theme::invalidateRectsCache(const QString&)
    {100, 1524, 89, 1, 0, 0, 38},	//2659 Plasma::Theme::releaseRectsCache(const QString&)
    {100, 2273, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2660 Plasma::Theme::themeChanged()
    {100, 2153, 0, 0, Smoke::mf_slot, 0, 40},	//2661 Plasma::Theme::settingsChanged()
    {100, 2293, 1, 1, Smoke::mf_static, 289, 41},	//2662 Plasma::Theme::tr(const char*)
    {100, 2297, 1, 1, Smoke::mf_static, 289, 42},	//2663 Plasma::Theme::trUtf8(const char*)
    {100, 509, 0, 0, Smoke::mf_ctor, 157, 43},	//2664 Plasma::Theme::Theme()
    {100, 509, 89, 1, Smoke::mf_ctor, 157, 44},	//2665 Plasma::Theme::Theme(const QString&)
    {100, 2375, 0, 0, Smoke::mf_const, 289, 45},	//2666 Plasma::Theme::wallpaperPath() const
    {100, 1823, 569, 1, 0, 0, 46},	//2667 Plasma::Theme::setFont(const QFont&)
    {100, 2230, 0, 0, Smoke::mf_const, 289, 47},	//2668 Plasma::Theme::styleSheet() const
    {100, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 48},	//2669 Plasma::Theme::staticMetaObject() const
    {100, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 49},	//2670 Plasma::Theme::TextColor (enum)
    {100, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 50},	//2671 Plasma::Theme::HighlightColor (enum)
    {100, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 51},	//2672 Plasma::Theme::BackgroundColor (enum)
    {100, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 52},	//2673 Plasma::Theme::ButtonTextColor (enum)
    {100, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 53},	//2674 Plasma::Theme::ButtonBackgroundColor (enum)
    {100, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 54},	//2675 Plasma::Theme::LinkColor (enum)
    {100, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 55},	//2676 Plasma::Theme::VisitedLinkColor (enum)
    {100, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 56},	//2677 Plasma::Theme::ButtonHoverColor (enum)
    {100, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 57},	//2678 Plasma::Theme::ButtonFocusColor (enum)
    {100, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 58},	//2679 Plasma::Theme::ViewTextColor (enum)
    {100, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 59},	//2680 Plasma::Theme::ViewBackgroundColor (enum)
    {100, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 60},	//2681 Plasma::Theme::ViewHoverColor (enum)
    {100, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 61},	//2682 Plasma::Theme::ViewFocusColor (enum)
    {100, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 62},	//2683 Plasma::Theme::DefaultFont (enum)
    {100, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 63},	//2684 Plasma::Theme::DesktopFont (enum)
    {100, 2462, 0, 0, Smoke::mf_dtor, 0, 64 },	//2685 Plasma::Theme::~Theme()
    {101, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2686 Plasma::ToolButton::metaObject() const
    {101, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2687 Plasma::ToolButton::qt_metacast(const char*)
    {101, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2688 Plasma::ToolButton::tr(const char*, const char*)
    {101, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2689 Plasma::ToolButton::trUtf8(const char*, const char*)
    {101, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2690 Plasma::ToolButton::tr(const char*, const char*, int)
    {101, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2691 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {101, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2692 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {101, 514, 125, 1, Smoke::mf_ctor, 160, 8},	//2693 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {101, 1700, 7, 1, Smoke::mf_property, 0, 9},	//2694 Plasma::ToolButton::setAutoRaise(bool)
    {101, 715, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 10},	//2695 Plasma::ToolButton::autoRaise() const
    {101, 2078, 89, 1, Smoke::mf_property, 0, 11},	//2696 Plasma::ToolButton::setText(const QString&)
    {101, 2265, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//2697 Plasma::ToolButton::text() const
    {101, 1869, 89, 1, Smoke::mf_property, 0, 13},	//2698 Plasma::ToolButton::setImage(const QString&)
    {101, 1869, 77, 2, 0, 0, 14},	//2699 Plasma::ToolButton::setImage(const QString&, const QString&)
    {101, 1096, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//2700 Plasma::ToolButton::image() const
    {101, 1789, 7, 1, Smoke::mf_property, 0, 16},	//2701 Plasma::ToolButton::setDown(bool)
    {101, 1147, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//2702 Plasma::ToolButton::isDown() const
    {101, 2048, 89, 1, Smoke::mf_property, 0, 18},	//2703 Plasma::ToolButton::setStyleSheet(const QString&)
    {101, 2230, 0, 0, Smoke::mf_property, 289, 19},	//2704 Plasma::ToolButton::styleSheet()
    {101, 1664, 107, 1, 0, 0, 20},	//2705 Plasma::ToolButton::setAction(QAction*)
    {101, 586, 0, 0, Smoke::mf_const, 181, 21},	//2706 Plasma::ToolButton::action() const
    {101, 1862, 557, 1, 0, 0, 22},	//2707 Plasma::ToolButton::setIcon(const QIcon&)
    {101, 1092, 0, 0, Smoke::mf_const, 233, 23},	//2708 Plasma::ToolButton::icon() const
    {101, 1401, 0, 0, Smoke::mf_const, 297, 24},	//2709 Plasma::ToolButton::nativeWidget() const
    {101, 751, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2710 Plasma::ToolButton::clicked()
    {101, 1487, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2711 Plasma::ToolButton::pressed()
    {101, 1527, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2712 Plasma::ToolButton::released()
    {101, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2713 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {101, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2714 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {101, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2715 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {101, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2716 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {101, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2717 Plasma::ToolButton::changeEvent(QEvent*)
    {101, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 33},	//2718 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {101, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 34},	//2719 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {101, 2293, 1, 1, Smoke::mf_static, 289, 35},	//2720 Plasma::ToolButton::tr(const char*)
    {101, 2297, 1, 1, Smoke::mf_static, 289, 36},	//2721 Plasma::ToolButton::trUtf8(const char*)
    {101, 514, 0, 0, Smoke::mf_ctor, 160, 37},	//2722 Plasma::ToolButton::ToolButton()
    {101, 1431, 326, 2, Smoke::mf_protected, 0, 38},	//2723 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {101, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 39},	//2724 Plasma::ToolButton::staticMetaObject() const
    {101, 2463, 0, 0, Smoke::mf_dtor, 0, 40 },	//2725 Plasma::ToolButton::~ToolButton()
    {102, 516, 0, 0, Smoke::mf_ctor, 162, 1},	//2726 Plasma::ToolTipContent::ToolTipContent()
    {102, 516, 909, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 2},	//2727 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {102, 516, 911, 3, Smoke::mf_ctor, 162, 3},	//2728 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {102, 516, 915, 3, Smoke::mf_ctor, 162, 4},	//2729 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {102, 1419, 909, 1, 0, 161, 5},	//2730 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {102, 1148, 0, 0, Smoke::mf_const, 382, 6},	//2731 Plasma::ToolTipContent::isEmpty() const
    {102, 1900, 89, 1, 0, 0, 7},	//2732 Plasma::ToolTipContent::setMainText(const QString&)
    {102, 1338, 0, 0, Smoke::mf_const, 289, 8},	//2733 Plasma::ToolTipContent::mainText() const
    {102, 2050, 89, 1, 0, 0, 9},	//2734 Plasma::ToolTipContent::setSubText(const QString&)
    {102, 2232, 0, 0, Smoke::mf_const, 289, 10},	//2735 Plasma::ToolTipContent::subText() const
    {102, 1869, 584, 1, 0, 0, 11},	//2736 Plasma::ToolTipContent::setImage(const QPixmap&)
    {102, 1869, 557, 1, 0, 0, 12},	//2737 Plasma::ToolTipContent::setImage(const QIcon&)
    {102, 1096, 0, 0, Smoke::mf_const, 273, 13},	//2738 Plasma::ToolTipContent::image() const
    {102, 2145, 919, 1, 0, 0, 14},	//2739 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {102, 2386, 0, 0, Smoke::mf_const, 480, 15},	//2740 Plasma::ToolTipContent::windowToPreview() const
    {102, 2147, 921, 1, 0, 0, 16},	//2741 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {102, 2388, 0, 0, Smoke::mf_const, 257, 17},	//2742 Plasma::ToolTipContent::windowsToPreview() const
    {102, 1847, 7, 1, 0, 0, 18},	//2743 Plasma::ToolTipContent::setHighlightWindows(bool)
    {102, 1080, 0, 0, Smoke::mf_const, 382, 19},	//2744 Plasma::ToolTipContent::highlightWindows() const
    {102, 1702, 7, 1, 0, 0, 20},	//2745 Plasma::ToolTipContent::setAutohide(bool)
    {102, 716, 0, 0, Smoke::mf_const, 382, 21},	//2746 Plasma::ToolTipContent::autohide() const
    {102, 643, 923, 3, 0, 0, 22},	//2747 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {102, 1518, 927, 1, Smoke::mf_const, 0, 23},	//2748 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {102, 1726, 7, 1, 0, 0, 24},	//2749 Plasma::ToolTipContent::setClickable(bool)
    {102, 1143, 0, 0, Smoke::mf_const, 382, 25},	//2750 Plasma::ToolTipContent::isClickable() const
    {102, 1836, 125, 1, 0, 0, 26},	//2751 Plasma::ToolTipContent::setGraphicsWidget(QGraphicsWidget*)
    {102, 1051, 0, 0, Smoke::mf_const, 226, 27},	//2752 Plasma::ToolTipContent::graphicsWidget() const
    {102, 516, 77, 2, Smoke::mf_ctor, 162, 28},	//2753 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {102, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 29},	//2754 Plasma::ToolTipContent::ImageResource (enum)
    {102, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 30},	//2755 Plasma::ToolTipContent::HtmlResource (enum)
    {102, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 31},	//2756 Plasma::ToolTipContent::CssResource (enum)
    {102, 2464, 0, 0, Smoke::mf_dtor, 0, 32 },	//2757 Plasma::ToolTipContent::~ToolTipContent()
    {103, 1364, 0, 0, Smoke::mf_const, 438, 1},	//2758 Plasma::ToolTipManager::metaObject() const
    {103, 1498, 1, 1, 0, 481, 2},	//2759 Plasma::ToolTipManager::qt_metacast(const char*)
    {103, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2760 Plasma::ToolTipManager::tr(const char*, const char*)
    {103, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2761 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {103, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2762 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {103, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2763 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {103, 1496, 3, 3, 0, 473, 7},	//2764 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {103, 1652, 0, 0, Smoke::mf_static, 164, 8},	//2765 Plasma::ToolTipManager::self()
    {103, 2158, 125, 1, 0, 0, 9},	//2766 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {103, 1178, 125, 1, Smoke::mf_const, 382, 10},	//2767 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {103, 1074, 125, 1, 0, 0, 11},	//2768 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {103, 1522, 125, 1, 0, 0, 12},	//2769 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {103, 2316, 125, 1, 0, 0, 13},	//2770 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {103, 1745, 929, 2, 0, 0, 14},	//2771 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {103, 747, 125, 1, 0, 0, 15},	//2772 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {103, 2041, 932, 1, 0, 0, 16},	//2773 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {103, 2216, 0, 0, Smoke::mf_const, 165, 17},	//2774 Plasma::ToolTipManager::state() const
    {103, 2384, 934, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2775 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 1243, 939, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2776 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 2293, 1, 1, Smoke::mf_static, 289, 20},	//2777 Plasma::ToolTipManager::tr(const char*)
    {103, 2297, 1, 1, Smoke::mf_static, 289, 21},	//2778 Plasma::ToolTipManager::trUtf8(const char*)
    {103, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 22},	//2779 Plasma::ToolTipManager::staticMetaObject() const
    {103, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 23},	//2780 Plasma::ToolTipManager::Activated (enum)
    {103, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 24},	//2781 Plasma::ToolTipManager::Inhibited (enum)
    {103, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 25},	//2782 Plasma::ToolTipManager::Deactivated (enum)
    {104, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2783 Plasma::TreeView::metaObject() const
    {104, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2784 Plasma::TreeView::qt_metacast(const char*)
    {104, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2785 Plasma::TreeView::tr(const char*, const char*)
    {104, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2786 Plasma::TreeView::trUtf8(const char*, const char*)
    {104, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2787 Plasma::TreeView::tr(const char*, const char*, int)
    {104, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2788 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {104, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2789 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {104, 529, 125, 1, Smoke::mf_ctor, 166, 8},	//2790 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {104, 1918, 944, 1, 0, 0, 9},	//2791 Plasma::TreeView::setModel(QAbstractItemModel*)
    {104, 1378, 0, 0, 0, 180, 10},	//2792 Plasma::TreeView::model()
    {104, 2048, 89, 1, Smoke::mf_property, 0, 11},	//2793 Plasma::TreeView::setStyleSheet(const QString&)
    {104, 2230, 0, 0, Smoke::mf_property, 289, 12},	//2794 Plasma::TreeView::styleSheet()
    {104, 1401, 0, 0, Smoke::mf_const, 298, 13},	//2795 Plasma::TreeView::nativeWidget() const
    {104, 2293, 1, 1, Smoke::mf_static, 289, 14},	//2796 Plasma::TreeView::tr(const char*)
    {104, 2297, 1, 1, Smoke::mf_static, 289, 15},	//2797 Plasma::TreeView::trUtf8(const char*)
    {104, 529, 0, 0, Smoke::mf_ctor, 166, 16},	//2798 Plasma::TreeView::TreeView()
    {104, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 17},	//2799 Plasma::TreeView::staticMetaObject() const
    {104, 2465, 0, 0, Smoke::mf_dtor, 0, 18 },	//2800 Plasma::TreeView::~TreeView()
    {105, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2801 Plasma::VideoWidget::metaObject() const
    {105, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2802 Plasma::VideoWidget::qt_metacast(const char*)
    {105, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2803 Plasma::VideoWidget::tr(const char*, const char*)
    {105, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2804 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {105, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2805 Plasma::VideoWidget::tr(const char*, const char*, int)
    {105, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2806 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {105, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2807 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {105, 549, 125, 1, Smoke::mf_ctor, 168, 8},	//2808 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {105, 2105, 89, 1, Smoke::mf_property, 0, 9},	//2809 Plasma::VideoWidget::setUrl(const QString&)
    {105, 2335, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2810 Plasma::VideoWidget::url() const
    {105, 1361, 0, 0, Smoke::mf_const, 31, 11},	//2811 Plasma::VideoWidget::mediaObject() const
    {105, 709, 0, 0, Smoke::mf_const, 30, 12},	//2812 Plasma::VideoWidget::audioOutput() const
    {105, 855, 0, 0, Smoke::mf_const, 475, 13},	//2813 Plasma::VideoWidget::currentTime() const
    {105, 2292, 0, 0, Smoke::mf_const, 475, 14},	//2814 Plasma::VideoWidget::totalTime() const
    {105, 1531, 0, 0, Smoke::mf_const, 475, 15},	//2815 Plasma::VideoWidget::remainingTime() const
    {105, 2112, 946, 1, 0, 0, 16},	//2816 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {105, 2344, 0, 0, Smoke::mf_const, 204, 17},	//2817 Plasma::VideoWidget::usedControls() const
    {105, 1755, 7, 1, Smoke::mf_property, 0, 18},	//2818 Plasma::VideoWidget::setControlsVisible(bool)
    {105, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 19},	//2819 Plasma::VideoWidget::controlsVisible() const
    {105, 2048, 89, 1, Smoke::mf_property, 0, 20},	//2820 Plasma::VideoWidget::setStyleSheet(const QString&)
    {105, 2230, 0, 0, Smoke::mf_property, 289, 21},	//2821 Plasma::VideoWidget::styleSheet()
    {105, 1401, 0, 0, Smoke::mf_const, 32, 22},	//2822 Plasma::VideoWidget::nativeWidget() const
    {105, 1467, 0, 0, Smoke::mf_slot, 0, 23},	//2823 Plasma::VideoWidget::play()
    {105, 1460, 0, 0, Smoke::mf_slot, 0, 24},	//2824 Plasma::VideoWidget::pause()
    {105, 2219, 0, 0, Smoke::mf_slot, 0, 25},	//2825 Plasma::VideoWidget::stop()
    {105, 1649, 948, 1, Smoke::mf_slot, 0, 26},	//2826 Plasma::VideoWidget::seek(qint64)
    {105, 2276, 948, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2827 Plasma::VideoWidget::tick(qint64)
    {105, 580, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2828 Plasma::VideoWidget::aboutToFinish()
    {105, 1407, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2829 Plasma::VideoWidget::nextRequested()
    {105, 1489, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2830 Plasma::VideoWidget::previousRequested()
    {105, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2831 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {105, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2832 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {105, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2833 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {105, 1089, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2834 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {105, 2293, 1, 1, Smoke::mf_static, 289, 35},	//2835 Plasma::VideoWidget::tr(const char*)
    {105, 2297, 1, 1, Smoke::mf_static, 289, 36},	//2836 Plasma::VideoWidget::trUtf8(const char*)
    {105, 549, 0, 0, Smoke::mf_ctor, 168, 37},	//2837 Plasma::VideoWidget::VideoWidget()
    {105, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 38},	//2838 Plasma::VideoWidget::staticMetaObject() const
    {105, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 39},	//2839 Plasma::VideoWidget::NoControls (enum)
    {105, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 40},	//2840 Plasma::VideoWidget::Play (enum)
    {105, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 41},	//2841 Plasma::VideoWidget::Pause (enum)
    {105, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 42},	//2842 Plasma::VideoWidget::Stop (enum)
    {105, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 43},	//2843 Plasma::VideoWidget::PlayPause (enum)
    {105, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 44},	//2844 Plasma::VideoWidget::Previous (enum)
    {105, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 45},	//2845 Plasma::VideoWidget::Next (enum)
    {105, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 46},	//2846 Plasma::VideoWidget::Progress (enum)
    {105, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 47},	//2847 Plasma::VideoWidget::Volume (enum)
    {105, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 48},	//2848 Plasma::VideoWidget::OpenFile (enum)
    {105, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 49},	//2849 Plasma::VideoWidget::DefaultControls (enum)
    {105, 2466, 0, 0, Smoke::mf_dtor, 0, 50 },	//2850 Plasma::VideoWidget::~VideoWidget()
    {106, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2851 Plasma::View::metaObject() const
    {106, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2852 Plasma::View::qt_metacast(const char*)
    {106, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2853 Plasma::View::tr(const char*, const char*)
    {106, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2854 Plasma::View::trUtf8(const char*, const char*)
    {106, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2855 Plasma::View::tr(const char*, const char*, int)
    {106, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2856 Plasma::View::trUtf8(const char*, const char*, int)
    {106, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2857 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {106, 551, 950, 2, Smoke::mf_ctor, 170, 8},	//2858 Plasma::View::View(Plasma::Containment*, QWidget*)
    {106, 551, 953, 3, Smoke::mf_ctor, 170, 9},	//2859 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {106, 2139, 7, 1, 0, 0, 10},	//2860 Plasma::View::setWallpaperEnabled(bool)
    {106, 1180, 0, 0, Smoke::mf_const, 382, 11},	//2861 Plasma::View::isWallpaperEnabled() const
    {106, 2004, 368, 2, 0, 0, 12},	//2862 Plasma::View::setScreen(int, int)
    {106, 1632, 0, 0, Smoke::mf_const, 473, 13},	//2863 Plasma::View::screen() const
    {106, 874, 0, 0, Smoke::mf_const, 473, 14},	//2864 Plasma::View::desktop() const
    {106, 934, 0, 0, Smoke::mf_const, 473, 15},	//2865 Plasma::View::effectiveDesktop() const
    {106, 790, 0, 0, Smoke::mf_const, 71, 16},	//2866 Plasma::View::containment() const
    {106, 2240, 410, 3, 0, 71, 17},	//2867 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {106, 2240, 113, 2, 0, 71, 18},	//2868 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {106, 2096, 7, 1, 0, 0, 19},	//2869 Plasma::View::setTrackContainmentChanges(bool)
    {106, 2301, 0, 0, 0, 382, 20},	//2870 Plasma::View::trackContainmentChanges()
    {106, 2290, 545, 1, Smoke::mf_static, 170, 21},	//2871 Plasma::View::topLevelViewAt(const QPoint&)
    {106, 1094, 0, 0, Smoke::mf_const, 473, 22},	//2872 Plasma::View::id() const
    {106, 1629, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2873 Plasma::View::sceneRectAboutToChange()
    {106, 1630, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2874 Plasma::View::sceneRectChanged()
    {106, 1334, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2875 Plasma::View::lostContainment()
    {106, 1735, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2876 Plasma::View::setContainment(Plasma::Containment*)
    {106, 763, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 27},	//2877 Plasma::View::config() const
    {106, 766, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2878 Plasma::View::configNeedsSaving() const
    {106, 2293, 1, 1, Smoke::mf_static, 289, 29},	//2879 Plasma::View::tr(const char*)
    {106, 2297, 1, 1, Smoke::mf_static, 289, 30},	//2880 Plasma::View::trUtf8(const char*)
    {106, 551, 101, 1, Smoke::mf_ctor, 170, 31},	//2881 Plasma::View::View(Plasma::Containment*)
    {106, 551, 957, 2, Smoke::mf_ctor, 170, 32},	//2882 Plasma::View::View(Plasma::Containment*, int)
    {106, 2004, 129, 1, 0, 0, 33},	//2883 Plasma::View::setScreen(int)
    {106, 2240, 424, 2, 0, 71, 34},	//2884 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {106, 2240, 89, 1, 0, 71, 35},	//2885 Plasma::View::swapContainment(const QString&)
    {106, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 36},	//2886 Plasma::View::staticMetaObject() const
    {106, 2467, 0, 0, Smoke::mf_dtor, 0, 37 },	//2887 Plasma::View::~View()
    {107, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2888 Plasma::Wallpaper::metaObject() const
    {107, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2889 Plasma::Wallpaper::qt_metacast(const char*)
    {107, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2890 Plasma::Wallpaper::tr(const char*, const char*)
    {107, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2891 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {107, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2892 Plasma::Wallpaper::tr(const char*, const char*, int)
    {107, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2893 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {107, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2894 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {107, 562, 97, 1, Smoke::mf_ctor, 171, 8},	//2895 Plasma::Wallpaper::Wallpaper(QObject*)
    {107, 1289, 89, 1, Smoke::mf_static, 238, 9},	//2896 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {107, 1291, 77, 2, Smoke::mf_static, 238, 10},	//2897 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {107, 1294, 113, 2, Smoke::mf_static, 171, 11},	//2898 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {107, 1294, 960, 2, Smoke::mf_static, 171, 12},	//2899 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {107, 1426, 963, 1, Smoke::mf_static, 20, 13},	//2900 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {107, 1399, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2901 Plasma::Wallpaper::name() const
    {107, 1425, 0, 0, Smoke::mf_const, 405, 15},	//2902 Plasma::Wallpaper::package() const
    {107, 1469, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 16},	//2903 Plasma::Wallpaper::pluginName() const
    {107, 1092, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2904 Plasma::Wallpaper::icon() const
    {107, 1576, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 18},	//2905 Plasma::Wallpaper::renderingMode() const
    {107, 1986, 89, 1, 0, 0, 19},	//2906 Plasma::Wallpaper::setRenderingMode(const QString&)
    {107, 1283, 0, 0, Smoke::mf_const|Smoke::mf_property, 239, 20},	//2907 Plasma::Wallpaper::listRenderingModes() const
    {107, 1153, 0, 0, Smoke::mf_const, 382, 21},	//2908 Plasma::Wallpaper::isInitialized() const
    {107, 729, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 22},	//2909 Plasma::Wallpaper::boundingRect() const
    {107, 1708, 641, 1, Smoke::mf_property, 0, 23},	//2910 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {107, 1431, 609, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//2911 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {107, 1595, 111, 1, 0, 0, 25},	//2912 Plasma::Wallpaper::restore(const KConfigGroup&)
    {107, 1613, 178, 1, Smoke::mf_virtual, 0, 26},	//2913 Plasma::Wallpaper::save(KConfigGroup&)
    {107, 830, 57, 1, Smoke::mf_virtual, 304, 27},	//2914 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {107, 1381, 278, 1, Smoke::mf_virtual, 0, 28},	//2915 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1383, 278, 1, Smoke::mf_virtual, 0, 29},	//2916 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1385, 278, 1, Smoke::mf_virtual, 0, 30},	//2917 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 2378, 398, 1, Smoke::mf_virtual, 0, 31},	//2918 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 864, 89, 1, Smoke::mf_const, 83, 32},	//2919 Plasma::Wallpaper::dataEngine(const QString&) const
    {107, 770, 0, 0, Smoke::mf_const, 382, 33},	//2920 Plasma::Wallpaper::configurationRequired() const
    {107, 1176, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 34},	//2921 Plasma::Wallpaper::isUsingRenderingCache() const
    {107, 1994, 965, 1, 0, 0, 35},	//2922 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {107, 2072, 593, 1, 0, 0, 36},	//2923 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {107, 821, 0, 0, Smoke::mf_const, 251, 37},	//2924 Plasma::Wallpaper::contextualActions() const
    {107, 1162, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 38},	//2925 Plasma::Wallpaper::isPreviewing() const
    {107, 1972, 7, 1, Smoke::mf_property, 0, 39},	//2926 Plasma::Wallpaper::setPreviewing(bool)
    {107, 1402, 0, 0, Smoke::mf_const, 382, 40},	//2927 Plasma::Wallpaper::needsPreviewDuringConfiguration() const
    {107, 2318, 641, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2928 Plasma::Wallpaper::update(const QRectF&)
    {107, 772, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2929 Plasma::Wallpaper::configureRequested()
    {107, 770, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2930 Plasma::Wallpaper::configurationRequired(bool)
    {107, 766, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2931 Plasma::Wallpaper::configNeedsSaving()
    {107, 1573, 621, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2932 Plasma::Wallpaper::renderCompleted(const QImage&)
    {107, 2338, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2933 Plasma::Wallpaper::urlDropped(const KUrl&)
    {107, 1575, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2934 Plasma::Wallpaper::renderHintsChanged()
    {107, 562, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 171, 48},	//2935 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {107, 1108, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//2936 Plasma::Wallpaper::init(const KConfigGroup&)
    {107, 1732, 265, 2, Smoke::mf_protected, 0, 50},	//2937 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {107, 1569, 967, 4, Smoke::mf_protected, 0, 51},	//2938 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 2114, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 52},	//2939 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {107, 998, 972, 3, Smoke::mf_protected, 382, 53},	//2940 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {107, 1119, 976, 2, Smoke::mf_protected, 0, 54},	//2941 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {107, 1753, 979, 1, Smoke::mf_protected, 0, 55},	//2942 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {107, 1970, 109, 1, Smoke::mf_protected, 0, 56},	//2943 Plasma::Wallpaper::setPreviewDuringConfiguration(const bool)
    {107, 2293, 1, 1, Smoke::mf_static, 289, 57},	//2944 Plasma::Wallpaper::tr(const char*)
    {107, 2297, 1, 1, Smoke::mf_static, 289, 58},	//2945 Plasma::Wallpaper::trUtf8(const char*)
    {107, 562, 0, 0, Smoke::mf_ctor, 171, 59},	//2946 Plasma::Wallpaper::Wallpaper()
    {107, 1289, 0, 0, Smoke::mf_static, 238, 60},	//2947 Plasma::Wallpaper::listWallpaperInfo()
    {107, 1291, 89, 1, Smoke::mf_static, 238, 61},	//2948 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {107, 1294, 89, 1, Smoke::mf_static, 171, 62},	//2949 Plasma::Wallpaper::load(const QString&)
    {107, 1294, 210, 1, Smoke::mf_static, 171, 63},	//2950 Plasma::Wallpaper::load(const KPluginInfo&)
    {107, 1426, 0, 0, Smoke::mf_static, 20, 64},	//2951 Plasma::Wallpaper::packageStructure()
    {107, 1732, 7, 1, Smoke::mf_protected, 0, 65},	//2952 Plasma::Wallpaper::setConfigurationRequired(bool)
    {107, 1569, 981, 2, Smoke::mf_protected, 0, 66},	//2953 Plasma::Wallpaper::render(const QString&, const QSize&)
    {107, 1569, 984, 3, Smoke::mf_protected, 0, 67},	//2954 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 998, 988, 2, Smoke::mf_protected, 382, 68},	//2955 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {107, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 69},	//2956 Plasma::Wallpaper::staticMetaObject() const
    {107, 814, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 252, 70},	//2957 Plasma::Wallpaper::contextActions() const
    {107, 1751, 979, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 71},	//2958 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {107, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 72},	//2959 Plasma::Wallpaper::ScaledResize (enum)
    {107, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 73},	//2960 Plasma::Wallpaper::CenteredResize (enum)
    {107, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 74},	//2961 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {107, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 75},	//2962 Plasma::Wallpaper::TiledResize (enum)
    {107, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 76},	//2963 Plasma::Wallpaper::CenterTiledResize (enum)
    {107, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 77},	//2964 Plasma::Wallpaper::MaxpectResize (enum)
    {107, 2468, 0, 0, Smoke::mf_dtor, 0, 78 },	//2965 Plasma::Wallpaper::~Wallpaper()
    {108, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//2966 Plasma::WallpaperScript::metaObject() const
    {108, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//2967 Plasma::WallpaperScript::qt_metacast(const char*)
    {108, 2293, 43, 2, Smoke::mf_static, 289, 3},	//2968 Plasma::WallpaperScript::tr(const char*, const char*)
    {108, 2297, 43, 2, Smoke::mf_static, 289, 4},	//2969 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {108, 2293, 46, 3, Smoke::mf_static, 289, 5},	//2970 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {108, 2297, 46, 3, Smoke::mf_static, 289, 6},	//2971 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {108, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//2972 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {108, 566, 97, 1, Smoke::mf_ctor, 173, 8},	//2973 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {108, 2135, 963, 1, 0, 0, 9},	//2974 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {108, 2374, 0, 0, Smoke::mf_const, 171, 10},	//2975 Plasma::WallpaperScript::wallpaper() const
    {108, 1113, 111, 1, Smoke::mf_virtual, 0, 11},	//2976 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {108, 1431, 609, 2, Smoke::mf_virtual, 0, 12},	//2977 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {108, 1613, 178, 1, Smoke::mf_virtual, 0, 13},	//2978 Plasma::WallpaperScript::save(KConfigGroup&)
    {108, 830, 57, 1, Smoke::mf_virtual, 304, 14},	//2979 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {108, 1381, 278, 1, Smoke::mf_virtual, 0, 15},	//2980 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {108, 1383, 278, 1, Smoke::mf_virtual, 0, 16},	//2981 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {108, 1385, 278, 1, Smoke::mf_virtual, 0, 17},	//2982 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {108, 2378, 398, 1, Smoke::mf_virtual, 0, 18},	//2983 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {108, 1337, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 19},	//2984 Plasma::WallpaperScript::mainScript() const
    {108, 1425, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 405, 20},	//2985 Plasma::WallpaperScript::package() const
    {108, 873, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 21},	//2986 Plasma::WallpaperScript::description() const
    {108, 1153, 0, 0, Smoke::mf_const|Smoke::mf_protected, 382, 22},	//2987 Plasma::WallpaperScript::isInitialized() const
    {108, 729, 0, 0, Smoke::mf_const|Smoke::mf_protected, 279, 23},	//2988 Plasma::WallpaperScript::boundingRect() const
    {108, 864, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 24},	//2989 Plasma::WallpaperScript::dataEngine(const QString&) const
    {108, 1994, 965, 1, Smoke::mf_protected, 0, 25},	//2990 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {108, 2072, 593, 1, Smoke::mf_protected, 0, 26},	//2991 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {108, 1732, 265, 2, Smoke::mf_protected, 0, 27},	//2992 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {108, 1569, 967, 4, Smoke::mf_protected, 0, 28},	//2993 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {108, 2114, 7, 1, Smoke::mf_protected, 0, 29},	//2994 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {108, 998, 972, 3, Smoke::mf_protected, 382, 30},	//2995 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {108, 1119, 976, 2, Smoke::mf_protected, 0, 31},	//2996 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {108, 1753, 979, 1, Smoke::mf_protected, 0, 32},	//2997 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {108, 2318, 641, 1, Smoke::mf_protected, 0, 33},	//2998 Plasma::WallpaperScript::update(const QRectF&)
    {108, 766, 0, 0, Smoke::mf_protected, 0, 34},	//2999 Plasma::WallpaperScript::configNeedsSaving()
    {108, 1573, 621, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//3000 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {108, 2338, 119, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//3001 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {108, 2293, 1, 1, Smoke::mf_static, 289, 37},	//3002 Plasma::WallpaperScript::tr(const char*)
    {108, 2297, 1, 1, Smoke::mf_static, 289, 38},	//3003 Plasma::WallpaperScript::trUtf8(const char*)
    {108, 566, 0, 0, Smoke::mf_ctor, 173, 39},	//3004 Plasma::WallpaperScript::WallpaperScript()
    {108, 1732, 7, 1, Smoke::mf_protected, 0, 40},	//3005 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {108, 1569, 981, 2, Smoke::mf_protected, 0, 41},	//3006 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {108, 1569, 984, 3, Smoke::mf_protected, 0, 42},	//3007 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {108, 998, 988, 2, Smoke::mf_protected, 382, 43},	//3008 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {108, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 44},	//3009 Plasma::WallpaperScript::staticMetaObject() const
    {108, 2469, 0, 0, Smoke::mf_dtor, 0, 45 },	//3010 Plasma::WallpaperScript::~WallpaperScript()
    {109, 1364, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 438, 1},	//3011 Plasma::WebView::metaObject() const
    {109, 1498, 1, 1, Smoke::mf_virtual, 481, 2},	//3012 Plasma::WebView::qt_metacast(const char*)
    {109, 2293, 43, 2, Smoke::mf_static, 289, 3},	//3013 Plasma::WebView::tr(const char*, const char*)
    {109, 2297, 43, 2, Smoke::mf_static, 289, 4},	//3014 Plasma::WebView::trUtf8(const char*, const char*)
    {109, 2293, 46, 3, Smoke::mf_static, 289, 5},	//3015 Plasma::WebView::tr(const char*, const char*, int)
    {109, 2297, 46, 3, Smoke::mf_static, 289, 6},	//3016 Plasma::WebView::trUtf8(const char*, const char*, int)
    {109, 1496, 3, 3, Smoke::mf_virtual, 473, 7},	//3017 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {109, 569, 170, 1, Smoke::mf_ctor, 174, 8},	//3018 Plasma::WebView::WebView(QGraphicsItem*)
    {109, 2105, 119, 1, Smoke::mf_property, 0, 9},	//3019 Plasma::WebView::setUrl(const KUrl&)
    {109, 2335, 0, 0, Smoke::mf_const|Smoke::mf_property, 28, 10},	//3020 Plasma::WebView::url() const
    {109, 1857, 991, 2, 0, 0, 11},	//3021 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {109, 1091, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//3022 Plasma::WebView::html() const
    {109, 1857, 994, 2, 0, 0, 13},	//3023 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {109, 1039, 0, 0, Smoke::mf_const, 279, 14},	//3024 Plasma::WebView::geometry() const
    {109, 812, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 15},	//3025 Plasma::WebView::contentsSize() const
    {109, 2007, 382, 1, Smoke::mf_property, 0, 16},	//3026 Plasma::WebView::setScrollPosition(const QPointF&)
    {109, 1641, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 17},	//3027 Plasma::WebView::scrollPosition() const
    {109, 2367, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 18},	//3028 Plasma::WebView::viewportGeometry() const
    {109, 2395, 0, 0, Smoke::mf_const, 470, 19},	//3029 Plasma::WebView::zoomFactor() const
    {109, 2151, 632, 1, 0, 0, 20},	//3030 Plasma::WebView::setZoomFactor(const double)
    {109, 1941, 997, 1, 0, 0, 21},	//3031 Plasma::WebView::setPage(QWebPage*)
    {109, 1429, 0, 0, Smoke::mf_const, 302, 22},	//3032 Plasma::WebView::page() const
    {109, 1336, 0, 0, Smoke::mf_const, 301, 23},	//3033 Plasma::WebView::mainFrame() const
    {109, 1791, 7, 1, Smoke::mf_property, 0, 24},	//3034 Plasma::WebView::setDragToScroll(bool)
    {109, 904, 0, 0, Smoke::mf_property, 382, 25},	//3035 Plasma::WebView::dragToScroll()
    {109, 1832, 641, 1, Smoke::mf_virtual, 0, 26},	//3036 Plasma::WebView::setGeometry(const QRectF&)
    {109, 720, 0, 0, Smoke::mf_slot, 0, 27},	//3037 Plasma::WebView::back()
    {109, 1033, 0, 0, Smoke::mf_slot, 0, 28},	//3038 Plasma::WebView::forward()
    {109, 1529, 0, 0, Smoke::mf_slot, 0, 29},	//3039 Plasma::WebView::reload()
    {109, 2219, 0, 0, Smoke::mf_slot, 0, 30},	//3040 Plasma::WebView::stop()
    {109, 1320, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//3041 Plasma::WebView::loadProgress(int)
    {109, 1312, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//3042 Plasma::WebView::loadFinished(bool)
    {109, 2336, 195, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//3043 Plasma::WebView::urlChanged(const QUrl&)
    {109, 1431, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//3044 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {109, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//3045 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {109, 1089, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//3046 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {109, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//3047 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {109, 1379, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//3048 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {109, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//3049 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {109, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//3050 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {109, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//3051 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {109, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//3052 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {109, 1213, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//3053 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {109, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//3054 Plasma::WebView::focusInEvent(QFocusEvent*)
    {109, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//3055 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {109, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//3056 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {109, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//3057 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {109, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//3058 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {109, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//3059 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {109, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 50},	//3060 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {109, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 51},	//3061 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {109, 2293, 1, 1, Smoke::mf_static, 289, 52},	//3062 Plasma::WebView::tr(const char*)
    {109, 2297, 1, 1, Smoke::mf_static, 289, 53},	//3063 Plasma::WebView::trUtf8(const char*)
    {109, 569, 0, 0, Smoke::mf_ctor, 174, 54},	//3064 Plasma::WebView::WebView()
    {109, 1857, 999, 1, 0, 0, 55},	//3065 Plasma::WebView::setHtml(const QByteArray&)
    {109, 1857, 89, 1, 0, 0, 56},	//3066 Plasma::WebView::setHtml(const QString&)
    {109, 1431, 326, 2, Smoke::mf_protected, 0, 57},	//3067 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {109, 2217, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 437, 58},	//3068 Plasma::WebView::staticMetaObject() const
    {109, 2470, 0, 0, Smoke::mf_dtor, 0, 59 },	//3069 Plasma::WebView::~WebView()
    {110, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3070 QAbstractAnimation::event(QEvent*)
    {110, 2334, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3071 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {110, 2326, 1001, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3072 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {110, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 4},	//3073 QAbstractAnimation::Forward (enum)
    {110, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 5},	//3074 QAbstractAnimation::Backward (enum)
    {110, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 6},	//3075 QAbstractAnimation::Stopped (enum)
    {110, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//3076 QAbstractAnimation::Paused (enum)
    {110, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//3077 QAbstractAnimation::Running (enum)
    {111, 834, 1003, 3, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//3078 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 1801, 1007, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3079 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {111, 1920, 1010, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3080 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {111, 2327, 1003, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3081 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 933, 1014, 4, Smoke::mf_virtual, 382, 0},	//3082 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {113, 1377, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//3083 QAbstractScrollArea::minimumSizeHint() const
    {132, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3084 QFrame::changeEvent(QEvent*)
    {133, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 1},	//3085 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {133, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 2},	//3086 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {133, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 3},	//3087 QGlobalSpace::Q_STATIC_TYPE (enum)
    {133, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 4},	//3088 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {133, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 5},	//3089 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {133, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 6},	//3090 QGlobalSpace::QtDebugMsg (enum)
    {133, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 7},	//3091 QGlobalSpace::QtWarningMsg (enum)
    {133, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 8},	//3092 QGlobalSpace::QtCriticalMsg (enum)
    {133, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 9},	//3093 QGlobalSpace::QtFatalMsg (enum)
    {133, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 10},	//3094 QGlobalSpace::QtSystemMsg (enum)
    {133, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 11},	//3095 QGlobalSpace::KST_KSycocaEntry (enum)
    {133, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 12},	//3096 QGlobalSpace::KST_KService (enum)
    {133, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 13},	//3097 QGlobalSpace::KST_KServiceType (enum)
    {133, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 14},	//3098 QGlobalSpace::KST_KMimeType (enum)
    {133, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 15},	//3099 QGlobalSpace::KST_KFolderMimeType (enum)
    {133, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 16},	//3100 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {133, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 17},	//3101 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {133, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 18},	//3102 QGlobalSpace::KST_KServiceGroup (enum)
    {133, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 19},	//3103 QGlobalSpace::KST_KImageIOFormat (enum)
    {133, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 20},	//3104 QGlobalSpace::KST_KProtocolInfo (enum)
    {133, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 21},	//3105 QGlobalSpace::KST_KServiceSeparator (enum)
    {133, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 22},	//3106 QGlobalSpace::KST_KCustom (enum)
    {133, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 23},	//3107 QGlobalSpace::KST_KServiceFactory (enum)
    {133, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 24},	//3108 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {133, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 25},	//3109 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {133, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 26},	//3110 QGlobalSpace::KST_KImageIO (enum)
    {133, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 27},	//3111 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {133, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 28},	//3112 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {133, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 29},	//3113 QGlobalSpace::KST_CTimeInfo (enum)
    {133, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 30},	//3114 QGlobalSpace::__codecvt_ok (enum)
    {133, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 31},	//3115 QGlobalSpace::__codecvt_partial (enum)
    {133, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 32},	//3116 QGlobalSpace::__codecvt_error (enum)
    {133, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 33},	//3117 QGlobalSpace::__codecvt_noconv (enum)
    {134, 666, 129, 1, Smoke::mf_virtual, 0, 0},	//3118 QGraphicsItem::advance(int)
    {134, 806, 382, 1, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3119 QGraphicsItem::contains(const QPointF&) const
    {134, 758, 1019, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3120 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {134, 759, 1022, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3121 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {134, 1155, 11, 1, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3122 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {134, 1411, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3123 QGraphicsItem::opaqueArea() const
    {134, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3124 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {134, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3125 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {134, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3126 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {134, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3127 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {134, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3128 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {134, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3129 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {134, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3130 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {134, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3131 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {134, 1213, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3132 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {134, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3133 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {134, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3134 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {134, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3135 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {134, 1379, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3136 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {134, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3137 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {134, 1117, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3138 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {134, 1118, 1027, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3139 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {134, 2235, 1029, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3140 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {134, 1817, 1031, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3141 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {134, 991, 725, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3142 QGraphicsItem::extension(const QVariant&) const
    {134, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 26},	//3143 QGraphicsItem::ItemPositionChange (enum)
    {134, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 27},	//3144 QGraphicsItem::ItemMatrixChange (enum)
    {134, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 28},	//3145 QGraphicsItem::ItemVisibleChange (enum)
    {134, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//3146 QGraphicsItem::ItemEnabledChange (enum)
    {134, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 30},	//3147 QGraphicsItem::ItemSelectedChange (enum)
    {134, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 31},	//3148 QGraphicsItem::ItemParentChange (enum)
    {134, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 32},	//3149 QGraphicsItem::ItemChildAddedChange (enum)
    {134, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 33},	//3150 QGraphicsItem::ItemChildRemovedChange (enum)
    {134, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 34},	//3151 QGraphicsItem::ItemTransformChange (enum)
    {134, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 35},	//3152 QGraphicsItem::ItemPositionHasChanged (enum)
    {134, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 36},	//3153 QGraphicsItem::ItemTransformHasChanged (enum)
    {134, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 37},	//3154 QGraphicsItem::ItemSceneChange (enum)
    {134, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 38},	//3155 QGraphicsItem::ItemVisibleHasChanged (enum)
    {134, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 39},	//3156 QGraphicsItem::ItemEnabledHasChanged (enum)
    {134, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 40},	//3157 QGraphicsItem::ItemSelectedHasChanged (enum)
    {134, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 41},	//3158 QGraphicsItem::ItemParentHasChanged (enum)
    {134, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 42},	//3159 QGraphicsItem::ItemSceneHasChanged (enum)
    {134, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 43},	//3160 QGraphicsItem::ItemCursorChange (enum)
    {134, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 44},	//3161 QGraphicsItem::ItemCursorHasChanged (enum)
    {134, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 45},	//3162 QGraphicsItem::ItemToolTipChange (enum)
    {134, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 46},	//3163 QGraphicsItem::ItemToolTipHasChanged (enum)
    {134, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 47},	//3164 QGraphicsItem::ItemFlagsChange (enum)
    {134, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 48},	//3165 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {134, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 49},	//3166 QGraphicsItem::ItemZValueChange (enum)
    {134, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 50},	//3167 QGraphicsItem::ItemZValueHasChanged (enum)
    {134, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 51},	//3168 QGraphicsItem::ItemOpacityChange (enum)
    {134, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 52},	//3169 QGraphicsItem::ItemOpacityHasChanged (enum)
    {134, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 53},	//3170 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {134, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 54},	//3171 QGraphicsItem::ItemRotationChange (enum)
    {134, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 55},	//3172 QGraphicsItem::ItemRotationHasChanged (enum)
    {134, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 56},	//3173 QGraphicsItem::ItemScaleChange (enum)
    {134, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 57},	//3174 QGraphicsItem::ItemScaleHasChanged (enum)
    {134, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 58},	//3175 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {134, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 59},	//3176 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {134, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 60},	//3177 QGraphicsItem::Type (enum)
    {134, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 61},	//3178 QGraphicsItem::UserType (enum)
    {134, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 62},	//3179 QGraphicsItem::UserExtension (enum)
    {136, 1832, 641, 1, Smoke::mf_virtual, 0, 0},	//3180 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {136, 1431, 216, 3, Smoke::mf_virtual, 0, 0},	//3181 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {136, 2302, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 473, 0},	//3182 QGraphicsProxyWidget::type() const
    {136, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3183 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {136, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3184 QGraphicsProxyWidget::event(QEvent*)
    {136, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3185 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {136, 2171, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3186 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {136, 1077, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3187 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {136, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3188 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {136, 898, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3189 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {136, 900, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3190 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {136, 902, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3191 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {136, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3192 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {136, 1085, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3193 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {136, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3194 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {136, 1089, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3195 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {136, 1050, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3196 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {136, 2304, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3197 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {136, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3198 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {136, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3199 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {136, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3200 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {136, 1379, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3201 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {136, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3202 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {136, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3203 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {136, 1213, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3204 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {136, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3205 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {136, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3206 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {136, 1021, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3207 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {136, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//3208 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {136, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3209 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {136, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 31},	//3210 QGraphicsProxyWidget::Type (enum)
    {137, 1118, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3211 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {137, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3212 QGraphicsScene::event(QEvent*)
    {137, 976, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3213 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {137, 819, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3214 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {137, 928, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3215 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {137, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3216 QGraphicsScene::focusInEvent(QFocusEvent*)
    {137, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3217 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {137, 1073, 1034, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3218 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {137, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3219 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {137, 1213, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3220 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {137, 1383, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3221 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {137, 1381, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3222 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {137, 1385, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3223 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {137, 1379, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3224 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {137, 2378, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3225 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {137, 1117, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3226 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {137, 909, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3227 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {137, 911, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3228 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {137, 914, 1036, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3229 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 2192, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//3230 QGraphicsView::sizeHint() const
    {146, 1118, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3231 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {146, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3232 QGraphicsView::event(QEvent*)
    {146, 2366, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3233 QGraphicsView::viewportEvent(QEvent*)
    {146, 819, 1042, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3234 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {146, 898, 1044, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3235 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {146, 900, 1046, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3236 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {146, 902, 1048, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3237 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {146, 928, 1050, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3238 QGraphicsView::dropEvent(QDropEvent*)
    {146, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3239 QGraphicsView::focusInEvent(QFocusEvent*)
    {146, 1021, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3240 QGraphicsView::focusNextPrevChild(bool)
    {146, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3241 QGraphicsView::focusOutEvent(QFocusEvent*)
    {146, 1211, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3242 QGraphicsView::keyPressEvent(QKeyEvent*)
    {146, 1213, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3243 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {146, 1379, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3244 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {146, 1383, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QGraphicsView::mousePressEvent(QMouseEvent*)
    {146, 1381, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {146, 1385, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {146, 2378, 1052, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QGraphicsView::wheelEvent(QWheelEvent*)
    {146, 1440, 537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3249 QGraphicsView::paintEvent(QPaintEvent*)
    {146, 1591, 539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3250 QGraphicsView::resizeEvent(QResizeEvent*)
    {146, 1640, 368, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3251 QGraphicsView::scrollContentsBy(int, int)
    {146, 2171, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3252 QGraphicsView::showEvent(QShowEvent*)
    {146, 1117, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {146, 909, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3254 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {146, 911, 609, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3255 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {146, 914, 1054, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3256 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {147, 1832, 641, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3257 QGraphicsWidget::setGeometry(const QRectF&)
    {147, 1041, 1059, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3258 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {147, 2302, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 473, 0},	//3259 QGraphicsWidget::type() const
    {147, 1431, 216, 3, Smoke::mf_virtual, 0, 0},	//3260 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 1450, 216, 3, Smoke::mf_virtual, 0, 0},	//3261 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 729, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//3262 QGraphicsWidget::boundingRect() const
    {147, 2155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3263 QGraphicsWidget::shape() const
    {147, 1112, 1064, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3264 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {147, 2192, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//3265 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {147, 2328, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3266 QGraphicsWidget::updateGeometry()
    {147, 1192, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3267 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {147, 1493, 482, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3268 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {147, 1626, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3269 QGraphicsWidget::sceneEvent(QEvent*)
    {147, 2382, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3270 QGraphicsWidget::windowFrameEvent(QEvent*)
    {147, 2383, 382, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//3271 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {147, 974, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3272 QGraphicsWidget::event(QEvent*)
    {147, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3273 QGraphicsWidget::changeEvent(QEvent*)
    {147, 755, 1066, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3274 QGraphicsWidget::closeEvent(QCloseEvent*)
    {147, 1018, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3275 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {147, 1021, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3276 QGraphicsWidget::focusNextPrevChild(bool)
    {147, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3277 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {147, 1077, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3278 QGraphicsWidget::hideEvent(QHideEvent*)
    {147, 1387, 567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3279 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {147, 1471, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3280 QGraphicsWidget::polishEvent()
    {147, 1591, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3281 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {147, 2171, 322, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3282 QGraphicsWidget::showEvent(QShowEvent*)
    {147, 1089, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3283 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {147, 1087, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3284 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {147, 1050, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3285 QGraphicsWidget::grabMouseEvent(QEvent*)
    {147, 2304, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3286 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {147, 1049, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3287 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {147, 2303, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3288 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {147, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 474, 33},	//3289 QGraphicsWidget::Type (enum)
    {163, 974, 329, 1, Smoke::mf_virtual, 382, 0},	//3290 QObject::event(QEvent*)
    {163, 976, 272, 2, Smoke::mf_virtual, 382, 0},	//3291 QObject::eventFilter(QObject*, QEvent*)
    {163, 2279, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3292 QObject::timerEvent(QTimerEvent*)
    {163, 741, 1068, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3293 QObject::childEvent(QChildEvent*)
    {163, 861, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3294 QObject::customEvent(QEvent*)
    {163, 778, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3295 QObject::connectNotify(const char*)
    {163, 889, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3296 QObject::disconnectNotify(const char*)
    {199, 881, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 473, 0},	//3297 QWidget::devType() const
    {199, 2134, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3298 QWidget::setVisible(bool)
    {199, 2192, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 286, 0},	//3299 QWidget::sizeHint() const
    {199, 1377, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 286, 0},	//3300 QWidget::minimumSizeHint() const
    {199, 1072, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 473, 0},	//3301 QWidget::heightForWidth(int) const
    {199, 1439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//3302 QWidget::paintEngine() const
    {199, 1379, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3303 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {199, 2378, 1052, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3304 QWidget::wheelEvent(QWheelEvent*)
    {199, 1213, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3305 QWidget::keyReleaseEvent(QKeyEvent*)
    {199, 1022, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3306 QWidget::focusOutEvent(QFocusEvent*)
    {199, 970, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3307 QWidget::enterEvent(QEvent*)
    {199, 1241, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3308 QWidget::leaveEvent(QEvent*)
    {199, 1387, 543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3309 QWidget::moveEvent(QMoveEvent*)
    {199, 755, 1066, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3310 QWidget::closeEvent(QCloseEvent*)
    {199, 819, 1042, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3311 QWidget::contextMenuEvent(QContextMenuEvent*)
    {199, 2253, 1070, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3312 QWidget::tabletEvent(QTabletEvent*)
    {199, 588, 1072, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3313 QWidget::actionEvent(QActionEvent*)
    {199, 898, 1044, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3314 QWidget::dragEnterEvent(QDragEnterEvent*)
    {199, 902, 1048, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3315 QWidget::dragMoveEvent(QDragMoveEvent*)
    {199, 900, 1046, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3316 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {199, 928, 1050, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3317 QWidget::dropEvent(QDropEvent*)
    {199, 1077, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3318 QWidget::hideEvent(QHideEvent*)
    {199, 2394, 1074, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3319 QWidget::x11Event(_XEvent*)
    {199, 735, 329, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3320 QWidget::changeEvent(QEvent*)
    {199, 1367, 1076, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 473, 0},	//3321 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {199, 1117, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3322 QWidget::inputMethodEvent(QInputMethodEvent*)
    {199, 1118, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3323 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {199, 1021, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3324 QWidget::focusNextPrevChild(bool)
    {199, 2229, 1078, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3325 QWidget::styleChange(QStyle&)
    {199, 963, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3326 QWidget::enabledChange(bool)
    {199, 1452, 1080, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3327 QWidget::paletteChange(const QPalette&)
    {199, 1027, 569, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3328 QWidget::fontChange(const QFont&)
    {199, 2381, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3329 QWidget::windowActivationChange(bool)
    {199, 1229, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3330 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    533,  // Plasma::Applet::Applet(QGraphicsItem*)
    535,  // Plasma::Applet::Applet(const KPluginInfo&)
    0,
    1938,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1939,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    979,  // Plasma::Corona::importLayout(const KConfigBase&)
    981,  // Plasma::Corona::importLayout(const KConfigGroup&)
    0,
    1000,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    1001,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    1058,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1059,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
    2275,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2277,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2276,  // Plasma::Service::disassociateWidget(QWidget*)
    2278,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    918,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    919,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
    212,  // Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    229,  // Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    0,
    2728,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2729,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2736,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2737,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    1912,  // Plasma::PushButton::setIcon(const QIcon&)
    1913,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    2516,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2517,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2502,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2518,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
    2489,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2491,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2462,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2464,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    343,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    363,  // Plasma::Animator::create(Plasma::Animator::Animation)
    364,  // Plasma::Animator::create(const QString&)
    0,
    341,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    342,  // Plasma::Animator::create(const QString&, QObject*)
    0,
    24,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    28,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    32,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    35,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    0,
    2048,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2085,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    2005,  // Plasma::RunnerContext::RunnerContext(QObject*)
    2029,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    2196,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2197,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    864,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    865,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    1456,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1457,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1466,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1470,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1454,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1455,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {29, 12, 108},	// Plasma::AcceptingInputStatus
    {29, 18, 106},	// Plasma::ActiveStatus
    {29, 20, 50},	// Plasma::AlignToHour
    {29, 21, 49},	// Plasma::AlignToMinute
    {29, 24, 100},	// Plasma::AllConstraints
    {29, 36, 115},	// Plasma::AnimatorComponent
    {29, 46, 112},	// Plasma::AppletComponent
    {29, 49, 89},	// Plasma::AppletType
    {29, 58, 122},	// Plasma::BottomEdge
    {29, 59, 52},	// Plasma::BottomMargin
    {29, 60, 85},	// Plasma::BottomPosedLeftAlignedPopup
    {29, 61, 86},	// Plasma::BottomPosedRightAlignedPopup
    {29, 62, 64},	// Plasma::BottomPositioned
    {29, 70, 47},	// Plasma::ButtonCancel
    {29, 73, 46},	// Plasma::ButtonNo
    {29, 74, 43},	// Plasma::ButtonNone
    {29, 75, 44},	// Plasma::ButtonOk
    {29, 77, 45},	// Plasma::ButtonYes
    {29, 82, 65},	// Plasma::CenterPositioned
    {29, 99, 59},	// Plasma::ConstrainedSquare
    {29, 110, 116},	// Plasma::ContainmentComponent
    {29, 113, 98},	// Plasma::ContextConstraint
    {29, 126, 113},	// Plasma::DataEngineComponent
    {29, 139, 119},	// Plasma::Desktop
    {29, 142, 109},	// Plasma::DesktopZoom
    {29, 154, 66},	// Plasma::Down
    {29, 179, 60},	// Plasma::FixedSize
    {29, 182, 118},	// Plasma::Floating
    {29, 183, 80},	// Plasma::FloatingPopup
    {29, 185, 92},	// Plasma::FormFactorConstraint
    {29, 191, 120},	// Plasma::FullScreen
    {29, 199, 110},	// Plasma::GroupZoom
    {29, 207, 41},	// Plasma::Horizontal
    {29, 208, 102},	// Plasma::HorizontalFlip
    {29, 216, 56},	// Plasma::IgnoreAspectRatio
    {29, 219, 96},	// Plasma::ImmutableConstraint
    {29, 223, 55},	// Plasma::InvalidAspectRatioMode
    {29, 224, 72},	// Plasma::InvalidCredentials
    {29, 301, 57},	// Plasma::KeepAspectRatio
    {29, 308, 68},	// Plasma::Left
    {29, 310, 123},	// Plasma::LeftEdge
    {29, 311, 53},	// Plasma::LeftMargin
    {29, 312, 84},	// Plasma::LeftPosedBottomAlignedPopup
    {29, 313, 83},	// Plasma::LeftPosedTopAlignedPopup
    {29, 314, 61},	// Plasma::LeftPositioned
    {29, 317, 90},	// Plasma::LineEditType
    {29, 320, 93},	// Plasma::LocationConstraint
    {29, 325, 40},	// Plasma::MediaCenter
    {29, 335, 77},	// Plasma::Mutable
    {29, 336, 107},	// Plasma::NeedsAttentionStatus
    {29, 339, 48},	// Plasma::NoAlignment
    {29, 341, 70},	// Plasma::NoAnnouncement
    {29, 347, 91},	// Plasma::NoConstraint
    {29, 353, 101},	// Plasma::NoFlip
    {29, 366, 111},	// Plasma::OverviewZoom
    {29, 380, 105},	// Plasma::PassiveStatus
    {29, 389, 39},	// Plasma::Planar
    {29, 396, 99},	// Plasma::PopupConstraint
    {29, 420, 69},	// Plasma::Right
    {29, 422, 124},	// Plasma::RightEdge
    {29, 423, 54},	// Plasma::RightMargin
    {29, 424, 88},	// Plasma::RightPosedBottomAlignedPopup
    {29, 425, 87},	// Plasma::RightPosedTopAlignedPopup
    {29, 426, 62},	// Plasma::RightPositioned
    {29, 430, 114},	// Plasma::RunnerComponent
    {29, 446, 94},	// Plasma::ScreenConstraint
    {29, 469, 95},	// Plasma::SizeConstraint
    {29, 481, 58},	// Plasma::Square
    {29, 483, 97},	// Plasma::StartupCompletedConstraint
    {29, 501, 79},	// Plasma::SystemImmutable
    {29, 522, 121},	// Plasma::TopEdge
    {29, 523, 51},	// Plasma::TopMargin
    {29, 524, 81},	// Plasma::TopPosedLeftAlignedPopup
    {29, 525, 82},	// Plasma::TopPosedRightAlignedPopup
    {29, 526, 63},	// Plasma::TopPositioned
    {29, 531, 75},	// Plasma::TrustedCredentials
    {29, 534, 76},	// Plasma::UltimateCredentials
    {29, 535, 73},	// Plasma::UnknownCredentials
    {29, 536, 104},	// Plasma::UnknownStatus
    {29, 538, 67},	// Plasma::Up
    {29, 541, 78},	// Plasma::UserImmutable
    {29, 545, 74},	// Plasma::ValidCredentials
    {29, 547, 42},	// Plasma::Vertical
    {29, 548, 103},	// Plasma::VerticalFlip
    {29, 565, 117},	// Plasma::WallpaperComponent
    {29, 572, 71},	// Plasma::ZeroconfAnnouncement
    {29, 574, 37},	// Plasma::ZoomIn
    {29, 575, 38},	// Plasma::ZoomOut
    {29, 594, 30},	// Plasma::actionsFromMenu#
    {29, 595, 31},	// Plasma::actionsFromMenu#$
    {29, 596, 29},	// Plasma::actionsFromMenu#$#
    {29, 1160, 33},	// Plasma::isPluginVersionCompatible$
    {29, 1218, 34},	// Plasma::knownLanguages$
    {29, 1326, -56},	// Plasma::loadScriptEngine$#
    {29, 1331, 18},	// Plasma::locationToDirection$
    {29, 1333, 23},	// Plasma::locationToInverseDirection$
    {29, 1428, 26},	// Plasma::packageStructure$$
    {29, 1625, 27},	// Plasma::scalingFactor$
    {29, 2352, 22},	// Plasma::version
    {29, 2353, 20},	// Plasma::versionMajor
    {29, 2354, 25},	// Plasma::versionMinor
    {29, 2355, 36},	// Plasma::versionRelease
    {29, 2356, 19},	// Plasma::versionString
    {29, 2365, 21},	// Plasma::viewFor#
    {30, 1, 136},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {30, 2, 132},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {30, 1364, 125},	// Plasma::AbstractDialogManager::metaObject
    {30, 1497, 131},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {30, 1499, 126},	// Plasma::AbstractDialogManager::qt_metacast$
    {30, 2168, 133},	// Plasma::AbstractDialogManager::showDialog##
    {30, 2217, 137},	// Plasma::AbstractDialogManager::staticMetaObject
    {30, 2294, 134},	// Plasma::AbstractDialogManager::tr$
    {30, 2295, 127},	// Plasma::AbstractDialogManager::tr$$
    {30, 2296, 129},	// Plasma::AbstractDialogManager::tr$$$
    {30, 2298, 135},	// Plasma::AbstractDialogManager::trUtf8$
    {30, 2299, 128},	// Plasma::AbstractDialogManager::trUtf8$$
    {30, 2300, 130},	// Plasma::AbstractDialogManager::trUtf8$$$
    {30, 2398, 138},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {31, 3, 192},	// Plasma::AbstractRunner::AbstractRunner
    {31, 4, 193},	// Plasma::AbstractRunner::AbstractRunner#
    {31, 5, 168},	// Plasma::AbstractRunner::AbstractRunner#$
    {31, 6, 170},	// Plasma::AbstractRunner::AbstractRunner#?
    {31, 7, 194},	// Plasma::AbstractRunner::AbstractRunner?
    {31, 8, 169},	// Plasma::AbstractRunner::AbstractRunner?#
    {31, 204, 202},	// Plasma::AbstractRunner::HighPriority
    {31, 205, 203},	// Plasma::AbstractRunner::HighestPriority
    {31, 321, 200},	// Plasma::AbstractRunner::LowPriority
    {31, 322, 199},	// Plasma::AbstractRunner::LowestPriority
    {31, 361, 201},	// Plasma::AbstractRunner::NormalPriority
    {31, 362, 198},	// Plasma::AbstractRunner::NormalSpeed
    {31, 475, 197},	// Plasma::AbstractRunner::SlowSpeed
    {31, 587, 181},	// Plasma::AbstractRunner::action$
    {31, 589, 182},	// Plasma::AbstractRunner::actions
    {31, 591, 177},	// Plasma::AbstractRunner::actionsForMatch#
    {31, 605, 179},	// Plasma::AbstractRunner::addAction$#
    {31, 606, 178},	// Plasma::AbstractRunner::addAction$#$
    {31, 656, 184},	// Plasma::AbstractRunner::addSyntax#
    {31, 725, 162},	// Plasma::AbstractRunner::bigLock
    {31, 743, 183},	// Plasma::AbstractRunner::clearActions
    {31, 763, 172},	// Plasma::AbstractRunner::config
    {31, 843, 149},	// Plasma::AbstractRunner::createRunOptions#
    {31, 865, 187},	// Plasma::AbstractRunner::dataEngine$
    {31, 869, 163},	// Plasma::AbstractRunner::defaultSyntax
    {31, 873, 157},	// Plasma::AbstractRunner::description
    {31, 1069, 148},	// Plasma::AbstractRunner::hasRunOptions
    {31, 1092, 158},	// Plasma::AbstractRunner::icon
    {31, 1094, 156},	// Plasma::AbstractRunner::id
    {31, 1095, 153},	// Plasma::AbstractRunner::ignoredTypes
    {31, 1108, 188},	// Plasma::AbstractRunner::init
    {31, 1154, 164},	// Plasma::AbstractRunner::isMatchingSuspended
    {31, 1350, 146},	// Plasma::AbstractRunner::match#
    {31, 1357, 167},	// Plasma::AbstractRunner::matchingSuspended$
    {31, 1364, 139},	// Plasma::AbstractRunner::metaObject
    {31, 1369, 189},	// Plasma::AbstractRunner::mimeDataForMatch#
    {31, 1399, 155},	// Plasma::AbstractRunner::name
    {31, 1425, 159},	// Plasma::AbstractRunner::package
    {31, 1462, 147},	// Plasma::AbstractRunner::performMatch#
    {31, 1486, 165},	// Plasma::AbstractRunner::prepare
    {31, 1490, 152},	// Plasma::AbstractRunner::priority
    {31, 1497, 145},	// Plasma::AbstractRunner::qt_metacall$$?
    {31, 1499, 140},	// Plasma::AbstractRunner::qt_metacast$
    {31, 1530, 160},	// Plasma::AbstractRunner::reloadConfiguration
    {31, 1541, 180},	// Plasma::AbstractRunner::removeAction$
    {31, 1605, 150},	// Plasma::AbstractRunner::run##
    {31, 1659, 195},	// Plasma::AbstractRunner::serviceQuery$
    {31, 1660, 176},	// Plasma::AbstractRunner::serviceQuery$$
    {31, 1781, 185},	// Plasma::AbstractRunner::setDefaultSyntax#
    {31, 1846, 173},	// Plasma::AbstractRunner::setHasRunOptions$
    {31, 1868, 154},	// Plasma::AbstractRunner::setIgnoredTypes$
    {31, 1975, 175},	// Plasma::AbstractRunner::setPriority$
    {31, 2038, 174},	// Plasma::AbstractRunner::setSpeed$
    {31, 2061, 186},	// Plasma::AbstractRunner::setSyntaxes?
    {31, 2208, 151},	// Plasma::AbstractRunner::speed
    {31, 2217, 196},	// Plasma::AbstractRunner::staticMetaObject
    {31, 2237, 171},	// Plasma::AbstractRunner::suspendMatching$
    {31, 2246, 161},	// Plasma::AbstractRunner::syntaxes
    {31, 2264, 166},	// Plasma::AbstractRunner::teardown
    {31, 2294, 190},	// Plasma::AbstractRunner::tr$
    {31, 2295, 141},	// Plasma::AbstractRunner::tr$$
    {31, 2296, 143},	// Plasma::AbstractRunner::tr$$$
    {31, 2298, 191},	// Plasma::AbstractRunner::trUtf8$
    {31, 2299, 142},	// Plasma::AbstractRunner::trUtf8$$
    {31, 2300, 144},	// Plasma::AbstractRunner::trUtf8$$$
    {31, 2399, 204},	// Plasma::AbstractRunner::~AbstractRunner
    {32, 9, 228},	// Plasma::AbstractToolBox::AbstractToolBox
    {32, 10, -25},	// Plasma::AbstractToolBox::AbstractToolBox#
    {32, 11, 213},	// Plasma::AbstractToolBox::AbstractToolBox#?
    {32, 19, 234},	// Plasma::AbstractToolBox::AddTool
    {32, 98, 235},	// Plasma::AbstractToolBox::ConfigureTool
    {32, 114, 236},	// Plasma::AbstractToolBox::ControlTool
    {32, 143, 238},	// Plasma::AbstractToolBox::DestructiveTool
    {32, 329, 237},	// Plasma::AbstractToolBox::MiscTool
    {32, 542, 239},	// Plasma::AbstractToolBox::UserToolType
    {32, 663, 216},	// Plasma::AbstractToolBox::addTool#
    {32, 790, 225},	// Plasma::AbstractToolBox::containment
    {32, 1170, 218},	// Plasma::AbstractToolBox::isShowing
    {32, 1287, 232},	// Plasma::AbstractToolBox::listToolBoxInfo
    {32, 1288, 215},	// Plasma::AbstractToolBox::listToolBoxInfo$
    {32, 1301, 230},	// Plasma::AbstractToolBox::load$
    {32, 1305, 231},	// Plasma::AbstractToolBox::load$?
    {32, 1306, 214},	// Plasma::AbstractToolBox::load$?#
    {32, 1364, 205},	// Plasma::AbstractToolBox::metaObject
    {32, 1497, 211},	// Plasma::AbstractToolBox::qt_metacall$$?
    {32, 1499, 206},	// Plasma::AbstractToolBox::qt_metacast$
    {32, 1566, 217},	// Plasma::AbstractToolBox::removeTool#
    {32, 1580, 222},	// Plasma::AbstractToolBox::reposition
    {32, 1596, 220},	// Plasma::AbstractToolBox::restore#
    {32, 1614, 221},	// Plasma::AbstractToolBox::save#
    {32, 2026, 219},	// Plasma::AbstractToolBox::setShowing$
    {32, 2217, 233},	// Plasma::AbstractToolBox::staticMetaObject
    {32, 2283, 223},	// Plasma::AbstractToolBox::toggled
    {32, 2294, 226},	// Plasma::AbstractToolBox::tr$
    {32, 2295, 207},	// Plasma::AbstractToolBox::tr$$
    {32, 2296, 209},	// Plasma::AbstractToolBox::tr$$$
    {32, 2298, 227},	// Plasma::AbstractToolBox::trUtf8$
    {32, 2299, 208},	// Plasma::AbstractToolBox::trUtf8$$
    {32, 2300, 210},	// Plasma::AbstractToolBox::trUtf8$$$
    {32, 2371, 224},	// Plasma::AbstractToolBox::visibilityChanged$
    {32, 2400, 240},	// Plasma::AbstractToolBox::~AbstractToolBox
    {33, 14, 253},	// Plasma::AccessAppletJob::AccessAppletJob#
    {33, 15, 249},	// Plasma::AccessAppletJob::AccessAppletJob##
    {33, 691, 248},	// Plasma::AccessAppletJob::applet
    {33, 1364, 241},	// Plasma::AccessAppletJob::metaObject
    {33, 1497, 247},	// Plasma::AccessAppletJob::qt_metacall$$?
    {33, 1499, 242},	// Plasma::AccessAppletJob::qt_metacast$
    {33, 2211, 250},	// Plasma::AccessAppletJob::start
    {33, 2217, 254},	// Plasma::AccessAppletJob::staticMetaObject
    {33, 2294, 251},	// Plasma::AccessAppletJob::tr$
    {33, 2295, 243},	// Plasma::AccessAppletJob::tr$$
    {33, 2296, 245},	// Plasma::AccessAppletJob::tr$$$
    {33, 2298, 252},	// Plasma::AccessAppletJob::trUtf8$
    {33, 2299, 244},	// Plasma::AccessAppletJob::trUtf8$$
    {33, 2300, 246},	// Plasma::AccessAppletJob::trUtf8$$$
    {33, 2401, 255},	// Plasma::AccessAppletJob::~AccessAppletJob
    {34, 585, 264},	// Plasma::AccessManager::accessRemoteApplet#
    {34, 1008, 267},	// Plasma::AccessManager::finished#
    {34, 1364, 256},	// Plasma::AccessManager::metaObject
    {34, 1497, 262},	// Plasma::AccessManager::qt_metacall$$?
    {34, 1499, 257},	// Plasma::AccessManager::qt_metacast$
    {34, 1533, 268},	// Plasma::AccessManager::remoteAppletAnnounced#
    {34, 1535, 269},	// Plasma::AccessManager::remoteAppletUnannounced#
    {34, 1536, 265},	// Plasma::AccessManager::remoteApplets
    {34, 1652, 263},	// Plasma::AccessManager::self
    {34, 2217, 272},	// Plasma::AccessManager::staticMetaObject
    {34, 2234, 266},	// Plasma::AccessManager::supportedProtocols
    {34, 2294, 270},	// Plasma::AccessManager::tr$
    {34, 2295, 258},	// Plasma::AccessManager::tr$$
    {34, 2296, 260},	// Plasma::AccessManager::tr$$$
    {34, 2298, 271},	// Plasma::AccessManager::trUtf8$
    {34, 2299, 259},	// Plasma::AccessManager::trUtf8$$
    {34, 2300, 261},	// Plasma::AccessManager::trUtf8$$$
    {35, 32, 290},	// Plasma::Animation::Animation
    {35, 33, 281},	// Plasma::Animation::Animation#
    {35, 81, 293},	// Plasma::Animation::Center
    {35, 154, 295},	// Plasma::Animation::Down
    {35, 308, 296},	// Plasma::Animation::Left
    {35, 330, 298},	// Plasma::Animation::MoveAny
    {35, 331, 301},	// Plasma::Animation::MoveDown
    {35, 332, 302},	// Plasma::Animation::MoveLeft
    {35, 333, 300},	// Plasma::Animation::MoveRight
    {35, 334, 299},	// Plasma::Animation::MoveUp
    {35, 420, 297},	// Plasma::Animation::Right
    {35, 538, 294},	// Plasma::Animation::Up
    {35, 930, 280},	// Plasma::Animation::duration
    {35, 931, 285},	// Plasma::Animation::easingCurve
    {35, 1364, 273},	// Plasma::Animation::metaObject
    {35, 1497, 279},	// Plasma::Animation::qt_metacall$$?
    {35, 1499, 274},	// Plasma::Animation::qt_metacast$
    {35, 1797, 291},	// Plasma::Animation::setDuration
    {35, 1798, 286},	// Plasma::Animation::setDuration$
    {35, 1800, 284},	// Plasma::Animation::setEasingCurve#
    {35, 2075, 282},	// Plasma::Animation::setTargetWidget#
    {35, 2217, 292},	// Plasma::Animation::staticMetaObject
    {35, 2262, 283},	// Plasma::Animation::targetWidget
    {35, 2294, 288},	// Plasma::Animation::tr$
    {35, 2295, 275},	// Plasma::Animation::tr$$
    {35, 2296, 277},	// Plasma::Animation::tr$$$
    {35, 2298, 289},	// Plasma::Animation::trUtf8$
    {35, 2299, 276},	// Plasma::Animation::trUtf8$$
    {35, 2300, 278},	// Plasma::Animation::trUtf8$$$
    {35, 2324, 287},	// Plasma::Animation::updateCurrentTime$
    {35, 2402, 303},	// Plasma::Animation::~Animation
    {36, 34, 330},	// Plasma::AnimationDriver::AnimationDriver
    {36, 35, 311},	// Plasma::AnimationDriver::AnimationDriver#
    {36, 676, 318},	// Plasma::AnimationDriver::animationCurve$
    {36, 678, 315},	// Plasma::AnimationDriver::animationDuration$
    {36, 682, 312},	// Plasma::AnimationDriver::animationFps$
    {36, 936, 320},	// Plasma::AnimationDriver::elementAnimationCurve$
    {36, 938, 317},	// Plasma::AnimationDriver::elementAnimationDuration$
    {36, 942, 314},	// Plasma::AnimationDriver::elementAnimationFps$
    {36, 944, 321},	// Plasma::AnimationDriver::elementAppear$#
    {36, 948, 322},	// Plasma::AnimationDriver::elementDisappear$#
    {36, 1184, 325},	// Plasma::AnimationDriver::itemActivated$#
    {36, 1189, 323},	// Plasma::AnimationDriver::itemAppear$#
    {36, 1197, 324},	// Plasma::AnimationDriver::itemDisappear$#
    {36, 1207, 326},	// Plasma::AnimationDriver::itemSlideIn$###
    {36, 1209, 327},	// Plasma::AnimationDriver::itemSlideOut$###
    {36, 1364, 304},	// Plasma::AnimationDriver::metaObject
    {36, 1392, 319},	// Plasma::AnimationDriver::movementAnimationCurve$
    {36, 1394, 316},	// Plasma::AnimationDriver::movementAnimationDuration$
    {36, 1396, 313},	// Plasma::AnimationDriver::movementAnimationFps$
    {36, 1497, 310},	// Plasma::AnimationDriver::qt_metacall$$?
    {36, 1499, 305},	// Plasma::AnimationDriver::qt_metacast$
    {36, 2217, 331},	// Plasma::AnimationDriver::staticMetaObject
    {36, 2294, 328},	// Plasma::AnimationDriver::tr$
    {36, 2295, 306},	// Plasma::AnimationDriver::tr$$
    {36, 2296, 308},	// Plasma::AnimationDriver::tr$$$
    {36, 2298, 329},	// Plasma::AnimationDriver::trUtf8$
    {36, 2299, 307},	// Plasma::AnimationDriver::trUtf8$$
    {36, 2300, 309},	// Plasma::AnimationDriver::trUtf8$$$
    {36, 2403, 332},	// Plasma::AnimationDriver::~AnimationDriver
    {37, 16, 368},	// Plasma::Animator::ActivateAnimation
    {37, 37, 366},	// Plasma::Animator::AppearAnimation
    {37, 150, 367},	// Plasma::Animator::DisappearAnimation
    {37, 157, 380},	// Plasma::Animator::EaseInCurve
    {37, 158, 382},	// Plasma::Animator::EaseInOutCurve
    {37, 159, 381},	// Plasma::Animator::EaseOutCurve
    {37, 173, 369},	// Plasma::Animator::FadeAnimation
    {37, 174, 387},	// Plasma::Animator::FastSlideInMovement
    {37, 175, 388},	// Plasma::Animator::FastSlideOutMovement
    {37, 196, 375},	// Plasma::Animator::GeometryAnimation
    {37, 200, 370},	// Plasma::Animator::GrowAnimation
    {37, 307, 379},	// Plasma::Animator::LastAnimation
    {37, 318, 383},	// Plasma::Animator::LinearCurve
    {37, 383, 384},	// Plasma::Animator::PendularCurve
    {37, 387, 377},	// Plasma::Animator::PixmapTransitionAnimation
    {37, 400, 371},	// Plasma::Animator::PulseAnimation
    {37, 427, 372},	// Plasma::Animator::RotationAnimation
    {37, 428, 373},	// Plasma::Animator::RotationStackedAnimation
    {37, 470, 374},	// Plasma::Animator::SlideAnimation
    {37, 471, 385},	// Plasma::Animator::SlideInMovement
    {37, 472, 386},	// Plasma::Animator::SlideOutMovement
    {37, 568, 378},	// Plasma::Animator::WaterAnimation
    {37, 573, 376},	// Plasma::Animator::ZoomAnimation
    {37, 680, 355},	// Plasma::Animator::animationFinished#$
    {37, 826, -49},	// Plasma::Animator::create$
    {37, 827, -53},	// Plasma::Animator::create$#
    {37, 852, 351},	// Plasma::Animator::currentPixmap$
    {37, 857, 347},	// Plasma::Animator::customAnimation$$$#$
    {37, 859, 358},	// Plasma::Animator::customAnimationFinished$
    {37, 940, 357},	// Plasma::Animator::elementAnimationFinished$
    {37, 1137, 352},	// Plasma::Animator::isAnimating
    {37, 1364, 333},	// Plasma::Animator::metaObject
    {37, 1390, 345},	// Plasma::Animator::moveItem#$#
    {37, 1398, 356},	// Plasma::Animator::movementFinished#
    {37, 1497, 339},	// Plasma::Animator::qt_metacall$$?
    {37, 1499, 334},	// Plasma::Animator::qt_metacast$
    {37, 1521, 353},	// Plasma::Animator::registerScrollingManager#
    {37, 1643, 359},	// Plasma::Animator::scrollStateChanged#$$
    {37, 1652, 340},	// Plasma::Animator::self
    {37, 1882, 350},	// Plasma::Animator::setInitialPixmap$#
    {37, 2217, 365},	// Plasma::Animator::staticMetaObject
    {37, 2221, 348},	// Plasma::Animator::stopCustomAnimation$
    {37, 2223, 349},	// Plasma::Animator::stopElementAnimation$
    {37, 2225, 344},	// Plasma::Animator::stopItemAnimation$
    {37, 2227, 346},	// Plasma::Animator::stopItemMovement$
    {37, 2280, 360},	// Plasma::Animator::timerEvent#
    {37, 2294, 361},	// Plasma::Animator::tr$
    {37, 2295, 335},	// Plasma::Animator::tr$$
    {37, 2296, 337},	// Plasma::Animator::tr$$$
    {37, 2298, 362},	// Plasma::Animator::trUtf8$
    {37, 2299, 336},	// Plasma::Animator::trUtf8$$
    {37, 2300, 338},	// Plasma::Animator::trUtf8$$$
    {37, 2315, 354},	// Plasma::Animator::unregisterScrollingManager#
    {38, 38, 532},	// Plasma::Applet::Applet
    {38, 39, -1},	// Plasma::Applet::Applet#
    {38, 40, 536},	// Plasma::Applet::Applet##
    {38, 41, 457},	// Plasma::Applet::Applet##$
    {38, 42, 534},	// Plasma::Applet::Applet#$
    {38, 43, 456},	// Plasma::Applet::Applet#$$
    {38, 44, 458},	// Plasma::Applet::Applet#$$?
    {38, 45, 497},	// Plasma::Applet::Applet#?
    {38, 131, 544},	// Plasma::Applet::DefaultBackground
    {38, 342, 541},	// Plasma::Applet::NoBackground
    {38, 482, 542},	// Plasma::Applet::StandardBackground
    {38, 528, 543},	// Plasma::Applet::TranslucentBackground
    {38, 533, 545},	// Plasma::Applet::Type
    {38, 587, 442},	// Plasma::Applet::action$
    {38, 597, 473},	// Plasma::Applet::activate
    {38, 605, 443},	// Plasma::Applet::addAction$#
    {38, 615, 453},	// Plasma::Applet::addAssociatedWidget#
    {38, 695, 475},	// Plasma::Applet::appletDestroyed#
    {38, 699, 469},	// Plasma::Applet::appletTransformedByUser
    {38, 700, 470},	// Plasma::Applet::appletTransformedItself
    {38, 703, 415},	// Plasma::Applet::aspectRatioMode
    {38, 706, 464},	// Plasma::Applet::associatedApplication
    {38, 707, 465},	// Plasma::Applet::associatedApplicationUrls
    {38, 722, 445},	// Plasma::Applet::backgroundHints
    {38, 732, 434},	// Plasma::Applet::category
    {38, 733, 426},	// Plasma::Applet::category#
    {38, 734, 427},	// Plasma::Applet::category$
    {38, 763, 398},	// Plasma::Applet::config
    {38, 764, 399},	// Plasma::Applet::config$
    {38, 765, 488},	// Plasma::Applet::configChanged
    {38, 766, 472},	// Plasma::Applet::configNeedsSaving
    {38, 767, 403},	// Plasma::Applet::configScheme
    {38, 770, 439},	// Plasma::Applet::configurationRequired
    {38, 786, 503},	// Plasma::Applet::constraintsEvent$
    {38, 790, 449},	// Plasma::Applet::containment
    {38, 813, 414},	// Plasma::Applet::context
    {38, 821, 441},	// Plasma::Applet::contextualActions
    {38, 831, 460},	// Plasma::Applet::createConfigurationInterface#
    {38, 860, 422},	// Plasma::Applet::customCategories
    {38, 865, 404},	// Plasma::Applet::dataEngine$
    {38, 876, 480},	// Plasma::Applet::destroy
    {38, 878, 459},	// Plasma::Applet::destroyed
    {38, 977, 508},	// Plasma::Applet::eventFilter##
    {38, 988, 507},	// Plasma::Applet::extender
    {38, 990, 477},	// Plasma::Applet::extenderItemRestored#
    {38, 1017, 486},	// Plasma::Applet::flushPendingConstraintsEvents
    {38, 1019, 511},	// Plasma::Applet::focusInEvent#
    {38, 1025, 430},	// Plasma::Applet::font
    {38, 1032, 412},	// Plasma::Applet::formFactor
    {38, 1040, 468},	// Plasma::Applet::geometryChanged
    {38, 1047, 402},	// Plasma::Applet::globalConfig
    {38, 1048, 451},	// Plasma::Applet::globalShortcut
    {38, 1057, 461},	// Plasma::Applet::hasAuthorization$
    {38, 1058, 440},	// Plasma::Applet::hasConfigurationInterface
    {38, 1063, 437},	// Plasma::Applet::hasFailedToLaunch
    {38, 1071, 466},	// Plasma::Applet::hasValidAssociatedApplication
    {38, 1086, 516},	// Plasma::Applet::hoverEnterEvent#
    {38, 1088, 517},	// Plasma::Applet::hoverLeaveEvent#
    {38, 1092, 433},	// Plasma::Applet::icon
    {38, 1094, 397},	// Plasma::Applet::id
    {38, 1099, 435},	// Plasma::Applet::immutability
    {38, 1101, 478},	// Plasma::Applet::immutabilityChanged$
    {38, 1108, 487},	// Plasma::Applet::init
    {38, 1111, 455},	// Plasma::Applet::initExtenderItem#
    {38, 1139, 438},	// Plasma::Applet::isBusy
    {38, 1145, 446},	// Plasma::Applet::isContainment
    {38, 1161, 452},	// Plasma::Applet::isPopupShowing
    {38, 1163, 495},	// Plasma::Applet::isPublished
    {38, 1166, 506},	// Plasma::Applet::isRegisteredAsDragHandle#
    {38, 1175, 483},	// Plasma::Applet::isUserConfiguring
    {38, 1193, 513},	// Plasma::Applet::itemChange$#
    {38, 1251, 522},	// Plasma::Applet::listAppletInfo
    {38, 1252, 523},	// Plasma::Applet::listAppletInfo$
    {38, 1253, 417},	// Plasma::Applet::listAppletInfo$$
    {38, 1255, 418},	// Plasma::Applet::listAppletInfoForMimetype$
    {38, 1257, 419},	// Plasma::Applet::listAppletInfoForUrl#
    {38, 1260, 524},	// Plasma::Applet::listCategories
    {38, 1261, 525},	// Plasma::Applet::listCategories$
    {38, 1262, 420},	// Plasma::Applet::listCategories$$
    {38, 1295, 530},	// Plasma::Applet::load#
    {38, 1298, 531},	// Plasma::Applet::load#$
    {38, 1299, 425},	// Plasma::Applet::load#$?
    {38, 1301, 528},	// Plasma::Applet::load$
    {38, 1303, 529},	// Plasma::Applet::load$$
    {38, 1304, 424},	// Plasma::Applet::load$$?
    {38, 1317, 526},	// Plasma::Applet::loadPlasmoid$
    {38, 1318, 527},	// Plasma::Applet::loadPlasmoid$$
    {38, 1319, 423},	// Plasma::Applet::loadPlasmoid$$?
    {38, 1327, 413},	// Plasma::Applet::location
    {38, 1335, 485},	// Plasma::Applet::lower
    {38, 1343, 407},	// Plasma::Applet::mapFromView##
    {38, 1345, 408},	// Plasma::Applet::mapToView##
    {38, 1363, 474},	// Plasma::Applet::messageButtonPressed$
    {38, 1364, 389},	// Plasma::Applet::metaObject
    {38, 1382, 510},	// Plasma::Applet::mouseMoveEvent#
    {38, 1399, 429},	// Plasma::Applet::name
    {38, 1405, 476},	// Plasma::Applet::newStatus$
    {38, 1425, 405},	// Plasma::Applet::package
    {38, 1426, 396},	// Plasma::Applet::packageStructure
    {38, 1449, 428},	// Plasma::Applet::paintInterface###
    {38, 1451, 436},	// Plasma::Applet::paintWindowFrame###
    {38, 1469, 431},	// Plasma::Applet::pluginName
    {38, 1478, 409},	// Plasma::Applet::popupPosition#
    {38, 1481, 410},	// Plasma::Applet::popupPosition#$
    {38, 1495, 493},	// Plasma::Applet::publish$$
    {38, 1497, 395},	// Plasma::Applet::qt_metacall$$?
    {38, 1499, 390},	// Plasma::Applet::qt_metacast$
    {38, 1503, 484},	// Plasma::Applet::raise
    {38, 1514, 504},	// Plasma::Applet::registerAsDragHandle#
    {38, 1526, 467},	// Plasma::Applet::releaseVisualFocus
    {38, 1546, 454},	// Plasma::Applet::removeAssociatedWidget#
    {38, 1592, 512},	// Plasma::Applet::resizeEvent#
    {38, 1596, 401},	// Plasma::Applet::restore#
    {38, 1607, 496},	// Plasma::Applet::runAssociatedApplication
    {38, 1614, 400},	// Plasma::Applet::save#
    {38, 1620, 499},	// Plasma::Applet::saveState#
    {38, 1628, 509},	// Plasma::Applet::sceneEventFilter##
    {38, 1639, 447},	// Plasma::Applet::screenRect
    {38, 1683, 416},	// Plasma::Applet::setAspectRatioMode$
    {38, 1685, 462},	// Plasma::Applet::setAssociatedApplication$
    {38, 1687, 463},	// Plasma::Applet::setAssociatedApplicationUrls?
    {38, 1707, 444},	// Plasma::Applet::setBackgroundHints$
    {38, 1711, 489},	// Plasma::Applet::setBusy$
    {38, 1733, 538},	// Plasma::Applet::setConfigurationRequired$
    {38, 1734, 501},	// Plasma::Applet::setConfigurationRequired$$
    {38, 1764, 421},	// Plasma::Applet::setCustomCategories?
    {38, 1819, 537},	// Plasma::Applet::setFailedToLaunch$
    {38, 1820, 498},	// Plasma::Applet::setFailedToLaunch$$
    {38, 1835, 450},	// Plasma::Applet::setGlobalShortcut#
    {38, 1844, 500},	// Plasma::Applet::setHasConfigurationInterface$
    {38, 1876, 479},	// Plasma::Applet::setImmutability$
    {38, 2044, 492},	// Plasma::Applet::setStatus$
    {38, 2155, 514},	// Plasma::Applet::shape
    {38, 2157, 432},	// Plasma::Applet::shouldConserveResources
    {38, 2163, 481},	// Plasma::Applet::showConfigurationInterface
    {38, 2164, 482},	// Plasma::Applet::showConfigurationInterface#
    {38, 2176, 502},	// Plasma::Applet::showMessage#$$
    {38, 2194, 539},	// Plasma::Applet::sizeHint$
    {38, 2195, 515},	// Plasma::Applet::sizeHint$#
    {38, 2197, 471},	// Plasma::Applet::sizeHintChanged$
    {38, 2215, 490},	// Plasma::Applet::startupArguments
    {38, 2217, 540},	// Plasma::Applet::staticMetaObject
    {38, 2218, 491},	// Plasma::Applet::status
    {38, 2280, 518},	// Plasma::Applet::timerEvent#
    {38, 2294, 519},	// Plasma::Applet::tr$
    {38, 2295, 391},	// Plasma::Applet::tr$$
    {38, 2296, 393},	// Plasma::Applet::tr$$$
    {38, 2298, 520},	// Plasma::Applet::trUtf8$
    {38, 2299, 392},	// Plasma::Applet::trUtf8$$
    {38, 2300, 394},	// Plasma::Applet::trUtf8$$$
    {38, 2302, 448},	// Plasma::Applet::type
    {38, 2311, 494},	// Plasma::Applet::unpublish
    {38, 2313, 505},	// Plasma::Applet::unregisterAsDragHandle#
    {38, 2321, 521},	// Plasma::Applet::updateConstraints
    {38, 2322, 411},	// Plasma::Applet::updateConstraints$
    {38, 2363, 406},	// Plasma::Applet::view
    {38, 2404, 546},	// Plasma::Applet::~Applet
    {39, 47, 584},	// Plasma::AppletScript::AppletScript
    {39, 48, 554},	// Plasma::AppletScript::AppletScript#
    {39, 654, 576},	// Plasma::AppletScript::addStandardConfigurationPages#
    {39, 691, 556},	// Plasma::AppletScript::applet
    {39, 765, 570},	// Plasma::AppletScript::configChanged
    {39, 766, 565},	// Plasma::AppletScript::configNeedsSaving
    {39, 786, 559},	// Plasma::AppletScript::constraintsEvent$
    {39, 821, 560},	// Plasma::AppletScript::contextualActions
    {39, 865, 571},	// Plasma::AppletScript::dataEngine$
    {39, 873, 574},	// Plasma::AppletScript::description
    {39, 988, 566},	// Plasma::AppletScript::extender
    {39, 1166, 580},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {39, 1308, 581},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {39, 1337, 572},	// Plasma::AppletScript::mainScript
    {39, 1364, 547},	// Plasma::AppletScript::metaObject
    {39, 1425, 573},	// Plasma::AppletScript::package
    {39, 1449, 557},	// Plasma::AppletScript::paintInterface###
    {39, 1474, 568},	// Plasma::AppletScript::popupEvent$
    {39, 1497, 553},	// Plasma::AppletScript::qt_metacall$$?
    {39, 1499, 548},	// Plasma::AppletScript::qt_metacast$
    {39, 1514, 578},	// Plasma::AppletScript::registerAsDragHandle#
    {39, 1620, 567},	// Plasma::AppletScript::saveState#
    {39, 1677, 555},	// Plasma::AppletScript::setApplet#
    {39, 1733, 585},	// Plasma::AppletScript::setConfigurationRequired$
    {39, 1734, 563},	// Plasma::AppletScript::setConfigurationRequired$$
    {39, 1819, 586},	// Plasma::AppletScript::setFailedToLaunch$
    {39, 1820, 564},	// Plasma::AppletScript::setFailedToLaunch$$
    {39, 1844, 562},	// Plasma::AppletScript::setHasConfigurationInterface$
    {39, 2155, 561},	// Plasma::AppletScript::shape
    {39, 2163, 569},	// Plasma::AppletScript::showConfigurationInterface
    {39, 2176, 577},	// Plasma::AppletScript::showMessage#$$
    {39, 2188, 558},	// Plasma::AppletScript::size
    {39, 2210, 575},	// Plasma::AppletScript::standardConfigurationDialog
    {39, 2217, 587},	// Plasma::AppletScript::staticMetaObject
    {39, 2294, 582},	// Plasma::AppletScript::tr$
    {39, 2295, 549},	// Plasma::AppletScript::tr$$
    {39, 2296, 551},	// Plasma::AppletScript::tr$$$
    {39, 2298, 583},	// Plasma::AppletScript::trUtf8$
    {39, 2299, 550},	// Plasma::AppletScript::trUtf8$$
    {39, 2300, 552},	// Plasma::AppletScript::trUtf8$$$
    {39, 2313, 579},	// Plasma::AppletScript::unregisterAsDragHandle#
    {39, 2405, 588},	// Plasma::AppletScript::~AppletScript
    {40, 50, 591},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {40, 51, 592},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {40, 712, 589},	// Plasma::AuthorizationInterface::authorizationRequest#
    {40, 754, 590},	// Plasma::AuthorizationInterface::clientPinRequest#
    {40, 2406, 593},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {41, 118, 611},	// Plasma::AuthorizationManager::Custom
    {41, 138, 608},	// Plasma::AuthorizationManager::DenyAll
    {41, 385, 610},	// Plasma::AuthorizationManager::PinPairing
    {41, 532, 609},	// Plasma::AuthorizationManager::TrustedOnly
    {41, 1364, 594},	// Plasma::AuthorizationManager::metaObject
    {41, 1497, 600},	// Plasma::AuthorizationManager::qt_metacall$$?
    {41, 1499, 595},	// Plasma::AuthorizationManager::qt_metacast$
    {41, 1508, 604},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {41, 1652, 601},	// Plasma::AuthorizationManager::self
    {41, 1691, 603},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {41, 1693, 602},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {41, 2217, 607},	// Plasma::AuthorizationManager::staticMetaObject
    {41, 2294, 605},	// Plasma::AuthorizationManager::tr$
    {41, 2295, 596},	// Plasma::AuthorizationManager::tr$$
    {41, 2296, 598},	// Plasma::AuthorizationManager::tr$$$
    {41, 2298, 606},	// Plasma::AuthorizationManager::trUtf8$
    {41, 2299, 597},	// Plasma::AuthorizationManager::trUtf8$$
    {41, 2300, 599},	// Plasma::AuthorizationManager::trUtf8$$$
    {42, 26, 640},	// Plasma::AuthorizationRule::AllServices
    {42, 27, 639},	// Plasma::AuthorizationRule::AllUsers
    {42, 28, 634},	// Plasma::AuthorizationRule::Allow
    {42, 130, 638},	// Plasma::AuthorizationRule::Default
    {42, 137, 633},	// Plasma::AuthorizationRule::Deny
    {42, 384, 637},	// Plasma::AuthorizationRule::Persistent
    {42, 386, 635},	// Plasma::AuthorizationRule::PinRequired
    {42, 527, 636},	// Plasma::AuthorizationRule::Transient
    {42, 738, 629},	// Plasma::AuthorizationRule::changed#
    {42, 873, 619},	// Plasma::AuthorizationRule::description
    {42, 1364, 612},	// Plasma::AuthorizationRule::metaObject
    {42, 1463, 623},	// Plasma::AuthorizationRule::persistence
    {42, 1464, 627},	// Plasma::AuthorizationRule::pin
    {42, 1470, 621},	// Plasma::AuthorizationRule::policy
    {42, 1497, 618},	// Plasma::AuthorizationRule::qt_metacall$$?
    {42, 1499, 613},	// Plasma::AuthorizationRule::qt_metacast$
    {42, 1656, 628},	// Plasma::AuthorizationRule::serviceName
    {42, 1950, 622},	// Plasma::AuthorizationRule::setPersistence$
    {42, 1952, 626},	// Plasma::AuthorizationRule::setPin$
    {42, 1956, 620},	// Plasma::AuthorizationRule::setPolicy$
    {42, 2077, 624},	// Plasma::AuthorizationRule::setTargets$
    {42, 2217, 632},	// Plasma::AuthorizationRule::staticMetaObject
    {42, 2263, 625},	// Plasma::AuthorizationRule::targets
    {42, 2294, 630},	// Plasma::AuthorizationRule::tr$
    {42, 2295, 614},	// Plasma::AuthorizationRule::tr$$
    {42, 2296, 616},	// Plasma::AuthorizationRule::tr$$$
    {42, 2298, 631},	// Plasma::AuthorizationRule::trUtf8$
    {42, 2299, 615},	// Plasma::AuthorizationRule::trUtf8$$
    {42, 2300, 617},	// Plasma::AuthorizationRule::trUtf8$$$
    {42, 2407, 641},	// Plasma::AuthorizationRule::~AuthorizationRule
    {43, 67, 664},	// Plasma::BusyWidget::BusyWidget
    {43, 68, 649},	// Plasma::BusyWidget::BusyWidget#
    {43, 751, 654},	// Plasma::BusyWidget::clicked
    {43, 1078, 657},	// Plasma::BusyWidget::hideEvent#
    {43, 1169, 651},	// Plasma::BusyWidget::isRunning
    {43, 1219, 653},	// Plasma::BusyWidget::label
    {43, 1364, 642},	// Plasma::BusyWidget::metaObject
    {43, 1384, 659},	// Plasma::BusyWidget::mousePressEvent#
    {43, 1386, 660},	// Plasma::BusyWidget::mouseReleaseEvent#
    {43, 1432, 665},	// Plasma::BusyWidget::paint##
    {43, 1433, 655},	// Plasma::BusyWidget::paint###
    {43, 1497, 648},	// Plasma::BusyWidget::qt_metacall$$?
    {43, 1499, 643},	// Plasma::BusyWidget::qt_metacast$
    {43, 1592, 658},	// Plasma::BusyWidget::resizeEvent#
    {43, 1886, 652},	// Plasma::BusyWidget::setLabel$
    {43, 2001, 650},	// Plasma::BusyWidget::setRunning$
    {43, 2172, 656},	// Plasma::BusyWidget::showEvent#
    {43, 2217, 666},	// Plasma::BusyWidget::staticMetaObject
    {43, 2280, 661},	// Plasma::BusyWidget::timerEvent#
    {43, 2294, 662},	// Plasma::BusyWidget::tr$
    {43, 2295, 644},	// Plasma::BusyWidget::tr$$
    {43, 2296, 646},	// Plasma::BusyWidget::tr$$$
    {43, 2298, 663},	// Plasma::BusyWidget::trUtf8$
    {43, 2299, 645},	// Plasma::BusyWidget::trUtf8$$
    {43, 2300, 647},	// Plasma::BusyWidget::trUtf8$$$
    {43, 2408, 667},	// Plasma::BusyWidget::~BusyWidget
    {44, 85, 690},	// Plasma::CheckBox::CheckBox
    {44, 86, 675},	// Plasma::CheckBox::CheckBox#
    {44, 736, 687},	// Plasma::CheckBox::changeEvent#
    {44, 1096, 679},	// Plasma::CheckBox::image
    {44, 1141, 684},	// Plasma::CheckBox::isChecked
    {44, 1364, 668},	// Plasma::CheckBox::metaObject
    {44, 1401, 682},	// Plasma::CheckBox::nativeWidget
    {44, 1497, 674},	// Plasma::CheckBox::qt_metacall$$?
    {44, 1499, 669},	// Plasma::CheckBox::qt_metacast$
    {44, 1592, 686},	// Plasma::CheckBox::resizeEvent#
    {44, 1721, 683},	// Plasma::CheckBox::setChecked$
    {44, 1871, 678},	// Plasma::CheckBox::setImage$
    {44, 2049, 680},	// Plasma::CheckBox::setStyleSheet$
    {44, 2079, 676},	// Plasma::CheckBox::setText$
    {44, 2217, 691},	// Plasma::CheckBox::staticMetaObject
    {44, 2230, 681},	// Plasma::CheckBox::styleSheet
    {44, 2265, 677},	// Plasma::CheckBox::text
    {44, 2284, 685},	// Plasma::CheckBox::toggled$
    {44, 2294, 688},	// Plasma::CheckBox::tr$
    {44, 2295, 670},	// Plasma::CheckBox::tr$$
    {44, 2296, 672},	// Plasma::CheckBox::tr$$$
    {44, 2298, 689},	// Plasma::CheckBox::trUtf8$
    {44, 2299, 671},	// Plasma::CheckBox::trUtf8$$
    {44, 2300, 673},	// Plasma::CheckBox::trUtf8$$$
    {44, 2409, 692},	// Plasma::CheckBox::~CheckBox
    {45, 738, 703},	// Plasma::ClientPinRequest::changed#
    {45, 873, 700},	// Plasma::ClientPinRequest::description
    {45, 1364, 693},	// Plasma::ClientPinRequest::metaObject
    {45, 1464, 702},	// Plasma::ClientPinRequest::pin
    {45, 1497, 699},	// Plasma::ClientPinRequest::qt_metacall$$?
    {45, 1499, 694},	// Plasma::ClientPinRequest::qt_metacast$
    {45, 1952, 701},	// Plasma::ClientPinRequest::setPin$
    {45, 2217, 706},	// Plasma::ClientPinRequest::staticMetaObject
    {45, 2294, 704},	// Plasma::ClientPinRequest::tr$
    {45, 2295, 695},	// Plasma::ClientPinRequest::tr$$
    {45, 2296, 697},	// Plasma::ClientPinRequest::tr$$$
    {45, 2298, 705},	// Plasma::ClientPinRequest::trUtf8$
    {45, 2299, 696},	// Plasma::ClientPinRequest::trUtf8$$
    {45, 2300, 698},	// Plasma::ClientPinRequest::trUtf8$$$
    {46, 88, 738},	// Plasma::ComboBox::ComboBox
    {46, 89, 714},	// Plasma::ComboBox::ComboBox#
    {46, 599, 725},	// Plasma::ComboBox::activated$
    {46, 631, 720},	// Plasma::ComboBox::addItem$
    {46, 736, 734},	// Plasma::ComboBox::changeEvent#
    {46, 742, 724},	// Plasma::ComboBox::clear
    {46, 824, 721},	// Plasma::ComboBox::count
    {46, 848, 722},	// Plasma::ComboBox::currentIndex
    {46, 850, 727},	// Plasma::ComboBox::currentIndexChanged$
    {46, 1019, 730},	// Plasma::ComboBox::focusInEvent#
    {46, 1023, 731},	// Plasma::ComboBox::focusOutEvent#
    {46, 1086, 732},	// Plasma::ComboBox::hoverEnterEvent#
    {46, 1088, 733},	// Plasma::ComboBox::hoverLeaveEvent#
    {46, 1364, 707},	// Plasma::ComboBox::metaObject
    {46, 1384, 735},	// Plasma::ComboBox::mousePressEvent#
    {46, 1401, 719},	// Plasma::ComboBox::nativeWidget
    {46, 1433, 729},	// Plasma::ComboBox::paint###
    {46, 1497, 713},	// Plasma::ComboBox::qt_metacall$$?
    {46, 1499, 708},	// Plasma::ComboBox::qt_metacast$
    {46, 1592, 728},	// Plasma::ComboBox::resizeEvent#
    {46, 1762, 723},	// Plasma::ComboBox::setCurrentIndex$
    {46, 1924, 718},	// Plasma::ComboBox::setNativeWidget#
    {46, 2049, 716},	// Plasma::ComboBox::setStyleSheet$
    {46, 2217, 739},	// Plasma::ComboBox::staticMetaObject
    {46, 2230, 717},	// Plasma::ComboBox::styleSheet
    {46, 2265, 715},	// Plasma::ComboBox::text
    {46, 2268, 726},	// Plasma::ComboBox::textChanged$
    {46, 2294, 736},	// Plasma::ComboBox::tr$
    {46, 2295, 709},	// Plasma::ComboBox::tr$$
    {46, 2296, 711},	// Plasma::ComboBox::tr$$$
    {46, 2298, 737},	// Plasma::ComboBox::trUtf8$
    {46, 2299, 710},	// Plasma::ComboBox::trUtf8$$
    {46, 2300, 712},	// Plasma::ComboBox::trUtf8$$$
    {46, 2410, 740},	// Plasma::ComboBox::~ComboBox
    {47, 92, 752},	// Plasma::ConfigLoader::ConfigLoader##
    {47, 93, 743},	// Plasma::ConfigLoader::ConfigLoader###
    {47, 94, 750},	// Plasma::ConfigLoader::ConfigLoader$#
    {47, 95, 741},	// Plasma::ConfigLoader::ConfigLoader$##
    {47, 96, 751},	// Plasma::ConfigLoader::ConfigLoader?#
    {47, 97, 742},	// Plasma::ConfigLoader::ConfigLoader?##
    {47, 1004, 744},	// Plasma::ConfigLoader::findItem$$
    {47, 1006, 745},	// Plasma::ConfigLoader::findItemByName$
    {47, 1054, 748},	// Plasma::ConfigLoader::groupList
    {47, 1065, 747},	// Plasma::ConfigLoader::hasGroup$
    {47, 1492, 746},	// Plasma::ConfigLoader::property$
    {47, 2348, 749},	// Plasma::ConfigLoader::usrWriteConfig
    {47, 2411, 753},	// Plasma::ConfigLoader::~ConfigLoader
    {48, 100, 843},	// Plasma::Containment::Containment
    {48, 101, 844},	// Plasma::Containment::Containment#
    {48, 102, 845},	// Plasma::Containment::Containment#$
    {48, 103, 761},	// Plasma::Containment::Containment#$$
    {48, 104, 762},	// Plasma::Containment::Containment#?
    {48, 119, 860},	// Plasma::Containment::CustomContainment
    {48, 120, 861},	// Plasma::Containment::CustomPanelContainment
    {48, 140, 858},	// Plasma::Containment::DesktopContainment
    {48, 348, 857},	// Plasma::Containment::NoContainmentType
    {48, 378, 859},	// Plasma::Containment::PanelContainment
    {48, 600, 794},	// Plasma::Containment::activity
    {48, 608, 852},	// Plasma::Containment::addApplet#
    {48, 609, 853},	// Plasma::Containment::addApplet##
    {48, 610, 771},	// Plasma::Containment::addApplet##$
    {48, 611, 850},	// Plasma::Containment::addApplet$
    {48, 612, 851},	// Plasma::Containment::addApplet$?
    {48, 613, 770},	// Plasma::Containment::addApplet$?#
    {48, 615, 788},	// Plasma::Containment::addAssociatedWidget#
    {48, 649, 814},	// Plasma::Containment::addSiblingContainment
    {48, 650, 807},	// Plasma::Containment::addSiblingContainment#
    {48, 665, 782},	// Plasma::Containment::addToolBoxAction#
    {48, 693, 802},	// Plasma::Containment::appletAdded##
    {48, 698, 803},	// Plasma::Containment::appletRemoved#
    {48, 701, 772},	// Plasma::Containment::applets
    {48, 744, 773},	// Plasma::Containment::clearApplets
    {48, 756, 787},	// Plasma::Containment::closeToolBox
    {48, 765, 820},	// Plasma::Containment::configChanged
    {48, 773, 810},	// Plasma::Containment::configureRequested#
    {48, 792, 800},	// Plasma::Containment::containmentActions$
    {48, 793, 801},	// Plasma::Containment::containmentActionsConfig
    {48, 796, 799},	// Plasma::Containment::containmentActionsTriggers
    {48, 804, 764},	// Plasma::Containment::containmentType
    {48, 813, 795},	// Plasma::Containment::context
    {48, 816, 811},	// Plasma::Containment::contextChanged#
    {48, 820, 828},	// Plasma::Containment::contextMenuEvent#
    {48, 823, 765},	// Plasma::Containment::corona
    {48, 874, 777},	// Plasma::Containment::desktop
    {48, 876, 817},	// Plasma::Containment::destroy
    {48, 877, 818},	// Plasma::Containment::destroy$
    {48, 899, 833},	// Plasma::Containment::dragEnterEvent#
    {48, 901, 834},	// Plasma::Containment::dragLeaveEvent#
    {48, 903, 835},	// Plasma::Containment::dragMoveEvent#
    {48, 925, 790},	// Plasma::Containment::drawWallpaper
    {48, 929, 836},	// Plasma::Containment::dropEvent#
    {48, 959, 781},	// Plasma::Containment::enableAction$$
    {48, 1020, 815},	// Plasma::Containment::focusNextApplet
    {48, 1024, 816},	// Plasma::Containment::focusPreviousApplet
    {48, 1108, 763},	// Plasma::Containment::init
    {48, 1173, 785},	// Plasma::Containment::isToolBoxOpen
    {48, 1193, 832},	// Plasma::Containment::itemChange$#
    {48, 1212, 829},	// Plasma::Containment::keyPressEvent#
    {48, 1230, 778},	// Plasma::Containment::lastDesktop
    {48, 1232, 776},	// Plasma::Containment::lastScreen
    {48, 1264, 768},	// Plasma::Containment::listContainmentTypes
    {48, 1265, 846},	// Plasma::Containment::listContainments
    {48, 1266, 847},	// Plasma::Containment::listContainments$
    {48, 1267, 766},	// Plasma::Containment::listContainments$$
    {48, 1269, 769},	// Plasma::Containment::listContainmentsForMimetype$
    {48, 1271, 848},	// Plasma::Containment::listContainmentsOfType$
    {48, 1272, 849},	// Plasma::Containment::listContainmentsOfType$$
    {48, 1273, 767},	// Plasma::Containment::listContainmentsOfType$$$
    {48, 1364, 754},	// Plasma::Containment::metaObject
    {48, 1382, 825},	// Plasma::Containment::mouseMoveEvent#
    {48, 1384, 826},	// Plasma::Containment::mousePressEvent#
    {48, 1386, 827},	// Plasma::Containment::mouseReleaseEvent#
    {48, 1412, 786},	// Plasma::Containment::openToolBox
    {48, 1497, 760},	// Plasma::Containment::qt_metacall$$?
    {48, 1499, 755},	// Plasma::Containment::qt_metacast$
    {48, 1546, 789},	// Plasma::Containment::removeAssociatedWidget#
    {48, 1568, 783},	// Plasma::Containment::removeToolBoxAction#
    {48, 1592, 837},	// Plasma::Containment::resizeEvent#
    {48, 1596, 780},	// Plasma::Containment::restore#
    {48, 1598, 824},	// Plasma::Containment::restoreContents#
    {48, 1614, 779},	// Plasma::Containment::save#
    {48, 1616, 823},	// Plasma::Containment::saveContents#
    {48, 1628, 831},	// Plasma::Containment::sceneEventFilter##
    {48, 1632, 775},	// Plasma::Containment::screen
    {48, 1634, 809},	// Plasma::Containment::screenChanged$$#
    {48, 1667, 793},	// Plasma::Containment::setActivity$
    {48, 1738, 798},	// Plasma::Containment::setContainmentActions$$
    {48, 1742, 821},	// Plasma::Containment::setContainmentType$
    {48, 1796, 822},	// Plasma::Containment::setDrawWallpaper$
    {48, 1829, 813},	// Plasma::Containment::setFormFactor$
    {48, 1899, 812},	// Plasma::Containment::setLocation$
    {48, 2005, 854},	// Plasma::Containment::setScreen$
    {48, 2006, 774},	// Plasma::Containment::setScreen$$
    {48, 2093, 839},	// Plasma::Containment::setToolBox#
    {48, 2095, 784},	// Plasma::Containment::setToolBoxOpen$
    {48, 2137, 855},	// Plasma::Containment::setWallpaper$
    {48, 2138, 791},	// Plasma::Containment::setWallpaper$$
    {48, 2161, 808},	// Plasma::Containment::showAddWidgetsInterface#
    {48, 2163, 819},	// Plasma::Containment::showConfigurationInterface
    {48, 2166, 796},	// Plasma::Containment::showContextMenu##
    {48, 2170, 797},	// Plasma::Containment::showDropZone#
    {48, 2217, 856},	// Plasma::Containment::staticMetaObject
    {48, 2285, 840},	// Plasma::Containment::toolBox
    {48, 2286, 838},	// Plasma::Containment::toolBoxItem
    {48, 2287, 805},	// Plasma::Containment::toolBoxToggled
    {48, 2289, 806},	// Plasma::Containment::toolBoxVisibilityChanged$
    {48, 2294, 841},	// Plasma::Containment::tr$
    {48, 2295, 756},	// Plasma::Containment::tr$$
    {48, 2296, 758},	// Plasma::Containment::tr$$$
    {48, 2298, 842},	// Plasma::Containment::trUtf8$
    {48, 2299, 757},	// Plasma::Containment::trUtf8$$
    {48, 2300, 759},	// Plasma::Containment::trUtf8$$$
    {48, 2374, 792},	// Plasma::Containment::wallpaper
    {48, 2379, 830},	// Plasma::Containment::wheelEvent#
    {48, 2397, 804},	// Plasma::Containment::zoomRequested#$
    {48, 2412, 862},	// Plasma::Containment::~Containment
    {49, 486, 863},	// Plasma::Containment::StyleOption::StyleOption
    {49, 487, -70},	// Plasma::Containment::StyleOption::StyleOption#
    {49, 533, 868},	// Plasma::Containment::StyleOption::Type
    {49, 546, 869},	// Plasma::Containment::StyleOption::Version
    {49, 2133, 867},	// Plasma::Containment::StyleOption::setView#
    {49, 2363, 866},	// Plasma::Containment::StyleOption::view
    {49, 2456, 870},	// Plasma::Containment::StyleOption::~StyleOption
    {50, 105, 906},	// Plasma::ContainmentActions::ContainmentActions
    {50, 106, 878},	// Plasma::ContainmentActions::ContainmentActions#
    {50, 107, 899},	// Plasma::ContainmentActions::ContainmentActions#?
    {50, 769, 890},	// Plasma::ContainmentActions::configurationAccepted
    {50, 770, 894},	// Plasma::ContainmentActions::configurationRequired
    {50, 790, 902},	// Plasma::ContainmentActions::containment
    {50, 818, 891},	// Plasma::ContainmentActions::contextEvent#
    {50, 821, 892},	// Plasma::ContainmentActions::contextualActions
    {50, 831, 889},	// Plasma::ContainmentActions::createConfigurationInterface#
    {50, 865, 893},	// Plasma::ContainmentActions::dataEngine$
    {50, 975, 897},	// Plasma::ContainmentActions::event#
    {50, 979, 895},	// Plasma::ContainmentActions::eventToString#
    {50, 1092, 885},	// Plasma::ContainmentActions::icon
    {50, 1109, 900},	// Plasma::ContainmentActions::init#
    {50, 1153, 886},	// Plasma::ContainmentActions::isInitialized
    {50, 1263, 879},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {50, 1296, 908},	// Plasma::ContainmentActions::load##
    {50, 1297, 881},	// Plasma::ContainmentActions::load##?
    {50, 1298, 907},	// Plasma::ContainmentActions::load#$
    {50, 1299, 880},	// Plasma::ContainmentActions::load#$?
    {50, 1364, 871},	// Plasma::ContainmentActions::metaObject
    {50, 1399, 883},	// Plasma::ContainmentActions::name
    {50, 1426, 882},	// Plasma::ContainmentActions::packageStructure
    {50, 1456, 903},	// Plasma::ContainmentActions::paste##
    {50, 1469, 884},	// Plasma::ContainmentActions::pluginName
    {50, 1479, 896},	// Plasma::ContainmentActions::popupPosition##
    {50, 1497, 877},	// Plasma::ContainmentActions::qt_metacall$$?
    {50, 1499, 872},	// Plasma::ContainmentActions::qt_metacast$
    {50, 1596, 887},	// Plasma::ContainmentActions::restore#
    {50, 1614, 888},	// Plasma::ContainmentActions::save#
    {50, 1732, 909},	// Plasma::ContainmentActions::setConfigurationRequired
    {50, 1733, 901},	// Plasma::ContainmentActions::setConfigurationRequired$
    {50, 1736, 898},	// Plasma::ContainmentActions::setContainment#
    {50, 2217, 910},	// Plasma::ContainmentActions::staticMetaObject
    {50, 2294, 904},	// Plasma::ContainmentActions::tr$
    {50, 2295, 873},	// Plasma::ContainmentActions::tr$$
    {50, 2296, 875},	// Plasma::ContainmentActions::tr$$$
    {50, 2298, 905},	// Plasma::ContainmentActions::trUtf8$
    {50, 2299, 874},	// Plasma::ContainmentActions::trUtf8$$
    {50, 2300, 876},	// Plasma::ContainmentActions::trUtf8$$$
    {50, 2413, 911},	// Plasma::ContainmentActions::~ContainmentActions
    {51, 108, 912},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {51, 109, 913},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {51, 641, 917},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {51, 642, -22},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {51, 742, 915},	// Plasma::ContainmentActionsPluginsConfig::clear
    {51, 1420, 914},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {51, 1539, 916},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {51, 2414, 920},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {52, 111, 940},	// Plasma::Context::Context
    {52, 112, 928},	// Plasma::Context::Context#
    {52, 602, 936},	// Plasma::Context::activityChanged#
    {52, 738, 935},	// Plasma::Context::changed#
    {52, 829, 929},	// Plasma::Context::createActivity$
    {52, 844, 932},	// Plasma::Context::currentActivity
    {52, 845, 934},	// Plasma::Context::currentActivityId
    {52, 1248, 930},	// Plasma::Context::listActivities
    {52, 1329, 937},	// Plasma::Context::locationChanged#
    {52, 1364, 921},	// Plasma::Context::metaObject
    {52, 1497, 927},	// Plasma::Context::qt_metacall$$?
    {52, 1499, 922},	// Plasma::Context::qt_metacast$
    {52, 1758, 931},	// Plasma::Context::setCurrentActivity$
    {52, 1760, 933},	// Plasma::Context::setCurrentActivityId$
    {52, 2217, 941},	// Plasma::Context::staticMetaObject
    {52, 2294, 938},	// Plasma::Context::tr$
    {52, 2295, 923},	// Plasma::Context::tr$$
    {52, 2296, 925},	// Plasma::Context::tr$$$
    {52, 2298, 939},	// Plasma::Context::trUtf8$
    {52, 2299, 924},	// Plasma::Context::trUtf8$$
    {52, 2300, 926},	// Plasma::Context::trUtf8$$$
    {52, 2415, 942},	// Plasma::Context::~Context
    {53, 115, 1008},	// Plasma::Corona::Corona
    {53, 116, 950},	// Plasma::Corona::Corona#
    {53, 587, 968},	// Plasma::Corona::action$
    {53, 589, 970},	// Plasma::Corona::actions
    {53, 604, 974},	// Plasma::Corona::addAction$
    {53, 605, 969},	// Plasma::Corona::addAction$#
    {53, 617, 1009},	// Plasma::Corona::addContainment$
    {53, 618, 956},	// Plasma::Corona::addContainment$?
    {53, 620, 1015},	// Plasma::Corona::addContainmentDelayed$
    {53, 621, 999},	// Plasma::Corona::addContainmentDelayed$?
    {53, 637, 959},	// Plasma::Corona::addOffscreenWidget#
    {53, 648, 973},	// Plasma::Corona::addShortcuts#
    {53, 696, 952},	// Plasma::Corona::appletMimeType
    {53, 718, 964},	// Plasma::Corona::availableScreenRegion$
    {53, 719, 995},	// Plasma::Corona::availableScreenRegionChanged
    {53, 746, 954},	// Plasma::Corona::clearContainments
    {53, 763, 955},	// Plasma::Corona::config
    {53, 768, 994},	// Plasma::Corona::configSynced
    {53, 795, 976},	// Plasma::Corona::containmentActionsDefaults$
    {53, 798, 991},	// Plasma::Corona::containmentAdded#
    {53, 800, 1010},	// Plasma::Corona::containmentForScreen$
    {53, 801, 957},	// Plasma::Corona::containmentForScreen$$
    {53, 802, 1011},	// Plasma::Corona::containmentForScreen$$$
    {53, 803, 958},	// Plasma::Corona::containmentForScreen$$$?
    {53, 805, 953},	// Plasma::Corona::containments
    {53, 882, 978},	// Plasma::Corona::dialogManager
    {53, 899, 1003},	// Plasma::Corona::dragEnterEvent#
    {53, 901, 1004},	// Plasma::Corona::dragLeaveEvent#
    {53, 903, 1005},	// Plasma::Corona::dragMoveEvent#
    {53, 959, 971},	// Plasma::Corona::enableAction$$
    {53, 987, 982},	// Plasma::Corona::exportLayout#?
    {53, 1038, 967},	// Plasma::Corona::freeEdges$
    {53, 1099, 986},	// Plasma::Corona::immutability
    {53, 1101, 996},	// Plasma::Corona::immutabilityChanged$
    {53, 1104, -7},	// Plasma::Corona::importLayout#
    {53, 1115, 1012},	// Plasma::Corona::initializeLayout
    {53, 1116, 983},	// Plasma::Corona::initializeLayout$
    {53, 1240, 990},	// Plasma::Corona::layoutContainments
    {53, 1309, 998},	// Plasma::Corona::loadDefaultLayout
    {53, 1314, 1013},	// Plasma::Corona::loadLayout
    {53, 1315, 984},	// Plasma::Corona::loadLayout$
    {53, 1341, -10},	// Plasma::Corona::mapAnimation$$
    {53, 1364, 943},	// Plasma::Corona::metaObject
    {53, 1409, 962},	// Plasma::Corona::numScreens
    {53, 1410, 961},	// Plasma::Corona::offscreenWidgets
    {53, 1479, 965},	// Plasma::Corona::popupPosition##
    {53, 1480, 966},	// Plasma::Corona::popupPosition##$
    {53, 1484, 980},	// Plasma::Corona::preferredToolBoxPlugin$
    {53, 1497, 949},	// Plasma::Corona::qt_metacall$$?
    {53, 1499, 944},	// Plasma::Corona::qt_metacast$
    {53, 1526, 993},	// Plasma::Corona::releaseVisualFocus
    {53, 1558, 960},	// Plasma::Corona::removeOffscreenWidget#
    {53, 1581, 988},	// Plasma::Corona::requestConfigSync
    {53, 1582, 989},	// Plasma::Corona::requireConfigSync
    {53, 1617, 1014},	// Plasma::Corona::saveLayout
    {53, 1618, 985},	// Plasma::Corona::saveLayout$
    {53, 1636, 963},	// Plasma::Corona::screenGeometry$
    {53, 1638, 992},	// Plasma::Corona::screenOwnerChanged$$#
    {53, 1679, 951},	// Plasma::Corona::setAppletMimeType$
    {53, 1740, 975},	// Plasma::Corona::setContainmentActionsDefaults$#
    {53, 1788, 977},	// Plasma::Corona::setDialogManager#
    {53, 1876, 987},	// Plasma::Corona::setImmutability$
    {53, 1967, 1002},	// Plasma::Corona::setPreferredToolBoxPlugin$$
    {53, 2156, 997},	// Plasma::Corona::shortcutsChanged
    {53, 2217, 1016},	// Plasma::Corona::staticMetaObject
    {53, 2294, 1006},	// Plasma::Corona::tr$
    {53, 2295, 945},	// Plasma::Corona::tr$$
    {53, 2296, 947},	// Plasma::Corona::tr$$$
    {53, 2298, 1007},	// Plasma::Corona::trUtf8$
    {53, 2299, 946},	// Plasma::Corona::trUtf8$$
    {53, 2300, 948},	// Plasma::Corona::trUtf8$$$
    {53, 2331, 972},	// Plasma::Corona::updateShortcuts
    {53, 2416, 1017},	// Plasma::Corona::~Corona
    {54, 121, 1047},	// Plasma::DataContainer::DataContainer
    {54, 122, 1025},	// Plasma::DataContainer::DataContainer#
    {54, 724, 1039},	// Plasma::DataContainer::becameUnused$
    {54, 739, 1041},	// Plasma::DataContainer::checkForUpdate
    {54, 740, 1044},	// Plasma::DataContainer::checkUsage
    {54, 784, 1030},	// Plasma::DataContainer::connectVisualization#$$
    {54, 863, 1026},	// Plasma::DataContainer::data
    {54, 867, 1038},	// Plasma::DataContainer::dataUpdated$?
    {54, 893, 1036},	// Plasma::DataContainer::disconnectVisualization#
    {54, 1030, 1037},	// Plasma::DataContainer::forceImmediateUpdate
    {54, 1042, 1035},	// Plasma::DataContainer::getDataEngine
    {54, 1171, 1032},	// Plasma::DataContainer::isStorageEnabled
    {54, 1364, 1018},	// Plasma::DataContainer::metaObject
    {54, 1403, 1033},	// Plasma::DataContainer::needsToBeStored
    {54, 1497, 1024},	// Plasma::DataContainer::qt_metacall$$?
    {54, 1499, 1019},	// Plasma::DataContainer::qt_metacast$
    {54, 1542, 1028},	// Plasma::DataContainer::removeAllData
    {54, 1769, 1027},	// Plasma::DataContainer::setData$#
    {54, 1926, 1034},	// Plasma::DataContainer::setNeedsToBeStored$
    {54, 1927, 1048},	// Plasma::DataContainer::setNeedsUpdate
    {54, 1928, 1043},	// Plasma::DataContainer::setNeedsUpdate$
    {54, 2046, 1031},	// Plasma::DataContainer::setStorageEnabled$
    {54, 2217, 1049},	// Plasma::DataContainer::staticMetaObject
    {54, 2278, 1042},	// Plasma::DataContainer::timeSinceLastUpdate
    {54, 2294, 1045},	// Plasma::DataContainer::tr$
    {54, 2295, 1020},	// Plasma::DataContainer::tr$$
    {54, 2296, 1022},	// Plasma::DataContainer::tr$$$
    {54, 2298, 1046},	// Plasma::DataContainer::trUtf8$
    {54, 2299, 1021},	// Plasma::DataContainer::trUtf8$$
    {54, 2300, 1023},	// Plasma::DataContainer::trUtf8$$$
    {54, 2330, 1040},	// Plasma::DataContainer::updateRequested#
    {54, 2373, 1029},	// Plasma::DataContainer::visualizationIsConnected#
    {54, 2417, 1050},	// Plasma::DataContainer::~DataContainer
    {55, 123, 1104},	// Plasma::DataEngine::DataEngine
    {55, 124, 1105},	// Plasma::DataEngine::DataEngine#
    {55, 125, -13},	// Plasma::DataEngine::DataEngine#?
    {55, 652, 1085},	// Plasma::DataEngine::addSource#
    {55, 775, 1108},	// Plasma::DataEngine::connectAllSources#
    {55, 776, 1109},	// Plasma::DataEngine::connectAllSources#$
    {55, 777, 1065},	// Plasma::DataEngine::connectAllSources#$$
    {55, 780, 1106},	// Plasma::DataEngine::connectSource$#
    {55, 781, 1107},	// Plasma::DataEngine::connectSource$#$
    {55, 782, 1064},	// Plasma::DataEngine::connectSource$#$$
    {55, 787, 1092},	// Plasma::DataEngine::containerDict
    {55, 789, 1067},	// Plasma::DataEngine::containerForSource$
    {55, 832, 1110},	// Plasma::DataEngine::createDefaultService
    {55, 833, 1075},	// Plasma::DataEngine::createDefaultService#
    {55, 891, 1066},	// Plasma::DataEngine::disconnectSource$#
    {55, 1031, 1101},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {55, 1092, 1072},	// Plasma::DataEngine::icon
    {55, 1108, 1060},	// Plasma::DataEngine::init
    {55, 1148, 1070},	// Plasma::DataEngine::isEmpty
    {55, 1177, 1069},	// Plasma::DataEngine::isValid
    {55, 1358, 1071},	// Plasma::DataEngine::maxSourceCount
    {55, 1364, 1051},	// Plasma::DataEngine::metaObject
    {55, 1376, 1088},	// Plasma::DataEngine::minimumPollingInterval
    {55, 1399, 1063},	// Plasma::DataEngine::name
    {55, 1425, 1073},	// Plasma::DataEngine::package
    {55, 1469, 1074},	// Plasma::DataEngine::pluginName
    {55, 1497, 1057},	// Plasma::DataEngine::qt_metacall$$?
    {55, 1499, 1052},	// Plasma::DataEngine::qt_metacast$
    {55, 1501, 1068},	// Plasma::DataEngine::query$
    {55, 1543, 1083},	// Plasma::DataEngine::removeAllData$
    {55, 1544, 1090},	// Plasma::DataEngine::removeAllSources
    {55, 1548, 1084},	// Plasma::DataEngine::removeData$$
    {55, 1562, 1099},	// Plasma::DataEngine::removeSource$
    {55, 1631, 1098},	// Plasma::DataEngine::scheduleSourcesUpdated
    {55, 1655, 1062},	// Plasma::DataEngine::serviceForSource$
    {55, 1769, 1080},	// Plasma::DataEngine::setData$#
    {55, 1770, 1081},	// Plasma::DataEngine::setData$$#
    {55, 1771, 1082},	// Plasma::DataEngine::setData$?
    {55, 1779, 1096},	// Plasma::DataEngine::setDefaultService$
    {55, 1864, 1095},	// Plasma::DataEngine::setIcon$
    {55, 1903, 1086},	// Plasma::DataEngine::setMaxSourceCount$
    {55, 1917, 1087},	// Plasma::DataEngine::setMinimumPollingInterval$
    {55, 1922, 1094},	// Plasma::DataEngine::setName$
    {55, 1958, 1089},	// Plasma::DataEngine::setPollingInterval$
    {55, 2047, 1097},	// Plasma::DataEngine::setStorageEnabled$$
    {55, 2117, 1091},	// Plasma::DataEngine::setValid$
    {55, 2202, 1076},	// Plasma::DataEngine::sourceAdded$
    {55, 2204, 1077},	// Plasma::DataEngine::sourceRemoved$
    {55, 2206, 1078},	// Plasma::DataEngine::sourceRequestEvent$
    {55, 2207, 1061},	// Plasma::DataEngine::sources
    {55, 2217, 1111},	// Plasma::DataEngine::staticMetaObject
    {55, 2280, 1093},	// Plasma::DataEngine::timerEvent#
    {55, 2294, 1102},	// Plasma::DataEngine::tr$
    {55, 2295, 1053},	// Plasma::DataEngine::tr$$
    {55, 2296, 1055},	// Plasma::DataEngine::tr$$$
    {55, 2298, 1103},	// Plasma::DataEngine::trUtf8$
    {55, 2299, 1054},	// Plasma::DataEngine::trUtf8$$
    {55, 2300, 1056},	// Plasma::DataEngine::trUtf8$$$
    {55, 2320, 1100},	// Plasma::DataEngine::updateAllSources
    {55, 2333, 1079},	// Plasma::DataEngine::updateSourceEvent$
    {55, 2418, 1112},	// Plasma::DataEngine::~DataEngine
    {56, 965, 1121},	// Plasma::DataEngineManager::engine$
    {56, 1249, 1130},	// Plasma::DataEngineManager::listAllEngines
    {56, 1250, 1124},	// Plasma::DataEngineManager::listAllEngines$
    {56, 1274, 1131},	// Plasma::DataEngineManager::listEngineInfo
    {56, 1275, 1125},	// Plasma::DataEngineManager::listEngineInfo$
    {56, 1277, 1132},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {56, 1278, 1126},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {56, 1311, 1122},	// Plasma::DataEngineManager::loadEngine$
    {56, 1364, 1113},	// Plasma::DataEngineManager::metaObject
    {56, 1497, 1119},	// Plasma::DataEngineManager::qt_metacall$$?
    {56, 1499, 1114},	// Plasma::DataEngineManager::qt_metacast$
    {56, 1652, 1120},	// Plasma::DataEngineManager::self
    {56, 2217, 1133},	// Plasma::DataEngineManager::staticMetaObject
    {56, 2280, 1127},	// Plasma::DataEngineManager::timerEvent#
    {56, 2294, 1128},	// Plasma::DataEngineManager::tr$
    {56, 2295, 1115},	// Plasma::DataEngineManager::tr$$
    {56, 2296, 1117},	// Plasma::DataEngineManager::tr$$$
    {56, 2298, 1129},	// Plasma::DataEngineManager::trUtf8$
    {56, 2299, 1116},	// Plasma::DataEngineManager::trUtf8$$
    {56, 2300, 1118},	// Plasma::DataEngineManager::trUtf8$$$
    {56, 2310, 1123},	// Plasma::DataEngineManager::unloadEngine$
    {57, 127, 1171},	// Plasma::DataEngineScript::DataEngineScript
    {57, 128, 1141},	// Plasma::DataEngineScript::DataEngineScript#
    {57, 652, 1161},	// Plasma::DataEngineScript::addSource#
    {57, 787, 1162},	// Plasma::DataEngineScript::containerDict
    {57, 864, 1143},	// Plasma::DataEngineScript::dataEngine
    {57, 873, 1150},	// Plasma::DataEngineScript::description
    {57, 1031, 1168},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {57, 1337, 1148},	// Plasma::DataEngineScript::mainScript
    {57, 1364, 1134},	// Plasma::DataEngineScript::metaObject
    {57, 1376, 1158},	// Plasma::DataEngineScript::minimumPollingInterval
    {57, 1425, 1149},	// Plasma::DataEngineScript::package
    {57, 1497, 1140},	// Plasma::DataEngineScript::qt_metacall$$?
    {57, 1499, 1135},	// Plasma::DataEngineScript::qt_metacast$
    {57, 1543, 1154},	// Plasma::DataEngineScript::removeAllData$
    {57, 1544, 1160},	// Plasma::DataEngineScript::removeAllSources
    {57, 1548, 1155},	// Plasma::DataEngineScript::removeData$$
    {57, 1562, 1166},	// Plasma::DataEngineScript::removeSource$
    {57, 1631, 1165},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {57, 1655, 1147},	// Plasma::DataEngineScript::serviceForSource$
    {57, 1769, 1152},	// Plasma::DataEngineScript::setData$#
    {57, 1770, 1151},	// Plasma::DataEngineScript::setData$$#
    {57, 1771, 1153},	// Plasma::DataEngineScript::setData$?
    {57, 1773, 1142},	// Plasma::DataEngineScript::setDataEngine#
    {57, 1864, 1164},	// Plasma::DataEngineScript::setIcon$
    {57, 1903, 1156},	// Plasma::DataEngineScript::setMaxSourceCount$
    {57, 1917, 1157},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {57, 1922, 1163},	// Plasma::DataEngineScript::setName$
    {57, 1958, 1159},	// Plasma::DataEngineScript::setPollingInterval$
    {57, 2206, 1145},	// Plasma::DataEngineScript::sourceRequestEvent$
    {57, 2207, 1144},	// Plasma::DataEngineScript::sources
    {57, 2217, 1172},	// Plasma::DataEngineScript::staticMetaObject
    {57, 2294, 1169},	// Plasma::DataEngineScript::tr$
    {57, 2295, 1136},	// Plasma::DataEngineScript::tr$$
    {57, 2296, 1138},	// Plasma::DataEngineScript::tr$$$
    {57, 2298, 1170},	// Plasma::DataEngineScript::trUtf8$
    {57, 2299, 1137},	// Plasma::DataEngineScript::trUtf8$$
    {57, 2300, 1139},	// Plasma::DataEngineScript::trUtf8$$$
    {57, 2320, 1167},	// Plasma::DataEngineScript::updateAllSources
    {57, 2333, 1146},	// Plasma::DataEngineScript::updateSourceEvent$
    {57, 2419, 1173},	// Plasma::DataEngineScript::~DataEngineScript
    {58, 87, 1196},	// Plasma::Delegate::ColumnTypeRole
    {58, 134, 1192},	// Plasma::Delegate::Delegate
    {58, 135, 1181},	// Plasma::Delegate::Delegate#
    {58, 323, 1197},	// Plasma::Delegate::MainColumn
    {58, 454, 1198},	// Plasma::Delegate::SecondaryActionColumn
    {58, 489, 1195},	// Plasma::Delegate::SubTitleMandatoryRole
    {58, 490, 1194},	// Plasma::Delegate::SubTitleRole
    {58, 957, 1188},	// Plasma::Delegate::emptyRect##
    {58, 1364, 1174},	// Plasma::Delegate::metaObject
    {58, 1433, 1184},	// Plasma::Delegate::paint###
    {58, 1497, 1180},	// Plasma::Delegate::qt_metacall$$?
    {58, 1499, 1175},	// Plasma::Delegate::qt_metacast$
    {58, 1510, 1187},	// Plasma::Delegate::rectAfterSubTitle##
    {58, 1512, 1186},	// Plasma::Delegate::rectAfterTitle##
    {58, 1602, 1183},	// Plasma::Delegate::roleMapping$
    {58, 1997, 1182},	// Plasma::Delegate::setRoleMapping$$
    {58, 2179, 1185},	// Plasma::Delegate::showToolTip
    {58, 2193, 1189},	// Plasma::Delegate::sizeHint##
    {58, 2217, 1193},	// Plasma::Delegate::staticMetaObject
    {58, 2294, 1190},	// Plasma::Delegate::tr$
    {58, 2295, 1176},	// Plasma::Delegate::tr$$
    {58, 2296, 1178},	// Plasma::Delegate::tr$$$
    {58, 2298, 1191},	// Plasma::Delegate::trUtf8$
    {58, 2299, 1177},	// Plasma::Delegate::trUtf8$$
    {58, 2300, 1179},	// Plasma::Delegate::trUtf8$$$
    {58, 2420, 1199},	// Plasma::Delegate::~Delegate
    {59, 22, 1242},	// Plasma::Dialog::All
    {59, 145, 1234},	// Plasma::Dialog::Dialog
    {59, 146, 1235},	// Plasma::Dialog::Dialog#
    {59, 147, 1207},	// Plasma::Dialog::Dialog#$
    {59, 350, 1237},	// Plasma::Dialog::NoCorner
    {59, 363, 1238},	// Plasma::Dialog::NorthEast
    {59, 364, 1240},	// Plasma::Dialog::NorthWest
    {59, 477, 1239},	// Plasma::Dialog::SouthEast
    {59, 478, 1241},	// Plasma::Dialog::SouthWest
    {59, 672, 1212},	// Plasma::Dialog::animatedHide$
    {59, 674, 1213},	// Plasma::Dialog::animatedShow$
    {59, 703, 1214},	// Plasma::Dialog::aspectRatioMode
    {59, 883, 1216},	// Plasma::Dialog::dialogResized
    {59, 885, 1217},	// Plasma::Dialog::dialogVisible$
    {59, 975, 1220},	// Plasma::Dialog::event#
    {59, 977, 1222},	// Plasma::Dialog::eventFilter##
    {59, 1019, 1225},	// Plasma::Dialog::focusInEvent#
    {59, 1051, 1209},	// Plasma::Dialog::graphicsWidget
    {59, 1078, 1223},	// Plasma::Dialog::hideEvent#
    {59, 1106, 1231},	// Plasma::Dialog::inControlArea#
    {59, 1212, 1229},	// Plasma::Dialog::keyPressEvent#
    {59, 1364, 1200},	// Plasma::Dialog::metaObject
    {59, 1382, 1226},	// Plasma::Dialog::mouseMoveEvent#
    {59, 1384, 1227},	// Plasma::Dialog::mousePressEvent#
    {59, 1386, 1228},	// Plasma::Dialog::mouseReleaseEvent#
    {59, 1388, 1230},	// Plasma::Dialog::moveEvent#
    {59, 1441, 1219},	// Plasma::Dialog::paintEvent#
    {59, 1497, 1206},	// Plasma::Dialog::qt_metacall$$?
    {59, 1499, 1201},	// Plasma::Dialog::qt_metacast$
    {59, 1590, 1211},	// Plasma::Dialog::resizeCorners
    {59, 1592, 1221},	// Plasma::Dialog::resizeEvent#
    {59, 1683, 1215},	// Plasma::Dialog::setAspectRatioMode$
    {59, 1837, 1208},	// Plasma::Dialog::setGraphicsWidget#
    {59, 1993, 1210},	// Plasma::Dialog::setResizeHandleCorners$
    {59, 2172, 1224},	// Plasma::Dialog::showEvent#
    {59, 2217, 1236},	// Plasma::Dialog::staticMetaObject
    {59, 2245, 1218},	// Plasma::Dialog::syncToGraphicsWidget
    {59, 2294, 1232},	// Plasma::Dialog::tr$
    {59, 2295, 1202},	// Plasma::Dialog::tr$$
    {59, 2296, 1204},	// Plasma::Dialog::tr$$$
    {59, 2298, 1233},	// Plasma::Dialog::trUtf8$
    {59, 2299, 1203},	// Plasma::Dialog::trUtf8$$
    {59, 2300, 1205},	// Plasma::Dialog::trUtf8$$$
    {59, 2421, 1243},	// Plasma::Dialog::~Dialog
    {60, 63, 1287},	// Plasma::Extender::BottomUpStacked
    {60, 166, 1251},	// Plasma::Extender::Extender#
    {60, 344, 1286},	// Plasma::Extender::NoBorders
    {60, 521, 1288},	// Plasma::Extender::TopDownStacked
    {60, 687, 1262},	// Plasma::Extender::appearance
    {60, 691, 1264},	// Plasma::Extender::applet
    {60, 708, 1255},	// Plasma::Extender::attachedItems
    {60, 880, 1256},	// Plasma::Extender::detachedItems
    {60, 899, 1275},	// Plasma::Extender::dragEnterEvent#
    {60, 901, 1277},	// Plasma::Extender::dragLeaveEvent#
    {60, 903, 1276},	// Plasma::Extender::dragMoveEvent#
    {60, 929, 1278},	// Plasma::Extender::dropEvent#
    {60, 955, 1253},	// Plasma::Extender::emptyExtenderMessage
    {60, 962, 1271},	// Plasma::Extender::enabledBordersForItem#
    {60, 1040, 1281},	// Plasma::Extender::geometryChanged
    {60, 1053, 1258},	// Plasma::Extender::group$
    {60, 1055, 1263},	// Plasma::Extender::groups
    {60, 1067, 1259},	// Plasma::Extender::hasItem$
    {60, 1148, 1260},	// Plasma::Extender::isEmpty
    {60, 1182, 1257},	// Plasma::Extender::item$
    {60, 1186, 1284},	// Plasma::Extender::itemAddedEvent#
    {60, 1187, 1265},	// Plasma::Extender::itemAddedEvent##
    {60, 1191, 1279},	// Plasma::Extender::itemAttached#
    {60, 1193, 1272},	// Plasma::Extender::itemChange$#
    {60, 1195, 1280},	// Plasma::Extender::itemDetached#
    {60, 1199, 1267},	// Plasma::Extender::itemHoverEnterEvent#
    {60, 1201, 1269},	// Plasma::Extender::itemHoverLeaveEvent#
    {60, 1203, 1268},	// Plasma::Extender::itemHoverMoveEvent##
    {60, 1205, 1266},	// Plasma::Extender::itemRemovedEvent#
    {60, 1210, 1254},	// Plasma::Extender::items
    {60, 1364, 1244},	// Plasma::Extender::metaObject
    {60, 1384, 1274},	// Plasma::Extender::mousePressEvent#
    {60, 1497, 1250},	// Plasma::Extender::qt_metacall$$?
    {60, 1499, 1245},	// Plasma::Extender::qt_metacast$
    {60, 1592, 1273},	// Plasma::Extender::resizeEvent#
    {60, 1619, 1270},	// Plasma::Extender::saveState
    {60, 1675, 1261},	// Plasma::Extender::setAppearance$
    {60, 1809, 1252},	// Plasma::Extender::setEmptyExtenderMessage$
    {60, 2217, 1285},	// Plasma::Extender::staticMetaObject
    {60, 2294, 1282},	// Plasma::Extender::tr$
    {60, 2295, 1246},	// Plasma::Extender::tr$$
    {60, 2296, 1248},	// Plasma::Extender::tr$$$
    {60, 2298, 1283},	// Plasma::Extender::trUtf8$
    {60, 2299, 1247},	// Plasma::Extender::trUtf8$$
    {60, 2300, 1249},	// Plasma::Extender::trUtf8$$$
    {60, 2422, 1289},	// Plasma::Extender::~Extender
    {61, 168, 1315},	// Plasma::ExtenderGroup::ExtenderGroup#
    {61, 169, 1297},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {61, 714, 1299},	// Plasma::ExtenderGroup::autoHide
    {61, 757, 1306},	// Plasma::ExtenderGroup::collapseGroup
    {61, 899, 1309},	// Plasma::ExtenderGroup::dragEnterEvent#
    {61, 901, 1311},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {61, 903, 1310},	// Plasma::ExtenderGroup::dragMoveEvent#
    {61, 929, 1312},	// Plasma::ExtenderGroup::dropEvent#
    {61, 977, 1308},	// Plasma::ExtenderGroup::eventFilter##
    {61, 985, 1305},	// Plasma::ExtenderGroup::expandGroup
    {61, 1138, 1302},	// Plasma::ExtenderGroup::isAutoCollapse
    {61, 1151, 1301},	// Plasma::ExtenderGroup::isGroupCollapsed
    {61, 1210, 1298},	// Plasma::ExtenderGroup::items
    {61, 1364, 1290},	// Plasma::ExtenderGroup::metaObject
    {61, 1497, 1296},	// Plasma::ExtenderGroup::qt_metacall$$?
    {61, 1499, 1291},	// Plasma::ExtenderGroup::qt_metacast$
    {61, 1592, 1307},	// Plasma::ExtenderGroup::resizeEvent#
    {61, 1695, 1303},	// Plasma::ExtenderGroup::setAutoCollapse$
    {61, 1699, 1300},	// Plasma::ExtenderGroup::setAutoHide$
    {61, 1842, 1304},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {61, 2217, 1316},	// Plasma::ExtenderGroup::staticMetaObject
    {61, 2294, 1313},	// Plasma::ExtenderGroup::tr$
    {61, 2295, 1292},	// Plasma::ExtenderGroup::tr$$
    {61, 2296, 1294},	// Plasma::ExtenderGroup::tr$$$
    {61, 2298, 1314},	// Plasma::ExtenderGroup::trUtf8$
    {61, 2299, 1293},	// Plasma::ExtenderGroup::trUtf8$$
    {61, 2300, 1295},	// Plasma::ExtenderGroup::trUtf8$$$
    {61, 2423, 1317},	// Plasma::ExtenderGroup::~ExtenderGroup
    {62, 171, 1369},	// Plasma::ExtenderItem::ExtenderItem#
    {62, 172, 1325},	// Plasma::ExtenderItem::ExtenderItem#$
    {62, 587, 1347},	// Plasma::ExtenderItem::action$
    {62, 605, 1346},	// Plasma::ExtenderItem::addAction$#
    {62, 713, 1343},	// Plasma::ExtenderItem::autoExpireDelay
    {62, 763, 1326},	// Plasma::ExtenderItem::config
    {62, 876, 1350},	// Plasma::ExtenderItem::destroy
    {62, 879, 1355},	// Plasma::ExtenderItem::destroyed#
    {62, 988, 1337},	// Plasma::ExtenderItem::extender
    {62, 1052, 1340},	// Plasma::ExtenderItem::group
    {62, 1076, 1354},	// Plasma::ExtenderItem::hideCloseButton
    {62, 1088, 1364},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {62, 1090, 1363},	// Plasma::ExtenderItem::hoverMoveEvent#
    {62, 1092, 1335},	// Plasma::ExtenderItem::icon
    {62, 1144, 1345},	// Plasma::ExtenderItem::isCollapsed
    {62, 1146, 1344},	// Plasma::ExtenderItem::isDetached
    {62, 1150, 1341},	// Plasma::ExtenderItem::isGroup
    {62, 1174, 1349},	// Plasma::ExtenderItem::isTransient
    {62, 1364, 1318},	// Plasma::ExtenderItem::metaObject
    {62, 1380, 1360},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {62, 1382, 1361},	// Plasma::ExtenderItem::mouseMoveEvent#
    {62, 1384, 1359},	// Plasma::ExtenderItem::mousePressEvent#
    {62, 1386, 1362},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {62, 1388, 1357},	// Plasma::ExtenderItem::moveEvent#
    {62, 1399, 1332},	// Plasma::ExtenderItem::name
    {62, 1433, 1356},	// Plasma::ExtenderItem::paint###
    {62, 1497, 1324},	// Plasma::ExtenderItem::qt_metacall$$?
    {62, 1499, 1319},	// Plasma::ExtenderItem::qt_metacast$
    {62, 1592, 1358},	// Plasma::ExtenderItem::resizeEvent#
    {62, 1600, 1352},	// Plasma::ExtenderItem::returnToSource
    {62, 1628, 1365},	// Plasma::ExtenderItem::sceneEventFilter##
    {62, 1697, 1342},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {62, 1729, 1351},	// Plasma::ExtenderItem::setCollapsed$
    {62, 1815, 1370},	// Plasma::ExtenderItem::setExtender#
    {62, 1816, 1336},	// Plasma::ExtenderItem::setExtender##
    {62, 1839, 1338},	// Plasma::ExtenderItem::setGroup#
    {62, 1840, 1339},	// Plasma::ExtenderItem::setGroup##
    {62, 1863, 1334},	// Plasma::ExtenderItem::setIcon#
    {62, 1864, 1333},	// Plasma::ExtenderItem::setIcon$
    {62, 1922, 1331},	// Plasma::ExtenderItem::setName$
    {62, 2091, 1329},	// Plasma::ExtenderItem::setTitle$
    {62, 2099, 1348},	// Plasma::ExtenderItem::setTransient$
    {62, 2144, 1327},	// Plasma::ExtenderItem::setWidget#
    {62, 2162, 1353},	// Plasma::ExtenderItem::showCloseButton
    {62, 2195, 1366},	// Plasma::ExtenderItem::sizeHint$#
    {62, 2217, 1371},	// Plasma::ExtenderItem::staticMetaObject
    {62, 2281, 1330},	// Plasma::ExtenderItem::title
    {62, 2294, 1367},	// Plasma::ExtenderItem::tr$
    {62, 2295, 1320},	// Plasma::ExtenderItem::tr$$
    {62, 2296, 1322},	// Plasma::ExtenderItem::tr$$$
    {62, 2298, 1368},	// Plasma::ExtenderItem::trUtf8$
    {62, 2299, 1321},	// Plasma::ExtenderItem::trUtf8$$
    {62, 2300, 1323},	// Plasma::ExtenderItem::trUtf8$$$
    {62, 2380, 1328},	// Plasma::ExtenderItem::widget
    {62, 2424, 1372},	// Plasma::ExtenderItem::~ExtenderItem
    {63, 180, 1398},	// Plasma::FlashingLabel::FlashingLabel
    {63, 181, 1380},	// Plasma::FlashingLabel::FlashingLabel#
    {63, 716, 1391},	// Plasma::FlashingLabel::autohide
    {63, 760, 1384},	// Plasma::FlashingLabel::color
    {63, 930, 1386},	// Plasma::FlashingLabel::duration
    {63, 992, 1394},	// Plasma::FlashingLabel::fadeIn
    {63, 993, 1395},	// Plasma::FlashingLabel::fadeOut
    {63, 1011, 1402},	// Plasma::FlashingLabel::flash#
    {63, 1012, 1403},	// Plasma::FlashingLabel::flash#$
    {63, 1013, 1389},	// Plasma::FlashingLabel::flash#$$
    {63, 1014, 1400},	// Plasma::FlashingLabel::flash$
    {63, 1015, 1401},	// Plasma::FlashingLabel::flash$$
    {63, 1016, 1388},	// Plasma::FlashingLabel::flash$$#
    {63, 1025, 1382},	// Plasma::FlashingLabel::font
    {63, 1216, 1393},	// Plasma::FlashingLabel::kill
    {63, 1364, 1373},	// Plasma::FlashingLabel::metaObject
    {63, 1432, 1399},	// Plasma::FlashingLabel::paint##
    {63, 1433, 1381},	// Plasma::FlashingLabel::paint###
    {63, 1497, 1379},	// Plasma::FlashingLabel::qt_metacall$$?
    {63, 1499, 1374},	// Plasma::FlashingLabel::qt_metacast$
    {63, 1703, 1390},	// Plasma::FlashingLabel::setAutohide$
    {63, 1731, 1385},	// Plasma::FlashingLabel::setColor#
    {63, 1798, 1387},	// Plasma::FlashingLabel::setDuration$
    {63, 1824, 1383},	// Plasma::FlashingLabel::setFont#
    {63, 2195, 1392},	// Plasma::FlashingLabel::sizeHint$#
    {63, 2217, 1404},	// Plasma::FlashingLabel::staticMetaObject
    {63, 2294, 1396},	// Plasma::FlashingLabel::tr$
    {63, 2295, 1375},	// Plasma::FlashingLabel::tr$$
    {63, 2296, 1377},	// Plasma::FlashingLabel::tr$$$
    {63, 2298, 1397},	// Plasma::FlashingLabel::trUtf8$
    {63, 2299, 1376},	// Plasma::FlashingLabel::trUtf8$$
    {63, 2300, 1378},	// Plasma::FlashingLabel::trUtf8$$$
    {63, 2425, 1405},	// Plasma::FlashingLabel::~FlashingLabel
    {64, 187, 1431},	// Plasma::Frame::Frame
    {64, 188, 1413},	// Plasma::Frame::Frame#
    {64, 388, 1434},	// Plasma::Frame::Plain
    {64, 418, 1435},	// Plasma::Frame::Raised
    {64, 492, 1436},	// Plasma::Frame::Sunken
    {64, 736, 1428},	// Plasma::Frame::changeEvent#
    {64, 960, 1417},	// Plasma::Frame::enabledBorders
    {64, 1035, 1415},	// Plasma::Frame::frameShadow
    {64, 1096, 1421},	// Plasma::Frame::image
    {64, 1364, 1406},	// Plasma::Frame::metaObject
    {64, 1401, 1424},	// Plasma::Frame::nativeWidget
    {64, 1432, 1432},	// Plasma::Frame::paint##
    {64, 1433, 1425},	// Plasma::Frame::paint###
    {64, 1497, 1412},	// Plasma::Frame::qt_metacall$$?
    {64, 1499, 1407},	// Plasma::Frame::qt_metacast$
    {64, 1592, 1426},	// Plasma::Frame::resizeEvent#
    {64, 1813, 1416},	// Plasma::Frame::setEnabledBorders$
    {64, 1831, 1414},	// Plasma::Frame::setFrameShadow$
    {64, 1871, 1420},	// Plasma::Frame::setImage$
    {64, 2049, 1422},	// Plasma::Frame::setStyleSheet$
    {64, 2079, 1418},	// Plasma::Frame::setText$
    {64, 2195, 1427},	// Plasma::Frame::sizeHint$#
    {64, 2217, 1433},	// Plasma::Frame::staticMetaObject
    {64, 2230, 1423},	// Plasma::Frame::styleSheet
    {64, 2265, 1419},	// Plasma::Frame::text
    {64, 2294, 1429},	// Plasma::Frame::tr$
    {64, 2295, 1408},	// Plasma::Frame::tr$$
    {64, 2296, 1410},	// Plasma::Frame::tr$$$
    {64, 2298, 1430},	// Plasma::Frame::trUtf8$
    {64, 2299, 1409},	// Plasma::Frame::trUtf8$$
    {64, 2300, 1411},	// Plasma::Frame::trUtf8$$$
    {64, 2426, 1437},	// Plasma::Frame::~Frame
    {65, 23, 1478},	// Plasma::FrameSvg::AllBorders
    {65, 57, 1475},	// Plasma::FrameSvg::BottomBorder
    {65, 189, 1469},	// Plasma::FrameSvg::FrameSvg
    {65, 190, 1445},	// Plasma::FrameSvg::FrameSvg#
    {65, 309, 1476},	// Plasma::FrameSvg::LeftBorder
    {65, 343, 1473},	// Plasma::FrameSvg::NoBorder
    {65, 421, 1477},	// Plasma::FrameSvg::RightBorder
    {65, 520, 1474},	// Plasma::FrameSvg::TopBorder
    {65, 670, 1460},	// Plasma::FrameSvg::alphaMask
    {65, 730, 1462},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {65, 745, 1463},	// Plasma::FrameSvg::clearCache
    {65, 811, 1453},	// Plasma::FrameSvg::contentsRect
    {65, 960, 1448},	// Plasma::FrameSvg::enabledBorders
    {65, 1034, 1464},	// Plasma::FrameSvg::framePixmap
    {65, 1036, 1450},	// Plasma::FrameSvg::frameSize
    {65, 1044, 1452},	// Plasma::FrameSvg::getMargins$$$$
    {65, 1062, -73},	// Plasma::FrameSvg::hasElementPrefix$
    {65, 1347, 1451},	// Plasma::FrameSvg::marginSize$
    {65, 1348, 1459},	// Plasma::FrameSvg::mask
    {65, 1364, 1438},	// Plasma::FrameSvg::metaObject
    {65, 1443, 1471},	// Plasma::FrameSvg::paintFrame#
    {65, 1444, -76},	// Plasma::FrameSvg::paintFrame##
    {65, 1445, 1465},	// Plasma::FrameSvg::paintFrame###
    {65, 1485, 1458},	// Plasma::FrameSvg::prefix
    {65, 1497, 1444},	// Plasma::FrameSvg::qt_metacall$$?
    {65, 1499, 1439},	// Plasma::FrameSvg::qt_metacast$
    {65, 1594, 1449},	// Plasma::FrameSvg::resizeFrame#
    {65, 1713, 1461},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {65, 1805, -79},	// Plasma::FrameSvg::setElementPrefix$
    {65, 1813, 1447},	// Plasma::FrameSvg::setEnabledBorders$
    {65, 1874, 1446},	// Plasma::FrameSvg::setImagePath$
    {65, 2217, 1472},	// Plasma::FrameSvg::staticMetaObject
    {65, 2294, 1467},	// Plasma::FrameSvg::tr$
    {65, 2295, 1440},	// Plasma::FrameSvg::tr$$
    {65, 2296, 1442},	// Plasma::FrameSvg::tr$$$
    {65, 2298, 1468},	// Plasma::FrameSvg::trUtf8$
    {65, 2299, 1441},	// Plasma::FrameSvg::trUtf8$$
    {65, 2300, 1443},	// Plasma::FrameSvg::trUtf8$$$
    {65, 2427, 1479},	// Plasma::FrameSvg::~FrameSvg
    {66, 194, 1487},	// Plasma::GLApplet::GLApplet#$$
    {66, 195, 1488},	// Plasma::GLApplet::GLApplet#?
    {66, 727, 1495},	// Plasma::GLApplet::bindTexture#
    {66, 728, 1489},	// Plasma::GLApplet::bindTexture#$
    {66, 872, 1490},	// Plasma::GLApplet::deleteTexture$
    {66, 1339, 1492},	// Plasma::GLApplet::makeCurrent
    {66, 1364, 1480},	// Plasma::GLApplet::metaObject
    {66, 1447, 1491},	// Plasma::GLApplet::paintGLInterface##
    {66, 1497, 1486},	// Plasma::GLApplet::qt_metacall$$?
    {66, 1499, 1481},	// Plasma::GLApplet::qt_metacast$
    {66, 2217, 1496},	// Plasma::GLApplet::staticMetaObject
    {66, 2294, 1493},	// Plasma::GLApplet::tr$
    {66, 2295, 1482},	// Plasma::GLApplet::tr$$
    {66, 2296, 1484},	// Plasma::GLApplet::tr$$$
    {66, 2298, 1494},	// Plasma::GLApplet::trUtf8$
    {66, 2299, 1483},	// Plasma::GLApplet::trUtf8$$
    {66, 2300, 1485},	// Plasma::GLApplet::trUtf8$$$
    {66, 2428, 1497},	// Plasma::GLApplet::~GLApplet
    {67, 197, 1515},	// Plasma::GroupBox::GroupBox
    {67, 198, 1505},	// Plasma::GroupBox::GroupBox#
    {67, 736, 1512},	// Plasma::GroupBox::changeEvent#
    {67, 1364, 1498},	// Plasma::GroupBox::metaObject
    {67, 1401, 1510},	// Plasma::GroupBox::nativeWidget
    {67, 1497, 1504},	// Plasma::GroupBox::qt_metacall$$?
    {67, 1499, 1499},	// Plasma::GroupBox::qt_metacast$
    {67, 1592, 1511},	// Plasma::GroupBox::resizeEvent#
    {67, 2049, 1508},	// Plasma::GroupBox::setStyleSheet$
    {67, 2079, 1506},	// Plasma::GroupBox::setText$
    {67, 2217, 1516},	// Plasma::GroupBox::staticMetaObject
    {67, 2230, 1509},	// Plasma::GroupBox::styleSheet
    {67, 2265, 1507},	// Plasma::GroupBox::text
    {67, 2294, 1513},	// Plasma::GroupBox::tr$
    {67, 2295, 1500},	// Plasma::GroupBox::tr$$
    {67, 2296, 1502},	// Plasma::GroupBox::tr$$$
    {67, 2298, 1514},	// Plasma::GroupBox::trUtf8$
    {67, 2299, 1501},	// Plasma::GroupBox::trUtf8$$
    {67, 2300, 1503},	// Plasma::GroupBox::trUtf8$$$
    {67, 2429, 1517},	// Plasma::GroupBox::~GroupBox
    {68, 210, 1581},	// Plasma::IconWidget::IconWidget
    {68, 211, 1525},	// Plasma::IconWidget::IconWidget#
    {68, 212, 1583},	// Plasma::IconWidget::IconWidget#$
    {68, 213, 1527},	// Plasma::IconWidget::IconWidget#$#
    {68, 214, 1582},	// Plasma::IconWidget::IconWidget$
    {68, 215, 1526},	// Plasma::IconWidget::IconWidget$#
    {68, 586, 1549},	// Plasma::IconWidget::action
    {68, 598, 1567},	// Plasma::IconWidget::activated
    {68, 629, 1546},	// Plasma::IconWidget::addIconAction#
    {68, 736, 1577},	// Plasma::IconWidget::changeEvent#
    {68, 737, 1568},	// Plasma::IconWidget::changed
    {68, 751, 1565},	// Plasma::IconWidget::clicked
    {68, 897, 1566},	// Plasma::IconWidget::doubleClicked
    {68, 906, 1578},	// Plasma::IconWidget::drawActionButtonBase##$
    {68, 909, 1558},	// Plasma::IconWidget::drawBackground
    {68, 1086, 1574},	// Plasma::IconWidget::hoverEnterEvent#
    {68, 1088, 1575},	// Plasma::IconWidget::hoverLeaveEvent#
    {68, 1092, 1534},	// Plasma::IconWidget::icon
    {68, 1093, 1539},	// Plasma::IconWidget::iconSize
    {68, 1107, 1532},	// Plasma::IconWidget::infoText
    {68, 1135, 1552},	// Plasma::IconWidget::invertLayout$
    {68, 1136, 1553},	// Plasma::IconWidget::invertedLayout
    {68, 1147, 1569},	// Plasma::IconWidget::isDown
    {68, 1360, 1545},	// Plasma::IconWidget::maximumIconSize
    {68, 1364, 1518},	// Plasma::IconWidget::metaObject
    {68, 1375, 1543},	// Plasma::IconWidget::minimumIconSize
    {68, 1380, 1573},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {68, 1382, 1571},	// Plasma::IconWidget::mouseMoveEvent#
    {68, 1384, 1570},	// Plasma::IconWidget::mousePressEvent#
    {68, 1386, 1572},	// Plasma::IconWidget::mouseReleaseEvent#
    {68, 1408, 1555},	// Plasma::IconWidget::numDisplayLines
    {68, 1423, 1551},	// Plasma::IconWidget::orientation
    {68, 1432, 1586},	// Plasma::IconWidget::paint##
    {68, 1433, 1562},	// Plasma::IconWidget::paint###
    {68, 1482, 1541},	// Plasma::IconWidget::preferredIconSize
    {68, 1488, 1564},	// Plasma::IconWidget::pressed$
    {68, 1497, 1524},	// Plasma::IconWidget::qt_metacall$$?
    {68, 1499, 1519},	// Plasma::IconWidget::qt_metacast$
    {68, 1552, 1547},	// Plasma::IconWidget::removeIconAction#
    {68, 1628, 1576},	// Plasma::IconWidget::sceneEventFilter##
    {68, 1665, 1548},	// Plasma::IconWidget::setAction#
    {68, 1794, 1557},	// Plasma::IconWidget::setDrawBackground$
    {68, 1863, 1535},	// Plasma::IconWidget::setIcon#
    {68, 1864, 1538},	// Plasma::IconWidget::setIcon$
    {68, 1880, 1533},	// Plasma::IconWidget::setInfoText$
    {68, 1907, 1544},	// Plasma::IconWidget::setMaximumIconSize#
    {68, 1915, 1542},	// Plasma::IconWidget::setMinimumIconSize#
    {68, 1930, 1556},	// Plasma::IconWidget::setNumDisplayLines$
    {68, 1936, 1550},	// Plasma::IconWidget::setOrientation$
    {68, 1965, 1540},	// Plasma::IconWidget::setPreferredIconSize#
    {68, 1968, 1585},	// Plasma::IconWidget::setPressed
    {68, 1969, 1560},	// Plasma::IconWidget::setPressed$
    {68, 2056, 1584},	// Plasma::IconWidget::setSvg$
    {68, 2057, 1530},	// Plasma::IconWidget::setSvg$$
    {68, 2079, 1529},	// Plasma::IconWidget::setText$
    {68, 2081, 1537},	// Plasma::IconWidget::setTextBackgroundColor#
    {68, 2104, 1561},	// Plasma::IconWidget::setUnpressed
    {68, 2155, 1559},	// Plasma::IconWidget::shape
    {68, 2191, 1554},	// Plasma::IconWidget::sizeFromIconSize$
    {68, 2194, 1587},	// Plasma::IconWidget::sizeHint$
    {68, 2195, 1563},	// Plasma::IconWidget::sizeHint$#
    {68, 2217, 1588},	// Plasma::IconWidget::staticMetaObject
    {68, 2238, 1531},	// Plasma::IconWidget::svg
    {68, 2265, 1528},	// Plasma::IconWidget::text
    {68, 2266, 1536},	// Plasma::IconWidget::textBackgroundColor
    {68, 2294, 1579},	// Plasma::IconWidget::tr$
    {68, 2295, 1520},	// Plasma::IconWidget::tr$$
    {68, 2296, 1522},	// Plasma::IconWidget::tr$$$
    {68, 2298, 1580},	// Plasma::IconWidget::trUtf8$
    {68, 2299, 1521},	// Plasma::IconWidget::trUtf8$$
    {68, 2300, 1523},	// Plasma::IconWidget::trUtf8$$$
    {68, 2430, 1589},	// Plasma::IconWidget::~IconWidget
    {69, 226, 1613},	// Plasma::ItemBackground::ItemBackground
    {69, 227, 1597},	// Plasma::ItemBackground::ItemBackground#
    {69, 686, 1604},	// Plasma::ItemBackground::animationStep$
    {69, 688, 1603},	// Plasma::ItemBackground::appearanceChanged
    {69, 977, 1608},	// Plasma::ItemBackground::eventFilter##
    {69, 1193, 1607},	// Plasma::ItemBackground::itemChange$#
    {69, 1364, 1590},	// Plasma::ItemBackground::metaObject
    {69, 1433, 1602},	// Plasma::ItemBackground::paint###
    {69, 1497, 1596},	// Plasma::ItemBackground::qt_metacall$$?
    {69, 1499, 1591},	// Plasma::ItemBackground::qt_metacast$
    {69, 1592, 1610},	// Plasma::ItemBackground::resizeEvent#
    {69, 1628, 1609},	// Plasma::ItemBackground::sceneEventFilter##
    {69, 2069, 1598},	// Plasma::ItemBackground::setTarget#
    {69, 2071, 1600},	// Plasma::ItemBackground::setTargetItem#
    {69, 2217, 1614},	// Plasma::ItemBackground::staticMetaObject
    {69, 2256, 1599},	// Plasma::ItemBackground::target
    {69, 2257, 1601},	// Plasma::ItemBackground::targetItem
    {69, 2259, 1606},	// Plasma::ItemBackground::targetItemReached#
    {69, 2261, 1605},	// Plasma::ItemBackground::targetReached#
    {69, 2294, 1611},	// Plasma::ItemBackground::tr$
    {69, 2295, 1592},	// Plasma::ItemBackground::tr$$
    {69, 2296, 1594},	// Plasma::ItemBackground::tr$$$
    {69, 2298, 1612},	// Plasma::ItemBackground::trUtf8$
    {69, 2299, 1593},	// Plasma::ItemBackground::trUtf8$$
    {69, 2300, 1595},	// Plasma::ItemBackground::trUtf8$$$
    {69, 2431, 1615},	// Plasma::ItemBackground::~ItemBackground
    {70, 305, 1653},	// Plasma::Label::Label
    {70, 306, 1623},	// Plasma::Label::Label#
    {70, 667, 1629},	// Plasma::Label::alignment
    {70, 736, 1646},	// Plasma::Label::changeEvent#
    {70, 820, 1649},	// Plasma::Label::contextMenuEvent#
    {70, 867, 1641},	// Plasma::Label::dataUpdated$?
    {70, 975, 1647},	// Plasma::Label::event#
    {70, 1070, 1631},	// Plasma::Label::hasScaledContents
    {70, 1096, 1627},	// Plasma::Label::image
    {70, 1193, 1648},	// Plasma::Label::itemChange$#
    {70, 1244, 1639},	// Plasma::Label::linkActivated$
    {70, 1247, 1640},	// Plasma::Label::linkHovered$
    {70, 1364, 1616},	// Plasma::Label::metaObject
    {70, 1382, 1644},	// Plasma::Label::mouseMoveEvent#
    {70, 1384, 1643},	// Plasma::Label::mousePressEvent#
    {70, 1401, 1638},	// Plasma::Label::nativeWidget
    {70, 1433, 1645},	// Plasma::Label::paint###
    {70, 1497, 1622},	// Plasma::Label::qt_metacall$$?
    {70, 1499, 1617},	// Plasma::Label::qt_metacast$
    {70, 1592, 1642},	// Plasma::Label::resizeEvent#
    {70, 1669, 1628},	// Plasma::Label::setAlignment$
    {70, 1871, 1626},	// Plasma::Label::setImage$
    {70, 2003, 1630},	// Plasma::Label::setScaledContents$
    {70, 2049, 1636},	// Plasma::Label::setStyleSheet$
    {70, 2079, 1624},	// Plasma::Label::setText$
    {70, 2083, 1632},	// Plasma::Label::setTextSelectable$
    {70, 2150, 1634},	// Plasma::Label::setWordWrap$
    {70, 2195, 1650},	// Plasma::Label::sizeHint$#
    {70, 2217, 1654},	// Plasma::Label::staticMetaObject
    {70, 2230, 1637},	// Plasma::Label::styleSheet
    {70, 2265, 1625},	// Plasma::Label::text
    {70, 2271, 1633},	// Plasma::Label::textSelectable
    {70, 2294, 1651},	// Plasma::Label::tr$
    {70, 2295, 1618},	// Plasma::Label::tr$$
    {70, 2296, 1620},	// Plasma::Label::tr$$$
    {70, 2298, 1652},	// Plasma::Label::trUtf8$
    {70, 2299, 1619},	// Plasma::Label::trUtf8$$
    {70, 2300, 1621},	// Plasma::Label::trUtf8$$$
    {70, 2389, 1635},	// Plasma::Label::wordWrap
    {70, 2432, 1655},	// Plasma::Label::~Label
    {71, 315, 1687},	// Plasma::LineEdit::LineEdit
    {71, 316, 1663},	// Plasma::LineEdit::LineEdit#
    {71, 736, 1676},	// Plasma::LineEdit::changeEvent#
    {71, 750, 1669},	// Plasma::LineEdit::clickMessage
    {71, 932, 1681},	// Plasma::LineEdit::editingFinished
    {71, 1019, 1679},	// Plasma::LineEdit::focusInEvent#
    {71, 1023, 1680},	// Plasma::LineEdit::focusOutEvent#
    {71, 1086, 1674},	// Plasma::LineEdit::hoverEnterEvent#
    {71, 1088, 1675},	// Plasma::LineEdit::hoverLeaveEvent#
    {71, 1142, 1667},	// Plasma::LineEdit::isClearButtonShown
    {71, 1364, 1656},	// Plasma::LineEdit::metaObject
    {71, 1384, 1678},	// Plasma::LineEdit::mousePressEvent#
    {71, 1401, 1673},	// Plasma::LineEdit::nativeWidget
    {71, 1433, 1677},	// Plasma::LineEdit::paint###
    {71, 1497, 1662},	// Plasma::LineEdit::qt_metacall$$?
    {71, 1499, 1657},	// Plasma::LineEdit::qt_metacast$
    {71, 1599, 1682},	// Plasma::LineEdit::returnPressed
    {71, 1723, 1666},	// Plasma::LineEdit::setClearButtonShown$
    {71, 1725, 1668},	// Plasma::LineEdit::setClickMessage$
    {71, 1924, 1672},	// Plasma::LineEdit::setNativeWidget#
    {71, 2049, 1670},	// Plasma::LineEdit::setStyleSheet$
    {71, 2079, 1664},	// Plasma::LineEdit::setText$
    {71, 2217, 1688},	// Plasma::LineEdit::staticMetaObject
    {71, 2230, 1671},	// Plasma::LineEdit::styleSheet
    {71, 2265, 1665},	// Plasma::LineEdit::text
    {71, 2268, 1684},	// Plasma::LineEdit::textChanged$
    {71, 2270, 1683},	// Plasma::LineEdit::textEdited$
    {71, 2294, 1685},	// Plasma::LineEdit::tr$
    {71, 2295, 1658},	// Plasma::LineEdit::tr$$
    {71, 2296, 1660},	// Plasma::LineEdit::tr$$$
    {71, 2298, 1686},	// Plasma::LineEdit::trUtf8$
    {71, 2299, 1659},	// Plasma::LineEdit::trUtf8$$
    {71, 2300, 1661},	// Plasma::LineEdit::trUtf8$$$
    {71, 2433, 1689},	// Plasma::LineEdit::~LineEdit
    {72, 29, 1728},	// Plasma::Meter::AnalogMeter
    {72, 55, 1726},	// Plasma::Meter::BarMeterHorizontal
    {72, 56, 1727},	// Plasma::Meter::BarMeterVertical
    {72, 326, 1722},	// Plasma::Meter::Meter
    {72, 327, 1697},	// Plasma::Meter::Meter#
    {72, 867, 1714},	// Plasma::Meter::dataUpdated$?
    {72, 1220, 1706},	// Plasma::Meter::label$
    {72, 1222, 1712},	// Plasma::Meter::labelAlignment$
    {72, 1224, 1708},	// Plasma::Meter::labelColor$
    {72, 1226, 1710},	// Plasma::Meter::labelFont$
    {72, 1228, 1713},	// Plasma::Meter::labelRect$
    {72, 1359, 1698},	// Plasma::Meter::maximum
    {72, 1364, 1690},	// Plasma::Meter::metaObject
    {72, 1366, 1704},	// Plasma::Meter::meterType
    {72, 1374, 1699},	// Plasma::Meter::minimum
    {72, 1432, 1723},	// Plasma::Meter::paint##
    {72, 1433, 1718},	// Plasma::Meter::paint###
    {72, 1497, 1696},	// Plasma::Meter::qt_metacall$$?
    {72, 1499, 1691},	// Plasma::Meter::qt_metacast$
    {72, 1887, 1705},	// Plasma::Meter::setLabel$$
    {72, 1889, 1711},	// Plasma::Meter::setLabelAlignment$$
    {72, 1891, 1707},	// Plasma::Meter::setLabelColor$#
    {72, 1893, 1709},	// Plasma::Meter::setLabelFont$#
    {72, 1905, 1715},	// Plasma::Meter::setMaximum$
    {72, 1909, 1703},	// Plasma::Meter::setMeterType$
    {72, 1913, 1716},	// Plasma::Meter::setMinimum$
    {72, 2056, 1701},	// Plasma::Meter::setSvg$
    {72, 2119, 1717},	// Plasma::Meter::setValue$
    {72, 2194, 1724},	// Plasma::Meter::sizeHint$
    {72, 2195, 1719},	// Plasma::Meter::sizeHint$#
    {72, 2217, 1725},	// Plasma::Meter::staticMetaObject
    {72, 2238, 1702},	// Plasma::Meter::svg
    {72, 2294, 1720},	// Plasma::Meter::tr$
    {72, 2295, 1692},	// Plasma::Meter::tr$$
    {72, 2296, 1694},	// Plasma::Meter::tr$$$
    {72, 2298, 1721},	// Plasma::Meter::trUtf8$
    {72, 2299, 1693},	// Plasma::Meter::trUtf8$$
    {72, 2300, 1695},	// Plasma::Meter::trUtf8$$$
    {72, 2349, 1700},	// Plasma::Meter::value
    {72, 2434, 1729},	// Plasma::Meter::~Meter
    {73, 367, 1730},	// Plasma::Package::Package
    {73, 368, 1733},	// Plasma::Package::Package#
    {73, 369, 1731},	// Plasma::Package::Package$$?
    {73, 370, 1732},	// Plasma::Package::Package$?
    {73, 808, 1743},	// Plasma::Package::contentsHash
    {73, 840, 1750},	// Plasma::Package::createPackage#$$
    {73, 841, 1749},	// Plasma::Package::createPackage#$$$
    {73, 972, 1738},	// Plasma::Package::entryList$
    {73, 995, 1737},	// Plasma::Package::filePath$
    {73, 996, 1736},	// Plasma::Package::filePath$$
    {73, 1131, 1746},	// Plasma::Package::installPackage$$$
    {73, 1177, 1735},	// Plasma::Package::isValid
    {73, 1280, 1744},	// Plasma::Package::listInstalled$
    {73, 1282, 1745},	// Plasma::Package::listInstalledPaths$
    {73, 1365, 1739},	// Plasma::Package::metadata
    {73, 1420, 1734},	// Plasma::Package::operator=#
    {73, 1457, 1741},	// Plasma::Package::path
    {73, 1517, 1748},	// Plasma::Package::registerPackage#$
    {73, 1948, 1740},	// Plasma::Package::setPath$
    {73, 2228, 1742},	// Plasma::Package::structure
    {73, 2307, 1747},	// Plasma::Package::uninstallPackage$$$
    {73, 2435, 1751},	// Plasma::Package::~Package
    {74, 371, 1792},	// Plasma::PackageMetadata::PackageMetadata
    {74, 372, 1753},	// Plasma::PackageMetadata::PackageMetadata#
    {74, 373, 1752},	// Plasma::PackageMetadata::PackageMetadata$
    {74, 702, 1767},	// Plasma::PackageMetadata::application
    {74, 710, 1762},	// Plasma::PackageMetadata::author
    {74, 732, 1768},	// Plasma::PackageMetadata::category
    {74, 873, 1759},	// Plasma::PackageMetadata::description
    {74, 954, 1763},	// Plasma::PackageMetadata::email
    {74, 1092, 1776},	// Plasma::PackageMetadata::icon
    {74, 1102, 1771},	// Plasma::PackageMetadata::implementationApi
    {74, 1177, 1755},	// Plasma::PackageMetadata::isValid
    {74, 1215, 1760},	// Plasma::PackageMetadata::keywords
    {74, 1242, 1766},	// Plasma::PackageMetadata::license
    {74, 1399, 1758},	// Plasma::PackageMetadata::name
    {74, 1420, 1754},	// Plasma::PackageMetadata::operator=#
    {74, 1469, 1770},	// Plasma::PackageMetadata::pluginName
    {74, 1506, 1757},	// Plasma::PackageMetadata::read$
    {74, 1537, 1772},	// Plasma::PackageMetadata::remoteLocation
    {74, 1585, 1769},	// Plasma::PackageMetadata::requiredVersion
    {74, 1663, 1761},	// Plasma::PackageMetadata::serviceType
    {74, 1681, 1785},	// Plasma::PackageMetadata::setApplication$
    {74, 1689, 1780},	// Plasma::PackageMetadata::setAuthor$
    {74, 1717, 1786},	// Plasma::PackageMetadata::setCategory$
    {74, 1784, 1775},	// Plasma::PackageMetadata::setDescription$
    {74, 1807, 1781},	// Plasma::PackageMetadata::setEmail$
    {74, 1864, 1777},	// Plasma::PackageMetadata::setIcon$
    {74, 1878, 1791},	// Plasma::PackageMetadata::setImplementationApi$
    {74, 1884, 1778},	// Plasma::PackageMetadata::setKeywords?
    {74, 1897, 1784},	// Plasma::PackageMetadata::setLicense$
    {74, 1922, 1774},	// Plasma::PackageMetadata::setName$
    {74, 1954, 1790},	// Plasma::PackageMetadata::setPluginName$
    {74, 1985, 1788},	// Plasma::PackageMetadata::setRemoteLocation#
    {74, 1991, 1787},	// Plasma::PackageMetadata::setRequiredVersion$
    {74, 2016, 1779},	// Plasma::PackageMetadata::setServiceType$
    {74, 2101, 1789},	// Plasma::PackageMetadata::setType$
    {74, 2121, 1782},	// Plasma::PackageMetadata::setVersion$
    {74, 2142, 1783},	// Plasma::PackageMetadata::setWebsite$
    {74, 2302, 1773},	// Plasma::PackageMetadata::type
    {74, 2352, 1764},	// Plasma::PackageMetadata::version
    {74, 2377, 1765},	// Plasma::PackageMetadata::website
    {74, 2392, 1756},	// Plasma::PackageMetadata::write$
    {74, 2436, 1793},	// Plasma::PackageMetadata::~PackageMetadata
    {75, 374, 1843},	// Plasma::PackageStructure::PackageStructure
    {75, 375, 1844},	// Plasma::PackageStructure::PackageStructure#
    {75, 376, 1801},	// Plasma::PackageStructure::PackageStructure#$
    {75, 623, 1809},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {75, 627, 1810},	// Plasma::PackageStructure::addFileDefinition$$$
    {75, 668, 1834},	// Plasma::PackageStructure::allowExternalPaths
    {75, 809, 1828},	// Plasma::PackageStructure::contentsPrefix
    {75, 810, 1829},	// Plasma::PackageStructure::contentsPrefixPaths
    {75, 837, 1845},	// Plasma::PackageStructure::createNewWidgetBrowser
    {75, 838, 1827},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {75, 868, 1830},	// Plasma::PackageStructure::defaultPackageRoot
    {75, 886, 1805},	// Plasma::PackageStructure::directories
    {75, 972, 1814},	// Plasma::PackageStructure::entryList$
    {75, 997, 1807},	// Plasma::PackageStructure::files
    {75, 1130, 1825},	// Plasma::PackageStructure::installPackage$$
    {75, 1168, 1817},	// Plasma::PackageStructure::isRequired$
    {75, 1301, 1803},	// Plasma::PackageStructure::load$
    {75, 1364, 1794},	// Plasma::PackageStructure::metaObject
    {75, 1365, 1833},	// Plasma::PackageStructure::metadata
    {75, 1373, 1820},	// Plasma::PackageStructure::mimetypes$
    {75, 1400, 1815},	// Plasma::PackageStructure::name$
    {75, 1406, 1835},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {75, 1420, 1802},	// Plasma::PackageStructure::operator=#
    {75, 1457, 1822},	// Plasma::PackageStructure::path
    {75, 1458, 1812},	// Plasma::PackageStructure::path$
    {75, 1459, 1840},	// Plasma::PackageStructure::pathChanged
    {75, 1497, 1800},	// Plasma::PackageStructure::qt_metacall$$?
    {75, 1499, 1795},	// Plasma::PackageStructure::qt_metacast$
    {75, 1505, 1823},	// Plasma::PackageStructure::read#
    {75, 1550, 1811},	// Plasma::PackageStructure::removeDefinition$
    {75, 1583, 1806},	// Plasma::PackageStructure::requiredDirectories
    {75, 1584, 1808},	// Plasma::PackageStructure::requiredFiles
    {75, 1647, 1813},	// Plasma::PackageStructure::searchPath$
    {75, 1657, 1831},	// Plasma::PackageStructure::servicePrefix
    {75, 1671, 1836},	// Plasma::PackageStructure::setAllowExternalPaths$
    {75, 1748, 1837},	// Plasma::PackageStructure::setContentsPrefix$
    {75, 1750, 1838},	// Plasma::PackageStructure::setContentsPrefixPaths?
    {75, 1775, 1818},	// Plasma::PackageStructure::setDefaultMimetypes?
    {75, 1777, 1839},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {75, 1911, 1819},	// Plasma::PackageStructure::setMimetypes$?
    {75, 1948, 1821},	// Plasma::PackageStructure::setPath$
    {75, 1989, 1816},	// Plasma::PackageStructure::setRequired$$
    {75, 2014, 1832},	// Plasma::PackageStructure::setServicePrefix$
    {75, 2217, 1846},	// Plasma::PackageStructure::staticMetaObject
    {75, 2294, 1841},	// Plasma::PackageStructure::tr$
    {75, 2295, 1796},	// Plasma::PackageStructure::tr$$
    {75, 2296, 1798},	// Plasma::PackageStructure::tr$$$
    {75, 2298, 1842},	// Plasma::PackageStructure::trUtf8$
    {75, 2299, 1797},	// Plasma::PackageStructure::trUtf8$$
    {75, 2300, 1799},	// Plasma::PackageStructure::trUtf8$$$
    {75, 2302, 1804},	// Plasma::PackageStructure::type
    {75, 2306, 1826},	// Plasma::PackageStructure::uninstallPackage$$
    {75, 2391, 1824},	// Plasma::PackageStructure::write#
    {75, 2437, 1847},	// Plasma::PackageStructure::~PackageStructure
    {76, 392, 1848},	// Plasma::PlotColor::PlotColor
    {76, 393, 1849},	// Plasma::PlotColor::PlotColor#
    {76, 760, 1850},	// Plasma::PlotColor::color
    {76, 862, 1852},	// Plasma::PlotColor::darkColor
    {76, 1731, 1851},	// Plasma::PlotColor::setColor#
    {76, 1766, 1853},	// Plasma::PlotColor::setDarkColor#
    {76, 2438, 1854},	// Plasma::PlotColor::~PlotColor
    {77, 395, 1862},	// Plasma::PopupApplet::PopupApplet#?
    {77, 899, 1885},	// Plasma::PopupApplet::dragEnterEvent#
    {77, 901, 1886},	// Plasma::PopupApplet::dragLeaveEvent#
    {77, 929, 1887},	// Plasma::PopupApplet::dropEvent#
    {77, 977, 1884},	// Plasma::PopupApplet::eventFilter##
    {77, 1051, 1868},	// Plasma::PopupApplet::graphicsWidget
    {77, 1079, 1877},	// Plasma::PopupApplet::hidePopup
    {77, 1152, 1876},	// Plasma::PopupApplet::isIconified
    {77, 1158, 1874},	// Plasma::PopupApplet::isPassivePopup
    {77, 1161, 1875},	// Plasma::PopupApplet::isPopupShowing
    {77, 1364, 1855},	// Plasma::PopupApplet::metaObject
    {77, 1384, 1882},	// Plasma::PopupApplet::mousePressEvent#
    {77, 1386, 1883},	// Plasma::PopupApplet::mouseReleaseEvent#
    {77, 1472, 1872},	// Plasma::PopupApplet::popupAlignment
    {77, 1474, 1880},	// Plasma::PopupApplet::popupEvent$
    {77, 1475, 1865},	// Plasma::PopupApplet::popupIcon
    {77, 1476, 1870},	// Plasma::PopupApplet::popupPlacement
    {77, 1497, 1861},	// Plasma::PopupApplet::qt_metacall$$?
    {77, 1499, 1856},	// Plasma::PopupApplet::qt_metacast$
    {77, 1837, 1869},	// Plasma::PopupApplet::setGraphicsWidget#
    {77, 1946, 1873},	// Plasma::PopupApplet::setPassivePopup$
    {77, 1960, 1871},	// Plasma::PopupApplet::setPopupAlignment$
    {77, 1962, 1863},	// Plasma::PopupApplet::setPopupIcon#
    {77, 1963, 1864},	// Plasma::PopupApplet::setPopupIcon$
    {77, 2144, 1867},	// Plasma::PopupApplet::setWidget#
    {77, 2177, 1891},	// Plasma::PopupApplet::showPopup
    {77, 2178, 1878},	// Plasma::PopupApplet::showPopup$
    {77, 2194, 1892},	// Plasma::PopupApplet::sizeHint$
    {77, 2195, 1881},	// Plasma::PopupApplet::sizeHint$#
    {77, 2217, 1893},	// Plasma::PopupApplet::staticMetaObject
    {77, 2280, 1888},	// Plasma::PopupApplet::timerEvent#
    {77, 2282, 1879},	// Plasma::PopupApplet::togglePopup
    {77, 2294, 1889},	// Plasma::PopupApplet::tr$
    {77, 2295, 1857},	// Plasma::PopupApplet::tr$$
    {77, 2296, 1859},	// Plasma::PopupApplet::tr$$$
    {77, 2298, 1890},	// Plasma::PopupApplet::trUtf8$
    {77, 2299, 1858},	// Plasma::PopupApplet::trUtf8$$
    {77, 2300, 1860},	// Plasma::PopupApplet::trUtf8$$$
    {77, 2380, 1866},	// Plasma::PopupApplet::widget
    {77, 2439, 1894},	// Plasma::PopupApplet::~PopupApplet
    {78, 401, 1934},	// Plasma::PushButton::PushButton
    {78, 402, 1902},	// Plasma::PushButton::PushButton#
    {78, 586, 1911},	// Plasma::PushButton::action
    {78, 736, 1930},	// Plasma::PushButton::changeEvent#
    {78, 749, 1924},	// Plasma::PushButton::click
    {78, 751, 1922},	// Plasma::PushButton::clicked
    {78, 1086, 1928},	// Plasma::PushButton::hoverEnterEvent#
    {78, 1088, 1929},	// Plasma::PushButton::hoverLeaveEvent#
    {78, 1092, 1914},	// Plasma::PushButton::icon
    {78, 1096, 1907},	// Plasma::PushButton::image
    {78, 1140, 1916},	// Plasma::PushButton::isCheckable
    {78, 1141, 1917},	// Plasma::PushButton::isChecked
    {78, 1147, 1918},	// Plasma::PushButton::isDown
    {78, 1364, 1895},	// Plasma::PushButton::metaObject
    {78, 1401, 1919},	// Plasma::PushButton::nativeWidget
    {78, 1432, 1935},	// Plasma::PushButton::paint##
    {78, 1433, 1926},	// Plasma::PushButton::paint###
    {78, 1487, 1920},	// Plasma::PushButton::pressed
    {78, 1497, 1901},	// Plasma::PushButton::qt_metacall$$?
    {78, 1499, 1896},	// Plasma::PushButton::qt_metacast$
    {78, 1527, 1921},	// Plasma::PushButton::released
    {78, 1592, 1927},	// Plasma::PushButton::resizeEvent#
    {78, 1665, 1910},	// Plasma::PushButton::setAction#
    {78, 1719, 1915},	// Plasma::PushButton::setCheckable$
    {78, 1721, 1925},	// Plasma::PushButton::setChecked$
    {78, 1863, -34},	// Plasma::PushButton::setIcon#
    {78, 1871, 1905},	// Plasma::PushButton::setImage$
    {78, 1872, 1906},	// Plasma::PushButton::setImage$$
    {78, 2049, 1908},	// Plasma::PushButton::setStyleSheet$
    {78, 2079, 1903},	// Plasma::PushButton::setText$
    {78, 2195, 1931},	// Plasma::PushButton::sizeHint$#
    {78, 2217, 1936},	// Plasma::PushButton::staticMetaObject
    {78, 2230, 1909},	// Plasma::PushButton::styleSheet
    {78, 2265, 1904},	// Plasma::PushButton::text
    {78, 2284, 1923},	// Plasma::PushButton::toggled$
    {78, 2294, 1932},	// Plasma::PushButton::tr$
    {78, 2295, 1897},	// Plasma::PushButton::tr$$
    {78, 2296, 1899},	// Plasma::PushButton::tr$$$
    {78, 2298, 1933},	// Plasma::PushButton::trUtf8$
    {78, 2299, 1898},	// Plasma::PushButton::trUtf8$$
    {78, 2300, 1900},	// Plasma::PushButton::trUtf8$$$
    {78, 2440, 1937},	// Plasma::PushButton::~PushButton
    {79, 90, 1967},	// Plasma::QueryMatch::CompletionMatch
    {79, 163, 1971},	// Plasma::QueryMatch::ExactMatch
    {79, 203, 1970},	// Plasma::QueryMatch::HelperMatch
    {79, 221, 1969},	// Plasma::QueryMatch::InformationalMatch
    {79, 357, 1966},	// Plasma::QueryMatch::NoMatch
    {79, 397, 1968},	// Plasma::QueryMatch::PossibleMatch
    {79, 414, -4},	// Plasma::QueryMatch::QueryMatch#
    {79, 831, 1965},	// Plasma::QueryMatch::createConfigurationInterface#
    {79, 863, 1951},	// Plasma::QueryMatch::data
    {79, 1058, 1964},	// Plasma::QueryMatch::hasConfigurationInterface
    {79, 1092, 1959},	// Plasma::QueryMatch::icon
    {79, 1094, 1953},	// Plasma::QueryMatch::id
    {79, 1149, 1961},	// Plasma::QueryMatch::isEnabled
    {79, 1177, 1944},	// Plasma::QueryMatch::isValid
    {79, 1418, 1942},	// Plasma::QueryMatch::operator<#
    {79, 1420, 1940},	// Plasma::QueryMatch::operator=#
    {79, 1422, 1941},	// Plasma::QueryMatch::operator==#
    {79, 1528, 1948},	// Plasma::QueryMatch::relevance
    {79, 1604, 1949},	// Plasma::QueryMatch::run#
    {79, 1608, 1943},	// Plasma::QueryMatch::runner
    {79, 1651, 1962},	// Plasma::QueryMatch::selectedAction
    {79, 1768, 1950},	// Plasma::QueryMatch::setData#
    {79, 1811, 1960},	// Plasma::QueryMatch::setEnabled$
    {79, 1863, 1958},	// Plasma::QueryMatch::setIcon#
    {79, 1866, 1952},	// Plasma::QueryMatch::setId$
    {79, 1983, 1947},	// Plasma::QueryMatch::setRelevance$
    {79, 2012, 1963},	// Plasma::QueryMatch::setSelectedAction#
    {79, 2053, 1956},	// Plasma::QueryMatch::setSubtext$
    {79, 2079, 1954},	// Plasma::QueryMatch::setText$
    {79, 2101, 1945},	// Plasma::QueryMatch::setType$
    {79, 2233, 1957},	// Plasma::QueryMatch::subtext
    {79, 2265, 1955},	// Plasma::QueryMatch::text
    {79, 2302, 1946},	// Plasma::QueryMatch::type
    {79, 2441, 1972},	// Plasma::QueryMatch::~QueryMatch
    {80, 416, 1995},	// Plasma::RadioButton::RadioButton
    {80, 417, 1980},	// Plasma::RadioButton::RadioButton#
    {80, 736, 1992},	// Plasma::RadioButton::changeEvent#
    {80, 1096, 1984},	// Plasma::RadioButton::image
    {80, 1141, 1989},	// Plasma::RadioButton::isChecked
    {80, 1364, 1973},	// Plasma::RadioButton::metaObject
    {80, 1401, 1987},	// Plasma::RadioButton::nativeWidget
    {80, 1497, 1979},	// Plasma::RadioButton::qt_metacall$$?
    {80, 1499, 1974},	// Plasma::RadioButton::qt_metacast$
    {80, 1592, 1991},	// Plasma::RadioButton::resizeEvent#
    {80, 1721, 1988},	// Plasma::RadioButton::setChecked$
    {80, 1871, 1983},	// Plasma::RadioButton::setImage$
    {80, 2049, 1985},	// Plasma::RadioButton::setStyleSheet$
    {80, 2079, 1981},	// Plasma::RadioButton::setText$
    {80, 2217, 1996},	// Plasma::RadioButton::staticMetaObject
    {80, 2230, 1986},	// Plasma::RadioButton::styleSheet
    {80, 2265, 1982},	// Plasma::RadioButton::text
    {80, 2284, 1990},	// Plasma::RadioButton::toggled$
    {80, 2294, 1993},	// Plasma::RadioButton::tr$
    {80, 2295, 1975},	// Plasma::RadioButton::tr$$
    {80, 2296, 1977},	// Plasma::RadioButton::tr$$$
    {80, 2298, 1994},	// Plasma::RadioButton::trUtf8$
    {80, 2299, 1976},	// Plasma::RadioButton::trUtf8$$
    {80, 2300, 1978},	// Plasma::RadioButton::trUtf8$$$
    {80, 2442, 1997},	// Plasma::RadioButton::~RadioButton
    {81, 149, 2033},	// Plasma::RunnerContext::Directory
    {81, 164, 2036},	// Plasma::RunnerContext::Executable
    {81, 176, 2034},	// Plasma::RunnerContext::File
    {81, 177, 2039},	// Plasma::RunnerContext::FileSystem
    {81, 202, 2038},	// Plasma::RunnerContext::Help
    {81, 337, 2035},	// Plasma::RunnerContext::NetworkLocation
    {81, 360, 2031},	// Plasma::RunnerContext::None
    {81, 431, 2028},	// Plasma::RunnerContext::RunnerContext
    {81, 432, -64},	// Plasma::RunnerContext::RunnerContext#
    {81, 433, 2006},	// Plasma::RunnerContext::RunnerContext##
    {81, 466, 2037},	// Plasma::RunnerContext::ShellCommand
    {81, 537, 2032},	// Plasma::RunnerContext::UnknownType
    {81, 633, 2015},	// Plasma::RunnerContext::addMatch$#
    {81, 635, 2014},	// Plasma::RunnerContext::addMatches$?
    {81, 1177, 2013},	// Plasma::RunnerContext::isValid
    {81, 1351, 2019},	// Plasma::RunnerContext::match$
    {81, 1353, 2018},	// Plasma::RunnerContext::matches
    {81, 1354, 2025},	// Plasma::RunnerContext::matchesChanged
    {81, 1364, 1998},	// Plasma::RunnerContext::metaObject
    {81, 1371, 2012},	// Plasma::RunnerContext::mimeType
    {81, 1420, 2007},	// Plasma::RunnerContext::operator=#
    {81, 1497, 2004},	// Plasma::RunnerContext::qt_metacall$$?
    {81, 1499, 1999},	// Plasma::RunnerContext::qt_metacast$
    {81, 1500, 2010},	// Plasma::RunnerContext::query
    {81, 1554, 2016},	// Plasma::RunnerContext::removeMatch$
    {81, 1556, 2017},	// Plasma::RunnerContext::removeMatches?
    {81, 1586, 2008},	// Plasma::RunnerContext::reset
    {81, 1596, 2022},	// Plasma::RunnerContext::restore#
    {81, 1604, 2024},	// Plasma::RunnerContext::run#
    {81, 1614, 2023},	// Plasma::RunnerContext::save#
    {81, 1977, 2009},	// Plasma::RunnerContext::setQuery$
    {81, 2032, 2020},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {81, 2186, 2021},	// Plasma::RunnerContext::singleRunnerQueryMode
    {81, 2217, 2030},	// Plasma::RunnerContext::staticMetaObject
    {81, 2294, 2026},	// Plasma::RunnerContext::tr$
    {81, 2295, 2000},	// Plasma::RunnerContext::tr$$
    {81, 2296, 2002},	// Plasma::RunnerContext::tr$$$
    {81, 2298, 2027},	// Plasma::RunnerContext::trUtf8$
    {81, 2299, 2001},	// Plasma::RunnerContext::trUtf8$$
    {81, 2300, 2003},	// Plasma::RunnerContext::trUtf8$$$
    {81, 2302, 2011},	// Plasma::RunnerContext::type
    {81, 2443, 2040},	// Plasma::RunnerContext::~RunnerContext
    {82, 434, 2084},	// Plasma::RunnerManager::RunnerManager
    {82, 435, -61},	// Plasma::RunnerManager::RunnerManager#
    {82, 436, 2049},	// Plasma::RunnerManager::RunnerManager##
    {82, 591, 2063},	// Plasma::RunnerManager::actionsForMatch#
    {82, 669, 2069},	// Plasma::RunnerManager::allowedRunners
    {82, 983, 2078},	// Plasma::RunnerManager::execQuery$
    {82, 984, 2077},	// Plasma::RunnerManager::execQuery$$
    {82, 1238, 2076},	// Plasma::RunnerManager::launchQuery$
    {82, 1239, 2075},	// Plasma::RunnerManager::launchQuery$$
    {82, 1284, 2086},	// Plasma::RunnerManager::listRunnerInfo
    {82, 1285, 2072},	// Plasma::RunnerManager::listRunnerInfo$
    {82, 1323, 2068},	// Plasma::RunnerManager::loadRunner$
    {82, 1324, 2067},	// Plasma::RunnerManager::loadRunner?
    {82, 1352, 2074},	// Plasma::RunnerManager::matchSessionComplete
    {82, 1353, 2060},	// Plasma::RunnerManager::matches
    {82, 1355, 2080},	// Plasma::RunnerManager::matchesChanged?
    {82, 1364, 2041},	// Plasma::RunnerManager::metaObject
    {82, 1369, 2070},	// Plasma::RunnerManager::mimeDataForMatch#
    {82, 1370, 2071},	// Plasma::RunnerManager::mimeDataForMatch$
    {82, 1497, 2047},	// Plasma::RunnerManager::qt_metacall$$?
    {82, 1499, 2042},	// Plasma::RunnerManager::qt_metacast$
    {82, 1500, 2064},	// Plasma::RunnerManager::query
    {82, 1502, 2081},	// Plasma::RunnerManager::queryFinished
    {82, 1530, 2065},	// Plasma::RunnerManager::reloadConfiguration
    {82, 1586, 2079},	// Plasma::RunnerManager::reset
    {82, 1604, 2061},	// Plasma::RunnerManager::run#
    {82, 1606, 2062},	// Plasma::RunnerManager::run$
    {82, 1609, 2050},	// Plasma::RunnerManager::runner$
    {82, 1611, 2056},	// Plasma::RunnerManager::runnerName$
    {82, 1612, 2057},	// Plasma::RunnerManager::runners
    {82, 1645, 2059},	// Plasma::RunnerManager::searchContext
    {82, 1673, 2066},	// Plasma::RunnerManager::setAllowedRunners?
    {82, 2028, 2055},	// Plasma::RunnerManager::setSingleMode$
    {82, 2030, 2052},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {82, 2154, 2073},	// Plasma::RunnerManager::setupMatchSession
    {82, 2182, 2054},	// Plasma::RunnerManager::singleMode
    {82, 2183, 2058},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {82, 2184, 2051},	// Plasma::RunnerManager::singleModeRunner
    {82, 2185, 2053},	// Plasma::RunnerManager::singleModeRunnerId
    {82, 2217, 2087},	// Plasma::RunnerManager::staticMetaObject
    {82, 2294, 2082},	// Plasma::RunnerManager::tr$
    {82, 2295, 2043},	// Plasma::RunnerManager::tr$$
    {82, 2296, 2045},	// Plasma::RunnerManager::tr$$$
    {82, 2298, 2083},	// Plasma::RunnerManager::trUtf8$
    {82, 2299, 2044},	// Plasma::RunnerManager::trUtf8$$
    {82, 2300, 2046},	// Plasma::RunnerManager::trUtf8$$$
    {82, 2444, 2088},	// Plasma::RunnerManager::~RunnerManager
    {83, 437, 2126},	// Plasma::RunnerScript::RunnerScript
    {83, 438, 2096},	// Plasma::RunnerScript::RunnerScript#
    {83, 587, 2119},	// Plasma::RunnerScript::action$
    {83, 589, 2120},	// Plasma::RunnerScript::actions
    {83, 592, 2105},	// Plasma::RunnerScript::actionsForMatch#?
    {83, 605, 2117},	// Plasma::RunnerScript::addAction$#
    {83, 606, 2116},	// Plasma::RunnerScript::addAction$#$
    {83, 656, 2122},	// Plasma::RunnerScript::addSyntax#
    {83, 743, 2121},	// Plasma::RunnerScript::clearActions
    {83, 763, 2110},	// Plasma::RunnerScript::config
    {83, 843, 2103},	// Plasma::RunnerScript::createRunOptions#
    {83, 865, 2109},	// Plasma::RunnerScript::dataEngine$
    {83, 873, 2108},	// Plasma::RunnerScript::description
    {83, 1337, 2106},	// Plasma::RunnerScript::mainScript
    {83, 1350, 2099},	// Plasma::RunnerScript::match#
    {83, 1364, 2089},	// Plasma::RunnerScript::metaObject
    {83, 1425, 2107},	// Plasma::RunnerScript::package
    {83, 1486, 2101},	// Plasma::RunnerScript::prepare
    {83, 1497, 2095},	// Plasma::RunnerScript::qt_metacall$$?
    {83, 1499, 2090},	// Plasma::RunnerScript::qt_metacast$
    {83, 1530, 2104},	// Plasma::RunnerScript::reloadConfiguration
    {83, 1541, 2118},	// Plasma::RunnerScript::removeAction$
    {83, 1605, 2100},	// Plasma::RunnerScript::run##
    {83, 1608, 2098},	// Plasma::RunnerScript::runner
    {83, 1659, 2127},	// Plasma::RunnerScript::serviceQuery$
    {83, 1660, 2115},	// Plasma::RunnerScript::serviceQuery$$
    {83, 1846, 2112},	// Plasma::RunnerScript::setHasRunOptions$
    {83, 1868, 2111},	// Plasma::RunnerScript::setIgnoredTypes$
    {83, 1975, 2114},	// Plasma::RunnerScript::setPriority$
    {83, 1999, 2097},	// Plasma::RunnerScript::setRunner#
    {83, 2038, 2113},	// Plasma::RunnerScript::setSpeed$
    {83, 2061, 2123},	// Plasma::RunnerScript::setSyntaxes?
    {83, 2217, 2128},	// Plasma::RunnerScript::staticMetaObject
    {83, 2264, 2102},	// Plasma::RunnerScript::teardown
    {83, 2294, 2124},	// Plasma::RunnerScript::tr$
    {83, 2295, 2091},	// Plasma::RunnerScript::tr$$
    {83, 2296, 2093},	// Plasma::RunnerScript::tr$$$
    {83, 2298, 2125},	// Plasma::RunnerScript::trUtf8$
    {83, 2299, 2092},	// Plasma::RunnerScript::trUtf8$$
    {83, 2300, 2094},	// Plasma::RunnerScript::trUtf8$$$
    {83, 2445, 2129},	// Plasma::RunnerScript::~RunnerScript
    {84, 440, 2131},	// Plasma::RunnerSyntax::RunnerSyntax#
    {84, 441, 2130},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {84, 625, 2133},	// Plasma::RunnerSyntax::addExampleQuery$
    {84, 873, 2137},	// Plasma::RunnerSyntax::description
    {84, 980, 2134},	// Plasma::RunnerSyntax::exampleQueries
    {84, 981, 2135},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {84, 1420, 2132},	// Plasma::RunnerSyntax::operator=#
    {84, 1648, 2139},	// Plasma::RunnerSyntax::searchTermDescription
    {84, 1784, 2136},	// Plasma::RunnerSyntax::setDescription$
    {84, 2010, 2138},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {84, 2446, 2140},	// Plasma::RunnerSyntax::~RunnerSyntax
    {85, 447, 2154},	// Plasma::ScriptEngine::ScriptEngine
    {85, 448, 2149},	// Plasma::ScriptEngine::ScriptEngine#
    {85, 1108, 2148},	// Plasma::ScriptEngine::init
    {85, 1337, 2150},	// Plasma::ScriptEngine::mainScript
    {85, 1364, 2141},	// Plasma::ScriptEngine::metaObject
    {85, 1425, 2151},	// Plasma::ScriptEngine::package
    {85, 1497, 2147},	// Plasma::ScriptEngine::qt_metacall$$?
    {85, 1499, 2142},	// Plasma::ScriptEngine::qt_metacast$
    {85, 2217, 2155},	// Plasma::ScriptEngine::staticMetaObject
    {85, 2294, 2152},	// Plasma::ScriptEngine::tr$
    {85, 2295, 2143},	// Plasma::ScriptEngine::tr$$
    {85, 2296, 2145},	// Plasma::ScriptEngine::tr$$$
    {85, 2298, 2153},	// Plasma::ScriptEngine::trUtf8$
    {85, 2299, 2144},	// Plasma::ScriptEngine::trUtf8$$
    {85, 2300, 2146},	// Plasma::ScriptEngine::trUtf8$$$
    {85, 2447, 2156},	// Plasma::ScriptEngine::~ScriptEngine
    {86, 449, 2186},	// Plasma::ScrollBar::ScrollBar
    {86, 450, 2164},	// Plasma::ScrollBar::ScrollBar#
    {86, 820, 2179},	// Plasma::ScrollBar::contextMenuEvent#
    {86, 1359, 2172},	// Plasma::ScrollBar::maximum
    {86, 1364, 2157},	// Plasma::ScrollBar::metaObject
    {86, 1374, 2171},	// Plasma::ScrollBar::minimum
    {86, 1401, 2177},	// Plasma::ScrollBar::nativeWidget
    {86, 1423, 2178},	// Plasma::ScrollBar::orientation
    {86, 1430, 2169},	// Plasma::ScrollBar::pageStep
    {86, 1497, 2163},	// Plasma::ScrollBar::qt_metacall$$?
    {86, 1499, 2158},	// Plasma::ScrollBar::qt_metacast$
    {86, 1905, 2174},	// Plasma::ScrollBar::setMaximum$
    {86, 1913, 2173},	// Plasma::ScrollBar::setMinimum$
    {86, 1936, 2181},	// Plasma::ScrollBar::setOrientation$
    {86, 1944, 2168},	// Plasma::ScrollBar::setPageStep$
    {86, 1979, 2165},	// Plasma::ScrollBar::setRange$$
    {86, 2034, 2166},	// Plasma::ScrollBar::setSingleStep$
    {86, 2049, 2175},	// Plasma::ScrollBar::setStyleSheet$
    {86, 2119, 2180},	// Plasma::ScrollBar::setValue$
    {86, 2187, 2167},	// Plasma::ScrollBar::singleStep
    {86, 2199, 2183},	// Plasma::ScrollBar::sliderMoved$
    {86, 2217, 2187},	// Plasma::ScrollBar::staticMetaObject
    {86, 2230, 2176},	// Plasma::ScrollBar::styleSheet
    {86, 2294, 2184},	// Plasma::ScrollBar::tr$
    {86, 2295, 2159},	// Plasma::ScrollBar::tr$$
    {86, 2296, 2161},	// Plasma::ScrollBar::tr$$$
    {86, 2298, 2185},	// Plasma::ScrollBar::trUtf8$
    {86, 2299, 2160},	// Plasma::ScrollBar::trUtf8$$
    {86, 2300, 2162},	// Plasma::ScrollBar::trUtf8$$$
    {86, 2349, 2170},	// Plasma::ScrollBar::value
    {86, 2351, 2182},	// Plasma::ScrollBar::valueChanged$
    {86, 2448, 2188},	// Plasma::ScrollBar::~ScrollBar
    {87, 452, 2237},	// Plasma::ScrollWidget::ScrollWidget
    {87, 453, -67},	// Plasma::ScrollWidget::ScrollWidget#
    {87, 667, 2201},	// Plasma::ScrollWidget::alignment
    {87, 812, 2215},	// Plasma::ScrollWidget::contentsSize
    {87, 967, 2211},	// Plasma::ScrollWidget::ensureItemVisible#
    {87, 969, 2210},	// Plasma::ScrollWidget::ensureRectVisible#
    {87, 977, 2231},	// Plasma::ScrollWidget::eventFilter##
    {87, 1019, 2232},	// Plasma::ScrollWidget::focusInEvent#
    {87, 1068, 2203},	// Plasma::ScrollWidget::hasOverShoot
    {87, 1084, 2205},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {87, 1212, 2229},	// Plasma::ScrollWidget::keyPressEvent#
    {87, 1364, 2189},	// Plasma::ScrollWidget::metaObject
    {87, 1382, 2226},	// Plasma::ScrollWidget::mouseMoveEvent#
    {87, 1384, 2227},	// Plasma::ScrollWidget::mousePressEvent#
    {87, 1386, 2228},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {87, 1401, 2222},	// Plasma::ScrollWidget::nativeWidget
    {87, 1424, 2208},	// Plasma::ScrollWidget::overflowBordersVisible
    {87, 1497, 2195},	// Plasma::ScrollWidget::qt_metacall$$?
    {87, 1499, 2190},	// Plasma::ScrollWidget::qt_metacast$
    {87, 1514, 2212},	// Plasma::ScrollWidget::registerAsDragHandle#
    {87, 1592, 2225},	// Plasma::ScrollWidget::resizeEvent#
    {87, 1628, 2234},	// Plasma::ScrollWidget::sceneEventFilter##
    {87, 1641, 2217},	// Plasma::ScrollWidget::scrollPosition
    {87, 1644, 2223},	// Plasma::ScrollWidget::scrollStateChanged$$
    {87, 1669, 2200},	// Plasma::ScrollWidget::setAlignment$
    {87, 1856, 2204},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {87, 1938, 2202},	// Plasma::ScrollWidget::setOverShoot$
    {87, 1940, 2209},	// Plasma::ScrollWidget::setOverflowBordersVisible$
    {87, 2008, 2216},	// Plasma::ScrollWidget::setScrollPosition#
    {87, 2036, 2218},	// Plasma::ScrollWidget::setSnapSize#
    {87, 2049, 2220},	// Plasma::ScrollWidget::setStyleSheet$
    {87, 2131, 2206},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {87, 2144, 2198},	// Plasma::ScrollWidget::setWidget#
    {87, 2195, 2233},	// Plasma::ScrollWidget::sizeHint$#
    {87, 2200, 2219},	// Plasma::ScrollWidget::snapSize
    {87, 2217, 2238},	// Plasma::ScrollWidget::staticMetaObject
    {87, 2230, 2221},	// Plasma::ScrollWidget::styleSheet
    {87, 2294, 2235},	// Plasma::ScrollWidget::tr$
    {87, 2295, 2191},	// Plasma::ScrollWidget::tr$$
    {87, 2296, 2193},	// Plasma::ScrollWidget::tr$$$
    {87, 2298, 2236},	// Plasma::ScrollWidget::trUtf8$
    {87, 2299, 2192},	// Plasma::ScrollWidget::trUtf8$$
    {87, 2300, 2194},	// Plasma::ScrollWidget::trUtf8$$$
    {87, 2313, 2213},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {87, 2362, 2207},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {87, 2367, 2214},	// Plasma::ScrollWidget::viewportGeometry
    {87, 2369, 2224},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {87, 2379, 2230},	// Plasma::ScrollWidget::wheelEvent#
    {87, 2380, 2199},	// Plasma::ScrollWidget::widget
    {87, 2449, 2239},	// Plasma::ScrollWidget::~ScrollWidget
    {88, 455, 2254},	// Plasma::Separator::Separator
    {88, 456, 2255},	// Plasma::Separator::Separator#
    {88, 457, 2247},	// Plasma::Separator::Separator#$
    {88, 1364, 2240},	// Plasma::Separator::metaObject
    {88, 1423, 2249},	// Plasma::Separator::orientation
    {88, 1433, 2250},	// Plasma::Separator::paint###
    {88, 1497, 2246},	// Plasma::Separator::qt_metacall$$?
    {88, 1499, 2241},	// Plasma::Separator::qt_metacast$
    {88, 1936, 2248},	// Plasma::Separator::setOrientation$
    {88, 2195, 2251},	// Plasma::Separator::sizeHint$#
    {88, 2217, 2256},	// Plasma::Separator::staticMetaObject
    {88, 2294, 2252},	// Plasma::Separator::tr$
    {88, 2295, 2242},	// Plasma::Separator::tr$$
    {88, 2296, 2244},	// Plasma::Separator::tr$$$
    {88, 2298, 2253},	// Plasma::Separator::trUtf8$
    {88, 2299, 2243},	// Plasma::Separator::trUtf8$$
    {88, 2300, 2245},	// Plasma::Separator::trUtf8$$$
    {88, 2450, 2257},	// Plasma::Separator::~Separator
    {89, 458, 2296},	// Plasma::Service::Service
    {89, 459, 2283},	// Plasma::Service::Service#
    {89, 460, 2284},	// Plasma::Service::Service#?
    {89, 582, 2294},	// Plasma::Service::access#
    {89, 583, 2267},	// Plasma::Service::access##
    {89, 705, -16},	// Plasma::Service::associateWidget#$
    {89, 836, 2285},	// Plasma::Service::createJob$?
    {89, 875, 2269},	// Plasma::Service::destination
    {89, 888, -19},	// Plasma::Service::disassociateWidget#
    {89, 1008, 2280},	// Plasma::Service::finished#
    {89, 1157, 2273},	// Plasma::Service::isOperationEnabled$
    {89, 1301, 2293},	// Plasma::Service::load$
    {89, 1302, 2266},	// Plasma::Service::load$#
    {89, 1305, 2292},	// Plasma::Service::load$?
    {89, 1306, 2265},	// Plasma::Service::load$?#
    {89, 1364, 2258},	// Plasma::Service::metaObject
    {89, 1399, 2274},	// Plasma::Service::name
    {89, 1414, 2271},	// Plasma::Service::operationDescription$
    {89, 1415, 2270},	// Plasma::Service::operationNames
    {89, 1416, 2281},	// Plasma::Service::operationsChanged
    {89, 1454, 2279},	// Plasma::Service::parametersFromDescription#
    {89, 1497, 2264},	// Plasma::Service::qt_metacall$$?
    {89, 1499, 2259},	// Plasma::Service::qt_metacast$
    {89, 1515, 2286},	// Plasma::Service::registerOperationsScheme
    {89, 1662, 2282},	// Plasma::Service::serviceReady#
    {89, 1786, 2268},	// Plasma::Service::setDestination$
    {89, 1922, 2288},	// Plasma::Service::setName$
    {89, 1932, 2289},	// Plasma::Service::setOperationEnabled$$
    {89, 1934, 2287},	// Plasma::Service::setOperationsScheme#
    {89, 2213, 2295},	// Plasma::Service::startOperationCall#
    {89, 2214, 2272},	// Plasma::Service::startOperationCall##
    {89, 2217, 2297},	// Plasma::Service::staticMetaObject
    {89, 2294, 2290},	// Plasma::Service::tr$
    {89, 2295, 2260},	// Plasma::Service::tr$$
    {89, 2296, 2262},	// Plasma::Service::tr$$$
    {89, 2298, 2291},	// Plasma::Service::trUtf8$
    {89, 2299, 2261},	// Plasma::Service::trUtf8$$
    {89, 2300, 2263},	// Plasma::Service::trUtf8$$$
    {89, 2451, 2298},	// Plasma::Service::~Service
    {90, 462, 2311},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {90, 463, 2307},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {90, 1364, 2299},	// Plasma::ServiceAccessJob::metaObject
    {90, 1497, 2305},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {90, 1499, 2300},	// Plasma::ServiceAccessJob::qt_metacast$
    {90, 1653, 2306},	// Plasma::ServiceAccessJob::service
    {90, 2211, 2308},	// Plasma::ServiceAccessJob::start
    {90, 2217, 2312},	// Plasma::ServiceAccessJob::staticMetaObject
    {90, 2294, 2309},	// Plasma::ServiceAccessJob::tr$
    {90, 2295, 2301},	// Plasma::ServiceAccessJob::tr$$
    {90, 2296, 2303},	// Plasma::ServiceAccessJob::tr$$$
    {90, 2298, 2310},	// Plasma::ServiceAccessJob::trUtf8$
    {90, 2299, 2302},	// Plasma::ServiceAccessJob::trUtf8$$
    {90, 2300, 2304},	// Plasma::ServiceAccessJob::trUtf8$$$
    {90, 2452, 2313},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {92, 467, 2388},	// Plasma::SignalPlotter::SignalPlotter
    {92, 468, 2321},	// Plasma::SignalPlotter::SignalPlotter#
    {92, 639, 2322},	// Plasma::SignalPlotter::addPlot#
    {92, 646, 2323},	// Plasma::SignalPlotter::addSample?
    {92, 721, 2363},	// Plasma::SignalPlotter::backgroundColor
    {92, 731, 2375},	// Plasma::SignalPlotter::calculateNiceRange
    {92, 908, 2384},	// Plasma::SignalPlotter::drawAxisText#$$
    {92, 910, 2378},	// Plasma::SignalPlotter::drawBackground#$$
    {92, 913, 2385},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {92, 916, 2383},	// Plasma::SignalPlotter::drawPlots#$$$$
    {92, 918, 2379},	// Plasma::SignalPlotter::drawThinFrame#$$
    {92, 920, 2381},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {92, 922, 2380},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {92, 924, 2382},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {92, 927, 2377},	// Plasma::SignalPlotter::drawWidget#$$$
    {92, 1025, 2355},	// Plasma::SignalPlotter::font
    {92, 1028, 2353},	// Plasma::SignalPlotter::fontColor
    {92, 1046, 2372},	// Plasma::SignalPlotter::getSnapshotImage$$
    {92, 1081, 2351},	// Plasma::SignalPlotter::horizontalLinesColor
    {92, 1082, 2357},	// Plasma::SignalPlotter::horizontalLinesCount
    {92, 1083, 2339},	// Plasma::SignalPlotter::horizontalScale
    {92, 1234, 2366},	// Plasma::SignalPlotter::lastValue$
    {92, 1236, 2367},	// Plasma::SignalPlotter::lastValueAsString$
    {92, 1364, 2314},	// Plasma::SignalPlotter::metaObject
    {92, 1433, 2376},	// Plasma::SignalPlotter::paint###
    {92, 1468, 2326},	// Plasma::SignalPlotter::plotColors
    {92, 1497, 2320},	// Plasma::SignalPlotter::qt_metacall$$?
    {92, 1499, 2315},	// Plasma::SignalPlotter::qt_metacast$
    {92, 1560, 2325},	// Plasma::SignalPlotter::removePlot$
    {92, 1578, 2324},	// Plasma::SignalPlotter::reorderPlots?
    {92, 1622, 2331},	// Plasma::SignalPlotter::scale$
    {92, 1623, 2332},	// Plasma::SignalPlotter::scaledBy
    {92, 1705, 2362},	// Plasma::SignalPlotter::setBackgroundColor#
    {92, 1824, 2354},	// Plasma::SignalPlotter::setFont#
    {92, 1827, 2352},	// Plasma::SignalPlotter::setFontColor#
    {92, 1833, 2373},	// Plasma::SignalPlotter::setGeometry#
    {92, 1850, 2350},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {92, 1852, 2356},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {92, 1854, 2338},	// Plasma::SignalPlotter::setHorizontalScale$
    {92, 2018, 2348},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {92, 2020, 2358},	// Plasma::SignalPlotter::setShowLabels$
    {92, 2022, 2360},	// Plasma::SignalPlotter::setShowTopBar$
    {92, 2024, 2340},	// Plasma::SignalPlotter::setShowVerticalLines$
    {92, 2040, 2370},	// Plasma::SignalPlotter::setStackPlots$
    {92, 2059, 2364},	// Plasma::SignalPlotter::setSvgBackground$
    {92, 2089, 2368},	// Plasma::SignalPlotter::setThinFrame$
    {92, 2091, 2327},	// Plasma::SignalPlotter::setTitle$
    {92, 2103, 2329},	// Plasma::SignalPlotter::setUnit$
    {92, 2109, 2333},	// Plasma::SignalPlotter::setUseAutoRange$
    {92, 2123, 2342},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {92, 2125, 2344},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {92, 2127, 2346},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {92, 2129, 2335},	// Plasma::SignalPlotter::setVerticalRange$$
    {92, 2173, 2349},	// Plasma::SignalPlotter::showHorizontalLines
    {92, 2174, 2359},	// Plasma::SignalPlotter::showLabels
    {92, 2180, 2361},	// Plasma::SignalPlotter::showTopBar
    {92, 2181, 2341},	// Plasma::SignalPlotter::showVerticalLines
    {92, 2209, 2371},	// Plasma::SignalPlotter::stackPlots
    {92, 2217, 2389},	// Plasma::SignalPlotter::staticMetaObject
    {92, 2239, 2365},	// Plasma::SignalPlotter::svgBackground
    {92, 2275, 2369},	// Plasma::SignalPlotter::thinFrame
    {92, 2281, 2328},	// Plasma::SignalPlotter::title
    {92, 2294, 2386},	// Plasma::SignalPlotter::tr$
    {92, 2295, 2316},	// Plasma::SignalPlotter::tr$$
    {92, 2296, 2318},	// Plasma::SignalPlotter::tr$$$
    {92, 2298, 2387},	// Plasma::SignalPlotter::trUtf8$
    {92, 2299, 2317},	// Plasma::SignalPlotter::trUtf8$$
    {92, 2300, 2319},	// Plasma::SignalPlotter::trUtf8$$$
    {92, 2308, 2330},	// Plasma::SignalPlotter::unit
    {92, 2325, 2374},	// Plasma::SignalPlotter::updateDataBuffers
    {92, 2340, 2334},	// Plasma::SignalPlotter::useAutoRange
    {92, 2357, 2343},	// Plasma::SignalPlotter::verticalLinesColor
    {92, 2358, 2345},	// Plasma::SignalPlotter::verticalLinesDistance
    {92, 2359, 2347},	// Plasma::SignalPlotter::verticalLinesScroll
    {92, 2360, 2337},	// Plasma::SignalPlotter::verticalMaxValue
    {92, 2361, 2336},	// Plasma::SignalPlotter::verticalMinValue
    {92, 2453, 2390},	// Plasma::SignalPlotter::~SignalPlotter
    {93, 473, 2417},	// Plasma::Slider::Slider
    {93, 474, 2398},	// Plasma::Slider::Slider#
    {93, 1359, 2399},	// Plasma::Slider::maximum
    {93, 1364, 2391},	// Plasma::Slider::metaObject
    {93, 1374, 2400},	// Plasma::Slider::minimum
    {93, 1401, 2405},	// Plasma::Slider::nativeWidget
    {93, 1423, 2402},	// Plasma::Slider::orientation
    {93, 1433, 2406},	// Plasma::Slider::paint###
    {93, 1497, 2397},	// Plasma::Slider::qt_metacall$$?
    {93, 1499, 2392},	// Plasma::Slider::qt_metacast$
    {93, 1905, 2408},	// Plasma::Slider::setMaximum$
    {93, 1913, 2409},	// Plasma::Slider::setMinimum$
    {93, 1936, 2412},	// Plasma::Slider::setOrientation$
    {93, 1979, 2410},	// Plasma::Slider::setRange$$
    {93, 2049, 2403},	// Plasma::Slider::setStyleSheet$
    {93, 2119, 2411},	// Plasma::Slider::setValue$
    {93, 2199, 2413},	// Plasma::Slider::sliderMoved$
    {93, 2217, 2418},	// Plasma::Slider::staticMetaObject
    {93, 2230, 2404},	// Plasma::Slider::styleSheet
    {93, 2294, 2415},	// Plasma::Slider::tr$
    {93, 2295, 2393},	// Plasma::Slider::tr$$
    {93, 2296, 2395},	// Plasma::Slider::tr$$$
    {93, 2298, 2416},	// Plasma::Slider::trUtf8$
    {93, 2299, 2394},	// Plasma::Slider::trUtf8$$
    {93, 2300, 2396},	// Plasma::Slider::trUtf8$$$
    {93, 2349, 2401},	// Plasma::Slider::value
    {93, 2351, 2414},	// Plasma::Slider::valueChanged$
    {93, 2379, 2407},	// Plasma::Slider::wheelEvent#
    {93, 2454, 2419},	// Plasma::Slider::~Slider
    {94, 479, 2450},	// Plasma::SpinBox::SpinBox
    {94, 480, 2427},	// Plasma::SpinBox::SpinBox#
    {94, 736, 2434},	// Plasma::SpinBox::changeEvent#
    {94, 932, 2447},	// Plasma::SpinBox::editingFinished
    {94, 1023, 2440},	// Plasma::SpinBox::focusOutEvent#
    {94, 1086, 2435},	// Plasma::SpinBox::hoverEnterEvent#
    {94, 1088, 2436},	// Plasma::SpinBox::hoverLeaveEvent#
    {94, 1359, 2428},	// Plasma::SpinBox::maximum
    {94, 1364, 2420},	// Plasma::SpinBox::metaObject
    {94, 1374, 2429},	// Plasma::SpinBox::minimum
    {94, 1384, 2439},	// Plasma::SpinBox::mousePressEvent#
    {94, 1401, 2433},	// Plasma::SpinBox::nativeWidget
    {94, 1433, 2438},	// Plasma::SpinBox::paint###
    {94, 1497, 2426},	// Plasma::SpinBox::qt_metacall$$?
    {94, 1499, 2421},	// Plasma::SpinBox::qt_metacast$
    {94, 1592, 2437},	// Plasma::SpinBox::resizeEvent#
    {94, 1905, 2441},	// Plasma::SpinBox::setMaximum$
    {94, 1913, 2442},	// Plasma::SpinBox::setMinimum$
    {94, 1979, 2443},	// Plasma::SpinBox::setRange$$
    {94, 2049, 2431},	// Plasma::SpinBox::setStyleSheet$
    {94, 2119, 2444},	// Plasma::SpinBox::setValue$
    {94, 2199, 2445},	// Plasma::SpinBox::sliderMoved$
    {94, 2217, 2451},	// Plasma::SpinBox::staticMetaObject
    {94, 2230, 2432},	// Plasma::SpinBox::styleSheet
    {94, 2294, 2448},	// Plasma::SpinBox::tr$
    {94, 2295, 2422},	// Plasma::SpinBox::tr$$
    {94, 2296, 2424},	// Plasma::SpinBox::tr$$$
    {94, 2298, 2449},	// Plasma::SpinBox::trUtf8$
    {94, 2299, 2423},	// Plasma::SpinBox::trUtf8$$
    {94, 2300, 2425},	// Plasma::SpinBox::trUtf8$$$
    {94, 2349, 2430},	// Plasma::SpinBox::value
    {94, 2351, 2446},	// Plasma::SpinBox::valueChanged$
    {94, 2455, 2452},	// Plasma::SpinBox::~SpinBox
    {95, 494, 2487},	// Plasma::Svg::Svg
    {95, 495, 2460},	// Plasma::Svg::Svg#
    {95, 807, 2476},	// Plasma::Svg::containsMultipleImages
    {95, 946, 2473},	// Plasma::Svg::elementAtPoint#
    {95, 951, 2471},	// Plasma::Svg::elementRect$
    {95, 953, 2470},	// Plasma::Svg::elementSize$
    {95, 1060, 2472},	// Plasma::Svg::hasElement$
    {95, 1097, 2478},	// Plasma::Svg::imagePath
    {95, 1176, 2480},	// Plasma::Svg::isUsingRenderingCache
    {95, 1177, 2474},	// Plasma::Svg::isValid
    {95, 1364, 2453},	// Plasma::Svg::metaObject
    {95, 1432, -43},	// Plasma::Svg::paint##
    {95, 1434, -46},	// Plasma::Svg::paint##$
    {95, 1435, 2490},	// Plasma::Svg::paint#$$
    {95, 1436, 2463},	// Plasma::Svg::paint#$$$
    {95, 1437, 2492},	// Plasma::Svg::paint#$$$$
    {95, 1438, 2465},	// Plasma::Svg::paint#$$$$$
    {95, 1465, 2488},	// Plasma::Svg::pixmap
    {95, 1466, 2461},	// Plasma::Svg::pixmap$
    {95, 1497, 2459},	// Plasma::Svg::qt_metacall$$?
    {95, 1499, 2454},	// Plasma::Svg::qt_metacast$
    {95, 1579, 2483},	// Plasma::Svg::repaintNeeded
    {95, 1587, 2469},	// Plasma::Svg::resize
    {95, 1588, 2468},	// Plasma::Svg::resize#
    {95, 1589, 2467},	// Plasma::Svg::resize$$
    {95, 1744, 2475},	// Plasma::Svg::setContainsMultipleImages$
    {95, 1874, 2477},	// Plasma::Svg::setImagePath$
    {95, 2085, 2481},	// Plasma::Svg::setTheme#
    {95, 2115, 2479},	// Plasma::Svg::setUsingRenderingCache$
    {95, 2188, 2466},	// Plasma::Svg::size
    {95, 2189, 2484},	// Plasma::Svg::sizeChanged
    {95, 2217, 2493},	// Plasma::Svg::staticMetaObject
    {95, 2272, 2482},	// Plasma::Svg::theme
    {95, 2294, 2485},	// Plasma::Svg::tr$
    {95, 2295, 2455},	// Plasma::Svg::tr$$
    {95, 2296, 2457},	// Plasma::Svg::tr$$$
    {95, 2298, 2486},	// Plasma::Svg::trUtf8$
    {95, 2299, 2456},	// Plasma::Svg::trUtf8$$
    {95, 2300, 2458},	// Plasma::Svg::trUtf8$$$
    {95, 2457, 2494},	// Plasma::Svg::~Svg
    {96, 496, 2515},	// Plasma::SvgWidget::SvgWidget
    {96, 497, -37},	// Plasma::SvgWidget::SvgWidget#
    {96, 498, -40},	// Plasma::SvgWidget::SvgWidget#$
    {96, 499, 2519},	// Plasma::SvgWidget::SvgWidget#$#
    {96, 500, 2503},	// Plasma::SvgWidget::SvgWidget#$#$
    {96, 752, 2509},	// Plasma::SvgWidget::clicked$
    {96, 949, 2507},	// Plasma::SvgWidget::elementID
    {96, 1364, 2495},	// Plasma::SvgWidget::metaObject
    {96, 1384, 2512},	// Plasma::SvgWidget::mousePressEvent#
    {96, 1386, 2508},	// Plasma::SvgWidget::mouseReleaseEvent#
    {96, 1433, 2510},	// Plasma::SvgWidget::paint###
    {96, 1497, 2501},	// Plasma::SvgWidget::qt_metacall$$?
    {96, 1499, 2496},	// Plasma::SvgWidget::qt_metacast$
    {96, 1803, 2506},	// Plasma::SvgWidget::setElementID$
    {96, 2055, 2504},	// Plasma::SvgWidget::setSvg#
    {96, 2195, 2511},	// Plasma::SvgWidget::sizeHint$#
    {96, 2217, 2520},	// Plasma::SvgWidget::staticMetaObject
    {96, 2238, 2505},	// Plasma::SvgWidget::svg
    {96, 2294, 2513},	// Plasma::SvgWidget::tr$
    {96, 2295, 2497},	// Plasma::SvgWidget::tr$$
    {96, 2296, 2499},	// Plasma::SvgWidget::tr$$$
    {96, 2298, 2514},	// Plasma::SvgWidget::trUtf8$
    {96, 2299, 2498},	// Plasma::SvgWidget::trUtf8$$
    {96, 2300, 2500},	// Plasma::SvgWidget::trUtf8$$$
    {96, 2458, 2521},	// Plasma::SvgWidget::~SvgWidget
    {97, 502, 2559},	// Plasma::TabBar::TabBar
    {97, 503, 2529},	// Plasma::TabBar::TabBar#
    {97, 658, 2562},	// Plasma::TabBar::addTab#$
    {97, 659, 2532},	// Plasma::TabBar::addTab#$#
    {97, 660, 2563},	// Plasma::TabBar::addTab$
    {97, 661, 2533},	// Plasma::TabBar::addTab$#
    {97, 736, 2556},	// Plasma::TabBar::changeEvent#
    {97, 824, 2538},	// Plasma::TabBar::count
    {97, 847, 2553},	// Plasma::TabBar::currentChanged$
    {97, 848, 2537},	// Plasma::TabBar::currentIndex
    {97, 1009, 2549},	// Plasma::TabBar::firstPositionWidget
    {97, 1125, 2560},	// Plasma::TabBar::insertTab$#$
    {97, 1126, 2530},	// Plasma::TabBar::insertTab$#$#
    {97, 1127, 2561},	// Plasma::TabBar::insertTab$$
    {97, 1128, 2531},	// Plasma::TabBar::insertTab$$#
    {97, 1172, 2544},	// Plasma::TabBar::isTabBarShown
    {97, 1231, 2551},	// Plasma::TabBar::lastPositionWidget
    {97, 1364, 2522},	// Plasma::TabBar::metaObject
    {97, 1401, 2547},	// Plasma::TabBar::nativeWidget
    {97, 1497, 2528},	// Plasma::TabBar::qt_metacall$$?
    {97, 1499, 2523},	// Plasma::TabBar::qt_metacast$
    {97, 1564, 2534},	// Plasma::TabBar::removeTab$
    {97, 1592, 2555},	// Plasma::TabBar::resizeEvent#
    {97, 1762, 2552},	// Plasma::TabBar::setCurrentIndex$
    {97, 1822, 2548},	// Plasma::TabBar::setFirstPositionWidget#
    {97, 1895, 2550},	// Plasma::TabBar::setLastPositionWidget#
    {97, 2049, 2545},	// Plasma::TabBar::setStyleSheet$
    {97, 2063, 2543},	// Plasma::TabBar::setTabBarShown$
    {97, 2065, 2541},	// Plasma::TabBar::setTabIcon$#
    {97, 2067, 2539},	// Plasma::TabBar::setTabText$$
    {97, 2217, 2564},	// Plasma::TabBar::staticMetaObject
    {97, 2230, 2546},	// Plasma::TabBar::styleSheet
    {97, 2248, 2536},	// Plasma::TabBar::tabAt$
    {97, 2250, 2542},	// Plasma::TabBar::tabIcon$
    {97, 2252, 2540},	// Plasma::TabBar::tabText$
    {97, 2255, 2535},	// Plasma::TabBar::takeTab$
    {97, 2294, 2557},	// Plasma::TabBar::tr$
    {97, 2295, 2524},	// Plasma::TabBar::tr$$
    {97, 2296, 2526},	// Plasma::TabBar::tr$$$
    {97, 2298, 2558},	// Plasma::TabBar::trUtf8$
    {97, 2299, 2525},	// Plasma::TabBar::trUtf8$$
    {97, 2300, 2527},	// Plasma::TabBar::trUtf8$$$
    {97, 2379, 2554},	// Plasma::TabBar::wheelEvent#
    {97, 2459, 2565},	// Plasma::TabBar::~TabBar
    {98, 504, 2590},	// Plasma::TextBrowser::TextBrowser
    {98, 505, 2573},	// Plasma::TextBrowser::TextBrowser#
    {98, 690, 2581},	// Plasma::TextBrowser::append$
    {98, 736, 2586},	// Plasma::TextBrowser::changeEvent#
    {98, 820, 2587},	// Plasma::TextBrowser::contextMenuEvent#
    {98, 867, 2582},	// Plasma::TextBrowser::dataUpdated$?
    {98, 1364, 2566},	// Plasma::TextBrowser::metaObject
    {98, 1401, 2580},	// Plasma::TextBrowser::nativeWidget
    {98, 1497, 2572},	// Plasma::TextBrowser::qt_metacall$$?
    {98, 1499, 2567},	// Plasma::TextBrowser::qt_metacast$
    {98, 1592, 2584},	// Plasma::TextBrowser::resizeEvent#
    {98, 1856, 2576},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {98, 2049, 2578},	// Plasma::TextBrowser::setStyleSheet$
    {98, 2079, 2574},	// Plasma::TextBrowser::setText$
    {98, 2131, 2577},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {98, 2217, 2591},	// Plasma::TextBrowser::staticMetaObject
    {98, 2230, 2579},	// Plasma::TextBrowser::styleSheet
    {98, 2265, 2575},	// Plasma::TextBrowser::text
    {98, 2267, 2583},	// Plasma::TextBrowser::textChanged
    {98, 2294, 2588},	// Plasma::TextBrowser::tr$
    {98, 2295, 2568},	// Plasma::TextBrowser::tr$$
    {98, 2296, 2570},	// Plasma::TextBrowser::tr$$$
    {98, 2298, 2589},	// Plasma::TextBrowser::trUtf8$
    {98, 2299, 2569},	// Plasma::TextBrowser::trUtf8$$
    {98, 2300, 2571},	// Plasma::TextBrowser::trUtf8$$$
    {98, 2379, 2585},	// Plasma::TextBrowser::wheelEvent#
    {98, 2460, 2592},	// Plasma::TextBrowser::~TextBrowser
    {99, 507, 2619},	// Plasma::TextEdit::TextEdit
    {99, 508, 2600},	// Plasma::TextEdit::TextEdit#
    {99, 690, 2609},	// Plasma::TextEdit::append$
    {99, 736, 2613},	// Plasma::TextEdit::changeEvent#
    {99, 820, 2614},	// Plasma::TextEdit::contextMenuEvent#
    {99, 867, 2610},	// Plasma::TextEdit::dataUpdated$?
    {99, 1023, 2616},	// Plasma::TextEdit::focusOutEvent#
    {99, 1164, 2604},	// Plasma::TextEdit::isReadOnly
    {99, 1364, 2593},	// Plasma::TextEdit::metaObject
    {99, 1384, 2615},	// Plasma::TextEdit::mousePressEvent#
    {99, 1401, 2608},	// Plasma::TextEdit::nativeWidget
    {99, 1497, 2599},	// Plasma::TextEdit::qt_metacall$$?
    {99, 1499, 2594},	// Plasma::TextEdit::qt_metacast$
    {99, 1592, 2612},	// Plasma::TextEdit::resizeEvent#
    {99, 1924, 2607},	// Plasma::TextEdit::setNativeWidget#
    {99, 1981, 2603},	// Plasma::TextEdit::setReadOnly$
    {99, 2049, 2605},	// Plasma::TextEdit::setStyleSheet$
    {99, 2079, 2601},	// Plasma::TextEdit::setText$
    {99, 2217, 2620},	// Plasma::TextEdit::staticMetaObject
    {99, 2230, 2606},	// Plasma::TextEdit::styleSheet
    {99, 2265, 2602},	// Plasma::TextEdit::text
    {99, 2267, 2611},	// Plasma::TextEdit::textChanged
    {99, 2294, 2617},	// Plasma::TextEdit::tr$
    {99, 2295, 2595},	// Plasma::TextEdit::tr$$
    {99, 2296, 2597},	// Plasma::TextEdit::tr$$$
    {99, 2298, 2618},	// Plasma::TextEdit::trUtf8$
    {99, 2299, 2596},	// Plasma::TextEdit::trUtf8$$
    {99, 2300, 2598},	// Plasma::TextEdit::trUtf8$$$
    {99, 2461, 2621},	// Plasma::TextEdit::~TextEdit
    {100, 52, 2672},	// Plasma::Theme::BackgroundColor
    {100, 69, 2674},	// Plasma::Theme::ButtonBackgroundColor
    {100, 71, 2678},	// Plasma::Theme::ButtonFocusColor
    {100, 72, 2677},	// Plasma::Theme::ButtonHoverColor
    {100, 76, 2673},	// Plasma::Theme::ButtonTextColor
    {100, 133, 2683},	// Plasma::Theme::DefaultFont
    {100, 141, 2684},	// Plasma::Theme::DesktopFont
    {100, 206, 2671},	// Plasma::Theme::HighlightColor
    {100, 319, 2675},	// Plasma::Theme::LinkColor
    {100, 506, 2670},	// Plasma::Theme::TextColor
    {100, 509, 2664},	// Plasma::Theme::Theme
    {100, 510, 2630},	// Plasma::Theme::Theme#
    {100, 511, 2665},	// Plasma::Theme::Theme$
    {100, 512, 2631},	// Plasma::Theme::Theme$#
    {100, 556, 2680},	// Plasma::Theme::ViewBackgroundColor
    {100, 557, 2682},	// Plasma::Theme::ViewFocusColor
    {100, 558, 2681},	// Plasma::Theme::ViewHoverColor
    {100, 559, 2679},	// Plasma::Theme::ViewTextColor
    {100, 560, 2676},	// Plasma::Theme::VisitedLinkColor
    {100, 684, 2637},	// Plasma::Theme::animationPath$
    {100, 761, 2641},	// Plasma::Theme::color$
    {100, 762, 2640},	// Plasma::Theme::colorScheme
    {100, 854, 2639},	// Plasma::Theme::currentThemeHasImage$
    {100, 870, 2629},	// Plasma::Theme::defaultTheme
    {100, 999, 2650},	// Plasma::Theme::findInCache$#
    {100, 1000, 2651},	// Plasma::Theme::findInCache$#$
    {100, 1002, 2655},	// Plasma::Theme::findInRectsCache$$#
    {100, 1026, 2643},	// Plasma::Theme::font$
    {100, 1029, 2644},	// Plasma::Theme::fontMetrics
    {100, 1098, 2636},	// Plasma::Theme::imagePath$
    {100, 1120, 2652},	// Plasma::Theme::insertIntoCache$#
    {100, 1121, 2653},	// Plasma::Theme::insertIntoCache$#$
    {100, 1123, 2657},	// Plasma::Theme::insertIntoRectsCache$$#
    {100, 1133, 2658},	// Plasma::Theme::invalidateRectsCache$
    {100, 1259, 2656},	// Plasma::Theme::listCachedRectKeys$
    {100, 1286, 2633},	// Plasma::Theme::listThemeInfo
    {100, 1364, 2622},	// Plasma::Theme::metaObject
    {100, 1426, 2632},	// Plasma::Theme::packageStructure
    {100, 1497, 2628},	// Plasma::Theme::qt_metacall$$?
    {100, 1499, 2623},	// Plasma::Theme::qt_metacast$
    {100, 1525, 2659},	// Plasma::Theme::releaseRectsCache$
    {100, 1715, 2654},	// Plasma::Theme::setCacheLimit$
    {100, 1824, 2667},	// Plasma::Theme::setFont#
    {100, 1825, 2642},	// Plasma::Theme::setFont#$
    {100, 2087, 2634},	// Plasma::Theme::setThemeName$
    {100, 2111, 2646},	// Plasma::Theme::setUseGlobalSettings$
    {100, 2153, 2661},	// Plasma::Theme::settingsChanged
    {100, 2217, 2669},	// Plasma::Theme::staticMetaObject
    {100, 2230, 2668},	// Plasma::Theme::styleSheet
    {100, 2231, 2649},	// Plasma::Theme::styleSheet$
    {100, 2273, 2660},	// Plasma::Theme::themeChanged
    {100, 2274, 2635},	// Plasma::Theme::themeName
    {100, 2294, 2662},	// Plasma::Theme::tr$
    {100, 2295, 2624},	// Plasma::Theme::tr$$
    {100, 2296, 2626},	// Plasma::Theme::tr$$$
    {100, 2298, 2663},	// Plasma::Theme::trUtf8$
    {100, 2299, 2625},	// Plasma::Theme::trUtf8$$
    {100, 2300, 2627},	// Plasma::Theme::trUtf8$$$
    {100, 2342, 2647},	// Plasma::Theme::useGlobalSettings
    {100, 2343, 2648},	// Plasma::Theme::useNativeWidgetStyle
    {100, 2375, 2666},	// Plasma::Theme::wallpaperPath
    {100, 2376, 2638},	// Plasma::Theme::wallpaperPath#
    {100, 2387, 2645},	// Plasma::Theme::windowTranslucencyEnabled
    {100, 2462, 2685},	// Plasma::Theme::~Theme
    {101, 514, 2722},	// Plasma::ToolButton::ToolButton
    {101, 515, 2693},	// Plasma::ToolButton::ToolButton#
    {101, 586, 2706},	// Plasma::ToolButton::action
    {101, 715, 2695},	// Plasma::ToolButton::autoRaise
    {101, 736, 2717},	// Plasma::ToolButton::changeEvent#
    {101, 751, 2710},	// Plasma::ToolButton::clicked
    {101, 1086, 2715},	// Plasma::ToolButton::hoverEnterEvent#
    {101, 1088, 2716},	// Plasma::ToolButton::hoverLeaveEvent#
    {101, 1092, 2708},	// Plasma::ToolButton::icon
    {101, 1096, 2700},	// Plasma::ToolButton::image
    {101, 1147, 2702},	// Plasma::ToolButton::isDown
    {101, 1193, 2718},	// Plasma::ToolButton::itemChange$#
    {101, 1364, 2686},	// Plasma::ToolButton::metaObject
    {101, 1401, 2709},	// Plasma::ToolButton::nativeWidget
    {101, 1432, 2723},	// Plasma::ToolButton::paint##
    {101, 1433, 2713},	// Plasma::ToolButton::paint###
    {101, 1487, 2711},	// Plasma::ToolButton::pressed
    {101, 1497, 2692},	// Plasma::ToolButton::qt_metacall$$?
    {101, 1499, 2687},	// Plasma::ToolButton::qt_metacast$
    {101, 1527, 2712},	// Plasma::ToolButton::released
    {101, 1592, 2714},	// Plasma::ToolButton::resizeEvent#
    {101, 1665, 2705},	// Plasma::ToolButton::setAction#
    {101, 1701, 2694},	// Plasma::ToolButton::setAutoRaise$
    {101, 1790, 2701},	// Plasma::ToolButton::setDown$
    {101, 1863, 2707},	// Plasma::ToolButton::setIcon#
    {101, 1871, 2698},	// Plasma::ToolButton::setImage$
    {101, 1872, 2699},	// Plasma::ToolButton::setImage$$
    {101, 2049, 2703},	// Plasma::ToolButton::setStyleSheet$
    {101, 2079, 2696},	// Plasma::ToolButton::setText$
    {101, 2195, 2719},	// Plasma::ToolButton::sizeHint$#
    {101, 2217, 2724},	// Plasma::ToolButton::staticMetaObject
    {101, 2230, 2704},	// Plasma::ToolButton::styleSheet
    {101, 2265, 2697},	// Plasma::ToolButton::text
    {101, 2294, 2720},	// Plasma::ToolButton::tr$
    {101, 2295, 2688},	// Plasma::ToolButton::tr$$
    {101, 2296, 2690},	// Plasma::ToolButton::tr$$$
    {101, 2298, 2721},	// Plasma::ToolButton::trUtf8$
    {101, 2299, 2689},	// Plasma::ToolButton::trUtf8$$
    {101, 2300, 2691},	// Plasma::ToolButton::trUtf8$$$
    {101, 2463, 2725},	// Plasma::ToolButton::~ToolButton
    {102, 117, 2756},	// Plasma::ToolTipContent::CssResource
    {102, 209, 2755},	// Plasma::ToolTipContent::HtmlResource
    {102, 218, 2754},	// Plasma::ToolTipContent::ImageResource
    {102, 516, 2726},	// Plasma::ToolTipContent::ToolTipContent
    {102, 517, 2727},	// Plasma::ToolTipContent::ToolTipContent#
    {102, 518, 2753},	// Plasma::ToolTipContent::ToolTipContent$$
    {102, 519, -28},	// Plasma::ToolTipContent::ToolTipContent$$#
    {102, 644, 2747},	// Plasma::ToolTipContent::addResource$##
    {102, 716, 2746},	// Plasma::ToolTipContent::autohide
    {102, 1051, 2752},	// Plasma::ToolTipContent::graphicsWidget
    {102, 1080, 2744},	// Plasma::ToolTipContent::highlightWindows
    {102, 1096, 2738},	// Plasma::ToolTipContent::image
    {102, 1143, 2750},	// Plasma::ToolTipContent::isClickable
    {102, 1148, 2731},	// Plasma::ToolTipContent::isEmpty
    {102, 1338, 2733},	// Plasma::ToolTipContent::mainText
    {102, 1420, 2730},	// Plasma::ToolTipContent::operator=#
    {102, 1519, 2748},	// Plasma::ToolTipContent::registerResources#
    {102, 1703, 2745},	// Plasma::ToolTipContent::setAutohide$
    {102, 1727, 2749},	// Plasma::ToolTipContent::setClickable$
    {102, 1837, 2751},	// Plasma::ToolTipContent::setGraphicsWidget#
    {102, 1848, 2743},	// Plasma::ToolTipContent::setHighlightWindows$
    {102, 1870, -31},	// Plasma::ToolTipContent::setImage#
    {102, 1901, 2732},	// Plasma::ToolTipContent::setMainText$
    {102, 2051, 2734},	// Plasma::ToolTipContent::setSubText$
    {102, 2146, 2739},	// Plasma::ToolTipContent::setWindowToPreview$
    {102, 2148, 2741},	// Plasma::ToolTipContent::setWindowsToPreview?
    {102, 2232, 2735},	// Plasma::ToolTipContent::subText
    {102, 2386, 2740},	// Plasma::ToolTipContent::windowToPreview
    {102, 2388, 2742},	// Plasma::ToolTipContent::windowsToPreview
    {102, 2464, 2757},	// Plasma::ToolTipContent::~ToolTipContent
    {103, 17, 2780},	// Plasma::ToolTipManager::Activated
    {103, 129, 2782},	// Plasma::ToolTipManager::Deactivated
    {103, 222, 2781},	// Plasma::ToolTipManager::Inhibited
    {103, 748, 2772},	// Plasma::ToolTipManager::clearContent#
    {103, 1075, 2768},	// Plasma::ToolTipManager::hide#
    {103, 1179, 2767},	// Plasma::ToolTipManager::isVisible#
    {103, 1245, 2776},	// Plasma::ToolTipManager::linkActivated$$$#
    {103, 1364, 2758},	// Plasma::ToolTipManager::metaObject
    {103, 1497, 2764},	// Plasma::ToolTipManager::qt_metacall$$?
    {103, 1499, 2759},	// Plasma::ToolTipManager::qt_metacast$
    {103, 1523, 2769},	// Plasma::ToolTipManager::registerWidget#
    {103, 1652, 2765},	// Plasma::ToolTipManager::self
    {103, 1746, 2771},	// Plasma::ToolTipManager::setContent##
    {103, 2042, 2773},	// Plasma::ToolTipManager::setState$
    {103, 2159, 2766},	// Plasma::ToolTipManager::show#
    {103, 2216, 2774},	// Plasma::ToolTipManager::state
    {103, 2217, 2779},	// Plasma::ToolTipManager::staticMetaObject
    {103, 2294, 2777},	// Plasma::ToolTipManager::tr$
    {103, 2295, 2760},	// Plasma::ToolTipManager::tr$$
    {103, 2296, 2762},	// Plasma::ToolTipManager::tr$$$
    {103, 2298, 2778},	// Plasma::ToolTipManager::trUtf8$
    {103, 2299, 2761},	// Plasma::ToolTipManager::trUtf8$$
    {103, 2300, 2763},	// Plasma::ToolTipManager::trUtf8$$$
    {103, 2317, 2770},	// Plasma::ToolTipManager::unregisterWidget#
    {103, 2385, 2775},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {104, 529, 2798},	// Plasma::TreeView::TreeView
    {104, 530, 2790},	// Plasma::TreeView::TreeView#
    {104, 1364, 2783},	// Plasma::TreeView::metaObject
    {104, 1378, 2792},	// Plasma::TreeView::model
    {104, 1401, 2795},	// Plasma::TreeView::nativeWidget
    {104, 1497, 2789},	// Plasma::TreeView::qt_metacall$$?
    {104, 1499, 2784},	// Plasma::TreeView::qt_metacast$
    {104, 1919, 2791},	// Plasma::TreeView::setModel#
    {104, 2049, 2793},	// Plasma::TreeView::setStyleSheet$
    {104, 2217, 2799},	// Plasma::TreeView::staticMetaObject
    {104, 2230, 2794},	// Plasma::TreeView::styleSheet
    {104, 2294, 2796},	// Plasma::TreeView::tr$
    {104, 2295, 2785},	// Plasma::TreeView::tr$$
    {104, 2296, 2787},	// Plasma::TreeView::tr$$$
    {104, 2298, 2797},	// Plasma::TreeView::trUtf8$
    {104, 2299, 2786},	// Plasma::TreeView::trUtf8$$
    {104, 2300, 2788},	// Plasma::TreeView::trUtf8$$$
    {104, 2465, 2800},	// Plasma::TreeView::~TreeView
    {105, 132, 2849},	// Plasma::VideoWidget::DefaultControls
    {105, 338, 2845},	// Plasma::VideoWidget::Next
    {105, 349, 2839},	// Plasma::VideoWidget::NoControls
    {105, 365, 2848},	// Plasma::VideoWidget::OpenFile
    {105, 381, 2841},	// Plasma::VideoWidget::Pause
    {105, 390, 2840},	// Plasma::VideoWidget::Play
    {105, 391, 2843},	// Plasma::VideoWidget::PlayPause
    {105, 398, 2844},	// Plasma::VideoWidget::Previous
    {105, 399, 2846},	// Plasma::VideoWidget::Progress
    {105, 484, 2842},	// Plasma::VideoWidget::Stop
    {105, 549, 2837},	// Plasma::VideoWidget::VideoWidget
    {105, 550, 2808},	// Plasma::VideoWidget::VideoWidget#
    {105, 561, 2847},	// Plasma::VideoWidget::Volume
    {105, 580, 2828},	// Plasma::VideoWidget::aboutToFinish
    {105, 709, 2812},	// Plasma::VideoWidget::audioOutput
    {105, 822, 2819},	// Plasma::VideoWidget::controlsVisible
    {105, 855, 2813},	// Plasma::VideoWidget::currentTime
    {105, 1086, 2832},	// Plasma::VideoWidget::hoverEnterEvent#
    {105, 1088, 2833},	// Plasma::VideoWidget::hoverLeaveEvent#
    {105, 1090, 2834},	// Plasma::VideoWidget::hoverMoveEvent#
    {105, 1361, 2811},	// Plasma::VideoWidget::mediaObject
    {105, 1364, 2801},	// Plasma::VideoWidget::metaObject
    {105, 1401, 2822},	// Plasma::VideoWidget::nativeWidget
    {105, 1407, 2829},	// Plasma::VideoWidget::nextRequested
    {105, 1460, 2824},	// Plasma::VideoWidget::pause
    {105, 1467, 2823},	// Plasma::VideoWidget::play
    {105, 1489, 2830},	// Plasma::VideoWidget::previousRequested
    {105, 1497, 2807},	// Plasma::VideoWidget::qt_metacall$$?
    {105, 1499, 2802},	// Plasma::VideoWidget::qt_metacast$
    {105, 1531, 2815},	// Plasma::VideoWidget::remainingTime
    {105, 1592, 2831},	// Plasma::VideoWidget::resizeEvent#
    {105, 1650, 2826},	// Plasma::VideoWidget::seek$
    {105, 1756, 2818},	// Plasma::VideoWidget::setControlsVisible$
    {105, 2049, 2820},	// Plasma::VideoWidget::setStyleSheet$
    {105, 2107, 2809},	// Plasma::VideoWidget::setUrl$
    {105, 2113, 2816},	// Plasma::VideoWidget::setUsedControls$
    {105, 2217, 2838},	// Plasma::VideoWidget::staticMetaObject
    {105, 2219, 2825},	// Plasma::VideoWidget::stop
    {105, 2230, 2821},	// Plasma::VideoWidget::styleSheet
    {105, 2277, 2827},	// Plasma::VideoWidget::tick$
    {105, 2292, 2814},	// Plasma::VideoWidget::totalTime
    {105, 2294, 2835},	// Plasma::VideoWidget::tr$
    {105, 2295, 2803},	// Plasma::VideoWidget::tr$$
    {105, 2296, 2805},	// Plasma::VideoWidget::tr$$$
    {105, 2298, 2836},	// Plasma::VideoWidget::trUtf8$
    {105, 2299, 2804},	// Plasma::VideoWidget::trUtf8$$
    {105, 2300, 2806},	// Plasma::VideoWidget::trUtf8$$$
    {105, 2335, 2810},	// Plasma::VideoWidget::url
    {105, 2344, 2817},	// Plasma::VideoWidget::usedControls
    {105, 2466, 2850},	// Plasma::VideoWidget::~VideoWidget
    {106, 552, 2881},	// Plasma::View::View#
    {106, 553, 2858},	// Plasma::View::View##
    {106, 554, 2882},	// Plasma::View::View#$
    {106, 555, 2859},	// Plasma::View::View#$#
    {106, 763, 2877},	// Plasma::View::config
    {106, 766, 2878},	// Plasma::View::configNeedsSaving
    {106, 790, 2866},	// Plasma::View::containment
    {106, 874, 2864},	// Plasma::View::desktop
    {106, 934, 2865},	// Plasma::View::effectiveDesktop
    {106, 1094, 2872},	// Plasma::View::id
    {106, 1180, 2861},	// Plasma::View::isWallpaperEnabled
    {106, 1334, 2875},	// Plasma::View::lostContainment
    {106, 1364, 2851},	// Plasma::View::metaObject
    {106, 1497, 2857},	// Plasma::View::qt_metacall$$?
    {106, 1499, 2852},	// Plasma::View::qt_metacast$
    {106, 1629, 2873},	// Plasma::View::sceneRectAboutToChange
    {106, 1630, 2874},	// Plasma::View::sceneRectChanged
    {106, 1632, 2863},	// Plasma::View::screen
    {106, 1736, 2876},	// Plasma::View::setContainment#
    {106, 2005, 2883},	// Plasma::View::setScreen$
    {106, 2006, 2862},	// Plasma::View::setScreen$$
    {106, 2097, 2869},	// Plasma::View::setTrackContainmentChanges$
    {106, 2140, 2860},	// Plasma::View::setWallpaperEnabled$
    {106, 2217, 2886},	// Plasma::View::staticMetaObject
    {106, 2241, 2884},	// Plasma::View::swapContainment#$
    {106, 2242, 2867},	// Plasma::View::swapContainment#$?
    {106, 2243, 2885},	// Plasma::View::swapContainment$
    {106, 2244, 2868},	// Plasma::View::swapContainment$?
    {106, 2291, 2871},	// Plasma::View::topLevelViewAt#
    {106, 2294, 2879},	// Plasma::View::tr$
    {106, 2295, 2853},	// Plasma::View::tr$$
    {106, 2296, 2855},	// Plasma::View::tr$$$
    {106, 2298, 2880},	// Plasma::View::trUtf8$
    {106, 2299, 2854},	// Plasma::View::trUtf8$$
    {106, 2300, 2856},	// Plasma::View::trUtf8$$$
    {106, 2301, 2870},	// Plasma::View::trackContainmentChanges
    {106, 2467, 2887},	// Plasma::View::~View
    {107, 83, 2963},	// Plasma::Wallpaper::CenterTiledResize
    {107, 84, 2960},	// Plasma::Wallpaper::CenteredResize
    {107, 324, 2964},	// Plasma::Wallpaper::MaxpectResize
    {107, 443, 2961},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {107, 444, 2959},	// Plasma::Wallpaper::ScaledResize
    {107, 513, 2962},	// Plasma::Wallpaper::TiledResize
    {107, 562, 2946},	// Plasma::Wallpaper::Wallpaper
    {107, 563, 2895},	// Plasma::Wallpaper::Wallpaper#
    {107, 564, 2935},	// Plasma::Wallpaper::Wallpaper#?
    {107, 729, 2909},	// Plasma::Wallpaper::boundingRect
    {107, 766, 2931},	// Plasma::Wallpaper::configNeedsSaving
    {107, 770, 2920},	// Plasma::Wallpaper::configurationRequired
    {107, 771, 2930},	// Plasma::Wallpaper::configurationRequired$
    {107, 772, 2929},	// Plasma::Wallpaper::configureRequested
    {107, 814, 2957},	// Plasma::Wallpaper::contextActions
    {107, 821, 2924},	// Plasma::Wallpaper::contextualActions
    {107, 831, 2914},	// Plasma::Wallpaper::createConfigurationInterface#
    {107, 865, 2919},	// Plasma::Wallpaper::dataEngine$
    {107, 999, 2955},	// Plasma::Wallpaper::findInCache$#
    {107, 1000, 2940},	// Plasma::Wallpaper::findInCache$#$
    {107, 1092, 2904},	// Plasma::Wallpaper::icon
    {107, 1109, 2936},	// Plasma::Wallpaper::init#
    {107, 1120, 2941},	// Plasma::Wallpaper::insertIntoCache$#
    {107, 1153, 2908},	// Plasma::Wallpaper::isInitialized
    {107, 1162, 2925},	// Plasma::Wallpaper::isPreviewing
    {107, 1176, 2921},	// Plasma::Wallpaper::isUsingRenderingCache
    {107, 1283, 2907},	// Plasma::Wallpaper::listRenderingModes
    {107, 1289, 2947},	// Plasma::Wallpaper::listWallpaperInfo
    {107, 1290, 2896},	// Plasma::Wallpaper::listWallpaperInfo$
    {107, 1292, 2948},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {107, 1293, 2897},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {107, 1295, 2950},	// Plasma::Wallpaper::load#
    {107, 1300, 2899},	// Plasma::Wallpaper::load#?
    {107, 1301, 2949},	// Plasma::Wallpaper::load$
    {107, 1305, 2898},	// Plasma::Wallpaper::load$?
    {107, 1364, 2888},	// Plasma::Wallpaper::metaObject
    {107, 1382, 2915},	// Plasma::Wallpaper::mouseMoveEvent#
    {107, 1384, 2916},	// Plasma::Wallpaper::mousePressEvent#
    {107, 1386, 2917},	// Plasma::Wallpaper::mouseReleaseEvent#
    {107, 1399, 2901},	// Plasma::Wallpaper::name
    {107, 1402, 2927},	// Plasma::Wallpaper::needsPreviewDuringConfiguration
    {107, 1425, 2902},	// Plasma::Wallpaper::package
    {107, 1426, 2951},	// Plasma::Wallpaper::packageStructure
    {107, 1427, 2900},	// Plasma::Wallpaper::packageStructure#
    {107, 1432, 2911},	// Plasma::Wallpaper::paint##
    {107, 1469, 2903},	// Plasma::Wallpaper::pluginName
    {107, 1497, 2894},	// Plasma::Wallpaper::qt_metacall$$?
    {107, 1499, 2889},	// Plasma::Wallpaper::qt_metacast$
    {107, 1570, 2953},	// Plasma::Wallpaper::render$#
    {107, 1571, 2954},	// Plasma::Wallpaper::render$#$
    {107, 1572, 2938},	// Plasma::Wallpaper::render$#$#
    {107, 1574, 2932},	// Plasma::Wallpaper::renderCompleted#
    {107, 1575, 2934},	// Plasma::Wallpaper::renderHintsChanged
    {107, 1576, 2905},	// Plasma::Wallpaper::renderingMode
    {107, 1596, 2912},	// Plasma::Wallpaper::restore#
    {107, 1614, 2913},	// Plasma::Wallpaper::save#
    {107, 1709, 2910},	// Plasma::Wallpaper::setBoundingRect#
    {107, 1733, 2952},	// Plasma::Wallpaper::setConfigurationRequired$
    {107, 1734, 2937},	// Plasma::Wallpaper::setConfigurationRequired$$
    {107, 1752, 2958},	// Plasma::Wallpaper::setContextActions?
    {107, 1754, 2942},	// Plasma::Wallpaper::setContextualActions?
    {107, 1971, 2943},	// Plasma::Wallpaper::setPreviewDuringConfiguration$
    {107, 1973, 2926},	// Plasma::Wallpaper::setPreviewing$
    {107, 1987, 2906},	// Plasma::Wallpaper::setRenderingMode$
    {107, 1995, 2922},	// Plasma::Wallpaper::setResizeMethodHint$
    {107, 2073, 2923},	// Plasma::Wallpaper::setTargetSizeHint#
    {107, 2115, 2939},	// Plasma::Wallpaper::setUsingRenderingCache$
    {107, 2217, 2956},	// Plasma::Wallpaper::staticMetaObject
    {107, 2294, 2944},	// Plasma::Wallpaper::tr$
    {107, 2295, 2890},	// Plasma::Wallpaper::tr$$
    {107, 2296, 2892},	// Plasma::Wallpaper::tr$$$
    {107, 2298, 2945},	// Plasma::Wallpaper::trUtf8$
    {107, 2299, 2891},	// Plasma::Wallpaper::trUtf8$$
    {107, 2300, 2893},	// Plasma::Wallpaper::trUtf8$$$
    {107, 2319, 2928},	// Plasma::Wallpaper::update#
    {107, 2339, 2933},	// Plasma::Wallpaper::urlDropped#
    {107, 2379, 2918},	// Plasma::Wallpaper::wheelEvent#
    {107, 2468, 2965},	// Plasma::Wallpaper::~Wallpaper
    {108, 566, 3004},	// Plasma::WallpaperScript::WallpaperScript
    {108, 567, 2973},	// Plasma::WallpaperScript::WallpaperScript#
    {108, 729, 2988},	// Plasma::WallpaperScript::boundingRect
    {108, 766, 2999},	// Plasma::WallpaperScript::configNeedsSaving
    {108, 831, 2979},	// Plasma::WallpaperScript::createConfigurationInterface#
    {108, 865, 2989},	// Plasma::WallpaperScript::dataEngine$
    {108, 873, 2986},	// Plasma::WallpaperScript::description
    {108, 999, 3008},	// Plasma::WallpaperScript::findInCache$#
    {108, 1000, 2995},	// Plasma::WallpaperScript::findInCache$#$
    {108, 1114, 2976},	// Plasma::WallpaperScript::initWallpaper#
    {108, 1120, 2996},	// Plasma::WallpaperScript::insertIntoCache$#
    {108, 1153, 2987},	// Plasma::WallpaperScript::isInitialized
    {108, 1337, 2984},	// Plasma::WallpaperScript::mainScript
    {108, 1364, 2966},	// Plasma::WallpaperScript::metaObject
    {108, 1382, 2980},	// Plasma::WallpaperScript::mouseMoveEvent#
    {108, 1384, 2981},	// Plasma::WallpaperScript::mousePressEvent#
    {108, 1386, 2982},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {108, 1425, 2985},	// Plasma::WallpaperScript::package
    {108, 1432, 2977},	// Plasma::WallpaperScript::paint##
    {108, 1497, 2972},	// Plasma::WallpaperScript::qt_metacall$$?
    {108, 1499, 2967},	// Plasma::WallpaperScript::qt_metacast$
    {108, 1570, 3006},	// Plasma::WallpaperScript::render$#
    {108, 1571, 3007},	// Plasma::WallpaperScript::render$#$
    {108, 1572, 2993},	// Plasma::WallpaperScript::render$#$#
    {108, 1574, 3000},	// Plasma::WallpaperScript::renderCompleted#
    {108, 1614, 2978},	// Plasma::WallpaperScript::save#
    {108, 1733, 3005},	// Plasma::WallpaperScript::setConfigurationRequired$
    {108, 1734, 2992},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {108, 1754, 2997},	// Plasma::WallpaperScript::setContextualActions?
    {108, 1995, 2990},	// Plasma::WallpaperScript::setResizeMethodHint$
    {108, 2073, 2991},	// Plasma::WallpaperScript::setTargetSizeHint#
    {108, 2115, 2994},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {108, 2136, 2974},	// Plasma::WallpaperScript::setWallpaper#
    {108, 2217, 3009},	// Plasma::WallpaperScript::staticMetaObject
    {108, 2294, 3002},	// Plasma::WallpaperScript::tr$
    {108, 2295, 2968},	// Plasma::WallpaperScript::tr$$
    {108, 2296, 2970},	// Plasma::WallpaperScript::tr$$$
    {108, 2298, 3003},	// Plasma::WallpaperScript::trUtf8$
    {108, 2299, 2969},	// Plasma::WallpaperScript::trUtf8$$
    {108, 2300, 2971},	// Plasma::WallpaperScript::trUtf8$$$
    {108, 2319, 2998},	// Plasma::WallpaperScript::update#
    {108, 2339, 3001},	// Plasma::WallpaperScript::urlDropped#
    {108, 2374, 2975},	// Plasma::WallpaperScript::wallpaper
    {108, 2379, 2983},	// Plasma::WallpaperScript::wheelEvent#
    {108, 2469, 3010},	// Plasma::WallpaperScript::~WallpaperScript
    {109, 569, 3064},	// Plasma::WebView::WebView
    {109, 570, 3018},	// Plasma::WebView::WebView#
    {109, 720, 3037},	// Plasma::WebView::back
    {109, 812, 3025},	// Plasma::WebView::contentsSize
    {109, 820, 3050},	// Plasma::WebView::contextMenuEvent#
    {109, 899, 3056},	// Plasma::WebView::dragEnterEvent#
    {109, 901, 3057},	// Plasma::WebView::dragLeaveEvent#
    {109, 903, 3058},	// Plasma::WebView::dragMoveEvent#
    {109, 904, 3035},	// Plasma::WebView::dragToScroll
    {109, 929, 3059},	// Plasma::WebView::dropEvent#
    {109, 1019, 3054},	// Plasma::WebView::focusInEvent#
    {109, 1023, 3055},	// Plasma::WebView::focusOutEvent#
    {109, 1033, 3038},	// Plasma::WebView::forward
    {109, 1039, 3024},	// Plasma::WebView::geometry
    {109, 1090, 3046},	// Plasma::WebView::hoverMoveEvent#
    {109, 1091, 3022},	// Plasma::WebView::html
    {109, 1193, 3060},	// Plasma::WebView::itemChange$#
    {109, 1212, 3052},	// Plasma::WebView::keyPressEvent#
    {109, 1214, 3053},	// Plasma::WebView::keyReleaseEvent#
    {109, 1313, 3042},	// Plasma::WebView::loadFinished$
    {109, 1321, 3041},	// Plasma::WebView::loadProgress$
    {109, 1336, 3033},	// Plasma::WebView::mainFrame
    {109, 1364, 3011},	// Plasma::WebView::metaObject
    {109, 1380, 3048},	// Plasma::WebView::mouseDoubleClickEvent#
    {109, 1382, 3045},	// Plasma::WebView::mouseMoveEvent#
    {109, 1384, 3047},	// Plasma::WebView::mousePressEvent#
    {109, 1386, 3049},	// Plasma::WebView::mouseReleaseEvent#
    {109, 1429, 3032},	// Plasma::WebView::page
    {109, 1432, 3067},	// Plasma::WebView::paint##
    {109, 1433, 3044},	// Plasma::WebView::paint###
    {109, 1497, 3017},	// Plasma::WebView::qt_metacall$$?
    {109, 1499, 3012},	// Plasma::WebView::qt_metacast$
    {109, 1529, 3039},	// Plasma::WebView::reload
    {109, 1641, 3027},	// Plasma::WebView::scrollPosition
    {109, 1792, 3034},	// Plasma::WebView::setDragToScroll$
    {109, 1833, 3036},	// Plasma::WebView::setGeometry#
    {109, 1858, 3065},	// Plasma::WebView::setHtml#
    {109, 1859, 3021},	// Plasma::WebView::setHtml##
    {109, 1860, 3066},	// Plasma::WebView::setHtml$
    {109, 1861, 3023},	// Plasma::WebView::setHtml$#
    {109, 1942, 3031},	// Plasma::WebView::setPage#
    {109, 2008, 3026},	// Plasma::WebView::setScrollPosition#
    {109, 2106, 3019},	// Plasma::WebView::setUrl#
    {109, 2152, 3030},	// Plasma::WebView::setZoomFactor$
    {109, 2195, 3061},	// Plasma::WebView::sizeHint$#
    {109, 2217, 3068},	// Plasma::WebView::staticMetaObject
    {109, 2219, 3040},	// Plasma::WebView::stop
    {109, 2294, 3062},	// Plasma::WebView::tr$
    {109, 2295, 3013},	// Plasma::WebView::tr$$
    {109, 2296, 3015},	// Plasma::WebView::tr$$$
    {109, 2298, 3063},	// Plasma::WebView::trUtf8$
    {109, 2299, 3014},	// Plasma::WebView::trUtf8$$
    {109, 2300, 3016},	// Plasma::WebView::trUtf8$$$
    {109, 2335, 3020},	// Plasma::WebView::url
    {109, 2337, 3043},	// Plasma::WebView::urlChanged#
    {109, 2367, 3028},	// Plasma::WebView::viewportGeometry
    {109, 2379, 3051},	// Plasma::WebView::wheelEvent#
    {109, 2395, 3029},	// Plasma::WebView::zoomFactor
    {109, 2470, 3069},	// Plasma::WebView::~WebView
    {133, 282, 3113},	// QGlobalSpace::KST_CTimeInfo
    {133, 283, 3106},	// QGlobalSpace::KST_KCustom
    {133, 284, 3100},	// QGlobalSpace::KST_KDEDesktopMimeType
    {133, 285, 3099},	// QGlobalSpace::KST_KFolderMimeType
    {133, 286, 3110},	// QGlobalSpace::KST_KImageIO
    {133, 287, 3103},	// QGlobalSpace::KST_KImageIOFormat
    {133, 288, 3098},	// QGlobalSpace::KST_KMimeType
    {133, 289, 3101},	// QGlobalSpace::KST_KMimeTypeEntry
    {133, 290, 3112},	// QGlobalSpace::KST_KMimeTypeFactory
    {133, 291, 3104},	// QGlobalSpace::KST_KProtocolInfo
    {133, 292, 3111},	// QGlobalSpace::KST_KProtocolInfoFactory
    {133, 293, 3096},	// QGlobalSpace::KST_KService
    {133, 294, 3107},	// QGlobalSpace::KST_KServiceFactory
    {133, 295, 3102},	// QGlobalSpace::KST_KServiceGroup
    {133, 296, 3109},	// QGlobalSpace::KST_KServiceGroupFactory
    {133, 297, 3105},	// QGlobalSpace::KST_KServiceSeparator
    {133, 298, 3097},	// QGlobalSpace::KST_KServiceType
    {133, 299, 3108},	// QGlobalSpace::KST_KServiceTypeFactory
    {133, 300, 3095},	// QGlobalSpace::KST_KSycocaEntry
    {133, 403, 3085},	// QGlobalSpace::Q_COMPLEX_TYPE
    {133, 404, 3089},	// QGlobalSpace::Q_DUMMY_TYPE
    {133, 405, 3088},	// QGlobalSpace::Q_MOVABLE_TYPE
    {133, 406, 3086},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {133, 407, 3087},	// QGlobalSpace::Q_STATIC_TYPE
    {133, 408, 3092},	// QGlobalSpace::QtCriticalMsg
    {133, 409, 3090},	// QGlobalSpace::QtDebugMsg
    {133, 410, 3093},	// QGlobalSpace::QtFatalMsg
    {133, 411, 3094},	// QGlobalSpace::QtSystemMsg
    {133, 412, 3091},	// QGlobalSpace::QtWarningMsg
    {133, 576, 3116},	// QGlobalSpace::__codecvt_error
    {133, 577, 3117},	// QGlobalSpace::__codecvt_noconv
    {133, 578, 3114},	// QGlobalSpace::__codecvt_ok
    {133, 579, 3115},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 199,
        __smokeplasma::methods, 3331,
        __smokeplasma::methodMaps, 3057,
        __smokeplasma::methodNames, 2470,
        __smokeplasma::types, 483,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
