#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLBuffer
      switch(to) {
        case 27: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//42
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//130
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref },	//134
    { "QGLBuffer*", 27, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGLBuffer::Access", 27, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGLBuffer::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGLBuffer::UsagePattern", 27, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//139
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//143
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//144
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGLFormat::OpenGLContextProfile", 30, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//150
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//151
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//170
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//171
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//172
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//174
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//179
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//182
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//183
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//184
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//185
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//186
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//187
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//188
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//189
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//192
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//193
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//194
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//212
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//213
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//215
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//220
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//222
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//223
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//225
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//226
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//227
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//228
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//229
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//230
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//231
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//232
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//233
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//236
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//237
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//238
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//239
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//241
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//242
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//244
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//245
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//248
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//249
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//250
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//260
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//271
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//274
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//277
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//278
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//279
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//281
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//283
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//284
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//286
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//287
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//288
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//289
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//290
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//291
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//292
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//293
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//294
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//295
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//372
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//373
    { "__codecvt_result", 37, Smoke::t_enum|Smoke::tf_stack },	//374
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//375
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//376
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//377
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//378
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//381
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//382
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//398
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//414
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//428
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//441
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//445
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//450
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//452
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//459
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//476
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//480
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//481
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//483
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//484
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//486
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//487
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//488
    { "const float[2][2]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//489
    { "const float[3][3]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//490
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//491
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//492
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//493
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//494
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//495
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//496
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//497
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//498
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//499
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//500
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//501
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//502
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//503
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//504
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//505
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//506
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//507
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//508
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//509
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//510
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//511
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//512
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//513
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//514
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//515
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//516
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    208, 0,	//1  QPaintEngine::Type
    137, 0,	//3  QGLBuffer::Type
    393, 0,	//5  const QGLBuffer&
    138, 0,	//7  QGLBuffer::UsagePattern
    498, 514, 498, 0,	//9  int, void*, int
    498, 495, 498, 0,	//13  int, const void*, int
    495, 498, 0,	//17  const void*, int
    498, 0,	//20  int
    136, 0,	//22  QGLBuffer::Access
    394, 0,	//24  const QGLColormap&
    498, 494, 498, 0,	//26  int, const unsigned int*, int
    498, 507, 0,	//30  int, unsigned int
    498, 385, 0,	//33  int, const QColor&
    507, 0,	//36  unsigned int
    508, 0,	//38  unsigned long
    498, 494, 0,	//40  int, const unsigned int*
    396, 203, 0,	//43  const QGLFormat&, QPaintDevice*
    396, 0,	//46  const QGLFormat&
    395, 0,	//48  const QGLContext*
    395, 395, 0,	//50  const QGLContext*, const QGLContext*
    417, 507, 498, 67, 0,	//53  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    438, 507, 498, 67, 0,	//58  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    417, 507, 498, 0,	//63  const QImage&, unsigned int, int
    438, 507, 498, 0,	//67  const QPixmap&, unsigned int, int
    460, 0,	//71  const QString&
    448, 507, 507, 0,	//73  const QRectF&, unsigned int, unsigned int
    442, 507, 507, 0,	//77  const QPointF&, unsigned int, unsigned int
    376, 0,	//81  bool
    392, 498, 0,	//83  const QFont&, int
    385, 0,	//86  const QColor&
    203, 0,	//88  QPaintDevice*
    417, 0,	//90  const QImage&
    417, 507, 0,	//92  const QImage&, unsigned int
    438, 0,	//95  const QPixmap&
    438, 507, 0,	//97  const QPixmap&, unsigned int
    448, 507, 0,	//100  const QRectF&, unsigned int
    442, 507, 0,	//103  const QPointF&, unsigned int
    141, 0,	//106  QGLContext*
    66, 498, 0,	//108  QFlags<QGL::FormatOption>, int
    66, 0,	//111  QFlags<QGL::FormatOption>
    498, 498, 0,	//113  int, int
    146, 0,	//116  QGLFormat::OpenGLContextProfile
    453, 507, 0,	//118  const QSize&, unsigned int
    498, 498, 507, 0,	//121  int, int, unsigned int
    453, 149, 507, 507, 0,	//125  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    498, 498, 149, 507, 507, 0,	//130  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    453, 397, 0,	//136  const QSize&, const QGLFramebufferObjectFormat&
    498, 498, 397, 0,	//139  int, int, const QGLFramebufferObjectFormat&
    148, 447, 148, 447, 507, 507, 0,	//143  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    204, 0,	//150  QPaintDevice::PaintDeviceMetric
    453, 0,	//152  const QSize&
    453, 149, 0,	//154  const QSize&, QGLFramebufferObject::Attachment
    453, 149, 507, 0,	//157  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    498, 498, 149, 0,	//161  int, int, QGLFramebufferObject::Attachment
    498, 498, 149, 507, 0,	//165  int, int, QGLFramebufferObject::Attachment, unsigned int
    148, 447, 148, 447, 0,	//170  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    148, 447, 148, 447, 507, 0,	//175  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    397, 0,	//181  const QGLFramebufferObjectFormat&
    149, 0,	//183  QGLFramebufferObject::Attachment
    453, 396, 157, 0,	//185  const QSize&, const QGLFormat&, QGLWidget*
    498, 498, 396, 157, 0,	//189  int, int, const QGLFormat&, QGLWidget*
    453, 396, 0,	//194  const QSize&, const QGLFormat&
    498, 498, 396, 0,	//197  int, int, const QGLFormat&
    487, 0,	//201  const char*
    487, 487, 0,	//203  const char*, const char*
    487, 487, 498, 0,	//206  const char*, const char*, int
    198, 498, 515, 0,	//210  QMetaObject::Call, int, void**
    69, 201, 0,	//214  QFlags<QGLShader::ShaderTypeBit>, QObject*
    69, 395, 201, 0,	//217  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    383, 0,	//221  const QByteArray&
    69, 395, 0,	//223  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    69, 0,	//226  QFlags<QGLShader::ShaderTypeBit>
    201, 0,	//228  QObject*
    395, 201, 0,	//230  const QGLContext*, QObject*
    154, 0,	//233  QGLShader*
    69, 487, 0,	//235  QFlags<QGLShader::ShaderTypeBit>, const char*
    69, 383, 0,	//238  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    69, 460, 0,	//241  QFlags<QGLShader::ShaderTypeBit>, const QString&
    487, 498, 0,	//244  const char*, int
    383, 498, 0,	//247  const QByteArray&, int
    460, 498, 0,	//250  const QString&, int
    498, 497, 0,	//253  int, float
    498, 497, 497, 0,	//256  int, float, float
    498, 497, 497, 497, 0,	//260  int, float, float, float
    498, 497, 497, 497, 497, 0,	//265  int, float, float, float, float
    498, 479, 0,	//271  int, const QVector2D&
    498, 482, 0,	//274  int, const QVector3D&
    498, 485, 0,	//277  int, const QVector4D&
    498, 488, 498, 498, 0,	//280  int, const float*, int, int
    487, 497, 0,	//285  const char*, float
    487, 497, 497, 0,	//288  const char*, float, float
    487, 497, 497, 497, 0,	//292  const char*, float, float, float
    487, 497, 497, 497, 497, 0,	//297  const char*, float, float, float, float
    487, 479, 0,	//303  const char*, const QVector2D&
    487, 482, 0,	//306  const char*, const QVector3D&
    487, 485, 0,	//309  const char*, const QVector4D&
    487, 385, 0,	//312  const char*, const QColor&
    487, 488, 498, 498, 0,	//315  const char*, const float*, int, int
    498, 480, 498, 0,	//320  int, const QVector2D*, int
    498, 483, 498, 0,	//324  int, const QVector3D*, int
    498, 486, 498, 0,	//328  int, const QVector4D*, int
    498, 507, 495, 498, 498, 0,	//332  int, unsigned int, const void*, int, int
    487, 480, 498, 0,	//338  const char*, const QVector2D*, int
    487, 483, 498, 0,	//342  const char*, const QVector3D*, int
    487, 486, 498, 0,	//346  const char*, const QVector4D*, int
    487, 507, 495, 498, 498, 0,	//350  const char*, unsigned int, const void*, int, int
    498, 507, 498, 498, 498, 0,	//356  int, unsigned int, int, int, int
    487, 507, 498, 498, 498, 0,	//362  const char*, unsigned int, int, int, int
    498, 440, 0,	//368  int, const QPoint&
    498, 442, 0,	//371  int, const QPointF&
    498, 453, 0,	//374  int, const QSize&
    498, 455, 0,	//377  int, const QSizeF&
    498, 399, 0,	//380  int, const QGenericMatrix<2,2,double>&
    498, 401, 0,	//383  int, const QGenericMatrix<2,3,double>&
    498, 403, 0,	//386  int, const QGenericMatrix<2,4,double>&
    498, 405, 0,	//389  int, const QGenericMatrix<3,2,double>&
    498, 407, 0,	//392  int, const QGenericMatrix<3,3,double>&
    498, 409, 0,	//395  int, const QGenericMatrix<3,4,double>&
    498, 411, 0,	//398  int, const QGenericMatrix<4,2,double>&
    498, 413, 0,	//401  int, const QGenericMatrix<4,3,double>&
    498, 427, 0,	//404  int, const QMatrix4x4&
    498, 489, 0,	//407  int, const float[2][2]
    498, 490, 0,	//410  int, const float[3][3]
    498, 491, 0,	//413  int, const float[4][4]
    498, 471, 0,	//416  int, const QTransform&
    487, 507, 0,	//419  const char*, unsigned int
    487, 440, 0,	//422  const char*, const QPoint&
    487, 442, 0,	//425  const char*, const QPointF&
    487, 453, 0,	//428  const char*, const QSize&
    487, 455, 0,	//431  const char*, const QSizeF&
    487, 399, 0,	//434  const char*, const QGenericMatrix<2,2,double>&
    487, 401, 0,	//437  const char*, const QGenericMatrix<2,3,double>&
    487, 403, 0,	//440  const char*, const QGenericMatrix<2,4,double>&
    487, 405, 0,	//443  const char*, const QGenericMatrix<3,2,double>&
    487, 407, 0,	//446  const char*, const QGenericMatrix<3,3,double>&
    487, 409, 0,	//449  const char*, const QGenericMatrix<3,4,double>&
    487, 411, 0,	//452  const char*, const QGenericMatrix<4,2,double>&
    487, 413, 0,	//455  const char*, const QGenericMatrix<4,3,double>&
    487, 427, 0,	//458  const char*, const QMatrix4x4&
    487, 489, 0,	//461  const char*, const float[2][2]
    487, 490, 0,	//464  const char*, const float[3][3]
    487, 491, 0,	//467  const char*, const float[4][4]
    487, 471, 0,	//470  const char*, const QTransform&
    498, 492, 498, 0,	//473  int, const int*, int
    498, 400, 498, 0,	//477  int, const QGenericMatrix<2,2,double>*, int
    498, 402, 498, 0,	//481  int, const QGenericMatrix<2,3,double>*, int
    498, 404, 498, 0,	//485  int, const QGenericMatrix<2,4,double>*, int
    498, 406, 498, 0,	//489  int, const QGenericMatrix<3,2,double>*, int
    498, 408, 498, 0,	//493  int, const QGenericMatrix<3,3,double>*, int
    498, 410, 498, 0,	//497  int, const QGenericMatrix<3,4,double>*, int
    498, 412, 498, 0,	//501  int, const QGenericMatrix<4,2,double>*, int
    498, 414, 498, 0,	//505  int, const QGenericMatrix<4,3,double>*, int
    498, 428, 498, 0,	//509  int, const QMatrix4x4*, int
    487, 492, 498, 0,	//513  const char*, const int*, int
    487, 494, 498, 0,	//517  const char*, const unsigned int*, int
    487, 400, 498, 0,	//521  const char*, const QGenericMatrix<2,2,double>*, int
    487, 402, 498, 0,	//525  const char*, const QGenericMatrix<2,3,double>*, int
    487, 404, 498, 0,	//529  const char*, const QGenericMatrix<2,4,double>*, int
    487, 406, 498, 0,	//533  const char*, const QGenericMatrix<3,2,double>*, int
    487, 408, 498, 0,	//537  const char*, const QGenericMatrix<3,3,double>*, int
    487, 410, 498, 0,	//541  const char*, const QGenericMatrix<3,4,double>*, int
    487, 412, 498, 0,	//545  const char*, const QGenericMatrix<4,2,double>*, int
    487, 414, 498, 0,	//549  const char*, const QGenericMatrix<4,3,double>*, int
    487, 428, 498, 0,	//553  const char*, const QMatrix4x4*, int
    498, 488, 498, 0,	//557  int, const float*, int
    498, 480, 0,	//561  int, const QVector2D*
    498, 483, 0,	//564  int, const QVector3D*
    498, 486, 0,	//567  int, const QVector4D*
    498, 507, 495, 498, 0,	//570  int, unsigned int, const void*, int
    487, 488, 498, 0,	//575  const char*, const float*, int
    487, 480, 0,	//579  const char*, const QVector2D*
    487, 483, 0,	//582  const char*, const QVector3D*
    487, 486, 0,	//585  const char*, const QVector4D*
    487, 507, 495, 498, 0,	//588  const char*, unsigned int, const void*, int
    498, 507, 498, 498, 0,	//593  int, unsigned int, int, int
    487, 507, 498, 498, 0,	//598  const char*, unsigned int, int, int
    294, 398, 128, 0,	//603  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    141, 294, 398, 128, 0,	//607  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    396, 294, 398, 128, 0,	//612  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    141, 395, 376, 0,	//617  QGLContext*, const QGLContext*, bool
    498, 498, 376, 0,	//621  int, int, bool
    498, 498, 460, 392, 498, 0,	//625  int, int, const QString&, const QFont&, int
    496, 496, 496, 460, 392, 498, 0,	//631  double, double, double, const QString&, const QFont&, int
    43, 0,	//638  QEvent*
    209, 0,	//640  QPaintEvent*
    234, 0,	//642  QResizeEvent*
    294, 0,	//644  QWidget*
    294, 398, 0,	//646  QWidget*, const QGLWidget*
    141, 294, 0,	//649  QGLContext*, QWidget*
    141, 294, 398, 0,	//652  QGLContext*, QWidget*, const QGLWidget*
    396, 294, 0,	//656  const QGLFormat&, QWidget*
    396, 294, 398, 0,	//659  const QGLFormat&, QWidget*, const QGLWidget*
    141, 395, 0,	//663  QGLContext*, const QGLContext*
    498, 498, 460, 0,	//666  int, int, const QString&
    498, 498, 460, 392, 0,	//670  int, int, const QString&, const QFont&
    496, 496, 496, 460, 0,	//675  double, double, double, const QString&
    496, 496, 496, 460, 392, 0,	//680  double, double, double, const QString&, const QFont&
    392, 0,	//686  const QFont&
    30, 498, 0,	//688  QDateTimeEdit::Section, int
    463, 463, 0,	//691  const QStringRef&, const QStringRef&
    509, 0,	//694  unsigned long long
    496, 0,	//696  double
    263, 498, 0,	//698  QTextCodec::ConversionFlag, int
    427, 427, 0,	//701  const QMatrix4x4&, const QMatrix4x4&
    328, 498, 0,	//704  Qt::ImageConversionFlag, int
    482, 482, 0,	//707  const QVector3D&, const QVector3D&
    479, 479, 0,	//710  const QVector2D&, const QVector2D&
    514, 495, 504, 0,	//713  void*, const void*, size_t
    487, 420, 0,	//717  const char*, const QLatin1String&
    27, 170, 0,	//720  QDataStream&, QIcon&
    31, 77, 0,	//723  QDebug, QFlags<QIODevice::OpenModeFlag>
    442, 426, 0,	//726  const QPointF&, const QMatrix&
    206, 87, 0,	//729  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    463, 460, 0,	//732  const QStringRef&, const QString&
    453, 453, 0,	//735  const QSize&, const QSize&
    27, 419, 0,	//738  QDataStream&, const QKeySequence&
    265, 265, 0,	//741  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    487, 383, 0,	//744  const char*, const QByteArray&
    27, 242, 0,	//747  QDataStream&, QStandardItem&
    253, 253, 0,	//750  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    195, 84, 0,	//753  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    45, 62, 0,	//756  QFile::Permission, QFlags<QFile::Permission>
    460, 487, 0,	//759  const QString&, const char*
    27, 228, 0,	//762  QDataStream&, QQuaternion&
    442, 442, 0,	//765  const QPointF&, const QPointF&
    27, 444, 0,	//768  QDataStream&, const QPolygonF&
    496, 496, 0,	//771  double, double
    27, 238, 0,	//774  QDataStream&, QSizeF&
    383, 487, 0,	//777  const QByteArray&, const char*
    497, 0,	//780  float
    503, 0,	//782  signed char
    160, 498, 0,	//784  QGraphicsEffect::ChangeFlag, int
    460, 463, 0,	//787  const QString&, const QStringRef&
    46, 498, 0,	//790  QFileDialog::Option, int
    18, 0,	//793  QChar
    27, 451, 0,	//795  QDataStream&, const QRegion&
    197, 197, 0,	//798  QMessageBox::StandardButton, QMessageBox::StandardButton
    252, 94, 0,	//801  QStyle::SubControl, QFlags<QStyle::SubControl>
    427, 440, 0,	//804  const QMatrix4x4&, const QPoint&
    27, 468, 0,	//807  QDataStream&, const QTextLength&
    31, 380, 0,	//810  QDebug, const QBrush&
    158, 158, 0,	//813  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    463, 420, 0,	//816  const QStringRef&, const QLatin1String&
    427, 485, 0,	//819  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//822  QChar, QChar
    31, 446, 0,	//825  QDebug, const QQuaternion&
    361, 361, 0,	//828  Qt::TouchPointState, Qt::TouchPointState
    427, 0,	//831  const QMatrix4x4&
    473, 0,	//833  const QUrl&
    295, 498, 0,	//835  QWidget::RenderFlag, int
    427, 496, 0,	//838  const QMatrix4x4&, double
    27, 434, 0,	//841  QDataStream&, const QPalette&
    31, 473, 0,	//844  QDebug, const QUrl&
    27, 23, 0,	//847  QDataStream&, QColor&
    27, 260, 0,	//850  QDataStream&, QTableWidgetItem&
    191, 83, 0,	//853  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    245, 460, 0,	//856  QString::Null, const QString&
    31, 163, 0,	//859  QDebug, QGraphicsItem::GraphicsItemFlag
    31, 396, 0,	//862  QDebug, const QGLFormat&
    295, 111, 0,	//865  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    358, 358, 0,	//868  Qt::ToolBarArea, Qt::ToolBarArea
    167, 498, 0,	//871  QGraphicsView::OptimizationFlag, int
    190, 190, 0,	//874  QLocale::NumberOption, QLocale::NumberOption
    369, 369, 0,	//877  Qt::WindowType, Qt::WindowType
    496, 455, 0,	//880  double, const QSizeF&
    446, 446, 0,	//883  const QQuaternion&, const QQuaternion&
    33, 498, 0,	//886  QDir::Filter, int
    252, 252, 0,	//889  QStyle::SubControl, QStyle::SubControl
    440, 440, 0,	//892  const QPoint&, const QPoint&
    27, 448, 0,	//895  QDataStream&, const QRectF&
    336, 498, 0,	//898  Qt::KeyboardModifier, int
    355, 124, 0,	//901  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    195, 498, 0,	//904  QMdiArea::AreaOption, int
    471, 496, 0,	//907  const QTransform&, double
    2, 48, 0,	//910  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    377, 0,	//913  char
    296, 296, 0,	//915  QWizard::WizardOption, QWizard::WizardOption
    273, 108, 0,	//918  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    270, 498, 0,	//921  QTextOption::Flag, int
    31, 425, 0,	//924  QDebug, const QMargins&
    282, 498, 0,	//927  QUrl::FormattingOption, int
    45, 498, 0,	//930  QFile::Permission, int
    158, 70, 0,	//933  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    440, 496, 0,	//936  const QPoint&, double
    210, 498, 498, 498, 498, 434, 376, 381, 0,	//939  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    210, 498, 498, 498, 498, 434, 0,	//948  QPainter*, int, int, int, int, const QPalette&
    210, 498, 498, 498, 498, 434, 376, 0,	//955  QPainter*, int, int, int, int, const QPalette&, bool
    27, 471, 0,	//963  QDataStream&, const QTransform&
    35, 58, 0,	//966  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    460, 383, 0,	//969  const QString&, const QByteArray&
    455, 455, 0,	//972  const QSizeF&, const QSizeF&
    482, 427, 0,	//975  const QVector3D&, const QMatrix4x4&
    485, 485, 0,	//978  const QVector4D&, const QVector4D&
    31, 442, 0,	//981  QDebug, const QPointF&
    46, 63, 0,	//984  QFileDialog::Option, QFlags<QFileDialog::Option>
    27, 438, 0,	//987  QDataStream&, const QPixmap&
    336, 120, 0,	//990  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    296, 498, 0,	//993  QWizard::WizardOption, int
    31, 422, 0,	//996  QDebug, const QLineF&
    31, 388, 0,	//999  QDebug, const QDateTime&
    36, 59, 0,	//1002  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    487, 460, 0,	//1005  const char*, const QString&
    498, 498, 498, 0,	//1008  int, int, int
    166, 166, 0,	//1012  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    142, 67, 0,	//1015  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    27, 437, 0,	//1018  QDataStream&, const QPicture&
    282, 282, 0,	//1021  QUrl::FormattingOption, QUrl::FormattingOption
    361, 126, 0,	//1024  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    328, 328, 0,	//1027  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    207, 498, 0,	//1030  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//1033  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    190, 498, 0,	//1036  QLocale::NumberOption, int
    420, 420, 0,	//1039  const QLatin1String&, const QLatin1String&
    493, 498, 0,	//1042  const unsigned char*, int
    487, 487, 507, 0,	//1045  const char*, const char*, unsigned int
    420, 463, 0,	//1049  const QLatin1String&, const QStringRef&
    178, 180, 0,	//1052  QKeyEvent*, QKeySequence::StandardKey
    255, 255, 0,	//1055  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    271, 241, 0,	//1058  QTextStream&, QSplitter&
    418, 0,	//1061  const QItemSelectionRange&
    318, 318, 0,	//1063  Qt::DropAction, Qt::DropAction
    211, 89, 0,	//1066  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    31, 440, 0,	//1069  QDebug, const QPoint&
    27, 189, 0,	//1072  QDataStream&, QLocale&
    460, 18, 0,	//1075  const QString&, QChar
    245, 245, 0,	//1078  QString::Null, QString::Null
    9, 51, 0,	//1081  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    155, 498, 0,	//1084  QGLShader::ShaderTypeBit, int
    493, 506, 498, 0,	//1087  const unsigned char*, unsigned char*, int
    254, 96, 0,	//1091  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    263, 263, 0,	//1094  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    343, 343, 0,	//1097  Qt::Orientation, Qt::Orientation
    514, 504, 504, 504, 0,	//1100  void*, size_t, size_t, size_t
    27, 386, 0,	//1105  QDataStream&, const QCursor&
    27, 214, 0,	//1108  QDataStream&, QPalette&
    383, 460, 0,	//1111  const QByteArray&, const QString&
    358, 125, 0,	//1114  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    265, 104, 0,	//1117  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    447, 447, 0,	//1120  const QRect&, const QRect&
    44, 61, 0,	//1123  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    379, 379, 0,	//1126  const QBitArray&, const QBitArray&
    383, 383, 0,	//1129  const QByteArray&, const QByteArray&
    197, 86, 0,	//1132  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    514, 504, 0,	//1135  void*, size_t
    217, 90, 0,	//1138  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    27, 426, 0,	//1141  QDataStream&, const QMatrix&
    27, 424, 0,	//1144  QDataStream&, const QLocale&
    31, 390, 0,	//1147  QDebug, const QEasingCurve&
    513, 0,	//1150  void(*)(QtMsgType,const char*)
    3, 498, 0,	//1152  QAbstractPrintDialog::PrintDialogOption, int
    431, 0,	//1155  const QModelIndex&
    30, 30, 0,	//1157  QDateTimeEdit::Section, QDateTimeEdit::Section
    259, 101, 0,	//1160  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    31, 391, 0,	//1163  QDebug, const QEvent*
    27, 29, 0,	//1166  QDataStream&, QDateTime&
    14, 14, 0,	//1169  QBool, QBool
    160, 160, 0,	//1172  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    487, 463, 0,	//1175  const char*, const QStringRef&
    131, 498, 0,	//1178  QFontComboBox::FontFilter, int
    358, 498, 0,	//1181  Qt::ToolBarArea, int
    158, 498, 0,	//1184  QGestureRecognizer::ResultFlag, int
    173, 173, 0,	//1187  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    133, 66, 0,	//1190  QGL::FormatOption, QFlags<QGL::FormatOption>
    27, 215, 0,	//1193  QDataStream&, QPen&
    421, 471, 0,	//1196  const QLine&, const QTransform&
    31, 444, 0,	//1199  QDebug, const QPolygonF&
    330, 498, 0,	//1202  Qt::InputMethodHint, int
    18, 460, 0,	//1205  QChar, const QString&
    256, 98, 0,	//1208  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    246, 498, 0,	//1211  QString::SectionFlag, int
    142, 498, 0,	//1214  QGLContext::BindOption, int
    159, 71, 0,	//1217  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    181, 498, 0,	//1220  QLibrary::LoadHint, int
    31, 162, 0,	//1223  QDebug, QGraphicsItem::GraphicsItemChange
    27, 281, 0,	//1226  QDataStream&, QUrl&
    501, 0,	//1229  long long
    446, 0,	//1231  const QQuaternion&
    460, 245, 0,	//1233  const QString&, QString::Null
    132, 132, 0,	//1236  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    471, 471, 0,	//1239  const QTransform&, const QTransform&
    191, 498, 0,	//1242  QMainWindow::DockOption, int
    27, 15, 0,	//1245  QDataStream&, QBrush&
    1, 498, 0,	//1248  QAbstractFileEngine::FileFlag, int
    263, 102, 0,	//1251  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    460, 377, 0,	//1254  const QString&, char
    433, 426, 0,	//1257  const QPainterPath&, const QMatrix&
    330, 118, 0,	//1260  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    147, 498, 0,	//1263  QGLFormat::OpenGLVersionFlag, int
    191, 191, 0,	//1266  QMainWindow::DockOption, QMainWindow::DockOption
    296, 112, 0,	//1269  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    27, 239, 0,	//1272  QDataStream&, QSizePolicy&
    369, 128, 0,	//1275  Qt::WindowType, QFlags<Qt::WindowType>
    210, 498, 498, 498, 498, 385, 498, 381, 0,	//1278  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    210, 498, 498, 498, 498, 385, 0,	//1287  QPainter*, int, int, int, int, const QColor&
    210, 498, 498, 498, 498, 385, 498, 0,	//1294  QPainter*, int, int, int, int, const QColor&, int
    446, 496, 0,	//1302  const QQuaternion&, double
    341, 341, 0,	//1305  Qt::MouseButton, Qt::MouseButton
    378, 487, 0,	//1308  char*, const char*
    217, 217, 0,	//1311  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    451, 426, 0,	//1314  const QRegion&, const QMatrix&
    297, 297, 0,	//1317  Qt::AlignmentFlag, Qt::AlignmentFlag
    440, 0,	//1320  const QPoint&
    318, 498, 0,	//1322  Qt::DropAction, int
    27, 470, 0,	//1325  QDataStream&, const QTime&
    34, 498, 0,	//1328  QDir::SortFlag, int
    425, 425, 0,	//1331  const QMargins&, const QMargins&
    210, 447, 434, 376, 498, 498, 381, 0,	//1334  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    210, 447, 434, 0,	//1342  QPainter*, const QRect&, const QPalette&
    210, 447, 434, 376, 0,	//1346  QPainter*, const QRect&, const QPalette&, bool
    210, 447, 434, 376, 498, 0,	//1351  QPainter*, const QRect&, const QPalette&, bool, int
    210, 447, 434, 376, 498, 498, 0,	//1357  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 433, 0,	//1364  QDataStream&, const QPainterPath&
    485, 427, 0,	//1367  const QVector4D&, const QMatrix4x4&
    264, 498, 0,	//1370  QTextDocument::FindFlag, int
    202, 0,	//1373  QObject*(*)()
    31, 418, 0,	//1375  QDebug, const QItemSelectionRange&
    31, 419, 0,	//1378  QDebug, const QKeySequence&
    36, 36, 0,	//1381  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    210, 447, 425, 438, 0,	//1384  QPainter*, const QRect&, const QMargins&, const QPixmap&
    485, 496, 0,	//1389  const QVector4D&, double
    271, 457, 0,	//1392  QTextStream&, const QSplitter&
    339, 339, 0,	//1395  Qt::MatchFlag, Qt::MatchFlag
    504, 0,	//1398  size_t
    316, 114, 0,	//1400  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    27, 248, 0,	//1403  QDataStream&, QStringList&
    257, 257, 0,	//1406  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    177, 80, 0,	//1409  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 482, 0,	//1412  QDataStream&, const QVector3D&
    31, 476, 0,	//1415  QDebug, const QVariant::Type
    316, 498, 0,	//1418  Qt::DockWidgetArea, int
    268, 106, 0,	//1421  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    27, 479, 0,	//1424  QDataStream&, const QVector2D&
    27, 380, 0,	//1427  QDataStream&, const QBrush&
    210, 447, 434, 376, 381, 0,	//1430  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    196, 498, 0,	//1436  QMdiSubWindow::SubWindowOption, int
    499, 0,	//1439  long
    27, 472, 0,	//1441  QDataStream&, const QTreeWidgetItem&
    510, 0,	//1444  unsigned short
    267, 267, 0,	//1446  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    27, 185, 0,	//1449  QDataStream&, QLineF&
    206, 206, 0,	//1452  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    27, 417, 0,	//1455  QDataStream&, const QImage&
    45, 45, 0,	//1458  QFile::Permission, QFile::Permission
    175, 79, 0,	//1461  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    210, 447, 434, 376, 498, 381, 0,	//1464  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    377, 460, 0,	//1471  char, const QString&
    27, 237, 0,	//1474  QDataStream&, QSize&
    27, 179, 0,	//1477  QDataStream&, QKeySequence&
    256, 256, 0,	//1480  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    32, 498, 0,	//1483  QDialogButtonBox::StandardButton, int
    267, 105, 0,	//1486  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    436, 0,	//1489  const QPersistentModelIndex&
    31, 451, 0,	//1491  QDebug, const QRegion&
    27, 485, 0,	//1494  QDataStream&, const QVector4D&
    27, 416, 0,	//1497  QDataStream&, const QIcon&
    27, 460, 0,	//1500  QDataStream&, const QString&
    27, 388, 0,	//1503  QDataStream&, const QDateTime&
    27, 290, 0,	//1506  QDataStream&, QVector3D&
    155, 69, 0,	//1509  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    210, 498, 498, 498, 498, 434, 376, 498, 381, 0,	//1512  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    210, 498, 498, 498, 498, 434, 376, 498, 0,	//1522  QPainter*, int, int, int, int, const QPalette&, bool, int
    432, 460, 429, 0,	//1531  const QObject*, const QString&, const QMetaObject&
    246, 246, 0,	//1535  QString::SectionFlag, QString::SectionFlag
    27, 288, 0,	//1538  QDataStream&, QVector2D&
    197, 498, 0,	//1541  QMessageBox::StandardButton, int
    479, 496, 0,	//1544  const QVector2D&, double
    254, 254, 0,	//1547  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    442, 496, 0,	//1550  const QPointF&, double
    376, 14, 0,	//1553  bool, QBool
    167, 167, 0,	//1556  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    482, 496, 0,	//1559  const QVector3D&, double
    177, 177, 0,	//1562  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    175, 175, 0,	//1565  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    378, 487, 507, 0,	//1568  char*, const char*, unsigned int
    496, 479, 0,	//1572  double, const QVector2D&
    485, 0,	//1575  const QVector4D&
    280, 109, 0,	//1577  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    27, 194, 0,	//1580  QDataStream&, QMatrix4x4&
    257, 99, 0,	//1583  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    265, 498, 0,	//1586  QTextEdit::AutoFormattingFlag, int
    256, 498, 0,	//1589  QStyleOptionTab::CornerWidget, int
    27, 440, 0,	//1592  QDataStream&, const QPoint&
    27, 285, 0,	//1595  QDataStream&, QVariant&
    442, 427, 0,	//1598  const QPointF&, const QMatrix4x4&
    341, 498, 0,	//1601  Qt::MouseButton, int
    27, 172, 0,	//1604  QDataStream&, QImage&
    442, 0,	//1607  const QPointF&
    31, 464, 0,	//1609  QDebug, const QStyleOption&
    3, 49, 0,	//1612  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    27, 216, 0,	//1615  QDataStream&, QPicture&
    24, 498, 0,	//1618  QColorDialog::ColorDialogOption, int
    133, 498, 0,	//1621  QGL::FormatOption, int
    31, 436, 0,	//1624  QDebug, const QPersistentModelIndex&
    444, 426, 0,	//1627  const QPolygonF&, const QMatrix&
    27, 292, 0,	//1630  QDataStream&, QVector4D&
    24, 24, 0,	//1633  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    487, 487, 487, 498, 0,	//1636  const char*, const char*, const char*, int
    46, 46, 0,	//1641  QFileDialog::Option, QFileDialog::Option
    270, 270, 0,	//1644  QTextOption::Flag, QTextOption::Flag
    343, 123, 0,	//1647  Qt::Orientation, QFlags<Qt::Orientation>
    27, 427, 0,	//1650  QDataStream&, const QMatrix4x4&
    426, 426, 0,	//1653  const QMatrix&, const QMatrix&
    44, 498, 0,	//1656  QEventLoop::ProcessEventsFlag, int
    448, 448, 0,	//1659  const QRectF&, const QRectF&
    514, 504, 504, 375, 0,	//1662  void*, size_t, size_t, __compar_fn_t
    498, 498, 498, 498, 0,	//1667  int, int, int, int
    27, 278, 0,	//1672  QDataStream&, QTransform&
    31, 164, 0,	//1675  QDebug, QGraphicsObject*
    27, 458, 0,	//1678  QDataStream&, const QStandardItem&
    328, 117, 0,	//1681  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    496, 485, 0,	//1684  double, const QVector4D&
    9, 498, 0,	//1687  QAccessible::RelationFlag, int
    196, 85, 0,	//1690  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    27, 461, 0,	//1693  QDataStream&, const QStringList&
    31, 427, 0,	//1696  QDebug, const QMatrix4x4&
    383, 377, 0,	//1699  const QByteArray&, char
    35, 35, 0,	//1702  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    33, 56, 0,	//1705  QDir::Filter, QFlags<QDir::Filter>
    27, 221, 0,	//1708  QDataStream&, QPoint&
    455, 496, 0,	//1711  const QSizeF&, double
    27, 387, 0,	//1714  QDataStream&, const QDate&
    259, 498, 0,	//1717  QStyleOptionViewItemV2::ViewItemFeature, int
    512, 0,	//1720  void(*)()
    240, 240, 0,	//1722  QSizePolicy::ControlType, QSizePolicy::ControlType
    493, 498, 498, 0,	//1725  const unsigned char*, int, int
    27, 421, 0,	//1729  QDataStream&, const QLine&
    27, 192, 0,	//1732  QDataStream&, QMatrix&
    32, 32, 0,	//1735  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    27, 244, 0,	//1738  QDataStream&, QString&
    251, 251, 0,	//1741  QStyle::StateFlag, QStyle::StateFlag
    27, 423, 0,	//1744  QDataStream&, const QListWidgetItem&
    254, 498, 0,	//1747  QStyleOptionFrameV2::FrameFeature, int
    514, 0,	//1750  void*
    31, 73, 0,	//1752  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    422, 426, 0,	//1755  const QLineF&, const QMatrix&
    27, 467, 0,	//1758  QDataStream&, const QTextFormat&
    333, 498, 0,	//1761  Qt::ItemFlag, int
    27, 279, 0,	//1764  QDataStream&, QTreeWidgetItem&
    31, 389, 0,	//1767  QDebug, const QDir&
    271, 272, 0,	//1770  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 435, 0,	//1773  QDebug, const QPen&
    496, 446, 0,	//1776  double, const QQuaternion&
    396, 396, 0,	//1779  const QGLFormat&, const QGLFormat&
    31, 431, 0,	//1782  QDebug, const QModelIndex&
    163, 73, 0,	//1785  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    31, 482, 0,	//1788  QDebug, const QVector3D&
    268, 268, 0,	//1791  QTextItem::RenderFlag, QTextItem::RenderFlag
    44, 44, 0,	//1794  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    379, 0,	//1797  const QBitArray&
    31, 479, 0,	//1799  QDebug, const QVector2D&
    173, 78, 0,	//1802  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    31, 470, 0,	//1805  QDebug, const QTime&
    271, 274, 0,	//1808  QTextStream&, QTextStreamManipulator
    31, 485, 0,	//1811  QDebug, const QVector4D&
    27, 266, 0,	//1814  QDataStream&, QTextFormat&
    323, 116, 0,	//1817  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    463, 487, 0,	//1820  const QStringRef&, const char*
    258, 498, 0,	//1823  QStyleOptionToolButton::ToolButtonFeature, int
    240, 91, 0,	//1826  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    295, 295, 0,	//1829  QWidget::RenderFlag, QWidget::RenderFlag
    27, 13, 0,	//1832  QDataStream&, QBitArray&
    27, 225, 0,	//1835  QDataStream&, QPolygon&
    27, 233, 0,	//1838  QDataStream&, QRegion&
    4, 4, 0,	//1841  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    27, 456, 0,	//1844  QDataStream&, const QSizePolicy&
    258, 258, 0,	//1847  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    36, 498, 0,	//1850  QDockWidget::DockWidgetFeature, int
    504, 504, 0,	//1853  size_t, size_t
    165, 74, 0,	//1856  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    142, 142, 0,	//1859  QGLContext::BindOption, QGLContext::BindOption
    440, 471, 0,	//1862  const QPoint&, const QTransform&
    31, 455, 0,	//1865  QDebug, const QSizeF&
    323, 498, 0,	//1868  Qt::GestureFlag, int
    377, 383, 0,	//1871  char, const QByteArray&
    251, 498, 0,	//1874  QStyle::StateFlag, int
    27, 475, 0,	//1877  QDataStream&, const QVariant&
    258, 100, 0,	//1880  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    31, 475, 0,	//1883  QDebug, const QVariant&
    10, 10, 0,	//1886  QAccessible::StateFlag, QAccessible::StateFlag
    211, 211, 0,	//1889  QPainter::RenderHint, QPainter::RenderHint
    368, 498, 0,	//1892  Qt::WindowState, int
    27, 275, 0,	//1895  QDataStream&, QTime&
    27, 219, 0,	//1898  QDataStream&, QPixmap&
    30, 54, 0,	//1901  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    270, 107, 0,	//1904  QTextOption::Flag, QFlags<QTextOption::Flag>
    31, 56, 0,	//1907  QDebug, QFlags<QDir::Filter>
    336, 336, 0,	//1910  Qt::KeyboardModifier, Qt::KeyboardModifier
    496, 442, 0,	//1913  double, const QPointF&
    27, 42, 0,	//1916  QDataStream&, QEasingCurve&
    451, 471, 0,	//1919  const QRegion&, const QTransform&
    318, 115, 0,	//1922  Qt::DropAction, QFlags<Qt::DropAction>
    147, 68, 0,	//1925  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    453, 496, 0,	//1928  const QSize&, double
    31, 387, 0,	//1931  QDebug, const QDate&
    433, 471, 0,	//1934  const QPainterPath&, const QTransform&
    10, 52, 0,	//1937  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    33, 33, 0,	//1940  QDir::Filter, QDir::Filter
    378, 504, 487, 511, 0,	//1943  char*, size_t, const char*, va_list
    444, 471, 0,	//1948  const QPolygonF&, const QTransform&
    496, 440, 0,	//1951  double, const QPoint&
    514, 498, 504, 0,	//1954  void*, int, size_t
    27, 422, 0,	//1958  QDataStream&, const QLineF&
    502, 0,	//1961  short
    196, 196, 0,	//1963  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    169, 169, 0,	//1966  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    316, 316, 0,	//1969  Qt::DockWidgetArea, Qt::DockWidgetArea
    34, 57, 0,	//1972  QDir::SortFlag, QFlags<QDir::SortFlag>
    497, 497, 0,	//1975  float, float
    475, 477, 0,	//1978  const QVariant&, const QVariantComparisonHelper&
    175, 498, 0,	//1981  QInputDialog::InputDialogOption, int
    181, 181, 0,	//1984  QLibrary::LoadHint, QLibrary::LoadHint
    500, 498, 378, 0,	//1987  long double, int, char*
    280, 280, 0,	//1991  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    255, 97, 0,	//1994  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    167, 76, 0,	//1997  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    35, 498, 0,	//2000  QDirIterator::IteratorFlag, int
    330, 330, 0,	//2003  Qt::InputMethodHint, Qt::InputMethodHint
    165, 498, 0,	//2006  QGraphicsScene::SceneLayer, int
    27, 435, 0,	//2009  QDataStream&, const QPen&
    207, 207, 0,	//2012  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    27, 213, 0,	//2015  QDataStream&, QPainterPath&
    31, 421, 0,	//2018  QDebug, const QLine&
    355, 355, 0,	//2021  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    210, 498, 498, 498, 498, 434, 376, 498, 498, 381, 0,	//2024  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    210, 498, 498, 498, 498, 434, 376, 498, 498, 0,	//2035  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    361, 498, 0,	//2045  Qt::TouchPointState, int
    27, 269, 0,	//2048  QDataStream&, QTextLength&
    31, 471, 0,	//2051  QDebug, const QTransform&
    280, 498, 0,	//2054  QTreeWidgetItemIterator::IteratorFlag, int
    31, 443, 0,	//2057  QDebug, const QPolygon&
    282, 110, 0,	//2060  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 498, 0,	//2063  QAbstractSpinBox::StepEnabledFlag, int
    240, 498, 0,	//2066  QSizePolicy::ControlType, int
    165, 165, 0,	//2069  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    355, 498, 0,	//2072  Qt::TextInteractionFlag, int
    368, 368, 0,	//2075  Qt::WindowState, Qt::WindowState
    267, 498, 0,	//2078  QTextFormat::PageBreakFlag, int
    479, 0,	//2081  const QVector2D&
    1, 47, 0,	//2083  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    27, 385, 0,	//2086  QDataStream&, const QColor&
    496, 427, 0,	//2089  double, const QMatrix4x4&
    27, 383, 0,	//2092  QDataStream&, const QByteArray&
    9, 9, 0,	//2095  QAccessible::RelationFlag, QAccessible::RelationFlag
    421, 426, 0,	//2098  const QLine&, const QMatrix&
    27, 390, 0,	//2101  QDataStream&, const QEasingCurve&
    27, 473, 0,	//2104  QDataStream&, const QUrl&
    31, 447, 0,	//2107  QDebug, const QRect&
    31, 392, 0,	//2110  QDebug, const QFont&
    34, 34, 0,	//2113  QDir::SortFlag, QDir::SortFlag
    24, 53, 0,	//2116  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    166, 498, 0,	//2119  QGraphicsView::CacheModeFlag, int
    273, 498, 0,	//2122  QTextStream::NumberFlag, int
    27, 229, 0,	//2125  QDataStream&, QRect&
    195, 195, 0,	//2128  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 453, 0,	//2131  QDataStream&, const QSize&
    27, 384, 0,	//2134  QDataStream&, const QChar&
    131, 64, 0,	//2137  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    180, 178, 0,	//2140  QKeySequence::StandardKey, QKeyEvent*
    132, 65, 0,	//2143  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    251, 93, 0,	//2146  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    297, 498, 0,	//2149  Qt::AlignmentFlag, int
    27, 188, 0,	//2152  QDataStream&, QListWidgetItem&
    27, 449, 0,	//2155  QDataStream&, const QRegExp&
    173, 498, 0,	//2158  QImageIOPlugin::Capability, int
    264, 103, 0,	//2161  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    482, 0,	//2164  const QVector3D&
    31, 448, 0,	//2166  QDebug, const QRectF&
    368, 127, 0,	//2169  Qt::WindowState, QFlags<Qt::WindowState>
    160, 72, 0,	//2172  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    333, 333, 0,	//2175  Qt::ItemFlag, Qt::ItemFlag
    27, 283, 0,	//2178  QDataStream&, QUuid&
    27, 130, 0,	//2181  QDataStream&, QFont&
    210, 447, 385, 498, 381, 0,	//2184  QPainter*, const QRect&, const QColor&, int, const QBrush*
    210, 447, 385, 0,	//2190  QPainter*, const QRect&, const QColor&
    210, 447, 385, 498, 0,	//2194  QPainter*, const QRect&, const QColor&, int
    163, 163, 0,	//2199  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    27, 227, 0,	//2202  QDataStream&, QPolygonF&
    155, 155, 0,	//2205  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    257, 498, 0,	//2208  QStyleOptionToolBar::ToolBarFeature, int
    27, 287, 0,	//2211  QDataStream&, QVariant::Type&
    211, 498, 0,	//2214  QPainter::RenderHint, int
    475, 286, 514, 0,	//2217  const QVariant&, QVariant::Type, void*
    31, 93, 0,	//2221  QDebug, QFlags<QStyle::StateFlag>
    2, 498, 0,	//2224  QAbstractItemView::EditTrigger, int
    440, 427, 0,	//2227  const QPoint&, const QMatrix4x4&
    440, 426, 0,	//2230  const QPoint&, const QMatrix&
    3, 3, 0,	//2233  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    432, 460, 450, 429, 187, 0,	//2236  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    415, 415, 0,	//2242  const QHashDummyValue&, const QHashDummyValue&
    27, 223, 0,	//2245  QDataStream&, QPointF&
    343, 498, 0,	//2248  Qt::Orientation, int
    259, 259, 0,	//2251  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    427, 482, 0,	//2254  const QMatrix4x4&, const QVector3D&
    27, 466, 0,	//2257  QDataStream&, const QTableWidgetItem&
    31, 161, 0,	//2260  QDebug, QGraphicsItem*
    210, 440, 440, 434, 376, 498, 498, 0,	//2263  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    210, 440, 440, 434, 0,	//2271  QPainter*, const QPoint&, const QPoint&, const QPalette&
    210, 440, 440, 434, 376, 0,	//2276  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    210, 440, 440, 434, 376, 498, 0,	//2282  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    323, 323, 0,	//2289  Qt::GestureFlag, Qt::GestureFlag
    169, 77, 0,	//2292  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    427, 442, 0,	//2295  const QMatrix4x4&, const QPointF&
    159, 498, 0,	//2298  QGraphicsBlurEffect::BlurHint, int
    207, 88, 0,	//2301  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    27, 392, 0,	//2304  QDataStream&, const QFont&
    159, 159, 0,	//2307  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    443, 471, 0,	//2310  const QPolygon&, const QTransform&
    147, 147, 0,	//2313  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    206, 498, 0,	//2316  QPaintEngine::DirtyFlag, int
    496, 453, 0,	//2319  double, const QSize&
    177, 498, 0,	//2322  QItemSelectionModel::SelectionFlag, int
    14, 376, 0,	//2325  QBool, bool
    32, 55, 0,	//2328  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    27, 183, 0,	//2331  QDataStream&, QLine&
    31, 453, 0,	//2334  QDebug, const QSize&
    252, 498, 0,	//2337  QStyle::SubControl, int
    273, 273, 0,	//2340  QTextStream::NumberFlag, QTextStream::NumberFlag
    422, 471, 0,	//2343  const QLineF&, const QTransform&
    132, 498, 0,	//2346  QFontDialog::FontDialogOption, int
    341, 122, 0,	//2349  Qt::MouseButton, QFlags<Qt::MouseButton>
    27, 476, 0,	//2352  QDataStream&, const QVariant::Type
    264, 264, 0,	//2355  QTextDocument::FindFlag, QTextDocument::FindFlag
    255, 498, 0,	//2358  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    333, 119, 0,	//2361  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    442, 471, 0,	//2364  const QPointF&, const QTransform&
    31, 385, 0,	//2367  QDebug, const QColor&
    31, 426, 0,	//2370  QDebug, const QMatrix&
    27, 474, 0,	//2373  QDataStream&, const QUuid&
    181, 81, 0,	//2376  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    369, 498, 0,	//2379  Qt::WindowType, int
    253, 498, 0,	//2382  QStyleOptionButton::ButtonFeature, int
    27, 230, 0,	//2385  QDataStream&, QRectF&
    253, 95, 0,	//2388  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    166, 75, 0,	//2391  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    27, 26, 0,	//2394  QDataStream&, QCursor&
    163, 498, 0,	//2397  QGraphicsItem::GraphicsItemFlag, int
    27, 447, 0,	//2400  QDataStream&, const QRect&
    339, 121, 0,	//2403  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    297, 113, 0,	//2406  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    27, 19, 0,	//2409  QDataStream&, QChar&
    27, 231, 0,	//2412  QDataStream&, QRegExp&
    27, 446, 0,	//2415  QDataStream&, const QQuaternion&
    10, 498, 0,	//2418  QAccessible::StateFlag, int
    27, 442, 0,	//2421  QDataStream&, const QPointF&
    133, 133, 0,	//2424  QGL::FormatOption, QGL::FormatOption
    217, 498, 0,	//2427  QPinchGesture::ChangeFlag, int
    27, 455, 0,	//2430  QDataStream&, const QSizeF&
    190, 82, 0,	//2433  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    268, 498, 0,	//2436  QTextItem::RenderFlag, int
    210, 447, 425, 438, 447, 425, 469, 60, 0,	//2439  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    210, 447, 425, 438, 447, 425, 0,	//2448  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    210, 447, 425, 438, 447, 425, 469, 0,	//2455  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    246, 92, 0,	//2463  QString::SectionFlag, QFlags<QString::SectionFlag>
    460, 460, 0,	//2466  const QString&, const QString&
    1, 1, 0,	//2469  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    372, 487, 0,	//2472  QtMsgType, const char*
    31, 433, 0,	//2475  QDebug, const QPainterPath&
    496, 482, 0,	//2478  double, const QVector3D&
    463, 0,	//2481  const QStringRef&
    169, 498, 0,	//2483  QIODevice::OpenModeFlag, int
    4, 50, 0,	//2486  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    505, 0,	//2489  unsigned char
    27, 17, 0,	//2491  QDataStream&, QByteArray&
    131, 131, 0,	//2494  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    443, 426, 0,	//2497  const QPolygon&, const QMatrix&
    31, 465, 0,	//2500  QDebug, const QStyleOption::OptionType&
    31, 432, 0,	//2503  QDebug, const QObject*
    339, 498, 0,	//2506  Qt::MatchFlag, int
    27, 443, 0,	//2509  QDataStream&, const QPolygon&
    27, 28, 0,	//2512  QDataStream&, QDate&
    27, 379, 0,	//2515  QDataStream&, const QBitArray&
    201, 43, 0,	//2518  QObject*, QEvent*
    276, 0,	//2521  QTimerEvent*
    20, 0,	//2523  QChildEvent*
    199, 0,	//2525  QMouseEvent*
    293, 0,	//2527  QWheelEvent*
    178, 0,	//2529  QKeyEvent*
    129, 0,	//2531  QFocusEvent*
    200, 0,	//2533  QMoveEvent*
    21, 0,	//2535  QCloseEvent*
    25, 0,	//2537  QContextMenuEvent*
    261, 0,	//2539  QTabletEvent*
    11, 0,	//2541  QActionEvent*
    37, 0,	//2543  QDragEnterEvent*
    39, 0,	//2545  QDragMoveEvent*
    38, 0,	//2547  QDragLeaveEvent*
    41, 0,	//2549  QDropEvent*
    235, 0,	//2551  QShowEvent*
    168, 0,	//2553  QHideEvent*
    373, 0,	//2555  _XEvent*
    176, 0,	//2557  QInputMethodEvent*
    331, 0,	//2559  Qt::InputMethodQuery
    250, 0,	//2561  QStyle&
    434, 0,	//2563  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "LinearFilteringBindOption",	//27
    "MemoryManagedBindOption",	//28
    "MipmapBindOption",	//29
    "NoAccumBuffer",	//30
    "NoAlphaChannel",	//31
    "NoAttachment",	//32
    "NoBindOption",	//33
    "NoDeprecatedFunctions",	//34
    "NoDepthBuffer",	//35
    "NoOverlay",	//36
    "NoProfile",	//37
    "NoSampleBuffers",	//38
    "NoStencilBuffer",	//39
    "NoStereoBuffers",	//40
    "OpenGL_ES_CommonLite_Version_1_0",	//41
    "OpenGL_ES_CommonLite_Version_1_1",	//42
    "OpenGL_ES_Common_Version_1_0",	//43
    "OpenGL_ES_Common_Version_1_1",	//44
    "OpenGL_ES_Version_2_0",	//45
    "OpenGL_Version_1_1",	//46
    "OpenGL_Version_1_2",	//47
    "OpenGL_Version_1_3",	//48
    "OpenGL_Version_1_4",	//49
    "OpenGL_Version_1_5",	//50
    "OpenGL_Version_2_0",	//51
    "OpenGL_Version_2_1",	//52
    "OpenGL_Version_3_0",	//53
    "OpenGL_Version_3_1",	//54
    "OpenGL_Version_3_2",	//55
    "OpenGL_Version_3_3",	//56
    "OpenGL_Version_4_0",	//57
    "OpenGL_Version_None",	//58
    "PixelPackBuffer",	//59
    "PixelUnpackBuffer",	//60
    "PremultipliedAlphaBindOption",	//61
    "QGLBuffer",	//62
    "QGLBuffer#",	//63
    "QGLBuffer$",	//64
    "QGLColormap",	//65
    "QGLColormap#",	//66
    "QGLContext",	//67
    "QGLContext#",	//68
    "QGLContext##",	//69
    "QGLFormat",	//70
    "QGLFormat#",	//71
    "QGLFormat$",	//72
    "QGLFormat$$",	//73
    "QGLFramebufferObject",	//74
    "QGLFramebufferObject#",	//75
    "QGLFramebufferObject##",	//76
    "QGLFramebufferObject#$",	//77
    "QGLFramebufferObject#$$",	//78
    "QGLFramebufferObject#$$$",	//79
    "QGLFramebufferObject$$",	//80
    "QGLFramebufferObject$$#",	//81
    "QGLFramebufferObject$$$",	//82
    "QGLFramebufferObject$$$$",	//83
    "QGLFramebufferObject$$$$$",	//84
    "QGLFramebufferObjectFormat",	//85
    "QGLFramebufferObjectFormat#",	//86
    "QGLPixelBuffer",	//87
    "QGLPixelBuffer#",	//88
    "QGLPixelBuffer##",	//89
    "QGLPixelBuffer###",	//90
    "QGLPixelBuffer$$",	//91
    "QGLPixelBuffer$$#",	//92
    "QGLPixelBuffer$$##",	//93
    "QGLShader",	//94
    "QGLShader$",	//95
    "QGLShader$#",	//96
    "QGLShader$##",	//97
    "QGLShaderProgram",	//98
    "QGLShaderProgram#",	//99
    "QGLShaderProgram##",	//100
    "QGLWidget",	//101
    "QGLWidget#",	//102
    "QGLWidget##",	//103
    "QGLWidget###",	//104
    "QGLWidget###$",	//105
    "QGLWidget##$",	//106
    "QtCriticalMsg",	//107
    "QtDebugMsg",	//108
    "QtFatalMsg",	//109
    "QtSystemMsg",	//110
    "QtWarningMsg",	//111
    "ReadOnly",	//112
    "ReadWrite",	//113
    "Rgba",	//114
    "SP_CustomCameraCaptureButton",	//115
    "SP_CustomCameraCaptureButtonPressed",	//116
    "SP_CustomCameraPauseButton",	//117
    "SP_CustomCameraPauseButtonPressed",	//118
    "SP_CustomCameraPlayButton",	//119
    "SP_CustomCameraPlayButtonPressed",	//120
    "SP_CustomCameraRecButton",	//121
    "SP_CustomCameraRecButtonPressed",	//122
    "SP_CustomCameraStopButton",	//123
    "SP_CustomCameraStopButtonPressed",	//124
    "SP_CustomTabAll",	//125
    "SP_CustomTabArtist",	//126
    "SP_CustomTabFavourite",	//127
    "SP_CustomTabGenre",	//128
    "SP_CustomTabLanguage",	//129
    "SP_CustomTabMusicAlbum",	//130
    "SP_CustomTabPhotosAlbum",	//131
    "SP_CustomTabPhotosAll",	//132
    "SP_CustomTabPlaylist",	//133
    "SP_CustomTabServices",	//134
    "SP_CustomTabSongs",	//135
    "SP_CustomTabVideos",	//136
    "SP_CustomToolBarAdd",	//137
    "SP_CustomToolBarAddDetail",	//138
    "SP_CustomToolBarAgain",	//139
    "SP_CustomToolBarAgenda",	//140
    "SP_CustomToolBarAudioOff",	//141
    "SP_CustomToolBarAudioOn",	//142
    "SP_CustomToolBarBack",	//143
    "SP_CustomToolBarBluetoothOff",	//144
    "SP_CustomToolBarBluetoothOn",	//145
    "SP_CustomToolBarCancel",	//146
    "SP_CustomToolBarDelete",	//147
    "SP_CustomToolBarDone",	//148
    "SP_CustomToolBarEdit",	//149
    "SP_CustomToolBarEditDisabled",	//150
    "SP_CustomToolBarEmailSend",	//151
    "SP_CustomToolBarEmergencyCall",	//152
    "SP_CustomToolBarFavouriteAdd",	//153
    "SP_CustomToolBarFavouriteRemove",	//154
    "SP_CustomToolBarFavourites",	//155
    "SP_CustomToolBarGo",	//156
    "SP_CustomToolBarHome",	//157
    "SP_CustomToolBarImageTools",	//158
    "SP_CustomToolBarList",	//159
    "SP_CustomToolBarLock",	//160
    "SP_CustomToolBarLogs",	//161
    "SP_CustomToolBarMenu",	//162
    "SP_CustomToolBarNewContact",	//163
    "SP_CustomToolBarNewGroup",	//164
    "SP_CustomToolBarNextFrame",	//165
    "SP_CustomToolBarNowPlay",	//166
    "SP_CustomToolBarOptions",	//167
    "SP_CustomToolBarOther",	//168
    "SP_CustomToolBarOvi",	//169
    "SP_CustomToolBarPreviousFrame",	//170
    "SP_CustomToolBarRead",	//171
    "SP_CustomToolBarRedo",	//172
    "SP_CustomToolBarRedoDisabled",	//173
    "SP_CustomToolBarRefresh",	//174
    "SP_CustomToolBarRemoveDetail",	//175
    "SP_CustomToolBarRemoveDisabled",	//176
    "SP_CustomToolBarRepeat",	//177
    "SP_CustomToolBarRepeatOff",	//178
    "SP_CustomToolBarRepeatOne",	//179
    "SP_CustomToolBarSearch",	//180
    "SP_CustomToolBarSearchDisabled",	//181
    "SP_CustomToolBarSelectContent",	//182
    "SP_CustomToolBarSelfTimer",	//183
    "SP_CustomToolBarSend",	//184
    "SP_CustomToolBarSendDimmed",	//185
    "SP_CustomToolBarShare",	//186
    "SP_CustomToolBarShift",	//187
    "SP_CustomToolBarShuffle",	//188
    "SP_CustomToolBarShuffleOff",	//189
    "SP_CustomToolBarSignalOff",	//190
    "SP_CustomToolBarSignalOn",	//191
    "SP_CustomToolBarSync",	//192
    "SP_CustomToolBarTools",	//193
    "SP_CustomToolBarTrim",	//194
    "SP_CustomToolBarUnlock",	//195
    "SP_CustomToolBarUnmark",	//196
    "SP_CustomToolBarView",	//197
    "SP_CustomToolBarWlanOff",	//198
    "SP_CustomToolBarWlanOn",	//199
    "SampleBuffers",	//200
    "SingleBuffer",	//201
    "StaticCopy",	//202
    "StaticDraw",	//203
    "StaticRead",	//204
    "StencilBuffer",	//205
    "StereoBuffers",	//206
    "StreamCopy",	//207
    "StreamDraw",	//208
    "StreamRead",	//209
    "Vertex",	//210
    "VertexBuffer",	//211
    "WriteOnly",	//212
    "__codecvt_error",	//213
    "__codecvt_noconv",	//214
    "__codecvt_ok",	//215
    "__codecvt_partial",	//216
    "accum",	//217
    "accumBufferSize",	//218
    "actionEvent",	//219
    "addShader",	//220
    "addShader#",	//221
    "addShaderFromSourceCode",	//222
    "addShaderFromSourceCode$#",	//223
    "addShaderFromSourceCode$$",	//224
    "addShaderFromSourceFile",	//225
    "addShaderFromSourceFile$$",	//226
    "allocate",	//227
    "allocate$",	//228
    "allocate$$",	//229
    "alpha",	//230
    "alphaBufferSize",	//231
    "areSharing",	//232
    "areSharing##",	//233
    "attachment",	//234
    "attributeLocation",	//235
    "attributeLocation#",	//236
    "attributeLocation$",	//237
    "autoBufferSwap",	//238
    "bind",	//239
    "bindAttributeLocation",	//240
    "bindAttributeLocation#$",	//241
    "bindAttributeLocation$$",	//242
    "bindDefault",	//243
    "bindTexture",	//244
    "bindTexture#",	//245
    "bindTexture#$",	//246
    "bindTexture#$$",	//247
    "bindTexture#$$$",	//248
    "bindTexture$",	//249
    "bindToDynamicTexture",	//250
    "bindToDynamicTexture$",	//251
    "blitFramebuffer",	//252
    "blitFramebuffer####",	//253
    "blitFramebuffer####$",	//254
    "blitFramebuffer####$$",	//255
    "blueBufferSize",	//256
    "bufferId",	//257
    "changeEvent",	//258
    "childEvent",	//259
    "chooseContext",	//260
    "chooseContext#",	//261
    "closeEvent",	//262
    "colorIndex",	//263
    "colorIndex#",	//264
    "colormap",	//265
    "compileSourceCode",	//266
    "compileSourceCode#",	//267
    "compileSourceCode$",	//268
    "compileSourceFile",	//269
    "compileSourceFile$",	//270
    "connectNotify",	//271
    "context",	//272
    "contextMenuEvent",	//273
    "convertToGLFormat",	//274
    "convertToGLFormat#",	//275
    "create",	//276
    "create#",	//277
    "currentContext",	//278
    "currentCtx",	//279
    "customEvent",	//280
    "defaultFormat",	//281
    "defaultOverlayFormat",	//282
    "deleteTexture",	//283
    "deleteTexture$",	//284
    "depth",	//285
    "depthBufferSize",	//286
    "destroy",	//287
    "detach",	//288
    "devType",	//289
    "device",	//290
    "deviceIsPixmap",	//291
    "directRendering",	//292
    "disableAttributeArray",	//293
    "disableAttributeArray$",	//294
    "disconnectNotify",	//295
    "doneCurrent",	//296
    "doubleBuffer",	//297
    "dragEnterEvent",	//298
    "dragLeaveEvent",	//299
    "dragMoveEvent",	//300
    "drawTexture",	//301
    "drawTexture#$",	//302
    "drawTexture#$$",	//303
    "dropEvent",	//304
    "enableAttributeArray",	//305
    "enableAttributeArray$",	//306
    "enabledChange",	//307
    "enterEvent",	//308
    "entryColor",	//309
    "entryColor$",	//310
    "entryRgb",	//311
    "entryRgb$",	//312
    "event",	//313
    "event#",	//314
    "eventFilter",	//315
    "find",	//316
    "find$",	//317
    "findNearest",	//318
    "findNearest$",	//319
    "focusInEvent",	//320
    "focusNextPrevChild",	//321
    "focusOutEvent",	//322
    "fontChange",	//323
    "fontDisplayListBase",	//324
    "fontDisplayListBase#",	//325
    "fontDisplayListBase#$",	//326
    "format",	//327
    "generateDynamicTexture",	//328
    "generateFontDisplayLists",	//329
    "generateFontDisplayLists#$",	//330
    "geometryInputType",	//331
    "geometryOutputType",	//332
    "geometryOutputVertexCount",	//333
    "getProcAddress",	//334
    "getProcAddress$",	//335
    "glDraw",	//336
    "glInit",	//337
    "grabFrameBuffer",	//338
    "grabFrameBuffer$",	//339
    "greenBufferSize",	//340
    "handle",	//341
    "hasOpenGL",	//342
    "hasOpenGLFramebufferBlit",	//343
    "hasOpenGLFramebufferObjects",	//344
    "hasOpenGLOverlays",	//345
    "hasOpenGLPbuffers",	//346
    "hasOpenGLShaderPrograms",	//347
    "hasOpenGLShaderPrograms#",	//348
    "hasOpenGLShaders",	//349
    "hasOpenGLShaders$",	//350
    "hasOpenGLShaders$#",	//351
    "hasOverlay",	//352
    "heightForWidth",	//353
    "hideEvent",	//354
    "initializeGL",	//355
    "initializeOverlayGL",	//356
    "initialized",	//357
    "inputMethodEvent",	//358
    "inputMethodQuery",	//359
    "internalTextureFormat",	//360
    "isBound",	//361
    "isCompiled",	//362
    "isCreated",	//363
    "isEmpty",	//364
    "isLinked",	//365
    "isSharing",	//366
    "isValid",	//367
    "keyPressEvent",	//368
    "keyReleaseEvent",	//369
    "languageChange",	//370
    "leaveEvent",	//371
    "link",	//372
    "log",	//373
    "majorVersion",	//374
    "makeCurrent",	//375
    "makeOverlayCurrent",	//376
    "map",	//377
    "map$",	//378
    "maxGeometryOutputVertices",	//379
    "metaObject",	//380
    "metric",	//381
    "metric$",	//382
    "minimumSizeHint",	//383
    "minorVersion",	//384
    "mouseDoubleClickEvent",	//385
    "mouseMoveEvent",	//386
    "mousePressEvent",	//387
    "mouseReleaseEvent",	//388
    "moveEvent",	//389
    "openGLVersionFlags",	//390
    "operator!=",	//391
    "operator!=#",	//392
    "operator!=##",	//393
    "operator!=#$",	//394
    "operator!=$#",	//395
    "operator!=$$",	//396
    "operator&",	//397
    "operator&##",	//398
    "operator*",	//399
    "operator*##",	//400
    "operator*#$",	//401
    "operator*$#",	//402
    "operator+",	//403
    "operator+##",	//404
    "operator+#$",	//405
    "operator+$#",	//406
    "operator+$$",	//407
    "operator-",	//408
    "operator-#",	//409
    "operator-##",	//410
    "operator-#$",	//411
    "operator/",	//412
    "operator/#$",	//413
    "operator<",	//414
    "operator<##",	//415
    "operator<#$",	//416
    "operator<$#",	//417
    "operator<$$",	//418
    "operator<<",	//419
    "operator<<##",	//420
    "operator<<#$",	//421
    "operator<<#?",	//422
    "operator<=",	//423
    "operator<=##",	//424
    "operator<=#$",	//425
    "operator<=$#",	//426
    "operator<=$$",	//427
    "operator=",	//428
    "operator=#",	//429
    "operator==",	//430
    "operator==#",	//431
    "operator==##",	//432
    "operator==#$",	//433
    "operator==$#",	//434
    "operator==$$",	//435
    "operator>",	//436
    "operator>##",	//437
    "operator>#$",	//438
    "operator>$#",	//439
    "operator>$$",	//440
    "operator>=",	//441
    "operator>=##",	//442
    "operator>=#$",	//443
    "operator>=$#",	//444
    "operator>=$$",	//445
    "operator>>",	//446
    "operator>>##",	//447
    "operator>>#$",	//448
    "operator>>#?",	//449
    "operator^",	//450
    "operator^##",	//451
    "operator|",	//452
    "operator|##",	//453
    "operator|$$",	//454
    "overlayContext",	//455
    "overlayTransparentColor",	//456
    "paintEngine",	//457
    "paintEvent",	//458
    "paintEvent#",	//459
    "paintGL",	//460
    "paintOverlayGL",	//461
    "paletteChange",	//462
    "plane",	//463
    "profile",	//464
    "programId",	//465
    "qAccessibleActionCastHelper",	//466
    "qAccessibleEditableTextCastHelper",	//467
    "qAccessibleImageCastHelper",	//468
    "qAccessibleTableCastHelper",	//469
    "qAccessibleTextCastHelper",	//470
    "qAccessibleValueCastHelper",	//471
    "qAcos",	//472
    "qAcos$",	//473
    "qAddPostRoutine",	//474
    "qAddPostRoutine$",	//475
    "qAlpha",	//476
    "qAlpha$",	//477
    "qAppName",	//478
    "qAsin",	//479
    "qAsin$",	//480
    "qAtan",	//481
    "qAtan$",	//482
    "qAtan2",	//483
    "qAtan2$$",	//484
    "qBadAlloc",	//485
    "qBlue",	//486
    "qBlue$",	//487
    "qCeil",	//488
    "qCeil$",	//489
    "qChecksum",	//490
    "qChecksum$$",	//491
    "qCompress",	//492
    "qCompress#",	//493
    "qCompress#$",	//494
    "qCompress$$",	//495
    "qCompress$$$",	//496
    "qCos",	//497
    "qCos$",	//498
    "qCritical",	//499
    "qDebug",	//500
    "qDrawBorderPixmap",	//501
    "qDrawBorderPixmap####",	//502
    "qDrawBorderPixmap######",	//503
    "qDrawBorderPixmap#######",	//504
    "qDrawBorderPixmap#######$",	//505
    "qDrawPlainRect",	//506
    "qDrawPlainRect###",	//507
    "qDrawPlainRect###$",	//508
    "qDrawPlainRect###$#",	//509
    "qDrawPlainRect#$$$$#",	//510
    "qDrawPlainRect#$$$$#$",	//511
    "qDrawPlainRect#$$$$#$#",	//512
    "qDrawShadeLine",	//513
    "qDrawShadeLine####",	//514
    "qDrawShadeLine####$",	//515
    "qDrawShadeLine####$$",	//516
    "qDrawShadeLine####$$$",	//517
    "qDrawShadeLine#$$$$#",	//518
    "qDrawShadeLine#$$$$#$",	//519
    "qDrawShadeLine#$$$$#$$",	//520
    "qDrawShadeLine#$$$$#$$$",	//521
    "qDrawShadePanel",	//522
    "qDrawShadePanel###",	//523
    "qDrawShadePanel###$",	//524
    "qDrawShadePanel###$$",	//525
    "qDrawShadePanel###$$#",	//526
    "qDrawShadePanel#$$$$#",	//527
    "qDrawShadePanel#$$$$#$",	//528
    "qDrawShadePanel#$$$$#$$",	//529
    "qDrawShadePanel#$$$$#$$#",	//530
    "qDrawShadeRect",	//531
    "qDrawShadeRect###",	//532
    "qDrawShadeRect###$",	//533
    "qDrawShadeRect###$$",	//534
    "qDrawShadeRect###$$$",	//535
    "qDrawShadeRect###$$$#",	//536
    "qDrawShadeRect#$$$$#",	//537
    "qDrawShadeRect#$$$$#$",	//538
    "qDrawShadeRect#$$$$#$$",	//539
    "qDrawShadeRect#$$$$#$$$",	//540
    "qDrawShadeRect#$$$$#$$$#",	//541
    "qDrawWinButton",	//542
    "qDrawWinButton###",	//543
    "qDrawWinButton###$",	//544
    "qDrawWinButton###$#",	//545
    "qDrawWinButton#$$$$#",	//546
    "qDrawWinButton#$$$$#$",	//547
    "qDrawWinButton#$$$$#$#",	//548
    "qDrawWinPanel",	//549
    "qDrawWinPanel###",	//550
    "qDrawWinPanel###$",	//551
    "qDrawWinPanel###$#",	//552
    "qDrawWinPanel#$$$$#",	//553
    "qDrawWinPanel#$$$$#$",	//554
    "qDrawWinPanel#$$$$#$#",	//555
    "qExp",	//556
    "qExp$",	//557
    "qFabs",	//558
    "qFabs$",	//559
    "qFastCos",	//560
    "qFastCos$",	//561
    "qFastSin",	//562
    "qFastSin$",	//563
    "qFlagLocation",	//564
    "qFlagLocation$",	//565
    "qFloor",	//566
    "qFloor$",	//567
    "qFree",	//568
    "qFree$",	//569
    "qFreeAligned",	//570
    "qFreeAligned$",	//571
    "qFuzzyCompare",	//572
    "qFuzzyCompare##",	//573
    "qFuzzyCompare$$",	//574
    "qFuzzyIsNull",	//575
    "qFuzzyIsNull$",	//576
    "qGray",	//577
    "qGray$",	//578
    "qGray$$$",	//579
    "qGreen",	//580
    "qGreen$",	//581
    "qHash",	//582
    "qHash#",	//583
    "qHash$",	//584
    "qInf",	//585
    "qInstallMsgHandler",	//586
    "qInstallMsgHandler$",	//587
    "qIntCast",	//588
    "qIntCast$",	//589
    "qIsFinite",	//590
    "qIsFinite$",	//591
    "qIsGray",	//592
    "qIsGray$",	//593
    "qIsInf",	//594
    "qIsInf$",	//595
    "qIsNaN",	//596
    "qIsNaN$",	//597
    "qIsNull",	//598
    "qIsNull$",	//599
    "qLn",	//600
    "qLn$",	//601
    "qMalloc",	//602
    "qMalloc$",	//603
    "qMallocAligned",	//604
    "qMallocAligned$$",	//605
    "qMemCopy",	//606
    "qMemCopy$$$",	//607
    "qMemSet",	//608
    "qMemSet$$$",	//609
    "qPow",	//610
    "qPow$$",	//611
    "qQNaN",	//612
    "qRealloc",	//613
    "qRealloc$$",	//614
    "qReallocAligned",	//615
    "qReallocAligned$$$$",	//616
    "qRed",	//617
    "qRed$",	//618
    "qRegisterStaticPluginInstanceFunction",	//619
    "qRegisterStaticPluginInstanceFunction#",	//620
    "qRemovePostRoutine",	//621
    "qRemovePostRoutine$",	//622
    "qRgb",	//623
    "qRgb$$$",	//624
    "qRgba",	//625
    "qRgba$$$$",	//626
    "qRound",	//627
    "qRound$",	//628
    "qRound64",	//629
    "qRound64$",	//630
    "qSNaN",	//631
    "qSetFieldWidth",	//632
    "qSetFieldWidth$",	//633
    "qSetPadChar",	//634
    "qSetPadChar#",	//635
    "qSetRealNumberPrecision",	//636
    "qSetRealNumberPrecision$",	//637
    "qSharedBuild",	//638
    "qSin",	//639
    "qSin$",	//640
    "qSqrt",	//641
    "qSqrt$",	//642
    "qStringComparisonHelper",	//643
    "qStringComparisonHelper#$",	//644
    "qStringComparisonHelper$$",	//645
    "qTan",	//646
    "qTan$",	//647
    "qUncompress",	//648
    "qUncompress#",	//649
    "qUncompress$$",	//650
    "qVersion",	//651
    "qWarning",	//652
    "qbswap_helper",	//653
    "qbswap_helper$$$",	//654
    "qgcvt",	//655
    "qgcvt$$$",	//656
    "qgetenv",	//657
    "qgetenv$",	//658
    "qglClearColor",	//659
    "qglClearColor#",	//660
    "qglColor",	//661
    "qglColor#",	//662
    "qputenv",	//663
    "qputenv$#",	//664
    "qrand",	//665
    "qsort",	//666
    "qsort$$$?",	//667
    "qsrand",	//668
    "qsrand$",	//669
    "qstrcmp",	//670
    "qstrcmp##",	//671
    "qstrcmp#$",	//672
    "qstrcmp$#",	//673
    "qstrcmp$$",	//674
    "qstrcpy",	//675
    "qstrcpy$$",	//676
    "qstrdup",	//677
    "qstrdup$",	//678
    "qstricmp",	//679
    "qstricmp$$",	//680
    "qstrlen",	//681
    "qstrlen$",	//682
    "qstrncmp",	//683
    "qstrncmp$$$",	//684
    "qstrncpy",	//685
    "qstrncpy$$$",	//686
    "qstrnicmp",	//687
    "qstrnicmp$$$",	//688
    "qstrnlen",	//689
    "qstrnlen$$",	//690
    "qtTrId",	//691
    "qtTrId$",	//692
    "qtTrId$$",	//693
    "qt_assert",	//694
    "qt_assert$$$",	//695
    "qt_assert_x",	//696
    "qt_assert_x$$$$",	//697
    "qt_check_pointer",	//698
    "qt_check_pointer$$",	//699
    "qt_error_string",	//700
    "qt_error_string$",	//701
    "qt_message_output",	//702
    "qt_message_output$$",	//703
    "qt_metacall",	//704
    "qt_metacall$$?",	//705
    "qt_metacast",	//706
    "qt_metacast$",	//707
    "qt_noop",	//708
    "qt_qFindChild_helper",	//709
    "qt_qFindChild_helper#$#",	//710
    "qt_qFindChildren_helper",	//711
    "qt_qFindChildren_helper#$##?",	//712
    "qvariant_cast_helper",	//713
    "qvariant_cast_helper#$$",	//714
    "qvsnprintf",	//715
    "qvsnprintf$$$?",	//716
    "read",	//717
    "read$$$",	//718
    "redBufferSize",	//719
    "release",	//720
    "release$",	//721
    "releaseFromDynamicTexture",	//722
    "removeAllShaders",	//723
    "removeShader",	//724
    "removeShader#",	//725
    "renderPixmap",	//726
    "renderPixmap$",	//727
    "renderPixmap$$",	//728
    "renderPixmap$$$",	//729
    "renderText",	//730
    "renderText$$$",	//731
    "renderText$$$#",	//732
    "renderText$$$#$",	//733
    "renderText$$$$",	//734
    "renderText$$$$#",	//735
    "renderText$$$$#$",	//736
    "requestedFormat",	//737
    "reset",	//738
    "resizeEvent",	//739
    "resizeEvent#",	//740
    "resizeGL",	//741
    "resizeGL$$",	//742
    "resizeOverlayGL",	//743
    "resizeOverlayGL$$",	//744
    "rgba",	//745
    "sampleBuffers",	//746
    "samples",	//747
    "setAccum",	//748
    "setAccum$",	//749
    "setAccumBufferSize",	//750
    "setAccumBufferSize$",	//751
    "setAlpha",	//752
    "setAlpha$",	//753
    "setAlphaBufferSize",	//754
    "setAlphaBufferSize$",	//755
    "setAttachment",	//756
    "setAttachment$",	//757
    "setAttributeArray",	//758
    "setAttributeArray$#",	//759
    "setAttributeArray$#$",	//760
    "setAttributeArray$$$",	//761
    "setAttributeArray$$$$",	//762
    "setAttributeArray$$$$$",	//763
    "setAttributeBuffer",	//764
    "setAttributeBuffer$$$$",	//765
    "setAttributeBuffer$$$$$",	//766
    "setAttributeValue",	//767
    "setAttributeValue$#",	//768
    "setAttributeValue$$",	//769
    "setAttributeValue$$$",	//770
    "setAttributeValue$$$$",	//771
    "setAttributeValue$$$$$",	//772
    "setAutoBufferSwap",	//773
    "setAutoBufferSwap$",	//774
    "setBlueBufferSize",	//775
    "setBlueBufferSize$",	//776
    "setColormap",	//777
    "setColormap#",	//778
    "setContext",	//779
    "setContext#",	//780
    "setContext##",	//781
    "setContext##$",	//782
    "setCurrentCtx",	//783
    "setCurrentCtx#",	//784
    "setDefaultFormat",	//785
    "setDefaultFormat#",	//786
    "setDefaultOverlayFormat",	//787
    "setDefaultOverlayFormat#",	//788
    "setDepth",	//789
    "setDepth$",	//790
    "setDepthBufferSize",	//791
    "setDepthBufferSize$",	//792
    "setDevice",	//793
    "setDevice#",	//794
    "setDirectRendering",	//795
    "setDirectRendering$",	//796
    "setDoubleBuffer",	//797
    "setDoubleBuffer$",	//798
    "setEntries",	//799
    "setEntries$$",	//800
    "setEntries$$$",	//801
    "setEntry",	//802
    "setEntry$#",	//803
    "setEntry$$",	//804
    "setFormat",	//805
    "setFormat#",	//806
    "setGeometryInputType",	//807
    "setGeometryInputType$",	//808
    "setGeometryOutputType",	//809
    "setGeometryOutputType$",	//810
    "setGeometryOutputVertexCount",	//811
    "setGeometryOutputVertexCount$",	//812
    "setGreenBufferSize",	//813
    "setGreenBufferSize$",	//814
    "setHandle",	//815
    "setHandle$",	//816
    "setInitialized",	//817
    "setInitialized$",	//818
    "setInternalTextureFormat",	//819
    "setInternalTextureFormat$",	//820
    "setMouseTracking",	//821
    "setMouseTracking$",	//822
    "setOption",	//823
    "setOption$",	//824
    "setOverlay",	//825
    "setOverlay$",	//826
    "setPlane",	//827
    "setPlane$",	//828
    "setPreferredPaintEngine",	//829
    "setPreferredPaintEngine$",	//830
    "setProfile",	//831
    "setProfile$",	//832
    "setRedBufferSize",	//833
    "setRedBufferSize$",	//834
    "setRgba",	//835
    "setRgba$",	//836
    "setSampleBuffers",	//837
    "setSampleBuffers$",	//838
    "setSamples",	//839
    "setSamples$",	//840
    "setStencil",	//841
    "setStencil$",	//842
    "setStencilBufferSize",	//843
    "setStencilBufferSize$",	//844
    "setStereo",	//845
    "setStereo$",	//846
    "setSwapInterval",	//847
    "setSwapInterval$",	//848
    "setTextureCacheLimit",	//849
    "setTextureCacheLimit$",	//850
    "setTextureTarget",	//851
    "setTextureTarget$",	//852
    "setUniformValue",	//853
    "setUniformValue$#",	//854
    "setUniformValue$$",	//855
    "setUniformValue$$$",	//856
    "setUniformValue$$$$",	//857
    "setUniformValue$$$$$",	//858
    "setUniformValue$?",	//859
    "setUniformValueArray",	//860
    "setUniformValueArray$#$",	//861
    "setUniformValueArray$$$",	//862
    "setUniformValueArray$$$$",	//863
    "setUniformValueArray$?$",	//864
    "setUsagePattern",	//865
    "setUsagePattern$",	//866
    "setValid",	//867
    "setValid$",	//868
    "setVersion",	//869
    "setVersion$$",	//870
    "setVisible",	//871
    "setWindowCreated",	//872
    "setWindowCreated$",	//873
    "shaderId",	//874
    "shaderType",	//875
    "shaders",	//876
    "showEvent",	//877
    "size",	//878
    "sizeHint",	//879
    "sourceCode",	//880
    "staticMetaObject",	//881
    "stencil",	//882
    "stencilBufferSize",	//883
    "stereo",	//884
    "styleChange",	//885
    "swapBuffers",	//886
    "swapInterval",	//887
    "tabletEvent",	//888
    "testOption",	//889
    "testOption$",	//890
    "texture",	//891
    "textureCacheLimit",	//892
    "textureTarget",	//893
    "timerEvent",	//894
    "toImage",	//895
    "tr",	//896
    "tr$",	//897
    "tr$$",	//898
    "tr$$$",	//899
    "trUtf8",	//900
    "trUtf8$",	//901
    "trUtf8$$",	//902
    "trUtf8$$$",	//903
    "type",	//904
    "uniformLocation",	//905
    "uniformLocation#",	//906
    "uniformLocation$",	//907
    "unmap",	//908
    "updateDynamicTexture",	//909
    "updateDynamicTexture$",	//910
    "updateGL",	//911
    "updateOverlayGL",	//912
    "usagePattern",	//913
    "wheelEvent",	//914
    "windowActivationChange",	//915
    "windowCreated",	//916
    "write",	//917
    "write$$$",	//918
    "x11Event",	//919
    "~QGLBuffer",	//920
    "~QGLColormap",	//921
    "~QGLContext",	//922
    "~QGLFormat",	//923
    "~QGLFramebufferObject",	//924
    "~QGLFramebufferObjectFormat",	//925
    "~QGLPixelBuffer",	//926
    "~QGLShader",	//927
    "~QGLShaderProgram",	//928
    "~QGLWidget",	//929
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 829, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 3},	//3 QGL::DepthBuffer (enum)
    {26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 6},	//6 QGL::AccumBuffer (enum)
    {26, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 7},	//7 QGL::StencilBuffer (enum)
    {26, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 9},	//9 QGL::DirectRendering (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 10},	//10 QGL::HasOverlay (enum)
    {26, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 13},	//13 QGL::SingleBuffer (enum)
    {26, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 15},	//15 QGL::ColorIndex (enum)
    {26, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 20},	//20 QGL::IndirectRendering (enum)
    {26, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 21},	//21 QGL::NoOverlay (enum)
    {26, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 62, 0, 0, Smoke::mf_ctor, 135, 1},	//24 QGLBuffer::QGLBuffer()
    {27, 62, 3, 1, Smoke::mf_ctor, 135, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {27, 62, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {27, 428, 5, 1, 0, 134, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {27, 904, 0, 0, Smoke::mf_const, 137, 5},	//28 QGLBuffer::type() const
    {27, 913, 0, 0, Smoke::mf_const, 138, 6},	//29 QGLBuffer::usagePattern() const
    {27, 865, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {27, 276, 0, 0, 0, 376, 8},	//31 QGLBuffer::create()
    {27, 363, 0, 0, Smoke::mf_const, 376, 9},	//32 QGLBuffer::isCreated() const
    {27, 287, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {27, 239, 0, 0, 0, 376, 11},	//34 QGLBuffer::bind()
    {27, 720, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {27, 720, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {27, 257, 0, 0, Smoke::mf_const, 507, 14},	//37 QGLBuffer::bufferId() const
    {27, 878, 0, 0, Smoke::mf_const, 498, 15},	//38 QGLBuffer::size() const
    {27, 717, 9, 3, 0, 376, 16},	//39 QGLBuffer::read(int, void*, int)
    {27, 917, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {27, 227, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {27, 227, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {27, 377, 22, 1, 0, 514, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {27, 908, 0, 0, 0, 376, 21},	//44 QGLBuffer::unmap()
    {27, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {27, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {27, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {27, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//49 QGLBuffer::StreamDraw (enum)
    {27, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//50 QGLBuffer::StreamRead (enum)
    {27, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 28},	//51 QGLBuffer::StreamCopy (enum)
    {27, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 29},	//52 QGLBuffer::StaticDraw (enum)
    {27, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 30},	//53 QGLBuffer::StaticRead (enum)
    {27, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 31},	//54 QGLBuffer::StaticCopy (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 33},	//56 QGLBuffer::DynamicRead (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {27, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 35},	//58 QGLBuffer::ReadOnly (enum)
    {27, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 36},	//59 QGLBuffer::WriteOnly (enum)
    {27, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 37},	//60 QGLBuffer::ReadWrite (enum)
    {27, 920, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {28, 65, 0, 0, Smoke::mf_ctor, 140, 1},	//62 QGLColormap::QGLColormap()
    {28, 65, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 428, 24, 1, 0, 139, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {28, 364, 0, 0, Smoke::mf_const, 376, 4},	//65 QGLColormap::isEmpty() const
    {28, 878, 0, 0, Smoke::mf_const, 498, 5},	//66 QGLColormap::size() const
    {28, 288, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {28, 799, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 802, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {28, 802, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {28, 311, 20, 1, Smoke::mf_const, 507, 10},	//71 QGLColormap::entryRgb(int) const
    {28, 309, 20, 1, Smoke::mf_const, 22, 11},	//72 QGLColormap::entryColor(int) const
    {28, 316, 36, 1, Smoke::mf_const, 498, 12},	//73 QGLColormap::find(unsigned int) const
    {28, 318, 36, 1, Smoke::mf_const, 498, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {28, 341, 0, 0, Smoke::mf_protected, 508, 14},	//75 QGLColormap::handle()
    {28, 815, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {28, 799, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {28, 921, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {29, 67, 43, 2, Smoke::mf_ctor, 141, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 67, 46, 1, Smoke::mf_ctor, 141, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {29, 276, 48, 1, Smoke::mf_virtual, 376, 3},	//81 QGLContext::create(const QGLContext*)
    {29, 367, 0, 0, Smoke::mf_const, 376, 4},	//82 QGLContext::isValid() const
    {29, 366, 0, 0, Smoke::mf_const, 376, 5},	//83 QGLContext::isSharing() const
    {29, 738, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {29, 232, 50, 2, Smoke::mf_static, 376, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 327, 0, 0, Smoke::mf_const, 143, 8},	//86 QGLContext::format() const
    {29, 737, 0, 0, Smoke::mf_const, 143, 9},	//87 QGLContext::requestedFormat() const
    {29, 805, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {29, 375, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {29, 296, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {29, 886, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {29, 244, 53, 4, 0, 507, 14},	//92 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 244, 58, 4, 0, 507, 15},	//93 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 244, 63, 3, 0, 507, 16},	//94 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {29, 244, 67, 3, 0, 507, 17},	//95 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {29, 244, 71, 1, 0, 507, 18},	//96 QGLContext::bindTexture(const QString&)
    {29, 283, 36, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(unsigned int)
    {29, 301, 73, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {29, 301, 77, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {29, 849, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {29, 892, 0, 0, Smoke::mf_static, 498, 23},	//101 QGLContext::textureCacheLimit()
    {29, 334, 71, 1, Smoke::mf_const, 514, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {29, 290, 0, 0, Smoke::mf_const, 203, 25},	//103 QGLContext::device() const
    {29, 456, 0, 0, Smoke::mf_const, 22, 26},	//104 QGLContext::overlayTransparentColor() const
    {29, 278, 0, 0, Smoke::mf_static, 395, 27},	//105 QGLContext::currentContext()
    {29, 260, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {29, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected, 376, 29},	//107 QGLContext::deviceIsPixmap() const
    {29, 916, 0, 0, Smoke::mf_const|Smoke::mf_protected, 376, 30},	//108 QGLContext::windowCreated() const
    {29, 872, 81, 1, Smoke::mf_protected, 0, 31},	//109 QGLContext::setWindowCreated(bool)
    {29, 357, 0, 0, Smoke::mf_const|Smoke::mf_protected, 376, 32},	//110 QGLContext::initialized() const
    {29, 817, 81, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setInitialized(bool)
    {29, 329, 83, 2, Smoke::mf_protected, 0, 34},	//112 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 263, 86, 1, Smoke::mf_const|Smoke::mf_protected, 507, 35},	//113 QGLContext::colorIndex(const QColor&) const
    {29, 867, 81, 1, Smoke::mf_protected, 0, 36},	//114 QGLContext::setValid(bool)
    {29, 793, 88, 1, Smoke::mf_protected, 0, 37},	//115 QGLContext::setDevice(QPaintDevice*)
    {29, 276, 0, 0, 0, 376, 38},	//116 QGLContext::create()
    {29, 244, 90, 1, 0, 507, 39},	//117 QGLContext::bindTexture(const QImage&)
    {29, 244, 92, 2, 0, 507, 40},	//118 QGLContext::bindTexture(const QImage&, unsigned int)
    {29, 244, 95, 1, 0, 507, 41},	//119 QGLContext::bindTexture(const QPixmap&)
    {29, 244, 97, 2, 0, 507, 42},	//120 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {29, 301, 100, 2, 0, 0, 43},	//121 QGLContext::drawTexture(const QRectF&, unsigned int)
    {29, 301, 103, 2, 0, 0, 44},	//122 QGLContext::drawTexture(const QPointF&, unsigned int)
    {29, 260, 0, 0, Smoke::mf_protected, 376, 45},	//123 QGLContext::chooseContext()
    {29, 279, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 141, 46},	//124 QGLContext::currentCtx() const
    {29, 783, 106, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 47},	//125 QGLContext::setCurrentCtx(QGLContext*)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 48},	//126 QGLContext::NoBindOption (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 49},	//127 QGLContext::InvertedYBindOption (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 50},	//128 QGLContext::MipmapBindOption (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 51},	//129 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 52},	//130 QGLContext::LinearFilteringBindOption (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 53},	//131 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 54},	//132 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 55},	//133 QGLContext::DefaultBindOption (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 56},	//134 QGLContext::InternalBindOption (enum)
    {29, 922, 0, 0, Smoke::mf_dtor, 0, 57 },	//135 QGLContext::~QGLContext()
    {30, 70, 0, 0, Smoke::mf_ctor, 145, 1},	//136 QGLFormat::QGLFormat()
    {30, 70, 108, 2, Smoke::mf_ctor, 145, 2},	//137 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 70, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//138 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 428, 46, 1, 0, 144, 4},	//139 QGLFormat::operator=(const QGLFormat&)
    {30, 791, 20, 1, 0, 0, 5},	//140 QGLFormat::setDepthBufferSize(int)
    {30, 286, 0, 0, Smoke::mf_const, 498, 6},	//141 QGLFormat::depthBufferSize() const
    {30, 750, 20, 1, 0, 0, 7},	//142 QGLFormat::setAccumBufferSize(int)
    {30, 218, 0, 0, Smoke::mf_const, 498, 8},	//143 QGLFormat::accumBufferSize() const
    {30, 833, 20, 1, 0, 0, 9},	//144 QGLFormat::setRedBufferSize(int)
    {30, 719, 0, 0, Smoke::mf_const, 498, 10},	//145 QGLFormat::redBufferSize() const
    {30, 813, 20, 1, 0, 0, 11},	//146 QGLFormat::setGreenBufferSize(int)
    {30, 340, 0, 0, Smoke::mf_const, 498, 12},	//147 QGLFormat::greenBufferSize() const
    {30, 775, 20, 1, 0, 0, 13},	//148 QGLFormat::setBlueBufferSize(int)
    {30, 256, 0, 0, Smoke::mf_const, 498, 14},	//149 QGLFormat::blueBufferSize() const
    {30, 754, 20, 1, 0, 0, 15},	//150 QGLFormat::setAlphaBufferSize(int)
    {30, 231, 0, 0, Smoke::mf_const, 498, 16},	//151 QGLFormat::alphaBufferSize() const
    {30, 843, 20, 1, 0, 0, 17},	//152 QGLFormat::setStencilBufferSize(int)
    {30, 883, 0, 0, Smoke::mf_const, 498, 18},	//153 QGLFormat::stencilBufferSize() const
    {30, 837, 81, 1, 0, 0, 19},	//154 QGLFormat::setSampleBuffers(bool)
    {30, 746, 0, 0, Smoke::mf_const, 376, 20},	//155 QGLFormat::sampleBuffers() const
    {30, 839, 20, 1, 0, 0, 21},	//156 QGLFormat::setSamples(int)
    {30, 747, 0, 0, Smoke::mf_const, 498, 22},	//157 QGLFormat::samples() const
    {30, 847, 20, 1, 0, 0, 23},	//158 QGLFormat::setSwapInterval(int)
    {30, 887, 0, 0, Smoke::mf_const, 498, 24},	//159 QGLFormat::swapInterval() const
    {30, 297, 0, 0, Smoke::mf_const, 376, 25},	//160 QGLFormat::doubleBuffer() const
    {30, 797, 81, 1, 0, 0, 26},	//161 QGLFormat::setDoubleBuffer(bool)
    {30, 285, 0, 0, Smoke::mf_const, 376, 27},	//162 QGLFormat::depth() const
    {30, 789, 81, 1, 0, 0, 28},	//163 QGLFormat::setDepth(bool)
    {30, 745, 0, 0, Smoke::mf_const, 376, 29},	//164 QGLFormat::rgba() const
    {30, 835, 81, 1, 0, 0, 30},	//165 QGLFormat::setRgba(bool)
    {30, 230, 0, 0, Smoke::mf_const, 376, 31},	//166 QGLFormat::alpha() const
    {30, 752, 81, 1, 0, 0, 32},	//167 QGLFormat::setAlpha(bool)
    {30, 217, 0, 0, Smoke::mf_const, 376, 33},	//168 QGLFormat::accum() const
    {30, 748, 81, 1, 0, 0, 34},	//169 QGLFormat::setAccum(bool)
    {30, 882, 0, 0, Smoke::mf_const, 376, 35},	//170 QGLFormat::stencil() const
    {30, 841, 81, 1, 0, 0, 36},	//171 QGLFormat::setStencil(bool)
    {30, 884, 0, 0, Smoke::mf_const, 376, 37},	//172 QGLFormat::stereo() const
    {30, 845, 81, 1, 0, 0, 38},	//173 QGLFormat::setStereo(bool)
    {30, 292, 0, 0, Smoke::mf_const, 376, 39},	//174 QGLFormat::directRendering() const
    {30, 795, 81, 1, 0, 0, 40},	//175 QGLFormat::setDirectRendering(bool)
    {30, 352, 0, 0, Smoke::mf_const, 376, 41},	//176 QGLFormat::hasOverlay() const
    {30, 825, 81, 1, 0, 0, 42},	//177 QGLFormat::setOverlay(bool)
    {30, 463, 0, 0, Smoke::mf_const, 498, 43},	//178 QGLFormat::plane() const
    {30, 827, 20, 1, 0, 0, 44},	//179 QGLFormat::setPlane(int)
    {30, 823, 111, 1, 0, 0, 45},	//180 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 889, 111, 1, Smoke::mf_const, 376, 46},	//181 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 281, 0, 0, Smoke::mf_static, 143, 47},	//182 QGLFormat::defaultFormat()
    {30, 785, 46, 1, Smoke::mf_static, 0, 48},	//183 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 282, 0, 0, Smoke::mf_static, 143, 49},	//184 QGLFormat::defaultOverlayFormat()
    {30, 787, 46, 1, Smoke::mf_static, 0, 50},	//185 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 342, 0, 0, Smoke::mf_static, 376, 51},	//186 QGLFormat::hasOpenGL()
    {30, 345, 0, 0, Smoke::mf_static, 376, 52},	//187 QGLFormat::hasOpenGLOverlays()
    {30, 869, 113, 2, 0, 0, 53},	//188 QGLFormat::setVersion(int, int)
    {30, 374, 0, 0, Smoke::mf_const, 498, 54},	//189 QGLFormat::majorVersion() const
    {30, 384, 0, 0, Smoke::mf_const, 498, 55},	//190 QGLFormat::minorVersion() const
    {30, 831, 116, 1, 0, 0, 56},	//191 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {30, 464, 0, 0, Smoke::mf_const, 146, 57},	//192 QGLFormat::profile() const
    {30, 390, 0, 0, Smoke::mf_static, 68, 58},	//193 QGLFormat::openGLVersionFlags()
    {30, 70, 111, 1, Smoke::mf_ctor, 145, 59},	//194 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 60},	//195 QGLFormat::NoProfile (enum)
    {30, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 61},	//196 QGLFormat::CoreProfile (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 62},	//197 QGLFormat::CompatibilityProfile (enum)
    {30, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 63},	//198 QGLFormat::OpenGL_Version_None (enum)
    {30, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 64},	//199 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 65},	//200 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 66},	//201 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 67},	//202 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 68},	//203 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 69},	//204 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 70},	//205 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 71},	//206 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 72},	//207 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 73},	//208 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 74},	//209 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 75},	//210 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 76},	//211 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 77},	//212 QGLFormat::OpenGL_Version_3_1 (enum)
    {30, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 78},	//213 QGLFormat::OpenGL_Version_3_2 (enum)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 79},	//214 QGLFormat::OpenGL_Version_3_3 (enum)
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 80},	//215 QGLFormat::OpenGL_Version_4_0 (enum)
    {30, 923, 0, 0, Smoke::mf_dtor, 0, 81 },	//216 QGLFormat::~QGLFormat()
    {31, 74, 118, 2, Smoke::mf_ctor, 148, 1},	//217 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {31, 74, 121, 3, Smoke::mf_ctor, 148, 2},	//218 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {31, 74, 125, 4, Smoke::mf_ctor, 148, 3},	//219 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 74, 130, 5, Smoke::mf_ctor, 148, 4},	//220 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 74, 136, 2, Smoke::mf_ctor, 148, 5},	//221 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 74, 139, 3, Smoke::mf_ctor, 148, 6},	//222 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 327, 0, 0, Smoke::mf_const, 150, 7},	//223 QGLFramebufferObject::format() const
    {31, 367, 0, 0, Smoke::mf_const, 376, 8},	//224 QGLFramebufferObject::isValid() const
    {31, 361, 0, 0, Smoke::mf_const, 376, 9},	//225 QGLFramebufferObject::isBound() const
    {31, 239, 0, 0, 0, 376, 10},	//226 QGLFramebufferObject::bind()
    {31, 720, 0, 0, 0, 376, 11},	//227 QGLFramebufferObject::release()
    {31, 891, 0, 0, Smoke::mf_const, 507, 12},	//228 QGLFramebufferObject::texture() const
    {31, 878, 0, 0, Smoke::mf_const, 236, 13},	//229 QGLFramebufferObject::size() const
    {31, 895, 0, 0, Smoke::mf_const, 171, 14},	//230 QGLFramebufferObject::toImage() const
    {31, 234, 0, 0, Smoke::mf_const, 149, 15},	//231 QGLFramebufferObject::attachment() const
    {31, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//232 QGLFramebufferObject::paintEngine() const
    {31, 341, 0, 0, Smoke::mf_const, 507, 17},	//233 QGLFramebufferObject::handle() const
    {31, 243, 0, 0, Smoke::mf_static, 376, 18},	//234 QGLFramebufferObject::bindDefault()
    {31, 344, 0, 0, Smoke::mf_static, 376, 19},	//235 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 301, 73, 3, 0, 0, 20},	//236 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {31, 301, 77, 3, 0, 0, 21},	//237 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {31, 343, 0, 0, Smoke::mf_static, 376, 22},	//238 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 252, 143, 6, Smoke::mf_static, 0, 23},	//239 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {31, 381, 150, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 498, 24},	//240 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 289, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 498, 25},	//241 QGLFramebufferObject::devType() const
    {31, 74, 152, 1, Smoke::mf_ctor, 148, 26},	//242 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 74, 113, 2, Smoke::mf_ctor, 148, 27},	//243 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 74, 154, 2, Smoke::mf_ctor, 148, 28},	//244 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 74, 157, 3, Smoke::mf_ctor, 148, 29},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {31, 74, 161, 3, Smoke::mf_ctor, 148, 30},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 74, 165, 4, Smoke::mf_ctor, 148, 31},	//247 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {31, 301, 100, 2, 0, 0, 32},	//248 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {31, 301, 103, 2, 0, 0, 33},	//249 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {31, 252, 170, 4, Smoke::mf_static, 0, 34},	//250 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 252, 175, 5, Smoke::mf_static, 0, 35},	//251 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {31, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 36},	//252 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 37},	//253 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 38},	//254 QGLFramebufferObject::Depth (enum)
    {31, 924, 0, 0, Smoke::mf_dtor, 0, 39 },	//255 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 85, 0, 0, Smoke::mf_ctor, 152, 1},	//256 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 85, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 2},	//257 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 428, 181, 1, 0, 151, 3},	//258 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 839, 20, 1, 0, 0, 4},	//259 QGLFramebufferObjectFormat::setSamples(int)
    {32, 747, 0, 0, Smoke::mf_const, 498, 5},	//260 QGLFramebufferObjectFormat::samples() const
    {32, 756, 183, 1, 0, 0, 6},	//261 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 234, 0, 0, Smoke::mf_const, 149, 7},	//262 QGLFramebufferObjectFormat::attachment() const
    {32, 851, 36, 1, 0, 0, 8},	//263 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {32, 893, 0, 0, Smoke::mf_const, 507, 9},	//264 QGLFramebufferObjectFormat::textureTarget() const
    {32, 819, 36, 1, 0, 0, 10},	//265 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {32, 360, 0, 0, Smoke::mf_const, 507, 11},	//266 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 430, 181, 1, Smoke::mf_const, 376, 12},	//267 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 391, 181, 1, Smoke::mf_const, 376, 13},	//268 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 925, 0, 0, Smoke::mf_dtor, 0, 14 },	//269 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 87, 185, 3, Smoke::mf_ctor, 153, 1},	//270 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 87, 189, 4, Smoke::mf_ctor, 153, 2},	//271 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 367, 0, 0, Smoke::mf_const, 376, 3},	//272 QGLPixelBuffer::isValid() const
    {33, 375, 0, 0, 0, 376, 4},	//273 QGLPixelBuffer::makeCurrent()
    {33, 296, 0, 0, 0, 376, 5},	//274 QGLPixelBuffer::doneCurrent()
    {33, 328, 0, 0, Smoke::mf_const, 507, 6},	//275 QGLPixelBuffer::generateDynamicTexture() const
    {33, 250, 36, 1, 0, 376, 7},	//276 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {33, 722, 0, 0, 0, 0, 8},	//277 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 909, 36, 1, Smoke::mf_const, 0, 9},	//278 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {33, 244, 92, 2, 0, 507, 10},	//279 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {33, 244, 97, 2, 0, 507, 11},	//280 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {33, 244, 71, 1, 0, 507, 12},	//281 QGLPixelBuffer::bindTexture(const QString&)
    {33, 283, 36, 1, 0, 0, 13},	//282 QGLPixelBuffer::deleteTexture(unsigned int)
    {33, 301, 73, 3, 0, 0, 14},	//283 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {33, 301, 77, 3, 0, 0, 15},	//284 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {33, 878, 0, 0, Smoke::mf_const, 236, 16},	//285 QGLPixelBuffer::size() const
    {33, 341, 0, 0, Smoke::mf_const, 508, 17},	//286 QGLPixelBuffer::handle() const
    {33, 895, 0, 0, Smoke::mf_const, 171, 18},	//287 QGLPixelBuffer::toImage() const
    {33, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 19},	//288 QGLPixelBuffer::paintEngine() const
    {33, 327, 0, 0, Smoke::mf_const, 143, 20},	//289 QGLPixelBuffer::format() const
    {33, 346, 0, 0, Smoke::mf_static, 376, 21},	//290 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 381, 150, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 498, 22},	//291 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 289, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 498, 23},	//292 QGLPixelBuffer::devType() const
    {33, 87, 152, 1, Smoke::mf_ctor, 153, 24},	//293 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 87, 194, 2, Smoke::mf_ctor, 153, 25},	//294 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 87, 113, 2, Smoke::mf_ctor, 153, 26},	//295 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 87, 197, 3, Smoke::mf_ctor, 153, 27},	//296 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 244, 90, 1, 0, 507, 28},	//297 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 244, 95, 1, 0, 507, 29},	//298 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 301, 100, 2, 0, 0, 30},	//299 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {33, 301, 103, 2, 0, 0, 31},	//300 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {33, 926, 0, 0, Smoke::mf_dtor, 0, 32 },	//301 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 430, 1},	//302 QGLShader::metaObject() const
    {34, 706, 201, 1, Smoke::mf_virtual, 514, 2},	//303 QGLShader::qt_metacast(const char*)
    {34, 896, 203, 2, Smoke::mf_static, 243, 3},	//304 QGLShader::tr(const char*, const char*)
    {34, 900, 203, 2, Smoke::mf_static, 243, 4},	//305 QGLShader::trUtf8(const char*, const char*)
    {34, 896, 206, 3, Smoke::mf_static, 243, 5},	//306 QGLShader::tr(const char*, const char*, int)
    {34, 900, 206, 3, Smoke::mf_static, 243, 6},	//307 QGLShader::trUtf8(const char*, const char*, int)
    {34, 704, 210, 3, Smoke::mf_virtual, 498, 7},	//308 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 94, 214, 2, Smoke::mf_ctor, 154, 8},	//309 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 94, 217, 3, Smoke::mf_ctor, 154, 9},	//310 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 875, 0, 0, Smoke::mf_const, 69, 10},	//311 QGLShader::shaderType() const
    {34, 266, 201, 1, 0, 376, 11},	//312 QGLShader::compileSourceCode(const char*)
    {34, 266, 221, 1, 0, 376, 12},	//313 QGLShader::compileSourceCode(const QByteArray&)
    {34, 266, 71, 1, 0, 376, 13},	//314 QGLShader::compileSourceCode(const QString&)
    {34, 269, 71, 1, 0, 376, 14},	//315 QGLShader::compileSourceFile(const QString&)
    {34, 880, 0, 0, Smoke::mf_const, 16, 15},	//316 QGLShader::sourceCode() const
    {34, 362, 0, 0, Smoke::mf_const, 376, 16},	//317 QGLShader::isCompiled() const
    {34, 373, 0, 0, Smoke::mf_const, 243, 17},	//318 QGLShader::log() const
    {34, 874, 0, 0, Smoke::mf_const, 507, 18},	//319 QGLShader::shaderId() const
    {34, 349, 223, 2, Smoke::mf_static, 376, 19},	//320 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 896, 201, 1, Smoke::mf_static, 243, 20},	//321 QGLShader::tr(const char*)
    {34, 900, 201, 1, Smoke::mf_static, 243, 21},	//322 QGLShader::trUtf8(const char*)
    {34, 94, 226, 1, Smoke::mf_ctor, 154, 22},	//323 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 94, 223, 2, Smoke::mf_ctor, 154, 23},	//324 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 349, 226, 1, Smoke::mf_static, 376, 24},	//325 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {34, 881, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 429, 25},	//326 QGLShader::staticMetaObject() const
    {34, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 26},	//327 QGLShader::Vertex (enum)
    {34, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 27},	//328 QGLShader::Fragment (enum)
    {34, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 28},	//329 QGLShader::Geometry (enum)
    {34, 927, 0, 0, Smoke::mf_dtor, 0, 29 },	//330 QGLShader::~QGLShader()
    {35, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 430, 1},	//331 QGLShaderProgram::metaObject() const
    {35, 706, 201, 1, Smoke::mf_virtual, 514, 2},	//332 QGLShaderProgram::qt_metacast(const char*)
    {35, 896, 203, 2, Smoke::mf_static, 243, 3},	//333 QGLShaderProgram::tr(const char*, const char*)
    {35, 900, 203, 2, Smoke::mf_static, 243, 4},	//334 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 896, 206, 3, Smoke::mf_static, 243, 5},	//335 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 900, 206, 3, Smoke::mf_static, 243, 6},	//336 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 704, 210, 3, Smoke::mf_virtual, 498, 7},	//337 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 98, 228, 1, Smoke::mf_ctor, 156, 8},	//338 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 98, 230, 2, Smoke::mf_ctor, 156, 9},	//339 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 220, 233, 1, 0, 376, 10},	//340 QGLShaderProgram::addShader(QGLShader*)
    {35, 724, 233, 1, 0, 0, 11},	//341 QGLShaderProgram::removeShader(QGLShader*)
    {35, 876, 0, 0, Smoke::mf_const, 186, 12},	//342 QGLShaderProgram::shaders() const
    {35, 222, 235, 2, 0, 376, 13},	//343 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 222, 238, 2, 0, 376, 14},	//344 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 222, 241, 2, 0, 376, 15},	//345 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 225, 241, 2, 0, 376, 16},	//346 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 723, 0, 0, 0, 0, 17},	//347 QGLShaderProgram::removeAllShaders()
    {35, 372, 0, 0, Smoke::mf_virtual, 376, 18},	//348 QGLShaderProgram::link()
    {35, 365, 0, 0, Smoke::mf_const, 376, 19},	//349 QGLShaderProgram::isLinked() const
    {35, 373, 0, 0, Smoke::mf_const, 243, 20},	//350 QGLShaderProgram::log() const
    {35, 239, 0, 0, 0, 376, 21},	//351 QGLShaderProgram::bind()
    {35, 720, 0, 0, 0, 0, 22},	//352 QGLShaderProgram::release()
    {35, 465, 0, 0, Smoke::mf_const, 507, 23},	//353 QGLShaderProgram::programId() const
    {35, 379, 0, 0, Smoke::mf_const, 498, 24},	//354 QGLShaderProgram::maxGeometryOutputVertices() const
    {35, 811, 20, 1, 0, 0, 25},	//355 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {35, 333, 0, 0, Smoke::mf_const, 498, 26},	//356 QGLShaderProgram::geometryOutputVertexCount() const
    {35, 807, 36, 1, 0, 0, 27},	//357 QGLShaderProgram::setGeometryInputType(unsigned int)
    {35, 331, 0, 0, Smoke::mf_const, 507, 28},	//358 QGLShaderProgram::geometryInputType() const
    {35, 809, 36, 1, 0, 0, 29},	//359 QGLShaderProgram::setGeometryOutputType(unsigned int)
    {35, 332, 0, 0, Smoke::mf_const, 507, 30},	//360 QGLShaderProgram::geometryOutputType() const
    {35, 240, 244, 2, 0, 0, 31},	//361 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 240, 247, 2, 0, 0, 32},	//362 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 240, 250, 2, 0, 0, 33},	//363 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 235, 201, 1, Smoke::mf_const, 498, 34},	//364 QGLShaderProgram::attributeLocation(const char*) const
    {35, 235, 221, 1, Smoke::mf_const, 498, 35},	//365 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 235, 71, 1, Smoke::mf_const, 498, 36},	//366 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 767, 253, 2, 0, 0, 37},	//367 QGLShaderProgram::setAttributeValue(int, float)
    {35, 767, 256, 3, 0, 0, 38},	//368 QGLShaderProgram::setAttributeValue(int, float, float)
    {35, 767, 260, 4, 0, 0, 39},	//369 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {35, 767, 265, 5, 0, 0, 40},	//370 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {35, 767, 271, 2, 0, 0, 41},	//371 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 767, 274, 2, 0, 0, 42},	//372 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 767, 277, 2, 0, 0, 43},	//373 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 767, 33, 2, 0, 0, 44},	//374 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 767, 280, 4, 0, 0, 45},	//375 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {35, 767, 285, 2, 0, 0, 46},	//376 QGLShaderProgram::setAttributeValue(const char*, float)
    {35, 767, 288, 3, 0, 0, 47},	//377 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {35, 767, 292, 4, 0, 0, 48},	//378 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {35, 767, 297, 5, 0, 0, 49},	//379 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {35, 767, 303, 2, 0, 0, 50},	//380 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 767, 306, 2, 0, 0, 51},	//381 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 767, 309, 2, 0, 0, 52},	//382 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 767, 312, 2, 0, 0, 53},	//383 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 767, 315, 4, 0, 0, 54},	//384 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {35, 758, 280, 4, 0, 0, 55},	//385 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {35, 758, 320, 3, 0, 0, 56},	//386 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 758, 324, 3, 0, 0, 57},	//387 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 758, 328, 3, 0, 0, 58},	//388 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 758, 332, 5, 0, 0, 59},	//389 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    {35, 758, 315, 4, 0, 0, 60},	//390 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {35, 758, 338, 3, 0, 0, 61},	//391 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 758, 342, 3, 0, 0, 62},	//392 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 758, 346, 3, 0, 0, 63},	//393 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 758, 350, 5, 0, 0, 64},	//394 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    {35, 764, 356, 5, 0, 0, 65},	//395 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    {35, 764, 362, 5, 0, 0, 66},	//396 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    {35, 305, 20, 1, 0, 0, 67},	//397 QGLShaderProgram::enableAttributeArray(int)
    {35, 305, 201, 1, 0, 0, 68},	//398 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 293, 20, 1, 0, 0, 69},	//399 QGLShaderProgram::disableAttributeArray(int)
    {35, 293, 201, 1, 0, 0, 70},	//400 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 905, 201, 1, Smoke::mf_const, 498, 71},	//401 QGLShaderProgram::uniformLocation(const char*) const
    {35, 905, 221, 1, Smoke::mf_const, 498, 72},	//402 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 905, 71, 1, Smoke::mf_const, 498, 73},	//403 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 853, 253, 2, 0, 0, 74},	//404 QGLShaderProgram::setUniformValue(int, float)
    {35, 853, 113, 2, 0, 0, 75},	//405 QGLShaderProgram::setUniformValue(int, int)
    {35, 853, 30, 2, 0, 0, 76},	//406 QGLShaderProgram::setUniformValue(int, unsigned int)
    {35, 853, 256, 3, 0, 0, 77},	//407 QGLShaderProgram::setUniformValue(int, float, float)
    {35, 853, 260, 4, 0, 0, 78},	//408 QGLShaderProgram::setUniformValue(int, float, float, float)
    {35, 853, 265, 5, 0, 0, 79},	//409 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {35, 853, 271, 2, 0, 0, 80},	//410 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 853, 274, 2, 0, 0, 81},	//411 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 853, 277, 2, 0, 0, 82},	//412 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 853, 33, 2, 0, 0, 83},	//413 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 853, 368, 2, 0, 0, 84},	//414 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 853, 371, 2, 0, 0, 85},	//415 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 853, 374, 2, 0, 0, 86},	//416 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 853, 377, 2, 0, 0, 87},	//417 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 853, 380, 2, 0, 0, 88},	//418 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 853, 383, 2, 0, 0, 89},	//419 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 853, 386, 2, 0, 0, 90},	//420 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 853, 389, 2, 0, 0, 91},	//421 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 853, 392, 2, 0, 0, 92},	//422 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 853, 395, 2, 0, 0, 93},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 853, 398, 2, 0, 0, 94},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 853, 401, 2, 0, 0, 95},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 853, 404, 2, 0, 0, 96},	//426 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 853, 407, 2, 0, 0, 97},	//427 QGLShaderProgram::setUniformValue(int, const float[2][2])
    {35, 853, 410, 2, 0, 0, 98},	//428 QGLShaderProgram::setUniformValue(int, const float[3][3])
    {35, 853, 413, 2, 0, 0, 99},	//429 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {35, 853, 416, 2, 0, 0, 100},	//430 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 853, 285, 2, 0, 0, 101},	//431 QGLShaderProgram::setUniformValue(const char*, float)
    {35, 853, 244, 2, 0, 0, 102},	//432 QGLShaderProgram::setUniformValue(const char*, int)
    {35, 853, 419, 2, 0, 0, 103},	//433 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {35, 853, 288, 3, 0, 0, 104},	//434 QGLShaderProgram::setUniformValue(const char*, float, float)
    {35, 853, 292, 4, 0, 0, 105},	//435 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {35, 853, 297, 5, 0, 0, 106},	//436 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {35, 853, 303, 2, 0, 0, 107},	//437 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 853, 306, 2, 0, 0, 108},	//438 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 853, 309, 2, 0, 0, 109},	//439 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 853, 312, 2, 0, 0, 110},	//440 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 853, 422, 2, 0, 0, 111},	//441 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 853, 425, 2, 0, 0, 112},	//442 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 853, 428, 2, 0, 0, 113},	//443 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 853, 431, 2, 0, 0, 114},	//444 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 853, 434, 2, 0, 0, 115},	//445 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 853, 437, 2, 0, 0, 116},	//446 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 853, 440, 2, 0, 0, 117},	//447 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 853, 443, 2, 0, 0, 118},	//448 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 853, 446, 2, 0, 0, 119},	//449 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 853, 449, 2, 0, 0, 120},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 853, 452, 2, 0, 0, 121},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 853, 455, 2, 0, 0, 122},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 853, 458, 2, 0, 0, 123},	//453 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 853, 461, 2, 0, 0, 124},	//454 QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    {35, 853, 464, 2, 0, 0, 125},	//455 QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    {35, 853, 467, 2, 0, 0, 126},	//456 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {35, 853, 470, 2, 0, 0, 127},	//457 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 860, 280, 4, 0, 0, 128},	//458 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {35, 860, 473, 3, 0, 0, 129},	//459 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {35, 860, 26, 3, 0, 0, 130},	//460 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {35, 860, 320, 3, 0, 0, 131},	//461 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 860, 324, 3, 0, 0, 132},	//462 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 860, 328, 3, 0, 0, 133},	//463 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 860, 477, 3, 0, 0, 134},	//464 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 860, 481, 3, 0, 0, 135},	//465 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 860, 485, 3, 0, 0, 136},	//466 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 860, 489, 3, 0, 0, 137},	//467 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 860, 493, 3, 0, 0, 138},	//468 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 860, 497, 3, 0, 0, 139},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 860, 501, 3, 0, 0, 140},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 860, 505, 3, 0, 0, 141},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 860, 509, 3, 0, 0, 142},	//472 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 860, 315, 4, 0, 0, 143},	//473 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {35, 860, 513, 3, 0, 0, 144},	//474 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {35, 860, 517, 3, 0, 0, 145},	//475 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {35, 860, 338, 3, 0, 0, 146},	//476 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 860, 342, 3, 0, 0, 147},	//477 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 860, 346, 3, 0, 0, 148},	//478 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 860, 521, 3, 0, 0, 149},	//479 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 860, 525, 3, 0, 0, 150},	//480 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 860, 529, 3, 0, 0, 151},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 860, 533, 3, 0, 0, 152},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 860, 537, 3, 0, 0, 153},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 860, 541, 3, 0, 0, 154},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 860, 545, 3, 0, 0, 155},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 860, 549, 3, 0, 0, 156},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 860, 553, 3, 0, 0, 157},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 347, 48, 1, Smoke::mf_static, 376, 158},	//488 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 896, 201, 1, Smoke::mf_static, 243, 159},	//489 QGLShaderProgram::tr(const char*)
    {35, 900, 201, 1, Smoke::mf_static, 243, 160},	//490 QGLShaderProgram::trUtf8(const char*)
    {35, 98, 0, 0, Smoke::mf_ctor, 156, 161},	//491 QGLShaderProgram::QGLShaderProgram()
    {35, 98, 48, 1, Smoke::mf_ctor, 156, 162},	//492 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 758, 557, 3, 0, 0, 163},	//493 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {35, 758, 561, 2, 0, 0, 164},	//494 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 758, 564, 2, 0, 0, 165},	//495 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 758, 567, 2, 0, 0, 166},	//496 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 758, 570, 4, 0, 0, 167},	//497 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    {35, 758, 575, 3, 0, 0, 168},	//498 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {35, 758, 579, 2, 0, 0, 169},	//499 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 758, 582, 2, 0, 0, 170},	//500 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 758, 585, 2, 0, 0, 171},	//501 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 758, 588, 4, 0, 0, 172},	//502 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    {35, 764, 593, 4, 0, 0, 173},	//503 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    {35, 764, 598, 4, 0, 0, 174},	//504 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    {35, 347, 0, 0, Smoke::mf_static, 376, 175},	//505 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 881, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 429, 176},	//506 QGLShaderProgram::staticMetaObject() const
    {35, 928, 0, 0, Smoke::mf_dtor, 0, 177 },	//507 QGLShaderProgram::~QGLShaderProgram()
    {36, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 430, 1},	//508 QGLWidget::metaObject() const
    {36, 706, 201, 1, Smoke::mf_virtual, 514, 2},	//509 QGLWidget::qt_metacast(const char*)
    {36, 896, 203, 2, Smoke::mf_static, 243, 3},	//510 QGLWidget::tr(const char*, const char*)
    {36, 900, 203, 2, Smoke::mf_static, 243, 4},	//511 QGLWidget::trUtf8(const char*, const char*)
    {36, 896, 206, 3, Smoke::mf_static, 243, 5},	//512 QGLWidget::tr(const char*, const char*, int)
    {36, 900, 206, 3, Smoke::mf_static, 243, 6},	//513 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 704, 210, 3, Smoke::mf_virtual, 498, 7},	//514 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 101, 603, 3, Smoke::mf_ctor, 157, 8},	//515 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 101, 607, 4, Smoke::mf_ctor, 157, 9},	//516 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 101, 612, 4, Smoke::mf_ctor, 157, 10},	//517 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 661, 86, 1, Smoke::mf_const, 0, 11},	//518 QGLWidget::qglColor(const QColor&) const
    {36, 659, 86, 1, Smoke::mf_const, 0, 12},	//519 QGLWidget::qglClearColor(const QColor&) const
    {36, 367, 0, 0, Smoke::mf_const, 376, 13},	//520 QGLWidget::isValid() const
    {36, 366, 0, 0, Smoke::mf_const, 376, 14},	//521 QGLWidget::isSharing() const
    {36, 375, 0, 0, 0, 0, 15},	//522 QGLWidget::makeCurrent()
    {36, 296, 0, 0, 0, 0, 16},	//523 QGLWidget::doneCurrent()
    {36, 297, 0, 0, Smoke::mf_const, 376, 17},	//524 QGLWidget::doubleBuffer() const
    {36, 886, 0, 0, 0, 0, 18},	//525 QGLWidget::swapBuffers()
    {36, 327, 0, 0, Smoke::mf_const, 143, 19},	//526 QGLWidget::format() const
    {36, 805, 46, 1, 0, 0, 20},	//527 QGLWidget::setFormat(const QGLFormat&)
    {36, 272, 0, 0, Smoke::mf_const, 395, 21},	//528 QGLWidget::context() const
    {36, 779, 617, 3, 0, 0, 22},	//529 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 726, 621, 3, 0, 218, 23},	//530 QGLWidget::renderPixmap(int, int, bool)
    {36, 338, 81, 1, 0, 171, 24},	//531 QGLWidget::grabFrameBuffer(bool)
    {36, 376, 0, 0, 0, 0, 25},	//532 QGLWidget::makeOverlayCurrent()
    {36, 455, 0, 0, Smoke::mf_const, 395, 26},	//533 QGLWidget::overlayContext() const
    {36, 274, 90, 1, Smoke::mf_static, 171, 27},	//534 QGLWidget::convertToGLFormat(const QImage&)
    {36, 821, 81, 1, 0, 0, 28},	//535 QGLWidget::setMouseTracking(bool)
    {36, 265, 0, 0, Smoke::mf_const, 394, 29},	//536 QGLWidget::colormap() const
    {36, 777, 24, 1, 0, 0, 30},	//537 QGLWidget::setColormap(const QGLColormap&)
    {36, 730, 625, 5, 0, 0, 31},	//538 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 730, 631, 6, 0, 0, 32},	//539 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 33},	//540 QGLWidget::paintEngine() const
    {36, 244, 53, 4, 0, 507, 34},	//541 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 244, 58, 4, 0, 507, 35},	//542 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 244, 63, 3, 0, 507, 36},	//543 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {36, 244, 67, 3, 0, 507, 37},	//544 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {36, 244, 71, 1, 0, 507, 38},	//545 QGLWidget::bindTexture(const QString&)
    {36, 283, 36, 1, 0, 0, 39},	//546 QGLWidget::deleteTexture(unsigned int)
    {36, 301, 73, 3, 0, 0, 40},	//547 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {36, 301, 77, 3, 0, 0, 41},	//548 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {36, 911, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//549 QGLWidget::updateGL()
    {36, 912, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//550 QGLWidget::updateOverlayGL()
    {36, 313, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 44},	//551 QGLWidget::event(QEvent*)
    {36, 355, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//552 QGLWidget::initializeGL()
    {36, 741, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//553 QGLWidget::resizeGL(int, int)
    {36, 460, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//554 QGLWidget::paintGL()
    {36, 356, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//555 QGLWidget::initializeOverlayGL()
    {36, 743, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//556 QGLWidget::resizeOverlayGL(int, int)
    {36, 461, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//557 QGLWidget::paintOverlayGL()
    {36, 773, 81, 1, Smoke::mf_protected, 0, 51},	//558 QGLWidget::setAutoBufferSwap(bool)
    {36, 238, 0, 0, Smoke::mf_const|Smoke::mf_protected, 376, 52},	//559 QGLWidget::autoBufferSwap() const
    {36, 458, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//560 QGLWidget::paintEvent(QPaintEvent*)
    {36, 739, 642, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//561 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 337, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//562 QGLWidget::glInit()
    {36, 336, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//563 QGLWidget::glDraw()
    {36, 324, 83, 2, Smoke::mf_protected, 498, 57},	//564 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 896, 201, 1, Smoke::mf_static, 243, 58},	//565 QGLWidget::tr(const char*)
    {36, 900, 201, 1, Smoke::mf_static, 243, 59},	//566 QGLWidget::trUtf8(const char*)
    {36, 101, 0, 0, Smoke::mf_ctor, 157, 60},	//567 QGLWidget::QGLWidget()
    {36, 101, 644, 1, Smoke::mf_ctor, 157, 61},	//568 QGLWidget::QGLWidget(QWidget*)
    {36, 101, 646, 2, Smoke::mf_ctor, 157, 62},	//569 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 101, 106, 1, Smoke::mf_ctor, 157, 63},	//570 QGLWidget::QGLWidget(QGLContext*)
    {36, 101, 649, 2, Smoke::mf_ctor, 157, 64},	//571 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 101, 652, 3, Smoke::mf_ctor, 157, 65},	//572 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 101, 46, 1, Smoke::mf_ctor, 157, 66},	//573 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 101, 656, 2, Smoke::mf_ctor, 157, 67},	//574 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 101, 659, 3, Smoke::mf_ctor, 157, 68},	//575 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 779, 106, 1, 0, 0, 69},	//576 QGLWidget::setContext(QGLContext*)
    {36, 779, 663, 2, 0, 0, 70},	//577 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 726, 0, 0, 0, 218, 71},	//578 QGLWidget::renderPixmap()
    {36, 726, 20, 1, 0, 218, 72},	//579 QGLWidget::renderPixmap(int)
    {36, 726, 113, 2, 0, 218, 73},	//580 QGLWidget::renderPixmap(int, int)
    {36, 338, 0, 0, 0, 171, 74},	//581 QGLWidget::grabFrameBuffer()
    {36, 730, 666, 3, 0, 0, 75},	//582 QGLWidget::renderText(int, int, const QString&)
    {36, 730, 670, 4, 0, 0, 76},	//583 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 730, 675, 4, 0, 0, 77},	//584 QGLWidget::renderText(double, double, double, const QString&)
    {36, 730, 680, 5, 0, 0, 78},	//585 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 244, 90, 1, 0, 507, 79},	//586 QGLWidget::bindTexture(const QImage&)
    {36, 244, 92, 2, 0, 507, 80},	//587 QGLWidget::bindTexture(const QImage&, unsigned int)
    {36, 244, 95, 1, 0, 507, 81},	//588 QGLWidget::bindTexture(const QPixmap&)
    {36, 244, 97, 2, 0, 507, 82},	//589 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {36, 301, 100, 2, 0, 0, 83},	//590 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {36, 301, 103, 2, 0, 0, 84},	//591 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {36, 324, 686, 1, Smoke::mf_protected, 498, 85},	//592 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 881, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 429, 86},	//593 QGLWidget::staticMetaObject() const
    {36, 929, 0, 0, Smoke::mf_dtor, 0, 87 },	//594 QGLWidget::~QGLWidget()
    {37, 452, 688, 2, Smoke::mf_static, 174, 1},	//595 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 471, 0, 0, Smoke::mf_static, 8, 2},	//596 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 441, 691, 2, Smoke::mf_static, 376, 3},	//597 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 582, 694, 1, Smoke::mf_static, 507, 4},	//598 QGlobalSpace::qHash(unsigned long long)
    {37, 594, 696, 1, Smoke::mf_static, 376, 5},	//599 QGlobalSpace::qIsInf(double)
    {37, 452, 698, 2, Smoke::mf_static, 174, 6},	//600 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 408, 701, 2, Smoke::mf_static, 193, 7},	//601 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 452, 704, 2, Smoke::mf_static, 174, 8},	//602 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 430, 707, 2, Smoke::mf_static, 376, 9},	//603 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 391, 710, 2, Smoke::mf_static, 376, 10},	//604 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 689, 419, 2, Smoke::mf_static, 507, 11},	//605 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 606, 713, 3, Smoke::mf_static, 514, 12},	//606 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 708, 0, 0, Smoke::mf_static, 0, 13},	//607 QGlobalSpace::qt_noop()
    {37, 430, 717, 2, Smoke::mf_static, 376, 14},	//608 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 446, 720, 2, Smoke::mf_static, 27, 15},	//609 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 419, 723, 2, Smoke::mf_static, 31, 16},	//610 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 399, 726, 2, Smoke::mf_static, 222, 17},	//611 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 452, 729, 2, Smoke::mf_static, 87, 18},	//612 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 430, 732, 2, Smoke::mf_static, 376, 19},	//613 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 430, 735, 2, Smoke::mf_static, 376, 20},	//614 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 419, 738, 2, Smoke::mf_static, 27, 21},	//615 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 452, 741, 2, Smoke::mf_static, 104, 22},	//616 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 403, 744, 2, Smoke::mf_static, 382, 23},	//617 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 446, 747, 2, Smoke::mf_static, 27, 24},	//618 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 452, 750, 2, Smoke::mf_static, 95, 25},	//619 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 452, 753, 2, Smoke::mf_static, 84, 26},	//620 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 452, 756, 2, Smoke::mf_static, 62, 27},	//621 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 643, 759, 2, Smoke::mf_static, 376, 28},	//622 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 446, 762, 2, Smoke::mf_static, 27, 29},	//623 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 670, 744, 2, Smoke::mf_static, 498, 30},	//624 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 430, 765, 2, Smoke::mf_static, 376, 31},	//625 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 419, 768, 2, Smoke::mf_static, 27, 32},	//626 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 483, 771, 2, Smoke::mf_static, 496, 33},	//627 QGlobalSpace::qAtan2(double, double)
    {37, 446, 774, 2, Smoke::mf_static, 27, 34},	//628 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 441, 777, 2, Smoke::mf_static, 376, 35},	//629 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 594, 780, 1, Smoke::mf_static, 376, 36},	//630 QGlobalSpace::qIsInf(float)
    {37, 657, 201, 1, Smoke::mf_static, 16, 37},	//631 QGlobalSpace::qgetenv(const char*)
    {37, 582, 782, 1, Smoke::mf_static, 507, 38},	//632 QGlobalSpace::qHash(signed char)
    {37, 452, 784, 2, Smoke::mf_static, 174, 39},	//633 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 430, 787, 2, Smoke::mf_static, 376, 40},	//634 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 436, 744, 2, Smoke::mf_static, 376, 41},	//635 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 452, 790, 2, Smoke::mf_static, 174, 42},	//636 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 403, 701, 2, Smoke::mf_static, 193, 43},	//637 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 588, 696, 1, Smoke::mf_static, 498, 44},	//638 QGlobalSpace::qIntCast(double)
    {37, 634, 793, 1, Smoke::mf_static, 274, 45},	//639 QGlobalSpace::qSetPadChar(QChar)
    {37, 419, 795, 2, Smoke::mf_static, 27, 46},	//640 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 452, 798, 2, Smoke::mf_static, 86, 47},	//641 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 452, 801, 2, Smoke::mf_static, 94, 48},	//642 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 399, 804, 2, Smoke::mf_static, 220, 49},	//643 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 419, 807, 2, Smoke::mf_static, 27, 50},	//644 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 419, 810, 2, Smoke::mf_static, 31, 51},	//645 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 452, 813, 2, Smoke::mf_static, 70, 52},	//646 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 430, 816, 2, Smoke::mf_static, 376, 53},	//647 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 399, 819, 2, Smoke::mf_static, 291, 54},	//648 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 430, 822, 2, Smoke::mf_static, 376, 55},	//649 QGlobalSpace::operator==(QChar, QChar)
    {37, 419, 825, 2, Smoke::mf_static, 31, 56},	//650 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 399, 701, 2, Smoke::mf_static, 193, 57},	//651 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 452, 828, 2, Smoke::mf_static, 126, 58},	//652 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 408, 831, 1, Smoke::mf_static, 193, 59},	//653 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 582, 833, 1, Smoke::mf_static, 507, 60},	//654 QGlobalSpace::qHash(const QUrl&)
    {37, 582, 221, 1, Smoke::mf_static, 507, 61},	//655 QGlobalSpace::qHash(const QByteArray&)
    {37, 452, 835, 2, Smoke::mf_static, 174, 62},	//656 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 399, 838, 2, Smoke::mf_static, 193, 63},	//657 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 419, 841, 2, Smoke::mf_static, 27, 64},	//658 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 419, 844, 2, Smoke::mf_static, 31, 65},	//659 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 446, 847, 2, Smoke::mf_static, 27, 66},	//660 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 414, 822, 2, Smoke::mf_static, 376, 67},	//661 QGlobalSpace::operator<(QChar, QChar)
    {37, 446, 850, 2, Smoke::mf_static, 27, 68},	//662 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 452, 853, 2, Smoke::mf_static, 83, 69},	//663 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 441, 822, 2, Smoke::mf_static, 376, 70},	//664 QGlobalSpace::operator>=(QChar, QChar)
    {37, 391, 856, 2, Smoke::mf_static, 376, 71},	//665 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 419, 859, 2, Smoke::mf_static, 31, 72},	//666 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 414, 744, 2, Smoke::mf_static, 376, 73},	//667 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 419, 862, 2, Smoke::mf_static, 31, 74},	//668 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {37, 452, 865, 2, Smoke::mf_static, 111, 75},	//669 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 452, 868, 2, Smoke::mf_static, 125, 76},	//670 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 670, 203, 2, Smoke::mf_static, 498, 77},	//671 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 452, 871, 2, Smoke::mf_static, 174, 78},	//672 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 403, 707, 2, Smoke::mf_static, 481, 79},	//673 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 497, 696, 1, Smoke::mf_static, 496, 80},	//674 QGlobalSpace::qCos(double)
    {37, 452, 874, 2, Smoke::mf_static, 82, 81},	//675 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 436, 822, 2, Smoke::mf_static, 376, 82},	//676 QGlobalSpace::operator>(QChar, QChar)
    {37, 452, 877, 2, Smoke::mf_static, 128, 83},	//677 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 399, 880, 2, Smoke::mf_static, 454, 84},	//678 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 638, 0, 0, Smoke::mf_static, 376, 85},	//679 QGlobalSpace::qSharedBuild()
    {37, 430, 883, 2, Smoke::mf_static, 376, 86},	//680 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 452, 886, 2, Smoke::mf_static, 174, 87},	//681 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 452, 889, 2, Smoke::mf_static, 94, 88},	//682 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 391, 691, 2, Smoke::mf_static, 376, 89},	//683 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 408, 892, 2, Smoke::mf_static, 439, 90},	//684 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 467, 0, 0, Smoke::mf_static, 8, 91},	//685 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 419, 895, 2, Smoke::mf_static, 27, 92},	//686 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 452, 898, 2, Smoke::mf_static, 174, 93},	//687 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 452, 901, 2, Smoke::mf_static, 124, 94},	//688 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 452, 904, 2, Smoke::mf_static, 174, 95},	//689 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 408, 907, 2, Smoke::mf_static, 277, 96},	//690 QGlobalSpace::operator-(const QTransform&, double)
    {37, 452, 910, 2, Smoke::mf_static, 48, 97},	//691 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 582, 913, 1, Smoke::mf_static, 507, 98},	//692 QGlobalSpace::qHash(char)
    {37, 399, 707, 2, Smoke::mf_static, 481, 99},	//693 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 452, 915, 2, Smoke::mf_static, 112, 100},	//694 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 391, 732, 2, Smoke::mf_static, 376, 101},	//695 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 452, 918, 2, Smoke::mf_static, 108, 102},	//696 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 452, 921, 2, Smoke::mf_static, 174, 103},	//697 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 419, 924, 2, Smoke::mf_static, 31, 104},	//698 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 452, 927, 2, Smoke::mf_static, 174, 105},	//699 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 452, 930, 2, Smoke::mf_static, 174, 106},	//700 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 452, 933, 2, Smoke::mf_static, 70, 107},	//701 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 412, 936, 2, Smoke::mf_static, 439, 108},	//702 QGlobalSpace::operator/(const QPoint&, double)
    {37, 549, 939, 8, Smoke::mf_static, 0, 109},	//703 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 549, 948, 6, Smoke::mf_static, 0, 110},	//704 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 549, 955, 7, Smoke::mf_static, 0, 111},	//705 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 403, 892, 2, Smoke::mf_static, 439, 112},	//706 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 419, 963, 2, Smoke::mf_static, 27, 113},	//707 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 452, 966, 2, Smoke::mf_static, 58, 114},	//708 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 403, 969, 2, Smoke::mf_static, 459, 115},	//709 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 408, 972, 2, Smoke::mf_static, 454, 116},	//710 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 399, 975, 2, Smoke::mf_static, 289, 117},	//711 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 572, 978, 2, Smoke::mf_static, 376, 118},	//712 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 419, 981, 2, Smoke::mf_static, 31, 119},	//713 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 408, 707, 2, Smoke::mf_static, 481, 120},	//714 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 590, 696, 1, Smoke::mf_static, 376, 121},	//715 QGlobalSpace::qIsFinite(double)
    {37, 452, 984, 2, Smoke::mf_static, 63, 122},	//716 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 391, 777, 2, Smoke::mf_static, 376, 123},	//717 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 419, 987, 2, Smoke::mf_static, 27, 124},	//718 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 452, 990, 2, Smoke::mf_static, 120, 125},	//719 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 452, 993, 2, Smoke::mf_static, 174, 126},	//720 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 419, 996, 2, Smoke::mf_static, 31, 127},	//721 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 476, 36, 1, Smoke::mf_static, 498, 128},	//722 QGlobalSpace::qAlpha(unsigned int)
    {37, 419, 999, 2, Smoke::mf_static, 31, 129},	//723 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 452, 1002, 2, Smoke::mf_static, 59, 130},	//724 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 414, 1005, 2, Smoke::mf_static, 376, 131},	//725 QGlobalSpace::operator<(const char*, const QString&)
    {37, 577, 1008, 3, Smoke::mf_static, 498, 132},	//726 QGlobalSpace::qGray(int, int, int)
    {37, 452, 1012, 2, Smoke::mf_static, 75, 133},	//727 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 452, 1015, 2, Smoke::mf_static, 67, 134},	//728 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 419, 1018, 2, Smoke::mf_static, 27, 135},	//729 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 452, 1021, 2, Smoke::mf_static, 110, 136},	//730 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 403, 735, 2, Smoke::mf_static, 452, 137},	//731 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 452, 1024, 2, Smoke::mf_static, 126, 138},	//732 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 452, 1027, 2, Smoke::mf_static, 117, 139},	//733 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 700, 20, 1, Smoke::mf_static, 243, 140},	//734 QGlobalSpace::qt_error_string(int)
    {37, 700, 0, 0, Smoke::mf_static, 243, 141},	//735 QGlobalSpace::qt_error_string()
    {37, 403, 972, 2, Smoke::mf_static, 454, 142},	//736 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 412, 838, 2, Smoke::mf_static, 193, 143},	//737 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 452, 1030, 2, Smoke::mf_static, 174, 144},	//738 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 452, 1033, 2, Smoke::mf_static, 48, 145},	//739 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 452, 1036, 2, Smoke::mf_static, 174, 146},	//740 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 408, 978, 2, Smoke::mf_static, 484, 147},	//741 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 414, 1039, 2, Smoke::mf_static, 376, 148},	//742 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 648, 1042, 2, Smoke::mf_static, 16, 149},	//743 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 683, 1045, 3, Smoke::mf_static, 498, 150},	//744 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 646, 696, 1, Smoke::mf_static, 496, 151},	//745 QGlobalSpace::qTan(double)
    {37, 436, 717, 2, Smoke::mf_static, 376, 152},	//746 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 391, 1049, 2, Smoke::mf_static, 376, 153},	//747 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 430, 1052, 2, Smoke::mf_static, 376, 154},	//748 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 632, 20, 1, Smoke::mf_static, 274, 155},	//749 QGlobalSpace::qSetFieldWidth(int)
    {37, 452, 1055, 2, Smoke::mf_static, 97, 156},	//750 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 446, 1058, 2, Smoke::mf_static, 271, 157},	//751 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 582, 1061, 1, Smoke::mf_static, 507, 158},	//752 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 617, 36, 1, Smoke::mf_static, 498, 159},	//753 QGlobalSpace::qRed(unsigned int)
    {37, 452, 1063, 2, Smoke::mf_static, 115, 160},	//754 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 399, 907, 2, Smoke::mf_static, 277, 161},	//755 QGlobalSpace::operator*(const QTransform&, double)
    {37, 452, 1066, 2, Smoke::mf_static, 89, 162},	//756 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 566, 696, 1, Smoke::mf_static, 498, 163},	//757 QGlobalSpace::qFloor(double)
    {37, 419, 1069, 2, Smoke::mf_static, 31, 164},	//758 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 446, 1072, 2, Smoke::mf_static, 27, 165},	//759 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 590, 780, 1, Smoke::mf_static, 376, 166},	//760 QGlobalSpace::qIsFinite(float)
    {37, 403, 1075, 2, Smoke::mf_static, 459, 167},	//761 QGlobalSpace::operator+(const QString&, QChar)
    {37, 391, 1078, 2, Smoke::mf_static, 376, 168},	//762 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 399, 978, 2, Smoke::mf_static, 484, 169},	//763 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 452, 1081, 2, Smoke::mf_static, 51, 170},	//764 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 452, 1084, 2, Smoke::mf_static, 174, 171},	//765 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 653, 1087, 3, Smoke::mf_static, 0, 172},	//766 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 403, 777, 2, Smoke::mf_static, 382, 173},	//767 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 470, 0, 0, Smoke::mf_static, 8, 174},	//768 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 452, 1091, 2, Smoke::mf_static, 96, 175},	//769 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 452, 1094, 2, Smoke::mf_static, 102, 176},	//770 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 403, 759, 2, Smoke::mf_static, 459, 177},	//771 QGlobalSpace::operator+(const QString&, const char*)
    {37, 436, 1039, 2, Smoke::mf_static, 376, 178},	//772 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 452, 1097, 2, Smoke::mf_static, 123, 179},	//773 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 615, 1100, 4, Smoke::mf_static, 514, 180},	//774 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 419, 1105, 2, Smoke::mf_static, 27, 181},	//775 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 446, 1108, 2, Smoke::mf_static, 27, 182},	//776 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 403, 1111, 2, Smoke::mf_static, 459, 183},	//777 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 582, 36, 1, Smoke::mf_static, 507, 184},	//778 QGlobalSpace::qHash(unsigned int)
    {37, 572, 883, 2, Smoke::mf_static, 376, 185},	//779 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 452, 1114, 2, Smoke::mf_static, 125, 186},	//780 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 582, 793, 1, Smoke::mf_static, 507, 187},	//781 QGlobalSpace::qHash(QChar)
    {37, 452, 1117, 2, Smoke::mf_static, 104, 188},	//782 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 423, 777, 2, Smoke::mf_static, 376, 189},	//783 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 588, 780, 1, Smoke::mf_static, 498, 190},	//784 QGlobalSpace::qIntCast(float)
    {37, 430, 1120, 2, Smoke::mf_static, 376, 191},	//785 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 452, 1123, 2, Smoke::mf_static, 61, 192},	//786 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 450, 1126, 2, Smoke::mf_static, 12, 193},	//787 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 436, 1129, 2, Smoke::mf_static, 376, 194},	//788 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 452, 1132, 2, Smoke::mf_static, 86, 195},	//789 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 613, 1135, 2, Smoke::mf_static, 514, 196},	//790 QGlobalSpace::qRealloc(void*, size_t)
    {37, 582, 71, 1, Smoke::mf_static, 507, 197},	//791 QGlobalSpace::qHash(const QString&)
    {37, 423, 1039, 2, Smoke::mf_static, 376, 198},	//792 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 403, 978, 2, Smoke::mf_static, 484, 199},	//793 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 452, 1138, 2, Smoke::mf_static, 90, 200},	//794 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {37, 419, 1141, 2, Smoke::mf_static, 27, 201},	//795 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 419, 1144, 2, Smoke::mf_static, 27, 202},	//796 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 419, 1147, 2, Smoke::mf_static, 31, 203},	//797 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 629, 696, 1, Smoke::mf_static, 501, 204},	//798 QGlobalSpace::qRound64(double)
    {37, 586, 1150, 1, Smoke::mf_static, 513, 205},	//799 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 641, 696, 1, Smoke::mf_static, 496, 206},	//800 QGlobalSpace::qSqrt(double)
    {37, 452, 1152, 2, Smoke::mf_static, 174, 207},	//801 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 582, 1155, 1, Smoke::mf_static, 507, 208},	//802 QGlobalSpace::qHash(const QModelIndex&)
    {37, 452, 1157, 2, Smoke::mf_static, 54, 209},	//803 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 560, 696, 1, Smoke::mf_static, 496, 210},	//804 QGlobalSpace::qFastCos(double)
    {37, 452, 1160, 2, Smoke::mf_static, 101, 211},	//805 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 419, 1163, 2, Smoke::mf_static, 31, 212},	//806 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 446, 1166, 2, Smoke::mf_static, 27, 213},	//807 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 430, 1169, 2, Smoke::mf_static, 376, 214},	//808 QGlobalSpace::operator==(QBool, QBool)
    {37, 452, 1172, 2, Smoke::mf_static, 72, 215},	//809 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 430, 1175, 2, Smoke::mf_static, 376, 216},	//810 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 452, 1178, 2, Smoke::mf_static, 174, 217},	//811 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 452, 1181, 2, Smoke::mf_static, 174, 218},	//812 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 391, 1005, 2, Smoke::mf_static, 376, 219},	//813 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 596, 780, 1, Smoke::mf_static, 376, 220},	//814 QGlobalSpace::qIsNaN(float)
    {37, 452, 1184, 2, Smoke::mf_static, 174, 221},	//815 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 452, 1187, 2, Smoke::mf_static, 78, 222},	//816 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 452, 1190, 2, Smoke::mf_static, 66, 223},	//817 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 423, 1129, 2, Smoke::mf_static, 376, 224},	//818 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 446, 1193, 2, Smoke::mf_static, 27, 225},	//819 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 564, 201, 1, Smoke::mf_static, 487, 226},	//820 QGlobalSpace::qFlagLocation(const char*)
    {37, 403, 907, 2, Smoke::mf_static, 277, 227},	//821 QGlobalSpace::operator+(const QTransform&, double)
    {37, 399, 1196, 2, Smoke::mf_static, 182, 228},	//822 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 419, 1199, 2, Smoke::mf_static, 31, 229},	//823 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 452, 1202, 2, Smoke::mf_static, 174, 230},	//824 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 596, 696, 1, Smoke::mf_static, 376, 231},	//825 QGlobalSpace::qIsNaN(double)
    {37, 577, 36, 1, Smoke::mf_static, 498, 232},	//826 QGlobalSpace::qGray(unsigned int)
    {37, 403, 1205, 2, Smoke::mf_static, 459, 233},	//827 QGlobalSpace::operator+(QChar, const QString&)
    {37, 452, 1208, 2, Smoke::mf_static, 98, 234},	//828 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 452, 1211, 2, Smoke::mf_static, 174, 235},	//829 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 452, 1214, 2, Smoke::mf_static, 174, 236},	//830 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 452, 1217, 2, Smoke::mf_static, 71, 237},	//831 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 452, 1220, 2, Smoke::mf_static, 174, 238},	//832 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 419, 1223, 2, Smoke::mf_static, 31, 239},	//833 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 446, 1226, 2, Smoke::mf_static, 27, 240},	//834 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 694, 206, 3, Smoke::mf_static, 0, 241},	//835 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 582, 1229, 1, Smoke::mf_static, 507, 242},	//836 QGlobalSpace::qHash(long long)
    {37, 408, 1231, 1, Smoke::mf_static, 445, 243},	//837 QGlobalSpace::operator-(const QQuaternion&)
    {37, 391, 1233, 2, Smoke::mf_static, 376, 244},	//838 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 452, 1236, 2, Smoke::mf_static, 65, 245},	//839 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 572, 1239, 2, Smoke::mf_static, 376, 246},	//840 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 452, 1242, 2, Smoke::mf_static, 174, 247},	//841 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 446, 1245, 2, Smoke::mf_static, 27, 248},	//842 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 452, 1248, 2, Smoke::mf_static, 174, 249},	//843 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 623, 1008, 3, Smoke::mf_static, 507, 250},	//844 QGlobalSpace::qRgb(int, int, int)
    {37, 452, 1251, 2, Smoke::mf_static, 102, 251},	//845 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 403, 1254, 2, Smoke::mf_static, 459, 252},	//846 QGlobalSpace::operator+(const QString&, char)
    {37, 391, 816, 2, Smoke::mf_static, 376, 253},	//847 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 399, 1257, 2, Smoke::mf_static, 212, 254},	//848 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 408, 765, 2, Smoke::mf_static, 441, 255},	//849 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 430, 1078, 2, Smoke::mf_static, 376, 256},	//850 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 452, 1260, 2, Smoke::mf_static, 118, 257},	//851 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 452, 1263, 2, Smoke::mf_static, 174, 258},	//852 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 452, 1266, 2, Smoke::mf_static, 83, 259},	//853 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 452, 1269, 2, Smoke::mf_static, 112, 260},	//854 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 446, 1272, 2, Smoke::mf_static, 27, 261},	//855 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 414, 1129, 2, Smoke::mf_static, 376, 262},	//856 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 469, 0, 0, Smoke::mf_static, 8, 263},	//857 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 452, 1275, 2, Smoke::mf_static, 128, 264},	//858 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 506, 1278, 8, Smoke::mf_static, 0, 265},	//859 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 506, 1287, 6, Smoke::mf_static, 0, 266},	//860 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 506, 1294, 7, Smoke::mf_static, 0, 267},	//861 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 575, 780, 1, Smoke::mf_static, 376, 268},	//862 QGlobalSpace::qFuzzyIsNull(float)
    {37, 399, 1302, 2, Smoke::mf_static, 445, 269},	//863 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 452, 1305, 2, Smoke::mf_static, 122, 270},	//864 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 675, 1308, 2, Smoke::mf_static, 378, 271},	//865 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 452, 1311, 2, Smoke::mf_static, 90, 272},	//866 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {37, 582, 20, 1, Smoke::mf_static, 507, 273},	//867 QGlobalSpace::qHash(int)
    {37, 403, 765, 2, Smoke::mf_static, 441, 274},	//868 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 399, 1314, 2, Smoke::mf_static, 232, 275},	//869 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 452, 1317, 2, Smoke::mf_static, 113, 276},	//870 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 430, 972, 2, Smoke::mf_static, 376, 277},	//871 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 408, 1320, 1, Smoke::mf_static, 439, 278},	//872 QGlobalSpace::operator-(const QPoint&)
    {37, 452, 1322, 2, Smoke::mf_static, 174, 279},	//873 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 419, 1325, 2, Smoke::mf_static, 27, 280},	//874 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 452, 1328, 2, Smoke::mf_static, 174, 281},	//875 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 556, 696, 1, Smoke::mf_static, 496, 282},	//876 QGlobalSpace::qExp(double)
    {37, 636, 20, 1, Smoke::mf_static, 274, 283},	//877 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 430, 1331, 2, Smoke::mf_static, 376, 284},	//878 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 600, 696, 1, Smoke::mf_static, 496, 285},	//879 QGlobalSpace::qLn(double)
    {37, 403, 710, 2, Smoke::mf_static, 478, 286},	//880 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 531, 1334, 7, Smoke::mf_static, 0, 287},	//881 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 531, 1342, 3, Smoke::mf_static, 0, 288},	//882 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 531, 1346, 4, Smoke::mf_static, 0, 289},	//883 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 531, 1351, 5, Smoke::mf_static, 0, 290},	//884 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 531, 1357, 6, Smoke::mf_static, 0, 291},	//885 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 419, 1364, 2, Smoke::mf_static, 27, 292},	//886 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 399, 1367, 2, Smoke::mf_static, 291, 293},	//887 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 452, 1370, 2, Smoke::mf_static, 174, 294},	//888 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 391, 972, 2, Smoke::mf_static, 376, 295},	//889 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 619, 1373, 1, Smoke::mf_static, 0, 296},	//890 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 419, 1375, 2, Smoke::mf_static, 31, 297},	//891 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 419, 1378, 2, Smoke::mf_static, 31, 298},	//892 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 452, 1381, 2, Smoke::mf_static, 59, 299},	//893 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 490, 419, 2, Smoke::mf_static, 510, 300},	//894 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 501, 1384, 4, Smoke::mf_static, 0, 301},	//895 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 412, 1389, 2, Smoke::mf_static, 484, 302},	//896 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 419, 1392, 2, Smoke::mf_static, 271, 303},	//897 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 452, 1395, 2, Smoke::mf_static, 121, 304},	//898 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 602, 1398, 1, Smoke::mf_static, 514, 305},	//899 QGlobalSpace::qMalloc(size_t)
    {37, 612, 0, 0, Smoke::mf_static, 496, 306},	//900 QGlobalSpace::qQNaN()
    {37, 452, 1400, 2, Smoke::mf_static, 114, 307},	//901 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 446, 1403, 2, Smoke::mf_static, 27, 308},	//902 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 663, 744, 2, Smoke::mf_static, 376, 309},	//903 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 452, 1406, 2, Smoke::mf_static, 99, 310},	//904 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 452, 1409, 2, Smoke::mf_static, 80, 311},	//905 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 419, 1412, 2, Smoke::mf_static, 27, 312},	//906 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 419, 1415, 2, Smoke::mf_static, 31, 313},	//907 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 452, 1418, 2, Smoke::mf_static, 174, 314},	//908 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 486, 36, 1, Smoke::mf_static, 498, 315},	//909 QGlobalSpace::qBlue(unsigned int)
    {37, 452, 1421, 2, Smoke::mf_static, 106, 316},	//910 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 399, 710, 2, Smoke::mf_static, 478, 317},	//911 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 419, 1424, 2, Smoke::mf_static, 27, 318},	//912 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 419, 1427, 2, Smoke::mf_static, 27, 319},	//913 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 542, 1430, 5, Smoke::mf_static, 0, 320},	//914 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 542, 1342, 3, Smoke::mf_static, 0, 321},	//915 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 542, 1346, 4, Smoke::mf_static, 0, 322},	//916 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 668, 36, 1, Smoke::mf_static, 0, 323},	//917 QGlobalSpace::qsrand(unsigned int)
    {37, 391, 883, 2, Smoke::mf_static, 376, 324},	//918 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 452, 1436, 2, Smoke::mf_static, 174, 325},	//919 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 582, 1439, 1, Smoke::mf_static, 507, 326},	//920 QGlobalSpace::qHash(long)
    {37, 419, 1441, 2, Smoke::mf_static, 27, 327},	//921 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 436, 691, 2, Smoke::mf_static, 376, 328},	//922 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 582, 1444, 1, Smoke::mf_static, 507, 329},	//923 QGlobalSpace::qHash(unsigned short)
    {37, 452, 1446, 2, Smoke::mf_static, 105, 330},	//924 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 446, 1449, 2, Smoke::mf_static, 27, 331},	//925 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 391, 765, 2, Smoke::mf_static, 376, 332},	//926 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 452, 1452, 2, Smoke::mf_static, 87, 333},	//927 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 419, 1455, 2, Smoke::mf_static, 27, 334},	//928 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 452, 1458, 2, Smoke::mf_static, 62, 335},	//929 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 452, 1461, 2, Smoke::mf_static, 79, 336},	//930 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 408, 710, 2, Smoke::mf_static, 478, 337},	//931 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 522, 1464, 6, Smoke::mf_static, 0, 338},	//932 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 522, 1342, 3, Smoke::mf_static, 0, 339},	//933 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 522, 1346, 4, Smoke::mf_static, 0, 340},	//934 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 522, 1351, 5, Smoke::mf_static, 0, 341},	//935 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 687, 1045, 3, Smoke::mf_static, 498, 342},	//936 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 403, 1471, 2, Smoke::mf_static, 459, 343},	//937 QGlobalSpace::operator+(char, const QString&)
    {37, 446, 1474, 2, Smoke::mf_static, 27, 344},	//938 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 430, 856, 2, Smoke::mf_static, 376, 345},	//939 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 446, 1477, 2, Smoke::mf_static, 27, 346},	//940 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 430, 1049, 2, Smoke::mf_static, 376, 347},	//941 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 452, 1480, 2, Smoke::mf_static, 98, 348},	//942 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 452, 1483, 2, Smoke::mf_static, 174, 349},	//943 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 403, 1129, 2, Smoke::mf_static, 382, 350},	//944 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 452, 1486, 2, Smoke::mf_static, 105, 351},	//945 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 582, 1489, 1, Smoke::mf_static, 507, 352},	//946 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 436, 1005, 2, Smoke::mf_static, 376, 353},	//947 QGlobalSpace::operator>(const char*, const QString&)
    {37, 419, 1491, 2, Smoke::mf_static, 31, 354},	//948 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 419, 1494, 2, Smoke::mf_static, 27, 355},	//949 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 419, 1497, 2, Smoke::mf_static, 27, 356},	//950 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 419, 1500, 2, Smoke::mf_static, 27, 357},	//951 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 419, 1503, 2, Smoke::mf_static, 27, 358},	//952 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 446, 1506, 2, Smoke::mf_static, 27, 359},	//953 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 452, 1509, 2, Smoke::mf_static, 69, 360},	//954 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 522, 1512, 9, Smoke::mf_static, 0, 361},	//955 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 522, 948, 6, Smoke::mf_static, 0, 362},	//956 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 522, 955, 7, Smoke::mf_static, 0, 363},	//957 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 522, 1522, 8, Smoke::mf_static, 0, 364},	//958 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 709, 1531, 3, Smoke::mf_static, 201, 365},	//959 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 452, 1535, 2, Smoke::mf_static, 92, 366},	//960 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 446, 1538, 2, Smoke::mf_static, 27, 367},	//961 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 452, 1541, 2, Smoke::mf_static, 174, 368},	//962 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 412, 1544, 2, Smoke::mf_static, 478, 369},	//963 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 452, 1547, 2, Smoke::mf_static, 96, 370},	//964 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 412, 1550, 2, Smoke::mf_static, 441, 371},	//965 QGlobalSpace::operator/(const QPointF&, double)
    {37, 391, 1553, 2, Smoke::mf_static, 376, 372},	//966 QGlobalSpace::operator!=(bool, QBool)
    {37, 430, 1039, 2, Smoke::mf_static, 376, 373},	//967 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 452, 1556, 2, Smoke::mf_static, 76, 374},	//968 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 412, 1559, 2, Smoke::mf_static, 481, 375},	//969 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 452, 1562, 2, Smoke::mf_static, 80, 376},	//970 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 452, 1565, 2, Smoke::mf_static, 79, 377},	//971 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 685, 1568, 3, Smoke::mf_static, 378, 378},	//972 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 399, 1572, 2, Smoke::mf_static, 478, 379},	//973 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 408, 1575, 1, Smoke::mf_static, 484, 380},	//974 QGlobalSpace::operator-(const QVector4D&)
    {37, 452, 1577, 2, Smoke::mf_static, 109, 381},	//975 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 446, 1580, 2, Smoke::mf_static, 27, 382},	//976 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 648, 221, 1, Smoke::mf_static, 16, 383},	//977 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 452, 1583, 2, Smoke::mf_static, 99, 384},	//978 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 412, 907, 2, Smoke::mf_static, 277, 385},	//979 QGlobalSpace::operator/(const QTransform&, double)
    {37, 452, 1586, 2, Smoke::mf_static, 174, 386},	//980 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 572, 701, 2, Smoke::mf_static, 376, 387},	//981 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 452, 1589, 2, Smoke::mf_static, 174, 388},	//982 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 419, 1592, 2, Smoke::mf_static, 27, 389},	//983 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 446, 1595, 2, Smoke::mf_static, 27, 390},	//984 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 466, 0, 0, Smoke::mf_static, 8, 391},	//985 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 399, 1598, 2, Smoke::mf_static, 222, 392},	//986 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 452, 1601, 2, Smoke::mf_static, 174, 393},	//987 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 446, 1604, 2, Smoke::mf_static, 27, 394},	//988 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 408, 1607, 1, Smoke::mf_static, 441, 395},	//989 QGlobalSpace::operator-(const QPointF&)
    {37, 419, 1609, 2, Smoke::mf_static, 31, 396},	//990 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 452, 1612, 2, Smoke::mf_static, 49, 397},	//991 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 430, 1553, 2, Smoke::mf_static, 376, 398},	//992 QGlobalSpace::operator==(bool, QBool)
    {37, 446, 1615, 2, Smoke::mf_static, 27, 399},	//993 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 452, 1618, 2, Smoke::mf_static, 174, 400},	//994 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 665, 0, 0, Smoke::mf_static, 498, 401},	//995 QGlobalSpace::qrand()
    {37, 452, 1621, 2, Smoke::mf_static, 174, 402},	//996 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 419, 1624, 2, Smoke::mf_static, 31, 403},	//997 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 399, 1627, 2, Smoke::mf_static, 226, 404},	//998 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 446, 1630, 2, Smoke::mf_static, 27, 405},	//999 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 452, 1633, 2, Smoke::mf_static, 53, 406},	//1000 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 696, 1636, 4, Smoke::mf_static, 0, 407},	//1001 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 397, 1126, 2, Smoke::mf_static, 12, 408},	//1002 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 441, 744, 2, Smoke::mf_static, 376, 409},	//1003 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 452, 1641, 2, Smoke::mf_static, 63, 410},	//1004 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 452, 1644, 2, Smoke::mf_static, 107, 411},	//1005 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 452, 1647, 2, Smoke::mf_static, 123, 412},	//1006 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 419, 1650, 2, Smoke::mf_static, 27, 413},	//1007 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 572, 1653, 2, Smoke::mf_static, 376, 414},	//1008 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 452, 1656, 2, Smoke::mf_static, 174, 415},	//1009 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 391, 1659, 2, Smoke::mf_static, 376, 416},	//1010 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 666, 1662, 4, Smoke::mf_static, 0, 417},	//1011 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {37, 625, 1667, 4, Smoke::mf_static, 507, 418},	//1012 QGlobalSpace::qRgba(int, int, int, int)
    {37, 499, 0, 0, Smoke::mf_static, 31, 419},	//1013 QGlobalSpace::qCritical()
    {37, 399, 1389, 2, Smoke::mf_static, 484, 420},	//1014 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 446, 1672, 2, Smoke::mf_static, 27, 421},	//1015 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 419, 1675, 2, Smoke::mf_static, 31, 422},	//1016 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 419, 1678, 2, Smoke::mf_static, 27, 423},	//1017 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 452, 1681, 2, Smoke::mf_static, 117, 424},	//1018 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 391, 744, 2, Smoke::mf_static, 376, 425},	//1019 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 391, 892, 2, Smoke::mf_static, 376, 426},	//1020 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 414, 717, 2, Smoke::mf_static, 376, 427},	//1021 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 399, 1684, 2, Smoke::mf_static, 484, 428},	//1022 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 452, 1687, 2, Smoke::mf_static, 174, 429},	//1023 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 452, 1690, 2, Smoke::mf_static, 85, 430},	//1024 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 430, 1659, 2, Smoke::mf_static, 376, 431},	//1025 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 419, 1693, 2, Smoke::mf_static, 27, 432},	//1026 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 419, 1696, 2, Smoke::mf_static, 31, 433},	//1027 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 403, 1699, 2, Smoke::mf_static, 382, 434},	//1028 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 452, 1702, 2, Smoke::mf_static, 58, 435},	//1029 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 452, 1705, 2, Smoke::mf_static, 56, 436},	//1030 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 446, 1708, 2, Smoke::mf_static, 27, 437},	//1031 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 412, 1711, 2, Smoke::mf_static, 454, 438},	//1032 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 441, 1039, 2, Smoke::mf_static, 376, 439},	//1033 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 430, 978, 2, Smoke::mf_static, 376, 440},	//1034 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 419, 1714, 2, Smoke::mf_static, 27, 441},	//1035 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 452, 1717, 2, Smoke::mf_static, 174, 442},	//1036 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 430, 892, 2, Smoke::mf_static, 376, 443},	//1037 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 474, 1720, 1, Smoke::mf_static, 0, 444},	//1038 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 452, 1722, 2, Smoke::mf_static, 91, 445},	//1039 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 492, 1725, 3, Smoke::mf_static, 16, 446},	//1040 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 492, 1042, 2, Smoke::mf_static, 16, 447},	//1041 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 423, 744, 2, Smoke::mf_static, 376, 448},	//1042 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 562, 696, 1, Smoke::mf_static, 496, 449},	//1043 QGlobalSpace::qFastSin(double)
    {37, 423, 691, 2, Smoke::mf_static, 376, 450},	//1044 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 419, 1729, 2, Smoke::mf_static, 27, 451},	//1045 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 446, 1732, 2, Smoke::mf_static, 27, 452},	//1046 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 452, 1735, 2, Smoke::mf_static, 55, 453},	//1047 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 446, 1738, 2, Smoke::mf_static, 27, 454},	//1048 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 412, 1302, 2, Smoke::mf_static, 445, 455},	//1049 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 478, 0, 0, Smoke::mf_static, 243, 456},	//1050 QGlobalSpace::qAppName()
    {37, 651, 0, 0, Smoke::mf_static, 487, 457},	//1051 QGlobalSpace::qVersion()
    {37, 452, 1741, 2, Smoke::mf_static, 93, 458},	//1052 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 419, 1744, 2, Smoke::mf_static, 27, 459},	//1053 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 452, 1747, 2, Smoke::mf_static, 174, 460},	//1054 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 568, 1750, 1, Smoke::mf_static, 0, 461},	//1055 QGlobalSpace::qFree(void*)
    {37, 419, 1752, 2, Smoke::mf_static, 31, 462},	//1056 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 399, 1755, 2, Smoke::mf_static, 184, 463},	//1057 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 419, 1758, 2, Smoke::mf_static, 27, 464},	//1058 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 452, 1761, 2, Smoke::mf_static, 174, 465},	//1059 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 570, 1750, 1, Smoke::mf_static, 0, 466},	//1060 QGlobalSpace::qFreeAligned(void*)
    {37, 446, 1764, 2, Smoke::mf_static, 27, 467},	//1061 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 430, 1233, 2, Smoke::mf_static, 376, 468},	//1062 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 419, 1767, 2, Smoke::mf_static, 31, 469},	//1063 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 419, 1770, 2, Smoke::mf_static, 271, 470},	//1064 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 414, 777, 2, Smoke::mf_static, 376, 471},	//1065 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 419, 1773, 2, Smoke::mf_static, 31, 472},	//1066 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 399, 1776, 2, Smoke::mf_static, 445, 473},	//1067 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 399, 1544, 2, Smoke::mf_static, 478, 474},	//1068 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 391, 1779, 2, Smoke::mf_static, 376, 475},	//1069 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 419, 1782, 2, Smoke::mf_static, 31, 476},	//1070 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 391, 978, 2, Smoke::mf_static, 376, 477},	//1071 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 452, 1785, 2, Smoke::mf_static, 73, 478},	//1072 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 419, 1788, 2, Smoke::mf_static, 31, 479},	//1073 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 452, 1791, 2, Smoke::mf_static, 106, 480},	//1074 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 399, 1559, 2, Smoke::mf_static, 481, 481},	//1075 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 452, 1794, 2, Smoke::mf_static, 61, 482},	//1076 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 582, 1797, 1, Smoke::mf_static, 507, 483},	//1077 QGlobalSpace::qHash(const QBitArray&)
    {37, 419, 1799, 2, Smoke::mf_static, 31, 484},	//1078 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 452, 1802, 2, Smoke::mf_static, 78, 485},	//1079 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 419, 1805, 2, Smoke::mf_static, 31, 486},	//1080 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 419, 1808, 2, Smoke::mf_static, 271, 487},	//1081 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 488, 696, 1, Smoke::mf_static, 498, 488},	//1082 QGlobalSpace::qCeil(double)
    {37, 419, 1811, 2, Smoke::mf_static, 31, 489},	//1083 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 446, 1814, 2, Smoke::mf_static, 27, 490},	//1084 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 391, 822, 2, Smoke::mf_static, 376, 491},	//1085 QGlobalSpace::operator!=(QChar, QChar)
    {37, 452, 1817, 2, Smoke::mf_static, 116, 492},	//1086 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 643, 1820, 2, Smoke::mf_static, 376, 493},	//1087 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 677, 201, 1, Smoke::mf_static, 378, 494},	//1088 QGlobalSpace::qstrdup(const char*)
    {37, 452, 1823, 2, Smoke::mf_static, 174, 495},	//1089 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 452, 1826, 2, Smoke::mf_static, 91, 496},	//1090 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 468, 0, 0, Smoke::mf_static, 8, 497},	//1091 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 452, 1829, 2, Smoke::mf_static, 111, 498},	//1092 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 446, 1832, 2, Smoke::mf_static, 27, 499},	//1093 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 446, 1835, 2, Smoke::mf_static, 27, 500},	//1094 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 423, 1005, 2, Smoke::mf_static, 376, 501},	//1095 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 446, 1838, 2, Smoke::mf_static, 27, 502},	//1096 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 391, 1175, 2, Smoke::mf_static, 376, 503},	//1097 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 452, 1841, 2, Smoke::mf_static, 50, 504},	//1098 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 419, 1844, 2, Smoke::mf_static, 27, 505},	//1099 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 452, 1847, 2, Smoke::mf_static, 100, 506},	//1100 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 452, 1850, 2, Smoke::mf_static, 174, 507},	//1101 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 500, 0, 0, Smoke::mf_static, 31, 508},	//1102 QGlobalSpace::qDebug()
    {37, 604, 1853, 2, Smoke::mf_static, 514, 509},	//1103 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 452, 1856, 2, Smoke::mf_static, 74, 510},	//1104 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 452, 1859, 2, Smoke::mf_static, 67, 511},	//1105 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 399, 1862, 2, Smoke::mf_static, 220, 512},	//1106 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 391, 1820, 2, Smoke::mf_static, 376, 513},	//1107 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 580, 36, 1, Smoke::mf_static, 498, 514},	//1108 QGlobalSpace::qGreen(unsigned int)
    {37, 610, 771, 2, Smoke::mf_static, 496, 515},	//1109 QGlobalSpace::qPow(double, double)
    {37, 423, 717, 2, Smoke::mf_static, 376, 516},	//1110 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 419, 1865, 2, Smoke::mf_static, 31, 517},	//1111 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 452, 1868, 2, Smoke::mf_static, 174, 518},	//1112 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 446, 1770, 2, Smoke::mf_static, 271, 519},	//1113 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 403, 1871, 2, Smoke::mf_static, 382, 520},	//1114 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 452, 1874, 2, Smoke::mf_static, 174, 521},	//1115 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 430, 744, 2, Smoke::mf_static, 376, 522},	//1116 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 419, 1877, 2, Smoke::mf_static, 27, 523},	//1117 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 452, 1880, 2, Smoke::mf_static, 100, 524},	//1118 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 408, 735, 2, Smoke::mf_static, 452, 525},	//1119 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 419, 1883, 2, Smoke::mf_static, 31, 526},	//1120 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 403, 1005, 2, Smoke::mf_static, 459, 527},	//1121 QGlobalSpace::operator+(const char*, const QString&)
    {37, 452, 1886, 2, Smoke::mf_static, 52, 528},	//1122 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 452, 1889, 2, Smoke::mf_static, 89, 529},	//1123 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 452, 1892, 2, Smoke::mf_static, 174, 530},	//1124 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 446, 1895, 2, Smoke::mf_static, 27, 531},	//1125 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 446, 1898, 2, Smoke::mf_static, 27, 532},	//1126 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 452, 1901, 2, Smoke::mf_static, 54, 533},	//1127 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 391, 1331, 2, Smoke::mf_static, 376, 534},	//1128 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 452, 1904, 2, Smoke::mf_static, 107, 535},	//1129 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 419, 1907, 2, Smoke::mf_static, 31, 536},	//1130 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 452, 1910, 2, Smoke::mf_static, 120, 537},	//1131 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 399, 1913, 2, Smoke::mf_static, 441, 538},	//1132 QGlobalSpace::operator*(double, const QPointF&)
    {37, 446, 1916, 2, Smoke::mf_static, 27, 539},	//1133 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {37, 399, 1919, 2, Smoke::mf_static, 232, 540},	//1134 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 452, 1922, 2, Smoke::mf_static, 115, 541},	//1135 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 452, 1925, 2, Smoke::mf_static, 68, 542},	//1136 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 430, 691, 2, Smoke::mf_static, 376, 543},	//1137 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 399, 1928, 2, Smoke::mf_static, 452, 544},	//1138 QGlobalSpace::operator*(const QSize&, double)
    {37, 419, 1931, 2, Smoke::mf_static, 31, 545},	//1139 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 572, 710, 2, Smoke::mf_static, 376, 546},	//1140 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 399, 1934, 2, Smoke::mf_static, 212, 547},	//1141 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 452, 1937, 2, Smoke::mf_static, 52, 548},	//1142 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 452, 1940, 2, Smoke::mf_static, 56, 549},	//1143 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 715, 1943, 4, Smoke::mf_static, 498, 550},	//1144 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 430, 1779, 2, Smoke::mf_static, 376, 551},	//1145 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 399, 1948, 2, Smoke::mf_static, 226, 552},	//1146 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 399, 1951, 2, Smoke::mf_static, 439, 553},	//1147 QGlobalSpace::operator*(double, const QPoint&)
    {37, 608, 1954, 3, Smoke::mf_static, 514, 554},	//1148 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 419, 1958, 2, Smoke::mf_static, 27, 555},	//1149 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 698, 244, 2, Smoke::mf_static, 0, 556},	//1150 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 549, 1430, 5, Smoke::mf_static, 0, 557},	//1151 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 549, 1342, 3, Smoke::mf_static, 0, 558},	//1152 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 549, 1346, 4, Smoke::mf_static, 0, 559},	//1153 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 582, 1961, 1, Smoke::mf_static, 507, 560},	//1154 QGlobalSpace::qHash(short)
    {37, 452, 1963, 2, Smoke::mf_static, 85, 561},	//1155 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 452, 1966, 2, Smoke::mf_static, 77, 562},	//1156 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 558, 696, 1, Smoke::mf_static, 496, 563},	//1157 QGlobalSpace::qFabs(double)
    {37, 452, 1969, 2, Smoke::mf_static, 114, 564},	//1158 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 452, 1972, 2, Smoke::mf_static, 57, 565},	//1159 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 670, 1129, 2, Smoke::mf_static, 498, 566},	//1160 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 572, 1975, 2, Smoke::mf_static, 376, 567},	//1161 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 430, 1978, 2, Smoke::mf_static, 376, 568},	//1162 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 452, 1981, 2, Smoke::mf_static, 174, 569},	//1163 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 452, 1984, 2, Smoke::mf_static, 81, 570},	//1164 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 655, 1987, 3, Smoke::mf_static, 378, 571},	//1165 QGlobalSpace::qgcvt(long double, int, char*)
    {37, 452, 1991, 2, Smoke::mf_static, 109, 572},	//1166 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 452, 1994, 2, Smoke::mf_static, 97, 573},	//1167 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 452, 1997, 2, Smoke::mf_static, 76, 574},	//1168 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 472, 696, 1, Smoke::mf_static, 496, 575},	//1169 QGlobalSpace::qAcos(double)
    {37, 452, 2000, 2, Smoke::mf_static, 174, 576},	//1170 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 452, 2003, 2, Smoke::mf_static, 118, 577},	//1171 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 452, 2006, 2, Smoke::mf_static, 174, 578},	//1172 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 419, 2009, 2, Smoke::mf_static, 27, 579},	//1173 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 441, 1129, 2, Smoke::mf_static, 376, 580},	//1174 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 452, 2012, 2, Smoke::mf_static, 88, 581},	//1175 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 446, 2015, 2, Smoke::mf_static, 27, 582},	//1176 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 485, 0, 0, Smoke::mf_static, 0, 583},	//1177 QGlobalSpace::qBadAlloc()
    {37, 419, 2018, 2, Smoke::mf_static, 31, 584},	//1178 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 452, 2021, 2, Smoke::mf_static, 124, 585},	//1179 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 531, 2024, 10, Smoke::mf_static, 0, 586},	//1180 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 531, 948, 6, Smoke::mf_static, 0, 587},	//1181 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 531, 955, 7, Smoke::mf_static, 0, 588},	//1182 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 531, 1522, 8, Smoke::mf_static, 0, 589},	//1183 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 531, 2035, 9, Smoke::mf_static, 0, 590},	//1184 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 452, 2045, 2, Smoke::mf_static, 174, 591},	//1185 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 446, 2048, 2, Smoke::mf_static, 27, 592},	//1186 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 419, 2051, 2, Smoke::mf_static, 31, 593},	//1187 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 452, 2054, 2, Smoke::mf_static, 174, 594},	//1188 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 575, 696, 1, Smoke::mf_static, 376, 595},	//1189 QGlobalSpace::qFuzzyIsNull(double)
    {37, 492, 247, 2, Smoke::mf_static, 16, 596},	//1190 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 492, 221, 1, Smoke::mf_static, 16, 597},	//1191 QGlobalSpace::qCompress(const QByteArray&)
    {37, 419, 2057, 2, Smoke::mf_static, 31, 598},	//1192 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 452, 2060, 2, Smoke::mf_static, 110, 599},	//1193 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 452, 2063, 2, Smoke::mf_static, 174, 600},	//1194 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 452, 2066, 2, Smoke::mf_static, 174, 601},	//1195 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 452, 2069, 2, Smoke::mf_static, 74, 602},	//1196 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 452, 2072, 2, Smoke::mf_static, 174, 603},	//1197 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 452, 2075, 2, Smoke::mf_static, 127, 604},	//1198 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 452, 2078, 2, Smoke::mf_static, 174, 605},	//1199 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 408, 2081, 1, Smoke::mf_static, 478, 606},	//1200 QGlobalSpace::operator-(const QVector2D&)
    {37, 452, 2083, 2, Smoke::mf_static, 47, 607},	//1201 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 419, 2086, 2, Smoke::mf_static, 27, 608},	//1202 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 399, 2089, 2, Smoke::mf_static, 193, 609},	//1203 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 419, 2092, 2, Smoke::mf_static, 27, 610},	//1204 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 513, 2035, 9, Smoke::mf_static, 0, 611},	//1205 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 513, 948, 6, Smoke::mf_static, 0, 612},	//1206 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 513, 955, 7, Smoke::mf_static, 0, 613},	//1207 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 513, 1522, 8, Smoke::mf_static, 0, 614},	//1208 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 452, 2095, 2, Smoke::mf_static, 51, 615},	//1209 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 399, 2098, 2, Smoke::mf_static, 182, 616},	//1210 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 419, 2101, 2, Smoke::mf_static, 27, 617},	//1211 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {37, 419, 2104, 2, Smoke::mf_static, 27, 618},	//1212 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 479, 696, 1, Smoke::mf_static, 496, 619},	//1213 QGlobalSpace::qAsin(double)
    {37, 419, 2107, 2, Smoke::mf_static, 31, 620},	//1214 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 419, 2110, 2, Smoke::mf_static, 31, 621},	//1215 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 452, 2113, 2, Smoke::mf_static, 57, 622},	//1216 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 452, 2116, 2, Smoke::mf_static, 53, 623},	//1217 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 452, 2119, 2, Smoke::mf_static, 174, 624},	//1218 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 391, 1120, 2, Smoke::mf_static, 376, 625},	//1219 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 639, 696, 1, Smoke::mf_static, 496, 626},	//1220 QGlobalSpace::qSin(double)
    {37, 452, 2122, 2, Smoke::mf_static, 174, 627},	//1221 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 430, 1129, 2, Smoke::mf_static, 376, 628},	//1222 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 446, 2125, 2, Smoke::mf_static, 27, 629},	//1223 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 452, 2128, 2, Smoke::mf_static, 84, 630},	//1224 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 452, 1126, 2, Smoke::mf_static, 12, 631},	//1225 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 419, 2131, 2, Smoke::mf_static, 27, 632},	//1226 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 542, 939, 8, Smoke::mf_static, 0, 633},	//1227 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 542, 948, 6, Smoke::mf_static, 0, 634},	//1228 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 542, 955, 7, Smoke::mf_static, 0, 635},	//1229 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 572, 707, 2, Smoke::mf_static, 376, 636},	//1230 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 419, 2134, 2, Smoke::mf_static, 27, 637},	//1231 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 452, 2137, 2, Smoke::mf_static, 64, 638},	//1232 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 430, 2140, 2, Smoke::mf_static, 376, 639},	//1233 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 452, 2143, 2, Smoke::mf_static, 65, 640},	//1234 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 452, 2146, 2, Smoke::mf_static, 93, 641},	//1235 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 452, 2149, 2, Smoke::mf_static, 174, 642},	//1236 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 446, 2152, 2, Smoke::mf_static, 27, 643},	//1237 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 419, 2155, 2, Smoke::mf_static, 27, 644},	//1238 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 691, 244, 2, Smoke::mf_static, 243, 645},	//1239 QGlobalSpace::qtTrId(const char*, int)
    {37, 691, 201, 1, Smoke::mf_static, 243, 646},	//1240 QGlobalSpace::qtTrId(const char*)
    {37, 452, 2158, 2, Smoke::mf_static, 174, 647},	//1241 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 452, 2161, 2, Smoke::mf_static, 103, 648},	//1242 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 408, 2164, 1, Smoke::mf_static, 481, 649},	//1243 QGlobalSpace::operator-(const QVector3D&)
    {37, 419, 2166, 2, Smoke::mf_static, 31, 650},	//1244 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 423, 822, 2, Smoke::mf_static, 376, 651},	//1245 QGlobalSpace::operator<=(QChar, QChar)
    {37, 452, 2169, 2, Smoke::mf_static, 127, 652},	//1246 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 592, 36, 1, Smoke::mf_static, 376, 653},	//1247 QGlobalSpace::qIsGray(unsigned int)
    {37, 452, 2172, 2, Smoke::mf_static, 72, 654},	//1248 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 391, 1978, 2, Smoke::mf_static, 376, 655},	//1249 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 452, 2175, 2, Smoke::mf_static, 119, 656},	//1250 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 446, 2178, 2, Smoke::mf_static, 27, 657},	//1251 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 446, 2181, 2, Smoke::mf_static, 27, 658},	//1252 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 506, 2184, 5, Smoke::mf_static, 0, 659},	//1253 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 506, 2190, 3, Smoke::mf_static, 0, 660},	//1254 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 506, 2194, 4, Smoke::mf_static, 0, 661},	//1255 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 452, 2199, 2, Smoke::mf_static, 73, 662},	//1256 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 446, 2202, 2, Smoke::mf_static, 27, 663},	//1257 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 452, 2205, 2, Smoke::mf_static, 69, 664},	//1258 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 452, 2208, 2, Smoke::mf_static, 174, 665},	//1259 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 446, 2211, 2, Smoke::mf_static, 27, 666},	//1260 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 452, 2214, 2, Smoke::mf_static, 174, 667},	//1261 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 713, 2217, 3, Smoke::mf_static, 376, 668},	//1262 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 419, 2221, 2, Smoke::mf_static, 31, 669},	//1263 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 452, 2224, 2, Smoke::mf_static, 174, 670},	//1264 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 399, 2227, 2, Smoke::mf_static, 220, 671},	//1265 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 412, 1928, 2, Smoke::mf_static, 452, 672},	//1266 QGlobalSpace::operator/(const QSize&, double)
    {37, 399, 2230, 2, Smoke::mf_static, 220, 673},	//1267 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 598, 780, 1, Smoke::mf_static, 376, 674},	//1268 QGlobalSpace::qIsNull(float)
    {37, 452, 2233, 2, Smoke::mf_static, 49, 675},	//1269 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 711, 2236, 5, Smoke::mf_static, 0, 676},	//1270 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 430, 2242, 2, Smoke::mf_static, 376, 677},	//1271 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 481, 696, 1, Smoke::mf_static, 496, 678},	//1272 QGlobalSpace::qAtan(double)
    {37, 446, 2245, 2, Smoke::mf_static, 27, 679},	//1273 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 452, 2248, 2, Smoke::mf_static, 174, 680},	//1274 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 452, 2251, 2, Smoke::mf_static, 101, 681},	//1275 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 572, 771, 2, Smoke::mf_static, 376, 682},	//1276 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 399, 2254, 2, Smoke::mf_static, 289, 683},	//1277 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 391, 717, 2, Smoke::mf_static, 376, 684},	//1278 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 419, 2257, 2, Smoke::mf_static, 27, 685},	//1279 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 419, 2260, 2, Smoke::mf_static, 31, 686},	//1280 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 513, 2263, 7, Smoke::mf_static, 0, 687},	//1281 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 513, 2271, 4, Smoke::mf_static, 0, 688},	//1282 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 513, 2276, 5, Smoke::mf_static, 0, 689},	//1283 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 513, 2282, 6, Smoke::mf_static, 0, 690},	//1284 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 399, 936, 2, Smoke::mf_static, 439, 691},	//1285 QGlobalSpace::operator*(const QPoint&, double)
    {37, 452, 2289, 2, Smoke::mf_static, 116, 692},	//1286 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 452, 2292, 2, Smoke::mf_static, 77, 693},	//1287 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 631, 0, 0, Smoke::mf_static, 496, 694},	//1288 QGlobalSpace::qSNaN()
    {37, 399, 2295, 2, Smoke::mf_static, 222, 695},	//1289 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 452, 2298, 2, Smoke::mf_static, 174, 696},	//1290 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 430, 777, 2, Smoke::mf_static, 376, 697},	//1291 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 452, 2301, 2, Smoke::mf_static, 88, 698},	//1292 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 419, 2304, 2, Smoke::mf_static, 27, 699},	//1293 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 399, 1711, 2, Smoke::mf_static, 454, 700},	//1294 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 452, 2307, 2, Smoke::mf_static, 71, 701},	//1295 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 430, 1820, 2, Smoke::mf_static, 376, 702},	//1296 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 391, 707, 2, Smoke::mf_static, 376, 703},	//1297 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 430, 710, 2, Smoke::mf_static, 376, 704},	//1298 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 399, 2310, 2, Smoke::mf_static, 224, 705},	//1299 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 452, 2313, 2, Smoke::mf_static, 68, 706},	//1300 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 452, 2316, 2, Smoke::mf_static, 174, 707},	//1301 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 399, 2319, 2, Smoke::mf_static, 452, 708},	//1302 QGlobalSpace::operator*(double, const QSize&)
    {37, 452, 2322, 2, Smoke::mf_static, 174, 709},	//1303 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 414, 691, 2, Smoke::mf_static, 376, 710},	//1304 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 391, 2325, 2, Smoke::mf_static, 376, 711},	//1305 QGlobalSpace::operator!=(QBool, bool)
    {37, 452, 2328, 2, Smoke::mf_static, 55, 712},	//1306 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 391, 735, 2, Smoke::mf_static, 376, 713},	//1307 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 446, 2331, 2, Smoke::mf_static, 27, 714},	//1308 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 419, 2334, 2, Smoke::mf_static, 31, 715},	//1309 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 391, 1039, 2, Smoke::mf_static, 376, 716},	//1310 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 452, 2337, 2, Smoke::mf_static, 174, 717},	//1311 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 452, 2340, 2, Smoke::mf_static, 108, 718},	//1312 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 399, 2343, 2, Smoke::mf_static, 184, 719},	//1313 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 408, 883, 2, Smoke::mf_static, 445, 720},	//1314 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 399, 1550, 2, Smoke::mf_static, 441, 721},	//1315 QGlobalSpace::operator*(const QPointF&, double)
    {37, 679, 203, 2, Smoke::mf_static, 498, 722},	//1316 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 452, 2346, 2, Smoke::mf_static, 174, 723},	//1317 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 452, 2349, 2, Smoke::mf_static, 122, 724},	//1318 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 391, 787, 2, Smoke::mf_static, 376, 725},	//1319 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 627, 696, 1, Smoke::mf_static, 498, 726},	//1320 QGlobalSpace::qRound(double)
    {37, 585, 0, 0, Smoke::mf_static, 496, 727},	//1321 QGlobalSpace::qInf()
    {37, 419, 2352, 2, Smoke::mf_static, 27, 728},	//1322 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 452, 2355, 2, Smoke::mf_static, 103, 729},	//1323 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 399, 883, 2, Smoke::mf_static, 445, 730},	//1324 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 452, 2358, 2, Smoke::mf_static, 174, 731},	//1325 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 452, 2361, 2, Smoke::mf_static, 119, 732},	//1326 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 399, 2364, 2, Smoke::mf_static, 222, 733},	//1327 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 419, 2367, 2, Smoke::mf_static, 31, 734},	//1328 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 419, 2370, 2, Smoke::mf_static, 31, 735},	//1329 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 419, 2373, 2, Smoke::mf_static, 27, 736},	//1330 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 452, 2376, 2, Smoke::mf_static, 81, 737},	//1331 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 452, 2379, 2, Smoke::mf_static, 174, 738},	//1332 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 670, 777, 2, Smoke::mf_static, 498, 739},	//1333 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 452, 2382, 2, Smoke::mf_static, 174, 740},	//1334 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 621, 1720, 1, Smoke::mf_static, 0, 741},	//1335 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 403, 883, 2, Smoke::mf_static, 445, 742},	//1336 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 446, 2385, 2, Smoke::mf_static, 27, 743},	//1337 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 452, 2388, 2, Smoke::mf_static, 95, 744},	//1338 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 452, 2391, 2, Smoke::mf_static, 75, 745},	//1339 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 446, 2394, 2, Smoke::mf_static, 27, 746},	//1340 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 452, 2397, 2, Smoke::mf_static, 174, 747},	//1341 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 419, 2400, 2, Smoke::mf_static, 27, 748},	//1342 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 452, 2403, 2, Smoke::mf_static, 121, 749},	//1343 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 452, 2406, 2, Smoke::mf_static, 113, 750},	//1344 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 652, 0, 0, Smoke::mf_static, 31, 751},	//1345 QGlobalSpace::qWarning()
    {37, 681, 201, 1, Smoke::mf_static, 507, 752},	//1346 QGlobalSpace::qstrlen(const char*)
    {37, 430, 2325, 2, Smoke::mf_static, 376, 753},	//1347 QGlobalSpace::operator==(QBool, bool)
    {37, 446, 2409, 2, Smoke::mf_static, 27, 754},	//1348 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 446, 2412, 2, Smoke::mf_static, 27, 755},	//1349 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 582, 38, 1, Smoke::mf_static, 507, 756},	//1350 QGlobalSpace::qHash(unsigned long)
    {37, 419, 2415, 2, Smoke::mf_static, 27, 757},	//1351 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 452, 2418, 2, Smoke::mf_static, 174, 758},	//1352 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 419, 2421, 2, Smoke::mf_static, 27, 759},	//1353 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 452, 2424, 2, Smoke::mf_static, 66, 760},	//1354 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 452, 2427, 2, Smoke::mf_static, 174, 761},	//1355 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {37, 419, 2430, 2, Smoke::mf_static, 27, 762},	//1356 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 452, 2433, 2, Smoke::mf_static, 82, 763},	//1357 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 430, 1005, 2, Smoke::mf_static, 376, 764},	//1358 QGlobalSpace::operator==(const char*, const QString&)
    {37, 452, 2436, 2, Smoke::mf_static, 174, 765},	//1359 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 501, 2439, 8, Smoke::mf_static, 0, 766},	//1360 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 501, 2448, 6, Smoke::mf_static, 0, 767},	//1361 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 501, 2455, 7, Smoke::mf_static, 0, 768},	//1362 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 452, 2463, 2, Smoke::mf_static, 92, 769},	//1363 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 403, 2466, 2, Smoke::mf_static, 459, 770},	//1364 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 391, 1169, 2, Smoke::mf_static, 376, 771},	//1365 QGlobalSpace::operator!=(QBool, QBool)
    {37, 452, 2469, 2, Smoke::mf_static, 47, 772},	//1366 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 702, 2472, 2, Smoke::mf_static, 0, 773},	//1367 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 419, 2475, 2, Smoke::mf_static, 31, 774},	//1368 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 399, 2478, 2, Smoke::mf_static, 481, 775},	//1369 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 441, 1005, 2, Smoke::mf_static, 376, 776},	//1370 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 582, 2481, 1, Smoke::mf_static, 507, 777},	//1371 QGlobalSpace::qHash(const QStringRef&)
    {37, 598, 696, 1, Smoke::mf_static, 376, 778},	//1372 QGlobalSpace::qIsNull(double)
    {37, 452, 2483, 2, Smoke::mf_static, 174, 779},	//1373 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 452, 2486, 2, Smoke::mf_static, 50, 780},	//1374 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 441, 717, 2, Smoke::mf_static, 376, 781},	//1375 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 436, 777, 2, Smoke::mf_static, 376, 782},	//1376 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 582, 2489, 1, Smoke::mf_static, 507, 783},	//1377 QGlobalSpace::qHash(unsigned char)
    {37, 446, 2491, 2, Smoke::mf_static, 27, 784},	//1378 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 452, 2494, 2, Smoke::mf_static, 64, 785},	//1379 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 399, 2497, 2, Smoke::mf_static, 224, 786},	//1380 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 419, 2500, 2, Smoke::mf_static, 31, 787},	//1381 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 419, 2503, 2, Smoke::mf_static, 31, 788},	//1382 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 452, 2506, 2, Smoke::mf_static, 174, 789},	//1383 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 391, 1129, 2, Smoke::mf_static, 376, 790},	//1384 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 419, 2509, 2, Smoke::mf_static, 27, 791},	//1385 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 446, 2512, 2, Smoke::mf_static, 27, 792},	//1386 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 419, 2515, 2, Smoke::mf_static, 27, 793},	//1387 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 794},	//1388 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {37, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 795},	//1389 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {37, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 796},	//1390 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {37, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 797},	//1391 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {37, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 798},	//1392 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {37, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 799},	//1393 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {37, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 800},	//1394 QGlobalSpace::SP_CustomToolBarBack (enum)
    {37, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 801},	//1395 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {37, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 802},	//1396 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {37, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 803},	//1397 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {37, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 804},	//1398 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {37, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 805},	//1399 QGlobalSpace::SP_CustomToolBarDone (enum)
    {37, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 806},	//1400 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 807},	//1401 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {37, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 808},	//1402 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {37, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 809},	//1403 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {37, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 810},	//1404 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 811},	//1405 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {37, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 812},	//1406 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {37, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 813},	//1407 QGlobalSpace::SP_CustomToolBarGo (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 814},	//1408 QGlobalSpace::SP_CustomToolBarHome (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 815},	//1409 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 816},	//1410 QGlobalSpace::SP_CustomToolBarList (enum)
    {37, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 817},	//1411 QGlobalSpace::SP_CustomToolBarLock (enum)
    {37, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 818},	//1412 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {37, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 819},	//1413 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {37, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 820},	//1414 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {37, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 821},	//1415 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {37, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 822},	//1416 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {37, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 823},	//1417 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {37, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 824},	//1418 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 825},	//1419 QGlobalSpace::SP_CustomToolBarOther (enum)
    {37, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 826},	//1420 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 827},	//1421 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {37, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 828},	//1422 QGlobalSpace::SP_CustomToolBarRead (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 829},	//1423 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {37, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 830},	//1424 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 831},	//1425 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 832},	//1426 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {37, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 833},	//1427 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {37, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 834},	//1428 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {37, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 835},	//1429 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {37, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 836},	//1430 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {37, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 837},	//1431 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {37, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 838},	//1432 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {37, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 839},	//1433 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {37, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 840},	//1434 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {37, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 841},	//1435 QGlobalSpace::SP_CustomToolBarSend (enum)
    {37, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 842},	//1436 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {37, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 843},	//1437 QGlobalSpace::SP_CustomToolBarShare (enum)
    {37, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 844},	//1438 QGlobalSpace::SP_CustomToolBarShift (enum)
    {37, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 845},	//1439 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {37, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 846},	//1440 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {37, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 847},	//1441 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {37, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 848},	//1442 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {37, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 849},	//1443 QGlobalSpace::SP_CustomToolBarSync (enum)
    {37, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 850},	//1444 QGlobalSpace::SP_CustomToolBarTools (enum)
    {37, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 851},	//1445 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {37, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 852},	//1446 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {37, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 853},	//1447 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 854},	//1448 QGlobalSpace::SP_CustomToolBarView (enum)
    {37, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 855},	//1449 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {37, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 856},	//1450 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {37, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 857},	//1451 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {37, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 858},	//1452 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {37, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 859},	//1453 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {37, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 860},	//1454 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {37, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 861},	//1455 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {37, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 862},	//1456 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {37, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 863},	//1457 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {37, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 864},	//1458 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {37, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 865},	//1459 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {37, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 866},	//1460 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {37, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 867},	//1461 QGlobalSpace::SP_CustomTabAll (enum)
    {37, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 868},	//1462 QGlobalSpace::SP_CustomTabArtist (enum)
    {37, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 869},	//1463 QGlobalSpace::SP_CustomTabFavourite (enum)
    {37, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 870},	//1464 QGlobalSpace::SP_CustomTabGenre (enum)
    {37, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 871},	//1465 QGlobalSpace::SP_CustomTabLanguage (enum)
    {37, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 872},	//1466 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {37, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 873},	//1467 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {37, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 874},	//1468 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {37, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 875},	//1469 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {37, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 876},	//1470 QGlobalSpace::SP_CustomTabServices (enum)
    {37, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 877},	//1471 QGlobalSpace::SP_CustomTabSongs (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 499, 878},	//1472 QGlobalSpace::SP_CustomTabVideos (enum)
    {37, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 879},	//1473 QGlobalSpace::QtDebugMsg (enum)
    {37, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 880},	//1474 QGlobalSpace::QtWarningMsg (enum)
    {37, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 881},	//1475 QGlobalSpace::QtCriticalMsg (enum)
    {37, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 882},	//1476 QGlobalSpace::QtFatalMsg (enum)
    {37, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 883},	//1477 QGlobalSpace::QtSystemMsg (enum)
    {37, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 884},	//1478 QGlobalSpace::__codecvt_ok (enum)
    {37, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 885},	//1479 QGlobalSpace::__codecvt_partial (enum)
    {37, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 886},	//1480 QGlobalSpace::__codecvt_error (enum)
    {37, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 887},	//1481 QGlobalSpace::__codecvt_noconv (enum)
    {61, 313, 638, 1, Smoke::mf_virtual, 376, 0},	//1482 QObject::event(QEvent*)
    {61, 315, 2518, 2, Smoke::mf_virtual, 376, 0},	//1483 QObject::eventFilter(QObject*, QEvent*)
    {61, 894, 2521, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1484 QObject::timerEvent(QTimerEvent*)
    {61, 259, 2523, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1485 QObject::childEvent(QChildEvent*)
    {61, 280, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1486 QObject::customEvent(QEvent*)
    {61, 271, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1487 QObject::connectNotify(const char*)
    {61, 295, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1488 QObject::disconnectNotify(const char*)
    {112, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 498, 0},	//1489 QWidget::devType() const
    {112, 871, 81, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1490 QWidget::setVisible(bool)
    {112, 879, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 236, 0},	//1491 QWidget::sizeHint() const
    {112, 383, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 236, 0},	//1492 QWidget::minimumSizeHint() const
    {112, 353, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 498, 0},	//1493 QWidget::heightForWidth(int) const
    {112, 387, 2525, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1494 QWidget::mousePressEvent(QMouseEvent*)
    {112, 388, 2525, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1495 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 385, 2525, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1496 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 386, 2525, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1497 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 914, 2527, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1498 QWidget::wheelEvent(QWheelEvent*)
    {112, 368, 2529, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1499 QWidget::keyPressEvent(QKeyEvent*)
    {112, 369, 2529, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1500 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 320, 2531, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1501 QWidget::focusInEvent(QFocusEvent*)
    {112, 322, 2531, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1502 QWidget::focusOutEvent(QFocusEvent*)
    {112, 308, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1503 QWidget::enterEvent(QEvent*)
    {112, 371, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1504 QWidget::leaveEvent(QEvent*)
    {112, 389, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1505 QWidget::moveEvent(QMoveEvent*)
    {112, 262, 2535, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1506 QWidget::closeEvent(QCloseEvent*)
    {112, 273, 2537, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1507 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 888, 2539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1508 QWidget::tabletEvent(QTabletEvent*)
    {112, 219, 2541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1509 QWidget::actionEvent(QActionEvent*)
    {112, 298, 2543, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1510 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 300, 2545, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1511 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 299, 2547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1512 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 304, 2549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1513 QWidget::dropEvent(QDropEvent*)
    {112, 877, 2551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1514 QWidget::showEvent(QShowEvent*)
    {112, 354, 2553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1515 QWidget::hideEvent(QHideEvent*)
    {112, 919, 2555, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1516 QWidget::x11Event(_XEvent*)
    {112, 258, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1517 QWidget::changeEvent(QEvent*)
    {112, 381, 150, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 498, 0},	//1518 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 358, 2557, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1519 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 359, 2559, 1, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//1520 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 321, 81, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1521 QWidget::focusNextPrevChild(bool)
    {112, 885, 2561, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1522 QWidget::styleChange(QStyle&)
    {112, 307, 81, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1523 QWidget::enabledChange(bool)
    {112, 462, 2563, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1524 QWidget::paletteChange(const QPalette&)
    {112, 323, 686, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1525 QWidget::fontChange(const QFont&)
    {112, 915, 81, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1526 QWidget::windowActivationChange(bool)
    {112, 370, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1527 QWidget::languageChange()
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 40},	//1528 QWidget::DrawWindowBackground (enum)
    {112, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 41},	//1529 QWidget::DrawChildren (enum)
    {112, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 42},	//1530 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    338,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    492,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    343,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    345,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    364,  // QGLShaderProgram::attributeLocation(const char*) const
    366,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    361,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    363,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    399,  // QGLShaderProgram::disableAttributeArray(int)
    400,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    397,  // QGLShaderProgram::enableAttributeArray(int)
    398,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    494,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    495,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    496,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    499,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    500,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    501,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    386,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    387,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    388,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    391,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    392,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    393,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    493,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    498,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    385,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    390,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    497,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    502,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    0,
    389,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    394,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    0,
    503,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    504,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    0,
    395,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    396,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    0,
    371,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    372,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    373,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    374,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    380,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    381,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    382,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    383,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    367,  // QGLShaderProgram::setAttributeValue(int, float)
    376,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    368,  // QGLShaderProgram::setAttributeValue(int, float, float)
    377,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    369,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    375,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    378,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    384,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    370,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    379,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    410,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    411,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    412,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    413,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    414,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    415,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    416,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    417,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    426,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    430,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    437,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    438,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    439,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    440,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    441,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    404,  // QGLShaderProgram::setUniformValue(int, float)
    405,  // QGLShaderProgram::setUniformValue(int, int)
    406,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    427,  // QGLShaderProgram::setUniformValue(int, const float[2][2])
    428,  // QGLShaderProgram::setUniformValue(int, const float[3][3])
    429,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    431,  // QGLShaderProgram::setUniformValue(const char*, float)
    432,  // QGLShaderProgram::setUniformValue(const char*, int)
    433,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    454,  // QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    455,  // QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    456,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    407,  // QGLShaderProgram::setUniformValue(int, float, float)
    434,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    408,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    435,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    409,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    436,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    418,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    419,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    420,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    421,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    422,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    461,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    462,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    463,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    476,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    477,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    459,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    460,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    474,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    475,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    458,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    473,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    466,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    401,  // QGLShaderProgram::uniformLocation(const char*) const
    403,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    217,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    244,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    218,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    246,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    248,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    249,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    236,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    237,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    297,  // QGLPixelBuffer::bindTexture(const QImage&)
    298,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    279,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    280,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    299,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    300,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    283,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    284,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    568,  // QGLWidget::QGLWidget(QWidget*)
    570,  // QGLWidget::QGLWidget(QGLContext*)
    573,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    569,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    571,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    574,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    572,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    575,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    516,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    517,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    586,  // QGLWidget::bindTexture(const QImage&)
    588,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    587,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    589,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    543,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    544,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    541,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    542,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    590,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    591,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    547,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    548,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    117,  // QGLContext::bindTexture(const QImage&)
    119,  // QGLContext::bindTexture(const QPixmap&)
    0,
    118,  // QGLContext::bindTexture(const QImage&, unsigned int)
    120,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    94,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    95,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    92,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    121,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    122,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    99,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    604,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    683,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    747,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    762,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    847,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    889,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    918,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    926,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1010,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1020,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1069,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    1071,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1085,  // QGlobalSpace::operator!=(QChar, QChar)
    1128,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1219,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1249,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1297,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1307,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1310,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1365,  // QGlobalSpace::operator!=(QBool, QBool)
    1384,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    665,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    695,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    717,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1107,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1305,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    838,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    966,  // QGlobalSpace::operator!=(bool, QBool)
    1019,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1097,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1278,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1319,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    611,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    643,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    648,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    651,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    693,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    711,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    763,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    822,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    848,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    869,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    887,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    911,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    986,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    998,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1057,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1106,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1134,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1141,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1146,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1210,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1265,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1267,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1277,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1289,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1299,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1313,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1324,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1327,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1380,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    657,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    755,  // QGlobalSpace::operator*(const QTransform&, double)
    863,  // QGlobalSpace::operator*(const QQuaternion&, double)
    1014,  // QGlobalSpace::operator*(const QVector4D&, double)
    1068,  // QGlobalSpace::operator*(const QVector2D&, double)
    1075,  // QGlobalSpace::operator*(const QVector3D&, double)
    1138,  // QGlobalSpace::operator*(const QSize&, double)
    1285,  // QGlobalSpace::operator*(const QPoint&, double)
    1294,  // QGlobalSpace::operator*(const QSizeF&, double)
    1315,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    678,  // QGlobalSpace::operator*(double, const QSizeF&)
    973,  // QGlobalSpace::operator*(double, const QVector2D&)
    1022,  // QGlobalSpace::operator*(double, const QVector4D&)
    1067,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1132,  // QGlobalSpace::operator*(double, const QPointF&)
    1147,  // QGlobalSpace::operator*(double, const QPoint&)
    1203,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1302,  // QGlobalSpace::operator*(double, const QSize&)
    1369,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    637,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    673,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    706,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    731,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    736,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    793,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    868,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    880,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    944,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1336,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    767,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    777,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    821,  // QGlobalSpace::operator+(const QTransform&, double)
    827,  // QGlobalSpace::operator+(QChar, const QString&)
    1028,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    617,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    709,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    761,  // QGlobalSpace::operator+(const QString&, QChar)
    1114,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    771,  // QGlobalSpace::operator+(const QString&, const char*)
    846,  // QGlobalSpace::operator+(const QString&, char)
    937,  // QGlobalSpace::operator+(char, const QString&)
    1121,  // QGlobalSpace::operator+(const char*, const QString&)
    1364,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    653,  // QGlobalSpace::operator-(const QMatrix4x4&)
    837,  // QGlobalSpace::operator-(const QQuaternion&)
    872,  // QGlobalSpace::operator-(const QPoint&)
    974,  // QGlobalSpace::operator-(const QVector4D&)
    989,  // QGlobalSpace::operator-(const QPointF&)
    1200,  // QGlobalSpace::operator-(const QVector2D&)
    1243,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    601,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    684,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    710,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    714,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    741,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    849,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    931,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1119,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1314,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    702,  // QGlobalSpace::operator/(const QPoint&, double)
    737,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    896,  // QGlobalSpace::operator/(const QVector4D&, double)
    963,  // QGlobalSpace::operator/(const QVector2D&, double)
    965,  // QGlobalSpace::operator/(const QPointF&, double)
    969,  // QGlobalSpace::operator/(const QVector3D&, double)
    979,  // QGlobalSpace::operator/(const QTransform&, double)
    1032,  // QGlobalSpace::operator/(const QSizeF&, double)
    1049,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1266,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    661,  // QGlobalSpace::operator<(QChar, QChar)
    742,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    856,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1304,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    667,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1021,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    615,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    626,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    640,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    644,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    645,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    650,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    658,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    659,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    668,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    698,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    707,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    713,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    718,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    721,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    723,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    729,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    758,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    775,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    795,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    796,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    797,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    806,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    823,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    874,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    886,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    891,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    892,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    897,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    906,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    912,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    913,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    921,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    928,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    948,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    949,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    950,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    952,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    983,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    990,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    997,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    1007,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1016,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1017,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1027,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1035,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    1045,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    1053,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1058,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1063,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1064,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1066,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    1070,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1073,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1078,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1080,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1081,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1083,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1099,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1111,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1117,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1120,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1139,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1149,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1173,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1178,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1187,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1192,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1202,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1204,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1211,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1212,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1214,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1215,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1226,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1231,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1238,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1244,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1279,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1280,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1293,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1309,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1328,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1329,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1330,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1342,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1351,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1353,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1356,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1368,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1382,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1385,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1387,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    610,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    666,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    833,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    907,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    951,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1056,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1130,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    1263,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    1322,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1381,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    792,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    818,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1044,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1245,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    1042,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    1110,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    603,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    614,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    625,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    647,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    649,  // QGlobalSpace::operator==(QChar, QChar)
    680,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    785,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    808,  // QGlobalSpace::operator==(QBool, QBool)
    850,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    871,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    878,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    941,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    967,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1025,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1034,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1037,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1137,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1145,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1162,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1222,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1271,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1298,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    613,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    748,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    939,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1291,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1296,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1347,  // QGlobalSpace::operator==(QBool, bool)
    0,
    608,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    634,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    810,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    992,  // QGlobalSpace::operator==(bool, QBool)
    1062,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1116,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1233,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    676,  // QGlobalSpace::operator>(QChar, QChar)
    772,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    788,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    922,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    635,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    746,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    597,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    664,  // QGlobalSpace::operator>=(QChar, QChar)
    1033,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1174,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    1003,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1375,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    609,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    618,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    628,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    660,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    662,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    751,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    759,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    776,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    807,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    819,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    834,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    842,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    855,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    925,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    938,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    940,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    953,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    961,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    976,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    984,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    988,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    993,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    999,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    1015,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    1031,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1046,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1061,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1084,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1093,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1094,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1096,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1113,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1125,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1126,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1133,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1176,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1186,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1223,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1237,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1251,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1252,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1257,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1273,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1308,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1337,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1340,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1348,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1349,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1378,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1386,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    1048,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1260,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    595,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    600,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    602,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    612,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    616,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    619,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    620,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    621,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    633,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    636,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    641,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    642,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    646,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    652,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    656,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    663,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    669,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    670,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    672,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    675,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    677,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    681,  // QGlobalSpace::operator|(QDir::Filter, int)
    682,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    687,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    688,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    689,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    691,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    694,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    696,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    697,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    699,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    700,  // QGlobalSpace::operator|(QFile::Permission, int)
    701,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    708,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    716,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    719,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    720,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    724,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    727,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    728,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    730,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    732,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    733,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    738,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    739,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    740,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    750,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    754,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    756,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    764,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    765,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    769,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    770,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    773,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    780,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    782,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    786,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    789,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    794,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    801,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    803,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    805,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    809,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    811,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    812,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    815,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    816,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    817,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    824,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    828,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    829,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    830,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    831,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    832,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    839,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    841,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    843,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    845,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    851,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    852,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    853,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    854,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    858,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    864,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    866,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    870,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    873,  // QGlobalSpace::operator|(Qt::DropAction, int)
    875,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    888,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    893,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    898,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    901,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    904,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    905,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    908,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    910,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    919,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    924,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    927,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    929,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    930,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    942,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    943,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    945,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    954,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    960,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    962,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    964,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    968,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    970,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    971,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    975,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    978,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    980,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    982,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    987,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    991,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    994,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    996,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    1000,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1004,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1005,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1006,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1009,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    1018,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    1023,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1024,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    1029,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1030,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    1036,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1039,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    1047,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1052,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1054,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1059,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    1072,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1074,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1076,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1079,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1086,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1089,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1090,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    1092,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    1098,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    1100,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    1101,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1104,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    1105,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    1112,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    1115,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    1118,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    1122,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1123,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    1124,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1127,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1129,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1131,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1135,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1136,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1142,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    1143,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1155,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1156,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1158,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1159,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1163,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    1164,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1166,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    1167,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1168,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1170,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1171,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1172,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1175,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    1179,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1185,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1188,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    1193,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1194,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1195,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1196,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1197,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1198,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1199,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    1201,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1209,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1216,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1217,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    1218,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    1221,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1224,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    1232,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1234,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1235,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1236,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1241,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    1242,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    1246,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1248,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1250,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1256,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    1258,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    1259,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1261,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    1264,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1269,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    1274,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1275,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1286,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1287,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1290,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1292,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    1295,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1300,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    1301,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    1303,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1306,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1311,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1312,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1317,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    1318,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1323,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1325,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    1326,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1331,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1332,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1334,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1338,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1339,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1341,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    1343,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1344,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1352,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    1354,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    1355,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1357,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1359,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1363,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1366,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1373,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1374,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1379,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    1383,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    712,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    779,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    840,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    981,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1008,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1140,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1230,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1161,  // QGlobalSpace::qFuzzyCompare(float, float)
    1276,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    862,  // QGlobalSpace::qFuzzyIsNull(float)
    1189,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    654,  // QGlobalSpace::qHash(const QUrl&)
    655,  // QGlobalSpace::qHash(const QByteArray&)
    752,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    781,  // QGlobalSpace::qHash(QChar)
    802,  // QGlobalSpace::qHash(const QModelIndex&)
    946,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1077,  // QGlobalSpace::qHash(const QBitArray&)
    1371,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    598,  // QGlobalSpace::qHash(unsigned long long)
    632,  // QGlobalSpace::qHash(signed char)
    692,  // QGlobalSpace::qHash(char)
    778,  // QGlobalSpace::qHash(unsigned int)
    791,  // QGlobalSpace::qHash(const QString&)
    836,  // QGlobalSpace::qHash(long long)
    867,  // QGlobalSpace::qHash(int)
    920,  // QGlobalSpace::qHash(long)
    923,  // QGlobalSpace::qHash(unsigned short)
    1154,  // QGlobalSpace::qHash(short)
    1350,  // QGlobalSpace::qHash(unsigned long)
    1377,  // QGlobalSpace::qHash(unsigned char)
    0,
    638,  // QGlobalSpace::qIntCast(double)
    784,  // QGlobalSpace::qIntCast(float)
    0,
    715,  // QGlobalSpace::qIsFinite(double)
    760,  // QGlobalSpace::qIsFinite(float)
    0,
    599,  // QGlobalSpace::qIsInf(double)
    630,  // QGlobalSpace::qIsInf(float)
    0,
    814,  // QGlobalSpace::qIsNaN(float)
    825,  // QGlobalSpace::qIsNaN(double)
    0,
    1268,  // QGlobalSpace::qIsNull(float)
    1372,  // QGlobalSpace::qIsNull(double)
    0,
    309,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    324,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    312,  // QGLShader::compileSourceCode(const char*)
    314,  // QGLShader::compileSourceCode(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 21, 10},	// QGL::HasOverlay
    {26, 24, 20},	// QGL::IndirectRendering
    {26, 30, 17},	// QGL::NoAccumBuffer
    {26, 31, 16},	// QGL::NoAlphaChannel
    {26, 34, 23},	// QGL::NoDeprecatedFunctions
    {26, 35, 14},	// QGL::NoDepthBuffer
    {26, 36, 21},	// QGL::NoOverlay
    {26, 38, 22},	// QGL::NoSampleBuffers
    {26, 39, 18},	// QGL::NoStencilBuffer
    {26, 40, 19},	// QGL::NoStereoBuffers
    {26, 114, 4},	// QGL::Rgba
    {26, 200, 11},	// QGL::SampleBuffers
    {26, 201, 13},	// QGL::SingleBuffer
    {26, 205, 7},	// QGL::StencilBuffer
    {26, 206, 8},	// QGL::StereoBuffers
    {26, 830, 1},	// QGL::setPreferredPaintEngine$
    {27, 16, 57},	// QGLBuffer::DynamicCopy
    {27, 17, 55},	// QGLBuffer::DynamicDraw
    {27, 18, 56},	// QGLBuffer::DynamicRead
    {27, 23, 46},	// QGLBuffer::IndexBuffer
    {27, 59, 47},	// QGLBuffer::PixelPackBuffer
    {27, 60, 48},	// QGLBuffer::PixelUnpackBuffer
    {27, 62, 24},	// QGLBuffer::QGLBuffer
    {27, 63, 26},	// QGLBuffer::QGLBuffer#
    {27, 64, 25},	// QGLBuffer::QGLBuffer$
    {27, 112, 58},	// QGLBuffer::ReadOnly
    {27, 113, 60},	// QGLBuffer::ReadWrite
    {27, 202, 54},	// QGLBuffer::StaticCopy
    {27, 203, 52},	// QGLBuffer::StaticDraw
    {27, 204, 53},	// QGLBuffer::StaticRead
    {27, 207, 51},	// QGLBuffer::StreamCopy
    {27, 208, 49},	// QGLBuffer::StreamDraw
    {27, 209, 50},	// QGLBuffer::StreamRead
    {27, 211, 45},	// QGLBuffer::VertexBuffer
    {27, 212, 59},	// QGLBuffer::WriteOnly
    {27, 228, 42},	// QGLBuffer::allocate$
    {27, 229, 41},	// QGLBuffer::allocate$$
    {27, 239, 34},	// QGLBuffer::bind
    {27, 257, 37},	// QGLBuffer::bufferId
    {27, 276, 31},	// QGLBuffer::create
    {27, 287, 33},	// QGLBuffer::destroy
    {27, 363, 32},	// QGLBuffer::isCreated
    {27, 378, 43},	// QGLBuffer::map$
    {27, 429, 27},	// QGLBuffer::operator=#
    {27, 718, 39},	// QGLBuffer::read$$$
    {27, 720, 35},	// QGLBuffer::release
    {27, 721, 36},	// QGLBuffer::release$
    {27, 866, 30},	// QGLBuffer::setUsagePattern$
    {27, 878, 38},	// QGLBuffer::size
    {27, 904, 28},	// QGLBuffer::type
    {27, 908, 44},	// QGLBuffer::unmap
    {27, 913, 29},	// QGLBuffer::usagePattern
    {27, 918, 40},	// QGLBuffer::write$$$
    {27, 920, 61},	// QGLBuffer::~QGLBuffer
    {28, 65, 62},	// QGLColormap::QGLColormap
    {28, 66, 63},	// QGLColormap::QGLColormap#
    {28, 288, 67},	// QGLColormap::detach
    {28, 310, 72},	// QGLColormap::entryColor$
    {28, 312, 71},	// QGLColormap::entryRgb$
    {28, 317, 73},	// QGLColormap::find$
    {28, 319, 74},	// QGLColormap::findNearest$
    {28, 341, 75},	// QGLColormap::handle
    {28, 364, 65},	// QGLColormap::isEmpty
    {28, 429, 64},	// QGLColormap::operator=#
    {28, 800, 77},	// QGLColormap::setEntries$$
    {28, 801, 68},	// QGLColormap::setEntries$$$
    {28, 803, 70},	// QGLColormap::setEntry$#
    {28, 804, 69},	// QGLColormap::setEntry$$
    {28, 816, 76},	// QGLColormap::setHandle$
    {28, 878, 66},	// QGLColormap::size
    {28, 921, 78},	// QGLColormap::~QGLColormap
    {29, 3, 132},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 8, 133},	// QGLContext::DefaultBindOption
    {29, 25, 134},	// QGLContext::InternalBindOption
    {29, 26, 127},	// QGLContext::InvertedYBindOption
    {29, 27, 130},	// QGLContext::LinearFilteringBindOption
    {29, 28, 131},	// QGLContext::MemoryManagedBindOption
    {29, 29, 128},	// QGLContext::MipmapBindOption
    {29, 33, 126},	// QGLContext::NoBindOption
    {29, 61, 129},	// QGLContext::PremultipliedAlphaBindOption
    {29, 68, 80},	// QGLContext::QGLContext#
    {29, 69, 79},	// QGLContext::QGLContext##
    {29, 233, 85},	// QGLContext::areSharing##
    {29, 245, -226},	// QGLContext::bindTexture#
    {29, 246, -229},	// QGLContext::bindTexture#$
    {29, 247, -232},	// QGLContext::bindTexture#$$
    {29, 248, -235},	// QGLContext::bindTexture#$$$
    {29, 249, 96},	// QGLContext::bindTexture$
    {29, 260, 123},	// QGLContext::chooseContext
    {29, 261, 106},	// QGLContext::chooseContext#
    {29, 264, 113},	// QGLContext::colorIndex#
    {29, 276, 116},	// QGLContext::create
    {29, 277, 81},	// QGLContext::create#
    {29, 278, 105},	// QGLContext::currentContext
    {29, 279, 124},	// QGLContext::currentCtx
    {29, 284, 97},	// QGLContext::deleteTexture$
    {29, 290, 103},	// QGLContext::device
    {29, 291, 107},	// QGLContext::deviceIsPixmap
    {29, 296, 90},	// QGLContext::doneCurrent
    {29, 302, -238},	// QGLContext::drawTexture#$
    {29, 303, -241},	// QGLContext::drawTexture#$$
    {29, 327, 86},	// QGLContext::format
    {29, 330, 112},	// QGLContext::generateFontDisplayLists#$
    {29, 335, 102},	// QGLContext::getProcAddress$
    {29, 357, 110},	// QGLContext::initialized
    {29, 366, 83},	// QGLContext::isSharing
    {29, 367, 82},	// QGLContext::isValid
    {29, 375, 89},	// QGLContext::makeCurrent
    {29, 456, 104},	// QGLContext::overlayTransparentColor
    {29, 737, 87},	// QGLContext::requestedFormat
    {29, 738, 84},	// QGLContext::reset
    {29, 784, 125},	// QGLContext::setCurrentCtx#
    {29, 794, 115},	// QGLContext::setDevice#
    {29, 806, 88},	// QGLContext::setFormat#
    {29, 818, 111},	// QGLContext::setInitialized$
    {29, 850, 100},	// QGLContext::setTextureCacheLimit$
    {29, 868, 114},	// QGLContext::setValid$
    {29, 873, 109},	// QGLContext::setWindowCreated$
    {29, 886, 91},	// QGLContext::swapBuffers
    {29, 892, 101},	// QGLContext::textureCacheLimit
    {29, 916, 108},	// QGLContext::windowCreated
    {29, 922, 135},	// QGLContext::~QGLContext
    {30, 6, 197},	// QGLFormat::CompatibilityProfile
    {30, 7, 196},	// QGLFormat::CoreProfile
    {30, 37, 195},	// QGLFormat::NoProfile
    {30, 41, 207},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 42, 209},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 43, 206},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 44, 208},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 45, 210},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 46, 199},	// QGLFormat::OpenGL_Version_1_1
    {30, 47, 200},	// QGLFormat::OpenGL_Version_1_2
    {30, 48, 201},	// QGLFormat::OpenGL_Version_1_3
    {30, 49, 202},	// QGLFormat::OpenGL_Version_1_4
    {30, 50, 203},	// QGLFormat::OpenGL_Version_1_5
    {30, 51, 204},	// QGLFormat::OpenGL_Version_2_0
    {30, 52, 205},	// QGLFormat::OpenGL_Version_2_1
    {30, 53, 211},	// QGLFormat::OpenGL_Version_3_0
    {30, 54, 212},	// QGLFormat::OpenGL_Version_3_1
    {30, 55, 213},	// QGLFormat::OpenGL_Version_3_2
    {30, 56, 214},	// QGLFormat::OpenGL_Version_3_3
    {30, 57, 215},	// QGLFormat::OpenGL_Version_4_0
    {30, 58, 198},	// QGLFormat::OpenGL_Version_None
    {30, 70, 136},	// QGLFormat::QGLFormat
    {30, 71, 138},	// QGLFormat::QGLFormat#
    {30, 72, 194},	// QGLFormat::QGLFormat$
    {30, 73, 137},	// QGLFormat::QGLFormat$$
    {30, 217, 168},	// QGLFormat::accum
    {30, 218, 143},	// QGLFormat::accumBufferSize
    {30, 230, 166},	// QGLFormat::alpha
    {30, 231, 151},	// QGLFormat::alphaBufferSize
    {30, 256, 149},	// QGLFormat::blueBufferSize
    {30, 281, 182},	// QGLFormat::defaultFormat
    {30, 282, 184},	// QGLFormat::defaultOverlayFormat
    {30, 285, 162},	// QGLFormat::depth
    {30, 286, 141},	// QGLFormat::depthBufferSize
    {30, 292, 174},	// QGLFormat::directRendering
    {30, 297, 160},	// QGLFormat::doubleBuffer
    {30, 340, 147},	// QGLFormat::greenBufferSize
    {30, 342, 186},	// QGLFormat::hasOpenGL
    {30, 345, 187},	// QGLFormat::hasOpenGLOverlays
    {30, 352, 176},	// QGLFormat::hasOverlay
    {30, 374, 189},	// QGLFormat::majorVersion
    {30, 384, 190},	// QGLFormat::minorVersion
    {30, 390, 193},	// QGLFormat::openGLVersionFlags
    {30, 429, 139},	// QGLFormat::operator=#
    {30, 463, 178},	// QGLFormat::plane
    {30, 464, 192},	// QGLFormat::profile
    {30, 719, 145},	// QGLFormat::redBufferSize
    {30, 745, 164},	// QGLFormat::rgba
    {30, 746, 155},	// QGLFormat::sampleBuffers
    {30, 747, 157},	// QGLFormat::samples
    {30, 749, 169},	// QGLFormat::setAccum$
    {30, 751, 142},	// QGLFormat::setAccumBufferSize$
    {30, 753, 167},	// QGLFormat::setAlpha$
    {30, 755, 150},	// QGLFormat::setAlphaBufferSize$
    {30, 776, 148},	// QGLFormat::setBlueBufferSize$
    {30, 786, 183},	// QGLFormat::setDefaultFormat#
    {30, 788, 185},	// QGLFormat::setDefaultOverlayFormat#
    {30, 790, 163},	// QGLFormat::setDepth$
    {30, 792, 140},	// QGLFormat::setDepthBufferSize$
    {30, 796, 175},	// QGLFormat::setDirectRendering$
    {30, 798, 161},	// QGLFormat::setDoubleBuffer$
    {30, 814, 146},	// QGLFormat::setGreenBufferSize$
    {30, 824, 180},	// QGLFormat::setOption$
    {30, 826, 177},	// QGLFormat::setOverlay$
    {30, 828, 179},	// QGLFormat::setPlane$
    {30, 832, 191},	// QGLFormat::setProfile$
    {30, 834, 144},	// QGLFormat::setRedBufferSize$
    {30, 836, 165},	// QGLFormat::setRgba$
    {30, 838, 154},	// QGLFormat::setSampleBuffers$
    {30, 840, 156},	// QGLFormat::setSamples$
    {30, 842, 171},	// QGLFormat::setStencil$
    {30, 844, 152},	// QGLFormat::setStencilBufferSize$
    {30, 846, 173},	// QGLFormat::setStereo$
    {30, 848, 158},	// QGLFormat::setSwapInterval$
    {30, 870, 188},	// QGLFormat::setVersion$$
    {30, 882, 170},	// QGLFormat::stencil
    {30, 883, 153},	// QGLFormat::stencilBufferSize
    {30, 884, 172},	// QGLFormat::stereo
    {30, 887, 159},	// QGLFormat::swapInterval
    {30, 890, 181},	// QGLFormat::testOption$
    {30, 923, 216},	// QGLFormat::~QGLFormat
    {31, 5, 253},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 10, 254},	// QGLFramebufferObject::Depth
    {31, 32, 252},	// QGLFramebufferObject::NoAttachment
    {31, 75, 242},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 76, 221},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 77, -170},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 78, 245},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {31, 79, 219},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {31, 80, 243},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 81, 222},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 82, -173},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 83, 247},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {31, 84, 220},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {31, 234, 231},	// QGLFramebufferObject::attachment
    {31, 239, 226},	// QGLFramebufferObject::bind
    {31, 243, 234},	// QGLFramebufferObject::bindDefault
    {31, 253, 250},	// QGLFramebufferObject::blitFramebuffer####
    {31, 254, 251},	// QGLFramebufferObject::blitFramebuffer####$
    {31, 255, 239},	// QGLFramebufferObject::blitFramebuffer####$$
    {31, 289, 241},	// QGLFramebufferObject::devType
    {31, 302, -176},	// QGLFramebufferObject::drawTexture#$
    {31, 303, -179},	// QGLFramebufferObject::drawTexture#$$
    {31, 327, 223},	// QGLFramebufferObject::format
    {31, 341, 233},	// QGLFramebufferObject::handle
    {31, 343, 238},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 344, 235},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 361, 225},	// QGLFramebufferObject::isBound
    {31, 367, 224},	// QGLFramebufferObject::isValid
    {31, 382, 240},	// QGLFramebufferObject::metric$
    {31, 457, 232},	// QGLFramebufferObject::paintEngine
    {31, 720, 227},	// QGLFramebufferObject::release
    {31, 878, 229},	// QGLFramebufferObject::size
    {31, 891, 228},	// QGLFramebufferObject::texture
    {31, 895, 230},	// QGLFramebufferObject::toImage
    {31, 924, 255},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 85, 256},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 86, 257},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 234, 262},	// QGLFramebufferObjectFormat::attachment
    {32, 360, 266},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 392, 268},	// QGLFramebufferObjectFormat::operator!=#
    {32, 429, 258},	// QGLFramebufferObjectFormat::operator=#
    {32, 431, 267},	// QGLFramebufferObjectFormat::operator==#
    {32, 747, 260},	// QGLFramebufferObjectFormat::samples
    {32, 757, 261},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 820, 265},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {32, 840, 259},	// QGLFramebufferObjectFormat::setSamples$
    {32, 852, 263},	// QGLFramebufferObjectFormat::setTextureTarget$
    {32, 893, 264},	// QGLFramebufferObjectFormat::textureTarget
    {32, 925, 269},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 88, 293},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 89, 294},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 90, 270},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 91, 295},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 92, 296},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 93, 271},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 245, -182},	// QGLPixelBuffer::bindTexture#
    {33, 246, -185},	// QGLPixelBuffer::bindTexture#$
    {33, 249, 281},	// QGLPixelBuffer::bindTexture$
    {33, 251, 276},	// QGLPixelBuffer::bindToDynamicTexture$
    {33, 284, 282},	// QGLPixelBuffer::deleteTexture$
    {33, 289, 292},	// QGLPixelBuffer::devType
    {33, 296, 274},	// QGLPixelBuffer::doneCurrent
    {33, 302, -188},	// QGLPixelBuffer::drawTexture#$
    {33, 303, -191},	// QGLPixelBuffer::drawTexture#$$
    {33, 327, 289},	// QGLPixelBuffer::format
    {33, 328, 275},	// QGLPixelBuffer::generateDynamicTexture
    {33, 341, 286},	// QGLPixelBuffer::handle
    {33, 346, 290},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 367, 272},	// QGLPixelBuffer::isValid
    {33, 375, 273},	// QGLPixelBuffer::makeCurrent
    {33, 382, 291},	// QGLPixelBuffer::metric$
    {33, 457, 288},	// QGLPixelBuffer::paintEngine
    {33, 722, 277},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 878, 285},	// QGLPixelBuffer::size
    {33, 895, 287},	// QGLPixelBuffer::toImage
    {33, 910, 278},	// QGLPixelBuffer::updateDynamicTexture$
    {33, 926, 301},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 19, 328},	// QGLShader::Fragment
    {34, 20, 329},	// QGLShader::Geometry
    {34, 95, 323},	// QGLShader::QGLShader$
    {34, 96, -912},	// QGLShader::QGLShader$#
    {34, 97, 310},	// QGLShader::QGLShader$##
    {34, 210, 327},	// QGLShader::Vertex
    {34, 267, 313},	// QGLShader::compileSourceCode#
    {34, 268, -915},	// QGLShader::compileSourceCode$
    {34, 270, 315},	// QGLShader::compileSourceFile$
    {34, 350, 325},	// QGLShader::hasOpenGLShaders$
    {34, 351, 320},	// QGLShader::hasOpenGLShaders$#
    {34, 362, 317},	// QGLShader::isCompiled
    {34, 373, 318},	// QGLShader::log
    {34, 380, 302},	// QGLShader::metaObject
    {34, 705, 308},	// QGLShader::qt_metacall$$?
    {34, 707, 303},	// QGLShader::qt_metacast$
    {34, 874, 319},	// QGLShader::shaderId
    {34, 875, 311},	// QGLShader::shaderType
    {34, 880, 316},	// QGLShader::sourceCode
    {34, 881, 326},	// QGLShader::staticMetaObject
    {34, 897, 321},	// QGLShader::tr$
    {34, 898, 304},	// QGLShader::tr$$
    {34, 899, 306},	// QGLShader::tr$$$
    {34, 901, 322},	// QGLShader::trUtf8$
    {34, 902, 305},	// QGLShader::trUtf8$$
    {34, 903, 307},	// QGLShader::trUtf8$$$
    {34, 927, 330},	// QGLShader::~QGLShader
    {35, 98, 491},	// QGLShaderProgram::QGLShaderProgram
    {35, 99, -1},	// QGLShaderProgram::QGLShaderProgram#
    {35, 100, 339},	// QGLShaderProgram::QGLShaderProgram##
    {35, 221, 340},	// QGLShaderProgram::addShader#
    {35, 223, 344},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 224, -4},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 226, 346},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 236, 365},	// QGLShaderProgram::attributeLocation#
    {35, 237, -7},	// QGLShaderProgram::attributeLocation$
    {35, 239, 351},	// QGLShaderProgram::bind
    {35, 241, 362},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 242, -10},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 294, -13},	// QGLShaderProgram::disableAttributeArray$
    {35, 306, -16},	// QGLShaderProgram::enableAttributeArray$
    {35, 331, 358},	// QGLShaderProgram::geometryInputType
    {35, 332, 360},	// QGLShaderProgram::geometryOutputType
    {35, 333, 356},	// QGLShaderProgram::geometryOutputVertexCount
    {35, 347, 505},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 348, 488},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 365, 349},	// QGLShaderProgram::isLinked
    {35, 372, 348},	// QGLShaderProgram::link
    {35, 373, 350},	// QGLShaderProgram::log
    {35, 379, 354},	// QGLShaderProgram::maxGeometryOutputVertices
    {35, 380, 331},	// QGLShaderProgram::metaObject
    {35, 465, 353},	// QGLShaderProgram::programId
    {35, 705, 337},	// QGLShaderProgram::qt_metacall$$?
    {35, 707, 332},	// QGLShaderProgram::qt_metacast$
    {35, 720, 352},	// QGLShaderProgram::release
    {35, 723, 347},	// QGLShaderProgram::removeAllShaders
    {35, 725, 341},	// QGLShaderProgram::removeShader#
    {35, 759, -19},	// QGLShaderProgram::setAttributeArray$#
    {35, 760, -26},	// QGLShaderProgram::setAttributeArray$#$
    {35, 761, -33},	// QGLShaderProgram::setAttributeArray$$$
    {35, 762, -36},	// QGLShaderProgram::setAttributeArray$$$$
    {35, 763, -41},	// QGLShaderProgram::setAttributeArray$$$$$
    {35, 765, -44},	// QGLShaderProgram::setAttributeBuffer$$$$
    {35, 766, -47},	// QGLShaderProgram::setAttributeBuffer$$$$$
    {35, 768, -50},	// QGLShaderProgram::setAttributeValue$#
    {35, 769, -59},	// QGLShaderProgram::setAttributeValue$$
    {35, 770, -62},	// QGLShaderProgram::setAttributeValue$$$
    {35, 771, -65},	// QGLShaderProgram::setAttributeValue$$$$
    {35, 772, -70},	// QGLShaderProgram::setAttributeValue$$$$$
    {35, 808, 357},	// QGLShaderProgram::setGeometryInputType$
    {35, 810, 359},	// QGLShaderProgram::setGeometryOutputType$
    {35, 812, 355},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {35, 854, -73},	// QGLShaderProgram::setUniformValue$#
    {35, 855, -94},	// QGLShaderProgram::setUniformValue$$
    {35, 856, -107},	// QGLShaderProgram::setUniformValue$$$
    {35, 857, -110},	// QGLShaderProgram::setUniformValue$$$$
    {35, 858, -113},	// QGLShaderProgram::setUniformValue$$$$$
    {35, 859, -116},	// QGLShaderProgram::setUniformValue$?
    {35, 861, -133},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 862, -142},	// QGLShaderProgram::setUniformValueArray$$$
    {35, 863, -147},	// QGLShaderProgram::setUniformValueArray$$$$
    {35, 864, -150},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 876, 342},	// QGLShaderProgram::shaders
    {35, 881, 506},	// QGLShaderProgram::staticMetaObject
    {35, 897, 489},	// QGLShaderProgram::tr$
    {35, 898, 333},	// QGLShaderProgram::tr$$
    {35, 899, 335},	// QGLShaderProgram::tr$$$
    {35, 901, 490},	// QGLShaderProgram::trUtf8$
    {35, 902, 334},	// QGLShaderProgram::trUtf8$$
    {35, 903, 336},	// QGLShaderProgram::trUtf8$$$
    {35, 906, 402},	// QGLShaderProgram::uniformLocation#
    {35, 907, -167},	// QGLShaderProgram::uniformLocation$
    {35, 928, 507},	// QGLShaderProgram::~QGLShaderProgram
    {36, 101, 567},	// QGLWidget::QGLWidget
    {36, 102, -194},	// QGLWidget::QGLWidget#
    {36, 103, -198},	// QGLWidget::QGLWidget##
    {36, 104, -202},	// QGLWidget::QGLWidget###
    {36, 105, -205},	// QGLWidget::QGLWidget###$
    {36, 106, 515},	// QGLWidget::QGLWidget##$
    {36, 238, 559},	// QGLWidget::autoBufferSwap
    {36, 245, -208},	// QGLWidget::bindTexture#
    {36, 246, -211},	// QGLWidget::bindTexture#$
    {36, 247, -214},	// QGLWidget::bindTexture#$$
    {36, 248, -217},	// QGLWidget::bindTexture#$$$
    {36, 249, 545},	// QGLWidget::bindTexture$
    {36, 265, 536},	// QGLWidget::colormap
    {36, 272, 528},	// QGLWidget::context
    {36, 275, 534},	// QGLWidget::convertToGLFormat#
    {36, 284, 546},	// QGLWidget::deleteTexture$
    {36, 296, 523},	// QGLWidget::doneCurrent
    {36, 297, 524},	// QGLWidget::doubleBuffer
    {36, 302, -220},	// QGLWidget::drawTexture#$
    {36, 303, -223},	// QGLWidget::drawTexture#$$
    {36, 314, 551},	// QGLWidget::event#
    {36, 325, 592},	// QGLWidget::fontDisplayListBase#
    {36, 326, 564},	// QGLWidget::fontDisplayListBase#$
    {36, 327, 526},	// QGLWidget::format
    {36, 336, 563},	// QGLWidget::glDraw
    {36, 337, 562},	// QGLWidget::glInit
    {36, 338, 581},	// QGLWidget::grabFrameBuffer
    {36, 339, 531},	// QGLWidget::grabFrameBuffer$
    {36, 355, 552},	// QGLWidget::initializeGL
    {36, 356, 555},	// QGLWidget::initializeOverlayGL
    {36, 366, 521},	// QGLWidget::isSharing
    {36, 367, 520},	// QGLWidget::isValid
    {36, 375, 522},	// QGLWidget::makeCurrent
    {36, 376, 532},	// QGLWidget::makeOverlayCurrent
    {36, 380, 508},	// QGLWidget::metaObject
    {36, 455, 533},	// QGLWidget::overlayContext
    {36, 457, 540},	// QGLWidget::paintEngine
    {36, 459, 560},	// QGLWidget::paintEvent#
    {36, 460, 554},	// QGLWidget::paintGL
    {36, 461, 557},	// QGLWidget::paintOverlayGL
    {36, 660, 519},	// QGLWidget::qglClearColor#
    {36, 662, 518},	// QGLWidget::qglColor#
    {36, 705, 514},	// QGLWidget::qt_metacall$$?
    {36, 707, 509},	// QGLWidget::qt_metacast$
    {36, 726, 578},	// QGLWidget::renderPixmap
    {36, 727, 579},	// QGLWidget::renderPixmap$
    {36, 728, 580},	// QGLWidget::renderPixmap$$
    {36, 729, 530},	// QGLWidget::renderPixmap$$$
    {36, 731, 582},	// QGLWidget::renderText$$$
    {36, 732, 583},	// QGLWidget::renderText$$$#
    {36, 733, 538},	// QGLWidget::renderText$$$#$
    {36, 734, 584},	// QGLWidget::renderText$$$$
    {36, 735, 585},	// QGLWidget::renderText$$$$#
    {36, 736, 539},	// QGLWidget::renderText$$$$#$
    {36, 740, 561},	// QGLWidget::resizeEvent#
    {36, 742, 553},	// QGLWidget::resizeGL$$
    {36, 744, 556},	// QGLWidget::resizeOverlayGL$$
    {36, 774, 558},	// QGLWidget::setAutoBufferSwap$
    {36, 778, 537},	// QGLWidget::setColormap#
    {36, 780, 576},	// QGLWidget::setContext#
    {36, 781, 577},	// QGLWidget::setContext##
    {36, 782, 529},	// QGLWidget::setContext##$
    {36, 806, 527},	// QGLWidget::setFormat#
    {36, 822, 535},	// QGLWidget::setMouseTracking$
    {36, 881, 593},	// QGLWidget::staticMetaObject
    {36, 886, 525},	// QGLWidget::swapBuffers
    {36, 897, 565},	// QGLWidget::tr$
    {36, 898, 510},	// QGLWidget::tr$$
    {36, 899, 512},	// QGLWidget::tr$$$
    {36, 901, 566},	// QGLWidget::trUtf8$
    {36, 902, 511},	// QGLWidget::trUtf8$$
    {36, 903, 513},	// QGLWidget::trUtf8$$$
    {36, 911, 549},	// QGLWidget::updateGL
    {36, 912, 550},	// QGLWidget::updateOverlayGL
    {36, 929, 594},	// QGLWidget::~QGLWidget
    {37, 107, 1475},	// QGlobalSpace::QtCriticalMsg
    {37, 108, 1473},	// QGlobalSpace::QtDebugMsg
    {37, 109, 1476},	// QGlobalSpace::QtFatalMsg
    {37, 110, 1477},	// QGlobalSpace::QtSystemMsg
    {37, 111, 1474},	// QGlobalSpace::QtWarningMsg
    {37, 115, 1451},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {37, 116, 1452},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {37, 117, 1453},	// QGlobalSpace::SP_CustomCameraPauseButton
    {37, 118, 1454},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {37, 119, 1455},	// QGlobalSpace::SP_CustomCameraPlayButton
    {37, 120, 1456},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {37, 121, 1457},	// QGlobalSpace::SP_CustomCameraRecButton
    {37, 122, 1458},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {37, 123, 1459},	// QGlobalSpace::SP_CustomCameraStopButton
    {37, 124, 1460},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {37, 125, 1461},	// QGlobalSpace::SP_CustomTabAll
    {37, 126, 1462},	// QGlobalSpace::SP_CustomTabArtist
    {37, 127, 1463},	// QGlobalSpace::SP_CustomTabFavourite
    {37, 128, 1464},	// QGlobalSpace::SP_CustomTabGenre
    {37, 129, 1465},	// QGlobalSpace::SP_CustomTabLanguage
    {37, 130, 1466},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {37, 131, 1467},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {37, 132, 1468},	// QGlobalSpace::SP_CustomTabPhotosAll
    {37, 133, 1469},	// QGlobalSpace::SP_CustomTabPlaylist
    {37, 134, 1470},	// QGlobalSpace::SP_CustomTabServices
    {37, 135, 1471},	// QGlobalSpace::SP_CustomTabSongs
    {37, 136, 1472},	// QGlobalSpace::SP_CustomTabVideos
    {37, 137, 1388},	// QGlobalSpace::SP_CustomToolBarAdd
    {37, 138, 1389},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {37, 139, 1390},	// QGlobalSpace::SP_CustomToolBarAgain
    {37, 140, 1391},	// QGlobalSpace::SP_CustomToolBarAgenda
    {37, 141, 1392},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {37, 142, 1393},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {37, 143, 1394},	// QGlobalSpace::SP_CustomToolBarBack
    {37, 144, 1395},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {37, 145, 1396},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {37, 146, 1397},	// QGlobalSpace::SP_CustomToolBarCancel
    {37, 147, 1398},	// QGlobalSpace::SP_CustomToolBarDelete
    {37, 148, 1399},	// QGlobalSpace::SP_CustomToolBarDone
    {37, 149, 1400},	// QGlobalSpace::SP_CustomToolBarEdit
    {37, 150, 1401},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {37, 151, 1402},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {37, 152, 1403},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {37, 153, 1404},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {37, 154, 1405},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {37, 155, 1406},	// QGlobalSpace::SP_CustomToolBarFavourites
    {37, 156, 1407},	// QGlobalSpace::SP_CustomToolBarGo
    {37, 157, 1408},	// QGlobalSpace::SP_CustomToolBarHome
    {37, 158, 1409},	// QGlobalSpace::SP_CustomToolBarImageTools
    {37, 159, 1410},	// QGlobalSpace::SP_CustomToolBarList
    {37, 160, 1411},	// QGlobalSpace::SP_CustomToolBarLock
    {37, 161, 1412},	// QGlobalSpace::SP_CustomToolBarLogs
    {37, 162, 1413},	// QGlobalSpace::SP_CustomToolBarMenu
    {37, 163, 1414},	// QGlobalSpace::SP_CustomToolBarNewContact
    {37, 164, 1415},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {37, 165, 1416},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {37, 166, 1417},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {37, 167, 1418},	// QGlobalSpace::SP_CustomToolBarOptions
    {37, 168, 1419},	// QGlobalSpace::SP_CustomToolBarOther
    {37, 169, 1420},	// QGlobalSpace::SP_CustomToolBarOvi
    {37, 170, 1421},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {37, 171, 1422},	// QGlobalSpace::SP_CustomToolBarRead
    {37, 172, 1424},	// QGlobalSpace::SP_CustomToolBarRedo
    {37, 173, 1423},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {37, 174, 1425},	// QGlobalSpace::SP_CustomToolBarRefresh
    {37, 175, 1426},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {37, 176, 1427},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {37, 177, 1428},	// QGlobalSpace::SP_CustomToolBarRepeat
    {37, 178, 1429},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {37, 179, 1430},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {37, 180, 1431},	// QGlobalSpace::SP_CustomToolBarSearch
    {37, 181, 1432},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {37, 182, 1433},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {37, 183, 1434},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {37, 184, 1435},	// QGlobalSpace::SP_CustomToolBarSend
    {37, 185, 1436},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {37, 186, 1437},	// QGlobalSpace::SP_CustomToolBarShare
    {37, 187, 1438},	// QGlobalSpace::SP_CustomToolBarShift
    {37, 188, 1439},	// QGlobalSpace::SP_CustomToolBarShuffle
    {37, 189, 1440},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {37, 190, 1441},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {37, 191, 1442},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {37, 192, 1443},	// QGlobalSpace::SP_CustomToolBarSync
    {37, 193, 1444},	// QGlobalSpace::SP_CustomToolBarTools
    {37, 194, 1445},	// QGlobalSpace::SP_CustomToolBarTrim
    {37, 195, 1446},	// QGlobalSpace::SP_CustomToolBarUnlock
    {37, 196, 1447},	// QGlobalSpace::SP_CustomToolBarUnmark
    {37, 197, 1448},	// QGlobalSpace::SP_CustomToolBarView
    {37, 198, 1449},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {37, 199, 1450},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {37, 213, 1480},	// QGlobalSpace::__codecvt_error
    {37, 214, 1481},	// QGlobalSpace::__codecvt_noconv
    {37, 215, 1478},	// QGlobalSpace::__codecvt_ok
    {37, 216, 1479},	// QGlobalSpace::__codecvt_partial
    {37, 393, -244},	// QGlobalSpace::operator!=##
    {37, 394, -266},	// QGlobalSpace::operator!=#$
    {37, 395, -272},	// QGlobalSpace::operator!=$#
    {37, 396, 813},	// QGlobalSpace::operator!=$$
    {37, 398, 1002},	// QGlobalSpace::operator&##
    {37, 400, -279},	// QGlobalSpace::operator*##
    {37, 401, -309},	// QGlobalSpace::operator*#$
    {37, 402, -320},	// QGlobalSpace::operator*$#
    {37, 404, -330},	// QGlobalSpace::operator+##
    {37, 405, -341},	// QGlobalSpace::operator+#$
    {37, 406, -347},	// QGlobalSpace::operator+$#
    {37, 407, -352},	// QGlobalSpace::operator+$$
    {37, 409, -358},	// QGlobalSpace::operator-#
    {37, 410, -366},	// QGlobalSpace::operator-##
    {37, 411, 690},	// QGlobalSpace::operator-#$
    {37, 413, -376},	// QGlobalSpace::operator/#$
    {37, 415, -387},	// QGlobalSpace::operator<##
    {37, 416, 1065},	// QGlobalSpace::operator<#$
    {37, 417, -392},	// QGlobalSpace::operator<$#
    {37, 418, 725},	// QGlobalSpace::operator<$$
    {37, 420, -395},	// QGlobalSpace::operator<<##
    {37, 421, -489},	// QGlobalSpace::operator<<#$
    {37, 422, 1026},	// QGlobalSpace::operator<<#?
    {37, 424, -500},	// QGlobalSpace::operator<=##
    {37, 425, 783},	// QGlobalSpace::operator<=#$
    {37, 426, -505},	// QGlobalSpace::operator<=$#
    {37, 427, 1095},	// QGlobalSpace::operator<=$$
    {37, 432, -508},	// QGlobalSpace::operator==##
    {37, 433, -531},	// QGlobalSpace::operator==#$
    {37, 434, -538},	// QGlobalSpace::operator==$#
    {37, 435, 1358},	// QGlobalSpace::operator==$$
    {37, 437, -546},	// QGlobalSpace::operator>##
    {37, 438, 1376},	// QGlobalSpace::operator>#$
    {37, 439, -551},	// QGlobalSpace::operator>$#
    {37, 440, 947},	// QGlobalSpace::operator>$$
    {37, 442, -554},	// QGlobalSpace::operator>=##
    {37, 443, 629},	// QGlobalSpace::operator>=#$
    {37, 444, -559},	// QGlobalSpace::operator>=$#
    {37, 445, 1370},	// QGlobalSpace::operator>=$$
    {37, 447, -562},	// QGlobalSpace::operator>>##
    {37, 448, -614},	// QGlobalSpace::operator>>#$
    {37, 449, 902},	// QGlobalSpace::operator>>#?
    {37, 451, 787},	// QGlobalSpace::operator^##
    {37, 453, 1225},	// QGlobalSpace::operator|##
    {37, 454, -617},	// QGlobalSpace::operator|$$
    {37, 466, 985},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 467, 685},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 468, 1091},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 469, 857},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 470, 768},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 471, 596},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 473, 1169},	// QGlobalSpace::qAcos$
    {37, 475, 1038},	// QGlobalSpace::qAddPostRoutine$
    {37, 477, 722},	// QGlobalSpace::qAlpha$
    {37, 478, 1050},	// QGlobalSpace::qAppName
    {37, 480, 1213},	// QGlobalSpace::qAsin$
    {37, 482, 1272},	// QGlobalSpace::qAtan$
    {37, 484, 627},	// QGlobalSpace::qAtan2$$
    {37, 485, 1177},	// QGlobalSpace::qBadAlloc
    {37, 487, 909},	// QGlobalSpace::qBlue$
    {37, 489, 1082},	// QGlobalSpace::qCeil$
    {37, 491, 894},	// QGlobalSpace::qChecksum$$
    {37, 493, 1191},	// QGlobalSpace::qCompress#
    {37, 494, 1190},	// QGlobalSpace::qCompress#$
    {37, 495, 1041},	// QGlobalSpace::qCompress$$
    {37, 496, 1040},	// QGlobalSpace::qCompress$$$
    {37, 498, 674},	// QGlobalSpace::qCos$
    {37, 499, 1013},	// QGlobalSpace::qCritical
    {37, 500, 1102},	// QGlobalSpace::qDebug
    {37, 502, 895},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 503, 1361},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 504, 1362},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 505, 1360},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 507, 1254},	// QGlobalSpace::qDrawPlainRect###
    {37, 508, 1255},	// QGlobalSpace::qDrawPlainRect###$
    {37, 509, 1253},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 510, 860},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 511, 861},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 512, 859},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 514, 1282},	// QGlobalSpace::qDrawShadeLine####
    {37, 515, 1283},	// QGlobalSpace::qDrawShadeLine####$
    {37, 516, 1284},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 517, 1281},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 518, 1206},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 519, 1207},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 520, 1208},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 521, 1205},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 523, 933},	// QGlobalSpace::qDrawShadePanel###
    {37, 524, 934},	// QGlobalSpace::qDrawShadePanel###$
    {37, 525, 935},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 526, 932},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 527, 956},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 528, 957},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 529, 958},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 530, 955},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 532, 882},	// QGlobalSpace::qDrawShadeRect###
    {37, 533, 883},	// QGlobalSpace::qDrawShadeRect###$
    {37, 534, 884},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 535, 885},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 536, 881},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 537, 1181},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 538, 1182},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 539, 1183},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 540, 1184},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 541, 1180},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 543, 915},	// QGlobalSpace::qDrawWinButton###
    {37, 544, 916},	// QGlobalSpace::qDrawWinButton###$
    {37, 545, 914},	// QGlobalSpace::qDrawWinButton###$#
    {37, 546, 1228},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 547, 1229},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 548, 1227},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 550, 1152},	// QGlobalSpace::qDrawWinPanel###
    {37, 551, 1153},	// QGlobalSpace::qDrawWinPanel###$
    {37, 552, 1151},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 553, 704},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 554, 705},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 555, 703},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 557, 876},	// QGlobalSpace::qExp$
    {37, 559, 1157},	// QGlobalSpace::qFabs$
    {37, 561, 804},	// QGlobalSpace::qFastCos$
    {37, 563, 1043},	// QGlobalSpace::qFastSin$
    {37, 565, 820},	// QGlobalSpace::qFlagLocation$
    {37, 567, 757},	// QGlobalSpace::qFloor$
    {37, 569, 1055},	// QGlobalSpace::qFree$
    {37, 571, 1060},	// QGlobalSpace::qFreeAligned$
    {37, 573, -861},	// QGlobalSpace::qFuzzyCompare##
    {37, 574, -869},	// QGlobalSpace::qFuzzyCompare$$
    {37, 576, -872},	// QGlobalSpace::qFuzzyIsNull$
    {37, 578, 826},	// QGlobalSpace::qGray$
    {37, 579, 726},	// QGlobalSpace::qGray$$$
    {37, 581, 1108},	// QGlobalSpace::qGreen$
    {37, 583, -875},	// QGlobalSpace::qHash#
    {37, 584, -884},	// QGlobalSpace::qHash$
    {37, 585, 1321},	// QGlobalSpace::qInf
    {37, 587, 799},	// QGlobalSpace::qInstallMsgHandler$
    {37, 589, -897},	// QGlobalSpace::qIntCast$
    {37, 591, -900},	// QGlobalSpace::qIsFinite$
    {37, 593, 1247},	// QGlobalSpace::qIsGray$
    {37, 595, -903},	// QGlobalSpace::qIsInf$
    {37, 597, -906},	// QGlobalSpace::qIsNaN$
    {37, 599, -909},	// QGlobalSpace::qIsNull$
    {37, 601, 879},	// QGlobalSpace::qLn$
    {37, 603, 899},	// QGlobalSpace::qMalloc$
    {37, 605, 1103},	// QGlobalSpace::qMallocAligned$$
    {37, 607, 606},	// QGlobalSpace::qMemCopy$$$
    {37, 609, 1148},	// QGlobalSpace::qMemSet$$$
    {37, 611, 1109},	// QGlobalSpace::qPow$$
    {37, 612, 900},	// QGlobalSpace::qQNaN
    {37, 614, 790},	// QGlobalSpace::qRealloc$$
    {37, 616, 774},	// QGlobalSpace::qReallocAligned$$$$
    {37, 618, 753},	// QGlobalSpace::qRed$
    {37, 620, 890},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 622, 1335},	// QGlobalSpace::qRemovePostRoutine$
    {37, 624, 844},	// QGlobalSpace::qRgb$$$
    {37, 626, 1012},	// QGlobalSpace::qRgba$$$$
    {37, 628, 1320},	// QGlobalSpace::qRound$
    {37, 630, 798},	// QGlobalSpace::qRound64$
    {37, 631, 1288},	// QGlobalSpace::qSNaN
    {37, 633, 749},	// QGlobalSpace::qSetFieldWidth$
    {37, 635, 639},	// QGlobalSpace::qSetPadChar#
    {37, 637, 877},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 638, 679},	// QGlobalSpace::qSharedBuild
    {37, 640, 1220},	// QGlobalSpace::qSin$
    {37, 642, 800},	// QGlobalSpace::qSqrt$
    {37, 644, 1087},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 645, 622},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 647, 745},	// QGlobalSpace::qTan$
    {37, 649, 977},	// QGlobalSpace::qUncompress#
    {37, 650, 743},	// QGlobalSpace::qUncompress$$
    {37, 651, 1051},	// QGlobalSpace::qVersion
    {37, 652, 1345},	// QGlobalSpace::qWarning
    {37, 654, 766},	// QGlobalSpace::qbswap_helper$$$
    {37, 656, 1165},	// QGlobalSpace::qgcvt$$$
    {37, 658, 631},	// QGlobalSpace::qgetenv$
    {37, 664, 903},	// QGlobalSpace::qputenv$#
    {37, 665, 995},	// QGlobalSpace::qrand
    {37, 667, 1011},	// QGlobalSpace::qsort$$$?
    {37, 669, 917},	// QGlobalSpace::qsrand$
    {37, 671, 1160},	// QGlobalSpace::qstrcmp##
    {37, 672, 1333},	// QGlobalSpace::qstrcmp#$
    {37, 673, 624},	// QGlobalSpace::qstrcmp$#
    {37, 674, 671},	// QGlobalSpace::qstrcmp$$
    {37, 676, 865},	// QGlobalSpace::qstrcpy$$
    {37, 678, 1088},	// QGlobalSpace::qstrdup$
    {37, 680, 1316},	// QGlobalSpace::qstricmp$$
    {37, 682, 1346},	// QGlobalSpace::qstrlen$
    {37, 684, 744},	// QGlobalSpace::qstrncmp$$$
    {37, 686, 972},	// QGlobalSpace::qstrncpy$$$
    {37, 688, 936},	// QGlobalSpace::qstrnicmp$$$
    {37, 690, 605},	// QGlobalSpace::qstrnlen$$
    {37, 692, 1240},	// QGlobalSpace::qtTrId$
    {37, 693, 1239},	// QGlobalSpace::qtTrId$$
    {37, 695, 835},	// QGlobalSpace::qt_assert$$$
    {37, 697, 1001},	// QGlobalSpace::qt_assert_x$$$$
    {37, 699, 1150},	// QGlobalSpace::qt_check_pointer$$
    {37, 700, 735},	// QGlobalSpace::qt_error_string
    {37, 701, 734},	// QGlobalSpace::qt_error_string$
    {37, 703, 1367},	// QGlobalSpace::qt_message_output$$
    {37, 708, 607},	// QGlobalSpace::qt_noop
    {37, 710, 959},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 712, 1270},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 714, 1262},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 716, 1144},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1531,
        __smokeqtopengl::methodMaps, 753,
        __smokeqtopengl::methodNames, 929,
        __smokeqtopengl::types, 516,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
