#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//41
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//125
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//151
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//156
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//159
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//160
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//161
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//162
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//168
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//169
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//170
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//171
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//187
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//193
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//194
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//195
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//196
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//197
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//198
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//199
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//200
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//201
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//202
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//203
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//204
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//205
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//206
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//208
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//209
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//215
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//217
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//218
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//221
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//223
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//224
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//226
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//239
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//245
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//248
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//250
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//251
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//253
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//254
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//256
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//257
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//260
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//262
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//263
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//264
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//266
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//267
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//268
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//269
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//270
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//271
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//276
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//352
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//353
    { "__codecvt_result", 26, Smoke::t_enum|Smoke::tf_stack },	//354
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//356
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//357
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//358
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//361
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//362
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//371
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//373
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//397
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//399
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//412
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//437
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//441
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//446
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//447
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//448
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//449
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//450
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//451
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//452
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//453
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//454
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//455
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//456
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//457
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//458
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//459
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//460
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//461
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//462
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//463
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//464
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//465
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//466
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    29, 448, 0,	//1  QDateTimeEdit::Section, int
    421, 421, 0,	//4  const QStringRef&, const QStringRef&
    459, 0,	//7  unsigned long long
    446, 0,	//9  double
    242, 448, 0,	//11  QTextCodec::ConversionFlag, int
    386, 386, 0,	//14  const QMatrix4x4&, const QMatrix4x4&
    308, 448, 0,	//17  Qt::ImageConversionFlag, int
    440, 440, 0,	//20  const QVector3D&, const QVector3D&
    438, 438, 0,	//23  const QVector2D&, const QVector2D&
    443, 457, 0,	//26  const char*, unsigned int
    464, 445, 454, 0,	//29  void*, const void*, size_t
    443, 379, 0,	//33  const char*, const QLatin1String&
    26, 148, 0,	//36  QDataStream&, QIcon&
    30, 72, 0,	//39  QDebug, QFlags<QIODevice::OpenModeFlag>
    400, 385, 0,	//42  const QPointF&, const QMatrix&
    182, 82, 0,	//45  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    421, 418, 0,	//48  const QStringRef&, const QString&
    411, 411, 0,	//51  const QSize&, const QSize&
    26, 378, 0,	//54  QDataStream&, const QKeySequence&
    244, 244, 0,	//57  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    443, 363, 0,	//60  const char*, const QByteArray&
    26, 218, 0,	//63  QDataStream&, QStandardItem&
    229, 229, 0,	//66  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    172, 79, 0,	//69  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    44, 61, 0,	//72  QFile::Permission, QFlags<QFile::Permission>
    418, 443, 0,	//75  const QString&, const char*
    26, 202, 0,	//78  QDataStream&, QQuaternion&
    400, 400, 0,	//81  const QPointF&, const QPointF&
    26, 402, 0,	//84  QDataStream&, const QPolygonF&
    446, 446, 0,	//87  double, double
    26, 214, 0,	//90  QDataStream&, QSizeF&
    363, 443, 0,	//93  const QByteArray&, const char*
    447, 0,	//96  float
    443, 0,	//98  const char*
    453, 0,	//100  signed char
    130, 448, 0,	//102  QGraphicsEffect::ChangeFlag, int
    418, 421, 0,	//105  const QString&, const QStringRef&
    45, 448, 0,	//108  QFileDialog::Option, int
    18, 0,	//111  QChar
    26, 409, 0,	//113  QDataStream&, const QRegion&
    174, 174, 0,	//116  QMessageBox::StandardButton, QMessageBox::StandardButton
    228, 89, 0,	//119  QStyle::SubControl, QFlags<QStyle::SubControl>
    386, 398, 0,	//122  const QMatrix4x4&, const QPoint&
    26, 427, 0,	//125  QDataStream&, const QTextLength&
    30, 360, 0,	//128  QDebug, const QBrush&
    128, 128, 0,	//131  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    421, 379, 0,	//134  const QStringRef&, const QLatin1String&
    386, 442, 0,	//137  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//140  QChar, QChar
    30, 404, 0,	//143  QDebug, const QQuaternion&
    341, 341, 0,	//146  Qt::TouchPointState, Qt::TouchPointState
    386, 0,	//149  const QMatrix4x4&
    432, 0,	//151  const QUrl&
    363, 0,	//153  const QByteArray&
    274, 448, 0,	//155  QWidget::RenderFlag, int
    386, 446, 0,	//158  const QMatrix4x4&, double
    26, 392, 0,	//161  QDataStream&, const QPalette&
    30, 432, 0,	//164  QDebug, const QUrl&
    26, 22, 0,	//167  QDataStream&, QColor&
    26, 239, 0,	//170  QDataStream&, QTableWidgetItem&
    167, 78, 0,	//173  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    221, 418, 0,	//176  QString::Null, const QString&
    30, 134, 0,	//179  QDebug, QGraphicsItem::GraphicsItemFlag
    274, 106, 0,	//182  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    338, 338, 0,	//185  Qt::ToolBarArea, Qt::ToolBarArea
    443, 443, 0,	//188  const char*, const char*
    144, 448, 0,	//191  QGraphicsView::OptimizationFlag, int
    166, 166, 0,	//194  QLocale::NumberOption, QLocale::NumberOption
    349, 349, 0,	//197  Qt::WindowType, Qt::WindowType
    446, 413, 0,	//200  double, const QSizeF&
    404, 404, 0,	//203  const QQuaternion&, const QQuaternion&
    32, 448, 0,	//206  QDir::Filter, int
    228, 228, 0,	//209  QStyle::SubControl, QStyle::SubControl
    398, 398, 0,	//212  const QPoint&, const QPoint&
    26, 406, 0,	//215  QDataStream&, const QRectF&
    316, 448, 0,	//218  Qt::KeyboardModifier, int
    335, 119, 0,	//221  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    172, 448, 0,	//224  QMdiArea::AreaOption, int
    430, 446, 0,	//227  const QTransform&, double
    2, 47, 0,	//230  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    357, 0,	//233  char
    275, 275, 0,	//235  QWizard::WizardOption, QWizard::WizardOption
    252, 103, 0,	//238  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    249, 448, 0,	//241  QTextOption::Flag, int
    30, 384, 0,	//244  QDebug, const QMargins&
    261, 448, 0,	//247  QUrl::FormattingOption, int
    44, 448, 0,	//250  QFile::Permission, int
    128, 65, 0,	//253  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    398, 446, 0,	//256  const QPoint&, double
    185, 448, 448, 448, 448, 392, 356, 361, 0,	//259  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    185, 448, 448, 448, 448, 392, 0,	//268  QPainter*, int, int, int, int, const QPalette&
    185, 448, 448, 448, 448, 392, 356, 0,	//275  QPainter*, int, int, int, int, const QPalette&, bool
    26, 430, 0,	//283  QDataStream&, const QTransform&
    34, 57, 0,	//286  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    418, 363, 0,	//289  const QString&, const QByteArray&
    413, 413, 0,	//292  const QSizeF&, const QSizeF&
    440, 386, 0,	//295  const QVector3D&, const QMatrix4x4&
    442, 442, 0,	//298  const QVector4D&, const QVector4D&
    30, 400, 0,	//301  QDebug, const QPointF&
    45, 62, 0,	//304  QFileDialog::Option, QFlags<QFileDialog::Option>
    26, 396, 0,	//307  QDataStream&, const QPixmap&
    316, 115, 0,	//310  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    275, 448, 0,	//313  QWizard::WizardOption, int
    30, 381, 0,	//316  QDebug, const QLineF&
    457, 0,	//319  unsigned int
    30, 368, 0,	//321  QDebug, const QDateTime&
    35, 58, 0,	//324  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    443, 418, 0,	//327  const char*, const QString&
    448, 448, 448, 0,	//330  int, int, int
    143, 143, 0,	//334  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    26, 395, 0,	//337  QDataStream&, const QPicture&
    261, 261, 0,	//340  QUrl::FormattingOption, QUrl::FormattingOption
    341, 121, 0,	//343  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    308, 308, 0,	//346  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    448, 0,	//349  int
    183, 448, 0,	//351  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//354  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    166, 448, 0,	//357  QLocale::NumberOption, int
    379, 379, 0,	//360  const QLatin1String&, const QLatin1String&
    444, 448, 0,	//363  const unsigned char*, int
    443, 443, 457, 0,	//366  const char*, const char*, unsigned int
    379, 421, 0,	//370  const QLatin1String&, const QStringRef&
    155, 157, 0,	//373  QKeyEvent*, QKeySequence::StandardKey
    231, 231, 0,	//376  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    250, 217, 0,	//379  QTextStream&, QSplitter&
    377, 0,	//382  const QItemSelectionRange&
    298, 298, 0,	//384  Qt::DropAction, Qt::DropAction
    186, 84, 0,	//387  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    30, 398, 0,	//390  QDebug, const QPoint&
    26, 165, 0,	//393  QDataStream&, QLocale&
    418, 18, 0,	//396  const QString&, QChar
    221, 221, 0,	//399  QString::Null, QString::Null
    9, 50, 0,	//402  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    444, 456, 448, 0,	//405  const unsigned char*, unsigned char*, int
    230, 91, 0,	//409  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    242, 242, 0,	//412  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    323, 323, 0,	//415  Qt::Orientation, Qt::Orientation
    464, 454, 454, 454, 0,	//418  void*, size_t, size_t, size_t
    26, 366, 0,	//423  QDataStream&, const QCursor&
    26, 189, 0,	//426  QDataStream&, QPalette&
    363, 418, 0,	//429  const QByteArray&, const QString&
    338, 120, 0,	//432  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    244, 99, 0,	//435  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    405, 405, 0,	//438  const QRect&, const QRect&
    43, 60, 0,	//441  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    359, 359, 0,	//444  const QBitArray&, const QBitArray&
    363, 363, 0,	//447  const QByteArray&, const QByteArray&
    174, 81, 0,	//450  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    464, 454, 0,	//453  void*, size_t
    418, 0,	//456  const QString&
    192, 85, 0,	//458  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    26, 385, 0,	//461  QDataStream&, const QMatrix&
    26, 383, 0,	//464  QDataStream&, const QLocale&
    30, 370, 0,	//467  QDebug, const QEasingCurve&
    463, 0,	//470  void(*)(QtMsgType,const char*)
    3, 448, 0,	//472  QAbstractPrintDialog::PrintDialogOption, int
    389, 0,	//475  const QModelIndex&
    29, 29, 0,	//477  QDateTimeEdit::Section, QDateTimeEdit::Section
    235, 96, 0,	//480  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    30, 371, 0,	//483  QDebug, const QEvent*
    26, 28, 0,	//486  QDataStream&, QDateTime&
    14, 14, 0,	//489  QBool, QBool
    130, 130, 0,	//492  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    443, 421, 0,	//495  const char*, const QStringRef&
    126, 448, 0,	//498  QFontComboBox::FontFilter, int
    338, 448, 0,	//501  Qt::ToolBarArea, int
    128, 448, 0,	//504  QGestureRecognizer::ResultFlag, int
    150, 150, 0,	//507  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 190, 0,	//510  QDataStream&, QPen&
    380, 430, 0,	//513  const QLine&, const QTransform&
    30, 402, 0,	//516  QDebug, const QPolygonF&
    310, 448, 0,	//519  Qt::InputMethodHint, int
    18, 418, 0,	//522  QChar, const QString&
    232, 93, 0,	//525  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    222, 448, 0,	//528  QString::SectionFlag, int
    129, 66, 0,	//531  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    158, 448, 0,	//534  QLibrary::LoadHint, int
    30, 133, 0,	//537  QDebug, QGraphicsItem::GraphicsItemChange
    26, 260, 0,	//540  QDataStream&, QUrl&
    443, 443, 448, 0,	//543  const char*, const char*, int
    451, 0,	//547  long long
    404, 0,	//549  const QQuaternion&
    418, 221, 0,	//551  const QString&, QString::Null
    127, 127, 0,	//554  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    430, 430, 0,	//557  const QTransform&, const QTransform&
    167, 448, 0,	//560  QMainWindow::DockOption, int
    26, 15, 0,	//563  QDataStream&, QBrush&
    1, 448, 0,	//566  QAbstractFileEngine::FileFlag, int
    242, 97, 0,	//569  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    418, 357, 0,	//572  const QString&, char
    391, 385, 0,	//575  const QPainterPath&, const QMatrix&
    310, 113, 0,	//578  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    167, 167, 0,	//581  QMainWindow::DockOption, QMainWindow::DockOption
    275, 107, 0,	//584  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    26, 215, 0,	//587  QDataStream&, QSizePolicy&
    349, 123, 0,	//590  Qt::WindowType, QFlags<Qt::WindowType>
    185, 448, 448, 448, 448, 365, 448, 361, 0,	//593  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    185, 448, 448, 448, 448, 365, 0,	//602  QPainter*, int, int, int, int, const QColor&
    185, 448, 448, 448, 448, 365, 448, 0,	//609  QPainter*, int, int, int, int, const QColor&, int
    404, 446, 0,	//617  const QQuaternion&, double
    321, 321, 0,	//620  Qt::MouseButton, Qt::MouseButton
    358, 443, 0,	//623  char*, const char*
    192, 192, 0,	//626  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    409, 385, 0,	//629  const QRegion&, const QMatrix&
    277, 277, 0,	//632  Qt::AlignmentFlag, Qt::AlignmentFlag
    398, 0,	//635  const QPoint&
    298, 448, 0,	//637  Qt::DropAction, int
    26, 429, 0,	//640  QDataStream&, const QTime&
    33, 448, 0,	//643  QDir::SortFlag, int
    384, 384, 0,	//646  const QMargins&, const QMargins&
    185, 405, 392, 356, 448, 448, 361, 0,	//649  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    185, 405, 392, 0,	//657  QPainter*, const QRect&, const QPalette&
    185, 405, 392, 356, 0,	//661  QPainter*, const QRect&, const QPalette&, bool
    185, 405, 392, 356, 448, 0,	//666  QPainter*, const QRect&, const QPalette&, bool, int
    185, 405, 392, 356, 448, 448, 0,	//672  QPainter*, const QRect&, const QPalette&, bool, int, int
    26, 391, 0,	//679  QDataStream&, const QPainterPath&
    442, 386, 0,	//682  const QVector4D&, const QMatrix4x4&
    243, 448, 0,	//685  QTextDocument::FindFlag, int
    179, 0,	//688  QObject*(*)()
    30, 377, 0,	//690  QDebug, const QItemSelectionRange&
    30, 378, 0,	//693  QDebug, const QKeySequence&
    35, 35, 0,	//696  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    185, 405, 384, 396, 0,	//699  QPainter*, const QRect&, const QMargins&, const QPixmap&
    442, 446, 0,	//704  const QVector4D&, double
    250, 415, 0,	//707  QTextStream&, const QSplitter&
    319, 319, 0,	//710  Qt::MatchFlag, Qt::MatchFlag
    454, 0,	//713  size_t
    296, 109, 0,	//715  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    26, 224, 0,	//718  QDataStream&, QStringList&
    233, 233, 0,	//721  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    154, 75, 0,	//724  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 440, 0,	//727  QDataStream&, const QVector3D&
    30, 435, 0,	//730  QDebug, const QVariant::Type
    296, 448, 0,	//733  Qt::DockWidgetArea, int
    247, 101, 0,	//736  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    26, 438, 0,	//739  QDataStream&, const QVector2D&
    26, 360, 0,	//742  QDataStream&, const QBrush&
    185, 405, 392, 356, 361, 0,	//745  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    173, 448, 0,	//751  QMdiSubWindow::SubWindowOption, int
    449, 0,	//754  long
    26, 431, 0,	//756  QDataStream&, const QTreeWidgetItem&
    460, 0,	//759  unsigned short
    246, 246, 0,	//761  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    26, 162, 0,	//764  QDataStream&, QLineF&
    182, 182, 0,	//767  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    26, 376, 0,	//770  QDataStream&, const QImage&
    44, 44, 0,	//773  QFile::Permission, QFile::Permission
    152, 74, 0,	//776  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    185, 405, 392, 356, 448, 361, 0,	//779  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    357, 418, 0,	//786  char, const QString&
    26, 213, 0,	//789  QDataStream&, QSize&
    26, 156, 0,	//792  QDataStream&, QKeySequence&
    232, 232, 0,	//795  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    31, 448, 0,	//798  QDialogButtonBox::StandardButton, int
    246, 100, 0,	//801  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    394, 0,	//804  const QPersistentModelIndex&
    30, 409, 0,	//806  QDebug, const QRegion&
    26, 442, 0,	//809  QDataStream&, const QVector4D&
    26, 375, 0,	//812  QDataStream&, const QIcon&
    26, 418, 0,	//815  QDataStream&, const QString&
    26, 368, 0,	//818  QDataStream&, const QDateTime&
    26, 269, 0,	//821  QDataStream&, QVector3D&
    185, 448, 448, 448, 448, 392, 356, 448, 361, 0,	//824  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    185, 448, 448, 448, 448, 392, 356, 448, 0,	//834  QPainter*, int, int, int, int, const QPalette&, bool, int
    390, 418, 387, 0,	//843  const QObject*, const QString&, const QMetaObject&
    222, 222, 0,	//847  QString::SectionFlag, QString::SectionFlag
    26, 267, 0,	//850  QDataStream&, QVector2D&
    174, 448, 0,	//853  QMessageBox::StandardButton, int
    438, 446, 0,	//856  const QVector2D&, double
    230, 230, 0,	//859  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    400, 446, 0,	//862  const QPointF&, double
    356, 14, 0,	//865  bool, QBool
    144, 144, 0,	//868  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    440, 446, 0,	//871  const QVector3D&, double
    154, 154, 0,	//874  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    152, 152, 0,	//877  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    358, 443, 457, 0,	//880  char*, const char*, unsigned int
    446, 438, 0,	//884  double, const QVector2D&
    442, 0,	//887  const QVector4D&
    259, 104, 0,	//889  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 171, 0,	//892  QDataStream&, QMatrix4x4&
    233, 94, 0,	//895  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    244, 448, 0,	//898  QTextEdit::AutoFormattingFlag, int
    232, 448, 0,	//901  QStyleOptionTab::CornerWidget, int
    26, 398, 0,	//904  QDataStream&, const QPoint&
    26, 264, 0,	//907  QDataStream&, QVariant&
    400, 386, 0,	//910  const QPointF&, const QMatrix4x4&
    321, 448, 0,	//913  Qt::MouseButton, int
    26, 149, 0,	//916  QDataStream&, QImage&
    400, 0,	//919  const QPointF&
    30, 422, 0,	//921  QDebug, const QStyleOption&
    3, 48, 0,	//924  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    26, 191, 0,	//927  QDataStream&, QPicture&
    23, 448, 0,	//930  QColorDialog::ColorDialogOption, int
    30, 394, 0,	//933  QDebug, const QPersistentModelIndex&
    402, 385, 0,	//936  const QPolygonF&, const QMatrix&
    26, 271, 0,	//939  QDataStream&, QVector4D&
    23, 23, 0,	//942  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    443, 443, 443, 448, 0,	//945  const char*, const char*, const char*, int
    45, 45, 0,	//950  QFileDialog::Option, QFileDialog::Option
    249, 249, 0,	//953  QTextOption::Flag, QTextOption::Flag
    323, 118, 0,	//956  Qt::Orientation, QFlags<Qt::Orientation>
    26, 386, 0,	//959  QDataStream&, const QMatrix4x4&
    385, 385, 0,	//962  const QMatrix&, const QMatrix&
    43, 448, 0,	//965  QEventLoop::ProcessEventsFlag, int
    406, 406, 0,	//968  const QRectF&, const QRectF&
    464, 454, 454, 355, 0,	//971  void*, size_t, size_t, __compar_fn_t
    448, 448, 448, 448, 0,	//976  int, int, int, int
    26, 257, 0,	//981  QDataStream&, QTransform&
    30, 135, 0,	//984  QDebug, QGraphicsObject*
    26, 416, 0,	//987  QDataStream&, const QStandardItem&
    308, 112, 0,	//990  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    446, 442, 0,	//993  double, const QVector4D&
    9, 448, 0,	//996  QAccessible::RelationFlag, int
    173, 80, 0,	//999  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    26, 419, 0,	//1002  QDataStream&, const QStringList&
    30, 386, 0,	//1005  QDebug, const QMatrix4x4&
    363, 357, 0,	//1008  const QByteArray&, char
    34, 34, 0,	//1011  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    32, 55, 0,	//1014  QDir::Filter, QFlags<QDir::Filter>
    26, 195, 0,	//1017  QDataStream&, QPoint&
    413, 446, 0,	//1020  const QSizeF&, double
    26, 367, 0,	//1023  QDataStream&, const QDate&
    235, 448, 0,	//1026  QStyleOptionViewItemV2::ViewItemFeature, int
    462, 0,	//1029  void(*)()
    216, 216, 0,	//1031  QSizePolicy::ControlType, QSizePolicy::ControlType
    444, 448, 448, 0,	//1034  const unsigned char*, int, int
    26, 380, 0,	//1038  QDataStream&, const QLine&
    26, 169, 0,	//1041  QDataStream&, QMatrix&
    31, 31, 0,	//1044  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    26, 220, 0,	//1047  QDataStream&, QString&
    227, 227, 0,	//1050  QStyle::StateFlag, QStyle::StateFlag
    26, 382, 0,	//1053  QDataStream&, const QListWidgetItem&
    230, 448, 0,	//1056  QStyleOptionFrameV2::FrameFeature, int
    464, 0,	//1059  void*
    30, 68, 0,	//1061  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    381, 385, 0,	//1064  const QLineF&, const QMatrix&
    26, 426, 0,	//1067  QDataStream&, const QTextFormat&
    313, 448, 0,	//1070  Qt::ItemFlag, int
    26, 258, 0,	//1073  QDataStream&, QTreeWidgetItem&
    30, 369, 0,	//1076  QDebug, const QDir&
    250, 251, 0,	//1079  QTextStream&, QTextStream&(*)(QTextStream&)
    30, 393, 0,	//1082  QDebug, const QPen&
    446, 404, 0,	//1085  double, const QQuaternion&
    30, 389, 0,	//1088  QDebug, const QModelIndex&
    134, 68, 0,	//1091  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    30, 440, 0,	//1094  QDebug, const QVector3D&
    247, 247, 0,	//1097  QTextItem::RenderFlag, QTextItem::RenderFlag
    43, 43, 0,	//1100  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    359, 0,	//1103  const QBitArray&
    30, 438, 0,	//1105  QDebug, const QVector2D&
    150, 73, 0,	//1108  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    30, 429, 0,	//1111  QDebug, const QTime&
    250, 253, 0,	//1114  QTextStream&, QTextStreamManipulator
    30, 442, 0,	//1117  QDebug, const QVector4D&
    26, 245, 0,	//1120  QDataStream&, QTextFormat&
    303, 111, 0,	//1123  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    421, 443, 0,	//1126  const QStringRef&, const char*
    234, 448, 0,	//1129  QStyleOptionToolButton::ToolButtonFeature, int
    216, 86, 0,	//1132  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    274, 274, 0,	//1135  QWidget::RenderFlag, QWidget::RenderFlag
    26, 13, 0,	//1138  QDataStream&, QBitArray&
    26, 199, 0,	//1141  QDataStream&, QPolygon&
    26, 209, 0,	//1144  QDataStream&, QRegion&
    4, 4, 0,	//1147  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    26, 414, 0,	//1150  QDataStream&, const QSizePolicy&
    234, 234, 0,	//1153  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    35, 448, 0,	//1156  QDockWidget::DockWidgetFeature, int
    454, 454, 0,	//1159  size_t, size_t
    136, 69, 0,	//1162  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    398, 430, 0,	//1165  const QPoint&, const QTransform&
    30, 413, 0,	//1168  QDebug, const QSizeF&
    303, 448, 0,	//1171  Qt::GestureFlag, int
    357, 363, 0,	//1174  char, const QByteArray&
    227, 448, 0,	//1177  QStyle::StateFlag, int
    26, 434, 0,	//1180  QDataStream&, const QVariant&
    234, 95, 0,	//1183  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    30, 434, 0,	//1186  QDebug, const QVariant&
    10, 10, 0,	//1189  QAccessible::StateFlag, QAccessible::StateFlag
    186, 186, 0,	//1192  QPainter::RenderHint, QPainter::RenderHint
    348, 448, 0,	//1195  Qt::WindowState, int
    26, 254, 0,	//1198  QDataStream&, QTime&
    26, 193, 0,	//1201  QDataStream&, QPixmap&
    29, 53, 0,	//1204  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    249, 102, 0,	//1207  QTextOption::Flag, QFlags<QTextOption::Flag>
    30, 55, 0,	//1210  QDebug, QFlags<QDir::Filter>
    316, 316, 0,	//1213  Qt::KeyboardModifier, Qt::KeyboardModifier
    446, 400, 0,	//1216  double, const QPointF&
    26, 41, 0,	//1219  QDataStream&, QEasingCurve&
    409, 430, 0,	//1222  const QRegion&, const QTransform&
    298, 110, 0,	//1225  Qt::DropAction, QFlags<Qt::DropAction>
    411, 446, 0,	//1228  const QSize&, double
    30, 367, 0,	//1231  QDebug, const QDate&
    391, 430, 0,	//1234  const QPainterPath&, const QTransform&
    10, 51, 0,	//1237  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    32, 32, 0,	//1240  QDir::Filter, QDir::Filter
    358, 454, 443, 461, 0,	//1243  char*, size_t, const char*, va_list
    402, 430, 0,	//1248  const QPolygonF&, const QTransform&
    446, 398, 0,	//1251  double, const QPoint&
    464, 448, 454, 0,	//1254  void*, int, size_t
    26, 381, 0,	//1258  QDataStream&, const QLineF&
    443, 448, 0,	//1261  const char*, int
    452, 0,	//1264  short
    173, 173, 0,	//1266  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    147, 147, 0,	//1269  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    296, 296, 0,	//1272  Qt::DockWidgetArea, Qt::DockWidgetArea
    33, 56, 0,	//1275  QDir::SortFlag, QFlags<QDir::SortFlag>
    447, 447, 0,	//1278  float, float
    434, 436, 0,	//1281  const QVariant&, const QVariantComparisonHelper&
    152, 448, 0,	//1284  QInputDialog::InputDialogOption, int
    158, 158, 0,	//1287  QLibrary::LoadHint, QLibrary::LoadHint
    450, 448, 358, 0,	//1290  long double, int, char*
    259, 259, 0,	//1294  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    231, 92, 0,	//1297  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    144, 71, 0,	//1300  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    34, 448, 0,	//1303  QDirIterator::IteratorFlag, int
    310, 310, 0,	//1306  Qt::InputMethodHint, Qt::InputMethodHint
    136, 448, 0,	//1309  QGraphicsScene::SceneLayer, int
    26, 393, 0,	//1312  QDataStream&, const QPen&
    183, 183, 0,	//1315  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    26, 188, 0,	//1318  QDataStream&, QPainterPath&
    30, 380, 0,	//1321  QDebug, const QLine&
    335, 335, 0,	//1324  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    185, 448, 448, 448, 448, 392, 356, 448, 448, 361, 0,	//1327  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    185, 448, 448, 448, 448, 392, 356, 448, 448, 0,	//1338  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    341, 448, 0,	//1348  Qt::TouchPointState, int
    26, 248, 0,	//1351  QDataStream&, QTextLength&
    30, 430, 0,	//1354  QDebug, const QTransform&
    259, 448, 0,	//1357  QTreeWidgetItemIterator::IteratorFlag, int
    363, 448, 0,	//1360  const QByteArray&, int
    30, 401, 0,	//1363  QDebug, const QPolygon&
    261, 105, 0,	//1366  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 448, 0,	//1369  QAbstractSpinBox::StepEnabledFlag, int
    216, 448, 0,	//1372  QSizePolicy::ControlType, int
    136, 136, 0,	//1375  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    335, 448, 0,	//1378  Qt::TextInteractionFlag, int
    348, 348, 0,	//1381  Qt::WindowState, Qt::WindowState
    246, 448, 0,	//1384  QTextFormat::PageBreakFlag, int
    438, 0,	//1387  const QVector2D&
    1, 46, 0,	//1389  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    26, 365, 0,	//1392  QDataStream&, const QColor&
    446, 386, 0,	//1395  double, const QMatrix4x4&
    26, 363, 0,	//1398  QDataStream&, const QByteArray&
    9, 9, 0,	//1401  QAccessible::RelationFlag, QAccessible::RelationFlag
    380, 385, 0,	//1404  const QLine&, const QMatrix&
    26, 370, 0,	//1407  QDataStream&, const QEasingCurve&
    26, 432, 0,	//1410  QDataStream&, const QUrl&
    30, 405, 0,	//1413  QDebug, const QRect&
    30, 372, 0,	//1416  QDebug, const QFont&
    33, 33, 0,	//1419  QDir::SortFlag, QDir::SortFlag
    23, 52, 0,	//1422  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    143, 448, 0,	//1425  QGraphicsView::CacheModeFlag, int
    252, 448, 0,	//1428  QTextStream::NumberFlag, int
    26, 204, 0,	//1431  QDataStream&, QRect&
    172, 172, 0,	//1434  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 411, 0,	//1437  QDataStream&, const QSize&
    26, 364, 0,	//1440  QDataStream&, const QChar&
    126, 63, 0,	//1443  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    157, 155, 0,	//1446  QKeySequence::StandardKey, QKeyEvent*
    127, 64, 0,	//1449  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    227, 88, 0,	//1452  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    277, 448, 0,	//1455  Qt::AlignmentFlag, int
    26, 164, 0,	//1458  QDataStream&, QListWidgetItem&
    26, 407, 0,	//1461  QDataStream&, const QRegExp&
    150, 448, 0,	//1464  QImageIOPlugin::Capability, int
    243, 98, 0,	//1467  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    440, 0,	//1470  const QVector3D&
    30, 406, 0,	//1472  QDebug, const QRectF&
    348, 122, 0,	//1475  Qt::WindowState, QFlags<Qt::WindowState>
    130, 67, 0,	//1478  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    313, 313, 0,	//1481  Qt::ItemFlag, Qt::ItemFlag
    26, 262, 0,	//1484  QDataStream&, QUuid&
    26, 125, 0,	//1487  QDataStream&, QFont&
    185, 405, 365, 448, 361, 0,	//1490  QPainter*, const QRect&, const QColor&, int, const QBrush*
    185, 405, 365, 0,	//1496  QPainter*, const QRect&, const QColor&
    185, 405, 365, 448, 0,	//1500  QPainter*, const QRect&, const QColor&, int
    134, 134, 0,	//1505  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    26, 201, 0,	//1508  QDataStream&, QPolygonF&
    233, 448, 0,	//1511  QStyleOptionToolBar::ToolBarFeature, int
    26, 266, 0,	//1514  QDataStream&, QVariant::Type&
    186, 448, 0,	//1517  QPainter::RenderHint, int
    434, 265, 464, 0,	//1520  const QVariant&, QVariant::Type, void*
    30, 88, 0,	//1524  QDebug, QFlags<QStyle::StateFlag>
    2, 448, 0,	//1527  QAbstractItemView::EditTrigger, int
    398, 386, 0,	//1530  const QPoint&, const QMatrix4x4&
    398, 385, 0,	//1533  const QPoint&, const QMatrix&
    3, 3, 0,	//1536  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    390, 418, 408, 387, 163, 0,	//1539  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    374, 374, 0,	//1545  const QHashDummyValue&, const QHashDummyValue&
    26, 197, 0,	//1548  QDataStream&, QPointF&
    323, 448, 0,	//1551  Qt::Orientation, int
    235, 235, 0,	//1554  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    386, 440, 0,	//1557  const QMatrix4x4&, const QVector3D&
    26, 425, 0,	//1560  QDataStream&, const QTableWidgetItem&
    30, 131, 0,	//1563  QDebug, QGraphicsItem*
    185, 398, 398, 392, 356, 448, 448, 0,	//1566  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    185, 398, 398, 392, 0,	//1574  QPainter*, const QPoint&, const QPoint&, const QPalette&
    185, 398, 398, 392, 356, 0,	//1579  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    185, 398, 398, 392, 356, 448, 0,	//1585  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    303, 303, 0,	//1592  Qt::GestureFlag, Qt::GestureFlag
    147, 72, 0,	//1595  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    386, 400, 0,	//1598  const QMatrix4x4&, const QPointF&
    129, 448, 0,	//1601  QGraphicsBlurEffect::BlurHint, int
    183, 83, 0,	//1604  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    26, 372, 0,	//1607  QDataStream&, const QFont&
    129, 129, 0,	//1610  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    401, 430, 0,	//1613  const QPolygon&, const QTransform&
    182, 448, 0,	//1616  QPaintEngine::DirtyFlag, int
    446, 411, 0,	//1619  double, const QSize&
    154, 448, 0,	//1622  QItemSelectionModel::SelectionFlag, int
    14, 356, 0,	//1625  QBool, bool
    31, 54, 0,	//1628  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    26, 160, 0,	//1631  QDataStream&, QLine&
    30, 411, 0,	//1634  QDebug, const QSize&
    228, 448, 0,	//1637  QStyle::SubControl, int
    252, 252, 0,	//1640  QTextStream::NumberFlag, QTextStream::NumberFlag
    381, 430, 0,	//1643  const QLineF&, const QTransform&
    127, 448, 0,	//1646  QFontDialog::FontDialogOption, int
    321, 117, 0,	//1649  Qt::MouseButton, QFlags<Qt::MouseButton>
    26, 435, 0,	//1652  QDataStream&, const QVariant::Type
    243, 243, 0,	//1655  QTextDocument::FindFlag, QTextDocument::FindFlag
    231, 448, 0,	//1658  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    313, 114, 0,	//1661  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    400, 430, 0,	//1664  const QPointF&, const QTransform&
    30, 365, 0,	//1667  QDebug, const QColor&
    30, 385, 0,	//1670  QDebug, const QMatrix&
    26, 433, 0,	//1673  QDataStream&, const QUuid&
    158, 76, 0,	//1676  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    349, 448, 0,	//1679  Qt::WindowType, int
    229, 448, 0,	//1682  QStyleOptionButton::ButtonFeature, int
    26, 206, 0,	//1685  QDataStream&, QRectF&
    229, 90, 0,	//1688  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    143, 70, 0,	//1691  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    26, 25, 0,	//1694  QDataStream&, QCursor&
    134, 448, 0,	//1697  QGraphicsItem::GraphicsItemFlag, int
    26, 405, 0,	//1700  QDataStream&, const QRect&
    319, 116, 0,	//1703  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    277, 108, 0,	//1706  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    26, 19, 0,	//1709  QDataStream&, QChar&
    26, 207, 0,	//1712  QDataStream&, QRegExp&
    458, 0,	//1715  unsigned long
    26, 404, 0,	//1717  QDataStream&, const QQuaternion&
    10, 448, 0,	//1720  QAccessible::StateFlag, int
    26, 400, 0,	//1723  QDataStream&, const QPointF&
    192, 448, 0,	//1726  QPinchGesture::ChangeFlag, int
    26, 413, 0,	//1729  QDataStream&, const QSizeF&
    166, 77, 0,	//1732  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    247, 448, 0,	//1735  QTextItem::RenderFlag, int
    185, 405, 384, 396, 405, 384, 428, 59, 0,	//1738  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    185, 405, 384, 396, 405, 384, 0,	//1747  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    185, 405, 384, 396, 405, 384, 428, 0,	//1754  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    222, 87, 0,	//1762  QString::SectionFlag, QFlags<QString::SectionFlag>
    418, 418, 0,	//1765  const QString&, const QString&
    1, 1, 0,	//1768  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    352, 443, 0,	//1771  QtMsgType, const char*
    30, 391, 0,	//1774  QDebug, const QPainterPath&
    446, 440, 0,	//1777  double, const QVector3D&
    421, 0,	//1780  const QStringRef&
    147, 448, 0,	//1782  QIODevice::OpenModeFlag, int
    4, 49, 0,	//1785  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    455, 0,	//1788  unsigned char
    26, 17, 0,	//1790  QDataStream&, QByteArray&
    126, 126, 0,	//1793  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    401, 385, 0,	//1796  const QPolygon&, const QMatrix&
    30, 423, 0,	//1799  QDebug, const QStyleOption::OptionType&
    30, 390, 0,	//1802  QDebug, const QObject*
    319, 448, 0,	//1805  Qt::MatchFlag, int
    26, 401, 0,	//1808  QDataStream&, const QPolygon&
    26, 27, 0,	//1811  QDataStream&, QDate&
    26, 359, 0,	//1814  QDataStream&, const QBitArray&
    373, 314, 0,	//1817  const QGraphicsItem*, Qt::ItemSelectionMode
    391, 314, 0,	//1820  const QPainterPath&, Qt::ItemSelectionMode
    373, 0,	//1823  const QGraphicsItem*
    131, 42, 0,	//1825  QGraphicsItem*, QEvent*
    42, 0,	//1828  QEvent*
    137, 0,	//1830  QGraphicsSceneContextMenuEvent*
    138, 0,	//1832  QGraphicsSceneDragDropEvent*
    124, 0,	//1834  QFocusEvent*
    139, 0,	//1836  QGraphicsSceneHoverEvent*
    155, 0,	//1838  QKeyEvent*
    140, 0,	//1840  QGraphicsSceneMouseEvent*
    141, 0,	//1842  QGraphicsSceneWheelEvent*
    153, 0,	//1844  QInputMethodEvent*
    311, 0,	//1846  Qt::InputMethodQuery
    133, 434, 0,	//1848  QGraphicsItem::GraphicsItemChange, const QVariant&
    132, 0,	//1851  QGraphicsItem::Extension
    132, 434, 0,	//1853  QGraphicsItem::Extension, const QVariant&
    434, 0,	//1856  const QVariant&
    175, 448, 465, 0,	//1858  QMetaObject::Call, int, void**
    131, 0,	//1862  QGraphicsItem*
    418, 131, 0,	//1864  const QString&, QGraphicsItem*
    237, 0,	//1867  QSvgRenderer*
    356, 0,	//1869  bool
    411, 0,	//1871  const QSize&
    185, 424, 273, 0,	//1873  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    185, 424, 0,	//1877  QPainter*, const QStyleOptionGraphicsItem*
    178, 42, 0,	//1880  QObject*, QEvent*
    255, 0,	//1883  QTimerEvent*
    20, 0,	//1885  QChildEvent*
    405, 0,	//1887  const QRect&
    406, 0,	//1889  const QRectF&
    146, 0,	//1891  QIODevice*
    180, 0,	//1893  QPaintDevice::PaintDeviceMetric
    178, 0,	//1895  QObject*
    418, 178, 0,	//1897  const QString&, QObject*
    363, 178, 0,	//1900  const QByteArray&, QObject*
    276, 178, 0,	//1903  QXmlStreamReader*, QObject*
    276, 0,	//1906  QXmlStreamReader*
    185, 0,	//1908  QPainter*
    185, 406, 0,	//1910  QPainter*, const QRectF&
    185, 418, 406, 0,	//1913  QPainter*, const QString&, const QRectF&
    185, 418, 0,	//1917  QPainter*, const QString&
    273, 0,	//1920  QWidget*
    418, 273, 0,	//1922  const QString&, QWidget*
    184, 0,	//1925  QPaintEvent*
    176, 0,	//1927  QMouseEvent*
    272, 0,	//1929  QWheelEvent*
    177, 0,	//1931  QMoveEvent*
    210, 0,	//1933  QResizeEvent*
    21, 0,	//1935  QCloseEvent*
    24, 0,	//1937  QContextMenuEvent*
    240, 0,	//1939  QTabletEvent*
    11, 0,	//1941  QActionEvent*
    36, 0,	//1943  QDragEnterEvent*
    38, 0,	//1945  QDragMoveEvent*
    37, 0,	//1947  QDragLeaveEvent*
    40, 0,	//1949  QDropEvent*
    211, 0,	//1951  QShowEvent*
    145, 0,	//1953  QHideEvent*
    353, 0,	//1955  _XEvent*
    226, 0,	//1957  QStyle&
    392, 0,	//1959  const QPalette&
    372, 0,	//1961  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemStopsFocusHandling",	//47
    "ItemToolTipChange",	//48
    "ItemToolTipHasChanged",	//49
    "ItemTransformChange",	//50
    "ItemTransformHasChanged",	//51
    "ItemTransformOriginPointChange",	//52
    "ItemTransformOriginPointHasChanged",	//53
    "ItemUsesExtendedStyleOption",	//54
    "ItemVisibleChange",	//55
    "ItemVisibleHasChanged",	//56
    "ItemZValueChange",	//57
    "ItemZValueHasChanged",	//58
    "NoCache",	//59
    "NonModal",	//60
    "PanelModal",	//61
    "PdmDepth",	//62
    "PdmDpiX",	//63
    "PdmDpiY",	//64
    "PdmHeight",	//65
    "PdmHeightMM",	//66
    "PdmNumColors",	//67
    "PdmPhysicalDpiX",	//68
    "PdmPhysicalDpiY",	//69
    "PdmWidth",	//70
    "PdmWidthMM",	//71
    "QGraphicsSvgItem",	//72
    "QGraphicsSvgItem#",	//73
    "QGraphicsSvgItem$",	//74
    "QGraphicsSvgItem$#",	//75
    "QSvgGenerator",	//76
    "QSvgRenderer",	//77
    "QSvgRenderer#",	//78
    "QSvgRenderer##",	//79
    "QSvgRenderer$",	//80
    "QSvgRenderer$#",	//81
    "QSvgWidget",	//82
    "QSvgWidget#",	//83
    "QSvgWidget$",	//84
    "QSvgWidget$#",	//85
    "QtCriticalMsg",	//86
    "QtDebugMsg",	//87
    "QtFatalMsg",	//88
    "QtSystemMsg",	//89
    "QtWarningMsg",	//90
    "SP_CustomCameraCaptureButton",	//91
    "SP_CustomCameraCaptureButtonPressed",	//92
    "SP_CustomCameraPauseButton",	//93
    "SP_CustomCameraPauseButtonPressed",	//94
    "SP_CustomCameraPlayButton",	//95
    "SP_CustomCameraPlayButtonPressed",	//96
    "SP_CustomCameraRecButton",	//97
    "SP_CustomCameraRecButtonPressed",	//98
    "SP_CustomCameraStopButton",	//99
    "SP_CustomCameraStopButtonPressed",	//100
    "SP_CustomTabAll",	//101
    "SP_CustomTabArtist",	//102
    "SP_CustomTabFavourite",	//103
    "SP_CustomTabGenre",	//104
    "SP_CustomTabLanguage",	//105
    "SP_CustomTabMusicAlbum",	//106
    "SP_CustomTabPhotosAlbum",	//107
    "SP_CustomTabPhotosAll",	//108
    "SP_CustomTabPlaylist",	//109
    "SP_CustomTabServices",	//110
    "SP_CustomTabSongs",	//111
    "SP_CustomTabVideos",	//112
    "SP_CustomToolBarAdd",	//113
    "SP_CustomToolBarAddDetail",	//114
    "SP_CustomToolBarAgain",	//115
    "SP_CustomToolBarAgenda",	//116
    "SP_CustomToolBarAudioOff",	//117
    "SP_CustomToolBarAudioOn",	//118
    "SP_CustomToolBarBack",	//119
    "SP_CustomToolBarBluetoothOff",	//120
    "SP_CustomToolBarBluetoothOn",	//121
    "SP_CustomToolBarCancel",	//122
    "SP_CustomToolBarDelete",	//123
    "SP_CustomToolBarDone",	//124
    "SP_CustomToolBarEdit",	//125
    "SP_CustomToolBarEditDisabled",	//126
    "SP_CustomToolBarEmailSend",	//127
    "SP_CustomToolBarEmergencyCall",	//128
    "SP_CustomToolBarFavouriteAdd",	//129
    "SP_CustomToolBarFavouriteRemove",	//130
    "SP_CustomToolBarFavourites",	//131
    "SP_CustomToolBarGo",	//132
    "SP_CustomToolBarHome",	//133
    "SP_CustomToolBarImageTools",	//134
    "SP_CustomToolBarList",	//135
    "SP_CustomToolBarLock",	//136
    "SP_CustomToolBarLogs",	//137
    "SP_CustomToolBarMenu",	//138
    "SP_CustomToolBarNewContact",	//139
    "SP_CustomToolBarNewGroup",	//140
    "SP_CustomToolBarNextFrame",	//141
    "SP_CustomToolBarNowPlay",	//142
    "SP_CustomToolBarOptions",	//143
    "SP_CustomToolBarOther",	//144
    "SP_CustomToolBarOvi",	//145
    "SP_CustomToolBarPreviousFrame",	//146
    "SP_CustomToolBarRead",	//147
    "SP_CustomToolBarRedo",	//148
    "SP_CustomToolBarRedoDisabled",	//149
    "SP_CustomToolBarRefresh",	//150
    "SP_CustomToolBarRemoveDetail",	//151
    "SP_CustomToolBarRemoveDisabled",	//152
    "SP_CustomToolBarRepeat",	//153
    "SP_CustomToolBarRepeatOff",	//154
    "SP_CustomToolBarRepeatOne",	//155
    "SP_CustomToolBarSearch",	//156
    "SP_CustomToolBarSearchDisabled",	//157
    "SP_CustomToolBarSelectContent",	//158
    "SP_CustomToolBarSelfTimer",	//159
    "SP_CustomToolBarSend",	//160
    "SP_CustomToolBarSendDimmed",	//161
    "SP_CustomToolBarShare",	//162
    "SP_CustomToolBarShift",	//163
    "SP_CustomToolBarShuffle",	//164
    "SP_CustomToolBarShuffleOff",	//165
    "SP_CustomToolBarSignalOff",	//166
    "SP_CustomToolBarSignalOn",	//167
    "SP_CustomToolBarSync",	//168
    "SP_CustomToolBarTools",	//169
    "SP_CustomToolBarTrim",	//170
    "SP_CustomToolBarUnlock",	//171
    "SP_CustomToolBarUnmark",	//172
    "SP_CustomToolBarView",	//173
    "SP_CustomToolBarWlanOff",	//174
    "SP_CustomToolBarWlanOn",	//175
    "SceneModal",	//176
    "Type",	//177
    "UserExtension",	//178
    "UserType",	//179
    "__codecvt_error",	//180
    "__codecvt_noconv",	//181
    "__codecvt_ok",	//182
    "__codecvt_partial",	//183
    "actionEvent",	//184
    "advance",	//185
    "animated",	//186
    "animationDuration",	//187
    "boundingRect",	//188
    "boundsOnElement",	//189
    "boundsOnElement$",	//190
    "changeEvent",	//191
    "childEvent",	//192
    "closeEvent",	//193
    "collidesWithItem",	//194
    "collidesWithPath",	//195
    "connectNotify",	//196
    "contains",	//197
    "contextMenuEvent",	//198
    "currentFrame",	//199
    "customEvent",	//200
    "defaultSize",	//201
    "description",	//202
    "devType",	//203
    "disconnectNotify",	//204
    "dragEnterEvent",	//205
    "dragLeaveEvent",	//206
    "dragMoveEvent",	//207
    "dropEvent",	//208
    "elementExists",	//209
    "elementExists$",	//210
    "elementId",	//211
    "enabledChange",	//212
    "enterEvent",	//213
    "event",	//214
    "eventFilter",	//215
    "extension",	//216
    "fileName",	//217
    "focusInEvent",	//218
    "focusNextPrevChild",	//219
    "focusOutEvent",	//220
    "fontChange",	//221
    "framesPerSecond",	//222
    "heightForWidth",	//223
    "hideEvent",	//224
    "hoverEnterEvent",	//225
    "hoverLeaveEvent",	//226
    "hoverMoveEvent",	//227
    "inputMethodEvent",	//228
    "inputMethodQuery",	//229
    "isCachingEnabled",	//230
    "isObscuredBy",	//231
    "isValid",	//232
    "itemChange",	//233
    "keyPressEvent",	//234
    "keyReleaseEvent",	//235
    "languageChange",	//236
    "leaveEvent",	//237
    "load",	//238
    "load#",	//239
    "load$",	//240
    "matrixForElement",	//241
    "matrixForElement$",	//242
    "maximumCacheSize",	//243
    "metaObject",	//244
    "metric",	//245
    "metric$",	//246
    "minimumSizeHint",	//247
    "mouseDoubleClickEvent",	//248
    "mouseMoveEvent",	//249
    "mousePressEvent",	//250
    "mouseReleaseEvent",	//251
    "moveEvent",	//252
    "opaqueArea",	//253
    "operator!=",	//254
    "operator!=##",	//255
    "operator!=#$",	//256
    "operator!=$#",	//257
    "operator!=$$",	//258
    "operator&",	//259
    "operator&##",	//260
    "operator*",	//261
    "operator*##",	//262
    "operator*#$",	//263
    "operator*$#",	//264
    "operator+",	//265
    "operator+##",	//266
    "operator+#$",	//267
    "operator+$#",	//268
    "operator+$$",	//269
    "operator-",	//270
    "operator-#",	//271
    "operator-##",	//272
    "operator-#$",	//273
    "operator/",	//274
    "operator/#$",	//275
    "operator<",	//276
    "operator<##",	//277
    "operator<#$",	//278
    "operator<$#",	//279
    "operator<$$",	//280
    "operator<<",	//281
    "operator<<##",	//282
    "operator<<#$",	//283
    "operator<<#?",	//284
    "operator<=",	//285
    "operator<=##",	//286
    "operator<=#$",	//287
    "operator<=$#",	//288
    "operator<=$$",	//289
    "operator==",	//290
    "operator==##",	//291
    "operator==#$",	//292
    "operator==$#",	//293
    "operator==$$",	//294
    "operator>",	//295
    "operator>##",	//296
    "operator>#$",	//297
    "operator>$#",	//298
    "operator>$$",	//299
    "operator>=",	//300
    "operator>=##",	//301
    "operator>=#$",	//302
    "operator>=$#",	//303
    "operator>=$$",	//304
    "operator>>",	//305
    "operator>>##",	//306
    "operator>>#$",	//307
    "operator>>#?",	//308
    "operator^",	//309
    "operator^##",	//310
    "operator|",	//311
    "operator|##",	//312
    "operator|$$",	//313
    "outputDevice",	//314
    "paint",	//315
    "paint##",	//316
    "paint###",	//317
    "paintEngine",	//318
    "paintEvent",	//319
    "paintEvent#",	//320
    "paletteChange",	//321
    "qAccessibleActionCastHelper",	//322
    "qAccessibleEditableTextCastHelper",	//323
    "qAccessibleImageCastHelper",	//324
    "qAccessibleTableCastHelper",	//325
    "qAccessibleTextCastHelper",	//326
    "qAccessibleValueCastHelper",	//327
    "qAcos",	//328
    "qAcos$",	//329
    "qAddPostRoutine",	//330
    "qAddPostRoutine$",	//331
    "qAlpha",	//332
    "qAlpha$",	//333
    "qAppName",	//334
    "qAsin",	//335
    "qAsin$",	//336
    "qAtan",	//337
    "qAtan$",	//338
    "qAtan2",	//339
    "qAtan2$$",	//340
    "qBadAlloc",	//341
    "qBlue",	//342
    "qBlue$",	//343
    "qCeil",	//344
    "qCeil$",	//345
    "qChecksum",	//346
    "qChecksum$$",	//347
    "qCompress",	//348
    "qCompress#",	//349
    "qCompress#$",	//350
    "qCompress$$",	//351
    "qCompress$$$",	//352
    "qCos",	//353
    "qCos$",	//354
    "qCritical",	//355
    "qDebug",	//356
    "qDrawBorderPixmap",	//357
    "qDrawBorderPixmap####",	//358
    "qDrawBorderPixmap######",	//359
    "qDrawBorderPixmap#######",	//360
    "qDrawBorderPixmap#######$",	//361
    "qDrawPlainRect",	//362
    "qDrawPlainRect###",	//363
    "qDrawPlainRect###$",	//364
    "qDrawPlainRect###$#",	//365
    "qDrawPlainRect#$$$$#",	//366
    "qDrawPlainRect#$$$$#$",	//367
    "qDrawPlainRect#$$$$#$#",	//368
    "qDrawShadeLine",	//369
    "qDrawShadeLine####",	//370
    "qDrawShadeLine####$",	//371
    "qDrawShadeLine####$$",	//372
    "qDrawShadeLine####$$$",	//373
    "qDrawShadeLine#$$$$#",	//374
    "qDrawShadeLine#$$$$#$",	//375
    "qDrawShadeLine#$$$$#$$",	//376
    "qDrawShadeLine#$$$$#$$$",	//377
    "qDrawShadePanel",	//378
    "qDrawShadePanel###",	//379
    "qDrawShadePanel###$",	//380
    "qDrawShadePanel###$$",	//381
    "qDrawShadePanel###$$#",	//382
    "qDrawShadePanel#$$$$#",	//383
    "qDrawShadePanel#$$$$#$",	//384
    "qDrawShadePanel#$$$$#$$",	//385
    "qDrawShadePanel#$$$$#$$#",	//386
    "qDrawShadeRect",	//387
    "qDrawShadeRect###",	//388
    "qDrawShadeRect###$",	//389
    "qDrawShadeRect###$$",	//390
    "qDrawShadeRect###$$$",	//391
    "qDrawShadeRect###$$$#",	//392
    "qDrawShadeRect#$$$$#",	//393
    "qDrawShadeRect#$$$$#$",	//394
    "qDrawShadeRect#$$$$#$$",	//395
    "qDrawShadeRect#$$$$#$$$",	//396
    "qDrawShadeRect#$$$$#$$$#",	//397
    "qDrawWinButton",	//398
    "qDrawWinButton###",	//399
    "qDrawWinButton###$",	//400
    "qDrawWinButton###$#",	//401
    "qDrawWinButton#$$$$#",	//402
    "qDrawWinButton#$$$$#$",	//403
    "qDrawWinButton#$$$$#$#",	//404
    "qDrawWinPanel",	//405
    "qDrawWinPanel###",	//406
    "qDrawWinPanel###$",	//407
    "qDrawWinPanel###$#",	//408
    "qDrawWinPanel#$$$$#",	//409
    "qDrawWinPanel#$$$$#$",	//410
    "qDrawWinPanel#$$$$#$#",	//411
    "qExp",	//412
    "qExp$",	//413
    "qFabs",	//414
    "qFabs$",	//415
    "qFastCos",	//416
    "qFastCos$",	//417
    "qFastSin",	//418
    "qFastSin$",	//419
    "qFlagLocation",	//420
    "qFlagLocation$",	//421
    "qFloor",	//422
    "qFloor$",	//423
    "qFree",	//424
    "qFree$",	//425
    "qFreeAligned",	//426
    "qFreeAligned$",	//427
    "qFuzzyCompare",	//428
    "qFuzzyCompare##",	//429
    "qFuzzyCompare$$",	//430
    "qFuzzyIsNull",	//431
    "qFuzzyIsNull$",	//432
    "qGray",	//433
    "qGray$",	//434
    "qGray$$$",	//435
    "qGreen",	//436
    "qGreen$",	//437
    "qHash",	//438
    "qHash#",	//439
    "qHash$",	//440
    "qInf",	//441
    "qInstallMsgHandler",	//442
    "qInstallMsgHandler$",	//443
    "qIntCast",	//444
    "qIntCast$",	//445
    "qIsFinite",	//446
    "qIsFinite$",	//447
    "qIsGray",	//448
    "qIsGray$",	//449
    "qIsInf",	//450
    "qIsInf$",	//451
    "qIsNaN",	//452
    "qIsNaN$",	//453
    "qIsNull",	//454
    "qIsNull$",	//455
    "qLn",	//456
    "qLn$",	//457
    "qMalloc",	//458
    "qMalloc$",	//459
    "qMallocAligned",	//460
    "qMallocAligned$$",	//461
    "qMemCopy",	//462
    "qMemCopy$$$",	//463
    "qMemSet",	//464
    "qMemSet$$$",	//465
    "qPow",	//466
    "qPow$$",	//467
    "qQNaN",	//468
    "qRealloc",	//469
    "qRealloc$$",	//470
    "qReallocAligned",	//471
    "qReallocAligned$$$$",	//472
    "qRed",	//473
    "qRed$",	//474
    "qRegisterStaticPluginInstanceFunction",	//475
    "qRegisterStaticPluginInstanceFunction#",	//476
    "qRemovePostRoutine",	//477
    "qRemovePostRoutine$",	//478
    "qRgb",	//479
    "qRgb$$$",	//480
    "qRgba",	//481
    "qRgba$$$$",	//482
    "qRound",	//483
    "qRound$",	//484
    "qRound64",	//485
    "qRound64$",	//486
    "qSNaN",	//487
    "qSetFieldWidth",	//488
    "qSetFieldWidth$",	//489
    "qSetPadChar",	//490
    "qSetPadChar#",	//491
    "qSetRealNumberPrecision",	//492
    "qSetRealNumberPrecision$",	//493
    "qSharedBuild",	//494
    "qSin",	//495
    "qSin$",	//496
    "qSqrt",	//497
    "qSqrt$",	//498
    "qStringComparisonHelper",	//499
    "qStringComparisonHelper#$",	//500
    "qStringComparisonHelper$$",	//501
    "qTan",	//502
    "qTan$",	//503
    "qUncompress",	//504
    "qUncompress#",	//505
    "qUncompress$$",	//506
    "qVersion",	//507
    "qWarning",	//508
    "qbswap_helper",	//509
    "qbswap_helper$$$",	//510
    "qgcvt",	//511
    "qgcvt$$$",	//512
    "qgetenv",	//513
    "qgetenv$",	//514
    "qputenv",	//515
    "qputenv$#",	//516
    "qrand",	//517
    "qsort",	//518
    "qsort$$$?",	//519
    "qsrand",	//520
    "qsrand$",	//521
    "qstrcmp",	//522
    "qstrcmp##",	//523
    "qstrcmp#$",	//524
    "qstrcmp$#",	//525
    "qstrcmp$$",	//526
    "qstrcpy",	//527
    "qstrcpy$$",	//528
    "qstrdup",	//529
    "qstrdup$",	//530
    "qstricmp",	//531
    "qstricmp$$",	//532
    "qstrlen",	//533
    "qstrlen$",	//534
    "qstrncmp",	//535
    "qstrncmp$$$",	//536
    "qstrncpy",	//537
    "qstrncpy$$$",	//538
    "qstrnicmp",	//539
    "qstrnicmp$$$",	//540
    "qstrnlen",	//541
    "qstrnlen$$",	//542
    "qtTrId",	//543
    "qtTrId$",	//544
    "qtTrId$$",	//545
    "qt_assert",	//546
    "qt_assert$$$",	//547
    "qt_assert_x",	//548
    "qt_assert_x$$$$",	//549
    "qt_check_pointer",	//550
    "qt_check_pointer$$",	//551
    "qt_error_string",	//552
    "qt_error_string$",	//553
    "qt_message_output",	//554
    "qt_message_output$$",	//555
    "qt_metacall",	//556
    "qt_metacall$$?",	//557
    "qt_metacast",	//558
    "qt_metacast$",	//559
    "qt_noop",	//560
    "qt_qFindChild_helper",	//561
    "qt_qFindChild_helper#$#",	//562
    "qt_qFindChildren_helper",	//563
    "qt_qFindChildren_helper#$##?",	//564
    "qvariant_cast_helper",	//565
    "qvariant_cast_helper#$$",	//566
    "qvsnprintf",	//567
    "qvsnprintf$$$?",	//568
    "render",	//569
    "render#",	//570
    "render##",	//571
    "render#$",	//572
    "render#$#",	//573
    "renderer",	//574
    "repaintNeeded",	//575
    "resizeEvent",	//576
    "resolution",	//577
    "sceneEvent",	//578
    "sceneEventFilter",	//579
    "setCachingEnabled",	//580
    "setCachingEnabled$",	//581
    "setCurrentFrame",	//582
    "setCurrentFrame$",	//583
    "setDescription",	//584
    "setDescription$",	//585
    "setElementId",	//586
    "setElementId$",	//587
    "setExtension",	//588
    "setFileName",	//589
    "setFileName$",	//590
    "setFramesPerSecond",	//591
    "setFramesPerSecond$",	//592
    "setMaximumCacheSize",	//593
    "setMaximumCacheSize#",	//594
    "setOutputDevice",	//595
    "setOutputDevice#",	//596
    "setResolution",	//597
    "setResolution$",	//598
    "setSharedRenderer",	//599
    "setSharedRenderer#",	//600
    "setSize",	//601
    "setSize#",	//602
    "setTitle",	//603
    "setTitle$",	//604
    "setViewBox",	//605
    "setViewBox#",	//606
    "setVisible",	//607
    "shape",	//608
    "showEvent",	//609
    "size",	//610
    "sizeHint",	//611
    "staticMetaObject",	//612
    "styleChange",	//613
    "supportsExtension",	//614
    "tabletEvent",	//615
    "timerEvent",	//616
    "title",	//617
    "tr",	//618
    "tr$",	//619
    "tr$$",	//620
    "tr$$$",	//621
    "trUtf8",	//622
    "trUtf8$",	//623
    "trUtf8$$",	//624
    "trUtf8$$$",	//625
    "type",	//626
    "viewBox",	//627
    "viewBoxF",	//628
    "wheelEvent",	//629
    "windowActivationChange",	//630
    "x11Event",	//631
    "~QGraphicsSvgItem",	//632
    "~QSvgGenerator",	//633
    "~QSvgRenderer",	//634
    "~QSvgWidget",	//635
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 311, 1, 2, Smoke::mf_static, 151, 1},	//1 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 327, 0, 0, Smoke::mf_static, 8, 2},	//2 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 300, 4, 2, Smoke::mf_static, 356, 3},	//3 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 438, 7, 1, Smoke::mf_static, 457, 4},	//4 QGlobalSpace::qHash(unsigned long long)
    {26, 450, 9, 1, Smoke::mf_static, 356, 5},	//5 QGlobalSpace::qIsInf(double)
    {26, 311, 11, 2, Smoke::mf_static, 151, 6},	//6 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 270, 14, 2, Smoke::mf_static, 170, 7},	//7 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 311, 17, 2, Smoke::mf_static, 151, 8},	//8 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 290, 20, 2, Smoke::mf_static, 356, 9},	//9 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 254, 23, 2, Smoke::mf_static, 356, 10},	//10 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 541, 26, 2, Smoke::mf_static, 457, 11},	//11 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 462, 29, 3, Smoke::mf_static, 464, 12},	//12 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 560, 0, 0, Smoke::mf_static, 0, 13},	//13 QGlobalSpace::qt_noop()
    {26, 290, 33, 2, Smoke::mf_static, 356, 14},	//14 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 305, 36, 2, Smoke::mf_static, 26, 15},	//15 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 281, 39, 2, Smoke::mf_static, 30, 16},	//16 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 261, 42, 2, Smoke::mf_static, 196, 17},	//17 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 311, 45, 2, Smoke::mf_static, 82, 18},	//18 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 290, 48, 2, Smoke::mf_static, 356, 19},	//19 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 290, 51, 2, Smoke::mf_static, 356, 20},	//20 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 281, 54, 2, Smoke::mf_static, 26, 21},	//21 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 311, 57, 2, Smoke::mf_static, 99, 22},	//22 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 265, 60, 2, Smoke::mf_static, 362, 23},	//23 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 305, 63, 2, Smoke::mf_static, 26, 24},	//24 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 311, 66, 2, Smoke::mf_static, 90, 25},	//25 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 311, 69, 2, Smoke::mf_static, 79, 26},	//26 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 311, 72, 2, Smoke::mf_static, 61, 27},	//27 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 499, 75, 2, Smoke::mf_static, 356, 28},	//28 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 305, 78, 2, Smoke::mf_static, 26, 29},	//29 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 522, 60, 2, Smoke::mf_static, 448, 30},	//30 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 290, 81, 2, Smoke::mf_static, 356, 31},	//31 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 281, 84, 2, Smoke::mf_static, 26, 32},	//32 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 339, 87, 2, Smoke::mf_static, 446, 33},	//33 QGlobalSpace::qAtan2(double, double)
    {26, 305, 90, 2, Smoke::mf_static, 26, 34},	//34 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 300, 93, 2, Smoke::mf_static, 356, 35},	//35 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 450, 96, 1, Smoke::mf_static, 356, 36},	//36 QGlobalSpace::qIsInf(float)
    {26, 513, 98, 1, Smoke::mf_static, 16, 37},	//37 QGlobalSpace::qgetenv(const char*)
    {26, 438, 100, 1, Smoke::mf_static, 457, 38},	//38 QGlobalSpace::qHash(signed char)
    {26, 311, 102, 2, Smoke::mf_static, 151, 39},	//39 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 290, 105, 2, Smoke::mf_static, 356, 40},	//40 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 295, 60, 2, Smoke::mf_static, 356, 41},	//41 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 311, 108, 2, Smoke::mf_static, 151, 42},	//42 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 265, 14, 2, Smoke::mf_static, 170, 43},	//43 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 444, 9, 1, Smoke::mf_static, 448, 44},	//44 QGlobalSpace::qIntCast(double)
    {26, 490, 111, 1, Smoke::mf_static, 253, 45},	//45 QGlobalSpace::qSetPadChar(QChar)
    {26, 281, 113, 2, Smoke::mf_static, 26, 46},	//46 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 311, 116, 2, Smoke::mf_static, 81, 47},	//47 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 311, 119, 2, Smoke::mf_static, 89, 48},	//48 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 261, 122, 2, Smoke::mf_static, 194, 49},	//49 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 281, 125, 2, Smoke::mf_static, 26, 50},	//50 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 281, 128, 2, Smoke::mf_static, 30, 51},	//51 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 311, 131, 2, Smoke::mf_static, 65, 52},	//52 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 290, 134, 2, Smoke::mf_static, 356, 53},	//53 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 261, 137, 2, Smoke::mf_static, 270, 54},	//54 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 290, 140, 2, Smoke::mf_static, 356, 55},	//55 QGlobalSpace::operator==(QChar, QChar)
    {26, 281, 143, 2, Smoke::mf_static, 30, 56},	//56 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 261, 14, 2, Smoke::mf_static, 170, 57},	//57 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 311, 146, 2, Smoke::mf_static, 121, 58},	//58 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 270, 149, 1, Smoke::mf_static, 170, 59},	//59 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 438, 151, 1, Smoke::mf_static, 457, 60},	//60 QGlobalSpace::qHash(const QUrl&)
    {26, 438, 153, 1, Smoke::mf_static, 457, 61},	//61 QGlobalSpace::qHash(const QByteArray&)
    {26, 311, 155, 2, Smoke::mf_static, 151, 62},	//62 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 261, 158, 2, Smoke::mf_static, 170, 63},	//63 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 281, 161, 2, Smoke::mf_static, 26, 64},	//64 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 281, 164, 2, Smoke::mf_static, 30, 65},	//65 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 305, 167, 2, Smoke::mf_static, 26, 66},	//66 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 276, 140, 2, Smoke::mf_static, 356, 67},	//67 QGlobalSpace::operator<(QChar, QChar)
    {26, 305, 170, 2, Smoke::mf_static, 26, 68},	//68 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 311, 173, 2, Smoke::mf_static, 78, 69},	//69 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 300, 140, 2, Smoke::mf_static, 356, 70},	//70 QGlobalSpace::operator>=(QChar, QChar)
    {26, 254, 176, 2, Smoke::mf_static, 356, 71},	//71 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 281, 179, 2, Smoke::mf_static, 30, 72},	//72 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 276, 60, 2, Smoke::mf_static, 356, 73},	//73 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 311, 182, 2, Smoke::mf_static, 106, 74},	//74 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 311, 185, 2, Smoke::mf_static, 120, 75},	//75 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 522, 188, 2, Smoke::mf_static, 448, 76},	//76 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 311, 191, 2, Smoke::mf_static, 151, 77},	//77 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 265, 20, 2, Smoke::mf_static, 439, 78},	//78 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 353, 9, 1, Smoke::mf_static, 446, 79},	//79 QGlobalSpace::qCos(double)
    {26, 311, 194, 2, Smoke::mf_static, 77, 80},	//80 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 295, 140, 2, Smoke::mf_static, 356, 81},	//81 QGlobalSpace::operator>(QChar, QChar)
    {26, 311, 197, 2, Smoke::mf_static, 123, 82},	//82 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 261, 200, 2, Smoke::mf_static, 412, 83},	//83 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 494, 0, 0, Smoke::mf_static, 356, 84},	//84 QGlobalSpace::qSharedBuild()
    {26, 290, 203, 2, Smoke::mf_static, 356, 85},	//85 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 311, 206, 2, Smoke::mf_static, 151, 86},	//86 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 311, 209, 2, Smoke::mf_static, 89, 87},	//87 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 254, 4, 2, Smoke::mf_static, 356, 88},	//88 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 270, 212, 2, Smoke::mf_static, 397, 89},	//89 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 323, 0, 0, Smoke::mf_static, 8, 90},	//90 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 281, 215, 2, Smoke::mf_static, 26, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 311, 218, 2, Smoke::mf_static, 151, 92},	//92 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 311, 221, 2, Smoke::mf_static, 119, 93},	//93 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 311, 224, 2, Smoke::mf_static, 151, 94},	//94 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 270, 227, 2, Smoke::mf_static, 256, 95},	//95 QGlobalSpace::operator-(const QTransform&, double)
    {26, 311, 230, 2, Smoke::mf_static, 47, 96},	//96 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 438, 233, 1, Smoke::mf_static, 457, 97},	//97 QGlobalSpace::qHash(char)
    {26, 261, 20, 2, Smoke::mf_static, 439, 98},	//98 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 311, 235, 2, Smoke::mf_static, 107, 99},	//99 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 254, 48, 2, Smoke::mf_static, 356, 100},	//100 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 311, 238, 2, Smoke::mf_static, 103, 101},	//101 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 311, 241, 2, Smoke::mf_static, 151, 102},	//102 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 281, 244, 2, Smoke::mf_static, 30, 103},	//103 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 311, 247, 2, Smoke::mf_static, 151, 104},	//104 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 311, 250, 2, Smoke::mf_static, 151, 105},	//105 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 311, 253, 2, Smoke::mf_static, 65, 106},	//106 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 274, 256, 2, Smoke::mf_static, 397, 107},	//107 QGlobalSpace::operator/(const QPoint&, double)
    {26, 405, 259, 8, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 405, 268, 6, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 405, 275, 7, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 265, 212, 2, Smoke::mf_static, 397, 111},	//111 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 281, 283, 2, Smoke::mf_static, 26, 112},	//112 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 311, 286, 2, Smoke::mf_static, 57, 113},	//113 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 265, 289, 2, Smoke::mf_static, 417, 114},	//114 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 270, 292, 2, Smoke::mf_static, 412, 115},	//115 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 261, 295, 2, Smoke::mf_static, 268, 116},	//116 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 428, 298, 2, Smoke::mf_static, 356, 117},	//117 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 281, 301, 2, Smoke::mf_static, 30, 118},	//118 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 270, 20, 2, Smoke::mf_static, 439, 119},	//119 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 446, 9, 1, Smoke::mf_static, 356, 120},	//120 QGlobalSpace::qIsFinite(double)
    {26, 311, 304, 2, Smoke::mf_static, 62, 121},	//121 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 254, 93, 2, Smoke::mf_static, 356, 122},	//122 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 281, 307, 2, Smoke::mf_static, 26, 123},	//123 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 311, 310, 2, Smoke::mf_static, 115, 124},	//124 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 311, 313, 2, Smoke::mf_static, 151, 125},	//125 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 281, 316, 2, Smoke::mf_static, 30, 126},	//126 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 332, 319, 1, Smoke::mf_static, 448, 127},	//127 QGlobalSpace::qAlpha(unsigned int)
    {26, 281, 321, 2, Smoke::mf_static, 30, 128},	//128 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 311, 324, 2, Smoke::mf_static, 58, 129},	//129 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 276, 327, 2, Smoke::mf_static, 356, 130},	//130 QGlobalSpace::operator<(const char*, const QString&)
    {26, 433, 330, 3, Smoke::mf_static, 448, 131},	//131 QGlobalSpace::qGray(int, int, int)
    {26, 311, 334, 2, Smoke::mf_static, 70, 132},	//132 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 281, 337, 2, Smoke::mf_static, 26, 133},	//133 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 311, 340, 2, Smoke::mf_static, 105, 134},	//134 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 265, 51, 2, Smoke::mf_static, 410, 135},	//135 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 311, 343, 2, Smoke::mf_static, 121, 136},	//136 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 311, 346, 2, Smoke::mf_static, 112, 137},	//137 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 552, 349, 1, Smoke::mf_static, 219, 138},	//138 QGlobalSpace::qt_error_string(int)
    {26, 552, 0, 0, Smoke::mf_static, 219, 139},	//139 QGlobalSpace::qt_error_string()
    {26, 265, 292, 2, Smoke::mf_static, 412, 140},	//140 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 274, 158, 2, Smoke::mf_static, 170, 141},	//141 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 311, 351, 2, Smoke::mf_static, 151, 142},	//142 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 311, 354, 2, Smoke::mf_static, 47, 143},	//143 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 311, 357, 2, Smoke::mf_static, 151, 144},	//144 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 270, 298, 2, Smoke::mf_static, 441, 145},	//145 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 276, 360, 2, Smoke::mf_static, 356, 146},	//146 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 504, 363, 2, Smoke::mf_static, 16, 147},	//147 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 535, 366, 3, Smoke::mf_static, 448, 148},	//148 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 502, 9, 1, Smoke::mf_static, 446, 149},	//149 QGlobalSpace::qTan(double)
    {26, 295, 33, 2, Smoke::mf_static, 356, 150},	//150 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 254, 370, 2, Smoke::mf_static, 356, 151},	//151 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 290, 373, 2, Smoke::mf_static, 356, 152},	//152 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 488, 349, 1, Smoke::mf_static, 253, 153},	//153 QGlobalSpace::qSetFieldWidth(int)
    {26, 311, 376, 2, Smoke::mf_static, 92, 154},	//154 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 305, 379, 2, Smoke::mf_static, 250, 155},	//155 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 438, 382, 1, Smoke::mf_static, 457, 156},	//156 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 473, 319, 1, Smoke::mf_static, 448, 157},	//157 QGlobalSpace::qRed(unsigned int)
    {26, 311, 384, 2, Smoke::mf_static, 110, 158},	//158 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 261, 227, 2, Smoke::mf_static, 256, 159},	//159 QGlobalSpace::operator*(const QTransform&, double)
    {26, 311, 387, 2, Smoke::mf_static, 84, 160},	//160 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 422, 9, 1, Smoke::mf_static, 448, 161},	//161 QGlobalSpace::qFloor(double)
    {26, 281, 390, 2, Smoke::mf_static, 30, 162},	//162 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 305, 393, 2, Smoke::mf_static, 26, 163},	//163 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 446, 96, 1, Smoke::mf_static, 356, 164},	//164 QGlobalSpace::qIsFinite(float)
    {26, 265, 396, 2, Smoke::mf_static, 417, 165},	//165 QGlobalSpace::operator+(const QString&, QChar)
    {26, 254, 399, 2, Smoke::mf_static, 356, 166},	//166 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 261, 298, 2, Smoke::mf_static, 441, 167},	//167 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 311, 402, 2, Smoke::mf_static, 50, 168},	//168 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 509, 405, 3, Smoke::mf_static, 0, 169},	//169 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 265, 93, 2, Smoke::mf_static, 362, 170},	//170 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 326, 0, 0, Smoke::mf_static, 8, 171},	//171 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 311, 409, 2, Smoke::mf_static, 91, 172},	//172 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 311, 412, 2, Smoke::mf_static, 97, 173},	//173 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 265, 75, 2, Smoke::mf_static, 417, 174},	//174 QGlobalSpace::operator+(const QString&, const char*)
    {26, 295, 360, 2, Smoke::mf_static, 356, 175},	//175 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 311, 415, 2, Smoke::mf_static, 118, 176},	//176 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 471, 418, 4, Smoke::mf_static, 464, 177},	//177 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 281, 423, 2, Smoke::mf_static, 26, 178},	//178 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 305, 426, 2, Smoke::mf_static, 26, 179},	//179 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 265, 429, 2, Smoke::mf_static, 417, 180},	//180 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 438, 319, 1, Smoke::mf_static, 457, 181},	//181 QGlobalSpace::qHash(unsigned int)
    {26, 428, 203, 2, Smoke::mf_static, 356, 182},	//182 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 311, 432, 2, Smoke::mf_static, 120, 183},	//183 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 438, 111, 1, Smoke::mf_static, 457, 184},	//184 QGlobalSpace::qHash(QChar)
    {26, 311, 435, 2, Smoke::mf_static, 99, 185},	//185 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 285, 93, 2, Smoke::mf_static, 356, 186},	//186 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 444, 96, 1, Smoke::mf_static, 448, 187},	//187 QGlobalSpace::qIntCast(float)
    {26, 290, 438, 2, Smoke::mf_static, 356, 188},	//188 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 311, 441, 2, Smoke::mf_static, 60, 189},	//189 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 309, 444, 2, Smoke::mf_static, 12, 190},	//190 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 295, 447, 2, Smoke::mf_static, 356, 191},	//191 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 311, 450, 2, Smoke::mf_static, 81, 192},	//192 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 469, 453, 2, Smoke::mf_static, 464, 193},	//193 QGlobalSpace::qRealloc(void*, size_t)
    {26, 438, 456, 1, Smoke::mf_static, 457, 194},	//194 QGlobalSpace::qHash(const QString&)
    {26, 285, 360, 2, Smoke::mf_static, 356, 195},	//195 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 265, 298, 2, Smoke::mf_static, 441, 196},	//196 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 311, 458, 2, Smoke::mf_static, 85, 197},	//197 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {26, 281, 461, 2, Smoke::mf_static, 26, 198},	//198 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 281, 464, 2, Smoke::mf_static, 26, 199},	//199 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 281, 467, 2, Smoke::mf_static, 30, 200},	//200 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 485, 9, 1, Smoke::mf_static, 451, 201},	//201 QGlobalSpace::qRound64(double)
    {26, 442, 470, 1, Smoke::mf_static, 463, 202},	//202 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 497, 9, 1, Smoke::mf_static, 446, 203},	//203 QGlobalSpace::qSqrt(double)
    {26, 311, 472, 2, Smoke::mf_static, 151, 204},	//204 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 438, 475, 1, Smoke::mf_static, 457, 205},	//205 QGlobalSpace::qHash(const QModelIndex&)
    {26, 311, 477, 2, Smoke::mf_static, 53, 206},	//206 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 416, 9, 1, Smoke::mf_static, 446, 207},	//207 QGlobalSpace::qFastCos(double)
    {26, 311, 480, 2, Smoke::mf_static, 96, 208},	//208 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 281, 483, 2, Smoke::mf_static, 30, 209},	//209 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 305, 486, 2, Smoke::mf_static, 26, 210},	//210 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 290, 489, 2, Smoke::mf_static, 356, 211},	//211 QGlobalSpace::operator==(QBool, QBool)
    {26, 311, 492, 2, Smoke::mf_static, 67, 212},	//212 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 290, 495, 2, Smoke::mf_static, 356, 213},	//213 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 311, 498, 2, Smoke::mf_static, 151, 214},	//214 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 311, 501, 2, Smoke::mf_static, 151, 215},	//215 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 254, 327, 2, Smoke::mf_static, 356, 216},	//216 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 452, 96, 1, Smoke::mf_static, 356, 217},	//217 QGlobalSpace::qIsNaN(float)
    {26, 311, 504, 2, Smoke::mf_static, 151, 218},	//218 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 311, 507, 2, Smoke::mf_static, 73, 219},	//219 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 285, 447, 2, Smoke::mf_static, 356, 220},	//220 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 305, 510, 2, Smoke::mf_static, 26, 221},	//221 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 420, 98, 1, Smoke::mf_static, 443, 222},	//222 QGlobalSpace::qFlagLocation(const char*)
    {26, 265, 227, 2, Smoke::mf_static, 256, 223},	//223 QGlobalSpace::operator+(const QTransform&, double)
    {26, 261, 513, 2, Smoke::mf_static, 159, 224},	//224 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 281, 516, 2, Smoke::mf_static, 30, 225},	//225 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 311, 519, 2, Smoke::mf_static, 151, 226},	//226 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 452, 9, 1, Smoke::mf_static, 356, 227},	//227 QGlobalSpace::qIsNaN(double)
    {26, 433, 319, 1, Smoke::mf_static, 448, 228},	//228 QGlobalSpace::qGray(unsigned int)
    {26, 265, 522, 2, Smoke::mf_static, 417, 229},	//229 QGlobalSpace::operator+(QChar, const QString&)
    {26, 311, 525, 2, Smoke::mf_static, 93, 230},	//230 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 311, 528, 2, Smoke::mf_static, 151, 231},	//231 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 311, 531, 2, Smoke::mf_static, 66, 232},	//232 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 311, 534, 2, Smoke::mf_static, 151, 233},	//233 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 281, 537, 2, Smoke::mf_static, 30, 234},	//234 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 305, 540, 2, Smoke::mf_static, 26, 235},	//235 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 546, 543, 3, Smoke::mf_static, 0, 236},	//236 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 438, 547, 1, Smoke::mf_static, 457, 237},	//237 QGlobalSpace::qHash(long long)
    {26, 270, 549, 1, Smoke::mf_static, 403, 238},	//238 QGlobalSpace::operator-(const QQuaternion&)
    {26, 254, 551, 2, Smoke::mf_static, 356, 239},	//239 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 311, 554, 2, Smoke::mf_static, 64, 240},	//240 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 428, 557, 2, Smoke::mf_static, 356, 241},	//241 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 311, 560, 2, Smoke::mf_static, 151, 242},	//242 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 305, 563, 2, Smoke::mf_static, 26, 243},	//243 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 311, 566, 2, Smoke::mf_static, 151, 244},	//244 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 479, 330, 3, Smoke::mf_static, 457, 245},	//245 QGlobalSpace::qRgb(int, int, int)
    {26, 311, 569, 2, Smoke::mf_static, 97, 246},	//246 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 265, 572, 2, Smoke::mf_static, 417, 247},	//247 QGlobalSpace::operator+(const QString&, char)
    {26, 254, 134, 2, Smoke::mf_static, 356, 248},	//248 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 261, 575, 2, Smoke::mf_static, 187, 249},	//249 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 270, 81, 2, Smoke::mf_static, 399, 250},	//250 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 290, 399, 2, Smoke::mf_static, 356, 251},	//251 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 311, 578, 2, Smoke::mf_static, 113, 252},	//252 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 311, 581, 2, Smoke::mf_static, 78, 253},	//253 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 311, 584, 2, Smoke::mf_static, 107, 254},	//254 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 305, 587, 2, Smoke::mf_static, 26, 255},	//255 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 276, 447, 2, Smoke::mf_static, 356, 256},	//256 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 325, 0, 0, Smoke::mf_static, 8, 257},	//257 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 311, 590, 2, Smoke::mf_static, 123, 258},	//258 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 362, 593, 8, Smoke::mf_static, 0, 259},	//259 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 362, 602, 6, Smoke::mf_static, 0, 260},	//260 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 362, 609, 7, Smoke::mf_static, 0, 261},	//261 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 431, 96, 1, Smoke::mf_static, 356, 262},	//262 QGlobalSpace::qFuzzyIsNull(float)
    {26, 261, 617, 2, Smoke::mf_static, 403, 263},	//263 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 311, 620, 2, Smoke::mf_static, 117, 264},	//264 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 527, 623, 2, Smoke::mf_static, 358, 265},	//265 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 311, 626, 2, Smoke::mf_static, 85, 266},	//266 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {26, 438, 349, 1, Smoke::mf_static, 457, 267},	//267 QGlobalSpace::qHash(int)
    {26, 265, 81, 2, Smoke::mf_static, 399, 268},	//268 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 261, 629, 2, Smoke::mf_static, 208, 269},	//269 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 311, 632, 2, Smoke::mf_static, 108, 270},	//270 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 290, 292, 2, Smoke::mf_static, 356, 271},	//271 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 270, 635, 1, Smoke::mf_static, 397, 272},	//272 QGlobalSpace::operator-(const QPoint&)
    {26, 311, 637, 2, Smoke::mf_static, 151, 273},	//273 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 281, 640, 2, Smoke::mf_static, 26, 274},	//274 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 311, 643, 2, Smoke::mf_static, 151, 275},	//275 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 412, 9, 1, Smoke::mf_static, 446, 276},	//276 QGlobalSpace::qExp(double)
    {26, 492, 349, 1, Smoke::mf_static, 253, 277},	//277 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 290, 646, 2, Smoke::mf_static, 356, 278},	//278 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 456, 9, 1, Smoke::mf_static, 446, 279},	//279 QGlobalSpace::qLn(double)
    {26, 265, 23, 2, Smoke::mf_static, 437, 280},	//280 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 387, 649, 7, Smoke::mf_static, 0, 281},	//281 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 387, 657, 3, Smoke::mf_static, 0, 282},	//282 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 387, 661, 4, Smoke::mf_static, 0, 283},	//283 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 387, 666, 5, Smoke::mf_static, 0, 284},	//284 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 387, 672, 6, Smoke::mf_static, 0, 285},	//285 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 281, 679, 2, Smoke::mf_static, 26, 286},	//286 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 261, 682, 2, Smoke::mf_static, 270, 287},	//287 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 311, 685, 2, Smoke::mf_static, 151, 288},	//288 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 254, 292, 2, Smoke::mf_static, 356, 289},	//289 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 475, 688, 1, Smoke::mf_static, 0, 290},	//290 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 281, 690, 2, Smoke::mf_static, 30, 291},	//291 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 281, 693, 2, Smoke::mf_static, 30, 292},	//292 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 311, 696, 2, Smoke::mf_static, 58, 293},	//293 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 346, 26, 2, Smoke::mf_static, 460, 294},	//294 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 357, 699, 4, Smoke::mf_static, 0, 295},	//295 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 274, 704, 2, Smoke::mf_static, 441, 296},	//296 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 281, 707, 2, Smoke::mf_static, 250, 297},	//297 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 311, 710, 2, Smoke::mf_static, 116, 298},	//298 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 458, 713, 1, Smoke::mf_static, 464, 299},	//299 QGlobalSpace::qMalloc(size_t)
    {26, 468, 0, 0, Smoke::mf_static, 446, 300},	//300 QGlobalSpace::qQNaN()
    {26, 311, 715, 2, Smoke::mf_static, 109, 301},	//301 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 305, 718, 2, Smoke::mf_static, 26, 302},	//302 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 515, 60, 2, Smoke::mf_static, 356, 303},	//303 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 311, 721, 2, Smoke::mf_static, 94, 304},	//304 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 311, 724, 2, Smoke::mf_static, 75, 305},	//305 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 281, 727, 2, Smoke::mf_static, 26, 306},	//306 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 281, 730, 2, Smoke::mf_static, 30, 307},	//307 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 311, 733, 2, Smoke::mf_static, 151, 308},	//308 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 342, 319, 1, Smoke::mf_static, 448, 309},	//309 QGlobalSpace::qBlue(unsigned int)
    {26, 311, 736, 2, Smoke::mf_static, 101, 310},	//310 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 261, 23, 2, Smoke::mf_static, 437, 311},	//311 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 281, 739, 2, Smoke::mf_static, 26, 312},	//312 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 281, 742, 2, Smoke::mf_static, 26, 313},	//313 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 398, 745, 5, Smoke::mf_static, 0, 314},	//314 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 398, 657, 3, Smoke::mf_static, 0, 315},	//315 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 398, 661, 4, Smoke::mf_static, 0, 316},	//316 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 520, 319, 1, Smoke::mf_static, 0, 317},	//317 QGlobalSpace::qsrand(unsigned int)
    {26, 254, 203, 2, Smoke::mf_static, 356, 318},	//318 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 311, 751, 2, Smoke::mf_static, 151, 319},	//319 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 438, 754, 1, Smoke::mf_static, 457, 320},	//320 QGlobalSpace::qHash(long)
    {26, 281, 756, 2, Smoke::mf_static, 26, 321},	//321 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 295, 4, 2, Smoke::mf_static, 356, 322},	//322 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 438, 759, 1, Smoke::mf_static, 457, 323},	//323 QGlobalSpace::qHash(unsigned short)
    {26, 311, 761, 2, Smoke::mf_static, 100, 324},	//324 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 305, 764, 2, Smoke::mf_static, 26, 325},	//325 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 254, 81, 2, Smoke::mf_static, 356, 326},	//326 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 311, 767, 2, Smoke::mf_static, 82, 327},	//327 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 281, 770, 2, Smoke::mf_static, 26, 328},	//328 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 311, 773, 2, Smoke::mf_static, 61, 329},	//329 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 311, 776, 2, Smoke::mf_static, 74, 330},	//330 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 270, 23, 2, Smoke::mf_static, 437, 331},	//331 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 378, 779, 6, Smoke::mf_static, 0, 332},	//332 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 378, 657, 3, Smoke::mf_static, 0, 333},	//333 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 378, 661, 4, Smoke::mf_static, 0, 334},	//334 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 378, 666, 5, Smoke::mf_static, 0, 335},	//335 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 539, 366, 3, Smoke::mf_static, 448, 336},	//336 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 265, 786, 2, Smoke::mf_static, 417, 337},	//337 QGlobalSpace::operator+(char, const QString&)
    {26, 305, 789, 2, Smoke::mf_static, 26, 338},	//338 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 290, 176, 2, Smoke::mf_static, 356, 339},	//339 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 305, 792, 2, Smoke::mf_static, 26, 340},	//340 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 290, 370, 2, Smoke::mf_static, 356, 341},	//341 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 311, 795, 2, Smoke::mf_static, 93, 342},	//342 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 311, 798, 2, Smoke::mf_static, 151, 343},	//343 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 265, 447, 2, Smoke::mf_static, 362, 344},	//344 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 311, 801, 2, Smoke::mf_static, 100, 345},	//345 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 438, 804, 1, Smoke::mf_static, 457, 346},	//346 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 295, 327, 2, Smoke::mf_static, 356, 347},	//347 QGlobalSpace::operator>(const char*, const QString&)
    {26, 281, 806, 2, Smoke::mf_static, 30, 348},	//348 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 281, 809, 2, Smoke::mf_static, 26, 349},	//349 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 281, 812, 2, Smoke::mf_static, 26, 350},	//350 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 281, 815, 2, Smoke::mf_static, 26, 351},	//351 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 281, 818, 2, Smoke::mf_static, 26, 352},	//352 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 305, 821, 2, Smoke::mf_static, 26, 353},	//353 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 378, 824, 9, Smoke::mf_static, 0, 354},	//354 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 378, 268, 6, Smoke::mf_static, 0, 355},	//355 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 378, 275, 7, Smoke::mf_static, 0, 356},	//356 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 378, 834, 8, Smoke::mf_static, 0, 357},	//357 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 561, 843, 3, Smoke::mf_static, 178, 358},	//358 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 311, 847, 2, Smoke::mf_static, 87, 359},	//359 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 305, 850, 2, Smoke::mf_static, 26, 360},	//360 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 311, 853, 2, Smoke::mf_static, 151, 361},	//361 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 274, 856, 2, Smoke::mf_static, 437, 362},	//362 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 311, 859, 2, Smoke::mf_static, 91, 363},	//363 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 274, 862, 2, Smoke::mf_static, 399, 364},	//364 QGlobalSpace::operator/(const QPointF&, double)
    {26, 254, 865, 2, Smoke::mf_static, 356, 365},	//365 QGlobalSpace::operator!=(bool, QBool)
    {26, 290, 360, 2, Smoke::mf_static, 356, 366},	//366 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 311, 868, 2, Smoke::mf_static, 71, 367},	//367 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 274, 871, 2, Smoke::mf_static, 439, 368},	//368 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 311, 874, 2, Smoke::mf_static, 75, 369},	//369 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 311, 877, 2, Smoke::mf_static, 74, 370},	//370 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 537, 880, 3, Smoke::mf_static, 358, 371},	//371 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 261, 884, 2, Smoke::mf_static, 437, 372},	//372 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 270, 887, 1, Smoke::mf_static, 441, 373},	//373 QGlobalSpace::operator-(const QVector4D&)
    {26, 311, 889, 2, Smoke::mf_static, 104, 374},	//374 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 305, 892, 2, Smoke::mf_static, 26, 375},	//375 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 504, 153, 1, Smoke::mf_static, 16, 376},	//376 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 311, 895, 2, Smoke::mf_static, 94, 377},	//377 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 274, 227, 2, Smoke::mf_static, 256, 378},	//378 QGlobalSpace::operator/(const QTransform&, double)
    {26, 311, 898, 2, Smoke::mf_static, 151, 379},	//379 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 428, 14, 2, Smoke::mf_static, 356, 380},	//380 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 311, 901, 2, Smoke::mf_static, 151, 381},	//381 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 281, 904, 2, Smoke::mf_static, 26, 382},	//382 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 305, 907, 2, Smoke::mf_static, 26, 383},	//383 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 322, 0, 0, Smoke::mf_static, 8, 384},	//384 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 261, 910, 2, Smoke::mf_static, 196, 385},	//385 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 311, 913, 2, Smoke::mf_static, 151, 386},	//386 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 305, 916, 2, Smoke::mf_static, 26, 387},	//387 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 270, 919, 1, Smoke::mf_static, 399, 388},	//388 QGlobalSpace::operator-(const QPointF&)
    {26, 281, 921, 2, Smoke::mf_static, 30, 389},	//389 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 311, 924, 2, Smoke::mf_static, 48, 390},	//390 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 290, 865, 2, Smoke::mf_static, 356, 391},	//391 QGlobalSpace::operator==(bool, QBool)
    {26, 305, 927, 2, Smoke::mf_static, 26, 392},	//392 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 311, 930, 2, Smoke::mf_static, 151, 393},	//393 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 517, 0, 0, Smoke::mf_static, 448, 394},	//394 QGlobalSpace::qrand()
    {26, 281, 933, 2, Smoke::mf_static, 30, 395},	//395 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 261, 936, 2, Smoke::mf_static, 200, 396},	//396 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 305, 939, 2, Smoke::mf_static, 26, 397},	//397 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 311, 942, 2, Smoke::mf_static, 52, 398},	//398 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 548, 945, 4, Smoke::mf_static, 0, 399},	//399 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 259, 444, 2, Smoke::mf_static, 12, 400},	//400 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 300, 60, 2, Smoke::mf_static, 356, 401},	//401 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 311, 950, 2, Smoke::mf_static, 62, 402},	//402 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 311, 953, 2, Smoke::mf_static, 102, 403},	//403 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 311, 956, 2, Smoke::mf_static, 118, 404},	//404 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 281, 959, 2, Smoke::mf_static, 26, 405},	//405 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 428, 962, 2, Smoke::mf_static, 356, 406},	//406 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 311, 965, 2, Smoke::mf_static, 151, 407},	//407 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 254, 968, 2, Smoke::mf_static, 356, 408},	//408 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 518, 971, 4, Smoke::mf_static, 0, 409},	//409 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {26, 481, 976, 4, Smoke::mf_static, 457, 410},	//410 QGlobalSpace::qRgba(int, int, int, int)
    {26, 355, 0, 0, Smoke::mf_static, 30, 411},	//411 QGlobalSpace::qCritical()
    {26, 261, 704, 2, Smoke::mf_static, 441, 412},	//412 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 305, 981, 2, Smoke::mf_static, 26, 413},	//413 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 281, 984, 2, Smoke::mf_static, 30, 414},	//414 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 281, 987, 2, Smoke::mf_static, 26, 415},	//415 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 311, 990, 2, Smoke::mf_static, 112, 416},	//416 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 254, 60, 2, Smoke::mf_static, 356, 417},	//417 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 254, 212, 2, Smoke::mf_static, 356, 418},	//418 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 276, 33, 2, Smoke::mf_static, 356, 419},	//419 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 261, 993, 2, Smoke::mf_static, 441, 420},	//420 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 311, 996, 2, Smoke::mf_static, 151, 421},	//421 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 311, 999, 2, Smoke::mf_static, 80, 422},	//422 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 290, 968, 2, Smoke::mf_static, 356, 423},	//423 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 281, 1002, 2, Smoke::mf_static, 26, 424},	//424 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 281, 1005, 2, Smoke::mf_static, 30, 425},	//425 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 265, 1008, 2, Smoke::mf_static, 362, 426},	//426 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 311, 1011, 2, Smoke::mf_static, 57, 427},	//427 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 311, 1014, 2, Smoke::mf_static, 55, 428},	//428 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 305, 1017, 2, Smoke::mf_static, 26, 429},	//429 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 274, 1020, 2, Smoke::mf_static, 412, 430},	//430 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 300, 360, 2, Smoke::mf_static, 356, 431},	//431 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 290, 298, 2, Smoke::mf_static, 356, 432},	//432 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 281, 1023, 2, Smoke::mf_static, 26, 433},	//433 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 311, 1026, 2, Smoke::mf_static, 151, 434},	//434 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 290, 212, 2, Smoke::mf_static, 356, 435},	//435 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 330, 1029, 1, Smoke::mf_static, 0, 436},	//436 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 311, 1031, 2, Smoke::mf_static, 86, 437},	//437 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 348, 1034, 3, Smoke::mf_static, 16, 438},	//438 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 348, 363, 2, Smoke::mf_static, 16, 439},	//439 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 285, 60, 2, Smoke::mf_static, 356, 440},	//440 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 418, 9, 1, Smoke::mf_static, 446, 441},	//441 QGlobalSpace::qFastSin(double)
    {26, 285, 4, 2, Smoke::mf_static, 356, 442},	//442 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 281, 1038, 2, Smoke::mf_static, 26, 443},	//443 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 305, 1041, 2, Smoke::mf_static, 26, 444},	//444 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 311, 1044, 2, Smoke::mf_static, 54, 445},	//445 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 305, 1047, 2, Smoke::mf_static, 26, 446},	//446 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 274, 617, 2, Smoke::mf_static, 403, 447},	//447 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 334, 0, 0, Smoke::mf_static, 219, 448},	//448 QGlobalSpace::qAppName()
    {26, 507, 0, 0, Smoke::mf_static, 443, 449},	//449 QGlobalSpace::qVersion()
    {26, 311, 1050, 2, Smoke::mf_static, 88, 450},	//450 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 281, 1053, 2, Smoke::mf_static, 26, 451},	//451 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 311, 1056, 2, Smoke::mf_static, 151, 452},	//452 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 424, 1059, 1, Smoke::mf_static, 0, 453},	//453 QGlobalSpace::qFree(void*)
    {26, 281, 1061, 2, Smoke::mf_static, 30, 454},	//454 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 261, 1064, 2, Smoke::mf_static, 161, 455},	//455 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 281, 1067, 2, Smoke::mf_static, 26, 456},	//456 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 311, 1070, 2, Smoke::mf_static, 151, 457},	//457 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 426, 1059, 1, Smoke::mf_static, 0, 458},	//458 QGlobalSpace::qFreeAligned(void*)
    {26, 305, 1073, 2, Smoke::mf_static, 26, 459},	//459 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 290, 551, 2, Smoke::mf_static, 356, 460},	//460 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 281, 1076, 2, Smoke::mf_static, 30, 461},	//461 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 281, 1079, 2, Smoke::mf_static, 250, 462},	//462 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 276, 93, 2, Smoke::mf_static, 356, 463},	//463 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 281, 1082, 2, Smoke::mf_static, 30, 464},	//464 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 261, 1085, 2, Smoke::mf_static, 403, 465},	//465 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 261, 856, 2, Smoke::mf_static, 437, 466},	//466 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 281, 1088, 2, Smoke::mf_static, 30, 467},	//467 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 254, 298, 2, Smoke::mf_static, 356, 468},	//468 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 311, 1091, 2, Smoke::mf_static, 68, 469},	//469 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 281, 1094, 2, Smoke::mf_static, 30, 470},	//470 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 311, 1097, 2, Smoke::mf_static, 101, 471},	//471 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 261, 871, 2, Smoke::mf_static, 439, 472},	//472 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 311, 1100, 2, Smoke::mf_static, 60, 473},	//473 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 438, 1103, 1, Smoke::mf_static, 457, 474},	//474 QGlobalSpace::qHash(const QBitArray&)
    {26, 281, 1105, 2, Smoke::mf_static, 30, 475},	//475 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 311, 1108, 2, Smoke::mf_static, 73, 476},	//476 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 281, 1111, 2, Smoke::mf_static, 30, 477},	//477 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 281, 1114, 2, Smoke::mf_static, 250, 478},	//478 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 344, 9, 1, Smoke::mf_static, 448, 479},	//479 QGlobalSpace::qCeil(double)
    {26, 281, 1117, 2, Smoke::mf_static, 30, 480},	//480 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 305, 1120, 2, Smoke::mf_static, 26, 481},	//481 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 254, 140, 2, Smoke::mf_static, 356, 482},	//482 QGlobalSpace::operator!=(QChar, QChar)
    {26, 311, 1123, 2, Smoke::mf_static, 111, 483},	//483 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 499, 1126, 2, Smoke::mf_static, 356, 484},	//484 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 529, 98, 1, Smoke::mf_static, 358, 485},	//485 QGlobalSpace::qstrdup(const char*)
    {26, 311, 1129, 2, Smoke::mf_static, 151, 486},	//486 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 311, 1132, 2, Smoke::mf_static, 86, 487},	//487 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 324, 0, 0, Smoke::mf_static, 8, 488},	//488 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 311, 1135, 2, Smoke::mf_static, 106, 489},	//489 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 305, 1138, 2, Smoke::mf_static, 26, 490},	//490 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 305, 1141, 2, Smoke::mf_static, 26, 491},	//491 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 285, 327, 2, Smoke::mf_static, 356, 492},	//492 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 305, 1144, 2, Smoke::mf_static, 26, 493},	//493 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 254, 495, 2, Smoke::mf_static, 356, 494},	//494 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 311, 1147, 2, Smoke::mf_static, 49, 495},	//495 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 281, 1150, 2, Smoke::mf_static, 26, 496},	//496 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 311, 1153, 2, Smoke::mf_static, 95, 497},	//497 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 311, 1156, 2, Smoke::mf_static, 151, 498},	//498 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 356, 0, 0, Smoke::mf_static, 30, 499},	//499 QGlobalSpace::qDebug()
    {26, 460, 1159, 2, Smoke::mf_static, 464, 500},	//500 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 311, 1162, 2, Smoke::mf_static, 69, 501},	//501 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 261, 1165, 2, Smoke::mf_static, 194, 502},	//502 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 254, 1126, 2, Smoke::mf_static, 356, 503},	//503 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 436, 319, 1, Smoke::mf_static, 448, 504},	//504 QGlobalSpace::qGreen(unsigned int)
    {26, 466, 87, 2, Smoke::mf_static, 446, 505},	//505 QGlobalSpace::qPow(double, double)
    {26, 285, 33, 2, Smoke::mf_static, 356, 506},	//506 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 281, 1168, 2, Smoke::mf_static, 30, 507},	//507 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 311, 1171, 2, Smoke::mf_static, 151, 508},	//508 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 305, 1079, 2, Smoke::mf_static, 250, 509},	//509 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 265, 1174, 2, Smoke::mf_static, 362, 510},	//510 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 311, 1177, 2, Smoke::mf_static, 151, 511},	//511 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 290, 60, 2, Smoke::mf_static, 356, 512},	//512 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 281, 1180, 2, Smoke::mf_static, 26, 513},	//513 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 311, 1183, 2, Smoke::mf_static, 95, 514},	//514 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 270, 51, 2, Smoke::mf_static, 410, 515},	//515 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 281, 1186, 2, Smoke::mf_static, 30, 516},	//516 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 265, 327, 2, Smoke::mf_static, 417, 517},	//517 QGlobalSpace::operator+(const char*, const QString&)
    {26, 311, 1189, 2, Smoke::mf_static, 51, 518},	//518 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 311, 1192, 2, Smoke::mf_static, 84, 519},	//519 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 311, 1195, 2, Smoke::mf_static, 151, 520},	//520 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 305, 1198, 2, Smoke::mf_static, 26, 521},	//521 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 305, 1201, 2, Smoke::mf_static, 26, 522},	//522 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 311, 1204, 2, Smoke::mf_static, 53, 523},	//523 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 254, 646, 2, Smoke::mf_static, 356, 524},	//524 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 311, 1207, 2, Smoke::mf_static, 102, 525},	//525 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 281, 1210, 2, Smoke::mf_static, 30, 526},	//526 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 311, 1213, 2, Smoke::mf_static, 115, 527},	//527 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 261, 1216, 2, Smoke::mf_static, 399, 528},	//528 QGlobalSpace::operator*(double, const QPointF&)
    {26, 305, 1219, 2, Smoke::mf_static, 26, 529},	//529 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 261, 1222, 2, Smoke::mf_static, 208, 530},	//530 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 311, 1225, 2, Smoke::mf_static, 110, 531},	//531 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 290, 4, 2, Smoke::mf_static, 356, 532},	//532 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 261, 1228, 2, Smoke::mf_static, 410, 533},	//533 QGlobalSpace::operator*(const QSize&, double)
    {26, 281, 1231, 2, Smoke::mf_static, 30, 534},	//534 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 428, 23, 2, Smoke::mf_static, 356, 535},	//535 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 261, 1234, 2, Smoke::mf_static, 187, 536},	//536 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 311, 1237, 2, Smoke::mf_static, 51, 537},	//537 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 311, 1240, 2, Smoke::mf_static, 55, 538},	//538 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 567, 1243, 4, Smoke::mf_static, 448, 539},	//539 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 261, 1248, 2, Smoke::mf_static, 200, 540},	//540 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 261, 1251, 2, Smoke::mf_static, 397, 541},	//541 QGlobalSpace::operator*(double, const QPoint&)
    {26, 464, 1254, 3, Smoke::mf_static, 464, 542},	//542 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 281, 1258, 2, Smoke::mf_static, 26, 543},	//543 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 550, 1261, 2, Smoke::mf_static, 0, 544},	//544 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 405, 745, 5, Smoke::mf_static, 0, 545},	//545 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 405, 657, 3, Smoke::mf_static, 0, 546},	//546 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 405, 661, 4, Smoke::mf_static, 0, 547},	//547 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 438, 1264, 1, Smoke::mf_static, 457, 548},	//548 QGlobalSpace::qHash(short)
    {26, 311, 1266, 2, Smoke::mf_static, 80, 549},	//549 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 311, 1269, 2, Smoke::mf_static, 72, 550},	//550 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 414, 9, 1, Smoke::mf_static, 446, 551},	//551 QGlobalSpace::qFabs(double)
    {26, 311, 1272, 2, Smoke::mf_static, 109, 552},	//552 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 311, 1275, 2, Smoke::mf_static, 56, 553},	//553 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 522, 447, 2, Smoke::mf_static, 448, 554},	//554 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 428, 1278, 2, Smoke::mf_static, 356, 555},	//555 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 290, 1281, 2, Smoke::mf_static, 356, 556},	//556 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 311, 1284, 2, Smoke::mf_static, 151, 557},	//557 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 311, 1287, 2, Smoke::mf_static, 76, 558},	//558 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 511, 1290, 3, Smoke::mf_static, 358, 559},	//559 QGlobalSpace::qgcvt(long double, int, char*)
    {26, 311, 1294, 2, Smoke::mf_static, 104, 560},	//560 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 311, 1297, 2, Smoke::mf_static, 92, 561},	//561 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 311, 1300, 2, Smoke::mf_static, 71, 562},	//562 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 328, 9, 1, Smoke::mf_static, 446, 563},	//563 QGlobalSpace::qAcos(double)
    {26, 311, 1303, 2, Smoke::mf_static, 151, 564},	//564 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 311, 1306, 2, Smoke::mf_static, 113, 565},	//565 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 311, 1309, 2, Smoke::mf_static, 151, 566},	//566 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 281, 1312, 2, Smoke::mf_static, 26, 567},	//567 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 300, 447, 2, Smoke::mf_static, 356, 568},	//568 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 311, 1315, 2, Smoke::mf_static, 83, 569},	//569 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 305, 1318, 2, Smoke::mf_static, 26, 570},	//570 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 341, 0, 0, Smoke::mf_static, 0, 571},	//571 QGlobalSpace::qBadAlloc()
    {26, 281, 1321, 2, Smoke::mf_static, 30, 572},	//572 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 311, 1324, 2, Smoke::mf_static, 119, 573},	//573 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 387, 1327, 10, Smoke::mf_static, 0, 574},	//574 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 387, 268, 6, Smoke::mf_static, 0, 575},	//575 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 387, 275, 7, Smoke::mf_static, 0, 576},	//576 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 387, 834, 8, Smoke::mf_static, 0, 577},	//577 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 387, 1338, 9, Smoke::mf_static, 0, 578},	//578 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 311, 1348, 2, Smoke::mf_static, 151, 579},	//579 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 305, 1351, 2, Smoke::mf_static, 26, 580},	//580 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 281, 1354, 2, Smoke::mf_static, 30, 581},	//581 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 311, 1357, 2, Smoke::mf_static, 151, 582},	//582 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 431, 9, 1, Smoke::mf_static, 356, 583},	//583 QGlobalSpace::qFuzzyIsNull(double)
    {26, 348, 1360, 2, Smoke::mf_static, 16, 584},	//584 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 348, 153, 1, Smoke::mf_static, 16, 585},	//585 QGlobalSpace::qCompress(const QByteArray&)
    {26, 281, 1363, 2, Smoke::mf_static, 30, 586},	//586 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 311, 1366, 2, Smoke::mf_static, 105, 587},	//587 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 311, 1369, 2, Smoke::mf_static, 151, 588},	//588 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 311, 1372, 2, Smoke::mf_static, 151, 589},	//589 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 311, 1375, 2, Smoke::mf_static, 69, 590},	//590 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 311, 1378, 2, Smoke::mf_static, 151, 591},	//591 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 311, 1381, 2, Smoke::mf_static, 122, 592},	//592 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 311, 1384, 2, Smoke::mf_static, 151, 593},	//593 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 270, 1387, 1, Smoke::mf_static, 437, 594},	//594 QGlobalSpace::operator-(const QVector2D&)
    {26, 311, 1389, 2, Smoke::mf_static, 46, 595},	//595 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 281, 1392, 2, Smoke::mf_static, 26, 596},	//596 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 261, 1395, 2, Smoke::mf_static, 170, 597},	//597 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 281, 1398, 2, Smoke::mf_static, 26, 598},	//598 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 369, 1338, 9, Smoke::mf_static, 0, 599},	//599 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 369, 268, 6, Smoke::mf_static, 0, 600},	//600 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 369, 275, 7, Smoke::mf_static, 0, 601},	//601 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 369, 834, 8, Smoke::mf_static, 0, 602},	//602 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 311, 1401, 2, Smoke::mf_static, 50, 603},	//603 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 261, 1404, 2, Smoke::mf_static, 159, 604},	//604 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 281, 1407, 2, Smoke::mf_static, 26, 605},	//605 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 281, 1410, 2, Smoke::mf_static, 26, 606},	//606 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 335, 9, 1, Smoke::mf_static, 446, 607},	//607 QGlobalSpace::qAsin(double)
    {26, 281, 1413, 2, Smoke::mf_static, 30, 608},	//608 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 281, 1416, 2, Smoke::mf_static, 30, 609},	//609 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 311, 1419, 2, Smoke::mf_static, 56, 610},	//610 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 311, 1422, 2, Smoke::mf_static, 52, 611},	//611 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 311, 1425, 2, Smoke::mf_static, 151, 612},	//612 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 254, 438, 2, Smoke::mf_static, 356, 613},	//613 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 495, 9, 1, Smoke::mf_static, 446, 614},	//614 QGlobalSpace::qSin(double)
    {26, 311, 1428, 2, Smoke::mf_static, 151, 615},	//615 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 290, 447, 2, Smoke::mf_static, 356, 616},	//616 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 305, 1431, 2, Smoke::mf_static, 26, 617},	//617 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 311, 1434, 2, Smoke::mf_static, 79, 618},	//618 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 311, 444, 2, Smoke::mf_static, 12, 619},	//619 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 281, 1437, 2, Smoke::mf_static, 26, 620},	//620 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 398, 259, 8, Smoke::mf_static, 0, 621},	//621 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 398, 268, 6, Smoke::mf_static, 0, 622},	//622 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 398, 275, 7, Smoke::mf_static, 0, 623},	//623 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 428, 20, 2, Smoke::mf_static, 356, 624},	//624 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 281, 1440, 2, Smoke::mf_static, 26, 625},	//625 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 311, 1443, 2, Smoke::mf_static, 63, 626},	//626 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 290, 1446, 2, Smoke::mf_static, 356, 627},	//627 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 311, 1449, 2, Smoke::mf_static, 64, 628},	//628 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 311, 1452, 2, Smoke::mf_static, 88, 629},	//629 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 311, 1455, 2, Smoke::mf_static, 151, 630},	//630 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 305, 1458, 2, Smoke::mf_static, 26, 631},	//631 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 281, 1461, 2, Smoke::mf_static, 26, 632},	//632 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 543, 1261, 2, Smoke::mf_static, 219, 633},	//633 QGlobalSpace::qtTrId(const char*, int)
    {26, 543, 98, 1, Smoke::mf_static, 219, 634},	//634 QGlobalSpace::qtTrId(const char*)
    {26, 311, 1464, 2, Smoke::mf_static, 151, 635},	//635 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 311, 1467, 2, Smoke::mf_static, 98, 636},	//636 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 270, 1470, 1, Smoke::mf_static, 439, 637},	//637 QGlobalSpace::operator-(const QVector3D&)
    {26, 281, 1472, 2, Smoke::mf_static, 30, 638},	//638 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 285, 140, 2, Smoke::mf_static, 356, 639},	//639 QGlobalSpace::operator<=(QChar, QChar)
    {26, 311, 1475, 2, Smoke::mf_static, 122, 640},	//640 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 448, 319, 1, Smoke::mf_static, 356, 641},	//641 QGlobalSpace::qIsGray(unsigned int)
    {26, 311, 1478, 2, Smoke::mf_static, 67, 642},	//642 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 254, 1281, 2, Smoke::mf_static, 356, 643},	//643 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 311, 1481, 2, Smoke::mf_static, 114, 644},	//644 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 305, 1484, 2, Smoke::mf_static, 26, 645},	//645 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 305, 1487, 2, Smoke::mf_static, 26, 646},	//646 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 362, 1490, 5, Smoke::mf_static, 0, 647},	//647 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 362, 1496, 3, Smoke::mf_static, 0, 648},	//648 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 362, 1500, 4, Smoke::mf_static, 0, 649},	//649 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 311, 1505, 2, Smoke::mf_static, 68, 650},	//650 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 305, 1508, 2, Smoke::mf_static, 26, 651},	//651 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 311, 1511, 2, Smoke::mf_static, 151, 652},	//652 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 305, 1514, 2, Smoke::mf_static, 26, 653},	//653 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 311, 1517, 2, Smoke::mf_static, 151, 654},	//654 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 565, 1520, 3, Smoke::mf_static, 356, 655},	//655 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 281, 1524, 2, Smoke::mf_static, 30, 656},	//656 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 311, 1527, 2, Smoke::mf_static, 151, 657},	//657 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 261, 1530, 2, Smoke::mf_static, 194, 658},	//658 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 274, 1228, 2, Smoke::mf_static, 410, 659},	//659 QGlobalSpace::operator/(const QSize&, double)
    {26, 261, 1533, 2, Smoke::mf_static, 194, 660},	//660 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 454, 96, 1, Smoke::mf_static, 356, 661},	//661 QGlobalSpace::qIsNull(float)
    {26, 311, 1536, 2, Smoke::mf_static, 48, 662},	//662 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 563, 1539, 5, Smoke::mf_static, 0, 663},	//663 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 290, 1545, 2, Smoke::mf_static, 356, 664},	//664 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 337, 9, 1, Smoke::mf_static, 446, 665},	//665 QGlobalSpace::qAtan(double)
    {26, 305, 1548, 2, Smoke::mf_static, 26, 666},	//666 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 311, 1551, 2, Smoke::mf_static, 151, 667},	//667 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 311, 1554, 2, Smoke::mf_static, 96, 668},	//668 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 428, 87, 2, Smoke::mf_static, 356, 669},	//669 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 261, 1557, 2, Smoke::mf_static, 268, 670},	//670 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 254, 33, 2, Smoke::mf_static, 356, 671},	//671 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 281, 1560, 2, Smoke::mf_static, 26, 672},	//672 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 281, 1563, 2, Smoke::mf_static, 30, 673},	//673 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 369, 1566, 7, Smoke::mf_static, 0, 674},	//674 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 369, 1574, 4, Smoke::mf_static, 0, 675},	//675 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 369, 1579, 5, Smoke::mf_static, 0, 676},	//676 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 369, 1585, 6, Smoke::mf_static, 0, 677},	//677 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 261, 256, 2, Smoke::mf_static, 397, 678},	//678 QGlobalSpace::operator*(const QPoint&, double)
    {26, 311, 1592, 2, Smoke::mf_static, 111, 679},	//679 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 311, 1595, 2, Smoke::mf_static, 72, 680},	//680 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 487, 0, 0, Smoke::mf_static, 446, 681},	//681 QGlobalSpace::qSNaN()
    {26, 261, 1598, 2, Smoke::mf_static, 196, 682},	//682 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 311, 1601, 2, Smoke::mf_static, 151, 683},	//683 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 290, 93, 2, Smoke::mf_static, 356, 684},	//684 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 311, 1604, 2, Smoke::mf_static, 83, 685},	//685 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 281, 1607, 2, Smoke::mf_static, 26, 686},	//686 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 261, 1020, 2, Smoke::mf_static, 412, 687},	//687 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 311, 1610, 2, Smoke::mf_static, 66, 688},	//688 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 290, 1126, 2, Smoke::mf_static, 356, 689},	//689 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 254, 20, 2, Smoke::mf_static, 356, 690},	//690 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 290, 23, 2, Smoke::mf_static, 356, 691},	//691 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 261, 1613, 2, Smoke::mf_static, 198, 692},	//692 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 311, 1616, 2, Smoke::mf_static, 151, 693},	//693 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 261, 1619, 2, Smoke::mf_static, 410, 694},	//694 QGlobalSpace::operator*(double, const QSize&)
    {26, 311, 1622, 2, Smoke::mf_static, 151, 695},	//695 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 276, 4, 2, Smoke::mf_static, 356, 696},	//696 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 254, 1625, 2, Smoke::mf_static, 356, 697},	//697 QGlobalSpace::operator!=(QBool, bool)
    {26, 311, 1628, 2, Smoke::mf_static, 54, 698},	//698 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 254, 51, 2, Smoke::mf_static, 356, 699},	//699 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 305, 1631, 2, Smoke::mf_static, 26, 700},	//700 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 281, 1634, 2, Smoke::mf_static, 30, 701},	//701 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 254, 360, 2, Smoke::mf_static, 356, 702},	//702 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 311, 1637, 2, Smoke::mf_static, 151, 703},	//703 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 311, 1640, 2, Smoke::mf_static, 103, 704},	//704 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 261, 1643, 2, Smoke::mf_static, 161, 705},	//705 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 270, 203, 2, Smoke::mf_static, 403, 706},	//706 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 261, 862, 2, Smoke::mf_static, 399, 707},	//707 QGlobalSpace::operator*(const QPointF&, double)
    {26, 531, 188, 2, Smoke::mf_static, 448, 708},	//708 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 311, 1646, 2, Smoke::mf_static, 151, 709},	//709 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 311, 1649, 2, Smoke::mf_static, 117, 710},	//710 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 254, 105, 2, Smoke::mf_static, 356, 711},	//711 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 483, 9, 1, Smoke::mf_static, 448, 712},	//712 QGlobalSpace::qRound(double)
    {26, 441, 0, 0, Smoke::mf_static, 446, 713},	//713 QGlobalSpace::qInf()
    {26, 281, 1652, 2, Smoke::mf_static, 26, 714},	//714 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 311, 1655, 2, Smoke::mf_static, 98, 715},	//715 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 261, 203, 2, Smoke::mf_static, 403, 716},	//716 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 311, 1658, 2, Smoke::mf_static, 151, 717},	//717 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 311, 1661, 2, Smoke::mf_static, 114, 718},	//718 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 261, 1664, 2, Smoke::mf_static, 196, 719},	//719 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 281, 1667, 2, Smoke::mf_static, 30, 720},	//720 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 281, 1670, 2, Smoke::mf_static, 30, 721},	//721 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 281, 1673, 2, Smoke::mf_static, 26, 722},	//722 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 311, 1676, 2, Smoke::mf_static, 76, 723},	//723 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 311, 1679, 2, Smoke::mf_static, 151, 724},	//724 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 522, 93, 2, Smoke::mf_static, 448, 725},	//725 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 311, 1682, 2, Smoke::mf_static, 151, 726},	//726 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 477, 1029, 1, Smoke::mf_static, 0, 727},	//727 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 265, 203, 2, Smoke::mf_static, 403, 728},	//728 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 305, 1685, 2, Smoke::mf_static, 26, 729},	//729 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 311, 1688, 2, Smoke::mf_static, 90, 730},	//730 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 311, 1691, 2, Smoke::mf_static, 70, 731},	//731 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 305, 1694, 2, Smoke::mf_static, 26, 732},	//732 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 311, 1697, 2, Smoke::mf_static, 151, 733},	//733 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 281, 1700, 2, Smoke::mf_static, 26, 734},	//734 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 311, 1703, 2, Smoke::mf_static, 116, 735},	//735 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 311, 1706, 2, Smoke::mf_static, 108, 736},	//736 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 508, 0, 0, Smoke::mf_static, 30, 737},	//737 QGlobalSpace::qWarning()
    {26, 533, 98, 1, Smoke::mf_static, 457, 738},	//738 QGlobalSpace::qstrlen(const char*)
    {26, 290, 1625, 2, Smoke::mf_static, 356, 739},	//739 QGlobalSpace::operator==(QBool, bool)
    {26, 305, 1709, 2, Smoke::mf_static, 26, 740},	//740 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 305, 1712, 2, Smoke::mf_static, 26, 741},	//741 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 438, 1715, 1, Smoke::mf_static, 457, 742},	//742 QGlobalSpace::qHash(unsigned long)
    {26, 281, 1717, 2, Smoke::mf_static, 26, 743},	//743 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 311, 1720, 2, Smoke::mf_static, 151, 744},	//744 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 281, 1723, 2, Smoke::mf_static, 26, 745},	//745 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 311, 1726, 2, Smoke::mf_static, 151, 746},	//746 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {26, 281, 1729, 2, Smoke::mf_static, 26, 747},	//747 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 311, 1732, 2, Smoke::mf_static, 77, 748},	//748 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 290, 327, 2, Smoke::mf_static, 356, 749},	//749 QGlobalSpace::operator==(const char*, const QString&)
    {26, 311, 1735, 2, Smoke::mf_static, 151, 750},	//750 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 357, 1738, 8, Smoke::mf_static, 0, 751},	//751 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 357, 1747, 6, Smoke::mf_static, 0, 752},	//752 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 357, 1754, 7, Smoke::mf_static, 0, 753},	//753 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 311, 1762, 2, Smoke::mf_static, 87, 754},	//754 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 265, 1765, 2, Smoke::mf_static, 417, 755},	//755 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 254, 489, 2, Smoke::mf_static, 356, 756},	//756 QGlobalSpace::operator!=(QBool, QBool)
    {26, 311, 1768, 2, Smoke::mf_static, 46, 757},	//757 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 554, 1771, 2, Smoke::mf_static, 0, 758},	//758 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 281, 1774, 2, Smoke::mf_static, 30, 759},	//759 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 261, 1777, 2, Smoke::mf_static, 439, 760},	//760 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 300, 327, 2, Smoke::mf_static, 356, 761},	//761 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 438, 1780, 1, Smoke::mf_static, 457, 762},	//762 QGlobalSpace::qHash(const QStringRef&)
    {26, 454, 9, 1, Smoke::mf_static, 356, 763},	//763 QGlobalSpace::qIsNull(double)
    {26, 311, 1782, 2, Smoke::mf_static, 151, 764},	//764 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 311, 1785, 2, Smoke::mf_static, 49, 765},	//765 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 300, 33, 2, Smoke::mf_static, 356, 766},	//766 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 295, 93, 2, Smoke::mf_static, 356, 767},	//767 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 438, 1788, 1, Smoke::mf_static, 457, 768},	//768 QGlobalSpace::qHash(unsigned char)
    {26, 305, 1790, 2, Smoke::mf_static, 26, 769},	//769 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 311, 1793, 2, Smoke::mf_static, 63, 770},	//770 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 261, 1796, 2, Smoke::mf_static, 198, 771},	//771 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 281, 1799, 2, Smoke::mf_static, 30, 772},	//772 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 281, 1802, 2, Smoke::mf_static, 30, 773},	//773 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 311, 1805, 2, Smoke::mf_static, 151, 774},	//774 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 254, 447, 2, Smoke::mf_static, 356, 775},	//775 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 281, 1808, 2, Smoke::mf_static, 26, 776},	//776 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 305, 1811, 2, Smoke::mf_static, 26, 777},	//777 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 281, 1814, 2, Smoke::mf_static, 26, 778},	//778 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 779},	//779 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 780},	//780 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {26, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 781},	//781 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {26, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 782},	//782 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {26, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 783},	//783 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {26, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 784},	//784 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {26, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 785},	//785 QGlobalSpace::SP_CustomToolBarBack (enum)
    {26, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 786},	//786 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {26, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 787},	//787 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {26, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 788},	//788 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {26, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 789},	//789 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {26, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 790},	//790 QGlobalSpace::SP_CustomToolBarDone (enum)
    {26, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 791},	//791 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {26, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 792},	//792 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 793},	//793 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {26, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 794},	//794 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 795},	//795 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {26, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 796},	//796 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {26, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 797},	//797 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {26, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 798},	//798 QGlobalSpace::SP_CustomToolBarGo (enum)
    {26, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 799},	//799 QGlobalSpace::SP_CustomToolBarHome (enum)
    {26, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 800},	//800 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {26, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 801},	//801 QGlobalSpace::SP_CustomToolBarList (enum)
    {26, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 802},	//802 QGlobalSpace::SP_CustomToolBarLock (enum)
    {26, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 803},	//803 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {26, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 804},	//804 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {26, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 805},	//805 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {26, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 806},	//806 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {26, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 807},	//807 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {26, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 808},	//808 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {26, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 809},	//809 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {26, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 810},	//810 QGlobalSpace::SP_CustomToolBarOther (enum)
    {26, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 811},	//811 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {26, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 812},	//812 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {26, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 813},	//813 QGlobalSpace::SP_CustomToolBarRead (enum)
    {26, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 814},	//814 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {26, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 815},	//815 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {26, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 816},	//816 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {26, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 817},	//817 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {26, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 818},	//818 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 819},	//819 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {26, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 820},	//820 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {26, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 821},	//821 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 822},	//822 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {26, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 823},	//823 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {26, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 824},	//824 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {26, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 825},	//825 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {26, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 826},	//826 QGlobalSpace::SP_CustomToolBarSend (enum)
    {26, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 827},	//827 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {26, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 828},	//828 QGlobalSpace::SP_CustomToolBarShare (enum)
    {26, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 829},	//829 QGlobalSpace::SP_CustomToolBarShift (enum)
    {26, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 830},	//830 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {26, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 831},	//831 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {26, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 832},	//832 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 833},	//833 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {26, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 834},	//834 QGlobalSpace::SP_CustomToolBarSync (enum)
    {26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 835},	//835 QGlobalSpace::SP_CustomToolBarTools (enum)
    {26, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 836},	//836 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {26, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 837},	//837 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {26, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 838},	//838 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {26, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 839},	//839 QGlobalSpace::SP_CustomToolBarView (enum)
    {26, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 840},	//840 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {26, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 841},	//841 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {26, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 842},	//842 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {26, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 843},	//843 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {26, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 844},	//844 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {26, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 845},	//845 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {26, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 846},	//846 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {26, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 847},	//847 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {26, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 848},	//848 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {26, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 849},	//849 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {26, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 850},	//850 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {26, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 851},	//851 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {26, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 852},	//852 QGlobalSpace::SP_CustomTabAll (enum)
    {26, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 853},	//853 QGlobalSpace::SP_CustomTabArtist (enum)
    {26, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 854},	//854 QGlobalSpace::SP_CustomTabFavourite (enum)
    {26, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 855},	//855 QGlobalSpace::SP_CustomTabGenre (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 856},	//856 QGlobalSpace::SP_CustomTabLanguage (enum)
    {26, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 857},	//857 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 858},	//858 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 859},	//859 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 860},	//860 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 861},	//861 QGlobalSpace::SP_CustomTabServices (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 862},	//862 QGlobalSpace::SP_CustomTabSongs (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 863},	//863 QGlobalSpace::SP_CustomTabVideos (enum)
    {26, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 864},	//864 QGlobalSpace::QtDebugMsg (enum)
    {26, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 865},	//865 QGlobalSpace::QtWarningMsg (enum)
    {26, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 866},	//866 QGlobalSpace::QtCriticalMsg (enum)
    {26, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 867},	//867 QGlobalSpace::QtFatalMsg (enum)
    {26, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 868},	//868 QGlobalSpace::QtSystemMsg (enum)
    {26, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 869},	//869 QGlobalSpace::__codecvt_ok (enum)
    {26, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 870},	//870 QGlobalSpace::__codecvt_partial (enum)
    {26, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 871},	//871 QGlobalSpace::__codecvt_error (enum)
    {26, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 872},	//872 QGlobalSpace::__codecvt_noconv (enum)
    {27, 185, 349, 1, Smoke::mf_virtual, 0, 0},	//873 QGraphicsItem::advance(int)
    {27, 608, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//874 QGraphicsItem::shape() const
    {27, 197, 919, 1, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//875 QGraphicsItem::contains(const QPointF&) const
    {27, 194, 1817, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//876 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 195, 1820, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//877 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 231, 1823, 1, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//878 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 253, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//879 QGraphicsItem::opaqueArea() const
    {27, 579, 1825, 2, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//880 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 578, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//881 QGraphicsItem::sceneEvent(QEvent*)
    {27, 198, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//882 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 205, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//883 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 206, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//884 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 207, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//885 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 208, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//886 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 218, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//887 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 220, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//888 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 225, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//889 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 227, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//890 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 226, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//891 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 234, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//892 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 235, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//893 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 250, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//894 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 249, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//895 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 251, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//896 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 248, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//897 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 629, 1842, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//898 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 228, 1844, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//899 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 229, 1846, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//900 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 233, 1848, 2, Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//901 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 614, 1851, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//902 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 588, 1853, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//903 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 216, 1856, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//904 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 33},	//905 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 34},	//906 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 35},	//907 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 36},	//908 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 37},	//909 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 38},	//910 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 39},	//911 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 40},	//912 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 41},	//913 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 42},	//914 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 43},	//915 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 44},	//916 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 45},	//917 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 46},	//918 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 47},	//919 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 48},	//920 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 49},	//921 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 50},	//922 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 51},	//923 QGraphicsItem::ItemStopsFocusHandling (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//924 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//925 QGraphicsItem::ItemMatrixChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//926 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//927 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//928 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//929 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//930 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//931 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//932 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//933 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//934 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//935 QGraphicsItem::ItemSceneChange (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//936 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//937 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//938 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//939 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//940 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//941 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//942 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 71},	//943 QGraphicsItem::ItemToolTipChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 72},	//944 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 73},	//945 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 74},	//946 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 75},	//947 QGraphicsItem::ItemZValueChange (enum)
    {27, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 76},	//948 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 77},	//949 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 78},	//950 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 79},	//951 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 80},	//952 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 81},	//953 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 82},	//954 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 83},	//955 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 84},	//956 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 85},	//957 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 86},	//958 QGraphicsItem::Type (enum)
    {27, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 87},	//959 QGraphicsItem::UserType (enum)
    {27, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 88},	//960 QGraphicsItem::UserExtension (enum)
    {34, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 1},	//961 QGraphicsSvgItem::metaObject() const
    {34, 558, 98, 1, Smoke::mf_virtual, 464, 2},	//962 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 618, 188, 2, Smoke::mf_static, 219, 3},	//963 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 622, 188, 2, Smoke::mf_static, 219, 4},	//964 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 618, 543, 3, Smoke::mf_static, 219, 5},	//965 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 622, 543, 3, Smoke::mf_static, 219, 6},	//966 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 556, 1858, 3, Smoke::mf_virtual, 448, 7},	//967 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 72, 1862, 1, Smoke::mf_ctor, 142, 8},	//968 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 72, 1864, 2, Smoke::mf_ctor, 142, 9},	//969 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 599, 1867, 1, 0, 0, 10},	//970 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 574, 0, 0, Smoke::mf_const, 237, 11},	//971 QGraphicsSvgItem::renderer() const
    {34, 586, 456, 1, Smoke::mf_property, 0, 12},	//972 QGraphicsSvgItem::setElementId(const QString&)
    {34, 211, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 13},	//973 QGraphicsSvgItem::elementId() const
    {34, 580, 1869, 1, 0, 0, 14},	//974 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 230, 0, 0, Smoke::mf_const, 356, 15},	//975 QGraphicsSvgItem::isCachingEnabled() const
    {34, 593, 1871, 1, Smoke::mf_property, 0, 16},	//976 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 243, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 17},	//977 QGraphicsSvgItem::maximumCacheSize() const
    {34, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 18},	//978 QGraphicsSvgItem::boundingRect() const
    {34, 315, 1873, 3, Smoke::mf_virtual, 0, 19},	//979 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 448, 20},	//980 QGraphicsSvgItem::type() const
    {34, 618, 98, 1, Smoke::mf_static, 219, 21},	//981 QGraphicsSvgItem::tr(const char*)
    {34, 622, 98, 1, Smoke::mf_static, 219, 22},	//982 QGraphicsSvgItem::trUtf8(const char*)
    {34, 72, 0, 0, Smoke::mf_ctor, 142, 23},	//983 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 72, 456, 1, Smoke::mf_ctor, 142, 24},	//984 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 315, 1877, 2, 0, 0, 25},	//985 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 612, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 387, 26},	//986 QGraphicsSvgItem::staticMetaObject() const
    {34, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 27},	//987 QGraphicsSvgItem::Type (enum)
    {34, 632, 0, 0, Smoke::mf_dtor, 0, 28 },	//988 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 214, 1828, 1, Smoke::mf_virtual, 356, 0},	//989 QObject::event(QEvent*)
    {57, 215, 1880, 2, Smoke::mf_virtual, 356, 0},	//990 QObject::eventFilter(QObject*, QEvent*)
    {57, 616, 1883, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//991 QObject::timerEvent(QTimerEvent*)
    {57, 192, 1885, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//992 QObject::childEvent(QChildEvent*)
    {57, 200, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//993 QObject::customEvent(QEvent*)
    {57, 196, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//994 QObject::connectNotify(const char*)
    {57, 204, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//995 QObject::disconnectNotify(const char*)
    {58, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 448, 0},	//996 QPaintDevice::devType() const
    {58, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 2},	//997 QPaintDevice::PdmWidth (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 3},	//998 QPaintDevice::PdmHeight (enum)
    {58, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 4},	//999 QPaintDevice::PdmWidthMM (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 5},	//1000 QPaintDevice::PdmHeightMM (enum)
    {58, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 6},	//1001 QPaintDevice::PdmNumColors (enum)
    {58, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//1002 QPaintDevice::PdmDepth (enum)
    {58, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//1003 QPaintDevice::PdmDpiX (enum)
    {58, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 9},	//1004 QPaintDevice::PdmDpiY (enum)
    {58, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 10},	//1005 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 11},	//1006 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 76, 0, 0, Smoke::mf_ctor, 236, 1},	//1007 QSvgGenerator::QSvgGenerator()
    {89, 617, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 2},	//1008 QSvgGenerator::title() const
    {89, 603, 456, 1, Smoke::mf_property, 0, 3},	//1009 QSvgGenerator::setTitle(const QString&)
    {89, 202, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 4},	//1010 QSvgGenerator::description() const
    {89, 584, 456, 1, Smoke::mf_property, 0, 5},	//1011 QSvgGenerator::setDescription(const QString&)
    {89, 610, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 6},	//1012 QSvgGenerator::size() const
    {89, 601, 1871, 1, Smoke::mf_property, 0, 7},	//1013 QSvgGenerator::setSize(const QSize&)
    {89, 627, 0, 0, Smoke::mf_const, 203, 8},	//1014 QSvgGenerator::viewBox() const
    {89, 628, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 9},	//1015 QSvgGenerator::viewBoxF() const
    {89, 605, 1887, 1, 0, 0, 10},	//1016 QSvgGenerator::setViewBox(const QRect&)
    {89, 605, 1889, 1, Smoke::mf_property, 0, 11},	//1017 QSvgGenerator::setViewBox(const QRectF&)
    {89, 217, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 12},	//1018 QSvgGenerator::fileName() const
    {89, 589, 456, 1, Smoke::mf_property, 0, 13},	//1019 QSvgGenerator::setFileName(const QString&)
    {89, 314, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 14},	//1020 QSvgGenerator::outputDevice() const
    {89, 595, 1891, 1, Smoke::mf_property, 0, 15},	//1021 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 597, 349, 1, Smoke::mf_property, 0, 16},	//1022 QSvgGenerator::setResolution(int)
    {89, 577, 0, 0, Smoke::mf_const|Smoke::mf_property, 448, 17},	//1023 QSvgGenerator::resolution() const
    {89, 318, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 181, 18},	//1024 QSvgGenerator::paintEngine() const
    {89, 245, 1893, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 448, 19},	//1025 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 633, 0, 0, Smoke::mf_dtor, 0, 20 },	//1026 QSvgGenerator::~QSvgGenerator()
    {90, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 1},	//1027 QSvgRenderer::metaObject() const
    {90, 558, 98, 1, Smoke::mf_virtual, 464, 2},	//1028 QSvgRenderer::qt_metacast(const char*)
    {90, 618, 188, 2, Smoke::mf_static, 219, 3},	//1029 QSvgRenderer::tr(const char*, const char*)
    {90, 622, 188, 2, Smoke::mf_static, 219, 4},	//1030 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 618, 543, 3, Smoke::mf_static, 219, 5},	//1031 QSvgRenderer::tr(const char*, const char*, int)
    {90, 622, 543, 3, Smoke::mf_static, 219, 6},	//1032 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 556, 1858, 3, Smoke::mf_virtual, 448, 7},	//1033 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 77, 1895, 1, Smoke::mf_ctor, 237, 8},	//1034 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 77, 1897, 2, Smoke::mf_ctor, 237, 9},	//1035 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 77, 1900, 2, Smoke::mf_ctor, 237, 10},	//1036 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 77, 1903, 2, Smoke::mf_ctor, 237, 11},	//1037 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 232, 0, 0, Smoke::mf_const, 356, 12},	//1038 QSvgRenderer::isValid() const
    {90, 201, 0, 0, Smoke::mf_const, 212, 13},	//1039 QSvgRenderer::defaultSize() const
    {90, 627, 0, 0, Smoke::mf_const, 203, 14},	//1040 QSvgRenderer::viewBox() const
    {90, 628, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 15},	//1041 QSvgRenderer::viewBoxF() const
    {90, 605, 1887, 1, 0, 0, 16},	//1042 QSvgRenderer::setViewBox(const QRect&)
    {90, 605, 1889, 1, Smoke::mf_property, 0, 17},	//1043 QSvgRenderer::setViewBox(const QRectF&)
    {90, 186, 0, 0, Smoke::mf_const, 356, 18},	//1044 QSvgRenderer::animated() const
    {90, 222, 0, 0, Smoke::mf_const|Smoke::mf_property, 448, 19},	//1045 QSvgRenderer::framesPerSecond() const
    {90, 591, 349, 1, Smoke::mf_property, 0, 20},	//1046 QSvgRenderer::setFramesPerSecond(int)
    {90, 199, 0, 0, Smoke::mf_const|Smoke::mf_property, 448, 21},	//1047 QSvgRenderer::currentFrame() const
    {90, 582, 349, 1, Smoke::mf_property, 0, 22},	//1048 QSvgRenderer::setCurrentFrame(int)
    {90, 187, 0, 0, Smoke::mf_const, 448, 23},	//1049 QSvgRenderer::animationDuration() const
    {90, 189, 456, 1, Smoke::mf_const, 205, 24},	//1050 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 209, 456, 1, Smoke::mf_const, 356, 25},	//1051 QSvgRenderer::elementExists(const QString&) const
    {90, 241, 456, 1, Smoke::mf_const, 168, 26},	//1052 QSvgRenderer::matrixForElement(const QString&) const
    {90, 238, 456, 1, Smoke::mf_slot, 356, 27},	//1053 QSvgRenderer::load(const QString&)
    {90, 238, 153, 1, Smoke::mf_slot, 356, 28},	//1054 QSvgRenderer::load(const QByteArray&)
    {90, 238, 1906, 1, Smoke::mf_slot, 356, 29},	//1055 QSvgRenderer::load(QXmlStreamReader*)
    {90, 569, 1908, 1, Smoke::mf_slot, 0, 30},	//1056 QSvgRenderer::render(QPainter*)
    {90, 569, 1910, 2, Smoke::mf_slot, 0, 31},	//1057 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 569, 1913, 3, Smoke::mf_slot, 0, 32},	//1058 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 575, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1059 QSvgRenderer::repaintNeeded()
    {90, 618, 98, 1, Smoke::mf_static, 219, 34},	//1060 QSvgRenderer::tr(const char*)
    {90, 622, 98, 1, Smoke::mf_static, 219, 35},	//1061 QSvgRenderer::trUtf8(const char*)
    {90, 77, 0, 0, Smoke::mf_ctor, 237, 36},	//1062 QSvgRenderer::QSvgRenderer()
    {90, 77, 456, 1, Smoke::mf_ctor, 237, 37},	//1063 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 77, 153, 1, Smoke::mf_ctor, 237, 38},	//1064 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 77, 1906, 1, Smoke::mf_ctor, 237, 39},	//1065 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 569, 1917, 2, Smoke::mf_slot, 0, 40},	//1066 QSvgRenderer::render(QPainter*, const QString&)
    {90, 612, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 387, 41},	//1067 QSvgRenderer::staticMetaObject() const
    {90, 634, 0, 0, Smoke::mf_dtor, 0, 42 },	//1068 QSvgRenderer::~QSvgRenderer()
    {91, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 1},	//1069 QSvgWidget::metaObject() const
    {91, 558, 98, 1, Smoke::mf_virtual, 464, 2},	//1070 QSvgWidget::qt_metacast(const char*)
    {91, 618, 188, 2, Smoke::mf_static, 219, 3},	//1071 QSvgWidget::tr(const char*, const char*)
    {91, 622, 188, 2, Smoke::mf_static, 219, 4},	//1072 QSvgWidget::trUtf8(const char*, const char*)
    {91, 618, 543, 3, Smoke::mf_static, 219, 5},	//1073 QSvgWidget::tr(const char*, const char*, int)
    {91, 622, 543, 3, Smoke::mf_static, 219, 6},	//1074 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 556, 1858, 3, Smoke::mf_virtual, 448, 7},	//1075 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 82, 1920, 1, Smoke::mf_ctor, 238, 8},	//1076 QSvgWidget::QSvgWidget(QWidget*)
    {91, 82, 1922, 2, Smoke::mf_ctor, 238, 9},	//1077 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 574, 0, 0, Smoke::mf_const, 237, 10},	//1078 QSvgWidget::renderer() const
    {91, 611, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 212, 11},	//1079 QSvgWidget::sizeHint() const
    {91, 238, 456, 1, Smoke::mf_slot, 0, 12},	//1080 QSvgWidget::load(const QString&)
    {91, 238, 153, 1, Smoke::mf_slot, 0, 13},	//1081 QSvgWidget::load(const QByteArray&)
    {91, 319, 1925, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1082 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 618, 98, 1, Smoke::mf_static, 219, 15},	//1083 QSvgWidget::tr(const char*)
    {91, 622, 98, 1, Smoke::mf_static, 219, 16},	//1084 QSvgWidget::trUtf8(const char*)
    {91, 82, 0, 0, Smoke::mf_ctor, 238, 17},	//1085 QSvgWidget::QSvgWidget()
    {91, 82, 456, 1, Smoke::mf_ctor, 238, 18},	//1086 QSvgWidget::QSvgWidget(const QString&)
    {91, 612, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 387, 19},	//1087 QSvgWidget::staticMetaObject() const
    {91, 635, 0, 0, Smoke::mf_dtor, 0, 20 },	//1088 QSvgWidget::~QSvgWidget()
    {112, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 448, 0},	//1089 QWidget::devType() const
    {112, 607, 1869, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1090 QWidget::setVisible(bool)
    {112, 247, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 212, 0},	//1091 QWidget::minimumSizeHint() const
    {112, 223, 349, 1, Smoke::mf_const|Smoke::mf_virtual, 448, 0},	//1092 QWidget::heightForWidth(int) const
    {112, 318, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1093 QWidget::paintEngine() const
    {112, 214, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1094 QWidget::event(QEvent*)
    {112, 250, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1095 QWidget::mousePressEvent(QMouseEvent*)
    {112, 251, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1096 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 248, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1097 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 249, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1098 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 629, 1929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QWidget::wheelEvent(QWheelEvent*)
    {112, 234, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1100 QWidget::keyPressEvent(QKeyEvent*)
    {112, 235, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1101 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 218, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1102 QWidget::focusInEvent(QFocusEvent*)
    {112, 220, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1103 QWidget::focusOutEvent(QFocusEvent*)
    {112, 213, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1104 QWidget::enterEvent(QEvent*)
    {112, 237, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1105 QWidget::leaveEvent(QEvent*)
    {112, 252, 1931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1106 QWidget::moveEvent(QMoveEvent*)
    {112, 576, 1933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1107 QWidget::resizeEvent(QResizeEvent*)
    {112, 193, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1108 QWidget::closeEvent(QCloseEvent*)
    {112, 198, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1109 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 615, 1939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1110 QWidget::tabletEvent(QTabletEvent*)
    {112, 184, 1941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1111 QWidget::actionEvent(QActionEvent*)
    {112, 205, 1943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1112 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 207, 1945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1113 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 206, 1947, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1114 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 208, 1949, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1115 QWidget::dropEvent(QDropEvent*)
    {112, 609, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1116 QWidget::showEvent(QShowEvent*)
    {112, 224, 1953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1117 QWidget::hideEvent(QHideEvent*)
    {112, 631, 1955, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1118 QWidget::x11Event(_XEvent*)
    {112, 191, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1119 QWidget::changeEvent(QEvent*)
    {112, 245, 1893, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 448, 0},	//1120 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 228, 1844, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1121 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 229, 1846, 1, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//1122 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 219, 1869, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1123 QWidget::focusNextPrevChild(bool)
    {112, 613, 1957, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1124 QWidget::styleChange(QStyle&)
    {112, 212, 1869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1125 QWidget::enabledChange(bool)
    {112, 321, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1126 QWidget::paletteChange(const QPalette&)
    {112, 221, 1961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1127 QWidget::fontChange(const QFont&)
    {112, 630, 1869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1128 QWidget::windowActivationChange(bool)
    {112, 236, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1129 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 42},	//1130 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 43},	//1131 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 44},	//1132 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1016,  // QSvgGenerator::setViewBox(const QRect&)
    1017,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
    10,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    88,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    151,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    166,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    248,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    289,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    318,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    326,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    408,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    418,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    468,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    482,  // QGlobalSpace::operator!=(QChar, QChar)
    524,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    613,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    643,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    690,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    699,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    702,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    756,  // QGlobalSpace::operator!=(QBool, QBool)
    775,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    71,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    100,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    122,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    503,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    697,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    239,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    365,  // QGlobalSpace::operator!=(bool, QBool)
    417,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    494,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    671,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    711,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    17,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    49,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    54,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    57,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    98,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    116,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    167,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    224,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    249,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    269,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    287,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    311,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    385,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    396,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    455,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    502,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    530,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    536,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    540,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    604,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    658,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    660,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    670,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    682,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    692,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    705,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    716,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    719,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    771,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    63,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    159,  // QGlobalSpace::operator*(const QTransform&, double)
    263,  // QGlobalSpace::operator*(const QQuaternion&, double)
    412,  // QGlobalSpace::operator*(const QVector4D&, double)
    466,  // QGlobalSpace::operator*(const QVector2D&, double)
    472,  // QGlobalSpace::operator*(const QVector3D&, double)
    533,  // QGlobalSpace::operator*(const QSize&, double)
    678,  // QGlobalSpace::operator*(const QPoint&, double)
    687,  // QGlobalSpace::operator*(const QSizeF&, double)
    707,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    83,  // QGlobalSpace::operator*(double, const QSizeF&)
    372,  // QGlobalSpace::operator*(double, const QVector2D&)
    420,  // QGlobalSpace::operator*(double, const QVector4D&)
    465,  // QGlobalSpace::operator*(double, const QQuaternion&)
    528,  // QGlobalSpace::operator*(double, const QPointF&)
    541,  // QGlobalSpace::operator*(double, const QPoint&)
    597,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    694,  // QGlobalSpace::operator*(double, const QSize&)
    760,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    43,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    78,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    111,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    135,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    140,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    196,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    268,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    280,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    344,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    728,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    170,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    180,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    223,  // QGlobalSpace::operator+(const QTransform&, double)
    229,  // QGlobalSpace::operator+(QChar, const QString&)
    426,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    23,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    114,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    165,  // QGlobalSpace::operator+(const QString&, QChar)
    510,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    174,  // QGlobalSpace::operator+(const QString&, const char*)
    247,  // QGlobalSpace::operator+(const QString&, char)
    337,  // QGlobalSpace::operator+(char, const QString&)
    517,  // QGlobalSpace::operator+(const char*, const QString&)
    755,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    59,  // QGlobalSpace::operator-(const QMatrix4x4&)
    238,  // QGlobalSpace::operator-(const QQuaternion&)
    272,  // QGlobalSpace::operator-(const QPoint&)
    373,  // QGlobalSpace::operator-(const QVector4D&)
    388,  // QGlobalSpace::operator-(const QPointF&)
    594,  // QGlobalSpace::operator-(const QVector2D&)
    637,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    7,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    89,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    115,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    119,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    145,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    250,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    331,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    515,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    706,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    107,  // QGlobalSpace::operator/(const QPoint&, double)
    141,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    296,  // QGlobalSpace::operator/(const QVector4D&, double)
    362,  // QGlobalSpace::operator/(const QVector2D&, double)
    364,  // QGlobalSpace::operator/(const QPointF&, double)
    368,  // QGlobalSpace::operator/(const QVector3D&, double)
    378,  // QGlobalSpace::operator/(const QTransform&, double)
    430,  // QGlobalSpace::operator/(const QSizeF&, double)
    447,  // QGlobalSpace::operator/(const QQuaternion&, double)
    659,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    67,  // QGlobalSpace::operator<(QChar, QChar)
    146,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    256,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    696,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    73,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    419,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    32,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    46,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    51,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    56,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    65,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    103,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    112,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    118,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    123,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    126,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    128,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    133,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    162,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    178,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    198,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    200,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    209,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    225,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    274,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    286,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    291,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    292,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    297,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    306,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    313,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    348,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    349,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    352,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    382,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    389,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    395,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    405,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    414,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    415,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    425,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    433,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    443,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    451,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    456,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    461,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    462,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    464,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    467,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    470,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    475,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    477,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    478,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    480,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    496,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    507,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    513,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    516,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    534,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    567,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    572,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    581,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    586,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    596,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    598,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    606,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    608,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    609,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    620,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    632,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    638,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    672,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    673,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    701,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    720,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    721,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    722,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    734,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    743,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    745,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    747,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    759,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    773,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    778,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    16,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    72,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    234,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    307,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    351,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    454,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    526,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    656,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    714,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    772,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    195,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    220,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    442,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    639,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    440,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    506,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    20,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    31,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    55,  // QGlobalSpace::operator==(QChar, QChar)
    85,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    188,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    211,  // QGlobalSpace::operator==(QBool, QBool)
    251,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    271,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    278,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    341,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    366,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    423,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    432,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    435,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    532,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    556,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    616,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    664,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    691,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    19,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    152,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    339,  // QGlobalSpace::operator==(QString::Null, const QString&)
    684,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    689,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    739,  // QGlobalSpace::operator==(QBool, bool)
    0,
    14,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    40,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    213,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    391,  // QGlobalSpace::operator==(bool, QBool)
    460,  // QGlobalSpace::operator==(const QString&, QString::Null)
    512,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    627,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    81,  // QGlobalSpace::operator>(QChar, QChar)
    175,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    191,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    322,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    41,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    150,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    70,  // QGlobalSpace::operator>=(QChar, QChar)
    431,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    568,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    401,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    766,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    15,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    24,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    29,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    34,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    66,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    68,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    155,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    163,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    179,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    210,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    221,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    235,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    243,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    255,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    325,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    338,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    340,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    353,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    360,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    387,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    392,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    413,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    444,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    459,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    481,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    490,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    491,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    493,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    509,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    521,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    522,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    529,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    570,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    580,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    617,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    631,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    645,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    651,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    666,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    700,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    729,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    732,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    740,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    741,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    769,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    777,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    446,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    653,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    6,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    8,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    18,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    22,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    25,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    26,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    27,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    39,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    42,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    47,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    48,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    52,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    58,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    62,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    69,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    74,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    75,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    77,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    80,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    82,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    86,  // QGlobalSpace::operator|(QDir::Filter, int)
    87,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    92,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    93,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    94,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    96,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    99,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    101,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    102,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    104,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    105,  // QGlobalSpace::operator|(QFile::Permission, int)
    106,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    113,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    121,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    124,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    125,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    129,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    132,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    134,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    136,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    137,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    142,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    143,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    144,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    154,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    158,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    160,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    168,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    172,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    173,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    176,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    183,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    185,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    189,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    192,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    197,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    204,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    206,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    208,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    212,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    214,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    215,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    218,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    219,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    226,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    230,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    231,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    232,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    233,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    240,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    242,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    244,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    246,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    252,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    253,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    254,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    258,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    264,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    266,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    270,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    273,  // QGlobalSpace::operator|(Qt::DropAction, int)
    275,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    288,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    293,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    298,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    301,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    304,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    305,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    308,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    310,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    319,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    324,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    327,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    329,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    330,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    342,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    343,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    345,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    359,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    361,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    363,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    367,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    369,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    370,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    374,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    377,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    379,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    381,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    386,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    390,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    393,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    398,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    402,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    403,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    404,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    407,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    416,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    421,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    422,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    427,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    428,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    434,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    437,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    445,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    450,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    452,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    457,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    469,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    471,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    473,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    476,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    483,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    486,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    487,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    489,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    495,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    497,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    498,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    501,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    508,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    511,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    514,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    518,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    519,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    520,  // QGlobalSpace::operator|(Qt::WindowState, int)
    523,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    525,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    527,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    531,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    537,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    538,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    549,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    550,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    552,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    553,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    557,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    558,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    560,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    561,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    562,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    564,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    565,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    566,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    569,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    573,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    579,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    582,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    587,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    588,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    589,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    590,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    591,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    592,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    593,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    595,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    603,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    610,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    611,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    612,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    615,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    618,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    626,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    628,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    629,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    630,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    635,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    636,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    640,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    642,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    644,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    650,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    652,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    654,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    657,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    662,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    667,  // QGlobalSpace::operator|(Qt::Orientation, int)
    668,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    679,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    680,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    683,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    685,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    688,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    693,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    695,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    698,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    703,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    704,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    709,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    710,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    715,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    717,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    718,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    723,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    724,  // QGlobalSpace::operator|(Qt::WindowType, int)
    726,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    730,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    731,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    733,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    735,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    736,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    744,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    746,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    748,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    750,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    754,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    757,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    764,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    765,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    770,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    774,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    117,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    182,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    241,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    380,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    406,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    535,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    624,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    555,  // QGlobalSpace::qFuzzyCompare(float, float)
    669,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    262,  // QGlobalSpace::qFuzzyIsNull(float)
    583,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    60,  // QGlobalSpace::qHash(const QUrl&)
    61,  // QGlobalSpace::qHash(const QByteArray&)
    156,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    184,  // QGlobalSpace::qHash(QChar)
    205,  // QGlobalSpace::qHash(const QModelIndex&)
    346,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    474,  // QGlobalSpace::qHash(const QBitArray&)
    762,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    4,  // QGlobalSpace::qHash(unsigned long long)
    38,  // QGlobalSpace::qHash(signed char)
    97,  // QGlobalSpace::qHash(char)
    181,  // QGlobalSpace::qHash(unsigned int)
    194,  // QGlobalSpace::qHash(const QString&)
    237,  // QGlobalSpace::qHash(long long)
    267,  // QGlobalSpace::qHash(int)
    320,  // QGlobalSpace::qHash(long)
    323,  // QGlobalSpace::qHash(unsigned short)
    548,  // QGlobalSpace::qHash(short)
    742,  // QGlobalSpace::qHash(unsigned long)
    768,  // QGlobalSpace::qHash(unsigned char)
    0,
    44,  // QGlobalSpace::qIntCast(double)
    187,  // QGlobalSpace::qIntCast(float)
    0,
    120,  // QGlobalSpace::qIsFinite(double)
    164,  // QGlobalSpace::qIsFinite(float)
    0,
    5,  // QGlobalSpace::qIsInf(double)
    36,  // QGlobalSpace::qIsInf(float)
    0,
    217,  // QGlobalSpace::qIsNaN(float)
    227,  // QGlobalSpace::qIsNaN(double)
    0,
    661,  // QGlobalSpace::qIsNull(float)
    763,  // QGlobalSpace::qIsNull(double)
    0,
    1034,  // QSvgRenderer::QSvgRenderer(QObject*)
    1064,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    1065,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    1036,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    1037,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    1054,  // QSvgRenderer::load(const QByteArray&)
    1055,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    1042,  // QSvgRenderer::setViewBox(const QRect&)
    1043,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 86, 866},	// QGlobalSpace::QtCriticalMsg
    {26, 87, 864},	// QGlobalSpace::QtDebugMsg
    {26, 88, 867},	// QGlobalSpace::QtFatalMsg
    {26, 89, 868},	// QGlobalSpace::QtSystemMsg
    {26, 90, 865},	// QGlobalSpace::QtWarningMsg
    {26, 91, 842},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {26, 92, 843},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {26, 93, 844},	// QGlobalSpace::SP_CustomCameraPauseButton
    {26, 94, 845},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {26, 95, 846},	// QGlobalSpace::SP_CustomCameraPlayButton
    {26, 96, 847},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {26, 97, 848},	// QGlobalSpace::SP_CustomCameraRecButton
    {26, 98, 849},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {26, 99, 850},	// QGlobalSpace::SP_CustomCameraStopButton
    {26, 100, 851},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {26, 101, 852},	// QGlobalSpace::SP_CustomTabAll
    {26, 102, 853},	// QGlobalSpace::SP_CustomTabArtist
    {26, 103, 854},	// QGlobalSpace::SP_CustomTabFavourite
    {26, 104, 855},	// QGlobalSpace::SP_CustomTabGenre
    {26, 105, 856},	// QGlobalSpace::SP_CustomTabLanguage
    {26, 106, 857},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {26, 107, 858},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {26, 108, 859},	// QGlobalSpace::SP_CustomTabPhotosAll
    {26, 109, 860},	// QGlobalSpace::SP_CustomTabPlaylist
    {26, 110, 861},	// QGlobalSpace::SP_CustomTabServices
    {26, 111, 862},	// QGlobalSpace::SP_CustomTabSongs
    {26, 112, 863},	// QGlobalSpace::SP_CustomTabVideos
    {26, 113, 779},	// QGlobalSpace::SP_CustomToolBarAdd
    {26, 114, 780},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {26, 115, 781},	// QGlobalSpace::SP_CustomToolBarAgain
    {26, 116, 782},	// QGlobalSpace::SP_CustomToolBarAgenda
    {26, 117, 783},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {26, 118, 784},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {26, 119, 785},	// QGlobalSpace::SP_CustomToolBarBack
    {26, 120, 786},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {26, 121, 787},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {26, 122, 788},	// QGlobalSpace::SP_CustomToolBarCancel
    {26, 123, 789},	// QGlobalSpace::SP_CustomToolBarDelete
    {26, 124, 790},	// QGlobalSpace::SP_CustomToolBarDone
    {26, 125, 791},	// QGlobalSpace::SP_CustomToolBarEdit
    {26, 126, 792},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {26, 127, 793},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {26, 128, 794},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {26, 129, 795},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {26, 130, 796},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {26, 131, 797},	// QGlobalSpace::SP_CustomToolBarFavourites
    {26, 132, 798},	// QGlobalSpace::SP_CustomToolBarGo
    {26, 133, 799},	// QGlobalSpace::SP_CustomToolBarHome
    {26, 134, 800},	// QGlobalSpace::SP_CustomToolBarImageTools
    {26, 135, 801},	// QGlobalSpace::SP_CustomToolBarList
    {26, 136, 802},	// QGlobalSpace::SP_CustomToolBarLock
    {26, 137, 803},	// QGlobalSpace::SP_CustomToolBarLogs
    {26, 138, 804},	// QGlobalSpace::SP_CustomToolBarMenu
    {26, 139, 805},	// QGlobalSpace::SP_CustomToolBarNewContact
    {26, 140, 806},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {26, 141, 807},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {26, 142, 808},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {26, 143, 809},	// QGlobalSpace::SP_CustomToolBarOptions
    {26, 144, 810},	// QGlobalSpace::SP_CustomToolBarOther
    {26, 145, 811},	// QGlobalSpace::SP_CustomToolBarOvi
    {26, 146, 812},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {26, 147, 813},	// QGlobalSpace::SP_CustomToolBarRead
    {26, 148, 815},	// QGlobalSpace::SP_CustomToolBarRedo
    {26, 149, 814},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {26, 150, 816},	// QGlobalSpace::SP_CustomToolBarRefresh
    {26, 151, 817},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {26, 152, 818},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {26, 153, 819},	// QGlobalSpace::SP_CustomToolBarRepeat
    {26, 154, 820},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {26, 155, 821},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {26, 156, 822},	// QGlobalSpace::SP_CustomToolBarSearch
    {26, 157, 823},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {26, 158, 824},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {26, 159, 825},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {26, 160, 826},	// QGlobalSpace::SP_CustomToolBarSend
    {26, 161, 827},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {26, 162, 828},	// QGlobalSpace::SP_CustomToolBarShare
    {26, 163, 829},	// QGlobalSpace::SP_CustomToolBarShift
    {26, 164, 830},	// QGlobalSpace::SP_CustomToolBarShuffle
    {26, 165, 831},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {26, 166, 832},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {26, 167, 833},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {26, 168, 834},	// QGlobalSpace::SP_CustomToolBarSync
    {26, 169, 835},	// QGlobalSpace::SP_CustomToolBarTools
    {26, 170, 836},	// QGlobalSpace::SP_CustomToolBarTrim
    {26, 171, 837},	// QGlobalSpace::SP_CustomToolBarUnlock
    {26, 172, 838},	// QGlobalSpace::SP_CustomToolBarUnmark
    {26, 173, 839},	// QGlobalSpace::SP_CustomToolBarView
    {26, 174, 840},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {26, 175, 841},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {26, 180, 871},	// QGlobalSpace::__codecvt_error
    {26, 181, 872},	// QGlobalSpace::__codecvt_noconv
    {26, 182, 869},	// QGlobalSpace::__codecvt_ok
    {26, 183, 870},	// QGlobalSpace::__codecvt_partial
    {26, 255, -4},	// QGlobalSpace::operator!=##
    {26, 256, -25},	// QGlobalSpace::operator!=#$
    {26, 257, -31},	// QGlobalSpace::operator!=$#
    {26, 258, 216},	// QGlobalSpace::operator!=$$
    {26, 260, 400},	// QGlobalSpace::operator&##
    {26, 262, -38},	// QGlobalSpace::operator*##
    {26, 263, -68},	// QGlobalSpace::operator*#$
    {26, 264, -79},	// QGlobalSpace::operator*$#
    {26, 266, -89},	// QGlobalSpace::operator+##
    {26, 267, -100},	// QGlobalSpace::operator+#$
    {26, 268, -106},	// QGlobalSpace::operator+$#
    {26, 269, -111},	// QGlobalSpace::operator+$$
    {26, 271, -117},	// QGlobalSpace::operator-#
    {26, 272, -125},	// QGlobalSpace::operator-##
    {26, 273, 95},	// QGlobalSpace::operator-#$
    {26, 275, -135},	// QGlobalSpace::operator/#$
    {26, 277, -146},	// QGlobalSpace::operator<##
    {26, 278, 463},	// QGlobalSpace::operator<#$
    {26, 279, -151},	// QGlobalSpace::operator<$#
    {26, 280, 130},	// QGlobalSpace::operator<$$
    {26, 282, -154},	// QGlobalSpace::operator<<##
    {26, 283, -247},	// QGlobalSpace::operator<<#$
    {26, 284, 424},	// QGlobalSpace::operator<<#?
    {26, 286, -258},	// QGlobalSpace::operator<=##
    {26, 287, 186},	// QGlobalSpace::operator<=#$
    {26, 288, -263},	// QGlobalSpace::operator<=$#
    {26, 289, 492},	// QGlobalSpace::operator<=$$
    {26, 291, -266},	// QGlobalSpace::operator==##
    {26, 292, -288},	// QGlobalSpace::operator==#$
    {26, 293, -295},	// QGlobalSpace::operator==$#
    {26, 294, 749},	// QGlobalSpace::operator==$$
    {26, 296, -303},	// QGlobalSpace::operator>##
    {26, 297, 767},	// QGlobalSpace::operator>#$
    {26, 298, -308},	// QGlobalSpace::operator>$#
    {26, 299, 347},	// QGlobalSpace::operator>$$
    {26, 301, -311},	// QGlobalSpace::operator>=##
    {26, 302, 35},	// QGlobalSpace::operator>=#$
    {26, 303, -316},	// QGlobalSpace::operator>=$#
    {26, 304, 761},	// QGlobalSpace::operator>=$$
    {26, 306, -319},	// QGlobalSpace::operator>>##
    {26, 307, -371},	// QGlobalSpace::operator>>#$
    {26, 308, 302},	// QGlobalSpace::operator>>#?
    {26, 310, 190},	// QGlobalSpace::operator^##
    {26, 312, 619},	// QGlobalSpace::operator|##
    {26, 313, -374},	// QGlobalSpace::operator|$$
    {26, 322, 384},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 323, 90},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 324, 488},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 325, 257},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 326, 171},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 327, 2},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 329, 563},	// QGlobalSpace::qAcos$
    {26, 331, 436},	// QGlobalSpace::qAddPostRoutine$
    {26, 333, 127},	// QGlobalSpace::qAlpha$
    {26, 334, 448},	// QGlobalSpace::qAppName
    {26, 336, 607},	// QGlobalSpace::qAsin$
    {26, 338, 665},	// QGlobalSpace::qAtan$
    {26, 340, 33},	// QGlobalSpace::qAtan2$$
    {26, 341, 571},	// QGlobalSpace::qBadAlloc
    {26, 343, 309},	// QGlobalSpace::qBlue$
    {26, 345, 479},	// QGlobalSpace::qCeil$
    {26, 347, 294},	// QGlobalSpace::qChecksum$$
    {26, 349, 585},	// QGlobalSpace::qCompress#
    {26, 350, 584},	// QGlobalSpace::qCompress#$
    {26, 351, 439},	// QGlobalSpace::qCompress$$
    {26, 352, 438},	// QGlobalSpace::qCompress$$$
    {26, 354, 79},	// QGlobalSpace::qCos$
    {26, 355, 411},	// QGlobalSpace::qCritical
    {26, 356, 499},	// QGlobalSpace::qDebug
    {26, 358, 295},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 359, 752},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 360, 753},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 361, 751},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 363, 648},	// QGlobalSpace::qDrawPlainRect###
    {26, 364, 649},	// QGlobalSpace::qDrawPlainRect###$
    {26, 365, 647},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 366, 260},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 367, 261},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 368, 259},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 370, 675},	// QGlobalSpace::qDrawShadeLine####
    {26, 371, 676},	// QGlobalSpace::qDrawShadeLine####$
    {26, 372, 677},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 373, 674},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 374, 600},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 375, 601},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 376, 602},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 377, 599},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 379, 333},	// QGlobalSpace::qDrawShadePanel###
    {26, 380, 334},	// QGlobalSpace::qDrawShadePanel###$
    {26, 381, 335},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 382, 332},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 383, 355},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 384, 356},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 385, 357},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 386, 354},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 388, 282},	// QGlobalSpace::qDrawShadeRect###
    {26, 389, 283},	// QGlobalSpace::qDrawShadeRect###$
    {26, 390, 284},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 391, 285},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 392, 281},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 393, 575},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 394, 576},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 395, 577},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 396, 578},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 397, 574},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 399, 315},	// QGlobalSpace::qDrawWinButton###
    {26, 400, 316},	// QGlobalSpace::qDrawWinButton###$
    {26, 401, 314},	// QGlobalSpace::qDrawWinButton###$#
    {26, 402, 622},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 403, 623},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 404, 621},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 406, 546},	// QGlobalSpace::qDrawWinPanel###
    {26, 407, 547},	// QGlobalSpace::qDrawWinPanel###$
    {26, 408, 545},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 409, 109},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 410, 110},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 411, 108},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 413, 276},	// QGlobalSpace::qExp$
    {26, 415, 551},	// QGlobalSpace::qFabs$
    {26, 417, 207},	// QGlobalSpace::qFastCos$
    {26, 419, 441},	// QGlobalSpace::qFastSin$
    {26, 421, 222},	// QGlobalSpace::qFlagLocation$
    {26, 423, 161},	// QGlobalSpace::qFloor$
    {26, 425, 453},	// QGlobalSpace::qFree$
    {26, 427, 458},	// QGlobalSpace::qFreeAligned$
    {26, 429, -606},	// QGlobalSpace::qFuzzyCompare##
    {26, 430, -614},	// QGlobalSpace::qFuzzyCompare$$
    {26, 432, -617},	// QGlobalSpace::qFuzzyIsNull$
    {26, 434, 228},	// QGlobalSpace::qGray$
    {26, 435, 131},	// QGlobalSpace::qGray$$$
    {26, 437, 504},	// QGlobalSpace::qGreen$
    {26, 439, -620},	// QGlobalSpace::qHash#
    {26, 440, -629},	// QGlobalSpace::qHash$
    {26, 441, 713},	// QGlobalSpace::qInf
    {26, 443, 202},	// QGlobalSpace::qInstallMsgHandler$
    {26, 445, -642},	// QGlobalSpace::qIntCast$
    {26, 447, -645},	// QGlobalSpace::qIsFinite$
    {26, 449, 641},	// QGlobalSpace::qIsGray$
    {26, 451, -648},	// QGlobalSpace::qIsInf$
    {26, 453, -651},	// QGlobalSpace::qIsNaN$
    {26, 455, -654},	// QGlobalSpace::qIsNull$
    {26, 457, 279},	// QGlobalSpace::qLn$
    {26, 459, 299},	// QGlobalSpace::qMalloc$
    {26, 461, 500},	// QGlobalSpace::qMallocAligned$$
    {26, 463, 12},	// QGlobalSpace::qMemCopy$$$
    {26, 465, 542},	// QGlobalSpace::qMemSet$$$
    {26, 467, 505},	// QGlobalSpace::qPow$$
    {26, 468, 300},	// QGlobalSpace::qQNaN
    {26, 470, 193},	// QGlobalSpace::qRealloc$$
    {26, 472, 177},	// QGlobalSpace::qReallocAligned$$$$
    {26, 474, 157},	// QGlobalSpace::qRed$
    {26, 476, 290},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 478, 727},	// QGlobalSpace::qRemovePostRoutine$
    {26, 480, 245},	// QGlobalSpace::qRgb$$$
    {26, 482, 410},	// QGlobalSpace::qRgba$$$$
    {26, 484, 712},	// QGlobalSpace::qRound$
    {26, 486, 201},	// QGlobalSpace::qRound64$
    {26, 487, 681},	// QGlobalSpace::qSNaN
    {26, 489, 153},	// QGlobalSpace::qSetFieldWidth$
    {26, 491, 45},	// QGlobalSpace::qSetPadChar#
    {26, 493, 277},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 494, 84},	// QGlobalSpace::qSharedBuild
    {26, 496, 614},	// QGlobalSpace::qSin$
    {26, 498, 203},	// QGlobalSpace::qSqrt$
    {26, 500, 484},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 501, 28},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 503, 149},	// QGlobalSpace::qTan$
    {26, 505, 376},	// QGlobalSpace::qUncompress#
    {26, 506, 147},	// QGlobalSpace::qUncompress$$
    {26, 507, 449},	// QGlobalSpace::qVersion
    {26, 508, 737},	// QGlobalSpace::qWarning
    {26, 510, 169},	// QGlobalSpace::qbswap_helper$$$
    {26, 512, 559},	// QGlobalSpace::qgcvt$$$
    {26, 514, 37},	// QGlobalSpace::qgetenv$
    {26, 516, 303},	// QGlobalSpace::qputenv$#
    {26, 517, 394},	// QGlobalSpace::qrand
    {26, 519, 409},	// QGlobalSpace::qsort$$$?
    {26, 521, 317},	// QGlobalSpace::qsrand$
    {26, 523, 554},	// QGlobalSpace::qstrcmp##
    {26, 524, 725},	// QGlobalSpace::qstrcmp#$
    {26, 525, 30},	// QGlobalSpace::qstrcmp$#
    {26, 526, 76},	// QGlobalSpace::qstrcmp$$
    {26, 528, 265},	// QGlobalSpace::qstrcpy$$
    {26, 530, 485},	// QGlobalSpace::qstrdup$
    {26, 532, 708},	// QGlobalSpace::qstricmp$$
    {26, 534, 738},	// QGlobalSpace::qstrlen$
    {26, 536, 148},	// QGlobalSpace::qstrncmp$$$
    {26, 538, 371},	// QGlobalSpace::qstrncpy$$$
    {26, 540, 336},	// QGlobalSpace::qstrnicmp$$$
    {26, 542, 11},	// QGlobalSpace::qstrnlen$$
    {26, 544, 634},	// QGlobalSpace::qtTrId$
    {26, 545, 633},	// QGlobalSpace::qtTrId$$
    {26, 547, 236},	// QGlobalSpace::qt_assert$$$
    {26, 549, 399},	// QGlobalSpace::qt_assert_x$$$$
    {26, 551, 544},	// QGlobalSpace::qt_check_pointer$$
    {26, 552, 139},	// QGlobalSpace::qt_error_string
    {26, 553, 138},	// QGlobalSpace::qt_error_string$
    {26, 555, 758},	// QGlobalSpace::qt_message_output$$
    {26, 560, 13},	// QGlobalSpace::qt_noop
    {26, 562, 358},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 564, 663},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 566, 655},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 568, 539},	// QGlobalSpace::qvsnprintf$$$?
    {34, 72, 983},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 73, 968},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 74, 984},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 75, 969},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 177, 987},	// QGraphicsSvgItem::Type
    {34, 188, 978},	// QGraphicsSvgItem::boundingRect
    {34, 211, 973},	// QGraphicsSvgItem::elementId
    {34, 230, 975},	// QGraphicsSvgItem::isCachingEnabled
    {34, 243, 977},	// QGraphicsSvgItem::maximumCacheSize
    {34, 244, 961},	// QGraphicsSvgItem::metaObject
    {34, 316, 985},	// QGraphicsSvgItem::paint##
    {34, 317, 979},	// QGraphicsSvgItem::paint###
    {34, 557, 967},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 559, 962},	// QGraphicsSvgItem::qt_metacast$
    {34, 574, 971},	// QGraphicsSvgItem::renderer
    {34, 581, 974},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 587, 972},	// QGraphicsSvgItem::setElementId$
    {34, 594, 976},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 600, 970},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 612, 986},	// QGraphicsSvgItem::staticMetaObject
    {34, 619, 981},	// QGraphicsSvgItem::tr$
    {34, 620, 963},	// QGraphicsSvgItem::tr$$
    {34, 621, 965},	// QGraphicsSvgItem::tr$$$
    {34, 623, 982},	// QGraphicsSvgItem::trUtf8$
    {34, 624, 964},	// QGraphicsSvgItem::trUtf8$$
    {34, 625, 966},	// QGraphicsSvgItem::trUtf8$$$
    {34, 626, 980},	// QGraphicsSvgItem::type
    {34, 632, 988},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 76, 1007},	// QSvgGenerator::QSvgGenerator
    {89, 202, 1010},	// QSvgGenerator::description
    {89, 217, 1018},	// QSvgGenerator::fileName
    {89, 246, 1025},	// QSvgGenerator::metric$
    {89, 314, 1020},	// QSvgGenerator::outputDevice
    {89, 318, 1024},	// QSvgGenerator::paintEngine
    {89, 577, 1023},	// QSvgGenerator::resolution
    {89, 585, 1011},	// QSvgGenerator::setDescription$
    {89, 590, 1019},	// QSvgGenerator::setFileName$
    {89, 596, 1021},	// QSvgGenerator::setOutputDevice#
    {89, 598, 1022},	// QSvgGenerator::setResolution$
    {89, 602, 1013},	// QSvgGenerator::setSize#
    {89, 604, 1009},	// QSvgGenerator::setTitle$
    {89, 606, -1},	// QSvgGenerator::setViewBox#
    {89, 610, 1012},	// QSvgGenerator::size
    {89, 617, 1008},	// QSvgGenerator::title
    {89, 627, 1014},	// QSvgGenerator::viewBox
    {89, 628, 1015},	// QSvgGenerator::viewBoxF
    {89, 633, 1026},	// QSvgGenerator::~QSvgGenerator
    {90, 77, 1062},	// QSvgRenderer::QSvgRenderer
    {90, 78, -657},	// QSvgRenderer::QSvgRenderer#
    {90, 79, -661},	// QSvgRenderer::QSvgRenderer##
    {90, 80, 1063},	// QSvgRenderer::QSvgRenderer$
    {90, 81, 1035},	// QSvgRenderer::QSvgRenderer$#
    {90, 186, 1044},	// QSvgRenderer::animated
    {90, 187, 1049},	// QSvgRenderer::animationDuration
    {90, 190, 1050},	// QSvgRenderer::boundsOnElement$
    {90, 199, 1047},	// QSvgRenderer::currentFrame
    {90, 201, 1039},	// QSvgRenderer::defaultSize
    {90, 210, 1051},	// QSvgRenderer::elementExists$
    {90, 222, 1045},	// QSvgRenderer::framesPerSecond
    {90, 232, 1038},	// QSvgRenderer::isValid
    {90, 239, -664},	// QSvgRenderer::load#
    {90, 240, 1053},	// QSvgRenderer::load$
    {90, 242, 1052},	// QSvgRenderer::matrixForElement$
    {90, 244, 1027},	// QSvgRenderer::metaObject
    {90, 557, 1033},	// QSvgRenderer::qt_metacall$$?
    {90, 559, 1028},	// QSvgRenderer::qt_metacast$
    {90, 570, 1056},	// QSvgRenderer::render#
    {90, 571, 1057},	// QSvgRenderer::render##
    {90, 572, 1066},	// QSvgRenderer::render#$
    {90, 573, 1058},	// QSvgRenderer::render#$#
    {90, 575, 1059},	// QSvgRenderer::repaintNeeded
    {90, 583, 1048},	// QSvgRenderer::setCurrentFrame$
    {90, 592, 1046},	// QSvgRenderer::setFramesPerSecond$
    {90, 606, -667},	// QSvgRenderer::setViewBox#
    {90, 612, 1067},	// QSvgRenderer::staticMetaObject
    {90, 619, 1060},	// QSvgRenderer::tr$
    {90, 620, 1029},	// QSvgRenderer::tr$$
    {90, 621, 1031},	// QSvgRenderer::tr$$$
    {90, 623, 1061},	// QSvgRenderer::trUtf8$
    {90, 624, 1030},	// QSvgRenderer::trUtf8$$
    {90, 625, 1032},	// QSvgRenderer::trUtf8$$$
    {90, 627, 1040},	// QSvgRenderer::viewBox
    {90, 628, 1041},	// QSvgRenderer::viewBoxF
    {90, 634, 1068},	// QSvgRenderer::~QSvgRenderer
    {91, 82, 1085},	// QSvgWidget::QSvgWidget
    {91, 83, 1076},	// QSvgWidget::QSvgWidget#
    {91, 84, 1086},	// QSvgWidget::QSvgWidget$
    {91, 85, 1077},	// QSvgWidget::QSvgWidget$#
    {91, 239, 1081},	// QSvgWidget::load#
    {91, 240, 1080},	// QSvgWidget::load$
    {91, 244, 1069},	// QSvgWidget::metaObject
    {91, 320, 1082},	// QSvgWidget::paintEvent#
    {91, 557, 1075},	// QSvgWidget::qt_metacall$$?
    {91, 559, 1070},	// QSvgWidget::qt_metacast$
    {91, 574, 1078},	// QSvgWidget::renderer
    {91, 611, 1079},	// QSvgWidget::sizeHint
    {91, 612, 1087},	// QSvgWidget::staticMetaObject
    {91, 619, 1083},	// QSvgWidget::tr$
    {91, 620, 1071},	// QSvgWidget::tr$$
    {91, 621, 1073},	// QSvgWidget::tr$$$
    {91, 623, 1084},	// QSvgWidget::trUtf8$
    {91, 624, 1072},	// QSvgWidget::trUtf8$$
    {91, 625, 1074},	// QSvgWidget::trUtf8$$$
    {91, 635, 1088},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1133,
        __smokeqtsvg::methodMaps, 402,
        __smokeqtsvg::methodNames, 635,
        __smokeqtsvg::types, 466,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
